#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2214
#define LARGE_STATE_COUNT 555
#define SYMBOL_COUNT 342
#define ALIAS_COUNT 3
#define TOKEN_COUNT 155
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 39
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 125

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_extern = 45,
  anon_sym___attribute__ = 46,
  anon_sym_COLON_COLON = 47,
  anon_sym_LBRACK_LBRACK = 48,
  anon_sym_RBRACK_RBRACK = 49,
  anon_sym___declspec = 50,
  anon_sym___based = 51,
  anon_sym___cdecl = 52,
  anon_sym___clrcall = 53,
  anon_sym___stdcall = 54,
  anon_sym___fastcall = 55,
  anon_sym___thiscall = 56,
  anon_sym___vectorcall = 57,
  sym_ms_restrict_modifier = 58,
  sym_ms_unsigned_ptr_modifier = 59,
  sym_ms_signed_ptr_modifier = 60,
  anon_sym__unaligned = 61,
  anon_sym___unaligned = 62,
  anon_sym_LBRACE = 63,
  anon_sym_RBRACE = 64,
  anon_sym_signed = 65,
  anon_sym_unsigned = 66,
  anon_sym_long = 67,
  anon_sym_short = 68,
  anon_sym_LBRACK = 69,
  anon_sym_RBRACK = 70,
  anon_sym_EQ = 71,
  anon_sym_static = 72,
  anon_sym_auto = 73,
  anon_sym_register = 74,
  anon_sym_inline = 75,
  anon_sym___inline = 76,
  anon_sym___inline__ = 77,
  anon_sym___forceinline = 78,
  anon_sym_thread_local = 79,
  anon_sym___thread = 80,
  anon_sym_const = 81,
  anon_sym_constexpr = 82,
  anon_sym_volatile = 83,
  anon_sym_restrict = 84,
  anon_sym___restrict__ = 85,
  anon_sym__Atomic = 86,
  anon_sym__Noreturn = 87,
  anon_sym_noreturn = 88,
  sym_primitive_type = 89,
  anon_sym_enum = 90,
  anon_sym_COLON = 91,
  anon_sym_struct = 92,
  anon_sym_union = 93,
  anon_sym_if = 94,
  anon_sym_else = 95,
  anon_sym_switch = 96,
  anon_sym_case = 97,
  anon_sym_default = 98,
  anon_sym_while = 99,
  anon_sym_do = 100,
  anon_sym_for = 101,
  anon_sym_return = 102,
  anon_sym_break = 103,
  anon_sym_continue = 104,
  anon_sym_goto = 105,
  anon_sym___try = 106,
  anon_sym___except = 107,
  anon_sym___finally = 108,
  anon_sym___leave = 109,
  anon_sym_QMARK = 110,
  anon_sym_STAR_EQ = 111,
  anon_sym_SLASH_EQ = 112,
  anon_sym_PERCENT_EQ = 113,
  anon_sym_PLUS_EQ = 114,
  anon_sym_DASH_EQ = 115,
  anon_sym_LT_LT_EQ = 116,
  anon_sym_GT_GT_EQ = 117,
  anon_sym_AMP_EQ = 118,
  anon_sym_CARET_EQ = 119,
  anon_sym_PIPE_EQ = 120,
  anon_sym_DASH_DASH = 121,
  anon_sym_PLUS_PLUS = 122,
  anon_sym_sizeof = 123,
  anon_sym___alignof__ = 124,
  anon_sym___alignof = 125,
  anon_sym__alignof = 126,
  anon_sym_alignof = 127,
  anon_sym__Alignof = 128,
  anon_sym_offsetof = 129,
  anon_sym__Generic = 130,
  anon_sym_asm = 131,
  anon_sym___asm__ = 132,
  anon_sym_DOT = 133,
  anon_sym_DASH_GT = 134,
  sym_number_literal = 135,
  anon_sym_L_SQUOTE = 136,
  anon_sym_u_SQUOTE = 137,
  anon_sym_U_SQUOTE = 138,
  anon_sym_u8_SQUOTE = 139,
  anon_sym_SQUOTE = 140,
  aux_sym_char_literal_token1 = 141,
  anon_sym_L_DQUOTE = 142,
  anon_sym_u_DQUOTE = 143,
  anon_sym_U_DQUOTE = 144,
  anon_sym_u8_DQUOTE = 145,
  anon_sym_DQUOTE = 146,
  aux_sym_string_literal_token1 = 147,
  sym_escape_sequence = 148,
  sym_system_lib_string = 149,
  sym_true = 150,
  sym_false = 151,
  anon_sym_NULL = 152,
  anon_sym_nullptr = 153,
  sym_comment = 154,
  sym_translation_unit = 155,
  sym_preproc_include = 156,
  sym_preproc_def = 157,
  sym_preproc_function_def = 158,
  sym_preproc_params = 159,
  sym_preproc_call = 160,
  sym_preproc_if = 161,
  sym_preproc_ifdef = 162,
  sym_preproc_else = 163,
  sym_preproc_elif = 164,
  sym_preproc_elifdef = 165,
  sym_preproc_if_in_field_declaration_list = 166,
  sym_preproc_ifdef_in_field_declaration_list = 167,
  sym_preproc_else_in_field_declaration_list = 168,
  sym_preproc_elif_in_field_declaration_list = 169,
  sym_preproc_if_in_enumerator_list = 170,
  sym_preproc_ifdef_in_enumerator_list = 171,
  sym_preproc_else_in_enumerator_list = 172,
  sym_preproc_elif_in_enumerator_list = 173,
  sym_preproc_if_in_enumerator_list_no_comma = 174,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 175,
  sym_preproc_else_in_enumerator_list_no_comma = 176,
  sym_preproc_elif_in_enumerator_list_no_comma = 177,
  sym__preproc_expression = 178,
  sym_preproc_parenthesized_expression = 179,
  sym_preproc_defined = 180,
  sym_preproc_unary_expression = 181,
  sym_preproc_call_expression = 182,
  sym_preproc_argument_list = 183,
  sym_preproc_binary_expression = 184,
  sym_function_definition = 185,
  sym__old_style_function_definition = 186,
  sym_declaration = 187,
  sym__declaration_declarator = 188,
  sym_type_definition = 189,
  sym__type_definition_type = 190,
  sym__type_definition_declarators = 191,
  sym__declaration_modifiers = 192,
  sym__declaration_specifiers = 193,
  sym_linkage_specification = 194,
  sym_attribute_specifier = 195,
  sym_attribute = 196,
  sym_attribute_declaration = 197,
  sym_ms_declspec_modifier = 198,
  sym_ms_based_modifier = 199,
  sym_ms_call_modifier = 200,
  sym_ms_unaligned_ptr_modifier = 201,
  sym_ms_pointer_modifier = 202,
  sym_declaration_list = 203,
  sym__declarator = 204,
  sym__field_declarator = 205,
  sym__type_declarator = 206,
  sym__abstract_declarator = 207,
  sym_parenthesized_declarator = 208,
  sym_parenthesized_field_declarator = 209,
  sym_parenthesized_type_declarator = 210,
  sym_abstract_parenthesized_declarator = 211,
  sym_attributed_declarator = 212,
  sym_attributed_field_declarator = 213,
  sym_attributed_type_declarator = 214,
  sym_pointer_declarator = 215,
  sym_pointer_field_declarator = 216,
  sym_pointer_type_declarator = 217,
  sym_abstract_pointer_declarator = 218,
  sym_function_declarator = 219,
  sym_function_field_declarator = 220,
  sym_function_type_declarator = 221,
  sym_abstract_function_declarator = 222,
  sym__old_style_function_declarator = 223,
  sym_array_declarator = 224,
  sym_array_field_declarator = 225,
  sym_array_type_declarator = 226,
  sym_abstract_array_declarator = 227,
  sym_init_declarator = 228,
  sym_compound_statement = 229,
  sym_storage_class_specifier = 230,
  sym_type_qualifier = 231,
  sym__type_specifier = 232,
  sym_sized_type_specifier = 233,
  sym_enum_specifier = 234,
  sym_enumerator_list = 235,
  sym_struct_specifier = 236,
  sym_union_specifier = 237,
  sym_field_declaration_list = 238,
  sym__field_declaration_list_item = 239,
  sym_field_declaration = 240,
  sym__field_declaration_declarator = 241,
  sym_bitfield_clause = 242,
  sym_enumerator = 243,
  sym_variadic_parameter = 244,
  sym_parameter_list = 245,
  sym__old_style_parameter_list = 246,
  sym_parameter_declaration = 247,
  sym_attributed_statement = 248,
  sym_labeled_statement = 249,
  sym__top_level_expression_statement = 250,
  sym_expression_statement = 251,
  sym_if_statement = 252,
  sym_else_clause = 253,
  sym_switch_statement = 254,
  sym_case_statement = 255,
  sym_while_statement = 256,
  sym_do_statement = 257,
  sym_for_statement = 258,
  sym__for_statement_body = 259,
  sym_return_statement = 260,
  sym_break_statement = 261,
  sym_continue_statement = 262,
  sym_goto_statement = 263,
  sym_seh_try_statement = 264,
  sym_seh_except_clause = 265,
  sym_seh_finally_clause = 266,
  sym_seh_leave_statement = 267,
  sym__expression = 268,
  sym__expression_not_binary = 269,
  sym_comma_expression = 270,
  sym_conditional_expression = 271,
  sym_assignment_expression = 272,
  sym_pointer_expression = 273,
  sym_unary_expression = 274,
  sym_binary_expression = 275,
  sym_update_expression = 276,
  sym_cast_expression = 277,
  sym_type_descriptor = 278,
  sym_sizeof_expression = 279,
  sym_alignof_expression = 280,
  sym_offsetof_expression = 281,
  sym_generic_expression = 282,
  sym_subscript_expression = 283,
  sym_call_expression = 284,
  sym_gnu_asm_expression = 285,
  sym_gnu_asm_qualifier = 286,
  sym_gnu_asm_output_operand_list = 287,
  sym_gnu_asm_output_operand = 288,
  sym_gnu_asm_input_operand_list = 289,
  sym_gnu_asm_input_operand = 290,
  sym_gnu_asm_clobber_list = 291,
  sym_gnu_asm_goto_list = 292,
  sym_argument_list = 293,
  sym_field_expression = 294,
  sym_compound_literal_expression = 295,
  sym_parenthesized_expression = 296,
  sym_initializer_list = 297,
  sym_initializer_pair = 298,
  sym_subscript_designator = 299,
  sym_subscript_range_designator = 300,
  sym_field_designator = 301,
  sym_char_literal = 302,
  sym_concatenated_string = 303,
  sym_string_literal = 304,
  sym_null = 305,
  sym__empty_declaration = 306,
  sym_macro_type_specifier = 307,
  aux_sym_translation_unit_repeat1 = 308,
  aux_sym_preproc_params_repeat1 = 309,
  aux_sym_preproc_if_repeat1 = 310,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 311,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 312,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 313,
  aux_sym_preproc_argument_list_repeat1 = 314,
  aux_sym__old_style_function_definition_repeat1 = 315,
  aux_sym__declaration_declarator_repeat1 = 316,
  aux_sym_type_definition_repeat1 = 317,
  aux_sym__type_definition_type_repeat1 = 318,
  aux_sym__type_definition_declarators_repeat1 = 319,
  aux_sym__declaration_specifiers_repeat1 = 320,
  aux_sym_attribute_declaration_repeat1 = 321,
  aux_sym_attributed_declarator_repeat1 = 322,
  aux_sym_pointer_declarator_repeat1 = 323,
  aux_sym_sized_type_specifier_repeat1 = 324,
  aux_sym_enumerator_list_repeat1 = 325,
  aux_sym__field_declaration_declarator_repeat1 = 326,
  aux_sym_parameter_list_repeat1 = 327,
  aux_sym__old_style_parameter_list_repeat1 = 328,
  aux_sym_case_statement_repeat1 = 329,
  aux_sym_generic_expression_repeat1 = 330,
  aux_sym_gnu_asm_expression_repeat1 = 331,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 332,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 333,
  aux_sym_gnu_asm_clobber_list_repeat1 = 334,
  aux_sym_gnu_asm_goto_list_repeat1 = 335,
  aux_sym_argument_list_repeat1 = 336,
  aux_sym_initializer_list_repeat1 = 337,
  aux_sym_initializer_pair_repeat1 = 338,
  aux_sym_char_literal_repeat1 = 339,
  aux_sym_concatenated_string_repeat1 = 340,
  aux_sym_string_literal_repeat1 = 341,
  alias_sym_field_identifier = 342,
  alias_sym_statement_identifier = 343,
  alias_sym_type_identifier = 344,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_static] = "static",
  [anon_sym_auto] = "auto",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_translation_unit] = "translation_unit",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym__old_style_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym__declaration_declarator] = "_declaration_declarator",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym__old_style_function_declarator] = "function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym__type_specifier] = "_type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym__field_declaration_declarator] = "_field_declaration_declarator",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_parameter_list] = "parameter_list",
  [sym__old_style_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym__expression] = "_expression",
  [sym__expression_not_binary] = "_expression_not_binary",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_macro_type_specifier] = "macro_type_specifier",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym__old_style_function_definition_repeat1] = "_old_style_function_definition_repeat1",
  [aux_sym__declaration_declarator_repeat1] = "_declaration_declarator_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym__field_declaration_declarator_repeat1] = "_field_declaration_declarator_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym__old_style_parameter_list_repeat1] = "_old_style_parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_auto] = anon_sym_auto,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_translation_unit] = sym_translation_unit,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym__old_style_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym__declaration_declarator] = sym__declaration_declarator,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym__old_style_function_declarator] = sym_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym__type_specifier] = sym__type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym__field_declaration_declarator] = sym__field_declaration_declarator,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_parameter_list] = sym_parameter_list,
  [sym__old_style_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym__expression] = sym__expression,
  [sym__expression_not_binary] = sym__expression_not_binary,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_macro_type_specifier] = sym_macro_type_specifier,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym__old_style_function_definition_repeat1] = aux_sym__old_style_function_definition_repeat1,
  [aux_sym__declaration_declarator_repeat1] = aux_sym__declaration_declarator_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym__field_declaration_declarator_repeat1] = aux_sym__field_declaration_declarator_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym__old_style_parameter_list_repeat1] = aux_sym__old_style_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_auto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression_not_binary] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_macro_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__old_style_function_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__field_declaration_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__old_style_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_body = 5,
  field_clobbers = 6,
  field_condition = 7,
  field_consequence = 8,
  field_constraint = 9,
  field_declarator = 10,
  field_designator = 11,
  field_directive = 12,
  field_end = 13,
  field_field = 14,
  field_filter = 15,
  field_function = 16,
  field_goto_labels = 17,
  field_index = 18,
  field_initializer = 19,
  field_input_operands = 20,
  field_label = 21,
  field_left = 22,
  field_member = 23,
  field_name = 24,
  field_operand = 25,
  field_operator = 26,
  field_output_operands = 27,
  field_parameters = 28,
  field_path = 29,
  field_prefix = 30,
  field_register = 31,
  field_right = 32,
  field_size = 33,
  field_start = 34,
  field_symbol = 35,
  field_type = 36,
  field_underlying_type = 37,
  field_update = 38,
  field_value = 39,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_body] = "body",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_right] = "right",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_type] = "type",
  [field_underlying_type] = "underlying_type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 3},
  [3] = {.index = 3, .length = 1},
  [4] = {.index = 4, .length = 1},
  [5] = {.index = 5, .length = 2},
  [6] = {.index = 7, .length = 1},
  [7] = {.index = 8, .length = 1},
  [8] = {.index = 9, .length = 1},
  [9] = {.index = 10, .length = 1},
  [10] = {.index = 3, .length = 1},
  [11] = {.index = 11, .length = 1},
  [12] = {.index = 12, .length = 2},
  [13] = {.index = 14, .length = 2},
  [14] = {.index = 16, .length = 1},
  [15] = {.index = 16, .length = 1},
  [16] = {.index = 17, .length = 1},
  [17] = {.index = 8, .length = 1},
  [18] = {.index = 18, .length = 2},
  [19] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 1},
  [22] = {.index = 23, .length = 2},
  [23] = {.index = 25, .length = 2},
  [24] = {.index = 27, .length = 1},
  [25] = {.index = 28, .length = 1},
  [26] = {.index = 29, .length = 2},
  [27] = {.index = 31, .length = 2},
  [28] = {.index = 33, .length = 1},
  [29] = {.index = 34, .length = 3},
  [30] = {.index = 37, .length = 1},
  [31] = {.index = 38, .length = 1},
  [32] = {.index = 39, .length = 2},
  [33] = {.index = 41, .length = 3},
  [34] = {.index = 44, .length = 2},
  [35] = {.index = 46, .length = 2},
  [36] = {.index = 48, .length = 2},
  [37] = {.index = 50, .length = 5},
  [38] = {.index = 55, .length = 3},
  [39] = {.index = 58, .length = 2},
  [40] = {.index = 60, .length = 2},
  [41] = {.index = 62, .length = 1},
  [42] = {.index = 63, .length = 2},
  [43] = {.index = 65, .length = 1},
  [44] = {.index = 66, .length = 2},
  [45] = {.index = 68, .length = 2},
  [46] = {.index = 70, .length = 2},
  [47] = {.index = 72, .length = 2},
  [48] = {.index = 74, .length = 2},
  [49] = {.index = 76, .length = 2},
  [50] = {.index = 78, .length = 2},
  [52] = {.index = 80, .length = 2},
  [53] = {.index = 82, .length = 1},
  [54] = {.index = 83, .length = 1},
  [55] = {.index = 84, .length = 3},
  [56] = {.index = 87, .length = 1},
  [57] = {.index = 88, .length = 1},
  [58] = {.index = 89, .length = 1},
  [59] = {.index = 90, .length = 2},
  [60] = {.index = 92, .length = 1},
  [61] = {.index = 93, .length = 2},
  [62] = {.index = 95, .length = 3},
  [63] = {.index = 98, .length = 2},
  [64] = {.index = 100, .length = 5},
  [65] = {.index = 105, .length = 3},
  [66] = {.index = 108, .length = 5},
  [67] = {.index = 113, .length = 2},
  [68] = {.index = 115, .length = 2},
  [69] = {.index = 117, .length = 3},
  [70] = {.index = 120, .length = 2},
  [71] = {.index = 122, .length = 2},
  [72] = {.index = 124, .length = 2},
  [73] = {.index = 126, .length = 1},
  [74] = {.index = 127, .length = 2},
  [75] = {.index = 129, .length = 2},
  [76] = {.index = 131, .length = 2},
  [77] = {.index = 133, .length = 3},
  [78] = {.index = 136, .length = 2},
  [79] = {.index = 138, .length = 2},
  [80] = {.index = 140, .length = 1},
  [81] = {.index = 141, .length = 2},
  [82] = {.index = 143, .length = 2},
  [83] = {.index = 145, .length = 4},
  [84] = {.index = 149, .length = 1},
  [85] = {.index = 150, .length = 2},
  [86] = {.index = 152, .length = 1},
  [87] = {.index = 153, .length = 1},
  [88] = {.index = 154, .length = 2},
  [89] = {.index = 156, .length = 2},
  [90] = {.index = 158, .length = 5},
  [91] = {.index = 163, .length = 3},
  [92] = {.index = 166, .length = 2},
  [93] = {.index = 168, .length = 1},
  [95] = {.index = 169, .length = 2},
  [96] = {.index = 171, .length = 2},
  [97] = {.index = 173, .length = 2},
  [98] = {.index = 175, .length = 3},
  [99] = {.index = 178, .length = 2},
  [100] = {.index = 180, .length = 2},
  [101] = {.index = 182, .length = 2},
  [102] = {.index = 184, .length = 2},
  [103] = {.index = 186, .length = 3},
  [104] = {.index = 189, .length = 2},
  [105] = {.index = 191, .length = 1},
  [106] = {.index = 192, .length = 2},
  [107] = {.index = 194, .length = 2},
  [108] = {.index = 194, .length = 2},
  [109] = {.index = 196, .length = 3},
  [110] = {.index = 199, .length = 2},
  [111] = {.index = 201, .length = 1},
  [112] = {.index = 202, .length = 4},
  [113] = {.index = 206, .length = 3},
  [114] = {.index = 209, .length = 2},
  [115] = {.index = 211, .length = 2},
  [116] = {.index = 33, .length = 1},
  [117] = {.index = 213, .length = 5},
  [118] = {.index = 218, .length = 4},
  [119] = {.index = 222, .length = 2},
  [120] = {.index = 224, .length = 2},
  [121] = {.index = 226, .length = 2},
  [122] = {.index = 228, .length = 5},
  [123] = {.index = 233, .length = 2},
  [124] = {.index = 235, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_body, 0, .inherited = true},
    {field_declarator, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [3] =
    {field_type, 0},
  [4] =
    {field_directive, 0},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_name, 0},
  [8] =
    {field_name, 1},
  [9] =
    {field_body, 1},
  [10] =
    {field_value, 1},
  [11] =
    {field_declarator, 0},
  [12] =
    {field_argument, 0},
    {field_operator, 1},
  [14] =
    {field_arguments, 1},
    {field_function, 0},
  [16] =
    {field_type, 1},
  [17] =
    {field_path, 1},
  [18] =
    {field_argument, 1},
    {field_directive, 0},
  [20] =
    {field_declarator, 1},
    {field_type, 0},
  [22] =
    {field_parameters, 0},
  [23] =
    {field_body, 2},
    {field_value, 1},
  [25] =
    {field_body, 2},
    {field_name, 1},
  [27] =
    {field_name, 2},
  [28] =
    {field_body, 2},
  [29] =
    {field_condition, 1},
    {field_consequence, 2},
  [31] =
    {field_body, 2},
    {field_condition, 1},
  [33] =
    {field_label, 1},
  [34] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [37] =
    {field_label, 0},
  [38] =
    {field_declarator, 1},
  [39] =
    {field_declarator, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [41] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [44] =
    {field_declarator, 0},
    {field_parameters, 1},
  [46] =
    {field_declarator, 0},
    {field_declarator, 1},
  [48] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [50] =
    {field_body, 2},
    {field_declarator, 1},
    {field_declarator, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [55] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [58] =
    {field_name, 1},
    {field_value, 2},
  [60] =
    {field_name, 1},
    {field_parameters, 2},
  [62] =
    {field_condition, 1},
  [63] =
    {field_alternative, 2},
    {field_name, 1},
  [65] =
    {field_type, 0, .inherited = true},
  [66] =
    {field_declarator, 2},
    {field_type, 0},
  [68] =
    {field_left, 0},
    {field_right, 2},
  [70] =
    {field_type, 1},
    {field_value, 3},
  [72] =
    {field_declarator, 2},
    {field_type, 1},
  [74] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [76] =
    {field_name, 2},
    {field_prefix, 0},
  [78] =
    {field_name, 1},
    {field_underlying_type, 3},
  [80] =
    {field_body, 3},
    {field_name, 2},
  [82] =
    {field_name, 3},
  [83] =
    {field_body, 3},
  [84] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [87] =
    {field_initializer, 0},
  [88] =
    {field_type, 2},
  [89] =
    {field_assembly_code, 2},
  [90] =
    {field_name, 0},
    {field_type, 2},
  [92] =
    {field_declarator, 2},
  [93] =
    {field_declarator, 0},
    {field_value, 2},
  [95] =
    {field_declarator, 0},
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
  [98] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [100] =
    {field_body, 3},
    {field_declarator, 1},
    {field_declarator, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [105] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [108] =
    {field_body, 3},
    {field_declarator, 2},
    {field_declarator, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [113] =
    {field_argument, 0},
    {field_index, 2},
  [115] =
    {field_alternative, 3},
    {field_condition, 0},
  [117] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [120] =
    {field_alternative, 3},
    {field_condition, 1},
  [122] =
    {field_alternative, 3},
    {field_name, 1},
  [124] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [126] =
    {field_size, 1},
  [127] =
    {field_declarator, 3},
    {field_type, 1},
  [129] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [131] =
    {field_name, 0},
    {field_value, 2},
  [133] =
    {field_body, 4},
    {field_name, 1},
    {field_underlying_type, 3},
  [136] =
    {field_body, 4},
    {field_name, 3},
  [138] =
    {field_body, 1},
    {field_condition, 3},
  [140] =
    {field_update, 2},
  [141] =
    {field_initializer, 0},
    {field_update, 2},
  [143] =
    {field_condition, 1},
    {field_initializer, 0},
  [145] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [149] =
    {field_operand, 1},
  [150] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [152] =
    {field_assembly_code, 3},
  [153] =
    {field_declarator, 3},
  [154] =
    {field_declarator, 1},
    {field_declarator, 2},
  [156] =
    {field_declarator, 0},
    {field_size, 2},
  [158] =
    {field_body, 4},
    {field_declarator, 2},
    {field_declarator, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [163] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [166] =
    {field_alternative, 4},
    {field_condition, 1},
  [168] =
    {field_size, 2},
  [169] =
    {field_body, 2},
    {field_filter, 1},
  [171] =
    {field_declarator, 0},
    {field_declarator, 2, .inherited = true},
  [173] =
    {field_condition, 1},
    {field_update, 3},
  [175] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [178] =
    {field_initializer, 0},
    {field_update, 3},
  [180] =
    {field_condition, 2},
    {field_initializer, 0},
  [182] =
    {field_member, 4},
    {field_type, 2},
  [184] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [186] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [189] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [191] =
    {field_declarator, 4},
  [192] =
    {field_declarator, 0},
    {field_size, 3},
  [194] =
    {field_designator, 0},
    {field_value, 2},
  [196] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [199] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [201] =
    {field_register, 1},
  [202] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [206] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [209] =
    {field_constraint, 0},
    {field_value, 2},
  [211] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [213] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [218] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [222] =
    {field_end, 3},
    {field_start, 1},
  [224] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [226] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [228] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [233] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [235] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [7] = {
    [1] = alias_sym_type_identifier,
  },
  [10] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [1] = alias_sym_type_identifier,
  },
  [21] = {
    [0] = sym_primitive_type,
  },
  [23] = {
    [1] = alias_sym_type_identifier,
  },
  [24] = {
    [2] = alias_sym_type_identifier,
  },
  [28] = {
    [1] = alias_sym_statement_identifier,
  },
  [30] = {
    [0] = alias_sym_statement_identifier,
  },
  [38] = {
    [2] = alias_sym_field_identifier,
  },
  [50] = {
    [1] = alias_sym_type_identifier,
  },
  [51] = {
    [0] = alias_sym_field_identifier,
  },
  [52] = {
    [2] = alias_sym_type_identifier,
  },
  [53] = {
    [3] = alias_sym_type_identifier,
  },
  [77] = {
    [1] = alias_sym_type_identifier,
  },
  [78] = {
    [3] = alias_sym_type_identifier,
  },
  [94] = {
    [1] = alias_sym_field_identifier,
  },
  [101] = {
    [4] = alias_sym_field_identifier,
  },
  [107] = {
    [0] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 2,
  [6] = 2,
  [7] = 4,
  [8] = 4,
  [9] = 2,
  [10] = 4,
  [11] = 4,
  [12] = 12,
  [13] = 12,
  [14] = 14,
  [15] = 14,
  [16] = 16,
  [17] = 14,
  [18] = 14,
  [19] = 19,
  [20] = 12,
  [21] = 21,
  [22] = 12,
  [23] = 23,
  [24] = 12,
  [25] = 14,
  [26] = 26,
  [27] = 26,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 28,
  [32] = 26,
  [33] = 29,
  [34] = 29,
  [35] = 30,
  [36] = 28,
  [37] = 28,
  [38] = 29,
  [39] = 30,
  [40] = 30,
  [41] = 41,
  [42] = 29,
  [43] = 28,
  [44] = 41,
  [45] = 26,
  [46] = 41,
  [47] = 47,
  [48] = 30,
  [49] = 49,
  [50] = 41,
  [51] = 41,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 58,
  [60] = 57,
  [61] = 56,
  [62] = 54,
  [63] = 55,
  [64] = 56,
  [65] = 57,
  [66] = 55,
  [67] = 57,
  [68] = 58,
  [69] = 54,
  [70] = 55,
  [71] = 58,
  [72] = 55,
  [73] = 56,
  [74] = 54,
  [75] = 57,
  [76] = 56,
  [77] = 54,
  [78] = 58,
  [79] = 55,
  [80] = 54,
  [81] = 56,
  [82] = 58,
  [83] = 57,
  [84] = 84,
  [85] = 84,
  [86] = 84,
  [87] = 84,
  [88] = 84,
  [89] = 84,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 93,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 107,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 90,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 117,
  [162] = 97,
  [163] = 105,
  [164] = 132,
  [165] = 101,
  [166] = 104,
  [167] = 130,
  [168] = 128,
  [169] = 108,
  [170] = 116,
  [171] = 92,
  [172] = 93,
  [173] = 103,
  [174] = 122,
  [175] = 114,
  [176] = 113,
  [177] = 112,
  [178] = 94,
  [179] = 129,
  [180] = 91,
  [181] = 100,
  [182] = 106,
  [183] = 123,
  [184] = 99,
  [185] = 131,
  [186] = 118,
  [187] = 120,
  [188] = 111,
  [189] = 133,
  [190] = 95,
  [191] = 121,
  [192] = 119,
  [193] = 127,
  [194] = 96,
  [195] = 109,
  [196] = 98,
  [197] = 102,
  [198] = 107,
  [199] = 125,
  [200] = 110,
  [201] = 126,
  [202] = 159,
  [203] = 147,
  [204] = 139,
  [205] = 143,
  [206] = 154,
  [207] = 151,
  [208] = 138,
  [209] = 160,
  [210] = 134,
  [211] = 90,
  [212] = 136,
  [213] = 155,
  [214] = 157,
  [215] = 90,
  [216] = 153,
  [217] = 149,
  [218] = 137,
  [219] = 158,
  [220] = 140,
  [221] = 150,
  [222] = 141,
  [223] = 142,
  [224] = 144,
  [225] = 152,
  [226] = 148,
  [227] = 145,
  [228] = 146,
  [229] = 90,
  [230] = 156,
  [231] = 131,
  [232] = 95,
  [233] = 132,
  [234] = 128,
  [235] = 123,
  [236] = 119,
  [237] = 108,
  [238] = 110,
  [239] = 109,
  [240] = 240,
  [241] = 106,
  [242] = 105,
  [243] = 104,
  [244] = 103,
  [245] = 116,
  [246] = 92,
  [247] = 133,
  [248] = 91,
  [249] = 111,
  [250] = 122,
  [251] = 130,
  [252] = 94,
  [253] = 95,
  [254] = 112,
  [255] = 113,
  [256] = 129,
  [257] = 101,
  [258] = 114,
  [259] = 102,
  [260] = 93,
  [261] = 92,
  [262] = 127,
  [263] = 116,
  [264] = 96,
  [265] = 97,
  [266] = 117,
  [267] = 126,
  [268] = 101,
  [269] = 240,
  [270] = 117,
  [271] = 125,
  [272] = 107,
  [273] = 126,
  [274] = 127,
  [275] = 94,
  [276] = 102,
  [277] = 121,
  [278] = 114,
  [279] = 130,
  [280] = 132,
  [281] = 118,
  [282] = 113,
  [283] = 118,
  [284] = 120,
  [285] = 133,
  [286] = 131,
  [287] = 121,
  [288] = 120,
  [289] = 112,
  [290] = 111,
  [291] = 118,
  [292] = 129,
  [293] = 128,
  [294] = 117,
  [295] = 108,
  [296] = 123,
  [297] = 91,
  [298] = 98,
  [299] = 119,
  [300] = 99,
  [301] = 120,
  [302] = 110,
  [303] = 106,
  [304] = 121,
  [305] = 116,
  [306] = 109,
  [307] = 105,
  [308] = 92,
  [309] = 93,
  [310] = 114,
  [311] = 113,
  [312] = 126,
  [313] = 127,
  [314] = 112,
  [315] = 108,
  [316] = 107,
  [317] = 130,
  [318] = 100,
  [319] = 104,
  [320] = 103,
  [321] = 122,
  [322] = 132,
  [323] = 133,
  [324] = 131,
  [325] = 129,
  [326] = 128,
  [327] = 111,
  [328] = 109,
  [329] = 123,
  [330] = 119,
  [331] = 125,
  [332] = 125,
  [333] = 95,
  [334] = 110,
  [335] = 106,
  [336] = 105,
  [337] = 96,
  [338] = 104,
  [339] = 103,
  [340] = 122,
  [341] = 94,
  [342] = 100,
  [343] = 96,
  [344] = 97,
  [345] = 98,
  [346] = 91,
  [347] = 97,
  [348] = 99,
  [349] = 102,
  [350] = 100,
  [351] = 101,
  [352] = 99,
  [353] = 98,
  [354] = 142,
  [355] = 156,
  [356] = 146,
  [357] = 142,
  [358] = 138,
  [359] = 134,
  [360] = 155,
  [361] = 148,
  [362] = 159,
  [363] = 141,
  [364] = 160,
  [365] = 140,
  [366] = 152,
  [367] = 147,
  [368] = 138,
  [369] = 148,
  [370] = 149,
  [371] = 150,
  [372] = 136,
  [373] = 158,
  [374] = 159,
  [375] = 140,
  [376] = 160,
  [377] = 141,
  [378] = 145,
  [379] = 139,
  [380] = 147,
  [381] = 137,
  [382] = 157,
  [383] = 150,
  [384] = 152,
  [385] = 143,
  [386] = 136,
  [387] = 139,
  [388] = 156,
  [389] = 154,
  [390] = 154,
  [391] = 146,
  [392] = 157,
  [393] = 153,
  [394] = 155,
  [395] = 158,
  [396] = 134,
  [397] = 149,
  [398] = 143,
  [399] = 145,
  [400] = 153,
  [401] = 144,
  [402] = 151,
  [403] = 137,
  [404] = 144,
  [405] = 151,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 407,
  [411] = 406,
  [412] = 412,
  [413] = 409,
  [414] = 407,
  [415] = 415,
  [416] = 406,
  [417] = 415,
  [418] = 406,
  [419] = 419,
  [420] = 412,
  [421] = 421,
  [422] = 419,
  [423] = 408,
  [424] = 415,
  [425] = 408,
  [426] = 409,
  [427] = 419,
  [428] = 412,
  [429] = 408,
  [430] = 421,
  [431] = 419,
  [432] = 419,
  [433] = 421,
  [434] = 412,
  [435] = 419,
  [436] = 406,
  [437] = 409,
  [438] = 415,
  [439] = 407,
  [440] = 415,
  [441] = 421,
  [442] = 409,
  [443] = 412,
  [444] = 421,
  [445] = 406,
  [446] = 240,
  [447] = 407,
  [448] = 408,
  [449] = 415,
  [450] = 412,
  [451] = 409,
  [452] = 408,
  [453] = 407,
  [454] = 145,
  [455] = 152,
  [456] = 142,
  [457] = 140,
  [458] = 143,
  [459] = 240,
  [460] = 149,
  [461] = 148,
  [462] = 150,
  [463] = 134,
  [464] = 151,
  [465] = 155,
  [466] = 466,
  [467] = 158,
  [468] = 153,
  [469] = 144,
  [470] = 146,
  [471] = 141,
  [472] = 154,
  [473] = 159,
  [474] = 147,
  [475] = 475,
  [476] = 160,
  [477] = 136,
  [478] = 138,
  [479] = 157,
  [480] = 156,
  [481] = 139,
  [482] = 482,
  [483] = 482,
  [484] = 482,
  [485] = 482,
  [486] = 486,
  [487] = 482,
  [488] = 486,
  [489] = 486,
  [490] = 486,
  [491] = 482,
  [492] = 486,
  [493] = 486,
  [494] = 482,
  [495] = 482,
  [496] = 486,
  [497] = 486,
  [498] = 498,
  [499] = 499,
  [500] = 240,
  [501] = 240,
  [502] = 240,
  [503] = 90,
  [504] = 504,
  [505] = 240,
  [506] = 506,
  [507] = 506,
  [508] = 506,
  [509] = 506,
  [510] = 506,
  [511] = 506,
  [512] = 506,
  [513] = 506,
  [514] = 506,
  [515] = 506,
  [516] = 506,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 528,
  [530] = 530,
  [531] = 531,
  [532] = 530,
  [533] = 531,
  [534] = 534,
  [535] = 535,
  [536] = 535,
  [537] = 537,
  [538] = 538,
  [539] = 534,
  [540] = 534,
  [541] = 535,
  [542] = 535,
  [543] = 534,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 545,
  [548] = 545,
  [549] = 545,
  [550] = 544,
  [551] = 544,
  [552] = 552,
  [553] = 553,
  [554] = 544,
  [555] = 555,
  [556] = 546,
  [557] = 555,
  [558] = 558,
  [559] = 559,
  [560] = 559,
  [561] = 561,
  [562] = 559,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 559,
  [567] = 567,
  [568] = 546,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 569,
  [574] = 569,
  [575] = 559,
  [576] = 546,
  [577] = 577,
  [578] = 578,
  [579] = 559,
  [580] = 569,
  [581] = 581,
  [582] = 582,
  [583] = 569,
  [584] = 584,
  [585] = 585,
  [586] = 559,
  [587] = 559,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 591,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 591,
  [601] = 595,
  [602] = 602,
  [603] = 603,
  [604] = 591,
  [605] = 591,
  [606] = 606,
  [607] = 591,
  [608] = 591,
  [609] = 609,
  [610] = 610,
  [611] = 591,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 613,
  [620] = 615,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 615,
  [625] = 621,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 622,
  [630] = 617,
  [631] = 617,
  [632] = 626,
  [633] = 622,
  [634] = 615,
  [635] = 622,
  [636] = 614,
  [637] = 617,
  [638] = 638,
  [639] = 638,
  [640] = 640,
  [641] = 613,
  [642] = 626,
  [643] = 623,
  [644] = 617,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 612,
  [649] = 628,
  [650] = 616,
  [651] = 627,
  [652] = 640,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 656,
  [658] = 612,
  [659] = 655,
  [660] = 617,
  [661] = 622,
  [662] = 638,
  [663] = 654,
  [664] = 626,
  [665] = 638,
  [666] = 623,
  [667] = 653,
  [668] = 627,
  [669] = 622,
  [670] = 517,
  [671] = 626,
  [672] = 638,
  [673] = 638,
  [674] = 656,
  [675] = 675,
  [676] = 655,
  [677] = 677,
  [678] = 615,
  [679] = 679,
  [680] = 654,
  [681] = 653,
  [682] = 627,
  [683] = 616,
  [684] = 628,
  [685] = 612,
  [686] = 647,
  [687] = 617,
  [688] = 645,
  [689] = 622,
  [690] = 616,
  [691] = 615,
  [692] = 628,
  [693] = 653,
  [694] = 638,
  [695] = 654,
  [696] = 613,
  [697] = 617,
  [698] = 612,
  [699] = 622,
  [700] = 647,
  [701] = 621,
  [702] = 702,
  [703] = 613,
  [704] = 645,
  [705] = 645,
  [706] = 706,
  [707] = 647,
  [708] = 645,
  [709] = 615,
  [710] = 621,
  [711] = 647,
  [712] = 640,
  [713] = 613,
  [714] = 714,
  [715] = 628,
  [716] = 616,
  [717] = 640,
  [718] = 615,
  [719] = 612,
  [720] = 628,
  [721] = 721,
  [722] = 627,
  [723] = 616,
  [724] = 627,
  [725] = 656,
  [726] = 653,
  [727] = 647,
  [728] = 653,
  [729] = 706,
  [730] = 645,
  [731] = 654,
  [732] = 647,
  [733] = 656,
  [734] = 702,
  [735] = 612,
  [736] = 638,
  [737] = 628,
  [738] = 616,
  [739] = 627,
  [740] = 653,
  [741] = 654,
  [742] = 654,
  [743] = 613,
  [744] = 645,
  [745] = 655,
  [746] = 655,
  [747] = 656,
  [748] = 655,
  [749] = 656,
  [750] = 626,
  [751] = 721,
  [752] = 613,
  [753] = 655,
  [754] = 645,
  [755] = 647,
  [756] = 612,
  [757] = 656,
  [758] = 628,
  [759] = 616,
  [760] = 760,
  [761] = 627,
  [762] = 653,
  [763] = 654,
  [764] = 655,
  [765] = 765,
  [766] = 765,
  [767] = 765,
  [768] = 765,
  [769] = 769,
  [770] = 770,
  [771] = 765,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 787,
  [789] = 498,
  [790] = 499,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 793,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 795,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 794,
  [806] = 799,
  [807] = 807,
  [808] = 808,
  [809] = 799,
  [810] = 799,
  [811] = 793,
  [812] = 793,
  [813] = 813,
  [814] = 814,
  [815] = 794,
  [816] = 816,
  [817] = 795,
  [818] = 795,
  [819] = 819,
  [820] = 820,
  [821] = 794,
  [822] = 799,
  [823] = 793,
  [824] = 824,
  [825] = 825,
  [826] = 795,
  [827] = 794,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 773,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 773,
  [844] = 769,
  [845] = 770,
  [846] = 772,
  [847] = 773,
  [848] = 774,
  [849] = 773,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 851,
  [854] = 852,
  [855] = 851,
  [856] = 852,
  [857] = 852,
  [858] = 775,
  [859] = 776,
  [860] = 852,
  [861] = 851,
  [862] = 851,
  [863] = 863,
  [864] = 863,
  [865] = 863,
  [866] = 863,
  [867] = 867,
  [868] = 863,
  [869] = 869,
  [870] = 870,
  [871] = 863,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 773,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 884,
  [887] = 887,
  [888] = 885,
  [889] = 877,
  [890] = 881,
  [891] = 874,
  [892] = 836,
  [893] = 893,
  [894] = 876,
  [895] = 873,
  [896] = 841,
  [897] = 875,
  [898] = 878,
  [899] = 879,
  [900] = 830,
  [901] = 882,
  [902] = 883,
  [903] = 835,
  [904] = 873,
  [905] = 882,
  [906] = 876,
  [907] = 875,
  [908] = 874,
  [909] = 879,
  [910] = 883,
  [911] = 832,
  [912] = 885,
  [913] = 877,
  [914] = 839,
  [915] = 834,
  [916] = 884,
  [917] = 881,
  [918] = 878,
  [919] = 840,
  [920] = 829,
  [921] = 837,
  [922] = 887,
  [923] = 781,
  [924] = 791,
  [925] = 816,
  [926] = 824,
  [927] = 927,
  [928] = 154,
  [929] = 157,
  [930] = 887,
  [931] = 814,
  [932] = 798,
  [933] = 813,
  [934] = 782,
  [935] = 935,
  [936] = 155,
  [937] = 808,
  [938] = 134,
  [939] = 780,
  [940] = 825,
  [941] = 787,
  [942] = 783,
  [943] = 801,
  [944] = 944,
  [945] = 143,
  [946] = 777,
  [947] = 947,
  [948] = 948,
  [949] = 804,
  [950] = 950,
  [951] = 785,
  [952] = 807,
  [953] = 803,
  [954] = 786,
  [955] = 797,
  [956] = 956,
  [957] = 957,
  [958] = 802,
  [959] = 820,
  [960] = 784,
  [961] = 961,
  [962] = 962,
  [963] = 778,
  [964] = 819,
  [965] = 139,
  [966] = 966,
  [967] = 779,
  [968] = 968,
  [969] = 829,
  [970] = 883,
  [971] = 947,
  [972] = 881,
  [973] = 837,
  [974] = 935,
  [975] = 956,
  [976] = 976,
  [977] = 154,
  [978] = 879,
  [979] = 961,
  [980] = 878,
  [981] = 875,
  [982] = 876,
  [983] = 839,
  [984] = 834,
  [985] = 985,
  [986] = 873,
  [987] = 962,
  [988] = 966,
  [989] = 832,
  [990] = 990,
  [991] = 957,
  [992] = 882,
  [993] = 872,
  [994] = 157,
  [995] = 968,
  [996] = 139,
  [997] = 927,
  [998] = 840,
  [999] = 999,
  [1000] = 143,
  [1001] = 134,
  [1002] = 1002,
  [1003] = 874,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 877,
  [1008] = 944,
  [1009] = 1009,
  [1010] = 948,
  [1011] = 950,
  [1012] = 885,
  [1013] = 155,
  [1014] = 884,
  [1015] = 498,
  [1016] = 775,
  [1017] = 1017,
  [1018] = 776,
  [1019] = 887,
  [1020] = 499,
  [1021] = 966,
  [1022] = 962,
  [1023] = 957,
  [1024] = 966,
  [1025] = 962,
  [1026] = 1026,
  [1027] = 961,
  [1028] = 935,
  [1029] = 927,
  [1030] = 956,
  [1031] = 947,
  [1032] = 968,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 944,
  [1037] = 948,
  [1038] = 950,
  [1039] = 143,
  [1040] = 968,
  [1041] = 134,
  [1042] = 155,
  [1043] = 1026,
  [1044] = 157,
  [1045] = 154,
  [1046] = 139,
  [1047] = 950,
  [1048] = 1048,
  [1049] = 948,
  [1050] = 1026,
  [1051] = 944,
  [1052] = 1052,
  [1053] = 1026,
  [1054] = 1054,
  [1055] = 139,
  [1056] = 1056,
  [1057] = 154,
  [1058] = 157,
  [1059] = 155,
  [1060] = 134,
  [1061] = 143,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 947,
  [1067] = 956,
  [1068] = 927,
  [1069] = 1069,
  [1070] = 957,
  [1071] = 1026,
  [1072] = 1072,
  [1073] = 961,
  [1074] = 1074,
  [1075] = 935,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 108,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1120,
  [1124] = 1124,
  [1125] = 1120,
  [1126] = 1120,
  [1127] = 1120,
  [1128] = 881,
  [1129] = 882,
  [1130] = 884,
  [1131] = 878,
  [1132] = 883,
  [1133] = 877,
  [1134] = 874,
  [1135] = 875,
  [1136] = 876,
  [1137] = 885,
  [1138] = 879,
  [1139] = 873,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 108,
  [1146] = 879,
  [1147] = 882,
  [1148] = 878,
  [1149] = 873,
  [1150] = 875,
  [1151] = 883,
  [1152] = 1142,
  [1153] = 1153,
  [1154] = 876,
  [1155] = 881,
  [1156] = 885,
  [1157] = 884,
  [1158] = 877,
  [1159] = 874,
  [1160] = 1142,
  [1161] = 1142,
  [1162] = 1142,
  [1163] = 875,
  [1164] = 878,
  [1165] = 883,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1140,
  [1169] = 1169,
  [1170] = 881,
  [1171] = 879,
  [1172] = 882,
  [1173] = 876,
  [1174] = 885,
  [1175] = 1175,
  [1176] = 884,
  [1177] = 877,
  [1178] = 874,
  [1179] = 873,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1192,
  [1195] = 1191,
  [1196] = 1189,
  [1197] = 1190,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1140,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1199,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 882,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1205,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1204,
  [1219] = 883,
  [1220] = 1217,
  [1221] = 881,
  [1222] = 879,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1204,
  [1226] = 878,
  [1227] = 1205,
  [1228] = 1211,
  [1229] = 1211,
  [1230] = 1230,
  [1231] = 1224,
  [1232] = 875,
  [1233] = 1205,
  [1234] = 1234,
  [1235] = 1199,
  [1236] = 1236,
  [1237] = 1199,
  [1238] = 1204,
  [1239] = 1199,
  [1240] = 876,
  [1241] = 1211,
  [1242] = 885,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 884,
  [1247] = 1205,
  [1248] = 1204,
  [1249] = 877,
  [1250] = 1250,
  [1251] = 874,
  [1252] = 1252,
  [1253] = 873,
  [1254] = 1211,
  [1255] = 1224,
  [1256] = 1210,
  [1257] = 1257,
  [1258] = 1206,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1261,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1267,
  [1269] = 850,
  [1270] = 1270,
  [1271] = 1267,
  [1272] = 1272,
  [1273] = 1266,
  [1274] = 1266,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1266,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1266,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1267,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1267,
  [1289] = 1275,
  [1290] = 1290,
  [1291] = 1266,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1267,
  [1295] = 1267,
  [1296] = 1267,
  [1297] = 1297,
  [1298] = 1262,
  [1299] = 1121,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1141,
  [1303] = 1303,
  [1304] = 1180,
  [1305] = 1175,
  [1306] = 1166,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1109,
  [1321] = 1103,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1325,
  [1327] = 1318,
  [1328] = 1324,
  [1329] = 1324,
  [1330] = 1325,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1331,
  [1345] = 1345,
  [1346] = 1333,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1333,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1332,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1356,
  [1361] = 1361,
  [1362] = 1333,
  [1363] = 1361,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1331,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1333,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1373,
  [1375] = 1372,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 801,
  [1381] = 1381,
  [1382] = 1331,
  [1383] = 1383,
  [1384] = 1345,
  [1385] = 1347,
  [1386] = 1386,
  [1387] = 1348,
  [1388] = 1381,
  [1389] = 1354,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1368,
  [1395] = 1371,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1337,
  [1399] = 1105,
  [1400] = 1101,
  [1401] = 1102,
  [1402] = 1085,
  [1403] = 1350,
  [1404] = 1404,
  [1405] = 1342,
  [1406] = 1341,
  [1407] = 1340,
  [1408] = 1338,
  [1409] = 1409,
  [1410] = 1336,
  [1411] = 1335,
  [1412] = 1334,
  [1413] = 1339,
  [1414] = 1357,
  [1415] = 1415,
  [1416] = 1343,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1092,
  [1420] = 1358,
  [1421] = 1418,
  [1422] = 1418,
  [1423] = 1423,
  [1424] = 1409,
  [1425] = 801,
  [1426] = 1409,
  [1427] = 1359,
  [1428] = 1081,
  [1429] = 1415,
  [1430] = 1391,
  [1431] = 1431,
  [1432] = 1390,
  [1433] = 1095,
  [1434] = 1111,
  [1435] = 1418,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1365,
  [1439] = 1409,
  [1440] = 1418,
  [1441] = 1396,
  [1442] = 1103,
  [1443] = 1109,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1445,
  [1447] = 1121,
  [1448] = 1444,
  [1449] = 1444,
  [1450] = 1445,
  [1451] = 1444,
  [1452] = 1445,
  [1453] = 1444,
  [1454] = 1445,
  [1455] = 1455,
  [1456] = 1455,
  [1457] = 1457,
  [1458] = 1455,
  [1459] = 1455,
  [1460] = 1460,
  [1461] = 1455,
  [1462] = 1462,
  [1463] = 1462,
  [1464] = 1464,
  [1465] = 1464,
  [1466] = 1464,
  [1467] = 1464,
  [1468] = 1462,
  [1469] = 1464,
  [1470] = 1462,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1471,
  [1475] = 1471,
  [1476] = 1471,
  [1477] = 1477,
  [1478] = 1471,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1480,
  [1484] = 1480,
  [1485] = 1481,
  [1486] = 1486,
  [1487] = 1481,
  [1488] = 1481,
  [1489] = 1480,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1480,
  [1495] = 1495,
  [1496] = 1480,
  [1497] = 1497,
  [1498] = 1480,
  [1499] = 1481,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1504,
  [1506] = 1506,
  [1507] = 1504,
  [1508] = 1508,
  [1509] = 1504,
  [1510] = 1510,
  [1511] = 1504,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1514,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1514,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1514,
  [1525] = 1525,
  [1526] = 1514,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1548,
  [1550] = 1550,
  [1551] = 1550,
  [1552] = 1547,
  [1553] = 1547,
  [1554] = 1550,
  [1555] = 1547,
  [1556] = 1547,
  [1557] = 1550,
  [1558] = 1558,
  [1559] = 1550,
  [1560] = 1546,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1571,
  [1575] = 1575,
  [1576] = 1563,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1568,
  [1580] = 1571,
  [1581] = 1581,
  [1582] = 1571,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1571,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1613,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1573,
  [1622] = 1586,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1581,
  [1626] = 1617,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1609,
  [1658] = 1658,
  [1659] = 1624,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1664,
  [1666] = 1664,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1664,
  [1670] = 1670,
  [1671] = 1668,
  [1672] = 1664,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1667,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1664,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1674,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1664,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1668,
  [1696] = 1696,
  [1697] = 1692,
  [1698] = 1693,
  [1699] = 1678,
  [1700] = 1679,
  [1701] = 1701,
  [1702] = 1668,
  [1703] = 1674,
  [1704] = 1674,
  [1705] = 1667,
  [1706] = 1686,
  [1707] = 1686,
  [1708] = 1686,
  [1709] = 1664,
  [1710] = 1674,
  [1711] = 1711,
  [1712] = 1712,
  [1713] = 1679,
  [1714] = 1692,
  [1715] = 1678,
  [1716] = 1668,
  [1717] = 1693,
  [1718] = 1718,
  [1719] = 1674,
  [1720] = 1692,
  [1721] = 1721,
  [1722] = 1664,
  [1723] = 1723,
  [1724] = 1679,
  [1725] = 1678,
  [1726] = 1678,
  [1727] = 1679,
  [1728] = 1686,
  [1729] = 1693,
  [1730] = 1667,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1581,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1740,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1748,
  [1755] = 1755,
  [1756] = 1752,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1732,
  [1762] = 1762,
  [1763] = 1739,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1762,
  [1767] = 1735,
  [1768] = 1732,
  [1769] = 1732,
  [1770] = 1770,
  [1771] = 1758,
  [1772] = 1740,
  [1773] = 1759,
  [1774] = 1738,
  [1775] = 1737,
  [1776] = 1764,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1770,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1770,
  [1784] = 1778,
  [1785] = 1785,
  [1786] = 1750,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1739,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1743,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1787,
  [1800] = 1797,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1732,
  [1806] = 1743,
  [1807] = 1735,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1735,
  [1815] = 1740,
  [1816] = 1816,
  [1817] = 1811,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1750,
  [1821] = 1813,
  [1822] = 1822,
  [1823] = 1734,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1832,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1829,
  [1840] = 1830,
  [1841] = 1829,
  [1842] = 1842,
  [1843] = 1824,
  [1844] = 1835,
  [1845] = 1845,
  [1846] = 1831,
  [1847] = 1826,
  [1848] = 1826,
  [1849] = 1849,
  [1850] = 1835,
  [1851] = 1851,
  [1852] = 1827,
  [1853] = 1831,
  [1854] = 1845,
  [1855] = 1835,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1832,
  [1859] = 1859,
  [1860] = 1845,
  [1861] = 1861,
  [1862] = 1845,
  [1863] = 1863,
  [1864] = 1864,
  [1865] = 1830,
  [1866] = 1832,
  [1867] = 1824,
  [1868] = 1824,
  [1869] = 1869,
  [1870] = 1827,
  [1871] = 1827,
  [1872] = 1827,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1824,
  [1877] = 1863,
  [1878] = 1832,
  [1879] = 1879,
  [1880] = 1837,
  [1881] = 1837,
  [1882] = 1830,
  [1883] = 1824,
  [1884] = 1835,
  [1885] = 1845,
  [1886] = 1886,
  [1887] = 1829,
  [1888] = 1833,
  [1889] = 1833,
  [1890] = 1833,
  [1891] = 1831,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1845,
  [1897] = 1897,
  [1898] = 1829,
  [1899] = 1837,
  [1900] = 1829,
  [1901] = 1833,
  [1902] = 1826,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1830,
  [1906] = 1845,
  [1907] = 1907,
  [1908] = 1832,
  [1909] = 1833,
  [1910] = 1837,
  [1911] = 1837,
  [1912] = 1833,
  [1913] = 1845,
  [1914] = 1914,
  [1915] = 1833,
  [1916] = 1849,
  [1917] = 1835,
  [1918] = 1918,
  [1919] = 1845,
  [1920] = 1833,
  [1921] = 1826,
  [1922] = 1849,
  [1923] = 1826,
  [1924] = 1831,
  [1925] = 1925,
  [1926] = 1926,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1932,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1928,
  [1936] = 1933,
  [1937] = 1937,
  [1938] = 1938,
  [1939] = 1939,
  [1940] = 1940,
  [1941] = 1934,
  [1942] = 1942,
  [1943] = 1943,
  [1944] = 1928,
  [1945] = 1945,
  [1946] = 1933,
  [1947] = 1947,
  [1948] = 1934,
  [1949] = 1949,
  [1950] = 1928,
  [1951] = 1945,
  [1952] = 1933,
  [1953] = 1947,
  [1954] = 1934,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1945,
  [1970] = 1970,
  [1971] = 1971,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 1974,
  [1975] = 1975,
  [1976] = 1926,
  [1977] = 1977,
  [1978] = 1978,
  [1979] = 1979,
  [1980] = 1980,
  [1981] = 1981,
  [1982] = 1982,
  [1983] = 1983,
  [1984] = 1928,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 1987,
  [1988] = 1945,
  [1989] = 1956,
  [1990] = 1933,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 1947,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1359,
  [1998] = 1998,
  [1999] = 1999,
  [2000] = 1927,
  [2001] = 2001,
  [2002] = 2002,
  [2003] = 2003,
  [2004] = 2004,
  [2005] = 2005,
  [2006] = 2006,
  [2007] = 1934,
  [2008] = 1931,
  [2009] = 2009,
  [2010] = 2010,
  [2011] = 2011,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 1959,
  [2015] = 2015,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 2018,
  [2019] = 1966,
  [2020] = 1937,
  [2021] = 1968,
  [2022] = 2022,
  [2023] = 1972,
  [2024] = 2024,
  [2025] = 2025,
  [2026] = 2026,
  [2027] = 1999,
  [2028] = 1927,
  [2029] = 2029,
  [2030] = 1973,
  [2031] = 2029,
  [2032] = 2032,
  [2033] = 1965,
  [2034] = 1970,
  [2035] = 1931,
  [2036] = 776,
  [2037] = 2032,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 775,
  [2045] = 1966,
  [2046] = 2046,
  [2047] = 1968,
  [2048] = 1979,
  [2049] = 1977,
  [2050] = 1983,
  [2051] = 1928,
  [2052] = 1959,
  [2053] = 1999,
  [2054] = 1927,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 2013,
  [2058] = 1945,
  [2059] = 1931,
  [2060] = 2060,
  [2061] = 1965,
  [2062] = 2012,
  [2063] = 2010,
  [2064] = 2005,
  [2065] = 1933,
  [2066] = 1934,
  [2067] = 2067,
  [2068] = 1358,
  [2069] = 2006,
  [2070] = 1999,
  [2071] = 1999,
  [2072] = 1947,
  [2073] = 1995,
  [2074] = 1999,
  [2075] = 1999,
  [2076] = 1999,
  [2077] = 1996,
  [2078] = 2005,
  [2079] = 2003,
  [2080] = 1996,
  [2081] = 2081,
  [2082] = 1995,
  [2083] = 2003,
  [2084] = 2084,
  [2085] = 1959,
  [2086] = 2086,
  [2087] = 2087,
  [2088] = 2006,
  [2089] = 1970,
  [2090] = 1947,
  [2091] = 2006,
  [2092] = 2092,
  [2093] = 2093,
  [2094] = 2041,
  [2095] = 1934,
  [2096] = 2096,
  [2097] = 2097,
  [2098] = 2010,
  [2099] = 1933,
  [2100] = 1956,
  [2101] = 2012,
  [2102] = 2013,
  [2103] = 1959,
  [2104] = 2104,
  [2105] = 1966,
  [2106] = 1968,
  [2107] = 1937,
  [2108] = 1972,
  [2109] = 1977,
  [2110] = 1983,
  [2111] = 2111,
  [2112] = 2112,
  [2113] = 1928,
  [2114] = 1945,
  [2115] = 1973,
  [2116] = 1365,
  [2117] = 2029,
  [2118] = 2118,
  [2119] = 2032,
  [2120] = 1965,
  [2121] = 2121,
  [2122] = 2122,
  [2123] = 1928,
  [2124] = 2112,
  [2125] = 1970,
  [2126] = 2111,
  [2127] = 2118,
  [2128] = 2018,
  [2129] = 1945,
  [2130] = 2130,
  [2131] = 1968,
  [2132] = 1983,
  [2133] = 2081,
  [2134] = 2041,
  [2135] = 1977,
  [2136] = 2104,
  [2137] = 2092,
  [2138] = 1977,
  [2139] = 2139,
  [2140] = 1983,
  [2141] = 2141,
  [2142] = 1928,
  [2143] = 2143,
  [2144] = 2041,
  [2145] = 2092,
  [2146] = 1970,
  [2147] = 1945,
  [2148] = 2148,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 1968,
  [2152] = 1956,
  [2153] = 2092,
  [2154] = 2154,
  [2155] = 1962,
  [2156] = 1965,
  [2157] = 1933,
  [2158] = 2056,
  [2159] = 1350,
  [2160] = 2081,
  [2161] = 2097,
  [2162] = 1956,
  [2163] = 2006,
  [2164] = 2164,
  [2165] = 1947,
  [2166] = 1933,
  [2167] = 2032,
  [2168] = 2029,
  [2169] = 1999,
  [2170] = 1995,
  [2171] = 1996,
  [2172] = 2092,
  [2173] = 2022,
  [2174] = 1947,
  [2175] = 1995,
  [2176] = 2003,
  [2177] = 2005,
  [2178] = 1996,
  [2179] = 2179,
  [2180] = 1973,
  [2181] = 1972,
  [2182] = 2006,
  [2183] = 2067,
  [2184] = 1934,
  [2185] = 2003,
  [2186] = 1937,
  [2187] = 2005,
  [2188] = 2010,
  [2189] = 2189,
  [2190] = 1932,
  [2191] = 2006,
  [2192] = 2192,
  [2193] = 2193,
  [2194] = 2084,
  [2195] = 1931,
  [2196] = 2012,
  [2197] = 2006,
  [2198] = 2013,
  [2199] = 2081,
  [2200] = 2067,
  [2201] = 1959,
  [2202] = 1934,
  [2203] = 2081,
  [2204] = 2010,
  [2205] = 1993,
  [2206] = 2081,
  [2207] = 2207,
  [2208] = 2012,
  [2209] = 2209,
  [2210] = 2193,
  [2211] = 2013,
  [2212] = 1927,
  [2213] = 2192,
};

static inline bool sym_number_literal_character_set_1(int32_t c) {
  return (c < 'b'
    ? (c < 'L'
      ? (c < 'D'
        ? c == 'B'
        : c <= 'F')
      : (c <= 'L' || (c < 'W'
        ? c == 'U'
        : c <= 'W')))
    : (c <= 'b' || (c < 'u'
      ? (c < 'l'
        ? (c >= 'd' && c <= 'f')
        : c <= 'l')
      : (c <= 'u' || c == 'w'))));
}

static inline bool sym_number_literal_character_set_2(int32_t c) {
  return (c < 'b'
    ? (c < 'L'
      ? (c < 'D'
        ? c == 'B'
        : (c <= 'D' || c == 'F'))
      : (c <= 'L' || (c < 'W'
        ? c == 'U'
        : c <= 'W')))
    : (c <= 'b' || (c < 'l'
      ? (c < 'f'
        ? c == 'd'
        : c <= 'f')
      : (c <= 'l' || (c < 'w'
        ? c == 'u'
        : c <= 'w')))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43488
    ? (c < 4159
      ? (c < 2654
        ? (c < 1808
          ? (c < 895
            ? (c < 192
              ? (c < 'a'
                ? (c < 'M'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'K')
                  : (c <= 'T' || (c < '_'
                    ? (c >= 'V' && c <= 'Z')
                    : c <= '_')))
                : (c <= 't' || (c < 181
                  ? (c < 170
                    ? (c >= 'v' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || c == 186))))
              : (c <= 214 || (c < 748
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))
                : (c <= 748 || (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))))))
            : (c <= 895 || (c < 1488
              ? (c < 1015
                ? (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))
                : (c <= 1153 || (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c >= 1376 && c <= 1416)))))
              : (c <= 1514 || (c < 1749
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))
                : (c <= 1749 || (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))))))))
          : (c <= 1808 || (c < 2437
            ? (c < 2112
              ? (c < 2042
                ? (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)))
                : (c <= 2042 || (c < 2084
                  ? (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)
                  : (c <= 2084 || c == 2088))))
              : (c <= 2136 || (c < 2308
                ? (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))
                : (c <= 2361 || (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))))))
            : (c <= 2444 || (c < 2544
              ? (c < 2486
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))
                : (c <= 2489 || (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))))
              : (c <= 2545 || (c < 2602
                ? (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))))))))))
        : (c <= 2654 || (c < 3205
          ? (c < 2929
            ? (c < 2809
              ? (c < 2738
                ? (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))
                : (c <= 2739 || (c < 2768
                  ? (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)
                  : (c <= 2768 || (c >= 2784 && c <= 2785)))))
              : (c <= 2809 || (c < 2866
                ? (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))
                : (c <= 2867 || (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))))))
            : (c <= 2929 || (c < 3024
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c >= 2990 && c <= 3001)))))
              : (c <= 3024 || (c < 3133
                ? (c < 3090
                  ? (c < 3086
                    ? (c >= 3077 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c >= 3114 && c <= 3129)))
                : (c <= 3133 || (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3169 || c == 3200))))))))
          : (c <= 3212 || (c < 3520
            ? (c < 3346
              ? (c < 3293
                ? (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)))
                : (c <= 3294 || (c < 3332
                  ? (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)
                  : (c <= 3340 || (c >= 3342 && c <= 3344)))))
              : (c <= 3386 || (c < 3450
                ? (c < 3412
                  ? (c < 3406
                    ? c == 3389
                    : c <= 3406)
                  : (c <= 3414 || (c >= 3423 && c <= 3425)))
                : (c <= 3455 || (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || c == 3517))))))
            : (c <= 3526 || (c < 3762
              ? (c < 3716
                ? (c < 3648
                  ? (c < 3634
                    ? (c >= 3585 && c <= 3632)
                    : c <= 3634)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3760)))))
              : (c <= 3762 || (c < 3840
                ? (c < 3782
                  ? (c < 3776
                    ? c == 3773
                    : c <= 3780)
                  : (c <= 3782 || (c >= 3804 && c <= 3807)))
                : (c <= 3840 || (c < 3976
                  ? (c < 3913
                    ? (c >= 3904 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3980 || (c >= 4096 && c <= 4138)))))))))))))
      : (c <= 4159 || (c < 8126
        ? (c < 6103
          ? (c < 4792
            ? (c < 4304
              ? (c < 4213
                ? (c < 4193
                  ? (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)
                  : (c <= 4193 || (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)))
                : (c <= 4225 || (c < 4295
                  ? (c < 4256
                    ? c == 4238
                    : c <= 4293)
                  : (c <= 4295 || c == 4301))))
              : (c <= 4346 || (c < 4698
                ? (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || c == 4696))
                : (c <= 4701 || (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c >= 4786 && c <= 4789)))))))
            : (c <= 4798 || (c < 5743
              ? (c < 4888
                ? (c < 4808
                  ? (c < 4802
                    ? c == 4800
                    : c <= 4805)
                  : (c <= 4822 || (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)))
                : (c <= 4954 || (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))))
              : (c <= 5759 || (c < 5919
                ? (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c >= 5888 && c <= 5905)))
                : (c <= 5937 || (c < 5998
                  ? (c < 5984
                    ? (c >= 5952 && c <= 5969)
                    : c <= 5996)
                  : (c <= 6000 || (c >= 6016 && c <= 6067)))))))))
          : (c <= 6103 || (c < 7258
            ? (c < 6656
              ? (c < 6400
                ? (c < 6272
                  ? (c < 6176
                    ? c == 6108
                    : c <= 6264)
                  : (c <= 6312 || (c < 6320
                    ? c == 6314
                    : c <= 6389)))
                : (c <= 6430 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c >= 6576 && c <= 6601)))))
              : (c <= 6678 || (c < 7043
                ? (c < 6917
                  ? (c < 6823
                    ? (c >= 6688 && c <= 6740)
                    : c <= 6823)
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))
                : (c <= 7072 || (c < 7168
                  ? (c < 7098
                    ? (c >= 7086 && c <= 7087)
                    : c <= 7141)
                  : (c <= 7203 || (c >= 7245 && c <= 7247)))))))
            : (c <= 7293 || (c < 7960
              ? (c < 7406
                ? (c < 7357
                  ? (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)
                  : (c <= 7359 || (c >= 7401 && c <= 7404)))
                : (c <= 7411 || (c < 7424
                  ? (c < 7418
                    ? (c >= 7413 && c <= 7414)
                    : c <= 7418)
                  : (c <= 7615 || (c >= 7680 && c <= 7957)))))
              : (c <= 7965 || (c < 8027
                ? (c < 8016
                  ? (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)
                  : (c <= 8023 || c == 8025))
                : (c <= 8027 || (c < 8064
                  ? (c < 8031
                    ? c == 8029
                    : c <= 8061)
                  : (c <= 8116 || (c >= 8118 && c <= 8124)))))))))))
        : (c <= 8126 || (c < 12293
          ? (c < 8517
            ? (c < 8450
              ? (c < 8178
                ? (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))
                : (c <= 8180 || (c < 8319
                  ? (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)
                  : (c <= 8319 || (c >= 8336 && c <= 8348)))))
              : (c <= 8450 || (c < 8484
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c >= 8472 && c <= 8477)))
                : (c <= 8484 || (c < 8490
                  ? (c < 8488
                    ? c == 8486
                    : c <= 8488)
                  : (c <= 8505 || (c >= 8508 && c <= 8511)))))))
            : (c <= 8521 || (c < 11631
              ? (c < 11506
                ? (c < 11264
                  ? (c < 8544
                    ? c == 8526
                    : c <= 8584)
                  : (c <= 11492 || (c >= 11499 && c <= 11502)))
                : (c <= 11507 || (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c >= 11568 && c <= 11623)))))
              : (c <= 11631 || (c < 11704
                ? (c < 11688
                  ? (c < 11680
                    ? (c >= 11648 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c >= 11696 && c <= 11702)))
                : (c <= 11710 || (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c >= 11736 && c <= 11742)))))))))
          : (c <= 12295 || (c < 42775
            ? (c < 12784
              ? (c < 12449
                ? (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12329)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)))
                : (c <= 12538 || (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c >= 12704 && c <= 12735)))))
              : (c <= 12799 || (c < 42512
                ? (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c >= 42240 && c <= 42508)))
                : (c <= 42527 || (c < 42623
                  ? (c < 42560
                    ? (c >= 42538 && c <= 42539)
                    : c <= 42606)
                  : (c <= 42653 || (c >= 42656 && c <= 42735)))))))
            : (c <= 42783 || (c < 43072
              ? (c < 42965
                ? (c < 42960
                  ? (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)
                  : (c <= 42961 || c == 42963))
                : (c <= 42969 || (c < 43015
                  ? (c < 43011
                    ? (c >= 42994 && c <= 43009)
                    : c <= 43013)
                  : (c <= 43018 || (c >= 43020 && c <= 43042)))))
              : (c <= 43123 || (c < 43274
                ? (c < 43259
                  ? (c < 43250
                    ? (c >= 43138 && c <= 43187)
                    : c <= 43255)
                  : (c <= 43259 || (c >= 43261 && c <= 43262)))
                : (c <= 43301 || (c < 43396
                  ? (c < 43360
                    ? (c >= 43312 && c <= 43334)
                    : c <= 43388)
                  : (c <= 43442 || c == 43471))))))))))))))
    : (c <= 43492 || (c < 70656
      ? (c < 66940
        ? (c < 64848
          ? (c < 43816
            ? (c < 43705
              ? (c < 43616
                ? (c < 43520
                  ? (c < 43514
                    ? (c >= 43494 && c <= 43503)
                    : c <= 43518)
                  : (c <= 43560 || (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)))
                : (c <= 43638 || (c < 43697
                  ? (c < 43646
                    ? c == 43642
                    : c <= 43695)
                  : (c <= 43697 || (c >= 43701 && c <= 43702)))))
              : (c <= 43709 || (c < 43762
                ? (c < 43739
                  ? (c < 43714
                    ? c == 43712
                    : c <= 43714)
                  : (c <= 43741 || (c >= 43744 && c <= 43754)))
                : (c <= 43764 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c >= 43808 && c <= 43814)))))))
            : (c <= 43822 || (c < 64285
              ? (c < 55243
                ? (c < 43888
                  ? (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)
                  : (c <= 44002 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c >= 64275 && c <= 64279)))))
              : (c <= 64285 || (c < 64320
                ? (c < 64312
                  ? (c < 64298
                    ? (c >= 64287 && c <= 64296)
                    : c <= 64310)
                  : (c <= 64316 || c == 64318))
                : (c <= 64321 || (c < 64467
                  ? (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)
                  : (c <= 64605 || (c >= 64612 && c <= 64829)))))))))
          : (c <= 64911 || (c < 65596
            ? (c < 65345
              ? (c < 65145
                ? (c < 65137
                  ? (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c >= 65313 && c <= 65338)))))
              : (c <= 65370 || (c < 65490
                ? (c < 65474
                  ? (c < 65440
                    ? (c >= 65382 && c <= 65437)
                    : c <= 65470)
                  : (c <= 65479 || (c >= 65482 && c <= 65487)))
                : (c <= 65495 || (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c >= 65576 && c <= 65594)))))))
            : (c <= 65597 || (c < 66432
              ? (c < 66176
                ? (c < 65664
                  ? (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)
                  : (c <= 65786 || (c >= 65856 && c <= 65908)))
                : (c <= 66204 || (c < 66349
                  ? (c < 66304
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66335)
                  : (c <= 66378 || (c >= 66384 && c <= 66421)))))
              : (c <= 66461 || (c < 66736
                ? (c < 66513
                  ? (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)
                  : (c <= 66517 || (c >= 66560 && c <= 66717)))
                : (c <= 66771 || (c < 66864
                  ? (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)
                  : (c <= 66915 || (c >= 66928 && c <= 66938)))))))))))
        : (c <= 66954 || (c < 68800
          ? (c < 67808
            ? (c < 67463
              ? (c < 67003
                ? (c < 66967
                  ? (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)
                  : (c <= 66977 || (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)))
                : (c <= 67004 || (c < 67424
                  ? (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)
                  : (c <= 67431 || (c >= 67456 && c <= 67461)))))
              : (c <= 67504 || (c < 67639
                ? (c < 67592
                  ? (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c >= 67712 && c <= 67742)))))))
            : (c <= 67826 || (c < 68192
              ? (c < 68030
                ? (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c >= 67968 && c <= 68023)))
                : (c <= 68031 || (c < 68117
                  ? (c < 68112
                    ? c == 68096
                    : c <= 68115)
                  : (c <= 68119 || (c >= 68121 && c <= 68149)))))
              : (c <= 68220 || (c < 68416
                ? (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68324 || (c >= 68352 && c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))))))
          : (c <= 68850 || (c < 70081
            ? (c < 69745
              ? (c < 69424
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))
                : (c <= 69445 || (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69505)
                    : c <= 69572)
                  : (c <= 69622 || (c >= 69635 && c <= 69687)))))
              : (c <= 69746 || (c < 69956
                ? (c < 69840
                  ? (c < 69763
                    ? c == 69749
                    : c <= 69807)
                  : (c <= 69864 || (c >= 69891 && c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))))
            : (c <= 70084 || (c < 70320
              ? (c < 70272
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70278 || (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c >= 70303 && c <= 70312)))))
              : (c <= 70366 || (c < 70450
                ? (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c >= 70442 && c <= 70448)))
                : (c <= 70451 || (c < 70480
                  ? (c < 70461
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70461)
                  : (c <= 70480 || (c >= 70493 && c <= 70497)))))))))))))
      : (c <= 70708 || (c < 119894
        ? (c < 73056
          ? (c < 71999
            ? (c < 71352
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70751
                    ? (c >= 70727 && c <= 70730)
                    : c <= 70753)
                  : (c <= 70831 || (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)))
                : (c <= 71086 || (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)
                  : (c <= 71236 || (c >= 71296 && c <= 71338)))))
              : (c <= 71352 || (c < 71935
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)
                  : (c <= 71723 || (c >= 71840 && c <= 71903)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c >= 71960 && c <= 71983)))))))
            : (c <= 71999 || (c < 72349
              ? (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? c == 72001
                    : c <= 72103)
                  : (c <= 72144 || (c < 72163
                    ? c == 72161
                    : c <= 72163)))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43494
    ? (c < 4186
      ? (c < 2703
        ? (c < 1969
          ? (c < 908
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))))
              : (c <= 721 || (c < 886
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c >= 880 && c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 902 || (c >= 904 && c <= 906)))))))
            : (c <= 908 || (c < 1646
              ? (c < 1369
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1519
                  ? (c < 1488
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))))
              : (c <= 1647 || (c < 1786
                ? (c < 1765
                  ? (c < 1749
                    ? (c >= 1649 && c <= 1747)
                    : c <= 1749)
                  : (c <= 1766 || (c >= 1774 && c <= 1775)))
                : (c <= 1788 || (c < 1810
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1808)
                  : (c <= 1839 || (c >= 1869 && c <= 1957)))))))))
          : (c <= 1969 || (c < 2474
            ? (c < 2185
              ? (c < 2084
                ? (c < 2042
                  ? (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)
                  : (c <= 2042 || (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)))
                : (c <= 2084 || (c < 2144
                  ? (c < 2112
                    ? c == 2088
                    : c <= 2136)
                  : (c <= 2154 || (c >= 2160 && c <= 2183)))))
              : (c <= 2190 || (c < 2392
                ? (c < 2365
                  ? (c < 2308
                    ? (c >= 2208 && c <= 2249)
                    : c <= 2361)
                  : (c <= 2365 || c == 2384))
                : (c <= 2401 || (c < 2447
                  ? (c < 2437
                    ? (c >= 2417 && c <= 2432)
                    : c <= 2444)
                  : (c <= 2448 || (c >= 2451 && c <= 2472)))))))
            : (c <= 2480 || (c < 2575
              ? (c < 2524
                ? (c < 2493
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2493 || c == 2510))
                : (c <= 2525 || (c < 2556
                  ? (c < 2544
                    ? (c >= 2527 && c <= 2529)
                    : c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))))
              : (c <= 2576 || (c < 2616
                ? (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c >= 2613 && c <= 2614)))
                : (c <= 2617 || (c < 2674
                  ? (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)
                  : (c <= 2676 || (c >= 2693 && c <= 2701)))))))))))
        : (c <= 2705 || (c < 3218
          ? (c < 2958
            ? (c < 2835
              ? (c < 2768
                ? (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)))
                : (c <= 2768 || (c < 2821
                  ? (c < 2809
                    ? (c >= 2784 && c <= 2785)
                    : c <= 2809)
                  : (c <= 2828 || (c >= 2831 && c <= 2832)))))
              : (c <= 2856 || (c < 2908
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || c == 2877))
                : (c <= 2909 || (c < 2947
                  ? (c < 2929
                    ? (c >= 2911 && c <= 2913)
                    : c <= 2929)
                  : (c <= 2947 || (c >= 2949 && c <= 2954)))))))
            : (c <= 2960 || (c < 3086
              ? (c < 2979
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c >= 2974 && c <= 2975)))
                : (c <= 2980 || (c < 3024
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))))
              : (c <= 3088 || (c < 3165
                ? (c < 3133
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3133 || (c >= 3160 && c <= 3162)))
                : (c <= 3165 || (c < 3205
                  ? (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)
                  : (c <= 3212 || (c >= 3214 && c <= 3216)))))))))
          : (c <= 3240 || (c < 3634
            ? (c < 3406
              ? (c < 3313
                ? (c < 3261
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3261 || (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3332 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3386 || c == 3389))))
              : (c <= 3406 || (c < 3482
                ? (c < 3450
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3414)
                    : c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c >= 3585 && c <= 3632)))))))
            : (c <= 3634 || (c < 3776
              ? (c < 3724
                ? (c < 3716
                  ? (c < 3713
                    ? (c >= 3648 && c <= 3654)
                    : c <= 3714)
                  : (c <= 3716 || (c >= 3718 && c <= 3722)))
                : (c <= 3747 || (c < 3762
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3760)
                  : (c <= 3762 || c == 3773))))
              : (c <= 3780 || (c < 3913
                ? (c < 3840
                  ? (c < 3804
                    ? c == 3782
                    : c <= 3807)
                  : (c <= 3840 || (c >= 3904 && c <= 3911)))
                : (c <= 3948 || (c < 4159
                  ? (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)
                  : (c <= 4159 || (c >= 4176 && c <= 4181)))))))))))))
      : (c <= 4189 || (c < 8130
        ? (c < 6108
          ? (c < 4802
            ? (c < 4682
              ? (c < 4256
                ? (c < 4206
                  ? (c < 4197
                    ? c == 4193
                    : c <= 4198)
                  : (c <= 4208 || (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c >= 4348 && c <= 4680)))))
              : (c <= 4685 || (c < 4746
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || c == 4800))))))
            : (c <= 4805 || (c < 5761
              ? (c < 4992
                ? (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c >= 4888 && c <= 4954)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c >= 5743 && c <= 5759)))))
              : (c <= 5786 || (c < 5952
                ? (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5905 || (c >= 5919 && c <= 5937)))
                : (c <= 5969 || (c < 6016
                  ? (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)
                  : (c <= 6067 || c == 6103))))))))
          : (c <= 6108 || (c < 7296
            ? (c < 6688
              ? (c < 6480
                ? (c < 6314
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6312)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c >= 6656 && c <= 6678)))))
              : (c <= 6740 || (c < 7086
                ? (c < 6981
                  ? (c < 6917
                    ? c == 6823
                    : c <= 6963)
                  : (c <= 6988 || (c >= 7043 && c <= 7072)))
                : (c <= 7087 || (c < 7245
                  ? (c < 7168
                    ? (c >= 7098 && c <= 7141)
                    : c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))))))
            : (c <= 7304 || (c < 7968
              ? (c < 7413
                ? (c < 7401
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7404 || (c >= 7406 && c <= 7411)))
                : (c <= 7414 || (c < 7680
                  ? (c < 7424
                    ? c == 7418
                    : c <= 7615)
                  : (c <= 7957 || (c >= 7960 && c <= 7965)))))
              : (c <= 8005 || (c < 8029
                ? (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))
                : (c <= 8029 || (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || c == 8126))))))))))
        : (c <= 8132 || (c < 12321
          ? (c < 8526
            ? (c < 8455
              ? (c < 8182
                ? (c < 8150
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)
                  : (c <= 8155 || (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)))
                : (c <= 8188 || (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || c == 8450))))
              : (c <= 8455 || (c < 8486
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || c == 8484))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c >= 8517 && c <= 8521)))))))
            : (c <= 8526 || (c < 11648
              ? (c < 11520
                ? (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))
                : (c <= 11557 || (c < 11568
                  ? (c < 11565
                    ? c == 11559
                    : c <= 11565)
                  : (c <= 11623 || c == 11631))))
              : (c <= 11670 || (c < 11712
                ? (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c >= 11704 && c <= 11710)))
                : (c <= 11718 || (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c >= 12293 && c <= 12295)))))))))
          : (c <= 12329 || (c < 42786
            ? (c < 13312
              ? (c < 12540
                ? (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))
                : (c <= 12543 || (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c >= 12784 && c <= 12799)))))
              : (c <= 19903 || (c < 42538
                ? (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c >= 42512 && c <= 42527)))
                : (c <= 42539 || (c < 42656
                  ? (c < 42623
                    ? (c >= 42560 && c <= 42606)
                    : c <= 42653)
                  : (c <= 42735 || (c >= 42775 && c <= 42783)))))))
            : (c <= 42888 || (c < 43138
              ? (c < 42994
                ? (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c >= 42965 && c <= 42969)))
                : (c <= 43009 || (c < 43020
                  ? (c < 43015
                    ? (c >= 43011 && c <= 43013)
                    : c <= 43018)
                  : (c <= 43042 || (c >= 43072 && c <= 43123)))))
              : (c <= 43187 || (c < 43312
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43250 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43262 || (c >= 43274 && c <= 43301)))
                : (c <= 43334 || (c < 43471
                  ? (c < 43396
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43442)
                  : (c <= 43471 || (c >= 43488 && c <= 43492)))))))))))))))
    : (c <= 43503 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43824
            ? (c < 43712
              ? (c < 43642
                ? (c < 43584
                  ? (c < 43520
                    ? (c >= 43514 && c <= 43518)
                    : c <= 43560)
                  : (c <= 43586 || (c < 43616
                    ? (c >= 43588 && c <= 43595)
                    : c <= 43638)))
                : (c <= 43642 || (c < 43701
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : c <= 43697)
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))))
              : (c <= 43712 || (c < 43777
                ? (c < 43744
                  ? (c < 43739
                    ? c == 43714
                    : c <= 43741)
                  : (c <= 43754 || (c >= 43762 && c <= 43764)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c >= 43816 && c <= 43822)))))))
            : (c <= 43866 || (c < 64287
              ? (c < 63744
                ? (c < 44032
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44002)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(144);
      if (lookahead == '!') ADVANCE(219);
      if (lookahead == '"') ADVANCE(318);
      if (lookahead == '#') ADVANCE(86);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(342);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(245);
      if (lookahead == '\'') ADVANCE(309);
      if (lookahead == '(') ADVANCE(148);
      if (lookahead == ')') ADVANCE(151);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(227);
      if (lookahead == ',') ADVANCE(150);
      if (lookahead == '-') ADVANCE(222);
      if (lookahead == '.') ADVANCE(285);
      if (lookahead == '/') ADVANCE(234);
      if (lookahead == '0') ADVANCE(291);
      if (lookahead == ':') ADVANCE(269);
      if (lookahead == ';') ADVANCE(258);
      if (lookahead == '<') ADVANCE(252);
      if (lookahead == '=') ADVANCE(268);
      if (lookahead == '>') ADVANCE(248);
      if (lookahead == '?') ADVANCE(270);
      if (lookahead == 'L') ADVANCE(330);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == '[') ADVANCE(265);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(266);
      if (lookahead == '^') ADVANCE(242);
      if (lookahead == 'u') ADVANCE(334);
      if (lookahead == '{') ADVANCE(262);
      if (lookahead == '|') ADVANCE(239);
      if (lookahead == '}') ADVANCE(263);
      if (lookahead == '~') ADVANCE(220);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(142)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(50)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(50)
      if (lookahead == '\r') SKIP(1)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(54)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(54)
      if (lookahead == '\r') SKIP(3)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(53)
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(53)
      if (lookahead == '\r') SKIP(5)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(56)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(56)
      if (lookahead == '\r') SKIP(7)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(52)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(52)
      if (lookahead == '\r') SKIP(9)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(58)
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(58)
      if (lookahead == '\r') SKIP(11)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(62)
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(62)
      if (lookahead == '\r') SKIP(13)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(63)
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(63)
      if (lookahead == '\r') SKIP(15)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(68)
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(68)
      if (lookahead == '\r') SKIP(17)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(67)
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(67)
      if (lookahead == '\r') SKIP(19)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(61)
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(61)
      if (lookahead == '\r') SKIP(21)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(60)
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(60)
      if (lookahead == '\r') SKIP(23)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(59)
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(59)
      if (lookahead == '\r') SKIP(25)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(64)
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(64)
      if (lookahead == '\r') SKIP(27)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(57)
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(57)
      if (lookahead == '\r') SKIP(29)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(33)
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(33)
      if (lookahead == '\r') SKIP(31)
      END_STATE();
    case 33:
      if (lookahead == '\n') ADVANCE(154);
      if (lookahead == '!') ADVANCE(79);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == '&') ADVANCE(244);
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == '*') ADVANCE(231);
      if (lookahead == '+') ADVANCE(226);
      if (lookahead == '-') ADVANCE(221);
      if (lookahead == '/') ADVANCE(233);
      if (lookahead == '<') ADVANCE(253);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(249);
      if (lookahead == '\\') SKIP(32)
      if (lookahead == '^') ADVANCE(241);
      if (lookahead == '|') ADVANCE(240);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33)
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(66)
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(66)
      if (lookahead == '\r') SKIP(34)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 36:
      if (lookahead == '\n') ADVANCE(146);
      if (lookahead == '\r') ADVANCE(40);
      if (lookahead == '(') ADVANCE(148);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead == '\\') ADVANCE(174);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(77)
      if (lookahead != 0) ADVANCE(177);
      END_STATE();
    case 37:
      if (lookahead == '\n') ADVANCE(146);
      if (lookahead == '\r') ADVANCE(40);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead == '\\') ADVANCE(174);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(77)
      if (lookahead != 0) ADVANCE(177);
      END_STATE();
    case 38:
      if (lookahead == '\n') ADVANCE(146);
      if (lookahead == '\r') ADVANCE(39);
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == '/') ADVANCE(71);
      if (lookahead == '\\') SKIP(45)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(70)
      END_STATE();
    case 39:
      if (lookahead == '\n') ADVANCE(146);
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == '/') ADVANCE(71);
      if (lookahead == '\\') SKIP(45)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70)
      END_STATE();
    case 40:
      if (lookahead == '\n') ADVANCE(146);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead == '\\') ADVANCE(174);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77)
      if (lookahead != 0) ADVANCE(177);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(65)
      if (lookahead == '"') ADVANCE(318);
      if (lookahead == '/') ADVANCE(319);
      if (lookahead == '\\') ADVANCE(42);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(322);
      if (lookahead != 0) ADVANCE(323);
      END_STATE();
    case 42:
      if (lookahead == '\n') ADVANCE(325);
      if (lookahead == '\r') ADVANCE(324);
      if (lookahead == 'U') ADVANCE(139);
      if (lookahead == 'u') ADVANCE(131);
      if (lookahead == 'x') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(327);
      if (lookahead != 0) ADVANCE(324);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(69)
      if (lookahead == '\'') ADVANCE(309);
      if (lookahead == '/') ADVANCE(312);
      if (lookahead == '\\') ADVANCE(311);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(313);
      if (lookahead != 0) ADVANCE(310);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(70)
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(70)
      if (lookahead == '\r') SKIP(44)
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(51)
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(51)
      if (lookahead == '\r') SKIP(46)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(55)
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(55)
      if (lookahead == '\r') SKIP(48)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 50:
      if (lookahead == '!') ADVANCE(219);
      if (lookahead == '"') ADVANCE(318);
      if (lookahead == '#') ADVANCE(86);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(342);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(245);
      if (lookahead == '\'') ADVANCE(309);
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == ')') ADVANCE(151);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(227);
      if (lookahead == ',') ADVANCE(150);
      if (lookahead == '-') ADVANCE(222);
      if (lookahead == '.') ADVANCE(285);
      if (lookahead == '/') ADVANCE(234);
      if (lookahead == '0') ADVANCE(291);
      if (lookahead == ':') ADVANCE(269);
      if (lookahead == ';') ADVANCE(258);
      if (lookahead == '<') ADVANCE(252);
      if (lookahead == '=') ADVANCE(268);
      if (lookahead == '>') ADVANCE(248);
      if (lookahead == '?') ADVANCE(270);
      if (lookahead == 'L') ADVANCE(330);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == '[') ADVANCE(265);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(266);
      if (lookahead == '^') ADVANCE(242);
      if (lookahead == 'u') ADVANCE(334);
      if (lookahead == '{') ADVANCE(262);
      if (lookahead == '|') ADVANCE(239);
      if (lookahead == '}') ADVANCE(263);
      if (lookahead == '~') ADVANCE(220);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 51:
      if (lookahead == '!') ADVANCE(219);
      if (lookahead == '"') ADVANCE(318);
      if (lookahead == '#') ADVANCE(98);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(342);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(245);
      if (lookahead == '\'') ADVANCE(309);
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == ')') ADVANCE(151);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(227);
      if (lookahead == ',') ADVANCE(150);
      if (lookahead == '-') ADVANCE(222);
      if (lookahead == '.') ADVANCE(285);
      if (lookahead == '/') ADVANCE(234);
      if (lookahead == '0') ADVANCE(291);
      if (lookahead == ':') ADVANCE(269);
      if (lookahead == ';') ADVANCE(258);
      if (lookahead == '<') ADVANCE(252);
      if (lookahead == '=') ADVANCE(268);
      if (lookahead == '>') ADVANCE(248);
      if (lookahead == '?') ADVANCE(270);
      if (lookahead == 'L') ADVANCE(330);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == '[') ADVANCE(264);
      if (lookahead == '\\') ADVANCE(47);
      if (lookahead == ']') ADVANCE(266);
      if (lookahead == '^') ADVANCE(242);
      if (lookahead == 'u') ADVANCE(334);
      if (lookahead == '{') ADVANCE(262);
      if (lookahead == '|') ADVANCE(239);
      if (lookahead == '}') ADVANCE(263);
      if (lookahead == '~') ADVANCE(220);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 52:
      if (lookahead == '!') ADVANCE(219);
      if (lookahead == '"') ADVANCE(318);
      if (lookahead == '#') ADVANCE(104);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(342);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(245);
      if (lookahead == '\'') ADVANCE(309);
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(227);
      if (lookahead == ',') ADVANCE(150);
      if (lookahead == '-') ADVANCE(222);
      if (lookahead == '.') ADVANCE(286);
      if (lookahead == '/') ADVANCE(234);
      if (lookahead == '0') ADVANCE(291);
      if (lookahead == '<') ADVANCE(252);
      if (lookahead == '=') ADVANCE(268);
      if (lookahead == '>') ADVANCE(248);
      if (lookahead == '?') ADVANCE(270);
      if (lookahead == 'L') ADVANCE(330);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == '[') ADVANCE(264);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(242);
      if (lookahead == 'u') ADVANCE(334);
      if (lookahead == '{') ADVANCE(262);
      if (lookahead == '|') ADVANCE(239);
      if (lookahead == '~') ADVANCE(220);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 53:
      if (lookahead == '!') ADVANCE(218);
      if (lookahead == '"') ADVANCE(318);
      if (lookahead == '#') ADVANCE(86);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(342);
      if (lookahead == '&') ADVANCE(243);
      if (lookahead == '\'') ADVANCE(309);
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == '*') ADVANCE(231);
      if (lookahead == '+') ADVANCE(228);
      if (lookahead == ',') ADVANCE(150);
      if (lookahead == '-') ADVANCE(223);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(71);
      if (lookahead == '0') ADVANCE(291);
      if (lookahead == ':') ADVANCE(78);
      if (lookahead == ';') ADVANCE(258);
      if (lookahead == 'L') ADVANCE(330);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(6);
      if (lookahead == ']') ADVANCE(85);
      if (lookahead == 'u') ADVANCE(334);
      if (lookahead == '{') ADVANCE(262);
      if (lookahead == '~') ADVANCE(220);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 54:
      if (lookahead == '!') ADVANCE(218);
      if (lookahead == '"') ADVANCE(318);
      if (lookahead == '#') ADVANCE(92);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(342);
      if (lookahead == '&') ADVANCE(243);
      if (lookahead == '\'') ADVANCE(309);
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == ')') ADVANCE(151);
      if (lookahead == '*') ADVANCE(231);
      if (lookahead == '+') ADVANCE(228);
      if (lookahead == ',') ADVANCE(150);
      if (lookahead == '-') ADVANCE(223);
      if (lookahead == '.') ADVANCE(286);
      if (lookahead == '/') ADVANCE(71);
      if (lookahead == '0') ADVANCE(291);
      if (lookahead == ':') ADVANCE(269);
      if (lookahead == ';') ADVANCE(258);
      if (lookahead == '=') ADVANCE(267);
      if (lookahead == 'L') ADVANCE(330);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == '[') ADVANCE(265);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(266);
      if (lookahead == 'u') ADVANCE(334);
      if (lookahead == '{') ADVANCE(262);
      if (lookahead == '}') ADVANCE(263);
      if (lookahead == '~') ADVANCE(220);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 55:
      if (lookahead == '!') ADVANCE(218);
      if (lookahead == '"') ADVANCE(318);
      if (lookahead == '#') ADVANCE(88);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(342);
      if (lookahead == '&') ADVANCE(243);
      if (lookahead == '\'') ADVANCE(309);
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == '*') ADVANCE(231);
      if (lookahead == '+') ADVANCE(228);
      if (lookahead == '-') ADVANCE(223);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(71);
      if (lookahead == '0') ADVANCE(291);
      if (lookahead == ';') ADVANCE(258);
      if (lookahead == 'L') ADVANCE(330);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(49);
      if (lookahead == 'u') ADVANCE(334);
      if (lookahead == '{') ADVANCE(262);
      if (lookahead == '~') ADVANCE(220);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 56:
      if (lookahead == '!') ADVANCE(218);
      if (lookahead == '"') ADVANCE(318);
      if (lookahead == '#') ADVANCE(90);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(342);
      if (lookahead == '&') ADVANCE(243);
      if (lookahead == '\'') ADVANCE(309);
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == '*') ADVANCE(231);
      if (lookahead == '+') ADVANCE(228);
      if (lookahead == '-') ADVANCE(223);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(71);
      if (lookahead == '0') ADVANCE(291);
      if (lookahead == ';') ADVANCE(258);
      if (lookahead == 'L') ADVANCE(330);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(8);
      if (lookahead == 'u') ADVANCE(334);
      if (lookahead == '{') ADVANCE(262);
      if (lookahead == '~') ADVANCE(220);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 57:
      if (lookahead == '!') ADVANCE(218);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(342);
      if (lookahead == '\'') ADVANCE(309);
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == ')') ADVANCE(151);
      if (lookahead == '+') ADVANCE(230);
      if (lookahead == '-') ADVANCE(225);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(71);
      if (lookahead == '0') ADVANCE(291);
      if (lookahead == 'L') ADVANCE(339);
      if (lookahead == 'U') ADVANCE(340);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(338);
      if (lookahead == '~') ADVANCE(220);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 58:
      if (lookahead == '!') ADVANCE(79);
      if (lookahead == '"') ADVANCE(318);
      if (lookahead == '#') ADVANCE(98);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(342);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(245);
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == ')') ADVANCE(151);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(229);
      if (lookahead == ',') ADVANCE(150);
      if (lookahead == '-') ADVANCE(224);
      if (lookahead == '.') ADVANCE(284);
      if (lookahead == '/') ADVANCE(234);
      if (lookahead == ':') ADVANCE(269);
      if (lookahead == ';') ADVANCE(258);
      if (lookahead == '<') ADVANCE(252);
      if (lookahead == '=') ADVANCE(268);
      if (lookahead == '>') ADVANCE(248);
      if (lookahead == '?') ADVANCE(270);
      if (lookahead == 'L') ADVANCE(331);
      if (lookahead == 'U') ADVANCE(333);
      if (lookahead == '[') ADVANCE(265);
      if (lookahead == '\\') ADVANCE(12);
      if (lookahead == ']') ADVANCE(266);
      if (lookahead == '^') ADVANCE(242);
      if (lookahead == 'u') ADVANCE(335);
      if (lookahead == '|') ADVANCE(239);
      if (lookahead == '}') ADVANCE(263);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58)
      END_STATE();
    case 59:
      if (lookahead == '!') ADVANCE(79);
      if (lookahead == '"') ADVANCE(318);
      if (lookahead == '#') ADVANCE(104);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(342);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(245);
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(229);
      if (lookahead == ',') ADVANCE(150);
      if (lookahead == '-') ADVANCE(224);
      if (lookahead == '.') ADVANCE(283);
      if (lookahead == '/') ADVANCE(234);
      if (lookahead == '<') ADVANCE(252);
      if (lookahead == '=') ADVANCE(268);
      if (lookahead == '>') ADVANCE(248);
      if (lookahead == '?') ADVANCE(270);
      if (lookahead == 'L') ADVANCE(331);
      if (lookahead == 'U') ADVANCE(333);
      if (lookahead == '[') ADVANCE(264);
      if (lookahead == '\\') ADVANCE(26);
      if (lookahead == '^') ADVANCE(242);
      if (lookahead == 'u') ADVANCE(335);
      if (lookahead == '|') ADVANCE(239);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59)
      END_STATE();
    case 60:
      if (lookahead == '!') ADVANCE(79);
      if (lookahead == '#') ADVANCE(98);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(342);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(245);
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == ')') ADVANCE(151);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(229);
      if (lookahead == ',') ADVANCE(150);
      if (lookahead == '-') ADVANCE(224);
      if (lookahead == '.') ADVANCE(283);
      if (lookahead == '/') ADVANCE(234);
      if (lookahead == ':') ADVANCE(269);
      if (lookahead == ';') ADVANCE(258);
      if (lookahead == '<') ADVANCE(252);
      if (lookahead == '=') ADVANCE(268);
      if (lookahead == '>') ADVANCE(248);
      if (lookahead == '?') ADVANCE(270);
      if (lookahead == '[') ADVANCE(264);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == ']') ADVANCE(85);
      if (lookahead == '^') ADVANCE(242);
      if (lookahead == '|') ADVANCE(239);
      if (lookahead == '}') ADVANCE(263);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60)
      END_STATE();
    case 61:
      if (lookahead == '!') ADVANCE(79);
      if (lookahead == '#') ADVANCE(97);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(342);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(245);
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == ')') ADVANCE(151);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(229);
      if (lookahead == ',') ADVANCE(150);
      if (lookahead == '-') ADVANCE(224);
      if (lookahead == '.') ADVANCE(284);
      if (lookahead == '/') ADVANCE(234);
      if (lookahead == ':') ADVANCE(269);
      if (lookahead == ';') ADVANCE(258);
      if (lookahead == '<') ADVANCE(252);
      if (lookahead == '=') ADVANCE(268);
      if (lookahead == '>') ADVANCE(248);
      if (lookahead == '?') ADVANCE(270);
      if (lookahead == '[') ADVANCE(265);
      if (lookahead == '\\') ADVANCE(22);
      if (lookahead == ']') ADVANCE(266);
      if (lookahead == '^') ADVANCE(242);
      if (lookahead == '{') ADVANCE(262);
      if (lookahead == '|') ADVANCE(239);
      if (lookahead == '}') ADVANCE(263);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61)
      END_STATE();
    case 62:
      if (lookahead == '!') ADVANCE(79);
      if (lookahead == '#') ADVANCE(87);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(342);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(245);
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == ')') ADVANCE(151);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(229);
      if (lookahead == ',') ADVANCE(150);
      if (lookahead == '-') ADVANCE(224);
      if (lookahead == '.') ADVANCE(284);
      if (lookahead == '/') ADVANCE(234);
      if (lookahead == ':') ADVANCE(269);
      if (lookahead == ';') ADVANCE(258);
      if (lookahead == '<') ADVANCE(252);
      if (lookahead == '=') ADVANCE(268);
      if (lookahead == '>') ADVANCE(248);
      if (lookahead == '?') ADVANCE(270);
      if (lookahead == '[') ADVANCE(265);
      if (lookahead == '\\') ADVANCE(14);
      if (lookahead == '^') ADVANCE(242);
      if (lookahead == '{') ADVANCE(262);
      if (lookahead == '|') ADVANCE(239);
      if (lookahead == '}') ADVANCE(263);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62)
      END_STATE();
    case 63:
      if (lookahead == '!') ADVANCE(79);
      if (lookahead == '#') ADVANCE(91);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(342);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == '&') ADVANCE(244);
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == ')') ADVANCE(151);
      if (lookahead == '*') ADVANCE(231);
      if (lookahead == '+') ADVANCE(226);
      if (lookahead == ',') ADVANCE(150);
      if (lookahead == '-') ADVANCE(221);
      if (lookahead == '/') ADVANCE(233);
      if (lookahead == '<') ADVANCE(253);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(249);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(16);
      if (lookahead == '^') ADVANCE(241);
      if (lookahead == '|') ADVANCE(240);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63)
      END_STATE();
    case 64:
      if (lookahead == '!') ADVANCE(79);
      if (lookahead == '#') ADVANCE(104);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(342);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(245);
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(229);
      if (lookahead == ',') ADVANCE(150);
      if (lookahead == '-') ADVANCE(224);
      if (lookahead == '.') ADVANCE(284);
      if (lookahead == '/') ADVANCE(234);
      if (lookahead == '<') ADVANCE(252);
      if (lookahead == '=') ADVANCE(268);
      if (lookahead == '>') ADVANCE(248);
      if (lookahead == '?') ADVANCE(270);
      if (lookahead == '[') ADVANCE(264);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead == ']') ADVANCE(266);
      if (lookahead == '^') ADVANCE(242);
      if (lookahead == '|') ADVANCE(239);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64)
      END_STATE();
    case 65:
      if (lookahead == '"') ADVANCE(318);
      if (lookahead == '/') ADVANCE(71);
      if (lookahead == '\\') ADVANCE(42);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65)
      END_STATE();
    case 66:
      if (lookahead == '"') ADVANCE(318);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(342);
      if (lookahead == '/') ADVANCE(71);
      if (lookahead == '<') ADVANCE(81);
      if (lookahead == 'L') ADVANCE(331);
      if (lookahead == 'U') ADVANCE(333);
      if (lookahead == '\\') ADVANCE(35);
      if (lookahead == 'u') ADVANCE(335);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66)
      END_STATE();
    case 67:
      if (lookahead == '#') ADVANCE(93);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(342);
      if (lookahead == '/') ADVANCE(71);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(20);
      if (lookahead == '}') ADVANCE(263);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67)
      END_STATE();
    case 68:
      if (lookahead == '#') ADVANCE(89);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(342);
      if (lookahead == '/') ADVANCE(71);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(18);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68)
      END_STATE();
    case 69:
      if (lookahead == '\'') ADVANCE(309);
      if (lookahead == '/') ADVANCE(71);
      if (lookahead == '\\') ADVANCE(42);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69)
      END_STATE();
    case 70:
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == '/') ADVANCE(71);
      if (lookahead == '\\') SKIP(45)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70)
      END_STATE();
    case 71:
      if (lookahead == '*') ADVANCE(73);
      if (lookahead == '/') ADVANCE(347);
      END_STATE();
    case 72:
      if (lookahead == '*') ADVANCE(72);
      if (lookahead == '/') ADVANCE(343);
      if (lookahead != 0) ADVANCE(73);
      END_STATE();
    case 73:
      if (lookahead == '*') ADVANCE(72);
      if (lookahead != 0) ADVANCE(73);
      END_STATE();
    case 74:
      if (lookahead == '*') ADVANCE(72);
      if (lookahead != 0) ADVANCE(172);
      END_STATE();
    case 75:
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '0') ADVANCE(289);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(290);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(299);
      END_STATE();
    case 76:
      if (lookahead == '.') ADVANCE(149);
      END_STATE();
    case 77:
      if (lookahead == '/') ADVANCE(176);
      if (lookahead == '\\') ADVANCE(174);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77)
      if (lookahead != 0) ADVANCE(177);
      END_STATE();
    case 78:
      if (lookahead == ':') ADVANCE(259);
      END_STATE();
    case 79:
      if (lookahead == '=') ADVANCE(247);
      END_STATE();
    case 80:
      if (lookahead == '=') ADVANCE(246);
      END_STATE();
    case 81:
      if (lookahead == '>') ADVANCE(328);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(81);
      END_STATE();
    case 82:
      if (lookahead == '>') ADVANCE(329);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(81);
      END_STATE();
    case 83:
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 84:
      if (lookahead == '[') ADVANCE(260);
      END_STATE();
    case 85:
      if (lookahead == ']') ADVANCE(261);
      END_STATE();
    case 86:
      if (lookahead == 'd') ADVANCE(188);
      if (lookahead == 'e') ADVANCE(210);
      if (lookahead == 'i') ADVANCE(196);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 87:
      if (lookahead == 'd') ADVANCE(188);
      if (lookahead == 'e') ADVANCE(210);
      if (lookahead == 'i') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 88:
      if (lookahead == 'd') ADVANCE(188);
      if (lookahead == 'e') ADVANCE(213);
      if (lookahead == 'i') ADVANCE(196);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(88);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 89:
      if (lookahead == 'd') ADVANCE(188);
      if (lookahead == 'e') ADVANCE(213);
      if (lookahead == 'i') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 90:
      if (lookahead == 'd') ADVANCE(188);
      if (lookahead == 'e') ADVANCE(212);
      if (lookahead == 'i') ADVANCE(196);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 91:
      if (lookahead == 'd') ADVANCE(188);
      if (lookahead == 'e') ADVANCE(212);
      if (lookahead == 'i') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 92:
      if (lookahead == 'd') ADVANCE(188);
      if (lookahead == 'i') ADVANCE(196);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 93:
      if (lookahead == 'd') ADVANCE(188);
      if (lookahead == 'i') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(114);
      END_STATE();
    case 95:
      if (lookahead == 'd') ADVANCE(101);
      END_STATE();
    case 96:
      if (lookahead == 'd') ADVANCE(103);
      END_STATE();
    case 97:
      if (lookahead == 'e') ADVANCE(116);
      if (lookahead == 'i') ADVANCE(110);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(97);
      END_STATE();
    case 98:
      if (lookahead == 'e') ADVANCE(116);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(98);
      END_STATE();
    case 99:
      if (lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 100:
      if (lookahead == 'e') ADVANCE(107);
      END_STATE();
    case 101:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(111);
      END_STATE();
    case 103:
      if (lookahead == 'e') ADVANCE(112);
      END_STATE();
    case 104:
      if (lookahead == 'e') ADVANCE(117);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(104);
      END_STATE();
    case 105:
      if (lookahead == 'f') ADVANCE(164);
      END_STATE();
    case 106:
      if (lookahead == 'f') ADVANCE(155);
      END_STATE();
    case 107:
      if (lookahead == 'f') ADVANCE(167);
      END_STATE();
    case 108:
      if (lookahead == 'f') ADVANCE(169);
      END_STATE();
    case 109:
      if (lookahead == 'f') ADVANCE(163);
      END_STATE();
    case 110:
      if (lookahead == 'f') ADVANCE(153);
      END_STATE();
    case 111:
      if (lookahead == 'f') ADVANCE(157);
      END_STATE();
    case 112:
      if (lookahead == 'f') ADVANCE(159);
      END_STATE();
    case 113:
      if (lookahead == 'i') ADVANCE(105);
      if (lookahead == 's') ADVANCE(99);
      END_STATE();
    case 114:
      if (lookahead == 'i') ADVANCE(106);
      END_STATE();
    case 115:
      if (lookahead == 'i') ADVANCE(109);
      if (lookahead == 's') ADVANCE(99);
      END_STATE();
    case 116:
      if (lookahead == 'l') ADVANCE(113);
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 117:
      if (lookahead == 'l') ADVANCE(115);
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 118:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 119:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(288);
      END_STATE();
    case 120:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(290);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(299);
      END_STATE();
    case 121:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(342);
      END_STATE();
    case 122:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(296);
      END_STATE();
    case 123:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(299);
      END_STATE();
    case 124:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(294);
      END_STATE();
    case 125:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(324);
      END_STATE();
    case 126:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(121);
      END_STATE();
    case 127:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 128:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(126);
      END_STATE();
    case 129:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(127);
      END_STATE();
    case 130:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(128);
      END_STATE();
    case 131:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(129);
      END_STATE();
    case 132:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(130);
      END_STATE();
    case 133:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(131);
      END_STATE();
    case 134:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(132);
      END_STATE();
    case 135:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(133);
      END_STATE();
    case 136:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(134);
      END_STATE();
    case 137:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(135);
      END_STATE();
    case 138:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(136);
      END_STATE();
    case 139:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(137);
      END_STATE();
    case 140:
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(347);
      if (lookahead == '\r') ADVANCE(351);
      if (lookahead == '\\') ADVANCE(349);
      END_STATE();
    case 141:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(177);
      END_STATE();
    case 142:
      if (eof) ADVANCE(144);
      if (lookahead == '!') ADVANCE(219);
      if (lookahead == '"') ADVANCE(318);
      if (lookahead == '#') ADVANCE(86);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(342);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(245);
      if (lookahead == '\'') ADVANCE(309);
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == ')') ADVANCE(151);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(227);
      if (lookahead == ',') ADVANCE(150);
      if (lookahead == '-') ADVANCE(222);
      if (lookahead == '.') ADVANCE(285);
      if (lookahead == '/') ADVANCE(234);
      if (lookahead == '0') ADVANCE(291);
      if (lookahead == ':') ADVANCE(269);
      if (lookahead == ';') ADVANCE(258);
      if (lookahead == '<') ADVANCE(252);
      if (lookahead == '=') ADVANCE(268);
      if (lookahead == '>') ADVANCE(248);
      if (lookahead == '?') ADVANCE(270);
      if (lookahead == 'L') ADVANCE(330);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == '[') ADVANCE(265);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(266);
      if (lookahead == '^') ADVANCE(242);
      if (lookahead == 'u') ADVANCE(334);
      if (lookahead == '{') ADVANCE(262);
      if (lookahead == '|') ADVANCE(239);
      if (lookahead == '}') ADVANCE(263);
      if (lookahead == '~') ADVANCE(220);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(142)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 143:
      if (eof) ADVANCE(144);
      if (lookahead == '!') ADVANCE(218);
      if (lookahead == '"') ADVANCE(318);
      if (lookahead == '#') ADVANCE(92);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(342);
      if (lookahead == '&') ADVANCE(243);
      if (lookahead == '\'') ADVANCE(309);
      if (lookahead == '(') ADVANCE(217);
      if (lookahead == ')') ADVANCE(151);
      if (lookahead == '*') ADVANCE(231);
      if (lookahead == '+') ADVANCE(228);
      if (lookahead == ',') ADVANCE(150);
      if (lookahead == '-') ADVANCE(223);
      if (lookahead == '.') ADVANCE(286);
      if (lookahead == '/') ADVANCE(71);
      if (lookahead == '0') ADVANCE(291);
      if (lookahead == ':') ADVANCE(269);
      if (lookahead == ';') ADVANCE(258);
      if (lookahead == '=') ADVANCE(267);
      if (lookahead == 'L') ADVANCE(330);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == '[') ADVANCE(265);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(266);
      if (lookahead == 'u') ADVANCE(334);
      if (lookahead == '{') ADVANCE(262);
      if (lookahead == '}') ADVANCE(263);
      if (lookahead == '~') ADVANCE(220);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(143)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(192);
      if (lookahead == 'n') ADVANCE(186);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(102);
      if (lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(154);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(100);
      if (lookahead == 'n') ADVANCE(95);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(194);
      if (lookahead == 'n') ADVANCE(187);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(73);
      if (lookahead == '*') ADVANCE(171);
      if (lookahead == '/') ADVANCE(343);
      if (lookahead == '\\') ADVANCE(178);
      if (lookahead != 0) ADVANCE(172);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(73);
      if (lookahead == '*') ADVANCE(171);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '\\') ADVANCE(178);
      if (lookahead != 0) ADVANCE(172);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(347);
      if (lookahead == '\r') ADVANCE(344);
      if (lookahead == '/') ADVANCE(345);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead != 0) ADVANCE(346);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(77)
      if (lookahead == '\r') ADVANCE(175);
      if (lookahead == '/') ADVANCE(141);
      if (lookahead == '\\') ADVANCE(179);
      if (lookahead != 0) ADVANCE(177);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(77)
      if (lookahead == '/') ADVANCE(141);
      if (lookahead == '\\') ADVANCE(179);
      if (lookahead != 0) ADVANCE(177);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(172);
      if (lookahead == '/') ADVANCE(345);
      if (lookahead == '\\') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(177);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(141);
      if (lookahead == '\\') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(177);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(172);
      if (lookahead == '\r') ADVANCE(181);
      if (lookahead == '*') ADVANCE(171);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '\\') ADVANCE(178);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(177);
      if (lookahead == '\r') ADVANCE(182);
      if (lookahead == '/') ADVANCE(141);
      if (lookahead == '\\') ADVANCE(179);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(346);
      if (lookahead == '\r') ADVANCE(350);
      if (lookahead == '/') ADVANCE(345);
      if (lookahead == '\\') ADVANCE(348);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(172);
      if (lookahead == '*') ADVANCE(171);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '\\') ADVANCE(178);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(177);
      if (lookahead == '/') ADVANCE(141);
      if (lookahead == '\\') ADVANCE(179);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(211);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(208);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(191);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(193);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(195);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(198);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(147);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(203);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(204);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(152);
      if (lookahead == 'n') ADVANCE(183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(152);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(206);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(165);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(158);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(168);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(170);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(166);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(214);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(199);
      if (lookahead == 's') ADVANCE(189);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(200);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(205);
      if (lookahead == 's') ADVANCE(189);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(207);
      if (lookahead == 'n') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(215);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(209);
      if (lookahead == 'n') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(190);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(185);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(216);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(247);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(281);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '0') ADVANCE(291);
      if (lookahead == '=') ADVANCE(275);
      if (lookahead == '>') ADVANCE(287);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(281);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '0') ADVANCE(291);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(281);
      if (lookahead == '=') ADVANCE(275);
      if (lookahead == '>') ADVANCE(287);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '0') ADVANCE(291);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(282);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '0') ADVANCE(291);
      if (lookahead == '=') ADVANCE(274);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(282);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '0') ADVANCE(291);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(282);
      if (lookahead == '=') ADVANCE(274);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '0') ADVANCE(291);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(271);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(73);
      if (lookahead == '/') ADVANCE(347);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(73);
      if (lookahead == '/') ADVANCE(347);
      if (lookahead == '=') ADVANCE(272);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(273);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(280);
      if (lookahead == '|') ADVANCE(237);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(237);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(279);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(238);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(238);
      if (lookahead == '=') ADVANCE(278);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(250);
      if (lookahead == '>') ADVANCE(257);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(250);
      if (lookahead == '>') ADVANCE(256);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(255);
      if (lookahead == '=') ADVANCE(251);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(254);
      if (lookahead == '=') ADVANCE(251);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(276);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(277);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(260);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(246);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(76);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(288);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(288);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(119);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(301);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(288);
      if (sym_number_literal_character_set_1(lookahead)) ADVANCE(304);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(120);
      if (lookahead == '.') ADVANCE(302);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(298);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(297);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(301);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(123);
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(299);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(299);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(290);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(120);
      if (lookahead == '.') ADVANCE(302);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(297);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(301);
      if (lookahead == 'A' ||
          lookahead == 'C' ||
          lookahead == 'a' ||
          lookahead == 'c') ADVANCE(299);
      if (('B' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(299);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(290);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(118);
      if (lookahead == '.') ADVANCE(302);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(300);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(75);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(301);
      if (('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          ('d' <= lookahead && lookahead <= 'f') ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(118);
      if (lookahead == '.') ADVANCE(302);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(303);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(123);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(301);
      if (('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          ('d' <= lookahead && lookahead <= 'f') ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(118);
      if (lookahead == '.') ADVANCE(302);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(301);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(293);
      if (sym_number_literal_character_set_1(lookahead)) ADVANCE(304);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(124);
      if (lookahead == 'B' ||
          lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'b' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(294);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(294);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(122);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(124);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(295);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(301);
      if (lookahead == 'B' ||
          ('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'b' ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(296);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(296);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(122);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(295);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(301);
      if (lookahead == 'B' ||
          ('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'b' ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(296);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(296);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(123);
      if (lookahead == '.') ADVANCE(302);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(124);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(297);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(301);
      if (lookahead == 'B' ||
          ('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'b' ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(299);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(299);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(123);
      if (lookahead == '.') ADVANCE(302);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(297);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(301);
      if (lookahead == 'A' ||
          lookahead == 'C' ||
          lookahead == 'a' ||
          lookahead == 'c') ADVANCE(299);
      if (('B' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(299);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(290);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(123);
      if (lookahead == '.') ADVANCE(302);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(297);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(301);
      if (lookahead == 'B' ||
          ('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'b' ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(299);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(299);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '0') ADVANCE(292);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(293);
      if (sym_number_literal_character_set_2(lookahead)) ADVANCE(304);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(124);
      if (lookahead == 'B' ||
          lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'b' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(294);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(294);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(295);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(301);
      if (lookahead == 'B' ||
          ('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'b' ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(296);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(296);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_number_literal);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(293);
      if (sym_number_literal_character_set_2(lookahead)) ADVANCE(304);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_number_literal);
      if (sym_number_literal_character_set_2(lookahead)) ADVANCE(304);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(325);
      if (lookahead == '\r') ADVANCE(324);
      if (lookahead == 'U') ADVANCE(139);
      if (lookahead == 'u') ADVANCE(131);
      if (lookahead == 'x') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(327);
      if (lookahead != 0) ADVANCE(324);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(73);
      if (lookahead == '/') ADVANCE(347);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(42);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(321);
      if (lookahead == '/') ADVANCE(323);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(323);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(320);
      if (lookahead == '/') ADVANCE(323);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(321);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(320);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(321);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(319);
      if (lookahead == '\t' ||
          (11 <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(323);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(323);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(42);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(324);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(326);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(328);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(81);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(314);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(342);
      if (lookahead == '\'') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(83);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(314);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(342);
      if (lookahead == '\\') ADVANCE(83);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(316);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(342);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '\\') ADVANCE(83);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(316);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(342);
      if (lookahead == '\\') ADVANCE(83);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(315);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(342);
      if (lookahead == '\'') ADVANCE(306);
      if (lookahead == '8') ADVANCE(336);
      if (lookahead == '\\') ADVANCE(83);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(315);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(342);
      if (lookahead == '8') ADVANCE(337);
      if (lookahead == '\\') ADVANCE(83);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(317);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(342);
      if (lookahead == '\'') ADVANCE(308);
      if (lookahead == '\\') ADVANCE(83);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(317);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(342);
      if (lookahead == '\\') ADVANCE(83);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(342);
      if (lookahead == '\'') ADVANCE(306);
      if (lookahead == '8') ADVANCE(341);
      if (lookahead == '\\') ADVANCE(83);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(342);
      if (lookahead == '\'') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(83);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(342);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '\\') ADVANCE(83);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(342);
      if (lookahead == '\'') ADVANCE(308);
      if (lookahead == '\\') ADVANCE(83);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(342);
      if (lookahead == '\\') ADVANCE(83);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(347);
      if (lookahead == '/') ADVANCE(345);
      if (lookahead == '\\') ADVANCE(180);
      if (lookahead != 0) ADVANCE(346);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(347);
      if (lookahead == '\\') ADVANCE(173);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(346);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(345);
      if (lookahead == '\\') ADVANCE(180);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(346);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(140);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(347);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(346);
      if (lookahead == '\r') ADVANCE(350);
      if (lookahead == '/') ADVANCE(345);
      if (lookahead == '\\') ADVANCE(348);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(347);
      if (lookahead == '\r') ADVANCE(351);
      if (lookahead == '\\') ADVANCE(349);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(346);
      if (lookahead == '/') ADVANCE(345);
      if (lookahead == '\\') ADVANCE(180);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\\') ADVANCE(347);
      if (lookahead == '\\') ADVANCE(140);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == '_') ADVANCE(5);
      if (lookahead == 'a') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(7);
      if (lookahead == 'c') ADVANCE(8);
      if (lookahead == 'd') ADVANCE(9);
      if (lookahead == 'e') ADVANCE(10);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'g') ADVANCE(12);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(14);
      if (lookahead == 'm') ADVANCE(15);
      if (lookahead == 'n') ADVANCE(16);
      if (lookahead == 'o') ADVANCE(17);
      if (lookahead == 'p') ADVANCE(18);
      if (lookahead == 'r') ADVANCE(19);
      if (lookahead == 's') ADVANCE(20);
      if (lookahead == 't') ADVANCE(21);
      if (lookahead == 'u') ADVANCE(22);
      if (lookahead == 'v') ADVANCE(23);
      if (lookahead == 'w') ADVANCE(24);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'A') ADVANCE(25);
      END_STATE();
    case 2:
      if (lookahead == 'U') ADVANCE(26);
      END_STATE();
    case 3:
      if (lookahead == 'R') ADVANCE(27);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(28)
      END_STATE();
    case 5:
      if (lookahead == 'A') ADVANCE(29);
      if (lookahead == 'G') ADVANCE(30);
      if (lookahead == 'N') ADVANCE(31);
      if (lookahead == '_') ADVANCE(32);
      if (lookahead == 'a') ADVANCE(33);
      if (lookahead == 'u') ADVANCE(34);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(35);
      if (lookahead == 's') ADVANCE(36);
      if (lookahead == 'u') ADVANCE(37);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(38);
      if (lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(40);
      if (lookahead == 'h') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 'o') ADVANCE(44);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(45);
      if (lookahead == 'n') ADVANCE(46);
      if (lookahead == 'x') ADVANCE(47);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(48);
      if (lookahead == 'l') ADVANCE(49);
      if (lookahead == 'o') ADVANCE(50);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(51);
      END_STATE();
    case 13:
      if (lookahead == 'f') ADVANCE(52);
      if (lookahead == 'n') ADVANCE(53);
      END_STATE();
    case 14:
      if (lookahead == 'o') ADVANCE(54);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(55);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 17:
      if (lookahead == 'f') ADVANCE(58);
      END_STATE();
    case 18:
      if (lookahead == 't') ADVANCE(59);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(60);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(61);
      if (lookahead == 'i') ADVANCE(62);
      if (lookahead == 's') ADVANCE(63);
      if (lookahead == 't') ADVANCE(64);
      if (lookahead == 'w') ADVANCE(65);
      END_STATE();
    case 21:
      if (lookahead == 'h') ADVANCE(66);
      if (lookahead == 'r') ADVANCE(67);
      if (lookahead == 'y') ADVANCE(68);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(69);
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(71);
      END_STATE();
    case 24:
      if (lookahead == 'h') ADVANCE(72);
      END_STATE();
    case 25:
      if (lookahead == 'L') ADVANCE(73);
      END_STATE();
    case 26:
      if (lookahead == 'L') ADVANCE(74);
      END_STATE();
    case 27:
      if (lookahead == 'U') ADVANCE(75);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(76);
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 31:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 32:
      if (lookahead == 'a') ADVANCE(80);
      if (lookahead == 'b') ADVANCE(81);
      if (lookahead == 'c') ADVANCE(82);
      if (lookahead == 'd') ADVANCE(83);
      if (lookahead == 'e') ADVANCE(84);
      if (lookahead == 'f') ADVANCE(85);
      if (lookahead == 'i') ADVANCE(86);
      if (lookahead == 'l') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(88);
      if (lookahead == 's') ADVANCE(89);
      if (lookahead == 't') ADVANCE(90);
      if (lookahead == 'u') ADVANCE(91);
      if (lookahead == 'v') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 36:
      if (lookahead == 'm') ADVANCE(96);
      END_STATE();
    case 37:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 40:
      if (lookahead == 's') ADVANCE(100);
      END_STATE();
    case 41:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 42:
      if (lookahead == 'n') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'f') ADVANCE(103);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(104);
      END_STATE();
    case 45:
      if (lookahead == 's') ADVANCE(105);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 49:
      if (lookahead == 'o') ADVANCE(109);
      END_STATE();
    case 50:
      if (lookahead == 'r') ADVANCE(110);
      END_STATE();
    case 51:
      if (lookahead == 't') ADVANCE(111);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(112);
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 54:
      if (lookahead == 'n') ADVANCE(114);
      END_STATE();
    case 55:
      if (lookahead == 'x') ADVANCE(115);
      END_STATE();
    case 56:
      if (lookahead == 'r') ADVANCE(116);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(117);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(118);
      END_STATE();
    case 59:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 60:
      if (lookahead == 'g') ADVANCE(120);
      if (lookahead == 's') ADVANCE(121);
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 61:
      if (lookahead == 'o') ADVANCE(123);
      END_STATE();
    case 62:
      if (lookahead == 'g') ADVANCE(124);
      if (lookahead == 'z') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'a') ADVANCE(127);
      if (lookahead == 'r') ADVANCE(128);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(129);
      END_STATE();
    case 66:
      if (lookahead == 'r') ADVANCE(130);
      END_STATE();
    case 67:
      if (lookahead == 'u') ADVANCE(131);
      END_STATE();
    case 68:
      if (lookahead == 'p') ADVANCE(132);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(133);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(134);
      if (lookahead == 's') ADVANCE(135);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(136);
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(138);
      END_STATE();
    case 73:
      if (lookahead == 'S') ADVANCE(139);
      END_STATE();
    case 74:
      if (lookahead == 'L') ADVANCE(140);
      END_STATE();
    case 75:
      if (lookahead == 'E') ADVANCE(141);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 77:
      if (lookahead == 'o') ADVANCE(143);
      END_STATE();
    case 78:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 79:
      if (lookahead == 'r') ADVANCE(145);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(146);
      if (lookahead == 's') ADVANCE(147);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 82:
      if (lookahead == 'd') ADVANCE(150);
      if (lookahead == 'l') ADVANCE(151);
      END_STATE();
    case 83:
      if (lookahead == 'e') ADVANCE(152);
      END_STATE();
    case 84:
      if (lookahead == 'x') ADVANCE(153);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(154);
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 86:
      if (lookahead == 'n') ADVANCE(157);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 89:
      if (lookahead == 'p') ADVANCE(160);
      if (lookahead == 't') ADVANCE(161);
      END_STATE();
    case 90:
      if (lookahead == 'h') ADVANCE(162);
      if (lookahead == 'r') ADVANCE(163);
      END_STATE();
    case 91:
      if (lookahead == 'n') ADVANCE(164);
      if (lookahead == 'p') ADVANCE(165);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(166);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(168);
      END_STATE();
    case 95:
      if (lookahead == 'g') ADVANCE(169);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 97:
      if (lookahead == 'o') ADVANCE(170);
      END_STATE();
    case 98:
      if (lookahead == 'l') ADVANCE(171);
      END_STATE();
    case 99:
      if (lookahead == 'a') ADVANCE(172);
      END_STATE();
    case 100:
      if (lookahead == 'e') ADVANCE(173);
      END_STATE();
    case 101:
      if (lookahead == 'r') ADVANCE(174);
      END_STATE();
    case 102:
      if (lookahead == 's') ADVANCE(175);
      if (lookahead == 't') ADVANCE(176);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(177);
      if (lookahead == 'i') ADVANCE(178);
      END_STATE();
    case 104:
      if (lookahead == 'b') ADVANCE(179);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 106:
      if (lookahead == 'm') ADVANCE(181);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 108:
      if (lookahead == 's') ADVANCE(183);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(184);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 111:
      if (lookahead == 'o') ADVANCE(185);
      END_STATE();
    case 112:
      if (lookahead == 'i') ADVANCE(186);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(187);
      if (lookahead == '3') ADVANCE(188);
      if (lookahead == '6') ADVANCE(189);
      if (lookahead == '8') ADVANCE(190);
      if (lookahead == 'p') ADVANCE(191);
      END_STATE();
    case 114:
      if (lookahead == 'g') ADVANCE(192);
      END_STATE();
    case 115:
      if (lookahead == '_') ADVANCE(193);
      END_STATE();
    case 116:
      if (lookahead == 'e') ADVANCE(194);
      END_STATE();
    case 117:
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 118:
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 119:
      if (lookahead == 'd') ADVANCE(197);
      END_STATE();
    case 120:
      if (lookahead == 'i') ADVANCE(198);
      END_STATE();
    case 121:
      if (lookahead == 't') ADVANCE(199);
      END_STATE();
    case 122:
      if (lookahead == 'u') ADVANCE(200);
      END_STATE();
    case 123:
      if (lookahead == 'r') ADVANCE(201);
      END_STATE();
    case 124:
      if (lookahead == 'n') ADVANCE(202);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 126:
      if (lookahead == 'z') ADVANCE(204);
      END_STATE();
    case 127:
      if (lookahead == 't') ADVANCE(205);
      END_STATE();
    case 128:
      if (lookahead == 'u') ADVANCE(206);
      END_STATE();
    case 129:
      if (lookahead == 't') ADVANCE(207);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(141);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(209);
      END_STATE();
    case 133:
      if (lookahead == 't') ADVANCE(210);
      END_STATE();
    case 134:
      if (lookahead == 'o') ADVANCE(211);
      END_STATE();
    case 135:
      if (lookahead == 'i') ADVANCE(212);
      END_STATE();
    case 136:
      if (lookahead == 'd') ADVANCE(171);
      END_STATE();
    case 137:
      if (lookahead == 'a') ADVANCE(213);
      END_STATE();
    case 138:
      if (lookahead == 'l') ADVANCE(214);
      END_STATE();
    case 139:
      if (lookahead == 'E') ADVANCE(215);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 142:
      if (lookahead == 'g') ADVANCE(216);
      END_STATE();
    case 143:
      if (lookahead == 'm') ADVANCE(217);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(219);
      END_STATE();
    case 146:
      if (lookahead == 'i') ADVANCE(220);
      END_STATE();
    case 147:
      if (lookahead == 'm') ADVANCE(221);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(222);
      END_STATE();
    case 149:
      if (lookahead == 's') ADVANCE(223);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(224);
      END_STATE();
    case 151:
      if (lookahead == 'r') ADVANCE(225);
      END_STATE();
    case 152:
      if (lookahead == 'c') ADVANCE(226);
      END_STATE();
    case 153:
      if (lookahead == 'c') ADVANCE(227);
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 154:
      if (lookahead == 's') ADVANCE(229);
      END_STATE();
    case 155:
      if (lookahead == 'n') ADVANCE(230);
      END_STATE();
    case 156:
      if (lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 157:
      if (lookahead == 'l') ADVANCE(232);
      END_STATE();
    case 158:
      if (lookahead == 'a') ADVANCE(233);
      END_STATE();
    case 159:
      if (lookahead == 's') ADVANCE(234);
      END_STATE();
    case 160:
      if (lookahead == 't') ADVANCE(235);
      END_STATE();
    case 161:
      if (lookahead == 'd') ADVANCE(236);
      END_STATE();
    case 162:
      if (lookahead == 'i') ADVANCE(237);
      if (lookahead == 'r') ADVANCE(238);
      END_STATE();
    case 163:
      if (lookahead == 'y') ADVANCE(239);
      END_STATE();
    case 164:
      if (lookahead == 'a') ADVANCE(240);
      END_STATE();
    case 165:
      if (lookahead == 't') ADVANCE(241);
      END_STATE();
    case 166:
      if (lookahead == 'c') ADVANCE(242);
      END_STATE();
    case 167:
      if (lookahead == 'g') ADVANCE(243);
      END_STATE();
    case 168:
      if (lookahead == 'l') ADVANCE(244);
      END_STATE();
    case 169:
      if (lookahead == 'n') ADVANCE(245);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_auto);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_primitive_type);
      END_STATE();
    case 172:
      if (lookahead == 'k') ADVANCE(246);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(247);
      if (lookahead == '3') ADVANCE(248);
      if (lookahead == '6') ADVANCE(249);
      if (lookahead == '8') ADVANCE(250);
      if (lookahead == 'p') ADVANCE(251);
      END_STATE();
    case 175:
      if (lookahead == 't') ADVANCE(252);
      END_STATE();
    case 176:
      if (lookahead == 'i') ADVANCE(253);
      END_STATE();
    case 177:
      if (lookahead == 'u') ADVANCE(254);
      END_STATE();
    case 178:
      if (lookahead == 'n') ADVANCE(255);
      END_STATE();
    case 179:
      if (lookahead == 'l') ADVANCE(256);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 182:
      if (lookahead == 'r') ADVANCE(257);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(215);
      END_STATE();
    case 184:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 186:
      if (lookahead == 'n') ADVANCE(258);
      END_STATE();
    case 187:
      if (lookahead == '6') ADVANCE(259);
      END_STATE();
    case 188:
      if (lookahead == '2') ADVANCE(260);
      END_STATE();
    case 189:
      if (lookahead == '4') ADVANCE(261);
      END_STATE();
    case 190:
      if (lookahead == '_') ADVANCE(262);
      END_STATE();
    case 191:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 193:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(265);
      END_STATE();
    case 195:
      if (lookahead == 'p') ADVANCE(266);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(267);
      END_STATE();
    case 197:
      if (lookahead == 'i') ADVANCE(268);
      END_STATE();
    case 198:
      if (lookahead == 's') ADVANCE(269);
      END_STATE();
    case 199:
      if (lookahead == 'r') ADVANCE(270);
      END_STATE();
    case 200:
      if (lookahead == 'r') ADVANCE(271);
      END_STATE();
    case 201:
      if (lookahead == 't') ADVANCE(272);
      END_STATE();
    case 202:
      if (lookahead == 'e') ADVANCE(273);
      END_STATE();
    case 203:
      if (lookahead == '_') ADVANCE(274);
      if (lookahead == 'o') ADVANCE(275);
      END_STATE();
    case 204:
      if (lookahead == 'e') ADVANCE(276);
      END_STATE();
    case 205:
      if (lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 206:
      if (lookahead == 'c') ADVANCE(278);
      END_STATE();
    case 207:
      if (lookahead == 'c') ADVANCE(279);
      END_STATE();
    case 208:
      if (lookahead == 'a') ADVANCE(280);
      END_STATE();
    case 209:
      if (lookahead == 'd') ADVANCE(281);
      END_STATE();
    case 210:
      if (lookahead == '1') ADVANCE(282);
      if (lookahead == '3') ADVANCE(283);
      if (lookahead == '6') ADVANCE(284);
      if (lookahead == '8') ADVANCE(285);
      if (lookahead == 'p') ADVANCE(286);
      END_STATE();
    case 211:
      if (lookahead == 'n') ADVANCE(287);
      END_STATE();
    case 212:
      if (lookahead == 'g') ADVANCE(288);
      END_STATE();
    case 213:
      if (lookahead == 't') ADVANCE(289);
      END_STATE();
    case 214:
      if (lookahead == 'e') ADVANCE(290);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 216:
      if (lookahead == 'n') ADVANCE(291);
      END_STATE();
    case 217:
      if (lookahead == 'i') ADVANCE(292);
      END_STATE();
    case 218:
      if (lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 219:
      if (lookahead == 't') ADVANCE(294);
      END_STATE();
    case 220:
      if (lookahead == 'g') ADVANCE(295);
      END_STATE();
    case 221:
      if (lookahead == '_') ADVANCE(296);
      END_STATE();
    case 222:
      if (lookahead == 'r') ADVANCE(297);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(298);
      END_STATE();
    case 224:
      if (lookahead == 'c') ADVANCE(299);
      END_STATE();
    case 225:
      if (lookahead == 'c') ADVANCE(300);
      END_STATE();
    case 226:
      if (lookahead == 'l') ADVANCE(301);
      END_STATE();
    case 227:
      if (lookahead == 'e') ADVANCE(302);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(303);
      END_STATE();
    case 229:
      if (lookahead == 't') ADVANCE(304);
      END_STATE();
    case 230:
      if (lookahead == 'a') ADVANCE(305);
      END_STATE();
    case 231:
      if (lookahead == 'c') ADVANCE(306);
      END_STATE();
    case 232:
      if (lookahead == 'i') ADVANCE(307);
      END_STATE();
    case 233:
      if (lookahead == 'v') ADVANCE(308);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(309);
      END_STATE();
    case 235:
      if (lookahead == 'r') ADVANCE(310);
      END_STATE();
    case 236:
      if (lookahead == 'c') ADVANCE(311);
      END_STATE();
    case 237:
      if (lookahead == 's') ADVANCE(312);
      END_STATE();
    case 238:
      if (lookahead == 'e') ADVANCE(313);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 240:
      if (lookahead == 'l') ADVANCE(314);
      END_STATE();
    case 241:
      if (lookahead == 'r') ADVANCE(315);
      END_STATE();
    case 242:
      if (lookahead == 't') ADVANCE(316);
      END_STATE();
    case 243:
      if (lookahead == 'n') ADVANCE(317);
      END_STATE();
    case 244:
      if (lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 245:
      if (lookahead == 'o') ADVANCE(319);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 247:
      if (lookahead == '6') ADVANCE(320);
      END_STATE();
    case 248:
      if (lookahead == '2') ADVANCE(321);
      END_STATE();
    case 249:
      if (lookahead == '4') ADVANCE(322);
      END_STATE();
    case 250:
      if (lookahead == '_') ADVANCE(323);
      END_STATE();
    case 251:
      if (lookahead == 't') ADVANCE(324);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(325);
      END_STATE();
    case 253:
      if (lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 254:
      if (lookahead == 'l') ADVANCE(327);
      END_STATE();
    case 255:
      if (lookahead == 'e') ADVANCE(328);
      END_STATE();
    case 256:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 257:
      if (lookahead == 'n') ADVANCE(329);
      END_STATE();
    case 258:
      if (lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 259:
      if (lookahead == '_') ADVANCE(331);
      END_STATE();
    case 260:
      if (lookahead == '_') ADVANCE(332);
      END_STATE();
    case 261:
      if (lookahead == '_') ADVANCE(333);
      END_STATE();
    case 262:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 263:
      if (lookahead == 'r') ADVANCE(334);
      END_STATE();
    case 264:
      if (lookahead == 'l') ADVANCE(335);
      END_STATE();
    case 265:
      if (lookahead == 'u') ADVANCE(336);
      END_STATE();
    case 266:
      if (lookahead == 't') ADVANCE(337);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(338);
      END_STATE();
    case 268:
      if (lookahead == 'f') ADVANCE(339);
      END_STATE();
    case 269:
      if (lookahead == 't') ADVANCE(340);
      END_STATE();
    case 270:
      if (lookahead == 'i') ADVANCE(341);
      END_STATE();
    case 271:
      if (lookahead == 'n') ADVANCE(342);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 273:
      if (lookahead == 'd') ADVANCE(343);
      END_STATE();
    case 274:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 275:
      if (lookahead == 'f') ADVANCE(344);
      END_STATE();
    case 276:
      if (lookahead == '_') ADVANCE(345);
      END_STATE();
    case 277:
      if (lookahead == 'c') ADVANCE(346);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(347);
      END_STATE();
    case 279:
      if (lookahead == 'h') ADVANCE(348);
      END_STATE();
    case 280:
      if (lookahead == 'd') ADVANCE(349);
      END_STATE();
    case 281:
      if (lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 282:
      if (lookahead == '6') ADVANCE(351);
      END_STATE();
    case 283:
      if (lookahead == '2') ADVANCE(352);
      END_STATE();
    case 284:
      if (lookahead == '4') ADVANCE(353);
      END_STATE();
    case 285:
      if (lookahead == '_') ADVANCE(354);
      END_STATE();
    case 286:
      if (lookahead == 't') ADVANCE(355);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 288:
      if (lookahead == 'n') ADVANCE(356);
      END_STATE();
    case 289:
      if (lookahead == 'i') ADVANCE(357);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 291:
      if (lookahead == 'o') ADVANCE(358);
      END_STATE();
    case 292:
      if (lookahead == 'c') ADVANCE(359);
      END_STATE();
    case 293:
      if (lookahead == 'i') ADVANCE(360);
      END_STATE();
    case 294:
      if (lookahead == 'u') ADVANCE(361);
      END_STATE();
    case 295:
      if (lookahead == 'n') ADVANCE(362);
      END_STATE();
    case 296:
      if (lookahead == '_') ADVANCE(363);
      END_STATE();
    case 297:
      if (lookahead == 'i') ADVANCE(364);
      END_STATE();
    case 298:
      if (lookahead == 'd') ADVANCE(365);
      END_STATE();
    case 299:
      if (lookahead == 'l') ADVANCE(366);
      END_STATE();
    case 300:
      if (lookahead == 'a') ADVANCE(367);
      END_STATE();
    case 301:
      if (lookahead == 's') ADVANCE(368);
      END_STATE();
    case 302:
      if (lookahead == 'p') ADVANCE(369);
      END_STATE();
    case 303:
      if (lookahead == 'n') ADVANCE(370);
      END_STATE();
    case 304:
      if (lookahead == 'c') ADVANCE(371);
      END_STATE();
    case 305:
      if (lookahead == 'l') ADVANCE(372);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(373);
      END_STATE();
    case 307:
      if (lookahead == 'n') ADVANCE(374);
      END_STATE();
    case 308:
      if (lookahead == 'e') ADVANCE(375);
      END_STATE();
    case 309:
      if (lookahead == 'r') ADVANCE(376);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 311:
      if (lookahead == 'a') ADVANCE(377);
      END_STATE();
    case 312:
      if (lookahead == 'c') ADVANCE(378);
      END_STATE();
    case 313:
      if (lookahead == 'a') ADVANCE(379);
      END_STATE();
    case 314:
      if (lookahead == 'i') ADVANCE(380);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 316:
      if (lookahead == 'o') ADVANCE(381);
      END_STATE();
    case 317:
      if (lookahead == 'o') ADVANCE(382);
      END_STATE();
    case 318:
      if (lookahead == 'g') ADVANCE(383);
      END_STATE();
    case 319:
      if (lookahead == 'f') ADVANCE(384);
      END_STATE();
    case 320:
      if (lookahead == '_') ADVANCE(385);
      END_STATE();
    case 321:
      if (lookahead == '_') ADVANCE(386);
      END_STATE();
    case 322:
      if (lookahead == '_') ADVANCE(387);
      END_STATE();
    case 323:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 324:
      if (lookahead == 'r') ADVANCE(388);
      END_STATE();
    case 325:
      if (lookahead == 'x') ADVANCE(389);
      END_STATE();
    case 326:
      if (lookahead == 'u') ADVANCE(390);
      END_STATE();
    case 327:
      if (lookahead == 't') ADVANCE(391);
      END_STATE();
    case 328:
      if (lookahead == 'd') ADVANCE(392);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 331:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 332:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 333:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 334:
      if (lookahead == '_') ADVANCE(393);
      END_STATE();
    case 335:
      if (lookahead == 'i') ADVANCE(394);
      END_STATE();
    case 336:
      if (lookahead == 'r') ADVANCE(395);
      END_STATE();
    case 337:
      if (lookahead == 'r') ADVANCE(396);
      END_STATE();
    case 338:
      if (lookahead == 'o') ADVANCE(397);
      END_STATE();
    case 339:
      if (lookahead == 'f') ADVANCE(398);
      END_STATE();
    case 340:
      if (lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 341:
      if (lookahead == 'c') ADVANCE(400);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 345:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 349:
      if (lookahead == '_') ADVANCE(401);
      END_STATE();
    case 350:
      if (lookahead == 'f') ADVANCE(402);
      END_STATE();
    case 351:
      if (lookahead == '_') ADVANCE(403);
      END_STATE();
    case 352:
      if (lookahead == '_') ADVANCE(404);
      END_STATE();
    case 353:
      if (lookahead == '_') ADVANCE(405);
      END_STATE();
    case 354:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 355:
      if (lookahead == 'r') ADVANCE(406);
      END_STATE();
    case 356:
      if (lookahead == 'e') ADVANCE(407);
      END_STATE();
    case 357:
      if (lookahead == 'l') ADVANCE(408);
      END_STATE();
    case 358:
      if (lookahead == 'f') ADVANCE(409);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 360:
      if (lookahead == 'c') ADVANCE(410);
      END_STATE();
    case 361:
      if (lookahead == 'r') ADVANCE(411);
      END_STATE();
    case 362:
      if (lookahead == 'o') ADVANCE(412);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 364:
      if (lookahead == 'b') ADVANCE(413);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 367:
      if (lookahead == 'l') ADVANCE(414);
      END_STATE();
    case 368:
      if (lookahead == 'p') ADVANCE(415);
      END_STATE();
    case 369:
      if (lookahead == 't') ADVANCE(416);
      END_STATE();
    case 370:
      if (lookahead == 's') ADVANCE(417);
      END_STATE();
    case 371:
      if (lookahead == 'a') ADVANCE(418);
      END_STATE();
    case 372:
      if (lookahead == 'l') ADVANCE(419);
      END_STATE();
    case 373:
      if (lookahead == 'i') ADVANCE(420);
      END_STATE();
    case 374:
      if (lookahead == 'e') ADVANCE(421);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 376:
      if (lookahead == 'i') ADVANCE(422);
      END_STATE();
    case 377:
      if (lookahead == 'l') ADVANCE(423);
      END_STATE();
    case 378:
      if (lookahead == 'a') ADVANCE(424);
      END_STATE();
    case 379:
      if (lookahead == 'd') ADVANCE(425);
      END_STATE();
    case 380:
      if (lookahead == 'g') ADVANCE(426);
      END_STATE();
    case 381:
      if (lookahead == 'r') ADVANCE(427);
      END_STATE();
    case 382:
      if (lookahead == 'f') ADVANCE(428);
      END_STATE();
    case 383:
      if (lookahead == 'n') ADVANCE(429);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 385:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 386:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 387:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 388:
      if (lookahead == '_') ADVANCE(430);
      END_STATE();
    case 389:
      if (lookahead == 'p') ADVANCE(431);
      END_STATE();
    case 390:
      if (lookahead == 'e') ADVANCE(432);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 393:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 394:
      if (lookahead == 'g') ADVANCE(433);
      END_STATE();
    case 395:
      if (lookahead == 'n') ADVANCE(434);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_nullptr);
      if (lookahead == '_') ADVANCE(435);
      END_STATE();
    case 397:
      if (lookahead == 'f') ADVANCE(436);
      END_STATE();
    case 398:
      if (lookahead == '_') ADVANCE(437);
      END_STATE();
    case 399:
      if (lookahead == 'r') ADVANCE(438);
      END_STATE();
    case 400:
      if (lookahead == 't') ADVANCE(439);
      END_STATE();
    case 401:
      if (lookahead == 'l') ADVANCE(440);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 403:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 404:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 405:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 406:
      if (lookahead == '_') ADVANCE(441);
      END_STATE();
    case 407:
      if (lookahead == 'd') ADVANCE(442);
      END_STATE();
    case 408:
      if (lookahead == 'e') ADVANCE(443);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 411:
      if (lookahead == 'n') ADVANCE(444);
      END_STATE();
    case 412:
      if (lookahead == 'f') ADVANCE(445);
      END_STATE();
    case 413:
      if (lookahead == 'u') ADVANCE(446);
      END_STATE();
    case 414:
      if (lookahead == 'l') ADVANCE(447);
      END_STATE();
    case 415:
      if (lookahead == 'e') ADVANCE(448);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 417:
      if (lookahead == 'i') ADVANCE(449);
      END_STATE();
    case 418:
      if (lookahead == 'l') ADVANCE(450);
      END_STATE();
    case 419:
      if (lookahead == 'y') ADVANCE(451);
      END_STATE();
    case 420:
      if (lookahead == 'n') ADVANCE(452);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(453);
      END_STATE();
    case 422:
      if (lookahead == 'c') ADVANCE(454);
      END_STATE();
    case 423:
      if (lookahead == 'l') ADVANCE(455);
      END_STATE();
    case 424:
      if (lookahead == 'l') ADVANCE(456);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 426:
      if (lookahead == 'n') ADVANCE(457);
      END_STATE();
    case 427:
      if (lookahead == 'c') ADVANCE(458);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 429:
      if (lookahead == 'e') ADVANCE(459);
      END_STATE();
    case 430:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 431:
      if (lookahead == 'r') ADVANCE(460);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 433:
      if (lookahead == 'n') ADVANCE(461);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 435:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 437:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 440:
      if (lookahead == 'o') ADVANCE(462);
      END_STATE();
    case 441:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(463);
      END_STATE();
    case 446:
      if (lookahead == 't') ADVANCE(464);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 448:
      if (lookahead == 'c') ADVANCE(465);
      END_STATE();
    case 449:
      if (lookahead == 'o') ADVANCE(466);
      END_STATE();
    case 450:
      if (lookahead == 'l') ADVANCE(467);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 452:
      if (lookahead == 'l') ADVANCE(468);
      END_STATE();
    case 453:
      if (lookahead == '_') ADVANCE(469);
      END_STATE();
    case 454:
      if (lookahead == 't') ADVANCE(470);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 456:
      if (lookahead == 'l') ADVANCE(471);
      END_STATE();
    case 457:
      if (lookahead == 'e') ADVANCE(472);
      END_STATE();
    case 458:
      if (lookahead == 'a') ADVANCE(473);
      END_STATE();
    case 459:
      if (lookahead == 'd') ADVANCE(474);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 461:
      if (lookahead == '_') ADVANCE(475);
      END_STATE();
    case 462:
      if (lookahead == 'c') ADVANCE(476);
      END_STATE();
    case 463:
      if (lookahead == '_') ADVANCE(477);
      END_STATE();
    case 464:
      if (lookahead == 'e') ADVANCE(478);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 466:
      if (lookahead == 'n') ADVANCE(479);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 468:
      if (lookahead == 'i') ADVANCE(480);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(481);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 472:
      if (lookahead == 'd') ADVANCE(482);
      END_STATE();
    case 473:
      if (lookahead == 'l') ADVANCE(483);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 475:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 476:
      if (lookahead == 'a') ADVANCE(484);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 478:
      if (lookahead == '_') ADVANCE(485);
      END_STATE();
    case 479:
      if (lookahead == '_') ADVANCE(486);
      END_STATE();
    case 480:
      if (lookahead == 'n') ADVANCE(487);
      END_STATE();
    case 481:
      if (lookahead == '_') ADVANCE(488);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 483:
      if (lookahead == 'l') ADVANCE(489);
      END_STATE();
    case 484:
      if (lookahead == 'l') ADVANCE(490);
      END_STATE();
    case 485:
      if (lookahead == '_') ADVANCE(491);
      END_STATE();
    case 486:
      if (lookahead == '_') ADVANCE(492);
      END_STATE();
    case 487:
      if (lookahead == 'e') ADVANCE(493);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 143},
  [2] = {.lex_state = 53},
  [3] = {.lex_state = 53},
  [4] = {.lex_state = 53},
  [5] = {.lex_state = 53},
  [6] = {.lex_state = 53},
  [7] = {.lex_state = 53},
  [8] = {.lex_state = 53},
  [9] = {.lex_state = 53},
  [10] = {.lex_state = 53},
  [11] = {.lex_state = 53},
  [12] = {.lex_state = 56},
  [13] = {.lex_state = 56},
  [14] = {.lex_state = 56},
  [15] = {.lex_state = 56},
  [16] = {.lex_state = 56},
  [17] = {.lex_state = 56},
  [18] = {.lex_state = 56},
  [19] = {.lex_state = 56},
  [20] = {.lex_state = 56},
  [21] = {.lex_state = 56},
  [22] = {.lex_state = 56},
  [23] = {.lex_state = 56},
  [24] = {.lex_state = 56},
  [25] = {.lex_state = 56},
  [26] = {.lex_state = 53},
  [27] = {.lex_state = 56},
  [28] = {.lex_state = 143},
  [29] = {.lex_state = 143},
  [30] = {.lex_state = 143},
  [31] = {.lex_state = 143},
  [32] = {.lex_state = 143},
  [33] = {.lex_state = 143},
  [34] = {.lex_state = 143},
  [35] = {.lex_state = 143},
  [36] = {.lex_state = 143},
  [37] = {.lex_state = 143},
  [38] = {.lex_state = 143},
  [39] = {.lex_state = 143},
  [40] = {.lex_state = 143},
  [41] = {.lex_state = 143},
  [42] = {.lex_state = 143},
  [43] = {.lex_state = 143},
  [44] = {.lex_state = 143},
  [45] = {.lex_state = 55},
  [46] = {.lex_state = 143},
  [47] = {.lex_state = 55},
  [48] = {.lex_state = 143},
  [49] = {.lex_state = 55},
  [50] = {.lex_state = 143},
  [51] = {.lex_state = 143},
  [52] = {.lex_state = 143},
  [53] = {.lex_state = 143},
  [54] = {.lex_state = 53},
  [55] = {.lex_state = 53},
  [56] = {.lex_state = 53},
  [57] = {.lex_state = 53},
  [58] = {.lex_state = 53},
  [59] = {.lex_state = 56},
  [60] = {.lex_state = 56},
  [61] = {.lex_state = 56},
  [62] = {.lex_state = 56},
  [63] = {.lex_state = 56},
  [64] = {.lex_state = 143},
  [65] = {.lex_state = 55},
  [66] = {.lex_state = 55},
  [67] = {.lex_state = 143},
  [68] = {.lex_state = 143},
  [69] = {.lex_state = 143},
  [70] = {.lex_state = 143},
  [71] = {.lex_state = 143},
  [72] = {.lex_state = 143},
  [73] = {.lex_state = 55},
  [74] = {.lex_state = 143},
  [75] = {.lex_state = 143},
  [76] = {.lex_state = 143},
  [77] = {.lex_state = 55},
  [78] = {.lex_state = 55},
  [79] = {.lex_state = 143},
  [80] = {.lex_state = 143},
  [81] = {.lex_state = 143},
  [82] = {.lex_state = 143},
  [83] = {.lex_state = 143},
  [84] = {.lex_state = 143},
  [85] = {.lex_state = 143},
  [86] = {.lex_state = 143},
  [87] = {.lex_state = 143},
  [88] = {.lex_state = 143},
  [89] = {.lex_state = 143},
  [90] = {.lex_state = 53},
  [91] = {.lex_state = 53},
  [92] = {.lex_state = 53},
  [93] = {.lex_state = 143},
  [94] = {.lex_state = 53},
  [95] = {.lex_state = 53},
  [96] = {.lex_state = 53},
  [97] = {.lex_state = 53},
  [98] = {.lex_state = 53},
  [99] = {.lex_state = 53},
  [100] = {.lex_state = 53},
  [101] = {.lex_state = 53},
  [102] = {.lex_state = 53},
  [103] = {.lex_state = 53},
  [104] = {.lex_state = 53},
  [105] = {.lex_state = 53},
  [106] = {.lex_state = 53},
  [107] = {.lex_state = 143},
  [108] = {.lex_state = 53},
  [109] = {.lex_state = 53},
  [110] = {.lex_state = 53},
  [111] = {.lex_state = 53},
  [112] = {.lex_state = 53},
  [113] = {.lex_state = 53},
  [114] = {.lex_state = 53},
  [115] = {.lex_state = 53},
  [116] = {.lex_state = 53},
  [117] = {.lex_state = 53},
  [118] = {.lex_state = 53},
  [119] = {.lex_state = 53},
  [120] = {.lex_state = 53},
  [121] = {.lex_state = 53},
  [122] = {.lex_state = 53},
  [123] = {.lex_state = 53},
  [124] = {.lex_state = 53},
  [125] = {.lex_state = 53},
  [126] = {.lex_state = 53},
  [127] = {.lex_state = 53},
  [128] = {.lex_state = 53},
  [129] = {.lex_state = 53},
  [130] = {.lex_state = 53},
  [131] = {.lex_state = 53},
  [132] = {.lex_state = 53},
  [133] = {.lex_state = 53},
  [134] = {.lex_state = 53},
  [135] = {.lex_state = 56},
  [136] = {.lex_state = 53},
  [137] = {.lex_state = 53},
  [138] = {.lex_state = 53},
  [139] = {.lex_state = 53},
  [140] = {.lex_state = 53},
  [141] = {.lex_state = 53},
  [142] = {.lex_state = 53},
  [143] = {.lex_state = 53},
  [144] = {.lex_state = 53},
  [145] = {.lex_state = 53},
  [146] = {.lex_state = 53},
  [147] = {.lex_state = 53},
  [148] = {.lex_state = 53},
  [149] = {.lex_state = 53},
  [150] = {.lex_state = 53},
  [151] = {.lex_state = 53},
  [152] = {.lex_state = 53},
  [153] = {.lex_state = 53},
  [154] = {.lex_state = 53},
  [155] = {.lex_state = 53},
  [156] = {.lex_state = 53},
  [157] = {.lex_state = 53},
  [158] = {.lex_state = 53},
  [159] = {.lex_state = 53},
  [160] = {.lex_state = 53},
  [161] = {.lex_state = 56},
  [162] = {.lex_state = 56},
  [163] = {.lex_state = 56},
  [164] = {.lex_state = 56},
  [165] = {.lex_state = 56},
  [166] = {.lex_state = 56},
  [167] = {.lex_state = 56},
  [168] = {.lex_state = 56},
  [169] = {.lex_state = 56},
  [170] = {.lex_state = 56},
  [171] = {.lex_state = 56},
  [172] = {.lex_state = 56},
  [173] = {.lex_state = 56},
  [174] = {.lex_state = 56},
  [175] = {.lex_state = 56},
  [176] = {.lex_state = 56},
  [177] = {.lex_state = 56},
  [178] = {.lex_state = 56},
  [179] = {.lex_state = 56},
  [180] = {.lex_state = 56},
  [181] = {.lex_state = 56},
  [182] = {.lex_state = 56},
  [183] = {.lex_state = 56},
  [184] = {.lex_state = 56},
  [185] = {.lex_state = 56},
  [186] = {.lex_state = 56},
  [187] = {.lex_state = 56},
  [188] = {.lex_state = 56},
  [189] = {.lex_state = 56},
  [190] = {.lex_state = 56},
  [191] = {.lex_state = 56},
  [192] = {.lex_state = 56},
  [193] = {.lex_state = 56},
  [194] = {.lex_state = 56},
  [195] = {.lex_state = 56},
  [196] = {.lex_state = 56},
  [197] = {.lex_state = 56},
  [198] = {.lex_state = 56},
  [199] = {.lex_state = 56},
  [200] = {.lex_state = 56},
  [201] = {.lex_state = 56},
  [202] = {.lex_state = 56},
  [203] = {.lex_state = 56},
  [204] = {.lex_state = 56},
  [205] = {.lex_state = 56},
  [206] = {.lex_state = 56},
  [207] = {.lex_state = 56},
  [208] = {.lex_state = 56},
  [209] = {.lex_state = 56},
  [210] = {.lex_state = 56},
  [211] = {.lex_state = 55},
  [212] = {.lex_state = 56},
  [213] = {.lex_state = 56},
  [214] = {.lex_state = 56},
  [215] = {.lex_state = 143},
  [216] = {.lex_state = 56},
  [217] = {.lex_state = 56},
  [218] = {.lex_state = 56},
  [219] = {.lex_state = 56},
  [220] = {.lex_state = 56},
  [221] = {.lex_state = 56},
  [222] = {.lex_state = 56},
  [223] = {.lex_state = 56},
  [224] = {.lex_state = 56},
  [225] = {.lex_state = 56},
  [226] = {.lex_state = 56},
  [227] = {.lex_state = 56},
  [228] = {.lex_state = 56},
  [229] = {.lex_state = 143},
  [230] = {.lex_state = 56},
  [231] = {.lex_state = 143},
  [232] = {.lex_state = 55},
  [233] = {.lex_state = 143},
  [234] = {.lex_state = 143},
  [235] = {.lex_state = 143},
  [236] = {.lex_state = 143},
  [237] = {.lex_state = 143},
  [238] = {.lex_state = 143},
  [239] = {.lex_state = 143},
  [240] = {.lex_state = 51},
  [241] = {.lex_state = 143},
  [242] = {.lex_state = 143},
  [243] = {.lex_state = 143},
  [244] = {.lex_state = 143},
  [245] = {.lex_state = 143},
  [246] = {.lex_state = 143},
  [247] = {.lex_state = 143},
  [248] = {.lex_state = 143},
  [249] = {.lex_state = 143},
  [250] = {.lex_state = 143},
  [251] = {.lex_state = 143},
  [252] = {.lex_state = 143},
  [253] = {.lex_state = 143},
  [254] = {.lex_state = 143},
  [255] = {.lex_state = 143},
  [256] = {.lex_state = 143},
  [257] = {.lex_state = 143},
  [258] = {.lex_state = 143},
  [259] = {.lex_state = 143},
  [260] = {.lex_state = 143},
  [261] = {.lex_state = 143},
  [262] = {.lex_state = 143},
  [263] = {.lex_state = 143},
  [264] = {.lex_state = 143},
  [265] = {.lex_state = 143},
  [266] = {.lex_state = 143},
  [267] = {.lex_state = 143},
  [268] = {.lex_state = 143},
  [269] = {.lex_state = 51},
  [270] = {.lex_state = 143},
  [271] = {.lex_state = 55},
  [272] = {.lex_state = 55},
  [273] = {.lex_state = 143},
  [274] = {.lex_state = 143},
  [275] = {.lex_state = 143},
  [276] = {.lex_state = 143},
  [277] = {.lex_state = 55},
  [278] = {.lex_state = 143},
  [279] = {.lex_state = 143},
  [280] = {.lex_state = 143},
  [281] = {.lex_state = 143},
  [282] = {.lex_state = 143},
  [283] = {.lex_state = 143},
  [284] = {.lex_state = 143},
  [285] = {.lex_state = 143},
  [286] = {.lex_state = 143},
  [287] = {.lex_state = 143},
  [288] = {.lex_state = 55},
  [289] = {.lex_state = 143},
  [290] = {.lex_state = 143},
  [291] = {.lex_state = 55},
  [292] = {.lex_state = 143},
  [293] = {.lex_state = 143},
  [294] = {.lex_state = 55},
  [295] = {.lex_state = 55},
  [296] = {.lex_state = 143},
  [297] = {.lex_state = 143},
  [298] = {.lex_state = 143},
  [299] = {.lex_state = 143},
  [300] = {.lex_state = 143},
  [301] = {.lex_state = 143},
  [302] = {.lex_state = 143},
  [303] = {.lex_state = 143},
  [304] = {.lex_state = 143},
  [305] = {.lex_state = 55},
  [306] = {.lex_state = 143},
  [307] = {.lex_state = 143},
  [308] = {.lex_state = 55},
  [309] = {.lex_state = 55},
  [310] = {.lex_state = 55},
  [311] = {.lex_state = 55},
  [312] = {.lex_state = 55},
  [313] = {.lex_state = 55},
  [314] = {.lex_state = 55},
  [315] = {.lex_state = 143},
  [316] = {.lex_state = 143},
  [317] = {.lex_state = 55},
  [318] = {.lex_state = 143},
  [319] = {.lex_state = 143},
  [320] = {.lex_state = 143},
  [321] = {.lex_state = 143},
  [322] = {.lex_state = 55},
  [323] = {.lex_state = 55},
  [324] = {.lex_state = 55},
  [325] = {.lex_state = 55},
  [326] = {.lex_state = 55},
  [327] = {.lex_state = 55},
  [328] = {.lex_state = 55},
  [329] = {.lex_state = 55},
  [330] = {.lex_state = 55},
  [331] = {.lex_state = 143},
  [332] = {.lex_state = 143},
  [333] = {.lex_state = 143},
  [334] = {.lex_state = 55},
  [335] = {.lex_state = 55},
  [336] = {.lex_state = 55},
  [337] = {.lex_state = 143},
  [338] = {.lex_state = 55},
  [339] = {.lex_state = 55},
  [340] = {.lex_state = 55},
  [341] = {.lex_state = 55},
  [342] = {.lex_state = 143},
  [343] = {.lex_state = 55},
  [344] = {.lex_state = 55},
  [345] = {.lex_state = 55},
  [346] = {.lex_state = 55},
  [347] = {.lex_state = 143},
  [348] = {.lex_state = 55},
  [349] = {.lex_state = 55},
  [350] = {.lex_state = 55},
  [351] = {.lex_state = 55},
  [352] = {.lex_state = 143},
  [353] = {.lex_state = 143},
  [354] = {.lex_state = 143},
  [355] = {.lex_state = 55},
  [356] = {.lex_state = 55},
  [357] = {.lex_state = 55},
  [358] = {.lex_state = 143},
  [359] = {.lex_state = 143},
  [360] = {.lex_state = 143},
  [361] = {.lex_state = 143},
  [362] = {.lex_state = 143},
  [363] = {.lex_state = 55},
  [364] = {.lex_state = 143},
  [365] = {.lex_state = 55},
  [366] = {.lex_state = 143},
  [367] = {.lex_state = 55},
  [368] = {.lex_state = 55},
  [369] = {.lex_state = 55},
  [370] = {.lex_state = 55},
  [371] = {.lex_state = 55},
  [372] = {.lex_state = 143},
  [373] = {.lex_state = 143},
  [374] = {.lex_state = 55},
  [375] = {.lex_state = 143},
  [376] = {.lex_state = 55},
  [377] = {.lex_state = 143},
  [378] = {.lex_state = 55},
  [379] = {.lex_state = 143},
  [380] = {.lex_state = 143},
  [381] = {.lex_state = 143},
  [382] = {.lex_state = 143},
  [383] = {.lex_state = 143},
  [384] = {.lex_state = 55},
  [385] = {.lex_state = 143},
  [386] = {.lex_state = 55},
  [387] = {.lex_state = 55},
  [388] = {.lex_state = 143},
  [389] = {.lex_state = 143},
  [390] = {.lex_state = 55},
  [391] = {.lex_state = 143},
  [392] = {.lex_state = 55},
  [393] = {.lex_state = 143},
  [394] = {.lex_state = 55},
  [395] = {.lex_state = 55},
  [396] = {.lex_state = 55},
  [397] = {.lex_state = 143},
  [398] = {.lex_state = 55},
  [399] = {.lex_state = 143},
  [400] = {.lex_state = 55},
  [401] = {.lex_state = 143},
  [402] = {.lex_state = 55},
  [403] = {.lex_state = 55},
  [404] = {.lex_state = 55},
  [405] = {.lex_state = 143},
  [406] = {.lex_state = 143},
  [407] = {.lex_state = 143},
  [408] = {.lex_state = 143},
  [409] = {.lex_state = 143},
  [410] = {.lex_state = 143},
  [411] = {.lex_state = 143},
  [412] = {.lex_state = 143},
  [413] = {.lex_state = 143},
  [414] = {.lex_state = 143},
  [415] = {.lex_state = 143},
  [416] = {.lex_state = 143},
  [417] = {.lex_state = 143},
  [418] = {.lex_state = 143},
  [419] = {.lex_state = 143},
  [420] = {.lex_state = 143},
  [421] = {.lex_state = 143},
  [422] = {.lex_state = 143},
  [423] = {.lex_state = 143},
  [424] = {.lex_state = 143},
  [425] = {.lex_state = 143},
  [426] = {.lex_state = 143},
  [427] = {.lex_state = 143},
  [428] = {.lex_state = 143},
  [429] = {.lex_state = 143},
  [430] = {.lex_state = 143},
  [431] = {.lex_state = 143},
  [432] = {.lex_state = 143},
  [433] = {.lex_state = 143},
  [434] = {.lex_state = 143},
  [435] = {.lex_state = 143},
  [436] = {.lex_state = 143},
  [437] = {.lex_state = 143},
  [438] = {.lex_state = 143},
  [439] = {.lex_state = 143},
  [440] = {.lex_state = 143},
  [441] = {.lex_state = 143},
  [442] = {.lex_state = 143},
  [443] = {.lex_state = 143},
  [444] = {.lex_state = 143},
  [445] = {.lex_state = 143},
  [446] = {.lex_state = 52},
  [447] = {.lex_state = 143},
  [448] = {.lex_state = 143},
  [449] = {.lex_state = 143},
  [450] = {.lex_state = 143},
  [451] = {.lex_state = 143},
  [452] = {.lex_state = 143},
  [453] = {.lex_state = 143},
  [454] = {.lex_state = 143},
  [455] = {.lex_state = 143},
  [456] = {.lex_state = 143},
  [457] = {.lex_state = 143},
  [458] = {.lex_state = 143},
  [459] = {.lex_state = 51},
  [460] = {.lex_state = 143},
  [461] = {.lex_state = 143},
  [462] = {.lex_state = 143},
  [463] = {.lex_state = 143},
  [464] = {.lex_state = 143},
  [465] = {.lex_state = 143},
  [466] = {.lex_state = 143},
  [467] = {.lex_state = 143},
  [468] = {.lex_state = 143},
  [469] = {.lex_state = 143},
  [470] = {.lex_state = 143},
  [471] = {.lex_state = 143},
  [472] = {.lex_state = 143},
  [473] = {.lex_state = 143},
  [474] = {.lex_state = 143},
  [475] = {.lex_state = 143},
  [476] = {.lex_state = 143},
  [477] = {.lex_state = 143},
  [478] = {.lex_state = 143},
  [479] = {.lex_state = 143},
  [480] = {.lex_state = 143},
  [481] = {.lex_state = 143},
  [482] = {.lex_state = 143},
  [483] = {.lex_state = 143},
  [484] = {.lex_state = 143},
  [485] = {.lex_state = 143},
  [486] = {.lex_state = 143},
  [487] = {.lex_state = 143},
  [488] = {.lex_state = 143},
  [489] = {.lex_state = 143},
  [490] = {.lex_state = 143},
  [491] = {.lex_state = 143},
  [492] = {.lex_state = 143},
  [493] = {.lex_state = 143},
  [494] = {.lex_state = 143},
  [495] = {.lex_state = 143},
  [496] = {.lex_state = 143},
  [497] = {.lex_state = 143},
  [498] = {.lex_state = 143},
  [499] = {.lex_state = 143},
  [500] = {.lex_state = 51},
  [501] = {.lex_state = 51},
  [502] = {.lex_state = 52},
  [503] = {.lex_state = 143},
  [504] = {.lex_state = 143},
  [505] = {.lex_state = 51},
  [506] = {.lex_state = 58},
  [507] = {.lex_state = 58},
  [508] = {.lex_state = 58},
  [509] = {.lex_state = 58},
  [510] = {.lex_state = 58},
  [511] = {.lex_state = 58},
  [512] = {.lex_state = 58},
  [513] = {.lex_state = 58},
  [514] = {.lex_state = 58},
  [515] = {.lex_state = 58},
  [516] = {.lex_state = 58},
  [517] = {.lex_state = 58},
  [518] = {.lex_state = 143},
  [519] = {.lex_state = 143},
  [520] = {.lex_state = 143},
  [521] = {.lex_state = 143},
  [522] = {.lex_state = 143},
  [523] = {.lex_state = 143},
  [524] = {.lex_state = 143},
  [525] = {.lex_state = 143},
  [526] = {.lex_state = 143},
  [527] = {.lex_state = 143},
  [528] = {.lex_state = 143},
  [529] = {.lex_state = 143},
  [530] = {.lex_state = 143},
  [531] = {.lex_state = 143},
  [532] = {.lex_state = 143},
  [533] = {.lex_state = 143},
  [534] = {.lex_state = 62},
  [535] = {.lex_state = 62},
  [536] = {.lex_state = 62},
  [537] = {.lex_state = 143},
  [538] = {.lex_state = 62},
  [539] = {.lex_state = 62},
  [540] = {.lex_state = 62},
  [541] = {.lex_state = 62},
  [542] = {.lex_state = 62},
  [543] = {.lex_state = 62},
  [544] = {.lex_state = 63},
  [545] = {.lex_state = 63},
  [546] = {.lex_state = 62},
  [547] = {.lex_state = 63},
  [548] = {.lex_state = 63},
  [549] = {.lex_state = 63},
  [550] = {.lex_state = 63},
  [551] = {.lex_state = 63},
  [552] = {.lex_state = 63},
  [553] = {.lex_state = 63},
  [554] = {.lex_state = 63},
  [555] = {.lex_state = 143},
  [556] = {.lex_state = 63},
  [557] = {.lex_state = 143},
  [558] = {.lex_state = 143},
  [559] = {.lex_state = 143},
  [560] = {.lex_state = 143},
  [561] = {.lex_state = 143},
  [562] = {.lex_state = 143},
  [563] = {.lex_state = 143},
  [564] = {.lex_state = 143},
  [565] = {.lex_state = 143},
  [566] = {.lex_state = 143},
  [567] = {.lex_state = 143},
  [568] = {.lex_state = 68},
  [569] = {.lex_state = 143},
  [570] = {.lex_state = 143},
  [571] = {.lex_state = 67},
  [572] = {.lex_state = 143},
  [573] = {.lex_state = 143},
  [574] = {.lex_state = 143},
  [575] = {.lex_state = 143},
  [576] = {.lex_state = 67},
  [577] = {.lex_state = 67},
  [578] = {.lex_state = 143},
  [579] = {.lex_state = 143},
  [580] = {.lex_state = 143},
  [581] = {.lex_state = 68},
  [582] = {.lex_state = 143},
  [583] = {.lex_state = 143},
  [584] = {.lex_state = 143},
  [585] = {.lex_state = 143},
  [586] = {.lex_state = 143},
  [587] = {.lex_state = 143},
  [588] = {.lex_state = 143},
  [589] = {.lex_state = 68},
  [590] = {.lex_state = 143},
  [591] = {.lex_state = 143},
  [592] = {.lex_state = 62},
  [593] = {.lex_state = 143},
  [594] = {.lex_state = 143},
  [595] = {.lex_state = 143},
  [596] = {.lex_state = 143},
  [597] = {.lex_state = 143},
  [598] = {.lex_state = 143},
  [599] = {.lex_state = 143},
  [600] = {.lex_state = 143},
  [601] = {.lex_state = 143},
  [602] = {.lex_state = 143},
  [603] = {.lex_state = 143},
  [604] = {.lex_state = 143},
  [605] = {.lex_state = 143},
  [606] = {.lex_state = 143},
  [607] = {.lex_state = 143},
  [608] = {.lex_state = 143},
  [609] = {.lex_state = 143},
  [610] = {.lex_state = 143},
  [611] = {.lex_state = 143},
  [612] = {.lex_state = 143},
  [613] = {.lex_state = 143},
  [614] = {.lex_state = 143},
  [615] = {.lex_state = 143},
  [616] = {.lex_state = 143},
  [617] = {.lex_state = 143},
  [618] = {.lex_state = 143},
  [619] = {.lex_state = 143},
  [620] = {.lex_state = 143},
  [621] = {.lex_state = 143},
  [622] = {.lex_state = 143},
  [623] = {.lex_state = 143},
  [624] = {.lex_state = 143},
  [625] = {.lex_state = 143},
  [626] = {.lex_state = 143},
  [627] = {.lex_state = 143},
  [628] = {.lex_state = 143},
  [629] = {.lex_state = 143},
  [630] = {.lex_state = 143},
  [631] = {.lex_state = 143},
  [632] = {.lex_state = 143},
  [633] = {.lex_state = 143},
  [634] = {.lex_state = 143},
  [635] = {.lex_state = 143},
  [636] = {.lex_state = 143},
  [637] = {.lex_state = 143},
  [638] = {.lex_state = 143},
  [639] = {.lex_state = 143},
  [640] = {.lex_state = 143},
  [641] = {.lex_state = 143},
  [642] = {.lex_state = 143},
  [643] = {.lex_state = 143},
  [644] = {.lex_state = 143},
  [645] = {.lex_state = 143},
  [646] = {.lex_state = 143},
  [647] = {.lex_state = 143},
  [648] = {.lex_state = 143},
  [649] = {.lex_state = 143},
  [650] = {.lex_state = 143},
  [651] = {.lex_state = 143},
  [652] = {.lex_state = 143},
  [653] = {.lex_state = 143},
  [654] = {.lex_state = 143},
  [655] = {.lex_state = 143},
  [656] = {.lex_state = 143},
  [657] = {.lex_state = 143},
  [658] = {.lex_state = 143},
  [659] = {.lex_state = 143},
  [660] = {.lex_state = 143},
  [661] = {.lex_state = 143},
  [662] = {.lex_state = 143},
  [663] = {.lex_state = 143},
  [664] = {.lex_state = 143},
  [665] = {.lex_state = 143},
  [666] = {.lex_state = 143},
  [667] = {.lex_state = 143},
  [668] = {.lex_state = 143},
  [669] = {.lex_state = 143},
  [670] = {.lex_state = 58},
  [671] = {.lex_state = 143},
  [672] = {.lex_state = 143},
  [673] = {.lex_state = 143},
  [674] = {.lex_state = 143},
  [675] = {.lex_state = 143},
  [676] = {.lex_state = 143},
  [677] = {.lex_state = 143},
  [678] = {.lex_state = 143},
  [679] = {.lex_state = 143},
  [680] = {.lex_state = 143},
  [681] = {.lex_state = 143},
  [682] = {.lex_state = 143},
  [683] = {.lex_state = 143},
  [684] = {.lex_state = 143},
  [685] = {.lex_state = 143},
  [686] = {.lex_state = 143},
  [687] = {.lex_state = 143},
  [688] = {.lex_state = 143},
  [689] = {.lex_state = 143},
  [690] = {.lex_state = 143},
  [691] = {.lex_state = 143},
  [692] = {.lex_state = 143},
  [693] = {.lex_state = 143},
  [694] = {.lex_state = 143},
  [695] = {.lex_state = 143},
  [696] = {.lex_state = 143},
  [697] = {.lex_state = 143},
  [698] = {.lex_state = 143},
  [699] = {.lex_state = 143},
  [700] = {.lex_state = 143},
  [701] = {.lex_state = 143},
  [702] = {.lex_state = 143},
  [703] = {.lex_state = 143},
  [704] = {.lex_state = 143},
  [705] = {.lex_state = 143},
  [706] = {.lex_state = 143},
  [707] = {.lex_state = 143},
  [708] = {.lex_state = 143},
  [709] = {.lex_state = 143},
  [710] = {.lex_state = 143},
  [711] = {.lex_state = 143},
  [712] = {.lex_state = 143},
  [713] = {.lex_state = 143},
  [714] = {.lex_state = 143},
  [715] = {.lex_state = 143},
  [716] = {.lex_state = 143},
  [717] = {.lex_state = 143},
  [718] = {.lex_state = 143},
  [719] = {.lex_state = 143},
  [720] = {.lex_state = 143},
  [721] = {.lex_state = 143},
  [722] = {.lex_state = 143},
  [723] = {.lex_state = 143},
  [724] = {.lex_state = 143},
  [725] = {.lex_state = 143},
  [726] = {.lex_state = 143},
  [727] = {.lex_state = 143},
  [728] = {.lex_state = 143},
  [729] = {.lex_state = 143},
  [730] = {.lex_state = 143},
  [731] = {.lex_state = 143},
  [732] = {.lex_state = 143},
  [733] = {.lex_state = 143},
  [734] = {.lex_state = 143},
  [735] = {.lex_state = 143},
  [736] = {.lex_state = 143},
  [737] = {.lex_state = 143},
  [738] = {.lex_state = 143},
  [739] = {.lex_state = 143},
  [740] = {.lex_state = 143},
  [741] = {.lex_state = 143},
  [742] = {.lex_state = 143},
  [743] = {.lex_state = 143},
  [744] = {.lex_state = 143},
  [745] = {.lex_state = 143},
  [746] = {.lex_state = 143},
  [747] = {.lex_state = 143},
  [748] = {.lex_state = 143},
  [749] = {.lex_state = 143},
  [750] = {.lex_state = 143},
  [751] = {.lex_state = 143},
  [752] = {.lex_state = 143},
  [753] = {.lex_state = 143},
  [754] = {.lex_state = 143},
  [755] = {.lex_state = 143},
  [756] = {.lex_state = 143},
  [757] = {.lex_state = 143},
  [758] = {.lex_state = 143},
  [759] = {.lex_state = 143},
  [760] = {.lex_state = 143},
  [761] = {.lex_state = 143},
  [762] = {.lex_state = 143},
  [763] = {.lex_state = 143},
  [764] = {.lex_state = 143},
  [765] = {.lex_state = 62},
  [766] = {.lex_state = 62},
  [767] = {.lex_state = 62},
  [768] = {.lex_state = 62},
  [769] = {.lex_state = 58},
  [770] = {.lex_state = 58},
  [771] = {.lex_state = 62},
  [772] = {.lex_state = 58},
  [773] = {.lex_state = 58},
  [774] = {.lex_state = 58},
  [775] = {.lex_state = 58},
  [776] = {.lex_state = 58},
  [777] = {.lex_state = 61},
  [778] = {.lex_state = 61},
  [779] = {.lex_state = 61},
  [780] = {.lex_state = 61},
  [781] = {.lex_state = 61},
  [782] = {.lex_state = 61},
  [783] = {.lex_state = 61},
  [784] = {.lex_state = 61},
  [785] = {.lex_state = 61},
  [786] = {.lex_state = 61},
  [787] = {.lex_state = 61},
  [788] = {.lex_state = 143},
  [789] = {.lex_state = 143},
  [790] = {.lex_state = 143},
  [791] = {.lex_state = 61},
  [792] = {.lex_state = 62},
  [793] = {.lex_state = 62},
  [794] = {.lex_state = 62},
  [795] = {.lex_state = 62},
  [796] = {.lex_state = 62},
  [797] = {.lex_state = 61},
  [798] = {.lex_state = 61},
  [799] = {.lex_state = 62},
  [800] = {.lex_state = 62},
  [801] = {.lex_state = 61},
  [802] = {.lex_state = 61},
  [803] = {.lex_state = 61},
  [804] = {.lex_state = 61},
  [805] = {.lex_state = 62},
  [806] = {.lex_state = 62},
  [807] = {.lex_state = 61},
  [808] = {.lex_state = 61},
  [809] = {.lex_state = 62},
  [810] = {.lex_state = 62},
  [811] = {.lex_state = 62},
  [812] = {.lex_state = 62},
  [813] = {.lex_state = 61},
  [814] = {.lex_state = 61},
  [815] = {.lex_state = 62},
  [816] = {.lex_state = 61},
  [817] = {.lex_state = 62},
  [818] = {.lex_state = 62},
  [819] = {.lex_state = 61},
  [820] = {.lex_state = 61},
  [821] = {.lex_state = 62},
  [822] = {.lex_state = 62},
  [823] = {.lex_state = 62},
  [824] = {.lex_state = 61},
  [825] = {.lex_state = 61},
  [826] = {.lex_state = 62},
  [827] = {.lex_state = 62},
  [828] = {.lex_state = 62},
  [829] = {.lex_state = 61},
  [830] = {.lex_state = 60},
  [831] = {.lex_state = 62},
  [832] = {.lex_state = 61},
  [833] = {.lex_state = 62},
  [834] = {.lex_state = 61},
  [835] = {.lex_state = 60},
  [836] = {.lex_state = 60},
  [837] = {.lex_state = 61},
  [838] = {.lex_state = 58},
  [839] = {.lex_state = 61},
  [840] = {.lex_state = 61},
  [841] = {.lex_state = 60},
  [842] = {.lex_state = 62},
  [843] = {.lex_state = 58},
  [844] = {.lex_state = 59},
  [845] = {.lex_state = 59},
  [846] = {.lex_state = 59},
  [847] = {.lex_state = 59},
  [848] = {.lex_state = 59},
  [849] = {.lex_state = 59},
  [850] = {.lex_state = 143},
  [851] = {.lex_state = 62},
  [852] = {.lex_state = 62},
  [853] = {.lex_state = 62},
  [854] = {.lex_state = 62},
  [855] = {.lex_state = 62},
  [856] = {.lex_state = 62},
  [857] = {.lex_state = 62},
  [858] = {.lex_state = 59},
  [859] = {.lex_state = 59},
  [860] = {.lex_state = 62},
  [861] = {.lex_state = 62},
  [862] = {.lex_state = 62},
  [863] = {.lex_state = 58},
  [864] = {.lex_state = 58},
  [865] = {.lex_state = 58},
  [866] = {.lex_state = 58},
  [867] = {.lex_state = 62},
  [868] = {.lex_state = 58},
  [869] = {.lex_state = 62},
  [870] = {.lex_state = 58},
  [871] = {.lex_state = 58},
  [872] = {.lex_state = 143},
  [873] = {.lex_state = 61},
  [874] = {.lex_state = 61},
  [875] = {.lex_state = 61},
  [876] = {.lex_state = 61},
  [877] = {.lex_state = 61},
  [878] = {.lex_state = 61},
  [879] = {.lex_state = 61},
  [880] = {.lex_state = 58},
  [881] = {.lex_state = 61},
  [882] = {.lex_state = 61},
  [883] = {.lex_state = 61},
  [884] = {.lex_state = 61},
  [885] = {.lex_state = 61},
  [886] = {.lex_state = 62},
  [887] = {.lex_state = 61},
  [888] = {.lex_state = 62},
  [889] = {.lex_state = 62},
  [890] = {.lex_state = 62},
  [891] = {.lex_state = 62},
  [892] = {.lex_state = 64},
  [893] = {.lex_state = 62},
  [894] = {.lex_state = 62},
  [895] = {.lex_state = 62},
  [896] = {.lex_state = 64},
  [897] = {.lex_state = 62},
  [898] = {.lex_state = 62},
  [899] = {.lex_state = 62},
  [900] = {.lex_state = 64},
  [901] = {.lex_state = 62},
  [902] = {.lex_state = 62},
  [903] = {.lex_state = 64},
  [904] = {.lex_state = 64},
  [905] = {.lex_state = 64},
  [906] = {.lex_state = 64},
  [907] = {.lex_state = 64},
  [908] = {.lex_state = 64},
  [909] = {.lex_state = 64},
  [910] = {.lex_state = 64},
  [911] = {.lex_state = 64},
  [912] = {.lex_state = 64},
  [913] = {.lex_state = 64},
  [914] = {.lex_state = 64},
  [915] = {.lex_state = 64},
  [916] = {.lex_state = 64},
  [917] = {.lex_state = 64},
  [918] = {.lex_state = 64},
  [919] = {.lex_state = 64},
  [920] = {.lex_state = 64},
  [921] = {.lex_state = 64},
  [922] = {.lex_state = 62},
  [923] = {.lex_state = 64},
  [924] = {.lex_state = 64},
  [925] = {.lex_state = 64},
  [926] = {.lex_state = 64},
  [927] = {.lex_state = 62},
  [928] = {.lex_state = 62},
  [929] = {.lex_state = 62},
  [930] = {.lex_state = 64},
  [931] = {.lex_state = 64},
  [932] = {.lex_state = 64},
  [933] = {.lex_state = 64},
  [934] = {.lex_state = 64},
  [935] = {.lex_state = 62},
  [936] = {.lex_state = 62},
  [937] = {.lex_state = 64},
  [938] = {.lex_state = 62},
  [939] = {.lex_state = 64},
  [940] = {.lex_state = 64},
  [941] = {.lex_state = 64},
  [942] = {.lex_state = 64},
  [943] = {.lex_state = 64},
  [944] = {.lex_state = 62},
  [945] = {.lex_state = 62},
  [946] = {.lex_state = 64},
  [947] = {.lex_state = 62},
  [948] = {.lex_state = 62},
  [949] = {.lex_state = 64},
  [950] = {.lex_state = 62},
  [951] = {.lex_state = 64},
  [952] = {.lex_state = 64},
  [953] = {.lex_state = 64},
  [954] = {.lex_state = 64},
  [955] = {.lex_state = 64},
  [956] = {.lex_state = 62},
  [957] = {.lex_state = 62},
  [958] = {.lex_state = 64},
  [959] = {.lex_state = 64},
  [960] = {.lex_state = 64},
  [961] = {.lex_state = 62},
  [962] = {.lex_state = 62},
  [963] = {.lex_state = 64},
  [964] = {.lex_state = 64},
  [965] = {.lex_state = 62},
  [966] = {.lex_state = 62},
  [967] = {.lex_state = 64},
  [968] = {.lex_state = 62},
  [969] = {.lex_state = 58},
  [970] = {.lex_state = 58},
  [971] = {.lex_state = 63},
  [972] = {.lex_state = 58},
  [973] = {.lex_state = 58},
  [974] = {.lex_state = 63},
  [975] = {.lex_state = 63},
  [976] = {.lex_state = 62},
  [977] = {.lex_state = 63},
  [978] = {.lex_state = 58},
  [979] = {.lex_state = 63},
  [980] = {.lex_state = 58},
  [981] = {.lex_state = 58},
  [982] = {.lex_state = 58},
  [983] = {.lex_state = 58},
  [984] = {.lex_state = 58},
  [985] = {.lex_state = 62},
  [986] = {.lex_state = 58},
  [987] = {.lex_state = 63},
  [988] = {.lex_state = 63},
  [989] = {.lex_state = 58},
  [990] = {.lex_state = 62},
  [991] = {.lex_state = 63},
  [992] = {.lex_state = 58},
  [993] = {.lex_state = 62},
  [994] = {.lex_state = 63},
  [995] = {.lex_state = 63},
  [996] = {.lex_state = 63},
  [997] = {.lex_state = 63},
  [998] = {.lex_state = 58},
  [999] = {.lex_state = 62},
  [1000] = {.lex_state = 63},
  [1001] = {.lex_state = 63},
  [1002] = {.lex_state = 62},
  [1003] = {.lex_state = 58},
  [1004] = {.lex_state = 62},
  [1005] = {.lex_state = 62},
  [1006] = {.lex_state = 62},
  [1007] = {.lex_state = 58},
  [1008] = {.lex_state = 63},
  [1009] = {.lex_state = 62},
  [1010] = {.lex_state = 63},
  [1011] = {.lex_state = 63},
  [1012] = {.lex_state = 58},
  [1013] = {.lex_state = 63},
  [1014] = {.lex_state = 58},
  [1015] = {.lex_state = 62},
  [1016] = {.lex_state = 62},
  [1017] = {.lex_state = 62},
  [1018] = {.lex_state = 62},
  [1019] = {.lex_state = 58},
  [1020] = {.lex_state = 62},
  [1021] = {.lex_state = 67},
  [1022] = {.lex_state = 67},
  [1023] = {.lex_state = 68},
  [1024] = {.lex_state = 68},
  [1025] = {.lex_state = 68},
  [1026] = {.lex_state = 58},
  [1027] = {.lex_state = 68},
  [1028] = {.lex_state = 68},
  [1029] = {.lex_state = 68},
  [1030] = {.lex_state = 68},
  [1031] = {.lex_state = 68},
  [1032] = {.lex_state = 67},
  [1033] = {.lex_state = 62},
  [1034] = {.lex_state = 62},
  [1035] = {.lex_state = 62},
  [1036] = {.lex_state = 68},
  [1037] = {.lex_state = 68},
  [1038] = {.lex_state = 68},
  [1039] = {.lex_state = 67},
  [1040] = {.lex_state = 68},
  [1041] = {.lex_state = 67},
  [1042] = {.lex_state = 67},
  [1043] = {.lex_state = 58},
  [1044] = {.lex_state = 67},
  [1045] = {.lex_state = 67},
  [1046] = {.lex_state = 67},
  [1047] = {.lex_state = 67},
  [1048] = {.lex_state = 62},
  [1049] = {.lex_state = 67},
  [1050] = {.lex_state = 58},
  [1051] = {.lex_state = 67},
  [1052] = {.lex_state = 62},
  [1053] = {.lex_state = 58},
  [1054] = {.lex_state = 62},
  [1055] = {.lex_state = 68},
  [1056] = {.lex_state = 62},
  [1057] = {.lex_state = 68},
  [1058] = {.lex_state = 68},
  [1059] = {.lex_state = 68},
  [1060] = {.lex_state = 68},
  [1061] = {.lex_state = 68},
  [1062] = {.lex_state = 62},
  [1063] = {.lex_state = 62},
  [1064] = {.lex_state = 62},
  [1065] = {.lex_state = 62},
  [1066] = {.lex_state = 67},
  [1067] = {.lex_state = 67},
  [1068] = {.lex_state = 67},
  [1069] = {.lex_state = 62},
  [1070] = {.lex_state = 67},
  [1071] = {.lex_state = 58},
  [1072] = {.lex_state = 62},
  [1073] = {.lex_state = 67},
  [1074] = {.lex_state = 62},
  [1075] = {.lex_state = 67},
  [1076] = {.lex_state = 62},
  [1077] = {.lex_state = 62},
  [1078] = {.lex_state = 62},
  [1079] = {.lex_state = 62},
  [1080] = {.lex_state = 62},
  [1081] = {.lex_state = 62},
  [1082] = {.lex_state = 62},
  [1083] = {.lex_state = 62},
  [1084] = {.lex_state = 62},
  [1085] = {.lex_state = 62},
  [1086] = {.lex_state = 62},
  [1087] = {.lex_state = 62},
  [1088] = {.lex_state = 62},
  [1089] = {.lex_state = 62},
  [1090] = {.lex_state = 62},
  [1091] = {.lex_state = 62},
  [1092] = {.lex_state = 62},
  [1093] = {.lex_state = 62},
  [1094] = {.lex_state = 62},
  [1095] = {.lex_state = 62},
  [1096] = {.lex_state = 62},
  [1097] = {.lex_state = 62},
  [1098] = {.lex_state = 62},
  [1099] = {.lex_state = 62},
  [1100] = {.lex_state = 62},
  [1101] = {.lex_state = 62},
  [1102] = {.lex_state = 62},
  [1103] = {.lex_state = 62},
  [1104] = {.lex_state = 62},
  [1105] = {.lex_state = 62},
  [1106] = {.lex_state = 62},
  [1107] = {.lex_state = 62},
  [1108] = {.lex_state = 62},
  [1109] = {.lex_state = 62},
  [1110] = {.lex_state = 62},
  [1111] = {.lex_state = 62},
  [1112] = {.lex_state = 62},
  [1113] = {.lex_state = 62},
  [1114] = {.lex_state = 143},
  [1115] = {.lex_state = 62},
  [1116] = {.lex_state = 62},
  [1117] = {.lex_state = 62},
  [1118] = {.lex_state = 62},
  [1119] = {.lex_state = 62},
  [1120] = {.lex_state = 62},
  [1121] = {.lex_state = 62},
  [1122] = {.lex_state = 62},
  [1123] = {.lex_state = 62},
  [1124] = {.lex_state = 62},
  [1125] = {.lex_state = 62},
  [1126] = {.lex_state = 62},
  [1127] = {.lex_state = 62},
  [1128] = {.lex_state = 61},
  [1129] = {.lex_state = 61},
  [1130] = {.lex_state = 61},
  [1131] = {.lex_state = 61},
  [1132] = {.lex_state = 61},
  [1133] = {.lex_state = 61},
  [1134] = {.lex_state = 61},
  [1135] = {.lex_state = 61},
  [1136] = {.lex_state = 61},
  [1137] = {.lex_state = 61},
  [1138] = {.lex_state = 61},
  [1139] = {.lex_state = 61},
  [1140] = {.lex_state = 61},
  [1141] = {.lex_state = 62},
  [1142] = {.lex_state = 62},
  [1143] = {.lex_state = 62},
  [1144] = {.lex_state = 62},
  [1145] = {.lex_state = 62},
  [1146] = {.lex_state = 62},
  [1147] = {.lex_state = 62},
  [1148] = {.lex_state = 62},
  [1149] = {.lex_state = 62},
  [1150] = {.lex_state = 62},
  [1151] = {.lex_state = 62},
  [1152] = {.lex_state = 62},
  [1153] = {.lex_state = 62},
  [1154] = {.lex_state = 62},
  [1155] = {.lex_state = 62},
  [1156] = {.lex_state = 62},
  [1157] = {.lex_state = 62},
  [1158] = {.lex_state = 62},
  [1159] = {.lex_state = 62},
  [1160] = {.lex_state = 62},
  [1161] = {.lex_state = 62},
  [1162] = {.lex_state = 62},
  [1163] = {.lex_state = 64},
  [1164] = {.lex_state = 64},
  [1165] = {.lex_state = 64},
  [1166] = {.lex_state = 62},
  [1167] = {.lex_state = 62},
  [1168] = {.lex_state = 64},
  [1169] = {.lex_state = 62},
  [1170] = {.lex_state = 64},
  [1171] = {.lex_state = 64},
  [1172] = {.lex_state = 64},
  [1173] = {.lex_state = 64},
  [1174] = {.lex_state = 64},
  [1175] = {.lex_state = 62},
  [1176] = {.lex_state = 64},
  [1177] = {.lex_state = 64},
  [1178] = {.lex_state = 64},
  [1179] = {.lex_state = 64},
  [1180] = {.lex_state = 62},
  [1181] = {.lex_state = 62},
  [1182] = {.lex_state = 62},
  [1183] = {.lex_state = 62},
  [1184] = {.lex_state = 62},
  [1185] = {.lex_state = 62},
  [1186] = {.lex_state = 62},
  [1187] = {.lex_state = 62},
  [1188] = {.lex_state = 62},
  [1189] = {.lex_state = 58},
  [1190] = {.lex_state = 58},
  [1191] = {.lex_state = 58},
  [1192] = {.lex_state = 58},
  [1193] = {.lex_state = 62},
  [1194] = {.lex_state = 58},
  [1195] = {.lex_state = 58},
  [1196] = {.lex_state = 58},
  [1197] = {.lex_state = 58},
  [1198] = {.lex_state = 58},
  [1199] = {.lex_state = 58},
  [1200] = {.lex_state = 58},
  [1201] = {.lex_state = 58},
  [1202] = {.lex_state = 58},
  [1203] = {.lex_state = 58},
  [1204] = {.lex_state = 62},
  [1205] = {.lex_state = 58},
  [1206] = {.lex_state = 62},
  [1207] = {.lex_state = 62},
  [1208] = {.lex_state = 62},
  [1209] = {.lex_state = 58},
  [1210] = {.lex_state = 62},
  [1211] = {.lex_state = 62},
  [1212] = {.lex_state = 58},
  [1213] = {.lex_state = 58},
  [1214] = {.lex_state = 58},
  [1215] = {.lex_state = 58},
  [1216] = {.lex_state = 58},
  [1217] = {.lex_state = 62},
  [1218] = {.lex_state = 62},
  [1219] = {.lex_state = 58},
  [1220] = {.lex_state = 62},
  [1221] = {.lex_state = 58},
  [1222] = {.lex_state = 58},
  [1223] = {.lex_state = 58},
  [1224] = {.lex_state = 58},
  [1225] = {.lex_state = 62},
  [1226] = {.lex_state = 58},
  [1227] = {.lex_state = 58},
  [1228] = {.lex_state = 62},
  [1229] = {.lex_state = 62},
  [1230] = {.lex_state = 58},
  [1231] = {.lex_state = 58},
  [1232] = {.lex_state = 58},
  [1233] = {.lex_state = 58},
  [1234] = {.lex_state = 58},
  [1235] = {.lex_state = 58},
  [1236] = {.lex_state = 58},
  [1237] = {.lex_state = 58},
  [1238] = {.lex_state = 62},
  [1239] = {.lex_state = 58},
  [1240] = {.lex_state = 58},
  [1241] = {.lex_state = 62},
  [1242] = {.lex_state = 58},
  [1243] = {.lex_state = 58},
  [1244] = {.lex_state = 58},
  [1245] = {.lex_state = 58},
  [1246] = {.lex_state = 58},
  [1247] = {.lex_state = 58},
  [1248] = {.lex_state = 62},
  [1249] = {.lex_state = 58},
  [1250] = {.lex_state = 58},
  [1251] = {.lex_state = 58},
  [1252] = {.lex_state = 58},
  [1253] = {.lex_state = 58},
  [1254] = {.lex_state = 62},
  [1255] = {.lex_state = 58},
  [1256] = {.lex_state = 62},
  [1257] = {.lex_state = 58},
  [1258] = {.lex_state = 62},
  [1259] = {.lex_state = 58},
  [1260] = {.lex_state = 58},
  [1261] = {.lex_state = 58},
  [1262] = {.lex_state = 58},
  [1263] = {.lex_state = 58},
  [1264] = {.lex_state = 62},
  [1265] = {.lex_state = 58},
  [1266] = {.lex_state = 58},
  [1267] = {.lex_state = 58},
  [1268] = {.lex_state = 58},
  [1269] = {.lex_state = 62},
  [1270] = {.lex_state = 58},
  [1271] = {.lex_state = 58},
  [1272] = {.lex_state = 58},
  [1273] = {.lex_state = 58},
  [1274] = {.lex_state = 58},
  [1275] = {.lex_state = 62},
  [1276] = {.lex_state = 62},
  [1277] = {.lex_state = 58},
  [1278] = {.lex_state = 58},
  [1279] = {.lex_state = 58},
  [1280] = {.lex_state = 58},
  [1281] = {.lex_state = 62},
  [1282] = {.lex_state = 62},
  [1283] = {.lex_state = 58},
  [1284] = {.lex_state = 58},
  [1285] = {.lex_state = 58},
  [1286] = {.lex_state = 58},
  [1287] = {.lex_state = 58},
  [1288] = {.lex_state = 58},
  [1289] = {.lex_state = 62},
  [1290] = {.lex_state = 58},
  [1291] = {.lex_state = 58},
  [1292] = {.lex_state = 58},
  [1293] = {.lex_state = 58},
  [1294] = {.lex_state = 58},
  [1295] = {.lex_state = 58},
  [1296] = {.lex_state = 58},
  [1297] = {.lex_state = 58},
  [1298] = {.lex_state = 58},
  [1299] = {.lex_state = 62},
  [1300] = {.lex_state = 58},
  [1301] = {.lex_state = 62},
  [1302] = {.lex_state = 62},
  [1303] = {.lex_state = 58},
  [1304] = {.lex_state = 62},
  [1305] = {.lex_state = 62},
  [1306] = {.lex_state = 62},
  [1307] = {.lex_state = 62},
  [1308] = {.lex_state = 62},
  [1309] = {.lex_state = 62},
  [1310] = {.lex_state = 62},
  [1311] = {.lex_state = 62},
  [1312] = {.lex_state = 62},
  [1313] = {.lex_state = 62},
  [1314] = {.lex_state = 62},
  [1315] = {.lex_state = 62},
  [1316] = {.lex_state = 62},
  [1317] = {.lex_state = 62},
  [1318] = {.lex_state = 63},
  [1319] = {.lex_state = 62},
  [1320] = {.lex_state = 62},
  [1321] = {.lex_state = 62},
  [1322] = {.lex_state = 62},
  [1323] = {.lex_state = 62},
  [1324] = {.lex_state = 63},
  [1325] = {.lex_state = 57},
  [1326] = {.lex_state = 57},
  [1327] = {.lex_state = 33},
  [1328] = {.lex_state = 63},
  [1329] = {.lex_state = 63},
  [1330] = {.lex_state = 57},
  [1331] = {.lex_state = 57},
  [1332] = {.lex_state = 57},
  [1333] = {.lex_state = 57},
  [1334] = {.lex_state = 63},
  [1335] = {.lex_state = 63},
  [1336] = {.lex_state = 63},
  [1337] = {.lex_state = 63},
  [1338] = {.lex_state = 63},
  [1339] = {.lex_state = 63},
  [1340] = {.lex_state = 63},
  [1341] = {.lex_state = 63},
  [1342] = {.lex_state = 63},
  [1343] = {.lex_state = 63},
  [1344] = {.lex_state = 57},
  [1345] = {.lex_state = 57},
  [1346] = {.lex_state = 57},
  [1347] = {.lex_state = 57},
  [1348] = {.lex_state = 57},
  [1349] = {.lex_state = 57},
  [1350] = {.lex_state = 63},
  [1351] = {.lex_state = 57},
  [1352] = {.lex_state = 57},
  [1353] = {.lex_state = 57},
  [1354] = {.lex_state = 57},
  [1355] = {.lex_state = 63},
  [1356] = {.lex_state = 57},
  [1357] = {.lex_state = 63},
  [1358] = {.lex_state = 63},
  [1359] = {.lex_state = 63},
  [1360] = {.lex_state = 57},
  [1361] = {.lex_state = 57},
  [1362] = {.lex_state = 57},
  [1363] = {.lex_state = 57},
  [1364] = {.lex_state = 57},
  [1365] = {.lex_state = 63},
  [1366] = {.lex_state = 57},
  [1367] = {.lex_state = 57},
  [1368] = {.lex_state = 57},
  [1369] = {.lex_state = 57},
  [1370] = {.lex_state = 57},
  [1371] = {.lex_state = 57},
  [1372] = {.lex_state = 57},
  [1373] = {.lex_state = 57},
  [1374] = {.lex_state = 57},
  [1375] = {.lex_state = 57},
  [1376] = {.lex_state = 62},
  [1377] = {.lex_state = 62},
  [1378] = {.lex_state = 62},
  [1379] = {.lex_state = 57},
  [1380] = {.lex_state = 63},
  [1381] = {.lex_state = 57},
  [1382] = {.lex_state = 57},
  [1383] = {.lex_state = 62},
  [1384] = {.lex_state = 57},
  [1385] = {.lex_state = 57},
  [1386] = {.lex_state = 57},
  [1387] = {.lex_state = 57},
  [1388] = {.lex_state = 57},
  [1389] = {.lex_state = 57},
  [1390] = {.lex_state = 63},
  [1391] = {.lex_state = 63},
  [1392] = {.lex_state = 57},
  [1393] = {.lex_state = 62},
  [1394] = {.lex_state = 57},
  [1395] = {.lex_state = 57},
  [1396] = {.lex_state = 63},
  [1397] = {.lex_state = 33},
  [1398] = {.lex_state = 33},
  [1399] = {.lex_state = 62},
  [1400] = {.lex_state = 62},
  [1401] = {.lex_state = 62},
  [1402] = {.lex_state = 62},
  [1403] = {.lex_state = 33},
  [1404] = {.lex_state = 33},
  [1405] = {.lex_state = 33},
  [1406] = {.lex_state = 33},
  [1407] = {.lex_state = 33},
  [1408] = {.lex_state = 33},
  [1409] = {.lex_state = 33},
  [1410] = {.lex_state = 33},
  [1411] = {.lex_state = 33},
  [1412] = {.lex_state = 33},
  [1413] = {.lex_state = 33},
  [1414] = {.lex_state = 33},
  [1415] = {.lex_state = 63},
  [1416] = {.lex_state = 33},
  [1417] = {.lex_state = 33},
  [1418] = {.lex_state = 33},
  [1419] = {.lex_state = 62},
  [1420] = {.lex_state = 33},
  [1421] = {.lex_state = 33},
  [1422] = {.lex_state = 33},
  [1423] = {.lex_state = 33},
  [1424] = {.lex_state = 33},
  [1425] = {.lex_state = 33},
  [1426] = {.lex_state = 33},
  [1427] = {.lex_state = 33},
  [1428] = {.lex_state = 62},
  [1429] = {.lex_state = 63},
  [1430] = {.lex_state = 33},
  [1431] = {.lex_state = 33},
  [1432] = {.lex_state = 33},
  [1433] = {.lex_state = 62},
  [1434] = {.lex_state = 62},
  [1435] = {.lex_state = 33},
  [1436] = {.lex_state = 33},
  [1437] = {.lex_state = 33},
  [1438] = {.lex_state = 33},
  [1439] = {.lex_state = 33},
  [1440] = {.lex_state = 33},
  [1441] = {.lex_state = 33},
  [1442] = {.lex_state = 62},
  [1443] = {.lex_state = 62},
  [1444] = {.lex_state = 62},
  [1445] = {.lex_state = 62},
  [1446] = {.lex_state = 62},
  [1447] = {.lex_state = 62},
  [1448] = {.lex_state = 62},
  [1449] = {.lex_state = 62},
  [1450] = {.lex_state = 62},
  [1451] = {.lex_state = 62},
  [1452] = {.lex_state = 62},
  [1453] = {.lex_state = 62},
  [1454] = {.lex_state = 62},
  [1455] = {.lex_state = 62},
  [1456] = {.lex_state = 62},
  [1457] = {.lex_state = 62},
  [1458] = {.lex_state = 62},
  [1459] = {.lex_state = 62},
  [1460] = {.lex_state = 62},
  [1461] = {.lex_state = 62},
  [1462] = {.lex_state = 62},
  [1463] = {.lex_state = 62},
  [1464] = {.lex_state = 62},
  [1465] = {.lex_state = 62},
  [1466] = {.lex_state = 62},
  [1467] = {.lex_state = 62},
  [1468] = {.lex_state = 62},
  [1469] = {.lex_state = 62},
  [1470] = {.lex_state = 62},
  [1471] = {.lex_state = 62},
  [1472] = {.lex_state = 61},
  [1473] = {.lex_state = 62},
  [1474] = {.lex_state = 62},
  [1475] = {.lex_state = 62},
  [1476] = {.lex_state = 62},
  [1477] = {.lex_state = 62},
  [1478] = {.lex_state = 62},
  [1479] = {.lex_state = 62},
  [1480] = {.lex_state = 62},
  [1481] = {.lex_state = 62},
  [1482] = {.lex_state = 62},
  [1483] = {.lex_state = 62},
  [1484] = {.lex_state = 62},
  [1485] = {.lex_state = 62},
  [1486] = {.lex_state = 62},
  [1487] = {.lex_state = 62},
  [1488] = {.lex_state = 62},
  [1489] = {.lex_state = 62},
  [1490] = {.lex_state = 62},
  [1491] = {.lex_state = 62},
  [1492] = {.lex_state = 62},
  [1493] = {.lex_state = 62},
  [1494] = {.lex_state = 62},
  [1495] = {.lex_state = 62},
  [1496] = {.lex_state = 62},
  [1497] = {.lex_state = 62},
  [1498] = {.lex_state = 62},
  [1499] = {.lex_state = 62},
  [1500] = {.lex_state = 62},
  [1501] = {.lex_state = 62},
  [1502] = {.lex_state = 62},
  [1503] = {.lex_state = 62},
  [1504] = {.lex_state = 62},
  [1505] = {.lex_state = 62},
  [1506] = {.lex_state = 62},
  [1507] = {.lex_state = 62},
  [1508] = {.lex_state = 62},
  [1509] = {.lex_state = 62},
  [1510] = {.lex_state = 62},
  [1511] = {.lex_state = 62},
  [1512] = {.lex_state = 61},
  [1513] = {.lex_state = 64},
  [1514] = {.lex_state = 62},
  [1515] = {.lex_state = 62},
  [1516] = {.lex_state = 62},
  [1517] = {.lex_state = 61},
  [1518] = {.lex_state = 62},
  [1519] = {.lex_state = 62},
  [1520] = {.lex_state = 62},
  [1521] = {.lex_state = 62},
  [1522] = {.lex_state = 62},
  [1523] = {.lex_state = 62},
  [1524] = {.lex_state = 62},
  [1525] = {.lex_state = 61},
  [1526] = {.lex_state = 62},
  [1527] = {.lex_state = 62},
  [1528] = {.lex_state = 62},
  [1529] = {.lex_state = 64},
  [1530] = {.lex_state = 61},
  [1531] = {.lex_state = 61},
  [1532] = {.lex_state = 62},
  [1533] = {.lex_state = 62},
  [1534] = {.lex_state = 62},
  [1535] = {.lex_state = 62},
  [1536] = {.lex_state = 62},
  [1537] = {.lex_state = 62},
  [1538] = {.lex_state = 62},
  [1539] = {.lex_state = 0},
  [1540] = {.lex_state = 62},
  [1541] = {.lex_state = 62},
  [1542] = {.lex_state = 62},
  [1543] = {.lex_state = 62},
  [1544] = {.lex_state = 62},
  [1545] = {.lex_state = 0},
  [1546] = {.lex_state = 0},
  [1547] = {.lex_state = 66},
  [1548] = {.lex_state = 0},
  [1549] = {.lex_state = 0},
  [1550] = {.lex_state = 143},
  [1551] = {.lex_state = 143},
  [1552] = {.lex_state = 66},
  [1553] = {.lex_state = 66},
  [1554] = {.lex_state = 143},
  [1555] = {.lex_state = 66},
  [1556] = {.lex_state = 66},
  [1557] = {.lex_state = 143},
  [1558] = {.lex_state = 62},
  [1559] = {.lex_state = 143},
  [1560] = {.lex_state = 0},
  [1561] = {.lex_state = 61},
  [1562] = {.lex_state = 62},
  [1563] = {.lex_state = 58},
  [1564] = {.lex_state = 0},
  [1565] = {.lex_state = 0},
  [1566] = {.lex_state = 0},
  [1567] = {.lex_state = 64},
  [1568] = {.lex_state = 58},
  [1569] = {.lex_state = 62},
  [1570] = {.lex_state = 62},
  [1571] = {.lex_state = 143},
  [1572] = {.lex_state = 62},
  [1573] = {.lex_state = 61},
  [1574] = {.lex_state = 143},
  [1575] = {.lex_state = 62},
  [1576] = {.lex_state = 58},
  [1577] = {.lex_state = 62},
  [1578] = {.lex_state = 62},
  [1579] = {.lex_state = 58},
  [1580] = {.lex_state = 143},
  [1581] = {.lex_state = 61},
  [1582] = {.lex_state = 143},
  [1583] = {.lex_state = 64},
  [1584] = {.lex_state = 64},
  [1585] = {.lex_state = 62},
  [1586] = {.lex_state = 61},
  [1587] = {.lex_state = 64},
  [1588] = {.lex_state = 64},
  [1589] = {.lex_state = 143},
  [1590] = {.lex_state = 64},
  [1591] = {.lex_state = 64},
  [1592] = {.lex_state = 143},
  [1593] = {.lex_state = 62},
  [1594] = {.lex_state = 62},
  [1595] = {.lex_state = 143},
  [1596] = {.lex_state = 62},
  [1597] = {.lex_state = 62},
  [1598] = {.lex_state = 143},
  [1599] = {.lex_state = 62},
  [1600] = {.lex_state = 62},
  [1601] = {.lex_state = 62},
  [1602] = {.lex_state = 0},
  [1603] = {.lex_state = 0},
  [1604] = {.lex_state = 62},
  [1605] = {.lex_state = 62},
  [1606] = {.lex_state = 62},
  [1607] = {.lex_state = 62},
  [1608] = {.lex_state = 143},
  [1609] = {.lex_state = 61},
  [1610] = {.lex_state = 143},
  [1611] = {.lex_state = 0},
  [1612] = {.lex_state = 143},
  [1613] = {.lex_state = 62},
  [1614] = {.lex_state = 143},
  [1615] = {.lex_state = 0},
  [1616] = {.lex_state = 62},
  [1617] = {.lex_state = 62},
  [1618] = {.lex_state = 143},
  [1619] = {.lex_state = 143},
  [1620] = {.lex_state = 143},
  [1621] = {.lex_state = 64},
  [1622] = {.lex_state = 64},
  [1623] = {.lex_state = 0},
  [1624] = {.lex_state = 61},
  [1625] = {.lex_state = 64},
  [1626] = {.lex_state = 62},
  [1627] = {.lex_state = 62},
  [1628] = {.lex_state = 0},
  [1629] = {.lex_state = 61},
  [1630] = {.lex_state = 62},
  [1631] = {.lex_state = 143},
  [1632] = {.lex_state = 61},
  [1633] = {.lex_state = 61},
  [1634] = {.lex_state = 61},
  [1635] = {.lex_state = 143},
  [1636] = {.lex_state = 53},
  [1637] = {.lex_state = 143},
  [1638] = {.lex_state = 143},
  [1639] = {.lex_state = 61},
  [1640] = {.lex_state = 143},
  [1641] = {.lex_state = 61},
  [1642] = {.lex_state = 61},
  [1643] = {.lex_state = 143},
  [1644] = {.lex_state = 61},
  [1645] = {.lex_state = 143},
  [1646] = {.lex_state = 143},
  [1647] = {.lex_state = 61},
  [1648] = {.lex_state = 62},
  [1649] = {.lex_state = 143},
  [1650] = {.lex_state = 143},
  [1651] = {.lex_state = 61},
  [1652] = {.lex_state = 143},
  [1653] = {.lex_state = 61},
  [1654] = {.lex_state = 61},
  [1655] = {.lex_state = 143},
  [1656] = {.lex_state = 61},
  [1657] = {.lex_state = 64},
  [1658] = {.lex_state = 143},
  [1659] = {.lex_state = 64},
  [1660] = {.lex_state = 0},
  [1661] = {.lex_state = 0},
  [1662] = {.lex_state = 0},
  [1663] = {.lex_state = 0},
  [1664] = {.lex_state = 36},
  [1665] = {.lex_state = 36},
  [1666] = {.lex_state = 36},
  [1667] = {.lex_state = 41},
  [1668] = {.lex_state = 62},
  [1669] = {.lex_state = 36},
  [1670] = {.lex_state = 0},
  [1671] = {.lex_state = 62},
  [1672] = {.lex_state = 36},
  [1673] = {.lex_state = 0},
  [1674] = {.lex_state = 62},
  [1675] = {.lex_state = 62},
  [1676] = {.lex_state = 62},
  [1677] = {.lex_state = 41},
  [1678] = {.lex_state = 62},
  [1679] = {.lex_state = 62},
  [1680] = {.lex_state = 36},
  [1681] = {.lex_state = 61},
  [1682] = {.lex_state = 61},
  [1683] = {.lex_state = 61},
  [1684] = {.lex_state = 61},
  [1685] = {.lex_state = 62},
  [1686] = {.lex_state = 62},
  [1687] = {.lex_state = 0},
  [1688] = {.lex_state = 0},
  [1689] = {.lex_state = 36},
  [1690] = {.lex_state = 0},
  [1691] = {.lex_state = 0},
  [1692] = {.lex_state = 43},
  [1693] = {.lex_state = 41},
  [1694] = {.lex_state = 62},
  [1695] = {.lex_state = 62},
  [1696] = {.lex_state = 62},
  [1697] = {.lex_state = 43},
  [1698] = {.lex_state = 41},
  [1699] = {.lex_state = 62},
  [1700] = {.lex_state = 62},
  [1701] = {.lex_state = 62},
  [1702] = {.lex_state = 62},
  [1703] = {.lex_state = 62},
  [1704] = {.lex_state = 62},
  [1705] = {.lex_state = 41},
  [1706] = {.lex_state = 62},
  [1707] = {.lex_state = 62},
  [1708] = {.lex_state = 62},
  [1709] = {.lex_state = 36},
  [1710] = {.lex_state = 62},
  [1711] = {.lex_state = 43},
  [1712] = {.lex_state = 41},
  [1713] = {.lex_state = 62},
  [1714] = {.lex_state = 43},
  [1715] = {.lex_state = 62},
  [1716] = {.lex_state = 62},
  [1717] = {.lex_state = 41},
  [1718] = {.lex_state = 62},
  [1719] = {.lex_state = 62},
  [1720] = {.lex_state = 43},
  [1721] = {.lex_state = 53},
  [1722] = {.lex_state = 36},
  [1723] = {.lex_state = 62},
  [1724] = {.lex_state = 62},
  [1725] = {.lex_state = 62},
  [1726] = {.lex_state = 62},
  [1727] = {.lex_state = 62},
  [1728] = {.lex_state = 62},
  [1729] = {.lex_state = 41},
  [1730] = {.lex_state = 41},
  [1731] = {.lex_state = 143},
  [1732] = {.lex_state = 38},
  [1733] = {.lex_state = 0},
  [1734] = {.lex_state = 0},
  [1735] = {.lex_state = 43},
  [1736] = {.lex_state = 0},
  [1737] = {.lex_state = 0},
  [1738] = {.lex_state = 0},
  [1739] = {.lex_state = 53},
  [1740] = {.lex_state = 62},
  [1741] = {.lex_state = 0},
  [1742] = {.lex_state = 62},
  [1743] = {.lex_state = 62},
  [1744] = {.lex_state = 0},
  [1745] = {.lex_state = 62},
  [1746] = {.lex_state = 0},
  [1747] = {.lex_state = 62},
  [1748] = {.lex_state = 0},
  [1749] = {.lex_state = 0},
  [1750] = {.lex_state = 0},
  [1751] = {.lex_state = 0},
  [1752] = {.lex_state = 0},
  [1753] = {.lex_state = 0},
  [1754] = {.lex_state = 0},
  [1755] = {.lex_state = 0},
  [1756] = {.lex_state = 0},
  [1757] = {.lex_state = 0},
  [1758] = {.lex_state = 0},
  [1759] = {.lex_state = 0},
  [1760] = {.lex_state = 0},
  [1761] = {.lex_state = 38},
  [1762] = {.lex_state = 0},
  [1763] = {.lex_state = 53},
  [1764] = {.lex_state = 0},
  [1765] = {.lex_state = 53},
  [1766] = {.lex_state = 0},
  [1767] = {.lex_state = 43},
  [1768] = {.lex_state = 38},
  [1769] = {.lex_state = 38},
  [1770] = {.lex_state = 53},
  [1771] = {.lex_state = 0},
  [1772] = {.lex_state = 62},
  [1773] = {.lex_state = 0},
  [1774] = {.lex_state = 0},
  [1775] = {.lex_state = 0},
  [1776] = {.lex_state = 0},
  [1777] = {.lex_state = 0},
  [1778] = {.lex_state = 0},
  [1779] = {.lex_state = 53},
  [1780] = {.lex_state = 0},
  [1781] = {.lex_state = 0},
  [1782] = {.lex_state = 0},
  [1783] = {.lex_state = 53},
  [1784] = {.lex_state = 0},
  [1785] = {.lex_state = 0},
  [1786] = {.lex_state = 0},
  [1787] = {.lex_state = 0},
  [1788] = {.lex_state = 0},
  [1789] = {.lex_state = 0},
  [1790] = {.lex_state = 0},
  [1791] = {.lex_state = 53},
  [1792] = {.lex_state = 0},
  [1793] = {.lex_state = 0},
  [1794] = {.lex_state = 62},
  [1795] = {.lex_state = 0},
  [1796] = {.lex_state = 0},
  [1797] = {.lex_state = 0},
  [1798] = {.lex_state = 0},
  [1799] = {.lex_state = 0},
  [1800] = {.lex_state = 0},
  [1801] = {.lex_state = 0},
  [1802] = {.lex_state = 62},
  [1803] = {.lex_state = 0},
  [1804] = {.lex_state = 62},
  [1805] = {.lex_state = 38},
  [1806] = {.lex_state = 62},
  [1807] = {.lex_state = 43},
  [1808] = {.lex_state = 0},
  [1809] = {.lex_state = 62},
  [1810] = {.lex_state = 0},
  [1811] = {.lex_state = 0},
  [1812] = {.lex_state = 0},
  [1813] = {.lex_state = 0},
  [1814] = {.lex_state = 43},
  [1815] = {.lex_state = 62},
  [1816] = {.lex_state = 62},
  [1817] = {.lex_state = 0},
  [1818] = {.lex_state = 0},
  [1819] = {.lex_state = 0},
  [1820] = {.lex_state = 0},
  [1821] = {.lex_state = 0},
  [1822] = {.lex_state = 0},
  [1823] = {.lex_state = 0},
  [1824] = {.lex_state = 143},
  [1825] = {.lex_state = 143},
  [1826] = {.lex_state = 143},
  [1827] = {.lex_state = 0},
  [1828] = {.lex_state = 53},
  [1829] = {.lex_state = 0},
  [1830] = {.lex_state = 143},
  [1831] = {.lex_state = 143},
  [1832] = {.lex_state = 0},
  [1833] = {.lex_state = 37},
  [1834] = {.lex_state = 143},
  [1835] = {.lex_state = 143},
  [1836] = {.lex_state = 0},
  [1837] = {.lex_state = 0},
  [1838] = {.lex_state = 0},
  [1839] = {.lex_state = 0},
  [1840] = {.lex_state = 143},
  [1841] = {.lex_state = 0},
  [1842] = {.lex_state = 53},
  [1843] = {.lex_state = 143},
  [1844] = {.lex_state = 143},
  [1845] = {.lex_state = 37},
  [1846] = {.lex_state = 143},
  [1847] = {.lex_state = 143},
  [1848] = {.lex_state = 143},
  [1849] = {.lex_state = 62},
  [1850] = {.lex_state = 143},
  [1851] = {.lex_state = 0},
  [1852] = {.lex_state = 0},
  [1853] = {.lex_state = 143},
  [1854] = {.lex_state = 37},
  [1855] = {.lex_state = 143},
  [1856] = {.lex_state = 0},
  [1857] = {.lex_state = 37},
  [1858] = {.lex_state = 0},
  [1859] = {.lex_state = 0},
  [1860] = {.lex_state = 37},
  [1861] = {.lex_state = 37},
  [1862] = {.lex_state = 37},
  [1863] = {.lex_state = 62},
  [1864] = {.lex_state = 62},
  [1865] = {.lex_state = 143},
  [1866] = {.lex_state = 0},
  [1867] = {.lex_state = 143},
  [1868] = {.lex_state = 143},
  [1869] = {.lex_state = 0},
  [1870] = {.lex_state = 0},
  [1871] = {.lex_state = 0},
  [1872] = {.lex_state = 0},
  [1873] = {.lex_state = 0},
  [1874] = {.lex_state = 0},
  [1875] = {.lex_state = 0},
  [1876] = {.lex_state = 143},
  [1877] = {.lex_state = 62},
  [1878] = {.lex_state = 0},
  [1879] = {.lex_state = 0},
  [1880] = {.lex_state = 0},
  [1881] = {.lex_state = 0},
  [1882] = {.lex_state = 143},
  [1883] = {.lex_state = 143},
  [1884] = {.lex_state = 143},
  [1885] = {.lex_state = 37},
  [1886] = {.lex_state = 53},
  [1887] = {.lex_state = 0},
  [1888] = {.lex_state = 37},
  [1889] = {.lex_state = 37},
  [1890] = {.lex_state = 37},
  [1891] = {.lex_state = 143},
  [1892] = {.lex_state = 0},
  [1893] = {.lex_state = 62},
  [1894] = {.lex_state = 0},
  [1895] = {.lex_state = 37},
  [1896] = {.lex_state = 37},
  [1897] = {.lex_state = 0},
  [1898] = {.lex_state = 0},
  [1899] = {.lex_state = 0},
  [1900] = {.lex_state = 0},
  [1901] = {.lex_state = 37},
  [1902] = {.lex_state = 143},
  [1903] = {.lex_state = 0},
  [1904] = {.lex_state = 0},
  [1905] = {.lex_state = 143},
  [1906] = {.lex_state = 37},
  [1907] = {.lex_state = 0},
  [1908] = {.lex_state = 0},
  [1909] = {.lex_state = 37},
  [1910] = {.lex_state = 0},
  [1911] = {.lex_state = 0},
  [1912] = {.lex_state = 37},
  [1913] = {.lex_state = 37},
  [1914] = {.lex_state = 0},
  [1915] = {.lex_state = 37},
  [1916] = {.lex_state = 62},
  [1917] = {.lex_state = 143},
  [1918] = {.lex_state = 62},
  [1919] = {.lex_state = 37},
  [1920] = {.lex_state = 37},
  [1921] = {.lex_state = 143},
  [1922] = {.lex_state = 62},
  [1923] = {.lex_state = 143},
  [1924] = {.lex_state = 143},
  [1925] = {.lex_state = 0},
  [1926] = {.lex_state = 62},
  [1927] = {.lex_state = 62},
  [1928] = {.lex_state = 38},
  [1929] = {.lex_state = 0},
  [1930] = {.lex_state = 0},
  [1931] = {.lex_state = 62},
  [1932] = {.lex_state = 0},
  [1933] = {.lex_state = 38},
  [1934] = {.lex_state = 38},
  [1935] = {.lex_state = 38},
  [1936] = {.lex_state = 38},
  [1937] = {.lex_state = 51},
  [1938] = {.lex_state = 0},
  [1939] = {.lex_state = 51},
  [1940] = {.lex_state = 0},
  [1941] = {.lex_state = 38},
  [1942] = {.lex_state = 51},
  [1943] = {.lex_state = 0},
  [1944] = {.lex_state = 38},
  [1945] = {.lex_state = 0},
  [1946] = {.lex_state = 38},
  [1947] = {.lex_state = 0},
  [1948] = {.lex_state = 38},
  [1949] = {.lex_state = 51},
  [1950] = {.lex_state = 38},
  [1951] = {.lex_state = 0},
  [1952] = {.lex_state = 38},
  [1953] = {.lex_state = 0},
  [1954] = {.lex_state = 38},
  [1955] = {.lex_state = 143},
  [1956] = {.lex_state = 51},
  [1957] = {.lex_state = 0},
  [1958] = {.lex_state = 62},
  [1959] = {.lex_state = 0},
  [1960] = {.lex_state = 0},
  [1961] = {.lex_state = 0},
  [1962] = {.lex_state = 62},
  [1963] = {.lex_state = 0},
  [1964] = {.lex_state = 0},
  [1965] = {.lex_state = 51},
  [1966] = {.lex_state = 62},
  [1967] = {.lex_state = 0},
  [1968] = {.lex_state = 0},
  [1969] = {.lex_state = 0},
  [1970] = {.lex_state = 0},
  [1971] = {.lex_state = 51},
  [1972] = {.lex_state = 51},
  [1973] = {.lex_state = 51},
  [1974] = {.lex_state = 51},
  [1975] = {.lex_state = 51},
  [1976] = {.lex_state = 62},
  [1977] = {.lex_state = 51},
  [1978] = {.lex_state = 0},
  [1979] = {.lex_state = 0},
  [1980] = {.lex_state = 51},
  [1981] = {.lex_state = 51},
  [1982] = {.lex_state = 0},
  [1983] = {.lex_state = 51},
  [1984] = {.lex_state = 38},
  [1985] = {.lex_state = 51},
  [1986] = {.lex_state = 51},
  [1987] = {.lex_state = 143},
  [1988] = {.lex_state = 0},
  [1989] = {.lex_state = 51},
  [1990] = {.lex_state = 38},
  [1991] = {.lex_state = 51},
  [1992] = {.lex_state = 51},
  [1993] = {.lex_state = 0},
  [1994] = {.lex_state = 0},
  [1995] = {.lex_state = 0},
  [1996] = {.lex_state = 0},
  [1997] = {.lex_state = 38},
  [1998] = {.lex_state = 51},
  [1999] = {.lex_state = 62},
  [2000] = {.lex_state = 62},
  [2001] = {.lex_state = 51},
  [2002] = {.lex_state = 51},
  [2003] = {.lex_state = 0},
  [2004] = {.lex_state = 0},
  [2005] = {.lex_state = 0},
  [2006] = {.lex_state = 0},
  [2007] = {.lex_state = 38},
  [2008] = {.lex_state = 62},
  [2009] = {.lex_state = 62},
  [2010] = {.lex_state = 38},
  [2011] = {.lex_state = 143},
  [2012] = {.lex_state = 0},
  [2013] = {.lex_state = 0},
  [2014] = {.lex_state = 0},
  [2015] = {.lex_state = 143},
  [2016] = {.lex_state = 62},
  [2017] = {.lex_state = 62},
  [2018] = {.lex_state = 0},
  [2019] = {.lex_state = 62},
  [2020] = {.lex_state = 51},
  [2021] = {.lex_state = 0},
  [2022] = {.lex_state = 0},
  [2023] = {.lex_state = 51},
  [2024] = {.lex_state = 62},
  [2025] = {.lex_state = 0},
  [2026] = {.lex_state = 0},
  [2027] = {.lex_state = 62},
  [2028] = {.lex_state = 62},
  [2029] = {.lex_state = 0},
  [2030] = {.lex_state = 51},
  [2031] = {.lex_state = 0},
  [2032] = {.lex_state = 51},
  [2033] = {.lex_state = 51},
  [2034] = {.lex_state = 0},
  [2035] = {.lex_state = 62},
  [2036] = {.lex_state = 38},
  [2037] = {.lex_state = 51},
  [2038] = {.lex_state = 0},
  [2039] = {.lex_state = 62},
  [2040] = {.lex_state = 51},
  [2041] = {.lex_state = 0},
  [2042] = {.lex_state = 51},
  [2043] = {.lex_state = 51},
  [2044] = {.lex_state = 38},
  [2045] = {.lex_state = 62},
  [2046] = {.lex_state = 0},
  [2047] = {.lex_state = 0},
  [2048] = {.lex_state = 0},
  [2049] = {.lex_state = 51},
  [2050] = {.lex_state = 51},
  [2051] = {.lex_state = 38},
  [2052] = {.lex_state = 0},
  [2053] = {.lex_state = 62},
  [2054] = {.lex_state = 62},
  [2055] = {.lex_state = 62},
  [2056] = {.lex_state = 0},
  [2057] = {.lex_state = 0},
  [2058] = {.lex_state = 0},
  [2059] = {.lex_state = 62},
  [2060] = {.lex_state = 51},
  [2061] = {.lex_state = 51},
  [2062] = {.lex_state = 0},
  [2063] = {.lex_state = 38},
  [2064] = {.lex_state = 0},
  [2065] = {.lex_state = 38},
  [2066] = {.lex_state = 38},
  [2067] = {.lex_state = 0},
  [2068] = {.lex_state = 38},
  [2069] = {.lex_state = 0},
  [2070] = {.lex_state = 62},
  [2071] = {.lex_state = 62},
  [2072] = {.lex_state = 0},
  [2073] = {.lex_state = 0},
  [2074] = {.lex_state = 62},
  [2075] = {.lex_state = 62},
  [2076] = {.lex_state = 62},
  [2077] = {.lex_state = 0},
  [2078] = {.lex_state = 0},
  [2079] = {.lex_state = 0},
  [2080] = {.lex_state = 0},
  [2081] = {.lex_state = 143},
  [2082] = {.lex_state = 0},
  [2083] = {.lex_state = 0},
  [2084] = {.lex_state = 143},
  [2085] = {.lex_state = 0},
  [2086] = {.lex_state = 0},
  [2087] = {.lex_state = 0},
  [2088] = {.lex_state = 0},
  [2089] = {.lex_state = 0},
  [2090] = {.lex_state = 0},
  [2091] = {.lex_state = 0},
  [2092] = {.lex_state = 62},
  [2093] = {.lex_state = 0},
  [2094] = {.lex_state = 0},
  [2095] = {.lex_state = 38},
  [2096] = {.lex_state = 0},
  [2097] = {.lex_state = 62},
  [2098] = {.lex_state = 38},
  [2099] = {.lex_state = 38},
  [2100] = {.lex_state = 51},
  [2101] = {.lex_state = 0},
  [2102] = {.lex_state = 0},
  [2103] = {.lex_state = 0},
  [2104] = {.lex_state = 62},
  [2105] = {.lex_state = 62},
  [2106] = {.lex_state = 0},
  [2107] = {.lex_state = 51},
  [2108] = {.lex_state = 51},
  [2109] = {.lex_state = 51},
  [2110] = {.lex_state = 51},
  [2111] = {.lex_state = 0},
  [2112] = {.lex_state = 0},
  [2113] = {.lex_state = 38},
  [2114] = {.lex_state = 0},
  [2115] = {.lex_state = 51},
  [2116] = {.lex_state = 38},
  [2117] = {.lex_state = 0},
  [2118] = {.lex_state = 0},
  [2119] = {.lex_state = 51},
  [2120] = {.lex_state = 51},
  [2121] = {.lex_state = 0},
  [2122] = {.lex_state = 0},
  [2123] = {.lex_state = 38},
  [2124] = {.lex_state = 0},
  [2125] = {.lex_state = 0},
  [2126] = {.lex_state = 0},
  [2127] = {.lex_state = 0},
  [2128] = {.lex_state = 0},
  [2129] = {.lex_state = 0},
  [2130] = {.lex_state = 0},
  [2131] = {.lex_state = 0},
  [2132] = {.lex_state = 51},
  [2133] = {.lex_state = 143},
  [2134] = {.lex_state = 0},
  [2135] = {.lex_state = 51},
  [2136] = {.lex_state = 62},
  [2137] = {.lex_state = 62},
  [2138] = {.lex_state = 51},
  [2139] = {.lex_state = 0},
  [2140] = {.lex_state = 51},
  [2141] = {.lex_state = 62},
  [2142] = {.lex_state = 38},
  [2143] = {.lex_state = 0},
  [2144] = {.lex_state = 0},
  [2145] = {.lex_state = 62},
  [2146] = {.lex_state = 0},
  [2147] = {.lex_state = 0},
  [2148] = {.lex_state = 62},
  [2149] = {.lex_state = 0},
  [2150] = {.lex_state = 0},
  [2151] = {.lex_state = 0},
  [2152] = {.lex_state = 51},
  [2153] = {.lex_state = 62},
  [2154] = {.lex_state = 62},
  [2155] = {.lex_state = 62},
  [2156] = {.lex_state = 51},
  [2157] = {.lex_state = 38},
  [2158] = {.lex_state = 0},
  [2159] = {.lex_state = 38},
  [2160] = {.lex_state = 143},
  [2161] = {.lex_state = 62},
  [2162] = {.lex_state = 51},
  [2163] = {.lex_state = 0},
  [2164] = {.lex_state = 0},
  [2165] = {.lex_state = 0},
  [2166] = {.lex_state = 38},
  [2167] = {.lex_state = 51},
  [2168] = {.lex_state = 0},
  [2169] = {.lex_state = 62},
  [2170] = {.lex_state = 0},
  [2171] = {.lex_state = 0},
  [2172] = {.lex_state = 62},
  [2173] = {.lex_state = 0},
  [2174] = {.lex_state = 0},
  [2175] = {.lex_state = 0},
  [2176] = {.lex_state = 0},
  [2177] = {.lex_state = 0},
  [2178] = {.lex_state = 0},
  [2179] = {.lex_state = 62},
  [2180] = {.lex_state = 51},
  [2181] = {.lex_state = 51},
  [2182] = {.lex_state = 0},
  [2183] = {.lex_state = 0},
  [2184] = {.lex_state = 38},
  [2185] = {.lex_state = 0},
  [2186] = {.lex_state = 51},
  [2187] = {.lex_state = 0},
  [2188] = {.lex_state = 38},
  [2189] = {.lex_state = 0},
  [2190] = {.lex_state = 0},
  [2191] = {.lex_state = 0},
  [2192] = {.lex_state = 143},
  [2193] = {.lex_state = 143},
  [2194] = {.lex_state = 143},
  [2195] = {.lex_state = 62},
  [2196] = {.lex_state = 0},
  [2197] = {.lex_state = 0},
  [2198] = {.lex_state = 0},
  [2199] = {.lex_state = 143},
  [2200] = {.lex_state = 0},
  [2201] = {.lex_state = 0},
  [2202] = {.lex_state = 38},
  [2203] = {.lex_state = 143},
  [2204] = {.lex_state = 38},
  [2205] = {.lex_state = 0},
  [2206] = {.lex_state = 143},
  [2207] = {.lex_state = 143},
  [2208] = {.lex_state = 0},
  [2209] = {.lex_state = 143},
  [2210] = {.lex_state = 143},
  [2211] = {.lex_state = 0},
  [2212] = {.lex_state = 62},
  [2213] = {.lex_state = 143},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_auto] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_translation_unit] = STATE(2189),
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym__old_style_function_definition] = STATE(475),
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1474),
    [sym_linkage_specification] = STATE(53),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(857),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1123),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym__top_level_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_case_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym__expression] = STATE(1300),
    [sym__expression_not_binary] = STATE(1303),
    [sym_conditional_expression] = STATE(1303),
    [sym_assignment_expression] = STATE(1303),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(1303),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(1303),
    [sym_cast_expression] = STATE(1303),
    [sym_sizeof_expression] = STATE(1303),
    [sym_alignof_expression] = STATE(1303),
    [sym_offsetof_expression] = STATE(1303),
    [sym_generic_expression] = STATE(1303),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(1303),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(1303),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(1303),
    [sym_concatenated_string] = STATE(1303),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(1303),
    [sym__empty_declaration] = STATE(53),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_translation_unit_repeat1] = STATE(53),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(423),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(31),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(91),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(2135),
    [sym_preproc_elif] = STATE(2135),
    [sym_preproc_elifdef] = STATE(2135),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(137),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1478),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(852),
    [sym_compound_statement] = STATE(26),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1127),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_case_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_goto_statement] = STATE(26),
    [sym_seh_try_statement] = STATE(26),
    [sym_seh_leave_statement] = STATE(26),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(109),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(2138),
    [sym_preproc_elif] = STATE(2138),
    [sym_preproc_elifdef] = STATE(2138),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(137),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1478),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(852),
    [sym_compound_statement] = STATE(26),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1127),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_case_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_goto_statement] = STATE(26),
    [sym_seh_try_statement] = STATE(26),
    [sym_seh_leave_statement] = STATE(26),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_preproc_include] = STATE(2),
    [sym_preproc_def] = STATE(2),
    [sym_preproc_function_def] = STATE(2),
    [sym_preproc_call] = STATE(2),
    [sym_preproc_if] = STATE(2),
    [sym_preproc_ifdef] = STATE(2),
    [sym_preproc_else] = STATE(2100),
    [sym_preproc_elif] = STATE(2100),
    [sym_preproc_elifdef] = STATE(2100),
    [sym_function_definition] = STATE(2),
    [sym__old_style_function_definition] = STATE(137),
    [sym_declaration] = STATE(2),
    [sym_type_definition] = STATE(2),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1478),
    [sym_linkage_specification] = STATE(2),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(852),
    [sym_compound_statement] = STATE(2),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1127),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(2),
    [sym_labeled_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_switch_statement] = STATE(2),
    [sym_case_statement] = STATE(2),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_seh_try_statement] = STATE(2),
    [sym_seh_leave_statement] = STATE(2),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(2),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(2),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(1977),
    [sym_preproc_elif] = STATE(1977),
    [sym_preproc_elifdef] = STATE(1977),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(137),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1478),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(852),
    [sym_compound_statement] = STATE(26),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1127),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_case_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_goto_statement] = STATE(26),
    [sym_seh_try_statement] = STATE(26),
    [sym_seh_leave_statement] = STATE(26),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(165),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(2049),
    [sym_preproc_elif] = STATE(2049),
    [sym_preproc_elifdef] = STATE(2049),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(137),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1478),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(852),
    [sym_compound_statement] = STATE(26),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1127),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_case_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_goto_statement] = STATE(26),
    [sym_seh_try_statement] = STATE(26),
    [sym_seh_leave_statement] = STATE(26),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_preproc_include] = STATE(3),
    [sym_preproc_def] = STATE(3),
    [sym_preproc_function_def] = STATE(3),
    [sym_preproc_call] = STATE(3),
    [sym_preproc_if] = STATE(3),
    [sym_preproc_ifdef] = STATE(3),
    [sym_preproc_else] = STATE(2162),
    [sym_preproc_elif] = STATE(2162),
    [sym_preproc_elifdef] = STATE(2162),
    [sym_function_definition] = STATE(3),
    [sym__old_style_function_definition] = STATE(137),
    [sym_declaration] = STATE(3),
    [sym_type_definition] = STATE(3),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1478),
    [sym_linkage_specification] = STATE(3),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(852),
    [sym_compound_statement] = STATE(3),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1127),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(3),
    [sym_labeled_statement] = STATE(3),
    [sym_expression_statement] = STATE(3),
    [sym_if_statement] = STATE(3),
    [sym_switch_statement] = STATE(3),
    [sym_case_statement] = STATE(3),
    [sym_while_statement] = STATE(3),
    [sym_do_statement] = STATE(3),
    [sym_for_statement] = STATE(3),
    [sym_return_statement] = STATE(3),
    [sym_break_statement] = STATE(3),
    [sym_continue_statement] = STATE(3),
    [sym_goto_statement] = STATE(3),
    [sym_seh_try_statement] = STATE(3),
    [sym_seh_leave_statement] = STATE(3),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(3),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(3),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym_preproc_include] = STATE(5),
    [sym_preproc_def] = STATE(5),
    [sym_preproc_function_def] = STATE(5),
    [sym_preproc_call] = STATE(5),
    [sym_preproc_if] = STATE(5),
    [sym_preproc_ifdef] = STATE(5),
    [sym_preproc_else] = STATE(1989),
    [sym_preproc_elif] = STATE(1989),
    [sym_preproc_elifdef] = STATE(1989),
    [sym_function_definition] = STATE(5),
    [sym__old_style_function_definition] = STATE(137),
    [sym_declaration] = STATE(5),
    [sym_type_definition] = STATE(5),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1478),
    [sym_linkage_specification] = STATE(5),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(852),
    [sym_compound_statement] = STATE(5),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1127),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(5),
    [sym_labeled_statement] = STATE(5),
    [sym_expression_statement] = STATE(5),
    [sym_if_statement] = STATE(5),
    [sym_switch_statement] = STATE(5),
    [sym_case_statement] = STATE(5),
    [sym_while_statement] = STATE(5),
    [sym_do_statement] = STATE(5),
    [sym_for_statement] = STATE(5),
    [sym_return_statement] = STATE(5),
    [sym_break_statement] = STATE(5),
    [sym_continue_statement] = STATE(5),
    [sym_goto_statement] = STATE(5),
    [sym_seh_try_statement] = STATE(5),
    [sym_seh_leave_statement] = STATE(5),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(5),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(5),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(2109),
    [sym_preproc_elif] = STATE(2109),
    [sym_preproc_elifdef] = STATE(2109),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(137),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1478),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(852),
    [sym_compound_statement] = STATE(26),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1127),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_case_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_goto_statement] = STATE(26),
    [sym_seh_try_statement] = STATE(26),
    [sym_seh_leave_statement] = STATE(26),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_preproc_include] = STATE(9),
    [sym_preproc_def] = STATE(9),
    [sym_preproc_function_def] = STATE(9),
    [sym_preproc_call] = STATE(9),
    [sym_preproc_if] = STATE(9),
    [sym_preproc_ifdef] = STATE(9),
    [sym_preproc_else] = STATE(2152),
    [sym_preproc_elif] = STATE(2152),
    [sym_preproc_elifdef] = STATE(2152),
    [sym_function_definition] = STATE(9),
    [sym__old_style_function_definition] = STATE(137),
    [sym_declaration] = STATE(9),
    [sym_type_definition] = STATE(9),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1478),
    [sym_linkage_specification] = STATE(9),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(852),
    [sym_compound_statement] = STATE(9),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1127),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_case_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_goto_statement] = STATE(9),
    [sym_seh_try_statement] = STATE(9),
    [sym_seh_leave_statement] = STATE(9),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(9),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(9),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym_preproc_include] = STATE(6),
    [sym_preproc_def] = STATE(6),
    [sym_preproc_function_def] = STATE(6),
    [sym_preproc_call] = STATE(6),
    [sym_preproc_if] = STATE(6),
    [sym_preproc_ifdef] = STATE(6),
    [sym_preproc_else] = STATE(1956),
    [sym_preproc_elif] = STATE(1956),
    [sym_preproc_elifdef] = STATE(1956),
    [sym_function_definition] = STATE(6),
    [sym__old_style_function_definition] = STATE(137),
    [sym_declaration] = STATE(6),
    [sym_type_definition] = STATE(6),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1478),
    [sym_linkage_specification] = STATE(6),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(852),
    [sym_compound_statement] = STATE(6),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1127),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_case_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_goto_statement] = STATE(6),
    [sym_seh_try_statement] = STATE(6),
    [sym_seh_leave_statement] = STATE(6),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(6),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(6),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(2132),
    [sym_preproc_elif] = STATE(2132),
    [sym_function_definition] = STATE(25),
    [sym__old_style_function_definition] = STATE(218),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1475),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(856),
    [sym_compound_statement] = STATE(25),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1126),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(25),
    [sym_labeled_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_case_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_goto_statement] = STATE(25),
    [sym_seh_try_statement] = STATE(25),
    [sym_seh_leave_statement] = STATE(25),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(25),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym_preproc_include] = STATE(18),
    [sym_preproc_def] = STATE(18),
    [sym_preproc_function_def] = STATE(18),
    [sym_preproc_call] = STATE(18),
    [sym_preproc_if] = STATE(18),
    [sym_preproc_ifdef] = STATE(18),
    [sym_preproc_else] = STATE(2050),
    [sym_preproc_elif] = STATE(2050),
    [sym_function_definition] = STATE(18),
    [sym__old_style_function_definition] = STATE(218),
    [sym_declaration] = STATE(18),
    [sym_type_definition] = STATE(18),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1475),
    [sym_linkage_specification] = STATE(18),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(856),
    [sym_compound_statement] = STATE(18),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1126),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(18),
    [sym_labeled_statement] = STATE(18),
    [sym_expression_statement] = STATE(18),
    [sym_if_statement] = STATE(18),
    [sym_switch_statement] = STATE(18),
    [sym_case_statement] = STATE(18),
    [sym_while_statement] = STATE(18),
    [sym_do_statement] = STATE(18),
    [sym_for_statement] = STATE(18),
    [sym_return_statement] = STATE(18),
    [sym_break_statement] = STATE(18),
    [sym_continue_statement] = STATE(18),
    [sym_goto_statement] = STATE(18),
    [sym_seh_try_statement] = STATE(18),
    [sym_seh_leave_statement] = STATE(18),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(18),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(18),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(229),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(2120),
    [sym_preproc_elif] = STATE(2120),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(218),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1475),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(856),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1126),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(2061),
    [sym_preproc_elif] = STATE(2061),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(218),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1475),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(856),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1126),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_preproc_else] = STATE(2060),
    [sym_preproc_elif] = STATE(2060),
    [sym_function_definition] = STATE(23),
    [sym__old_style_function_definition] = STATE(218),
    [sym_declaration] = STATE(23),
    [sym_type_definition] = STATE(23),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1475),
    [sym_linkage_specification] = STATE(23),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(856),
    [sym_compound_statement] = STATE(23),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1126),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_case_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_goto_statement] = STATE(23),
    [sym_seh_try_statement] = STATE(23),
    [sym_seh_leave_statement] = STATE(23),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(23),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(23),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1965),
    [sym_preproc_elif] = STATE(1965),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(218),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1475),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(856),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1126),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(2033),
    [sym_preproc_elif] = STATE(2033),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(218),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1475),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(856),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1126),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym_preproc_include] = STATE(21),
    [sym_preproc_def] = STATE(21),
    [sym_preproc_function_def] = STATE(21),
    [sym_preproc_call] = STATE(21),
    [sym_preproc_if] = STATE(21),
    [sym_preproc_ifdef] = STATE(21),
    [sym_preproc_else] = STATE(1992),
    [sym_preproc_elif] = STATE(1992),
    [sym_function_definition] = STATE(21),
    [sym__old_style_function_definition] = STATE(218),
    [sym_declaration] = STATE(21),
    [sym_type_definition] = STATE(21),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1475),
    [sym_linkage_specification] = STATE(21),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(856),
    [sym_compound_statement] = STATE(21),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1126),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_case_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_goto_statement] = STATE(21),
    [sym_seh_try_statement] = STATE(21),
    [sym_seh_leave_statement] = STATE(21),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(21),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(21),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_preproc_include] = STATE(14),
    [sym_preproc_def] = STATE(14),
    [sym_preproc_function_def] = STATE(14),
    [sym_preproc_call] = STATE(14),
    [sym_preproc_if] = STATE(14),
    [sym_preproc_ifdef] = STATE(14),
    [sym_preproc_else] = STATE(2140),
    [sym_preproc_elif] = STATE(2140),
    [sym_function_definition] = STATE(14),
    [sym__old_style_function_definition] = STATE(218),
    [sym_declaration] = STATE(14),
    [sym_type_definition] = STATE(14),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1475),
    [sym_linkage_specification] = STATE(14),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(856),
    [sym_compound_statement] = STATE(14),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1126),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(14),
    [sym_labeled_statement] = STATE(14),
    [sym_expression_statement] = STATE(14),
    [sym_if_statement] = STATE(14),
    [sym_switch_statement] = STATE(14),
    [sym_case_statement] = STATE(14),
    [sym_while_statement] = STATE(14),
    [sym_do_statement] = STATE(14),
    [sym_for_statement] = STATE(14),
    [sym_return_statement] = STATE(14),
    [sym_break_statement] = STATE(14),
    [sym_continue_statement] = STATE(14),
    [sym_goto_statement] = STATE(14),
    [sym_seh_try_statement] = STATE(14),
    [sym_seh_leave_statement] = STATE(14),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(14),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(14),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1949),
    [sym_preproc_elif] = STATE(1949),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(218),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1475),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(856),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1126),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_preproc_include] = STATE(15),
    [sym_preproc_def] = STATE(15),
    [sym_preproc_function_def] = STATE(15),
    [sym_preproc_call] = STATE(15),
    [sym_preproc_if] = STATE(15),
    [sym_preproc_ifdef] = STATE(15),
    [sym_preproc_else] = STATE(2110),
    [sym_preproc_elif] = STATE(2110),
    [sym_function_definition] = STATE(15),
    [sym__old_style_function_definition] = STATE(218),
    [sym_declaration] = STATE(15),
    [sym_type_definition] = STATE(15),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1475),
    [sym_linkage_specification] = STATE(15),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(856),
    [sym_compound_statement] = STATE(15),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1126),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(15),
    [sym_labeled_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_case_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_goto_statement] = STATE(15),
    [sym_seh_try_statement] = STATE(15),
    [sym_seh_leave_statement] = STATE(15),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(15),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(15),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1991),
    [sym_preproc_elif] = STATE(1991),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(218),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1475),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(856),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1126),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(249),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_preproc_include] = STATE(17),
    [sym_preproc_def] = STATE(17),
    [sym_preproc_function_def] = STATE(17),
    [sym_preproc_call] = STATE(17),
    [sym_preproc_if] = STATE(17),
    [sym_preproc_ifdef] = STATE(17),
    [sym_preproc_else] = STATE(1983),
    [sym_preproc_elif] = STATE(1983),
    [sym_function_definition] = STATE(17),
    [sym__old_style_function_definition] = STATE(218),
    [sym_declaration] = STATE(17),
    [sym_type_definition] = STATE(17),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1475),
    [sym_linkage_specification] = STATE(17),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(856),
    [sym_compound_statement] = STATE(17),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1126),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(17),
    [sym_labeled_statement] = STATE(17),
    [sym_expression_statement] = STATE(17),
    [sym_if_statement] = STATE(17),
    [sym_switch_statement] = STATE(17),
    [sym_case_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_do_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_return_statement] = STATE(17),
    [sym_break_statement] = STATE(17),
    [sym_continue_statement] = STATE(17),
    [sym_goto_statement] = STATE(17),
    [sym_seh_try_statement] = STATE(17),
    [sym_seh_leave_statement] = STATE(17),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(17),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(17),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(2156),
    [sym_preproc_elif] = STATE(2156),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(218),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1475),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(856),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1126),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(137),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1478),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(852),
    [sym_compound_statement] = STATE(26),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1127),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_case_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_goto_statement] = STATE(26),
    [sym_seh_try_statement] = STATE(26),
    [sym_seh_leave_statement] = STATE(26),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(255),
    [aux_sym_preproc_include_token1] = ACTIONS(258),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(264),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(267),
    [aux_sym_preproc_elif_token1] = ACTIONS(267),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(267),
    [sym_preproc_directive] = ACTIONS(272),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_BANG] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(281),
    [anon_sym_STAR] = ACTIONS(284),
    [anon_sym_AMP] = ACTIONS(284),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(290),
    [anon_sym_typedef] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(296),
    [anon_sym___attribute__] = ACTIONS(299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(302),
    [anon_sym___declspec] = ACTIONS(305),
    [anon_sym___cdecl] = ACTIONS(308),
    [anon_sym___clrcall] = ACTIONS(308),
    [anon_sym___stdcall] = ACTIONS(308),
    [anon_sym___fastcall] = ACTIONS(308),
    [anon_sym___thiscall] = ACTIONS(308),
    [anon_sym___vectorcall] = ACTIONS(308),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_signed] = ACTIONS(314),
    [anon_sym_unsigned] = ACTIONS(314),
    [anon_sym_long] = ACTIONS(314),
    [anon_sym_short] = ACTIONS(314),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_auto] = ACTIONS(317),
    [anon_sym_register] = ACTIONS(317),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym___inline] = ACTIONS(317),
    [anon_sym___inline__] = ACTIONS(317),
    [anon_sym___forceinline] = ACTIONS(317),
    [anon_sym_thread_local] = ACTIONS(317),
    [anon_sym___thread] = ACTIONS(317),
    [anon_sym_const] = ACTIONS(320),
    [anon_sym_constexpr] = ACTIONS(320),
    [anon_sym_volatile] = ACTIONS(320),
    [anon_sym_restrict] = ACTIONS(320),
    [anon_sym___restrict__] = ACTIONS(320),
    [anon_sym__Atomic] = ACTIONS(320),
    [anon_sym__Noreturn] = ACTIONS(320),
    [anon_sym_noreturn] = ACTIONS(320),
    [sym_primitive_type] = ACTIONS(323),
    [anon_sym_enum] = ACTIONS(326),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_union] = ACTIONS(332),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_switch] = ACTIONS(338),
    [anon_sym_case] = ACTIONS(341),
    [anon_sym_default] = ACTIONS(344),
    [anon_sym_while] = ACTIONS(347),
    [anon_sym_do] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(353),
    [anon_sym_return] = ACTIONS(356),
    [anon_sym_break] = ACTIONS(359),
    [anon_sym_continue] = ACTIONS(362),
    [anon_sym_goto] = ACTIONS(365),
    [anon_sym___try] = ACTIONS(368),
    [anon_sym___leave] = ACTIONS(371),
    [anon_sym_DASH_DASH] = ACTIONS(374),
    [anon_sym_PLUS_PLUS] = ACTIONS(374),
    [anon_sym_sizeof] = ACTIONS(377),
    [anon_sym___alignof__] = ACTIONS(380),
    [anon_sym___alignof] = ACTIONS(380),
    [anon_sym__alignof] = ACTIONS(380),
    [anon_sym_alignof] = ACTIONS(380),
    [anon_sym__Alignof] = ACTIONS(380),
    [anon_sym_offsetof] = ACTIONS(383),
    [anon_sym__Generic] = ACTIONS(386),
    [anon_sym_asm] = ACTIONS(389),
    [anon_sym___asm__] = ACTIONS(389),
    [sym_number_literal] = ACTIONS(392),
    [anon_sym_L_SQUOTE] = ACTIONS(395),
    [anon_sym_u_SQUOTE] = ACTIONS(395),
    [anon_sym_U_SQUOTE] = ACTIONS(395),
    [anon_sym_u8_SQUOTE] = ACTIONS(395),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_L_DQUOTE] = ACTIONS(398),
    [anon_sym_u_DQUOTE] = ACTIONS(398),
    [anon_sym_U_DQUOTE] = ACTIONS(398),
    [anon_sym_u8_DQUOTE] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(398),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [anon_sym_NULL] = ACTIONS(404),
    [anon_sym_nullptr] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(218),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1475),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(856),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1126),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(407),
    [aux_sym_preproc_include_token1] = ACTIONS(410),
    [aux_sym_preproc_def_token1] = ACTIONS(413),
    [aux_sym_preproc_if_token1] = ACTIONS(416),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(419),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(419),
    [aux_sym_preproc_else_token1] = ACTIONS(267),
    [aux_sym_preproc_elif_token1] = ACTIONS(267),
    [sym_preproc_directive] = ACTIONS(422),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_BANG] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(281),
    [anon_sym_STAR] = ACTIONS(284),
    [anon_sym_AMP] = ACTIONS(284),
    [anon_sym_SEMI] = ACTIONS(425),
    [anon_sym___extension__] = ACTIONS(428),
    [anon_sym_typedef] = ACTIONS(431),
    [anon_sym_extern] = ACTIONS(434),
    [anon_sym___attribute__] = ACTIONS(299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(302),
    [anon_sym___declspec] = ACTIONS(305),
    [anon_sym___cdecl] = ACTIONS(308),
    [anon_sym___clrcall] = ACTIONS(308),
    [anon_sym___stdcall] = ACTIONS(308),
    [anon_sym___fastcall] = ACTIONS(308),
    [anon_sym___thiscall] = ACTIONS(308),
    [anon_sym___vectorcall] = ACTIONS(308),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_signed] = ACTIONS(314),
    [anon_sym_unsigned] = ACTIONS(314),
    [anon_sym_long] = ACTIONS(314),
    [anon_sym_short] = ACTIONS(314),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_auto] = ACTIONS(317),
    [anon_sym_register] = ACTIONS(317),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym___inline] = ACTIONS(317),
    [anon_sym___inline__] = ACTIONS(317),
    [anon_sym___forceinline] = ACTIONS(317),
    [anon_sym_thread_local] = ACTIONS(317),
    [anon_sym___thread] = ACTIONS(317),
    [anon_sym_const] = ACTIONS(320),
    [anon_sym_constexpr] = ACTIONS(320),
    [anon_sym_volatile] = ACTIONS(320),
    [anon_sym_restrict] = ACTIONS(320),
    [anon_sym___restrict__] = ACTIONS(320),
    [anon_sym__Atomic] = ACTIONS(320),
    [anon_sym__Noreturn] = ACTIONS(320),
    [anon_sym_noreturn] = ACTIONS(320),
    [sym_primitive_type] = ACTIONS(323),
    [anon_sym_enum] = ACTIONS(326),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_union] = ACTIONS(332),
    [anon_sym_if] = ACTIONS(440),
    [anon_sym_switch] = ACTIONS(443),
    [anon_sym_case] = ACTIONS(446),
    [anon_sym_default] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(452),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(458),
    [anon_sym_return] = ACTIONS(461),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_continue] = ACTIONS(467),
    [anon_sym_goto] = ACTIONS(470),
    [anon_sym___try] = ACTIONS(473),
    [anon_sym___leave] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(374),
    [anon_sym_PLUS_PLUS] = ACTIONS(374),
    [anon_sym_sizeof] = ACTIONS(377),
    [anon_sym___alignof__] = ACTIONS(380),
    [anon_sym___alignof] = ACTIONS(380),
    [anon_sym__alignof] = ACTIONS(380),
    [anon_sym_alignof] = ACTIONS(380),
    [anon_sym__Alignof] = ACTIONS(380),
    [anon_sym_offsetof] = ACTIONS(383),
    [anon_sym__Generic] = ACTIONS(386),
    [anon_sym_asm] = ACTIONS(389),
    [anon_sym___asm__] = ACTIONS(389),
    [sym_number_literal] = ACTIONS(392),
    [anon_sym_L_SQUOTE] = ACTIONS(395),
    [anon_sym_u_SQUOTE] = ACTIONS(395),
    [anon_sym_U_SQUOTE] = ACTIONS(395),
    [anon_sym_u8_SQUOTE] = ACTIONS(395),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_L_DQUOTE] = ACTIONS(398),
    [anon_sym_u_DQUOTE] = ACTIONS(398),
    [anon_sym_U_DQUOTE] = ACTIONS(398),
    [anon_sym_u8_DQUOTE] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(398),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [anon_sym_NULL] = ACTIONS(404),
    [anon_sym_nullptr] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_function_definition] = STATE(51),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(51),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(51),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(51),
    [sym_labeled_statement] = STATE(51),
    [sym_expression_statement] = STATE(51),
    [sym_if_statement] = STATE(51),
    [sym_switch_statement] = STATE(51),
    [sym_case_statement] = STATE(51),
    [sym_while_statement] = STATE(51),
    [sym_do_statement] = STATE(51),
    [sym_for_statement] = STATE(51),
    [sym_return_statement] = STATE(51),
    [sym_break_statement] = STATE(51),
    [sym_continue_statement] = STATE(51),
    [sym_goto_statement] = STATE(51),
    [sym_seh_try_statement] = STATE(51),
    [sym_seh_leave_statement] = STATE(51),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(51),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(51),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(501),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(32),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(32),
    [sym_labeled_statement] = STATE(32),
    [sym_expression_statement] = STATE(32),
    [sym_if_statement] = STATE(32),
    [sym_switch_statement] = STATE(32),
    [sym_case_statement] = STATE(32),
    [sym_while_statement] = STATE(32),
    [sym_do_statement] = STATE(32),
    [sym_for_statement] = STATE(32),
    [sym_return_statement] = STATE(32),
    [sym_break_statement] = STATE(32),
    [sym_continue_statement] = STATE(32),
    [sym_goto_statement] = STATE(32),
    [sym_seh_try_statement] = STATE(32),
    [sym_seh_leave_statement] = STATE(32),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(529),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(42),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(42),
    [sym_labeled_statement] = STATE(42),
    [sym_expression_statement] = STATE(42),
    [sym_if_statement] = STATE(42),
    [sym_switch_statement] = STATE(42),
    [sym_case_statement] = STATE(42),
    [sym_while_statement] = STATE(42),
    [sym_do_statement] = STATE(42),
    [sym_for_statement] = STATE(42),
    [sym_return_statement] = STATE(42),
    [sym_break_statement] = STATE(42),
    [sym_continue_statement] = STATE(42),
    [sym_goto_statement] = STATE(42),
    [sym_seh_try_statement] = STATE(42),
    [sym_seh_leave_statement] = STATE(42),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(42),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(531),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym_preproc_include] = STATE(50),
    [sym_preproc_def] = STATE(50),
    [sym_preproc_function_def] = STATE(50),
    [sym_preproc_call] = STATE(50),
    [sym_preproc_if] = STATE(50),
    [sym_preproc_ifdef] = STATE(50),
    [sym_function_definition] = STATE(50),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(50),
    [sym_type_definition] = STATE(50),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(50),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(50),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(50),
    [sym_labeled_statement] = STATE(50),
    [sym_expression_statement] = STATE(50),
    [sym_if_statement] = STATE(50),
    [sym_switch_statement] = STATE(50),
    [sym_case_statement] = STATE(50),
    [sym_while_statement] = STATE(50),
    [sym_do_statement] = STATE(50),
    [sym_for_statement] = STATE(50),
    [sym_return_statement] = STATE(50),
    [sym_break_statement] = STATE(50),
    [sym_continue_statement] = STATE(50),
    [sym_goto_statement] = STATE(50),
    [sym_seh_try_statement] = STATE(50),
    [sym_seh_leave_statement] = STATE(50),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(50),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(50),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(533),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(32),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(32),
    [sym_labeled_statement] = STATE(32),
    [sym_expression_statement] = STATE(32),
    [sym_if_statement] = STATE(32),
    [sym_switch_statement] = STATE(32),
    [sym_case_statement] = STATE(32),
    [sym_while_statement] = STATE(32),
    [sym_do_statement] = STATE(32),
    [sym_for_statement] = STATE(32),
    [sym_return_statement] = STATE(32),
    [sym_break_statement] = STATE(32),
    [sym_continue_statement] = STATE(32),
    [sym_goto_statement] = STATE(32),
    [sym_seh_try_statement] = STATE(32),
    [sym_seh_leave_statement] = STATE(32),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(535),
    [aux_sym_preproc_include_token1] = ACTIONS(538),
    [aux_sym_preproc_def_token1] = ACTIONS(541),
    [aux_sym_preproc_if_token1] = ACTIONS(544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(547),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(547),
    [sym_preproc_directive] = ACTIONS(550),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_BANG] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(281),
    [anon_sym_STAR] = ACTIONS(284),
    [anon_sym_AMP] = ACTIONS(284),
    [anon_sym_SEMI] = ACTIONS(553),
    [anon_sym___extension__] = ACTIONS(556),
    [anon_sym_typedef] = ACTIONS(559),
    [anon_sym_extern] = ACTIONS(562),
    [anon_sym___attribute__] = ACTIONS(299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(302),
    [anon_sym___declspec] = ACTIONS(305),
    [anon_sym___cdecl] = ACTIONS(308),
    [anon_sym___clrcall] = ACTIONS(308),
    [anon_sym___stdcall] = ACTIONS(308),
    [anon_sym___fastcall] = ACTIONS(308),
    [anon_sym___thiscall] = ACTIONS(308),
    [anon_sym___vectorcall] = ACTIONS(308),
    [anon_sym_LBRACE] = ACTIONS(565),
    [anon_sym_RBRACE] = ACTIONS(568),
    [anon_sym_signed] = ACTIONS(314),
    [anon_sym_unsigned] = ACTIONS(314),
    [anon_sym_long] = ACTIONS(314),
    [anon_sym_short] = ACTIONS(314),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_auto] = ACTIONS(317),
    [anon_sym_register] = ACTIONS(317),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym___inline] = ACTIONS(317),
    [anon_sym___inline__] = ACTIONS(317),
    [anon_sym___forceinline] = ACTIONS(317),
    [anon_sym_thread_local] = ACTIONS(317),
    [anon_sym___thread] = ACTIONS(317),
    [anon_sym_const] = ACTIONS(320),
    [anon_sym_constexpr] = ACTIONS(320),
    [anon_sym_volatile] = ACTIONS(320),
    [anon_sym_restrict] = ACTIONS(320),
    [anon_sym___restrict__] = ACTIONS(320),
    [anon_sym__Atomic] = ACTIONS(320),
    [anon_sym__Noreturn] = ACTIONS(320),
    [anon_sym_noreturn] = ACTIONS(320),
    [sym_primitive_type] = ACTIONS(323),
    [anon_sym_enum] = ACTIONS(326),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_union] = ACTIONS(332),
    [anon_sym_if] = ACTIONS(570),
    [anon_sym_switch] = ACTIONS(573),
    [anon_sym_case] = ACTIONS(576),
    [anon_sym_default] = ACTIONS(579),
    [anon_sym_while] = ACTIONS(582),
    [anon_sym_do] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(588),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(597),
    [anon_sym_goto] = ACTIONS(600),
    [anon_sym___try] = ACTIONS(603),
    [anon_sym___leave] = ACTIONS(606),
    [anon_sym_DASH_DASH] = ACTIONS(374),
    [anon_sym_PLUS_PLUS] = ACTIONS(374),
    [anon_sym_sizeof] = ACTIONS(377),
    [anon_sym___alignof__] = ACTIONS(380),
    [anon_sym___alignof] = ACTIONS(380),
    [anon_sym__alignof] = ACTIONS(380),
    [anon_sym_alignof] = ACTIONS(380),
    [anon_sym__Alignof] = ACTIONS(380),
    [anon_sym_offsetof] = ACTIONS(383),
    [anon_sym__Generic] = ACTIONS(386),
    [anon_sym_asm] = ACTIONS(389),
    [anon_sym___asm__] = ACTIONS(389),
    [sym_number_literal] = ACTIONS(392),
    [anon_sym_L_SQUOTE] = ACTIONS(395),
    [anon_sym_u_SQUOTE] = ACTIONS(395),
    [anon_sym_U_SQUOTE] = ACTIONS(395),
    [anon_sym_u8_SQUOTE] = ACTIONS(395),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_L_DQUOTE] = ACTIONS(398),
    [anon_sym_u_DQUOTE] = ACTIONS(398),
    [anon_sym_U_DQUOTE] = ACTIONS(398),
    [anon_sym_u8_DQUOTE] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(398),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [anon_sym_NULL] = ACTIONS(404),
    [anon_sym_nullptr] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(32),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(32),
    [sym_labeled_statement] = STATE(32),
    [sym_expression_statement] = STATE(32),
    [sym_if_statement] = STATE(32),
    [sym_switch_statement] = STATE(32),
    [sym_case_statement] = STATE(32),
    [sym_while_statement] = STATE(32),
    [sym_do_statement] = STATE(32),
    [sym_for_statement] = STATE(32),
    [sym_return_statement] = STATE(32),
    [sym_break_statement] = STATE(32),
    [sym_continue_statement] = STATE(32),
    [sym_goto_statement] = STATE(32),
    [sym_seh_try_statement] = STATE(32),
    [sym_seh_leave_statement] = STATE(32),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(609),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(32),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(32),
    [sym_labeled_statement] = STATE(32),
    [sym_expression_statement] = STATE(32),
    [sym_if_statement] = STATE(32),
    [sym_switch_statement] = STATE(32),
    [sym_case_statement] = STATE(32),
    [sym_while_statement] = STATE(32),
    [sym_do_statement] = STATE(32),
    [sym_for_statement] = STATE(32),
    [sym_return_statement] = STATE(32),
    [sym_break_statement] = STATE(32),
    [sym_continue_statement] = STATE(32),
    [sym_goto_statement] = STATE(32),
    [sym_seh_try_statement] = STATE(32),
    [sym_seh_leave_statement] = STATE(32),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(611),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(613),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(46),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(46),
    [sym_labeled_statement] = STATE(46),
    [sym_expression_statement] = STATE(46),
    [sym_if_statement] = STATE(46),
    [sym_switch_statement] = STATE(46),
    [sym_case_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_do_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_return_statement] = STATE(46),
    [sym_break_statement] = STATE(46),
    [sym_continue_statement] = STATE(46),
    [sym_goto_statement] = STATE(46),
    [sym_seh_try_statement] = STATE(46),
    [sym_seh_leave_statement] = STATE(46),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(46),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(615),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(44),
    [sym_type_definition] = STATE(44),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(44),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(44),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(44),
    [sym_labeled_statement] = STATE(44),
    [sym_expression_statement] = STATE(44),
    [sym_if_statement] = STATE(44),
    [sym_switch_statement] = STATE(44),
    [sym_case_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_do_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_return_statement] = STATE(44),
    [sym_break_statement] = STATE(44),
    [sym_continue_statement] = STATE(44),
    [sym_goto_statement] = STATE(44),
    [sym_seh_try_statement] = STATE(44),
    [sym_seh_leave_statement] = STATE(44),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(44),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(44),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(617),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(32),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(32),
    [sym_labeled_statement] = STATE(32),
    [sym_expression_statement] = STATE(32),
    [sym_if_statement] = STATE(32),
    [sym_switch_statement] = STATE(32),
    [sym_case_statement] = STATE(32),
    [sym_while_statement] = STATE(32),
    [sym_do_statement] = STATE(32),
    [sym_for_statement] = STATE(32),
    [sym_return_statement] = STATE(32),
    [sym_break_statement] = STATE(32),
    [sym_continue_statement] = STATE(32),
    [sym_goto_statement] = STATE(32),
    [sym_seh_try_statement] = STATE(32),
    [sym_seh_leave_statement] = STATE(32),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(619),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(38),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(621),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_function_definition] = STATE(29),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(29),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_case_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_goto_statement] = STATE(29),
    [sym_seh_try_statement] = STATE(29),
    [sym_seh_leave_statement] = STATE(29),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(29),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(623),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(32),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(32),
    [sym_labeled_statement] = STATE(32),
    [sym_expression_statement] = STATE(32),
    [sym_if_statement] = STATE(32),
    [sym_switch_statement] = STATE(32),
    [sym_case_statement] = STATE(32),
    [sym_while_statement] = STATE(32),
    [sym_do_statement] = STATE(32),
    [sym_for_statement] = STATE(32),
    [sym_return_statement] = STATE(32),
    [sym_break_statement] = STATE(32),
    [sym_continue_statement] = STATE(32),
    [sym_goto_statement] = STATE(32),
    [sym_seh_try_statement] = STATE(32),
    [sym_seh_leave_statement] = STATE(32),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(625),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(32),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(32),
    [sym_labeled_statement] = STATE(32),
    [sym_expression_statement] = STATE(32),
    [sym_if_statement] = STATE(32),
    [sym_switch_statement] = STATE(32),
    [sym_case_statement] = STATE(32),
    [sym_while_statement] = STATE(32),
    [sym_do_statement] = STATE(32),
    [sym_for_statement] = STATE(32),
    [sym_return_statement] = STATE(32),
    [sym_break_statement] = STATE(32),
    [sym_continue_statement] = STATE(32),
    [sym_goto_statement] = STATE(32),
    [sym_seh_try_statement] = STATE(32),
    [sym_seh_leave_statement] = STATE(32),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(627),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(41),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(629),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(32),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(32),
    [sym_labeled_statement] = STATE(32),
    [sym_expression_statement] = STATE(32),
    [sym_if_statement] = STATE(32),
    [sym_switch_statement] = STATE(32),
    [sym_case_statement] = STATE(32),
    [sym_while_statement] = STATE(32),
    [sym_do_statement] = STATE(32),
    [sym_for_statement] = STATE(32),
    [sym_return_statement] = STATE(32),
    [sym_break_statement] = STATE(32),
    [sym_continue_statement] = STATE(32),
    [sym_goto_statement] = STATE(32),
    [sym_seh_try_statement] = STATE(32),
    [sym_seh_leave_statement] = STATE(32),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_preproc_include] = STATE(45),
    [sym_preproc_def] = STATE(45),
    [sym_preproc_function_def] = STATE(45),
    [sym_preproc_call] = STATE(45),
    [sym_preproc_if] = STATE(45),
    [sym_preproc_ifdef] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym__old_style_function_definition] = STATE(403),
    [sym_declaration] = STATE(45),
    [sym_type_definition] = STATE(45),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1476),
    [sym_linkage_specification] = STATE(45),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(854),
    [sym_compound_statement] = STATE(45),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1120),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(45),
    [sym_labeled_statement] = STATE(45),
    [sym_expression_statement] = STATE(45),
    [sym_if_statement] = STATE(45),
    [sym_switch_statement] = STATE(45),
    [sym_case_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_do_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_return_statement] = STATE(45),
    [sym_break_statement] = STATE(45),
    [sym_continue_statement] = STATE(45),
    [sym_goto_statement] = STATE(45),
    [sym_seh_try_statement] = STATE(45),
    [sym_seh_leave_statement] = STATE(45),
    [sym__expression] = STATE(1203),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2003),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(45),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(45),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(408),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(636),
    [aux_sym_preproc_def_token1] = ACTIONS(639),
    [aux_sym_preproc_if_token1] = ACTIONS(642),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(645),
    [sym_preproc_directive] = ACTIONS(648),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_BANG] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(281),
    [anon_sym_STAR] = ACTIONS(284),
    [anon_sym_AMP] = ACTIONS(284),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym___extension__] = ACTIONS(654),
    [anon_sym_typedef] = ACTIONS(657),
    [anon_sym_extern] = ACTIONS(660),
    [anon_sym___attribute__] = ACTIONS(299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(302),
    [anon_sym___declspec] = ACTIONS(305),
    [anon_sym___cdecl] = ACTIONS(308),
    [anon_sym___clrcall] = ACTIONS(308),
    [anon_sym___stdcall] = ACTIONS(308),
    [anon_sym___fastcall] = ACTIONS(308),
    [anon_sym___thiscall] = ACTIONS(308),
    [anon_sym___vectorcall] = ACTIONS(308),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_signed] = ACTIONS(314),
    [anon_sym_unsigned] = ACTIONS(314),
    [anon_sym_long] = ACTIONS(314),
    [anon_sym_short] = ACTIONS(314),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_auto] = ACTIONS(317),
    [anon_sym_register] = ACTIONS(317),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym___inline] = ACTIONS(317),
    [anon_sym___inline__] = ACTIONS(317),
    [anon_sym___forceinline] = ACTIONS(317),
    [anon_sym_thread_local] = ACTIONS(317),
    [anon_sym___thread] = ACTIONS(317),
    [anon_sym_const] = ACTIONS(320),
    [anon_sym_constexpr] = ACTIONS(320),
    [anon_sym_volatile] = ACTIONS(320),
    [anon_sym_restrict] = ACTIONS(320),
    [anon_sym___restrict__] = ACTIONS(320),
    [anon_sym__Atomic] = ACTIONS(320),
    [anon_sym__Noreturn] = ACTIONS(320),
    [anon_sym_noreturn] = ACTIONS(320),
    [sym_primitive_type] = ACTIONS(323),
    [anon_sym_enum] = ACTIONS(326),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_union] = ACTIONS(332),
    [anon_sym_if] = ACTIONS(666),
    [anon_sym_switch] = ACTIONS(669),
    [anon_sym_case] = ACTIONS(672),
    [anon_sym_default] = ACTIONS(675),
    [anon_sym_while] = ACTIONS(678),
    [anon_sym_do] = ACTIONS(681),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_break] = ACTIONS(690),
    [anon_sym_continue] = ACTIONS(693),
    [anon_sym_goto] = ACTIONS(696),
    [anon_sym___try] = ACTIONS(699),
    [anon_sym___leave] = ACTIONS(702),
    [anon_sym_DASH_DASH] = ACTIONS(374),
    [anon_sym_PLUS_PLUS] = ACTIONS(374),
    [anon_sym_sizeof] = ACTIONS(377),
    [anon_sym___alignof__] = ACTIONS(380),
    [anon_sym___alignof] = ACTIONS(380),
    [anon_sym__alignof] = ACTIONS(380),
    [anon_sym_alignof] = ACTIONS(380),
    [anon_sym__Alignof] = ACTIONS(380),
    [anon_sym_offsetof] = ACTIONS(383),
    [anon_sym__Generic] = ACTIONS(386),
    [anon_sym_asm] = ACTIONS(389),
    [anon_sym___asm__] = ACTIONS(389),
    [sym_number_literal] = ACTIONS(392),
    [anon_sym_L_SQUOTE] = ACTIONS(395),
    [anon_sym_u_SQUOTE] = ACTIONS(395),
    [anon_sym_U_SQUOTE] = ACTIONS(395),
    [anon_sym_u8_SQUOTE] = ACTIONS(395),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_L_DQUOTE] = ACTIONS(398),
    [anon_sym_u_DQUOTE] = ACTIONS(398),
    [anon_sym_U_DQUOTE] = ACTIONS(398),
    [anon_sym_u8_DQUOTE] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(398),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [anon_sym_NULL] = ACTIONS(404),
    [anon_sym_nullptr] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(32),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(32),
    [sym_labeled_statement] = STATE(32),
    [sym_expression_statement] = STATE(32),
    [sym_if_statement] = STATE(32),
    [sym_switch_statement] = STATE(32),
    [sym_case_statement] = STATE(32),
    [sym_while_statement] = STATE(32),
    [sym_do_statement] = STATE(32),
    [sym_for_statement] = STATE(32),
    [sym_return_statement] = STATE(32),
    [sym_break_statement] = STATE(32),
    [sym_continue_statement] = STATE(32),
    [sym_goto_statement] = STATE(32),
    [sym_seh_try_statement] = STATE(32),
    [sym_seh_leave_statement] = STATE(32),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(705),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_preproc_include] = STATE(49),
    [sym_preproc_def] = STATE(49),
    [sym_preproc_function_def] = STATE(49),
    [sym_preproc_call] = STATE(49),
    [sym_preproc_if] = STATE(49),
    [sym_preproc_ifdef] = STATE(49),
    [sym_function_definition] = STATE(49),
    [sym__old_style_function_definition] = STATE(403),
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1476),
    [sym_linkage_specification] = STATE(49),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(854),
    [sym_compound_statement] = STATE(49),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1120),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(49),
    [sym_labeled_statement] = STATE(49),
    [sym_expression_statement] = STATE(49),
    [sym_if_statement] = STATE(49),
    [sym_switch_statement] = STATE(49),
    [sym_case_statement] = STATE(49),
    [sym_while_statement] = STATE(49),
    [sym_do_statement] = STATE(49),
    [sym_for_statement] = STATE(49),
    [sym_return_statement] = STATE(49),
    [sym_break_statement] = STATE(49),
    [sym_continue_statement] = STATE(49),
    [sym_goto_statement] = STATE(49),
    [sym_seh_try_statement] = STATE(49),
    [sym_seh_leave_statement] = STATE(49),
    [sym__expression] = STATE(1203),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2003),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(49),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(49),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(408),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(707),
    [aux_sym_preproc_include_token1] = ACTIONS(709),
    [aux_sym_preproc_def_token1] = ACTIONS(711),
    [aux_sym_preproc_if_token1] = ACTIONS(713),
    [aux_sym_preproc_if_token2] = ACTIONS(715),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(717),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(717),
    [sym_preproc_directive] = ACTIONS(719),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(721),
    [anon_sym___extension__] = ACTIONS(723),
    [anon_sym_typedef] = ACTIONS(725),
    [anon_sym_extern] = ACTIONS(727),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(731),
    [anon_sym_switch] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(735),
    [anon_sym_default] = ACTIONS(737),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(749),
    [anon_sym_goto] = ACTIONS(751),
    [anon_sym___try] = ACTIONS(753),
    [anon_sym___leave] = ACTIONS(755),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_function_definition] = STATE(33),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(33),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_case_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym_seh_try_statement] = STATE(33),
    [sym_seh_leave_statement] = STATE(33),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(33),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(757),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_preproc_include] = STATE(45),
    [sym_preproc_def] = STATE(45),
    [sym_preproc_function_def] = STATE(45),
    [sym_preproc_call] = STATE(45),
    [sym_preproc_if] = STATE(45),
    [sym_preproc_ifdef] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym__old_style_function_definition] = STATE(403),
    [sym_declaration] = STATE(45),
    [sym_type_definition] = STATE(45),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1476),
    [sym_linkage_specification] = STATE(45),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(854),
    [sym_compound_statement] = STATE(45),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1120),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(45),
    [sym_labeled_statement] = STATE(45),
    [sym_expression_statement] = STATE(45),
    [sym_if_statement] = STATE(45),
    [sym_switch_statement] = STATE(45),
    [sym_case_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_do_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_return_statement] = STATE(45),
    [sym_break_statement] = STATE(45),
    [sym_continue_statement] = STATE(45),
    [sym_goto_statement] = STATE(45),
    [sym_seh_try_statement] = STATE(45),
    [sym_seh_leave_statement] = STATE(45),
    [sym__expression] = STATE(1203),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2003),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(45),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(45),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(408),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(707),
    [aux_sym_preproc_include_token1] = ACTIONS(709),
    [aux_sym_preproc_def_token1] = ACTIONS(711),
    [aux_sym_preproc_if_token1] = ACTIONS(713),
    [aux_sym_preproc_if_token2] = ACTIONS(759),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(717),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(717),
    [sym_preproc_directive] = ACTIONS(719),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(721),
    [anon_sym___extension__] = ACTIONS(723),
    [anon_sym_typedef] = ACTIONS(725),
    [anon_sym_extern] = ACTIONS(727),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(731),
    [anon_sym_switch] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(735),
    [anon_sym_default] = ACTIONS(737),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(749),
    [anon_sym_goto] = ACTIONS(751),
    [anon_sym___try] = ACTIONS(753),
    [anon_sym___leave] = ACTIONS(755),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(32),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(32),
    [sym_labeled_statement] = STATE(32),
    [sym_expression_statement] = STATE(32),
    [sym_if_statement] = STATE(32),
    [sym_switch_statement] = STATE(32),
    [sym_case_statement] = STATE(32),
    [sym_while_statement] = STATE(32),
    [sym_do_statement] = STATE(32),
    [sym_for_statement] = STATE(32),
    [sym_return_statement] = STATE(32),
    [sym_break_statement] = STATE(32),
    [sym_continue_statement] = STATE(32),
    [sym_goto_statement] = STATE(32),
    [sym_seh_try_statement] = STATE(32),
    [sym_seh_leave_statement] = STATE(32),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(761),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(381),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(860),
    [sym_compound_statement] = STATE(32),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1125),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(32),
    [sym_labeled_statement] = STATE(32),
    [sym_expression_statement] = STATE(32),
    [sym_if_statement] = STATE(32),
    [sym_switch_statement] = STATE(32),
    [sym_case_statement] = STATE(32),
    [sym_while_statement] = STATE(32),
    [sym_do_statement] = STATE(32),
    [sym_for_statement] = STATE(32),
    [sym_return_statement] = STATE(32),
    [sym_break_statement] = STATE(32),
    [sym_continue_statement] = STATE(32),
    [sym_goto_statement] = STATE(32),
    [sym_seh_try_statement] = STATE(32),
    [sym_seh_leave_statement] = STATE(32),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(763),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym__old_style_function_definition] = STATE(475),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1474),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(857),
    [sym_compound_statement] = STATE(52),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1123),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(52),
    [sym_labeled_statement] = STATE(52),
    [sym__top_level_expression_statement] = STATE(52),
    [sym_if_statement] = STATE(52),
    [sym_switch_statement] = STATE(52),
    [sym_case_statement] = STATE(52),
    [sym_while_statement] = STATE(52),
    [sym_do_statement] = STATE(52),
    [sym_for_statement] = STATE(52),
    [sym_return_statement] = STATE(52),
    [sym_break_statement] = STATE(52),
    [sym_continue_statement] = STATE(52),
    [sym_goto_statement] = STATE(52),
    [sym__expression] = STATE(1300),
    [sym__expression_not_binary] = STATE(1303),
    [sym_conditional_expression] = STATE(1303),
    [sym_assignment_expression] = STATE(1303),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(1303),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(1303),
    [sym_cast_expression] = STATE(1303),
    [sym_sizeof_expression] = STATE(1303),
    [sym_alignof_expression] = STATE(1303),
    [sym_offsetof_expression] = STATE(1303),
    [sym_generic_expression] = STATE(1303),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(1303),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(1303),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(1303),
    [sym_concatenated_string] = STATE(1303),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(1303),
    [sym__empty_declaration] = STATE(52),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_translation_unit_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(423),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [ts_builtin_sym_end] = ACTIONS(765),
    [sym_identifier] = ACTIONS(767),
    [aux_sym_preproc_include_token1] = ACTIONS(770),
    [aux_sym_preproc_def_token1] = ACTIONS(773),
    [aux_sym_preproc_if_token1] = ACTIONS(776),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(779),
    [sym_preproc_directive] = ACTIONS(782),
    [anon_sym_LPAREN2] = ACTIONS(785),
    [anon_sym_BANG] = ACTIONS(788),
    [anon_sym_TILDE] = ACTIONS(788),
    [anon_sym_DASH] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(791),
    [anon_sym_STAR] = ACTIONS(794),
    [anon_sym_AMP] = ACTIONS(794),
    [anon_sym___extension__] = ACTIONS(797),
    [anon_sym_typedef] = ACTIONS(800),
    [anon_sym_extern] = ACTIONS(803),
    [anon_sym___attribute__] = ACTIONS(806),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(809),
    [anon_sym___declspec] = ACTIONS(812),
    [anon_sym___cdecl] = ACTIONS(815),
    [anon_sym___clrcall] = ACTIONS(815),
    [anon_sym___stdcall] = ACTIONS(815),
    [anon_sym___fastcall] = ACTIONS(815),
    [anon_sym___thiscall] = ACTIONS(815),
    [anon_sym___vectorcall] = ACTIONS(815),
    [anon_sym_LBRACE] = ACTIONS(818),
    [anon_sym_signed] = ACTIONS(821),
    [anon_sym_unsigned] = ACTIONS(821),
    [anon_sym_long] = ACTIONS(821),
    [anon_sym_short] = ACTIONS(821),
    [anon_sym_static] = ACTIONS(824),
    [anon_sym_auto] = ACTIONS(824),
    [anon_sym_register] = ACTIONS(824),
    [anon_sym_inline] = ACTIONS(824),
    [anon_sym___inline] = ACTIONS(824),
    [anon_sym___inline__] = ACTIONS(824),
    [anon_sym___forceinline] = ACTIONS(824),
    [anon_sym_thread_local] = ACTIONS(824),
    [anon_sym___thread] = ACTIONS(824),
    [anon_sym_const] = ACTIONS(827),
    [anon_sym_constexpr] = ACTIONS(827),
    [anon_sym_volatile] = ACTIONS(827),
    [anon_sym_restrict] = ACTIONS(827),
    [anon_sym___restrict__] = ACTIONS(827),
    [anon_sym__Atomic] = ACTIONS(827),
    [anon_sym__Noreturn] = ACTIONS(827),
    [anon_sym_noreturn] = ACTIONS(827),
    [sym_primitive_type] = ACTIONS(830),
    [anon_sym_enum] = ACTIONS(833),
    [anon_sym_struct] = ACTIONS(836),
    [anon_sym_union] = ACTIONS(839),
    [anon_sym_if] = ACTIONS(842),
    [anon_sym_switch] = ACTIONS(845),
    [anon_sym_case] = ACTIONS(848),
    [anon_sym_default] = ACTIONS(851),
    [anon_sym_while] = ACTIONS(854),
    [anon_sym_do] = ACTIONS(857),
    [anon_sym_for] = ACTIONS(860),
    [anon_sym_return] = ACTIONS(863),
    [anon_sym_break] = ACTIONS(866),
    [anon_sym_continue] = ACTIONS(869),
    [anon_sym_goto] = ACTIONS(872),
    [anon_sym_DASH_DASH] = ACTIONS(875),
    [anon_sym_PLUS_PLUS] = ACTIONS(875),
    [anon_sym_sizeof] = ACTIONS(878),
    [anon_sym___alignof__] = ACTIONS(881),
    [anon_sym___alignof] = ACTIONS(881),
    [anon_sym__alignof] = ACTIONS(881),
    [anon_sym_alignof] = ACTIONS(881),
    [anon_sym__Alignof] = ACTIONS(881),
    [anon_sym_offsetof] = ACTIONS(884),
    [anon_sym__Generic] = ACTIONS(887),
    [anon_sym_asm] = ACTIONS(890),
    [anon_sym___asm__] = ACTIONS(890),
    [sym_number_literal] = ACTIONS(893),
    [anon_sym_L_SQUOTE] = ACTIONS(896),
    [anon_sym_u_SQUOTE] = ACTIONS(896),
    [anon_sym_U_SQUOTE] = ACTIONS(896),
    [anon_sym_u8_SQUOTE] = ACTIONS(896),
    [anon_sym_SQUOTE] = ACTIONS(896),
    [anon_sym_L_DQUOTE] = ACTIONS(899),
    [anon_sym_u_DQUOTE] = ACTIONS(899),
    [anon_sym_U_DQUOTE] = ACTIONS(899),
    [anon_sym_u8_DQUOTE] = ACTIONS(899),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_true] = ACTIONS(902),
    [sym_false] = ACTIONS(902),
    [anon_sym_NULL] = ACTIONS(905),
    [anon_sym_nullptr] = ACTIONS(905),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym__old_style_function_definition] = STATE(475),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1474),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_call_modifier] = STATE(857),
    [sym_compound_statement] = STATE(52),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1123),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(52),
    [sym_labeled_statement] = STATE(52),
    [sym__top_level_expression_statement] = STATE(52),
    [sym_if_statement] = STATE(52),
    [sym_switch_statement] = STATE(52),
    [sym_case_statement] = STATE(52),
    [sym_while_statement] = STATE(52),
    [sym_do_statement] = STATE(52),
    [sym_for_statement] = STATE(52),
    [sym_return_statement] = STATE(52),
    [sym_break_statement] = STATE(52),
    [sym_continue_statement] = STATE(52),
    [sym_goto_statement] = STATE(52),
    [sym__expression] = STATE(1300),
    [sym__expression_not_binary] = STATE(1303),
    [sym_conditional_expression] = STATE(1303),
    [sym_assignment_expression] = STATE(1303),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(1303),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(1303),
    [sym_cast_expression] = STATE(1303),
    [sym_sizeof_expression] = STATE(1303),
    [sym_alignof_expression] = STATE(1303),
    [sym_offsetof_expression] = STATE(1303),
    [sym_generic_expression] = STATE(1303),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(1303),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(1303),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(1303),
    [sym_concatenated_string] = STATE(1303),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(1303),
    [sym__empty_declaration] = STATE(52),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_translation_unit_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(423),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [ts_builtin_sym_end] = ACTIONS(908),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(31),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(91),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1494),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(54),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(54),
    [sym_labeled_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_return_statement] = STATE(54),
    [sym_break_statement] = STATE(54),
    [sym_continue_statement] = STATE(54),
    [sym_goto_statement] = STATE(54),
    [sym_seh_try_statement] = STATE(54),
    [sym_seh_leave_statement] = STATE(54),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(54),
    [sym_identifier] = ACTIONS(910),
    [aux_sym_preproc_include_token1] = ACTIONS(913),
    [aux_sym_preproc_def_token1] = ACTIONS(913),
    [aux_sym_preproc_if_token1] = ACTIONS(913),
    [aux_sym_preproc_if_token2] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(913),
    [aux_sym_preproc_else_token1] = ACTIONS(913),
    [aux_sym_preproc_elif_token1] = ACTIONS(913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(913),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(913),
    [sym_preproc_directive] = ACTIONS(913),
    [anon_sym_LPAREN2] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(924),
    [anon_sym_AMP] = ACTIONS(924),
    [anon_sym_SEMI] = ACTIONS(927),
    [anon_sym___extension__] = ACTIONS(930),
    [anon_sym_typedef] = ACTIONS(933),
    [anon_sym_extern] = ACTIONS(936),
    [anon_sym___attribute__] = ACTIONS(939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(942),
    [anon_sym___declspec] = ACTIONS(945),
    [anon_sym___cdecl] = ACTIONS(913),
    [anon_sym___clrcall] = ACTIONS(913),
    [anon_sym___stdcall] = ACTIONS(913),
    [anon_sym___fastcall] = ACTIONS(913),
    [anon_sym___thiscall] = ACTIONS(913),
    [anon_sym___vectorcall] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(948),
    [anon_sym_signed] = ACTIONS(951),
    [anon_sym_unsigned] = ACTIONS(951),
    [anon_sym_long] = ACTIONS(951),
    [anon_sym_short] = ACTIONS(951),
    [anon_sym_static] = ACTIONS(936),
    [anon_sym_auto] = ACTIONS(936),
    [anon_sym_register] = ACTIONS(936),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym___inline] = ACTIONS(936),
    [anon_sym___inline__] = ACTIONS(936),
    [anon_sym___forceinline] = ACTIONS(936),
    [anon_sym_thread_local] = ACTIONS(936),
    [anon_sym___thread] = ACTIONS(936),
    [anon_sym_const] = ACTIONS(954),
    [anon_sym_constexpr] = ACTIONS(954),
    [anon_sym_volatile] = ACTIONS(954),
    [anon_sym_restrict] = ACTIONS(954),
    [anon_sym___restrict__] = ACTIONS(954),
    [anon_sym__Atomic] = ACTIONS(954),
    [anon_sym__Noreturn] = ACTIONS(954),
    [anon_sym_noreturn] = ACTIONS(954),
    [sym_primitive_type] = ACTIONS(957),
    [anon_sym_enum] = ACTIONS(960),
    [anon_sym_struct] = ACTIONS(963),
    [anon_sym_union] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(969),
    [anon_sym_else] = ACTIONS(913),
    [anon_sym_switch] = ACTIONS(972),
    [anon_sym_case] = ACTIONS(913),
    [anon_sym_default] = ACTIONS(913),
    [anon_sym_while] = ACTIONS(975),
    [anon_sym_do] = ACTIONS(978),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_return] = ACTIONS(984),
    [anon_sym_break] = ACTIONS(987),
    [anon_sym_continue] = ACTIONS(990),
    [anon_sym_goto] = ACTIONS(993),
    [anon_sym___try] = ACTIONS(996),
    [anon_sym___leave] = ACTIONS(999),
    [anon_sym_DASH_DASH] = ACTIONS(1002),
    [anon_sym_PLUS_PLUS] = ACTIONS(1002),
    [anon_sym_sizeof] = ACTIONS(1005),
    [anon_sym___alignof__] = ACTIONS(1008),
    [anon_sym___alignof] = ACTIONS(1008),
    [anon_sym__alignof] = ACTIONS(1008),
    [anon_sym_alignof] = ACTIONS(1008),
    [anon_sym__Alignof] = ACTIONS(1008),
    [anon_sym_offsetof] = ACTIONS(1011),
    [anon_sym__Generic] = ACTIONS(1014),
    [anon_sym_asm] = ACTIONS(1017),
    [anon_sym___asm__] = ACTIONS(1017),
    [sym_number_literal] = ACTIONS(1020),
    [anon_sym_L_SQUOTE] = ACTIONS(1023),
    [anon_sym_u_SQUOTE] = ACTIONS(1023),
    [anon_sym_U_SQUOTE] = ACTIONS(1023),
    [anon_sym_u8_SQUOTE] = ACTIONS(1023),
    [anon_sym_SQUOTE] = ACTIONS(1023),
    [anon_sym_L_DQUOTE] = ACTIONS(1026),
    [anon_sym_u_DQUOTE] = ACTIONS(1026),
    [anon_sym_U_DQUOTE] = ACTIONS(1026),
    [anon_sym_u8_DQUOTE] = ACTIONS(1026),
    [anon_sym_DQUOTE] = ACTIONS(1026),
    [sym_true] = ACTIONS(1029),
    [sym_false] = ACTIONS(1029),
    [anon_sym_NULL] = ACTIONS(1032),
    [anon_sym_nullptr] = ACTIONS(1032),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1494),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(54),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(54),
    [sym_labeled_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_return_statement] = STATE(54),
    [sym_break_statement] = STATE(54),
    [sym_continue_statement] = STATE(54),
    [sym_goto_statement] = STATE(54),
    [sym_seh_try_statement] = STATE(54),
    [sym_seh_leave_statement] = STATE(54),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(54),
    [sym_identifier] = ACTIONS(1035),
    [aux_sym_preproc_include_token1] = ACTIONS(1037),
    [aux_sym_preproc_def_token1] = ACTIONS(1037),
    [aux_sym_preproc_if_token1] = ACTIONS(1037),
    [aux_sym_preproc_if_token2] = ACTIONS(1037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1037),
    [aux_sym_preproc_else_token1] = ACTIONS(1037),
    [aux_sym_preproc_elif_token1] = ACTIONS(1037),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1037),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1037),
    [sym_preproc_directive] = ACTIONS(1037),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1037),
    [anon_sym___clrcall] = ACTIONS(1037),
    [anon_sym___stdcall] = ACTIONS(1037),
    [anon_sym___fastcall] = ACTIONS(1037),
    [anon_sym___thiscall] = ACTIONS(1037),
    [anon_sym___vectorcall] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(1037),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(1037),
    [anon_sym_default] = ACTIONS(1037),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1494),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(58),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(58),
    [sym_labeled_statement] = STATE(58),
    [sym_expression_statement] = STATE(58),
    [sym_if_statement] = STATE(58),
    [sym_switch_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_do_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_return_statement] = STATE(58),
    [sym_break_statement] = STATE(58),
    [sym_continue_statement] = STATE(58),
    [sym_goto_statement] = STATE(58),
    [sym_seh_try_statement] = STATE(58),
    [sym_seh_leave_statement] = STATE(58),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(58),
    [sym_identifier] = ACTIONS(1035),
    [aux_sym_preproc_include_token1] = ACTIONS(1039),
    [aux_sym_preproc_def_token1] = ACTIONS(1039),
    [aux_sym_preproc_if_token1] = ACTIONS(1039),
    [aux_sym_preproc_if_token2] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1039),
    [aux_sym_preproc_else_token1] = ACTIONS(1039),
    [aux_sym_preproc_elif_token1] = ACTIONS(1039),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1039),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1039),
    [sym_preproc_directive] = ACTIONS(1039),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1039),
    [anon_sym___clrcall] = ACTIONS(1039),
    [anon_sym___stdcall] = ACTIONS(1039),
    [anon_sym___fastcall] = ACTIONS(1039),
    [anon_sym___thiscall] = ACTIONS(1039),
    [anon_sym___vectorcall] = ACTIONS(1039),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(1039),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(1039),
    [anon_sym_default] = ACTIONS(1039),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1494),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(55),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(55),
    [sym_labeled_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_switch_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym_seh_try_statement] = STATE(55),
    [sym_seh_leave_statement] = STATE(55),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(55),
    [sym_identifier] = ACTIONS(1035),
    [aux_sym_preproc_include_token1] = ACTIONS(1041),
    [aux_sym_preproc_def_token1] = ACTIONS(1041),
    [aux_sym_preproc_if_token1] = ACTIONS(1041),
    [aux_sym_preproc_if_token2] = ACTIONS(1041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1041),
    [aux_sym_preproc_else_token1] = ACTIONS(1041),
    [aux_sym_preproc_elif_token1] = ACTIONS(1041),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1041),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1041),
    [sym_preproc_directive] = ACTIONS(1041),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1041),
    [anon_sym___clrcall] = ACTIONS(1041),
    [anon_sym___stdcall] = ACTIONS(1041),
    [anon_sym___fastcall] = ACTIONS(1041),
    [anon_sym___thiscall] = ACTIONS(1041),
    [anon_sym___vectorcall] = ACTIONS(1041),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(1041),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(1041),
    [anon_sym_default] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1494),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(54),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(54),
    [sym_labeled_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_return_statement] = STATE(54),
    [sym_break_statement] = STATE(54),
    [sym_continue_statement] = STATE(54),
    [sym_goto_statement] = STATE(54),
    [sym_seh_try_statement] = STATE(54),
    [sym_seh_leave_statement] = STATE(54),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(54),
    [sym_identifier] = ACTIONS(1035),
    [aux_sym_preproc_include_token1] = ACTIONS(1043),
    [aux_sym_preproc_def_token1] = ACTIONS(1043),
    [aux_sym_preproc_if_token1] = ACTIONS(1043),
    [aux_sym_preproc_if_token2] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1043),
    [aux_sym_preproc_else_token1] = ACTIONS(1043),
    [aux_sym_preproc_elif_token1] = ACTIONS(1043),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1043),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1043),
    [sym_preproc_directive] = ACTIONS(1043),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1043),
    [anon_sym___clrcall] = ACTIONS(1043),
    [anon_sym___stdcall] = ACTIONS(1043),
    [anon_sym___fastcall] = ACTIONS(1043),
    [anon_sym___thiscall] = ACTIONS(1043),
    [anon_sym___vectorcall] = ACTIONS(1043),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym_default] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1489),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(62),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(62),
    [sym_labeled_statement] = STATE(62),
    [sym_expression_statement] = STATE(62),
    [sym_if_statement] = STATE(62),
    [sym_switch_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_do_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_return_statement] = STATE(62),
    [sym_break_statement] = STATE(62),
    [sym_continue_statement] = STATE(62),
    [sym_goto_statement] = STATE(62),
    [sym_seh_try_statement] = STATE(62),
    [sym_seh_leave_statement] = STATE(62),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(62),
    [sym_identifier] = ACTIONS(1045),
    [aux_sym_preproc_include_token1] = ACTIONS(1043),
    [aux_sym_preproc_def_token1] = ACTIONS(1043),
    [aux_sym_preproc_if_token1] = ACTIONS(1043),
    [aux_sym_preproc_if_token2] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1043),
    [aux_sym_preproc_else_token1] = ACTIONS(1043),
    [aux_sym_preproc_elif_token1] = ACTIONS(1043),
    [sym_preproc_directive] = ACTIONS(1043),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1043),
    [anon_sym___clrcall] = ACTIONS(1043),
    [anon_sym___stdcall] = ACTIONS(1043),
    [anon_sym___fastcall] = ACTIONS(1043),
    [anon_sym___thiscall] = ACTIONS(1043),
    [anon_sym___vectorcall] = ACTIONS(1043),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym_default] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1489),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(63),
    [sym_identifier] = ACTIONS(1045),
    [aux_sym_preproc_include_token1] = ACTIONS(1041),
    [aux_sym_preproc_def_token1] = ACTIONS(1041),
    [aux_sym_preproc_if_token1] = ACTIONS(1041),
    [aux_sym_preproc_if_token2] = ACTIONS(1041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1041),
    [aux_sym_preproc_else_token1] = ACTIONS(1041),
    [aux_sym_preproc_elif_token1] = ACTIONS(1041),
    [sym_preproc_directive] = ACTIONS(1041),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1041),
    [anon_sym___clrcall] = ACTIONS(1041),
    [anon_sym___stdcall] = ACTIONS(1041),
    [anon_sym___fastcall] = ACTIONS(1041),
    [anon_sym___thiscall] = ACTIONS(1041),
    [anon_sym___vectorcall] = ACTIONS(1041),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_else] = ACTIONS(1041),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(1041),
    [anon_sym_default] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1489),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(59),
    [sym_identifier] = ACTIONS(1045),
    [aux_sym_preproc_include_token1] = ACTIONS(1039),
    [aux_sym_preproc_def_token1] = ACTIONS(1039),
    [aux_sym_preproc_if_token1] = ACTIONS(1039),
    [aux_sym_preproc_if_token2] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1039),
    [aux_sym_preproc_else_token1] = ACTIONS(1039),
    [aux_sym_preproc_elif_token1] = ACTIONS(1039),
    [sym_preproc_directive] = ACTIONS(1039),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1039),
    [anon_sym___clrcall] = ACTIONS(1039),
    [anon_sym___stdcall] = ACTIONS(1039),
    [anon_sym___fastcall] = ACTIONS(1039),
    [anon_sym___thiscall] = ACTIONS(1039),
    [anon_sym___vectorcall] = ACTIONS(1039),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_else] = ACTIONS(1039),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(1039),
    [anon_sym_default] = ACTIONS(1039),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1489),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(62),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(62),
    [sym_labeled_statement] = STATE(62),
    [sym_expression_statement] = STATE(62),
    [sym_if_statement] = STATE(62),
    [sym_switch_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_do_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_return_statement] = STATE(62),
    [sym_break_statement] = STATE(62),
    [sym_continue_statement] = STATE(62),
    [sym_goto_statement] = STATE(62),
    [sym_seh_try_statement] = STATE(62),
    [sym_seh_leave_statement] = STATE(62),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(62),
    [sym_identifier] = ACTIONS(1047),
    [aux_sym_preproc_include_token1] = ACTIONS(913),
    [aux_sym_preproc_def_token1] = ACTIONS(913),
    [aux_sym_preproc_if_token1] = ACTIONS(913),
    [aux_sym_preproc_if_token2] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(913),
    [aux_sym_preproc_else_token1] = ACTIONS(913),
    [aux_sym_preproc_elif_token1] = ACTIONS(913),
    [sym_preproc_directive] = ACTIONS(913),
    [anon_sym_LPAREN2] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(924),
    [anon_sym_AMP] = ACTIONS(924),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym___extension__] = ACTIONS(1053),
    [anon_sym_typedef] = ACTIONS(1056),
    [anon_sym_extern] = ACTIONS(936),
    [anon_sym___attribute__] = ACTIONS(939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(942),
    [anon_sym___declspec] = ACTIONS(945),
    [anon_sym___cdecl] = ACTIONS(913),
    [anon_sym___clrcall] = ACTIONS(913),
    [anon_sym___stdcall] = ACTIONS(913),
    [anon_sym___fastcall] = ACTIONS(913),
    [anon_sym___thiscall] = ACTIONS(913),
    [anon_sym___vectorcall] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_signed] = ACTIONS(951),
    [anon_sym_unsigned] = ACTIONS(951),
    [anon_sym_long] = ACTIONS(951),
    [anon_sym_short] = ACTIONS(951),
    [anon_sym_static] = ACTIONS(936),
    [anon_sym_auto] = ACTIONS(936),
    [anon_sym_register] = ACTIONS(936),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym___inline] = ACTIONS(936),
    [anon_sym___inline__] = ACTIONS(936),
    [anon_sym___forceinline] = ACTIONS(936),
    [anon_sym_thread_local] = ACTIONS(936),
    [anon_sym___thread] = ACTIONS(936),
    [anon_sym_const] = ACTIONS(954),
    [anon_sym_constexpr] = ACTIONS(954),
    [anon_sym_volatile] = ACTIONS(954),
    [anon_sym_restrict] = ACTIONS(954),
    [anon_sym___restrict__] = ACTIONS(954),
    [anon_sym__Atomic] = ACTIONS(954),
    [anon_sym__Noreturn] = ACTIONS(954),
    [anon_sym_noreturn] = ACTIONS(954),
    [sym_primitive_type] = ACTIONS(957),
    [anon_sym_enum] = ACTIONS(960),
    [anon_sym_struct] = ACTIONS(963),
    [anon_sym_union] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_else] = ACTIONS(913),
    [anon_sym_switch] = ACTIONS(1065),
    [anon_sym_case] = ACTIONS(913),
    [anon_sym_default] = ACTIONS(913),
    [anon_sym_while] = ACTIONS(1068),
    [anon_sym_do] = ACTIONS(1071),
    [anon_sym_for] = ACTIONS(1074),
    [anon_sym_return] = ACTIONS(1077),
    [anon_sym_break] = ACTIONS(1080),
    [anon_sym_continue] = ACTIONS(1083),
    [anon_sym_goto] = ACTIONS(1086),
    [anon_sym___try] = ACTIONS(1089),
    [anon_sym___leave] = ACTIONS(1092),
    [anon_sym_DASH_DASH] = ACTIONS(1002),
    [anon_sym_PLUS_PLUS] = ACTIONS(1002),
    [anon_sym_sizeof] = ACTIONS(1005),
    [anon_sym___alignof__] = ACTIONS(1008),
    [anon_sym___alignof] = ACTIONS(1008),
    [anon_sym__alignof] = ACTIONS(1008),
    [anon_sym_alignof] = ACTIONS(1008),
    [anon_sym__Alignof] = ACTIONS(1008),
    [anon_sym_offsetof] = ACTIONS(1011),
    [anon_sym__Generic] = ACTIONS(1014),
    [anon_sym_asm] = ACTIONS(1017),
    [anon_sym___asm__] = ACTIONS(1017),
    [sym_number_literal] = ACTIONS(1020),
    [anon_sym_L_SQUOTE] = ACTIONS(1023),
    [anon_sym_u_SQUOTE] = ACTIONS(1023),
    [anon_sym_U_SQUOTE] = ACTIONS(1023),
    [anon_sym_u8_SQUOTE] = ACTIONS(1023),
    [anon_sym_SQUOTE] = ACTIONS(1023),
    [anon_sym_L_DQUOTE] = ACTIONS(1026),
    [anon_sym_u_DQUOTE] = ACTIONS(1026),
    [anon_sym_U_DQUOTE] = ACTIONS(1026),
    [anon_sym_u8_DQUOTE] = ACTIONS(1026),
    [anon_sym_DQUOTE] = ACTIONS(1026),
    [sym_true] = ACTIONS(1029),
    [sym_false] = ACTIONS(1029),
    [anon_sym_NULL] = ACTIONS(1032),
    [anon_sym_nullptr] = ACTIONS(1032),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1489),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(62),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(62),
    [sym_labeled_statement] = STATE(62),
    [sym_expression_statement] = STATE(62),
    [sym_if_statement] = STATE(62),
    [sym_switch_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_do_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_return_statement] = STATE(62),
    [sym_break_statement] = STATE(62),
    [sym_continue_statement] = STATE(62),
    [sym_goto_statement] = STATE(62),
    [sym_seh_try_statement] = STATE(62),
    [sym_seh_leave_statement] = STATE(62),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(62),
    [sym_identifier] = ACTIONS(1045),
    [aux_sym_preproc_include_token1] = ACTIONS(1037),
    [aux_sym_preproc_def_token1] = ACTIONS(1037),
    [aux_sym_preproc_if_token1] = ACTIONS(1037),
    [aux_sym_preproc_if_token2] = ACTIONS(1037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1037),
    [aux_sym_preproc_else_token1] = ACTIONS(1037),
    [aux_sym_preproc_elif_token1] = ACTIONS(1037),
    [sym_preproc_directive] = ACTIONS(1037),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1037),
    [anon_sym___clrcall] = ACTIONS(1037),
    [anon_sym___stdcall] = ACTIONS(1037),
    [anon_sym___fastcall] = ACTIONS(1037),
    [anon_sym___thiscall] = ACTIONS(1037),
    [anon_sym___vectorcall] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_else] = ACTIONS(1037),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(1037),
    [anon_sym_default] = ACTIONS(1037),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_declaration] = STATE(68),
    [sym_type_definition] = STATE(68),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1483),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(68),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(68),
    [sym_labeled_statement] = STATE(68),
    [sym_expression_statement] = STATE(68),
    [sym_if_statement] = STATE(68),
    [sym_switch_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_do_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_return_statement] = STATE(68),
    [sym_break_statement] = STATE(68),
    [sym_continue_statement] = STATE(68),
    [sym_goto_statement] = STATE(68),
    [sym_seh_try_statement] = STATE(68),
    [sym_seh_leave_statement] = STATE(68),
    [sym__expression] = STATE(1237),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2079),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(423),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(68),
    [ts_builtin_sym_end] = ACTIONS(1095),
    [sym_identifier] = ACTIONS(1097),
    [aux_sym_preproc_include_token1] = ACTIONS(1039),
    [aux_sym_preproc_def_token1] = ACTIONS(1039),
    [aux_sym_preproc_if_token1] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1039),
    [sym_preproc_directive] = ACTIONS(1039),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1099),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1039),
    [anon_sym___clrcall] = ACTIONS(1039),
    [anon_sym___stdcall] = ACTIONS(1039),
    [anon_sym___fastcall] = ACTIONS(1039),
    [anon_sym___thiscall] = ACTIONS(1039),
    [anon_sym___vectorcall] = ACTIONS(1039),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_else] = ACTIONS(1039),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1039),
    [anon_sym_default] = ACTIONS(1039),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1101),
    [anon_sym___leave] = ACTIONS(1103),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_declaration] = STATE(66),
    [sym_type_definition] = STATE(66),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1496),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(66),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(66),
    [sym_labeled_statement] = STATE(66),
    [sym_expression_statement] = STATE(66),
    [sym_if_statement] = STATE(66),
    [sym_switch_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_do_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_return_statement] = STATE(66),
    [sym_break_statement] = STATE(66),
    [sym_continue_statement] = STATE(66),
    [sym_goto_statement] = STATE(66),
    [sym_seh_try_statement] = STATE(66),
    [sym_seh_leave_statement] = STATE(66),
    [sym__expression] = STATE(1203),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2003),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(408),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(66),
    [sym_identifier] = ACTIONS(1105),
    [aux_sym_preproc_include_token1] = ACTIONS(1041),
    [aux_sym_preproc_def_token1] = ACTIONS(1041),
    [aux_sym_preproc_if_token1] = ACTIONS(1041),
    [aux_sym_preproc_if_token2] = ACTIONS(1041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1041),
    [sym_preproc_directive] = ACTIONS(1041),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(721),
    [anon_sym___extension__] = ACTIONS(723),
    [anon_sym_typedef] = ACTIONS(725),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1041),
    [anon_sym___clrcall] = ACTIONS(1041),
    [anon_sym___stdcall] = ACTIONS(1041),
    [anon_sym___fastcall] = ACTIONS(1041),
    [anon_sym___thiscall] = ACTIONS(1041),
    [anon_sym___vectorcall] = ACTIONS(1041),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(731),
    [anon_sym_else] = ACTIONS(1041),
    [anon_sym_switch] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(1041),
    [anon_sym_default] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(749),
    [anon_sym_goto] = ACTIONS(751),
    [anon_sym___try] = ACTIONS(753),
    [anon_sym___leave] = ACTIONS(755),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_declaration] = STATE(77),
    [sym_type_definition] = STATE(77),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1496),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(77),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(77),
    [sym_labeled_statement] = STATE(77),
    [sym_expression_statement] = STATE(77),
    [sym_if_statement] = STATE(77),
    [sym_switch_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_do_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_return_statement] = STATE(77),
    [sym_break_statement] = STATE(77),
    [sym_continue_statement] = STATE(77),
    [sym_goto_statement] = STATE(77),
    [sym_seh_try_statement] = STATE(77),
    [sym_seh_leave_statement] = STATE(77),
    [sym__expression] = STATE(1203),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2003),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(408),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(77),
    [sym_identifier] = ACTIONS(1105),
    [aux_sym_preproc_include_token1] = ACTIONS(1037),
    [aux_sym_preproc_def_token1] = ACTIONS(1037),
    [aux_sym_preproc_if_token1] = ACTIONS(1037),
    [aux_sym_preproc_if_token2] = ACTIONS(1037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1037),
    [sym_preproc_directive] = ACTIONS(1037),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(721),
    [anon_sym___extension__] = ACTIONS(723),
    [anon_sym_typedef] = ACTIONS(725),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1037),
    [anon_sym___clrcall] = ACTIONS(1037),
    [anon_sym___stdcall] = ACTIONS(1037),
    [anon_sym___fastcall] = ACTIONS(1037),
    [anon_sym___thiscall] = ACTIONS(1037),
    [anon_sym___vectorcall] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(731),
    [anon_sym_else] = ACTIONS(1037),
    [anon_sym_switch] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(1037),
    [anon_sym_default] = ACTIONS(1037),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(749),
    [anon_sym_goto] = ACTIONS(751),
    [anon_sym___try] = ACTIONS(753),
    [anon_sym___leave] = ACTIONS(755),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1483),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(1237),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2079),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(423),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(70),
    [ts_builtin_sym_end] = ACTIONS(1107),
    [sym_identifier] = ACTIONS(1097),
    [aux_sym_preproc_include_token1] = ACTIONS(1041),
    [aux_sym_preproc_def_token1] = ACTIONS(1041),
    [aux_sym_preproc_if_token1] = ACTIONS(1041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1041),
    [sym_preproc_directive] = ACTIONS(1041),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1099),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1041),
    [anon_sym___clrcall] = ACTIONS(1041),
    [anon_sym___stdcall] = ACTIONS(1041),
    [anon_sym___fastcall] = ACTIONS(1041),
    [anon_sym___thiscall] = ACTIONS(1041),
    [anon_sym___vectorcall] = ACTIONS(1041),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_else] = ACTIONS(1041),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1041),
    [anon_sym_default] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1101),
    [anon_sym___leave] = ACTIONS(1103),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1483),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym_seh_try_statement] = STATE(69),
    [sym_seh_leave_statement] = STATE(69),
    [sym__expression] = STATE(1237),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2079),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(423),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(69),
    [ts_builtin_sym_end] = ACTIONS(1109),
    [sym_identifier] = ACTIONS(1097),
    [aux_sym_preproc_include_token1] = ACTIONS(1043),
    [aux_sym_preproc_def_token1] = ACTIONS(1043),
    [aux_sym_preproc_if_token1] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1043),
    [sym_preproc_directive] = ACTIONS(1043),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1099),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1043),
    [anon_sym___clrcall] = ACTIONS(1043),
    [anon_sym___stdcall] = ACTIONS(1043),
    [anon_sym___fastcall] = ACTIONS(1043),
    [anon_sym___thiscall] = ACTIONS(1043),
    [anon_sym___vectorcall] = ACTIONS(1043),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym_default] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1101),
    [anon_sym___leave] = ACTIONS(1103),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1483),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym_seh_try_statement] = STATE(69),
    [sym_seh_leave_statement] = STATE(69),
    [sym__expression] = STATE(1237),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2079),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(423),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(69),
    [ts_builtin_sym_end] = ACTIONS(1111),
    [sym_identifier] = ACTIONS(1113),
    [aux_sym_preproc_include_token1] = ACTIONS(913),
    [aux_sym_preproc_def_token1] = ACTIONS(913),
    [aux_sym_preproc_if_token1] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(913),
    [sym_preproc_directive] = ACTIONS(913),
    [anon_sym_LPAREN2] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(924),
    [anon_sym_AMP] = ACTIONS(924),
    [anon_sym_SEMI] = ACTIONS(1116),
    [anon_sym___extension__] = ACTIONS(1119),
    [anon_sym_typedef] = ACTIONS(1122),
    [anon_sym_extern] = ACTIONS(936),
    [anon_sym___attribute__] = ACTIONS(939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(942),
    [anon_sym___declspec] = ACTIONS(945),
    [anon_sym___cdecl] = ACTIONS(913),
    [anon_sym___clrcall] = ACTIONS(913),
    [anon_sym___stdcall] = ACTIONS(913),
    [anon_sym___fastcall] = ACTIONS(913),
    [anon_sym___thiscall] = ACTIONS(913),
    [anon_sym___vectorcall] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_signed] = ACTIONS(951),
    [anon_sym_unsigned] = ACTIONS(951),
    [anon_sym_long] = ACTIONS(951),
    [anon_sym_short] = ACTIONS(951),
    [anon_sym_static] = ACTIONS(936),
    [anon_sym_auto] = ACTIONS(936),
    [anon_sym_register] = ACTIONS(936),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym___inline] = ACTIONS(936),
    [anon_sym___inline__] = ACTIONS(936),
    [anon_sym___forceinline] = ACTIONS(936),
    [anon_sym_thread_local] = ACTIONS(936),
    [anon_sym___thread] = ACTIONS(936),
    [anon_sym_const] = ACTIONS(954),
    [anon_sym_constexpr] = ACTIONS(954),
    [anon_sym_volatile] = ACTIONS(954),
    [anon_sym_restrict] = ACTIONS(954),
    [anon_sym___restrict__] = ACTIONS(954),
    [anon_sym__Atomic] = ACTIONS(954),
    [anon_sym__Noreturn] = ACTIONS(954),
    [anon_sym_noreturn] = ACTIONS(954),
    [sym_primitive_type] = ACTIONS(957),
    [anon_sym_enum] = ACTIONS(960),
    [anon_sym_struct] = ACTIONS(963),
    [anon_sym_union] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(1128),
    [anon_sym_else] = ACTIONS(913),
    [anon_sym_switch] = ACTIONS(1131),
    [anon_sym_case] = ACTIONS(913),
    [anon_sym_default] = ACTIONS(913),
    [anon_sym_while] = ACTIONS(1134),
    [anon_sym_do] = ACTIONS(1137),
    [anon_sym_for] = ACTIONS(1140),
    [anon_sym_return] = ACTIONS(1143),
    [anon_sym_break] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1149),
    [anon_sym_goto] = ACTIONS(1152),
    [anon_sym___try] = ACTIONS(1155),
    [anon_sym___leave] = ACTIONS(1158),
    [anon_sym_DASH_DASH] = ACTIONS(1002),
    [anon_sym_PLUS_PLUS] = ACTIONS(1002),
    [anon_sym_sizeof] = ACTIONS(1005),
    [anon_sym___alignof__] = ACTIONS(1008),
    [anon_sym___alignof] = ACTIONS(1008),
    [anon_sym__alignof] = ACTIONS(1008),
    [anon_sym_alignof] = ACTIONS(1008),
    [anon_sym__Alignof] = ACTIONS(1008),
    [anon_sym_offsetof] = ACTIONS(1011),
    [anon_sym__Generic] = ACTIONS(1014),
    [anon_sym_asm] = ACTIONS(1017),
    [anon_sym___asm__] = ACTIONS(1017),
    [sym_number_literal] = ACTIONS(1020),
    [anon_sym_L_SQUOTE] = ACTIONS(1023),
    [anon_sym_u_SQUOTE] = ACTIONS(1023),
    [anon_sym_U_SQUOTE] = ACTIONS(1023),
    [anon_sym_u8_SQUOTE] = ACTIONS(1023),
    [anon_sym_SQUOTE] = ACTIONS(1023),
    [anon_sym_L_DQUOTE] = ACTIONS(1026),
    [anon_sym_u_DQUOTE] = ACTIONS(1026),
    [anon_sym_U_DQUOTE] = ACTIONS(1026),
    [anon_sym_u8_DQUOTE] = ACTIONS(1026),
    [anon_sym_DQUOTE] = ACTIONS(1026),
    [sym_true] = ACTIONS(1029),
    [sym_false] = ACTIONS(1029),
    [anon_sym_NULL] = ACTIONS(1032),
    [anon_sym_nullptr] = ACTIONS(1032),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1483),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym_seh_try_statement] = STATE(69),
    [sym_seh_leave_statement] = STATE(69),
    [sym__expression] = STATE(1237),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2079),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(423),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(69),
    [ts_builtin_sym_end] = ACTIONS(1161),
    [sym_identifier] = ACTIONS(1097),
    [aux_sym_preproc_include_token1] = ACTIONS(1037),
    [aux_sym_preproc_def_token1] = ACTIONS(1037),
    [aux_sym_preproc_if_token1] = ACTIONS(1037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1037),
    [sym_preproc_directive] = ACTIONS(1037),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1099),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1037),
    [anon_sym___clrcall] = ACTIONS(1037),
    [anon_sym___stdcall] = ACTIONS(1037),
    [anon_sym___fastcall] = ACTIONS(1037),
    [anon_sym___thiscall] = ACTIONS(1037),
    [anon_sym___vectorcall] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_else] = ACTIONS(1037),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1037),
    [anon_sym_default] = ACTIONS(1037),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1101),
    [anon_sym___leave] = ACTIONS(1103),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1480),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym_seh_try_statement] = STATE(74),
    [sym_seh_leave_statement] = STATE(74),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(74),
    [sym_identifier] = ACTIONS(1163),
    [aux_sym_preproc_include_token1] = ACTIONS(1043),
    [aux_sym_preproc_def_token1] = ACTIONS(1043),
    [aux_sym_preproc_if_token1] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1043),
    [sym_preproc_directive] = ACTIONS(1043),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1043),
    [anon_sym___clrcall] = ACTIONS(1043),
    [anon_sym___stdcall] = ACTIONS(1043),
    [anon_sym___fastcall] = ACTIONS(1043),
    [anon_sym___thiscall] = ACTIONS(1043),
    [anon_sym___vectorcall] = ACTIONS(1043),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(1109),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym_default] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1480),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym_seh_try_statement] = STATE(74),
    [sym_seh_leave_statement] = STATE(74),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(74),
    [sym_identifier] = ACTIONS(1163),
    [aux_sym_preproc_include_token1] = ACTIONS(1037),
    [aux_sym_preproc_def_token1] = ACTIONS(1037),
    [aux_sym_preproc_if_token1] = ACTIONS(1037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1037),
    [sym_preproc_directive] = ACTIONS(1037),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1037),
    [anon_sym___clrcall] = ACTIONS(1037),
    [anon_sym___stdcall] = ACTIONS(1037),
    [anon_sym___fastcall] = ACTIONS(1037),
    [anon_sym___thiscall] = ACTIONS(1037),
    [anon_sym___vectorcall] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(1161),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_else] = ACTIONS(1037),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(1037),
    [anon_sym_default] = ACTIONS(1037),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1496),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(78),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(78),
    [sym_labeled_statement] = STATE(78),
    [sym_expression_statement] = STATE(78),
    [sym_if_statement] = STATE(78),
    [sym_switch_statement] = STATE(78),
    [sym_while_statement] = STATE(78),
    [sym_do_statement] = STATE(78),
    [sym_for_statement] = STATE(78),
    [sym_return_statement] = STATE(78),
    [sym_break_statement] = STATE(78),
    [sym_continue_statement] = STATE(78),
    [sym_goto_statement] = STATE(78),
    [sym_seh_try_statement] = STATE(78),
    [sym_seh_leave_statement] = STATE(78),
    [sym__expression] = STATE(1203),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2003),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(408),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(78),
    [sym_identifier] = ACTIONS(1105),
    [aux_sym_preproc_include_token1] = ACTIONS(1039),
    [aux_sym_preproc_def_token1] = ACTIONS(1039),
    [aux_sym_preproc_if_token1] = ACTIONS(1039),
    [aux_sym_preproc_if_token2] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1039),
    [sym_preproc_directive] = ACTIONS(1039),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(721),
    [anon_sym___extension__] = ACTIONS(723),
    [anon_sym_typedef] = ACTIONS(725),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1039),
    [anon_sym___clrcall] = ACTIONS(1039),
    [anon_sym___stdcall] = ACTIONS(1039),
    [anon_sym___fastcall] = ACTIONS(1039),
    [anon_sym___thiscall] = ACTIONS(1039),
    [anon_sym___vectorcall] = ACTIONS(1039),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(731),
    [anon_sym_else] = ACTIONS(1039),
    [anon_sym_switch] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(1039),
    [anon_sym_default] = ACTIONS(1039),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(749),
    [anon_sym_goto] = ACTIONS(751),
    [anon_sym___try] = ACTIONS(753),
    [anon_sym___leave] = ACTIONS(755),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1480),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym_seh_try_statement] = STATE(74),
    [sym_seh_leave_statement] = STATE(74),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(74),
    [sym_identifier] = ACTIONS(1165),
    [aux_sym_preproc_include_token1] = ACTIONS(913),
    [aux_sym_preproc_def_token1] = ACTIONS(913),
    [aux_sym_preproc_if_token1] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(913),
    [sym_preproc_directive] = ACTIONS(913),
    [anon_sym_LPAREN2] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(924),
    [anon_sym_AMP] = ACTIONS(924),
    [anon_sym_SEMI] = ACTIONS(1168),
    [anon_sym___extension__] = ACTIONS(1171),
    [anon_sym_typedef] = ACTIONS(1174),
    [anon_sym_extern] = ACTIONS(936),
    [anon_sym___attribute__] = ACTIONS(939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(942),
    [anon_sym___declspec] = ACTIONS(945),
    [anon_sym___cdecl] = ACTIONS(913),
    [anon_sym___clrcall] = ACTIONS(913),
    [anon_sym___stdcall] = ACTIONS(913),
    [anon_sym___fastcall] = ACTIONS(913),
    [anon_sym___thiscall] = ACTIONS(913),
    [anon_sym___vectorcall] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_RBRACE] = ACTIONS(1111),
    [anon_sym_signed] = ACTIONS(951),
    [anon_sym_unsigned] = ACTIONS(951),
    [anon_sym_long] = ACTIONS(951),
    [anon_sym_short] = ACTIONS(951),
    [anon_sym_static] = ACTIONS(936),
    [anon_sym_auto] = ACTIONS(936),
    [anon_sym_register] = ACTIONS(936),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym___inline] = ACTIONS(936),
    [anon_sym___inline__] = ACTIONS(936),
    [anon_sym___forceinline] = ACTIONS(936),
    [anon_sym_thread_local] = ACTIONS(936),
    [anon_sym___thread] = ACTIONS(936),
    [anon_sym_const] = ACTIONS(954),
    [anon_sym_constexpr] = ACTIONS(954),
    [anon_sym_volatile] = ACTIONS(954),
    [anon_sym_restrict] = ACTIONS(954),
    [anon_sym___restrict__] = ACTIONS(954),
    [anon_sym__Atomic] = ACTIONS(954),
    [anon_sym__Noreturn] = ACTIONS(954),
    [anon_sym_noreturn] = ACTIONS(954),
    [sym_primitive_type] = ACTIONS(957),
    [anon_sym_enum] = ACTIONS(960),
    [anon_sym_struct] = ACTIONS(963),
    [anon_sym_union] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(1180),
    [anon_sym_else] = ACTIONS(913),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_case] = ACTIONS(913),
    [anon_sym_default] = ACTIONS(913),
    [anon_sym_while] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1189),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_break] = ACTIONS(1198),
    [anon_sym_continue] = ACTIONS(1201),
    [anon_sym_goto] = ACTIONS(1204),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1002),
    [anon_sym_PLUS_PLUS] = ACTIONS(1002),
    [anon_sym_sizeof] = ACTIONS(1005),
    [anon_sym___alignof__] = ACTIONS(1008),
    [anon_sym___alignof] = ACTIONS(1008),
    [anon_sym__alignof] = ACTIONS(1008),
    [anon_sym_alignof] = ACTIONS(1008),
    [anon_sym__Alignof] = ACTIONS(1008),
    [anon_sym_offsetof] = ACTIONS(1011),
    [anon_sym__Generic] = ACTIONS(1014),
    [anon_sym_asm] = ACTIONS(1017),
    [anon_sym___asm__] = ACTIONS(1017),
    [sym_number_literal] = ACTIONS(1020),
    [anon_sym_L_SQUOTE] = ACTIONS(1023),
    [anon_sym_u_SQUOTE] = ACTIONS(1023),
    [anon_sym_U_SQUOTE] = ACTIONS(1023),
    [anon_sym_u8_SQUOTE] = ACTIONS(1023),
    [anon_sym_SQUOTE] = ACTIONS(1023),
    [anon_sym_L_DQUOTE] = ACTIONS(1026),
    [anon_sym_u_DQUOTE] = ACTIONS(1026),
    [anon_sym_U_DQUOTE] = ACTIONS(1026),
    [anon_sym_u8_DQUOTE] = ACTIONS(1026),
    [anon_sym_DQUOTE] = ACTIONS(1026),
    [sym_true] = ACTIONS(1029),
    [sym_false] = ACTIONS(1029),
    [anon_sym_NULL] = ACTIONS(1032),
    [anon_sym_nullptr] = ACTIONS(1032),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1480),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(72),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(72),
    [sym_labeled_statement] = STATE(72),
    [sym_expression_statement] = STATE(72),
    [sym_if_statement] = STATE(72),
    [sym_switch_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_do_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_return_statement] = STATE(72),
    [sym_break_statement] = STATE(72),
    [sym_continue_statement] = STATE(72),
    [sym_goto_statement] = STATE(72),
    [sym_seh_try_statement] = STATE(72),
    [sym_seh_leave_statement] = STATE(72),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(72),
    [sym_identifier] = ACTIONS(1163),
    [aux_sym_preproc_include_token1] = ACTIONS(1041),
    [aux_sym_preproc_def_token1] = ACTIONS(1041),
    [aux_sym_preproc_if_token1] = ACTIONS(1041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1041),
    [sym_preproc_directive] = ACTIONS(1041),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1041),
    [anon_sym___clrcall] = ACTIONS(1041),
    [anon_sym___stdcall] = ACTIONS(1041),
    [anon_sym___fastcall] = ACTIONS(1041),
    [anon_sym___thiscall] = ACTIONS(1041),
    [anon_sym___vectorcall] = ACTIONS(1041),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(1107),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_else] = ACTIONS(1041),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(1041),
    [anon_sym_default] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1480),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(71),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(71),
    [sym_labeled_statement] = STATE(71),
    [sym_expression_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_return_statement] = STATE(71),
    [sym_break_statement] = STATE(71),
    [sym_continue_statement] = STATE(71),
    [sym_goto_statement] = STATE(71),
    [sym_seh_try_statement] = STATE(71),
    [sym_seh_leave_statement] = STATE(71),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(71),
    [sym_identifier] = ACTIONS(1163),
    [aux_sym_preproc_include_token1] = ACTIONS(1039),
    [aux_sym_preproc_def_token1] = ACTIONS(1039),
    [aux_sym_preproc_if_token1] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1039),
    [sym_preproc_directive] = ACTIONS(1039),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1039),
    [anon_sym___clrcall] = ACTIONS(1039),
    [anon_sym___stdcall] = ACTIONS(1039),
    [anon_sym___fastcall] = ACTIONS(1039),
    [anon_sym___thiscall] = ACTIONS(1039),
    [anon_sym___vectorcall] = ACTIONS(1039),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(1095),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_else] = ACTIONS(1039),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(1039),
    [anon_sym_default] = ACTIONS(1039),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_declaration] = STATE(77),
    [sym_type_definition] = STATE(77),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1496),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(77),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(77),
    [sym_labeled_statement] = STATE(77),
    [sym_expression_statement] = STATE(77),
    [sym_if_statement] = STATE(77),
    [sym_switch_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_do_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_return_statement] = STATE(77),
    [sym_break_statement] = STATE(77),
    [sym_continue_statement] = STATE(77),
    [sym_goto_statement] = STATE(77),
    [sym_seh_try_statement] = STATE(77),
    [sym_seh_leave_statement] = STATE(77),
    [sym__expression] = STATE(1203),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2003),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(408),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(77),
    [sym_identifier] = ACTIONS(1213),
    [aux_sym_preproc_include_token1] = ACTIONS(913),
    [aux_sym_preproc_def_token1] = ACTIONS(913),
    [aux_sym_preproc_if_token1] = ACTIONS(913),
    [aux_sym_preproc_if_token2] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(913),
    [sym_preproc_directive] = ACTIONS(913),
    [anon_sym_LPAREN2] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(924),
    [anon_sym_AMP] = ACTIONS(924),
    [anon_sym_SEMI] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1219),
    [anon_sym_typedef] = ACTIONS(1222),
    [anon_sym_extern] = ACTIONS(936),
    [anon_sym___attribute__] = ACTIONS(939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(942),
    [anon_sym___declspec] = ACTIONS(945),
    [anon_sym___cdecl] = ACTIONS(913),
    [anon_sym___clrcall] = ACTIONS(913),
    [anon_sym___stdcall] = ACTIONS(913),
    [anon_sym___fastcall] = ACTIONS(913),
    [anon_sym___thiscall] = ACTIONS(913),
    [anon_sym___vectorcall] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(1225),
    [anon_sym_signed] = ACTIONS(951),
    [anon_sym_unsigned] = ACTIONS(951),
    [anon_sym_long] = ACTIONS(951),
    [anon_sym_short] = ACTIONS(951),
    [anon_sym_static] = ACTIONS(936),
    [anon_sym_auto] = ACTIONS(936),
    [anon_sym_register] = ACTIONS(936),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym___inline] = ACTIONS(936),
    [anon_sym___inline__] = ACTIONS(936),
    [anon_sym___forceinline] = ACTIONS(936),
    [anon_sym_thread_local] = ACTIONS(936),
    [anon_sym___thread] = ACTIONS(936),
    [anon_sym_const] = ACTIONS(954),
    [anon_sym_constexpr] = ACTIONS(954),
    [anon_sym_volatile] = ACTIONS(954),
    [anon_sym_restrict] = ACTIONS(954),
    [anon_sym___restrict__] = ACTIONS(954),
    [anon_sym__Atomic] = ACTIONS(954),
    [anon_sym__Noreturn] = ACTIONS(954),
    [anon_sym_noreturn] = ACTIONS(954),
    [sym_primitive_type] = ACTIONS(957),
    [anon_sym_enum] = ACTIONS(960),
    [anon_sym_struct] = ACTIONS(963),
    [anon_sym_union] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(1228),
    [anon_sym_else] = ACTIONS(913),
    [anon_sym_switch] = ACTIONS(1231),
    [anon_sym_case] = ACTIONS(913),
    [anon_sym_default] = ACTIONS(913),
    [anon_sym_while] = ACTIONS(1234),
    [anon_sym_do] = ACTIONS(1237),
    [anon_sym_for] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1243),
    [anon_sym_break] = ACTIONS(1246),
    [anon_sym_continue] = ACTIONS(1249),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym___try] = ACTIONS(1255),
    [anon_sym___leave] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1002),
    [anon_sym_PLUS_PLUS] = ACTIONS(1002),
    [anon_sym_sizeof] = ACTIONS(1005),
    [anon_sym___alignof__] = ACTIONS(1008),
    [anon_sym___alignof] = ACTIONS(1008),
    [anon_sym__alignof] = ACTIONS(1008),
    [anon_sym_alignof] = ACTIONS(1008),
    [anon_sym__Alignof] = ACTIONS(1008),
    [anon_sym_offsetof] = ACTIONS(1011),
    [anon_sym__Generic] = ACTIONS(1014),
    [anon_sym_asm] = ACTIONS(1017),
    [anon_sym___asm__] = ACTIONS(1017),
    [sym_number_literal] = ACTIONS(1020),
    [anon_sym_L_SQUOTE] = ACTIONS(1023),
    [anon_sym_u_SQUOTE] = ACTIONS(1023),
    [anon_sym_U_SQUOTE] = ACTIONS(1023),
    [anon_sym_u8_SQUOTE] = ACTIONS(1023),
    [anon_sym_SQUOTE] = ACTIONS(1023),
    [anon_sym_L_DQUOTE] = ACTIONS(1026),
    [anon_sym_u_DQUOTE] = ACTIONS(1026),
    [anon_sym_U_DQUOTE] = ACTIONS(1026),
    [anon_sym_u8_DQUOTE] = ACTIONS(1026),
    [anon_sym_DQUOTE] = ACTIONS(1026),
    [sym_true] = ACTIONS(1029),
    [sym_false] = ACTIONS(1029),
    [anon_sym_NULL] = ACTIONS(1032),
    [anon_sym_nullptr] = ACTIONS(1032),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_declaration] = STATE(77),
    [sym_type_definition] = STATE(77),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1496),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(77),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(77),
    [sym_labeled_statement] = STATE(77),
    [sym_expression_statement] = STATE(77),
    [sym_if_statement] = STATE(77),
    [sym_switch_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_do_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_return_statement] = STATE(77),
    [sym_break_statement] = STATE(77),
    [sym_continue_statement] = STATE(77),
    [sym_goto_statement] = STATE(77),
    [sym_seh_try_statement] = STATE(77),
    [sym_seh_leave_statement] = STATE(77),
    [sym__expression] = STATE(1203),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2003),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(408),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(77),
    [sym_identifier] = ACTIONS(1105),
    [aux_sym_preproc_include_token1] = ACTIONS(1043),
    [aux_sym_preproc_def_token1] = ACTIONS(1043),
    [aux_sym_preproc_if_token1] = ACTIONS(1043),
    [aux_sym_preproc_if_token2] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1043),
    [sym_preproc_directive] = ACTIONS(1043),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(721),
    [anon_sym___extension__] = ACTIONS(723),
    [anon_sym_typedef] = ACTIONS(725),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1043),
    [anon_sym___clrcall] = ACTIONS(1043),
    [anon_sym___stdcall] = ACTIONS(1043),
    [anon_sym___fastcall] = ACTIONS(1043),
    [anon_sym___thiscall] = ACTIONS(1043),
    [anon_sym___vectorcall] = ACTIONS(1043),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(731),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_switch] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym_default] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(749),
    [anon_sym_goto] = ACTIONS(751),
    [anon_sym___try] = ACTIONS(753),
    [anon_sym___leave] = ACTIONS(755),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1483),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_seh_try_statement] = STATE(80),
    [sym_seh_leave_statement] = STATE(80),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(425),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(80),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_else] = ACTIONS(1037),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1483),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_seh_try_statement] = STATE(80),
    [sym_seh_leave_statement] = STATE(80),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(425),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(80),
    [sym_identifier] = ACTIONS(1271),
    [anon_sym_LPAREN2] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(924),
    [anon_sym_AMP] = ACTIONS(924),
    [anon_sym_SEMI] = ACTIONS(1168),
    [anon_sym___extension__] = ACTIONS(1119),
    [anon_sym_typedef] = ACTIONS(1122),
    [anon_sym_extern] = ACTIONS(936),
    [anon_sym___attribute__] = ACTIONS(939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(942),
    [anon_sym___declspec] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_signed] = ACTIONS(951),
    [anon_sym_unsigned] = ACTIONS(951),
    [anon_sym_long] = ACTIONS(951),
    [anon_sym_short] = ACTIONS(951),
    [anon_sym_static] = ACTIONS(936),
    [anon_sym_auto] = ACTIONS(936),
    [anon_sym_register] = ACTIONS(936),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym___inline] = ACTIONS(936),
    [anon_sym___inline__] = ACTIONS(936),
    [anon_sym___forceinline] = ACTIONS(936),
    [anon_sym_thread_local] = ACTIONS(936),
    [anon_sym___thread] = ACTIONS(936),
    [anon_sym_const] = ACTIONS(954),
    [anon_sym_constexpr] = ACTIONS(954),
    [anon_sym_volatile] = ACTIONS(954),
    [anon_sym_restrict] = ACTIONS(954),
    [anon_sym___restrict__] = ACTIONS(954),
    [anon_sym__Atomic] = ACTIONS(954),
    [anon_sym__Noreturn] = ACTIONS(954),
    [anon_sym_noreturn] = ACTIONS(954),
    [sym_primitive_type] = ACTIONS(957),
    [anon_sym_enum] = ACTIONS(960),
    [anon_sym_struct] = ACTIONS(963),
    [anon_sym_union] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(1274),
    [anon_sym_else] = ACTIONS(913),
    [anon_sym_switch] = ACTIONS(1131),
    [anon_sym_while] = ACTIONS(1277),
    [anon_sym_do] = ACTIONS(1137),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1143),
    [anon_sym_break] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1149),
    [anon_sym_goto] = ACTIONS(1152),
    [anon_sym___try] = ACTIONS(1283),
    [anon_sym___leave] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1002),
    [anon_sym_PLUS_PLUS] = ACTIONS(1002),
    [anon_sym_sizeof] = ACTIONS(1005),
    [anon_sym___alignof__] = ACTIONS(1008),
    [anon_sym___alignof] = ACTIONS(1008),
    [anon_sym__alignof] = ACTIONS(1008),
    [anon_sym_alignof] = ACTIONS(1008),
    [anon_sym__Alignof] = ACTIONS(1008),
    [anon_sym_offsetof] = ACTIONS(1011),
    [anon_sym__Generic] = ACTIONS(1014),
    [anon_sym_asm] = ACTIONS(1017),
    [anon_sym___asm__] = ACTIONS(1017),
    [sym_number_literal] = ACTIONS(1020),
    [anon_sym_L_SQUOTE] = ACTIONS(1023),
    [anon_sym_u_SQUOTE] = ACTIONS(1023),
    [anon_sym_U_SQUOTE] = ACTIONS(1023),
    [anon_sym_u8_SQUOTE] = ACTIONS(1023),
    [anon_sym_SQUOTE] = ACTIONS(1023),
    [anon_sym_L_DQUOTE] = ACTIONS(1026),
    [anon_sym_u_DQUOTE] = ACTIONS(1026),
    [anon_sym_U_DQUOTE] = ACTIONS(1026),
    [anon_sym_u8_DQUOTE] = ACTIONS(1026),
    [anon_sym_DQUOTE] = ACTIONS(1026),
    [sym_true] = ACTIONS(1029),
    [sym_false] = ACTIONS(1029),
    [anon_sym_NULL] = ACTIONS(1032),
    [anon_sym_nullptr] = ACTIONS(1032),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1483),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(425),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_else] = ACTIONS(1039),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1483),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_seh_try_statement] = STATE(80),
    [sym_seh_leave_statement] = STATE(80),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(425),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(80),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_declaration] = STATE(79),
    [sym_type_definition] = STATE(79),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1483),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(504),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_compound_statement] = STATE(79),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_attributed_statement] = STATE(79),
    [sym_labeled_statement] = STATE(79),
    [sym_expression_statement] = STATE(79),
    [sym_if_statement] = STATE(79),
    [sym_switch_statement] = STATE(79),
    [sym_while_statement] = STATE(79),
    [sym_do_statement] = STATE(79),
    [sym_for_statement] = STATE(79),
    [sym_return_statement] = STATE(79),
    [sym_break_statement] = STATE(79),
    [sym_continue_statement] = STATE(79),
    [sym_goto_statement] = STATE(79),
    [sym_seh_try_statement] = STATE(79),
    [sym_seh_leave_statement] = STATE(79),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_attributed_declarator_repeat1] = STATE(425),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [aux_sym_case_statement_repeat1] = STATE(79),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_else] = ACTIONS(1041),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_declaration] = STATE(567),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1484),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__for_statement_body] = STATE(2106),
    [sym__expression] = STATE(1201),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2130),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_declaration] = STATE(567),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1484),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__for_statement_body] = STATE(2151),
    [sym__expression] = STATE(1201),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2130),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_declaration] = STATE(567),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1484),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__for_statement_body] = STATE(1968),
    [sym__expression] = STATE(1201),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2130),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_declaration] = STATE(567),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1484),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__for_statement_body] = STATE(2131),
    [sym__expression] = STATE(1201),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2130),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_declaration] = STATE(567),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1484),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__for_statement_body] = STATE(2047),
    [sym__expression] = STATE(1201),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2130),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_declaration] = STATE(567),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1484),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__for_statement_body] = STATE(2021),
    [sym__expression] = STATE(1201),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2130),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_else_clause] = STATE(101),
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token2] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [aux_sym_preproc_else_token1] = ACTIONS(1292),
    [aux_sym_preproc_elif_token1] = ACTIONS(1292),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_identifier] = ACTIONS(1298),
    [aux_sym_preproc_include_token1] = ACTIONS(1298),
    [aux_sym_preproc_def_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token2] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1298),
    [aux_sym_preproc_else_token1] = ACTIONS(1298),
    [aux_sym_preproc_elif_token1] = ACTIONS(1298),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1298),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1298),
    [sym_preproc_directive] = ACTIONS(1298),
    [anon_sym_LPAREN2] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym___extension__] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1298),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym___attribute__] = ACTIONS(1298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1300),
    [anon_sym___declspec] = ACTIONS(1298),
    [anon_sym___cdecl] = ACTIONS(1298),
    [anon_sym___clrcall] = ACTIONS(1298),
    [anon_sym___stdcall] = ACTIONS(1298),
    [anon_sym___fastcall] = ACTIONS(1298),
    [anon_sym___thiscall] = ACTIONS(1298),
    [anon_sym___vectorcall] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_signed] = ACTIONS(1298),
    [anon_sym_unsigned] = ACTIONS(1298),
    [anon_sym_long] = ACTIONS(1298),
    [anon_sym_short] = ACTIONS(1298),
    [anon_sym_static] = ACTIONS(1298),
    [anon_sym_auto] = ACTIONS(1298),
    [anon_sym_register] = ACTIONS(1298),
    [anon_sym_inline] = ACTIONS(1298),
    [anon_sym___inline] = ACTIONS(1298),
    [anon_sym___inline__] = ACTIONS(1298),
    [anon_sym___forceinline] = ACTIONS(1298),
    [anon_sym_thread_local] = ACTIONS(1298),
    [anon_sym___thread] = ACTIONS(1298),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_constexpr] = ACTIONS(1298),
    [anon_sym_volatile] = ACTIONS(1298),
    [anon_sym_restrict] = ACTIONS(1298),
    [anon_sym___restrict__] = ACTIONS(1298),
    [anon_sym__Atomic] = ACTIONS(1298),
    [anon_sym__Noreturn] = ACTIONS(1298),
    [anon_sym_noreturn] = ACTIONS(1298),
    [sym_primitive_type] = ACTIONS(1298),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_struct] = ACTIONS(1298),
    [anon_sym_union] = ACTIONS(1298),
    [anon_sym_if] = ACTIONS(1298),
    [anon_sym_else] = ACTIONS(1298),
    [anon_sym_switch] = ACTIONS(1298),
    [anon_sym_case] = ACTIONS(1298),
    [anon_sym_default] = ACTIONS(1298),
    [anon_sym_while] = ACTIONS(1298),
    [anon_sym_do] = ACTIONS(1298),
    [anon_sym_for] = ACTIONS(1298),
    [anon_sym_return] = ACTIONS(1298),
    [anon_sym_break] = ACTIONS(1298),
    [anon_sym_continue] = ACTIONS(1298),
    [anon_sym_goto] = ACTIONS(1298),
    [anon_sym___try] = ACTIONS(1298),
    [anon_sym___leave] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_sizeof] = ACTIONS(1298),
    [anon_sym___alignof__] = ACTIONS(1298),
    [anon_sym___alignof] = ACTIONS(1298),
    [anon_sym__alignof] = ACTIONS(1298),
    [anon_sym_alignof] = ACTIONS(1298),
    [anon_sym__Alignof] = ACTIONS(1298),
    [anon_sym_offsetof] = ACTIONS(1298),
    [anon_sym__Generic] = ACTIONS(1298),
    [anon_sym_asm] = ACTIONS(1298),
    [anon_sym___asm__] = ACTIONS(1298),
    [sym_number_literal] = ACTIONS(1300),
    [anon_sym_L_SQUOTE] = ACTIONS(1300),
    [anon_sym_u_SQUOTE] = ACTIONS(1300),
    [anon_sym_U_SQUOTE] = ACTIONS(1300),
    [anon_sym_u8_SQUOTE] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_L_DQUOTE] = ACTIONS(1300),
    [anon_sym_u_DQUOTE] = ACTIONS(1300),
    [anon_sym_U_DQUOTE] = ACTIONS(1300),
    [anon_sym_u8_DQUOTE] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [sym_true] = ACTIONS(1298),
    [sym_false] = ACTIONS(1298),
    [anon_sym_NULL] = ACTIONS(1298),
    [anon_sym_nullptr] = ACTIONS(1298),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_identifier] = ACTIONS(1302),
    [aux_sym_preproc_include_token1] = ACTIONS(1302),
    [aux_sym_preproc_def_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token2] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1302),
    [aux_sym_preproc_else_token1] = ACTIONS(1302),
    [aux_sym_preproc_elif_token1] = ACTIONS(1302),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1302),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1302),
    [sym_preproc_directive] = ACTIONS(1302),
    [anon_sym_LPAREN2] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1304),
    [anon_sym_AMP] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1304),
    [anon_sym___extension__] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1302),
    [anon_sym_extern] = ACTIONS(1302),
    [anon_sym___attribute__] = ACTIONS(1302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1304),
    [anon_sym___declspec] = ACTIONS(1302),
    [anon_sym___cdecl] = ACTIONS(1302),
    [anon_sym___clrcall] = ACTIONS(1302),
    [anon_sym___stdcall] = ACTIONS(1302),
    [anon_sym___fastcall] = ACTIONS(1302),
    [anon_sym___thiscall] = ACTIONS(1302),
    [anon_sym___vectorcall] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_signed] = ACTIONS(1302),
    [anon_sym_unsigned] = ACTIONS(1302),
    [anon_sym_long] = ACTIONS(1302),
    [anon_sym_short] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1302),
    [anon_sym_auto] = ACTIONS(1302),
    [anon_sym_register] = ACTIONS(1302),
    [anon_sym_inline] = ACTIONS(1302),
    [anon_sym___inline] = ACTIONS(1302),
    [anon_sym___inline__] = ACTIONS(1302),
    [anon_sym___forceinline] = ACTIONS(1302),
    [anon_sym_thread_local] = ACTIONS(1302),
    [anon_sym___thread] = ACTIONS(1302),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_constexpr] = ACTIONS(1302),
    [anon_sym_volatile] = ACTIONS(1302),
    [anon_sym_restrict] = ACTIONS(1302),
    [anon_sym___restrict__] = ACTIONS(1302),
    [anon_sym__Atomic] = ACTIONS(1302),
    [anon_sym__Noreturn] = ACTIONS(1302),
    [anon_sym_noreturn] = ACTIONS(1302),
    [sym_primitive_type] = ACTIONS(1302),
    [anon_sym_enum] = ACTIONS(1302),
    [anon_sym_struct] = ACTIONS(1302),
    [anon_sym_union] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1302),
    [anon_sym_else] = ACTIONS(1302),
    [anon_sym_switch] = ACTIONS(1302),
    [anon_sym_case] = ACTIONS(1302),
    [anon_sym_default] = ACTIONS(1302),
    [anon_sym_while] = ACTIONS(1302),
    [anon_sym_do] = ACTIONS(1302),
    [anon_sym_for] = ACTIONS(1302),
    [anon_sym_return] = ACTIONS(1302),
    [anon_sym_break] = ACTIONS(1302),
    [anon_sym_continue] = ACTIONS(1302),
    [anon_sym_goto] = ACTIONS(1302),
    [anon_sym___try] = ACTIONS(1302),
    [anon_sym___leave] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [anon_sym_sizeof] = ACTIONS(1302),
    [anon_sym___alignof__] = ACTIONS(1302),
    [anon_sym___alignof] = ACTIONS(1302),
    [anon_sym__alignof] = ACTIONS(1302),
    [anon_sym_alignof] = ACTIONS(1302),
    [anon_sym__Alignof] = ACTIONS(1302),
    [anon_sym_offsetof] = ACTIONS(1302),
    [anon_sym__Generic] = ACTIONS(1302),
    [anon_sym_asm] = ACTIONS(1302),
    [anon_sym___asm__] = ACTIONS(1302),
    [sym_number_literal] = ACTIONS(1304),
    [anon_sym_L_SQUOTE] = ACTIONS(1304),
    [anon_sym_u_SQUOTE] = ACTIONS(1304),
    [anon_sym_U_SQUOTE] = ACTIONS(1304),
    [anon_sym_u8_SQUOTE] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_L_DQUOTE] = ACTIONS(1304),
    [anon_sym_u_DQUOTE] = ACTIONS(1304),
    [anon_sym_U_DQUOTE] = ACTIONS(1304),
    [anon_sym_u8_DQUOTE] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [sym_true] = ACTIONS(1302),
    [sym_false] = ACTIONS(1302),
    [anon_sym_NULL] = ACTIONS(1302),
    [anon_sym_nullptr] = ACTIONS(1302),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [ts_builtin_sym_end] = ACTIONS(1306),
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [anon_sym_COMMA] = ACTIONS(1306),
    [anon_sym_RPAREN] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym___extension__] = ACTIONS(1308),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym___inline] = ACTIONS(1308),
    [anon_sym___inline__] = ACTIONS(1308),
    [anon_sym___forceinline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym___thread] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_else] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym___try] = ACTIONS(1308),
    [anon_sym___except] = ACTIONS(1308),
    [anon_sym___finally] = ACTIONS(1308),
    [anon_sym___leave] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym___alignof__] = ACTIONS(1308),
    [anon_sym___alignof] = ACTIONS(1308),
    [anon_sym__alignof] = ACTIONS(1308),
    [anon_sym_alignof] = ACTIONS(1308),
    [anon_sym__Alignof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_identifier] = ACTIONS(1314),
    [aux_sym_preproc_include_token1] = ACTIONS(1314),
    [aux_sym_preproc_def_token1] = ACTIONS(1314),
    [aux_sym_preproc_if_token1] = ACTIONS(1314),
    [aux_sym_preproc_if_token2] = ACTIONS(1314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1314),
    [aux_sym_preproc_else_token1] = ACTIONS(1314),
    [aux_sym_preproc_elif_token1] = ACTIONS(1314),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1314),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1314),
    [sym_preproc_directive] = ACTIONS(1314),
    [anon_sym_LPAREN2] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1316),
    [anon_sym_AMP] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1316),
    [anon_sym___extension__] = ACTIONS(1314),
    [anon_sym_typedef] = ACTIONS(1314),
    [anon_sym_extern] = ACTIONS(1314),
    [anon_sym___attribute__] = ACTIONS(1314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1316),
    [anon_sym___declspec] = ACTIONS(1314),
    [anon_sym___cdecl] = ACTIONS(1314),
    [anon_sym___clrcall] = ACTIONS(1314),
    [anon_sym___stdcall] = ACTIONS(1314),
    [anon_sym___fastcall] = ACTIONS(1314),
    [anon_sym___thiscall] = ACTIONS(1314),
    [anon_sym___vectorcall] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_signed] = ACTIONS(1314),
    [anon_sym_unsigned] = ACTIONS(1314),
    [anon_sym_long] = ACTIONS(1314),
    [anon_sym_short] = ACTIONS(1314),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_auto] = ACTIONS(1314),
    [anon_sym_register] = ACTIONS(1314),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym___inline] = ACTIONS(1314),
    [anon_sym___inline__] = ACTIONS(1314),
    [anon_sym___forceinline] = ACTIONS(1314),
    [anon_sym_thread_local] = ACTIONS(1314),
    [anon_sym___thread] = ACTIONS(1314),
    [anon_sym_const] = ACTIONS(1314),
    [anon_sym_constexpr] = ACTIONS(1314),
    [anon_sym_volatile] = ACTIONS(1314),
    [anon_sym_restrict] = ACTIONS(1314),
    [anon_sym___restrict__] = ACTIONS(1314),
    [anon_sym__Atomic] = ACTIONS(1314),
    [anon_sym__Noreturn] = ACTIONS(1314),
    [anon_sym_noreturn] = ACTIONS(1314),
    [sym_primitive_type] = ACTIONS(1314),
    [anon_sym_enum] = ACTIONS(1314),
    [anon_sym_struct] = ACTIONS(1314),
    [anon_sym_union] = ACTIONS(1314),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_else] = ACTIONS(1314),
    [anon_sym_switch] = ACTIONS(1314),
    [anon_sym_case] = ACTIONS(1314),
    [anon_sym_default] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1314),
    [anon_sym_do] = ACTIONS(1314),
    [anon_sym_for] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1314),
    [anon_sym_break] = ACTIONS(1314),
    [anon_sym_continue] = ACTIONS(1314),
    [anon_sym_goto] = ACTIONS(1314),
    [anon_sym___try] = ACTIONS(1314),
    [anon_sym___leave] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [anon_sym_sizeof] = ACTIONS(1314),
    [anon_sym___alignof__] = ACTIONS(1314),
    [anon_sym___alignof] = ACTIONS(1314),
    [anon_sym__alignof] = ACTIONS(1314),
    [anon_sym_alignof] = ACTIONS(1314),
    [anon_sym__Alignof] = ACTIONS(1314),
    [anon_sym_offsetof] = ACTIONS(1314),
    [anon_sym__Generic] = ACTIONS(1314),
    [anon_sym_asm] = ACTIONS(1314),
    [anon_sym___asm__] = ACTIONS(1314),
    [sym_number_literal] = ACTIONS(1316),
    [anon_sym_L_SQUOTE] = ACTIONS(1316),
    [anon_sym_u_SQUOTE] = ACTIONS(1316),
    [anon_sym_U_SQUOTE] = ACTIONS(1316),
    [anon_sym_u8_SQUOTE] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_L_DQUOTE] = ACTIONS(1316),
    [anon_sym_u_DQUOTE] = ACTIONS(1316),
    [anon_sym_U_DQUOTE] = ACTIONS(1316),
    [anon_sym_u8_DQUOTE] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [sym_true] = ACTIONS(1314),
    [sym_false] = ACTIONS(1314),
    [anon_sym_NULL] = ACTIONS(1314),
    [anon_sym_nullptr] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_identifier] = ACTIONS(1318),
    [aux_sym_preproc_include_token1] = ACTIONS(1318),
    [aux_sym_preproc_def_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token2] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1318),
    [aux_sym_preproc_else_token1] = ACTIONS(1318),
    [aux_sym_preproc_elif_token1] = ACTIONS(1318),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1318),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1318),
    [sym_preproc_directive] = ACTIONS(1318),
    [anon_sym_LPAREN2] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym___extension__] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1318),
    [anon_sym_extern] = ACTIONS(1318),
    [anon_sym___attribute__] = ACTIONS(1318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1320),
    [anon_sym___declspec] = ACTIONS(1318),
    [anon_sym___cdecl] = ACTIONS(1318),
    [anon_sym___clrcall] = ACTIONS(1318),
    [anon_sym___stdcall] = ACTIONS(1318),
    [anon_sym___fastcall] = ACTIONS(1318),
    [anon_sym___thiscall] = ACTIONS(1318),
    [anon_sym___vectorcall] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_signed] = ACTIONS(1318),
    [anon_sym_unsigned] = ACTIONS(1318),
    [anon_sym_long] = ACTIONS(1318),
    [anon_sym_short] = ACTIONS(1318),
    [anon_sym_static] = ACTIONS(1318),
    [anon_sym_auto] = ACTIONS(1318),
    [anon_sym_register] = ACTIONS(1318),
    [anon_sym_inline] = ACTIONS(1318),
    [anon_sym___inline] = ACTIONS(1318),
    [anon_sym___inline__] = ACTIONS(1318),
    [anon_sym___forceinline] = ACTIONS(1318),
    [anon_sym_thread_local] = ACTIONS(1318),
    [anon_sym___thread] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(1318),
    [anon_sym_constexpr] = ACTIONS(1318),
    [anon_sym_volatile] = ACTIONS(1318),
    [anon_sym_restrict] = ACTIONS(1318),
    [anon_sym___restrict__] = ACTIONS(1318),
    [anon_sym__Atomic] = ACTIONS(1318),
    [anon_sym__Noreturn] = ACTIONS(1318),
    [anon_sym_noreturn] = ACTIONS(1318),
    [sym_primitive_type] = ACTIONS(1318),
    [anon_sym_enum] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1318),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_else] = ACTIONS(1318),
    [anon_sym_switch] = ACTIONS(1318),
    [anon_sym_case] = ACTIONS(1318),
    [anon_sym_default] = ACTIONS(1318),
    [anon_sym_while] = ACTIONS(1318),
    [anon_sym_do] = ACTIONS(1318),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1318),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1318),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym___try] = ACTIONS(1318),
    [anon_sym___leave] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_sizeof] = ACTIONS(1318),
    [anon_sym___alignof__] = ACTIONS(1318),
    [anon_sym___alignof] = ACTIONS(1318),
    [anon_sym__alignof] = ACTIONS(1318),
    [anon_sym_alignof] = ACTIONS(1318),
    [anon_sym__Alignof] = ACTIONS(1318),
    [anon_sym_offsetof] = ACTIONS(1318),
    [anon_sym__Generic] = ACTIONS(1318),
    [anon_sym_asm] = ACTIONS(1318),
    [anon_sym___asm__] = ACTIONS(1318),
    [sym_number_literal] = ACTIONS(1320),
    [anon_sym_L_SQUOTE] = ACTIONS(1320),
    [anon_sym_u_SQUOTE] = ACTIONS(1320),
    [anon_sym_U_SQUOTE] = ACTIONS(1320),
    [anon_sym_u8_SQUOTE] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_L_DQUOTE] = ACTIONS(1320),
    [anon_sym_u_DQUOTE] = ACTIONS(1320),
    [anon_sym_U_DQUOTE] = ACTIONS(1320),
    [anon_sym_u8_DQUOTE] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_NULL] = ACTIONS(1318),
    [anon_sym_nullptr] = ACTIONS(1318),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_identifier] = ACTIONS(1322),
    [aux_sym_preproc_include_token1] = ACTIONS(1322),
    [aux_sym_preproc_def_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token2] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1322),
    [aux_sym_preproc_else_token1] = ACTIONS(1322),
    [aux_sym_preproc_elif_token1] = ACTIONS(1322),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1322),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1322),
    [sym_preproc_directive] = ACTIONS(1322),
    [anon_sym_LPAREN2] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1324),
    [anon_sym_AMP] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1322),
    [anon_sym_extern] = ACTIONS(1322),
    [anon_sym___attribute__] = ACTIONS(1322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1324),
    [anon_sym___declspec] = ACTIONS(1322),
    [anon_sym___cdecl] = ACTIONS(1322),
    [anon_sym___clrcall] = ACTIONS(1322),
    [anon_sym___stdcall] = ACTIONS(1322),
    [anon_sym___fastcall] = ACTIONS(1322),
    [anon_sym___thiscall] = ACTIONS(1322),
    [anon_sym___vectorcall] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1322),
    [anon_sym_unsigned] = ACTIONS(1322),
    [anon_sym_long] = ACTIONS(1322),
    [anon_sym_short] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1322),
    [anon_sym_auto] = ACTIONS(1322),
    [anon_sym_register] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1322),
    [anon_sym___inline] = ACTIONS(1322),
    [anon_sym___inline__] = ACTIONS(1322),
    [anon_sym___forceinline] = ACTIONS(1322),
    [anon_sym_thread_local] = ACTIONS(1322),
    [anon_sym___thread] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_constexpr] = ACTIONS(1322),
    [anon_sym_volatile] = ACTIONS(1322),
    [anon_sym_restrict] = ACTIONS(1322),
    [anon_sym___restrict__] = ACTIONS(1322),
    [anon_sym__Atomic] = ACTIONS(1322),
    [anon_sym__Noreturn] = ACTIONS(1322),
    [anon_sym_noreturn] = ACTIONS(1322),
    [sym_primitive_type] = ACTIONS(1322),
    [anon_sym_enum] = ACTIONS(1322),
    [anon_sym_struct] = ACTIONS(1322),
    [anon_sym_union] = ACTIONS(1322),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_else] = ACTIONS(1322),
    [anon_sym_switch] = ACTIONS(1322),
    [anon_sym_case] = ACTIONS(1322),
    [anon_sym_default] = ACTIONS(1322),
    [anon_sym_while] = ACTIONS(1322),
    [anon_sym_do] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_goto] = ACTIONS(1322),
    [anon_sym___try] = ACTIONS(1322),
    [anon_sym___leave] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_sizeof] = ACTIONS(1322),
    [anon_sym___alignof__] = ACTIONS(1322),
    [anon_sym___alignof] = ACTIONS(1322),
    [anon_sym__alignof] = ACTIONS(1322),
    [anon_sym_alignof] = ACTIONS(1322),
    [anon_sym__Alignof] = ACTIONS(1322),
    [anon_sym_offsetof] = ACTIONS(1322),
    [anon_sym__Generic] = ACTIONS(1322),
    [anon_sym_asm] = ACTIONS(1322),
    [anon_sym___asm__] = ACTIONS(1322),
    [sym_number_literal] = ACTIONS(1324),
    [anon_sym_L_SQUOTE] = ACTIONS(1324),
    [anon_sym_u_SQUOTE] = ACTIONS(1324),
    [anon_sym_U_SQUOTE] = ACTIONS(1324),
    [anon_sym_u8_SQUOTE] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_L_DQUOTE] = ACTIONS(1324),
    [anon_sym_u_DQUOTE] = ACTIONS(1324),
    [anon_sym_U_DQUOTE] = ACTIONS(1324),
    [anon_sym_u8_DQUOTE] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_NULL] = ACTIONS(1322),
    [anon_sym_nullptr] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_identifier] = ACTIONS(1326),
    [aux_sym_preproc_include_token1] = ACTIONS(1326),
    [aux_sym_preproc_def_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token2] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1326),
    [aux_sym_preproc_else_token1] = ACTIONS(1326),
    [aux_sym_preproc_elif_token1] = ACTIONS(1326),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1326),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1326),
    [sym_preproc_directive] = ACTIONS(1326),
    [anon_sym_LPAREN2] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1328),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1326),
    [anon_sym_extern] = ACTIONS(1326),
    [anon_sym___attribute__] = ACTIONS(1326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1328),
    [anon_sym___declspec] = ACTIONS(1326),
    [anon_sym___cdecl] = ACTIONS(1326),
    [anon_sym___clrcall] = ACTIONS(1326),
    [anon_sym___stdcall] = ACTIONS(1326),
    [anon_sym___fastcall] = ACTIONS(1326),
    [anon_sym___thiscall] = ACTIONS(1326),
    [anon_sym___vectorcall] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_signed] = ACTIONS(1326),
    [anon_sym_unsigned] = ACTIONS(1326),
    [anon_sym_long] = ACTIONS(1326),
    [anon_sym_short] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1326),
    [anon_sym_auto] = ACTIONS(1326),
    [anon_sym_register] = ACTIONS(1326),
    [anon_sym_inline] = ACTIONS(1326),
    [anon_sym___inline] = ACTIONS(1326),
    [anon_sym___inline__] = ACTIONS(1326),
    [anon_sym___forceinline] = ACTIONS(1326),
    [anon_sym_thread_local] = ACTIONS(1326),
    [anon_sym___thread] = ACTIONS(1326),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_constexpr] = ACTIONS(1326),
    [anon_sym_volatile] = ACTIONS(1326),
    [anon_sym_restrict] = ACTIONS(1326),
    [anon_sym___restrict__] = ACTIONS(1326),
    [anon_sym__Atomic] = ACTIONS(1326),
    [anon_sym__Noreturn] = ACTIONS(1326),
    [anon_sym_noreturn] = ACTIONS(1326),
    [sym_primitive_type] = ACTIONS(1326),
    [anon_sym_enum] = ACTIONS(1326),
    [anon_sym_struct] = ACTIONS(1326),
    [anon_sym_union] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1326),
    [anon_sym_else] = ACTIONS(1326),
    [anon_sym_switch] = ACTIONS(1326),
    [anon_sym_case] = ACTIONS(1326),
    [anon_sym_default] = ACTIONS(1326),
    [anon_sym_while] = ACTIONS(1326),
    [anon_sym_do] = ACTIONS(1326),
    [anon_sym_for] = ACTIONS(1326),
    [anon_sym_return] = ACTIONS(1326),
    [anon_sym_break] = ACTIONS(1326),
    [anon_sym_continue] = ACTIONS(1326),
    [anon_sym_goto] = ACTIONS(1326),
    [anon_sym___try] = ACTIONS(1326),
    [anon_sym___leave] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_sizeof] = ACTIONS(1326),
    [anon_sym___alignof__] = ACTIONS(1326),
    [anon_sym___alignof] = ACTIONS(1326),
    [anon_sym__alignof] = ACTIONS(1326),
    [anon_sym_alignof] = ACTIONS(1326),
    [anon_sym__Alignof] = ACTIONS(1326),
    [anon_sym_offsetof] = ACTIONS(1326),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1326),
    [anon_sym___asm__] = ACTIONS(1326),
    [sym_number_literal] = ACTIONS(1328),
    [anon_sym_L_SQUOTE] = ACTIONS(1328),
    [anon_sym_u_SQUOTE] = ACTIONS(1328),
    [anon_sym_U_SQUOTE] = ACTIONS(1328),
    [anon_sym_u8_SQUOTE] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_L_DQUOTE] = ACTIONS(1328),
    [anon_sym_u_DQUOTE] = ACTIONS(1328),
    [anon_sym_U_DQUOTE] = ACTIONS(1328),
    [anon_sym_u8_DQUOTE] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [sym_true] = ACTIONS(1326),
    [sym_false] = ACTIONS(1326),
    [anon_sym_NULL] = ACTIONS(1326),
    [anon_sym_nullptr] = ACTIONS(1326),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_identifier] = ACTIONS(1330),
    [aux_sym_preproc_include_token1] = ACTIONS(1330),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token2] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1330),
    [aux_sym_preproc_else_token1] = ACTIONS(1330),
    [aux_sym_preproc_elif_token1] = ACTIONS(1330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1330),
    [sym_preproc_directive] = ACTIONS(1330),
    [anon_sym_LPAREN2] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_STAR] = ACTIONS(1332),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1332),
    [anon_sym___extension__] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1330),
    [anon_sym_extern] = ACTIONS(1330),
    [anon_sym___attribute__] = ACTIONS(1330),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1332),
    [anon_sym___declspec] = ACTIONS(1330),
    [anon_sym___cdecl] = ACTIONS(1330),
    [anon_sym___clrcall] = ACTIONS(1330),
    [anon_sym___stdcall] = ACTIONS(1330),
    [anon_sym___fastcall] = ACTIONS(1330),
    [anon_sym___thiscall] = ACTIONS(1330),
    [anon_sym___vectorcall] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(1330),
    [anon_sym_unsigned] = ACTIONS(1330),
    [anon_sym_long] = ACTIONS(1330),
    [anon_sym_short] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1330),
    [anon_sym_auto] = ACTIONS(1330),
    [anon_sym_register] = ACTIONS(1330),
    [anon_sym_inline] = ACTIONS(1330),
    [anon_sym___inline] = ACTIONS(1330),
    [anon_sym___inline__] = ACTIONS(1330),
    [anon_sym___forceinline] = ACTIONS(1330),
    [anon_sym_thread_local] = ACTIONS(1330),
    [anon_sym___thread] = ACTIONS(1330),
    [anon_sym_const] = ACTIONS(1330),
    [anon_sym_constexpr] = ACTIONS(1330),
    [anon_sym_volatile] = ACTIONS(1330),
    [anon_sym_restrict] = ACTIONS(1330),
    [anon_sym___restrict__] = ACTIONS(1330),
    [anon_sym__Atomic] = ACTIONS(1330),
    [anon_sym__Noreturn] = ACTIONS(1330),
    [anon_sym_noreturn] = ACTIONS(1330),
    [sym_primitive_type] = ACTIONS(1330),
    [anon_sym_enum] = ACTIONS(1330),
    [anon_sym_struct] = ACTIONS(1330),
    [anon_sym_union] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1330),
    [anon_sym_else] = ACTIONS(1330),
    [anon_sym_switch] = ACTIONS(1330),
    [anon_sym_case] = ACTIONS(1330),
    [anon_sym_default] = ACTIONS(1330),
    [anon_sym_while] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1330),
    [anon_sym_for] = ACTIONS(1330),
    [anon_sym_return] = ACTIONS(1330),
    [anon_sym_break] = ACTIONS(1330),
    [anon_sym_continue] = ACTIONS(1330),
    [anon_sym_goto] = ACTIONS(1330),
    [anon_sym___try] = ACTIONS(1330),
    [anon_sym___leave] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [anon_sym_sizeof] = ACTIONS(1330),
    [anon_sym___alignof__] = ACTIONS(1330),
    [anon_sym___alignof] = ACTIONS(1330),
    [anon_sym__alignof] = ACTIONS(1330),
    [anon_sym_alignof] = ACTIONS(1330),
    [anon_sym__Alignof] = ACTIONS(1330),
    [anon_sym_offsetof] = ACTIONS(1330),
    [anon_sym__Generic] = ACTIONS(1330),
    [anon_sym_asm] = ACTIONS(1330),
    [anon_sym___asm__] = ACTIONS(1330),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1332),
    [anon_sym_u_SQUOTE] = ACTIONS(1332),
    [anon_sym_U_SQUOTE] = ACTIONS(1332),
    [anon_sym_u8_SQUOTE] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_L_DQUOTE] = ACTIONS(1332),
    [anon_sym_u_DQUOTE] = ACTIONS(1332),
    [anon_sym_U_DQUOTE] = ACTIONS(1332),
    [anon_sym_u8_DQUOTE] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [sym_true] = ACTIONS(1330),
    [sym_false] = ACTIONS(1330),
    [anon_sym_NULL] = ACTIONS(1330),
    [anon_sym_nullptr] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_identifier] = ACTIONS(1334),
    [aux_sym_preproc_include_token1] = ACTIONS(1334),
    [aux_sym_preproc_def_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token2] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [aux_sym_preproc_else_token1] = ACTIONS(1334),
    [aux_sym_preproc_elif_token1] = ACTIONS(1334),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1334),
    [anon_sym_LPAREN2] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1336),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1336),
    [anon_sym___extension__] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1334),
    [anon_sym_extern] = ACTIONS(1334),
    [anon_sym___attribute__] = ACTIONS(1334),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1336),
    [anon_sym___declspec] = ACTIONS(1334),
    [anon_sym___cdecl] = ACTIONS(1334),
    [anon_sym___clrcall] = ACTIONS(1334),
    [anon_sym___stdcall] = ACTIONS(1334),
    [anon_sym___fastcall] = ACTIONS(1334),
    [anon_sym___thiscall] = ACTIONS(1334),
    [anon_sym___vectorcall] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1334),
    [anon_sym_unsigned] = ACTIONS(1334),
    [anon_sym_long] = ACTIONS(1334),
    [anon_sym_short] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1334),
    [anon_sym_auto] = ACTIONS(1334),
    [anon_sym_register] = ACTIONS(1334),
    [anon_sym_inline] = ACTIONS(1334),
    [anon_sym___inline] = ACTIONS(1334),
    [anon_sym___inline__] = ACTIONS(1334),
    [anon_sym___forceinline] = ACTIONS(1334),
    [anon_sym_thread_local] = ACTIONS(1334),
    [anon_sym___thread] = ACTIONS(1334),
    [anon_sym_const] = ACTIONS(1334),
    [anon_sym_constexpr] = ACTIONS(1334),
    [anon_sym_volatile] = ACTIONS(1334),
    [anon_sym_restrict] = ACTIONS(1334),
    [anon_sym___restrict__] = ACTIONS(1334),
    [anon_sym__Atomic] = ACTIONS(1334),
    [anon_sym__Noreturn] = ACTIONS(1334),
    [anon_sym_noreturn] = ACTIONS(1334),
    [sym_primitive_type] = ACTIONS(1334),
    [anon_sym_enum] = ACTIONS(1334),
    [anon_sym_struct] = ACTIONS(1334),
    [anon_sym_union] = ACTIONS(1334),
    [anon_sym_if] = ACTIONS(1334),
    [anon_sym_else] = ACTIONS(1334),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_case] = ACTIONS(1334),
    [anon_sym_default] = ACTIONS(1334),
    [anon_sym_while] = ACTIONS(1334),
    [anon_sym_do] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1334),
    [anon_sym_return] = ACTIONS(1334),
    [anon_sym_break] = ACTIONS(1334),
    [anon_sym_continue] = ACTIONS(1334),
    [anon_sym_goto] = ACTIONS(1334),
    [anon_sym___try] = ACTIONS(1334),
    [anon_sym___leave] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [anon_sym_sizeof] = ACTIONS(1334),
    [anon_sym___alignof__] = ACTIONS(1334),
    [anon_sym___alignof] = ACTIONS(1334),
    [anon_sym__alignof] = ACTIONS(1334),
    [anon_sym_alignof] = ACTIONS(1334),
    [anon_sym__Alignof] = ACTIONS(1334),
    [anon_sym_offsetof] = ACTIONS(1334),
    [anon_sym__Generic] = ACTIONS(1334),
    [anon_sym_asm] = ACTIONS(1334),
    [anon_sym___asm__] = ACTIONS(1334),
    [sym_number_literal] = ACTIONS(1336),
    [anon_sym_L_SQUOTE] = ACTIONS(1336),
    [anon_sym_u_SQUOTE] = ACTIONS(1336),
    [anon_sym_U_SQUOTE] = ACTIONS(1336),
    [anon_sym_u8_SQUOTE] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_L_DQUOTE] = ACTIONS(1336),
    [anon_sym_u_DQUOTE] = ACTIONS(1336),
    [anon_sym_U_DQUOTE] = ACTIONS(1336),
    [anon_sym_u8_DQUOTE] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [sym_true] = ACTIONS(1334),
    [sym_false] = ACTIONS(1334),
    [anon_sym_NULL] = ACTIONS(1334),
    [anon_sym_nullptr] = ACTIONS(1334),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_identifier] = ACTIONS(1338),
    [aux_sym_preproc_include_token1] = ACTIONS(1338),
    [aux_sym_preproc_def_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token2] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1338),
    [aux_sym_preproc_else_token1] = ACTIONS(1338),
    [aux_sym_preproc_elif_token1] = ACTIONS(1338),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1338),
    [sym_preproc_directive] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1338),
    [anon_sym_extern] = ACTIONS(1338),
    [anon_sym___attribute__] = ACTIONS(1338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1340),
    [anon_sym___declspec] = ACTIONS(1338),
    [anon_sym___cdecl] = ACTIONS(1338),
    [anon_sym___clrcall] = ACTIONS(1338),
    [anon_sym___stdcall] = ACTIONS(1338),
    [anon_sym___fastcall] = ACTIONS(1338),
    [anon_sym___thiscall] = ACTIONS(1338),
    [anon_sym___vectorcall] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1338),
    [anon_sym_unsigned] = ACTIONS(1338),
    [anon_sym_long] = ACTIONS(1338),
    [anon_sym_short] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1338),
    [anon_sym_auto] = ACTIONS(1338),
    [anon_sym_register] = ACTIONS(1338),
    [anon_sym_inline] = ACTIONS(1338),
    [anon_sym___inline] = ACTIONS(1338),
    [anon_sym___inline__] = ACTIONS(1338),
    [anon_sym___forceinline] = ACTIONS(1338),
    [anon_sym_thread_local] = ACTIONS(1338),
    [anon_sym___thread] = ACTIONS(1338),
    [anon_sym_const] = ACTIONS(1338),
    [anon_sym_constexpr] = ACTIONS(1338),
    [anon_sym_volatile] = ACTIONS(1338),
    [anon_sym_restrict] = ACTIONS(1338),
    [anon_sym___restrict__] = ACTIONS(1338),
    [anon_sym__Atomic] = ACTIONS(1338),
    [anon_sym__Noreturn] = ACTIONS(1338),
    [anon_sym_noreturn] = ACTIONS(1338),
    [sym_primitive_type] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1338),
    [anon_sym_struct] = ACTIONS(1338),
    [anon_sym_union] = ACTIONS(1338),
    [anon_sym_if] = ACTIONS(1338),
    [anon_sym_else] = ACTIONS(1338),
    [anon_sym_switch] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(1338),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_do] = ACTIONS(1338),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1338),
    [anon_sym_continue] = ACTIONS(1338),
    [anon_sym_goto] = ACTIONS(1338),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_sizeof] = ACTIONS(1338),
    [anon_sym___alignof__] = ACTIONS(1338),
    [anon_sym___alignof] = ACTIONS(1338),
    [anon_sym__alignof] = ACTIONS(1338),
    [anon_sym_alignof] = ACTIONS(1338),
    [anon_sym__Alignof] = ACTIONS(1338),
    [anon_sym_offsetof] = ACTIONS(1338),
    [anon_sym__Generic] = ACTIONS(1338),
    [anon_sym_asm] = ACTIONS(1338),
    [anon_sym___asm__] = ACTIONS(1338),
    [sym_number_literal] = ACTIONS(1340),
    [anon_sym_L_SQUOTE] = ACTIONS(1340),
    [anon_sym_u_SQUOTE] = ACTIONS(1340),
    [anon_sym_U_SQUOTE] = ACTIONS(1340),
    [anon_sym_u8_SQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1338),
    [sym_false] = ACTIONS(1338),
    [anon_sym_NULL] = ACTIONS(1338),
    [anon_sym_nullptr] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [ts_builtin_sym_end] = ACTIONS(1342),
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [anon_sym_COMMA] = ACTIONS(1342),
    [anon_sym_RPAREN] = ACTIONS(1342),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym___extension__] = ACTIONS(1344),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym___inline] = ACTIONS(1344),
    [anon_sym___inline__] = ACTIONS(1344),
    [anon_sym___forceinline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym___thread] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym___try] = ACTIONS(1344),
    [anon_sym___except] = ACTIONS(1344),
    [anon_sym___finally] = ACTIONS(1344),
    [anon_sym___leave] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym___alignof__] = ACTIONS(1344),
    [anon_sym___alignof] = ACTIONS(1344),
    [anon_sym__alignof] = ACTIONS(1344),
    [anon_sym_alignof] = ACTIONS(1344),
    [anon_sym__Alignof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_identifier] = ACTIONS(1346),
    [aux_sym_preproc_include_token1] = ACTIONS(1346),
    [aux_sym_preproc_def_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token2] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1346),
    [aux_sym_preproc_else_token1] = ACTIONS(1346),
    [aux_sym_preproc_elif_token1] = ACTIONS(1346),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1346),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1346),
    [sym_preproc_directive] = ACTIONS(1346),
    [anon_sym_LPAREN2] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1346),
    [anon_sym_extern] = ACTIONS(1346),
    [anon_sym___attribute__] = ACTIONS(1346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1348),
    [anon_sym___declspec] = ACTIONS(1346),
    [anon_sym___cdecl] = ACTIONS(1346),
    [anon_sym___clrcall] = ACTIONS(1346),
    [anon_sym___stdcall] = ACTIONS(1346),
    [anon_sym___fastcall] = ACTIONS(1346),
    [anon_sym___thiscall] = ACTIONS(1346),
    [anon_sym___vectorcall] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_signed] = ACTIONS(1346),
    [anon_sym_unsigned] = ACTIONS(1346),
    [anon_sym_long] = ACTIONS(1346),
    [anon_sym_short] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1346),
    [anon_sym_auto] = ACTIONS(1346),
    [anon_sym_register] = ACTIONS(1346),
    [anon_sym_inline] = ACTIONS(1346),
    [anon_sym___inline] = ACTIONS(1346),
    [anon_sym___inline__] = ACTIONS(1346),
    [anon_sym___forceinline] = ACTIONS(1346),
    [anon_sym_thread_local] = ACTIONS(1346),
    [anon_sym___thread] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1346),
    [anon_sym_constexpr] = ACTIONS(1346),
    [anon_sym_volatile] = ACTIONS(1346),
    [anon_sym_restrict] = ACTIONS(1346),
    [anon_sym___restrict__] = ACTIONS(1346),
    [anon_sym__Atomic] = ACTIONS(1346),
    [anon_sym__Noreturn] = ACTIONS(1346),
    [anon_sym_noreturn] = ACTIONS(1346),
    [sym_primitive_type] = ACTIONS(1346),
    [anon_sym_enum] = ACTIONS(1346),
    [anon_sym_struct] = ACTIONS(1346),
    [anon_sym_union] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_else] = ACTIONS(1346),
    [anon_sym_switch] = ACTIONS(1346),
    [anon_sym_case] = ACTIONS(1346),
    [anon_sym_default] = ACTIONS(1346),
    [anon_sym_while] = ACTIONS(1346),
    [anon_sym_do] = ACTIONS(1346),
    [anon_sym_for] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1346),
    [anon_sym_break] = ACTIONS(1346),
    [anon_sym_continue] = ACTIONS(1346),
    [anon_sym_goto] = ACTIONS(1346),
    [anon_sym___try] = ACTIONS(1346),
    [anon_sym___leave] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_sizeof] = ACTIONS(1346),
    [anon_sym___alignof__] = ACTIONS(1346),
    [anon_sym___alignof] = ACTIONS(1346),
    [anon_sym__alignof] = ACTIONS(1346),
    [anon_sym_alignof] = ACTIONS(1346),
    [anon_sym__Alignof] = ACTIONS(1346),
    [anon_sym_offsetof] = ACTIONS(1346),
    [anon_sym__Generic] = ACTIONS(1346),
    [anon_sym_asm] = ACTIONS(1346),
    [anon_sym___asm__] = ACTIONS(1346),
    [sym_number_literal] = ACTIONS(1348),
    [anon_sym_L_SQUOTE] = ACTIONS(1348),
    [anon_sym_u_SQUOTE] = ACTIONS(1348),
    [anon_sym_U_SQUOTE] = ACTIONS(1348),
    [anon_sym_u8_SQUOTE] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_L_DQUOTE] = ACTIONS(1348),
    [anon_sym_u_DQUOTE] = ACTIONS(1348),
    [anon_sym_U_DQUOTE] = ACTIONS(1348),
    [anon_sym_u8_DQUOTE] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_NULL] = ACTIONS(1346),
    [anon_sym_nullptr] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_identifier] = ACTIONS(1350),
    [aux_sym_preproc_include_token1] = ACTIONS(1350),
    [aux_sym_preproc_def_token1] = ACTIONS(1350),
    [aux_sym_preproc_if_token1] = ACTIONS(1350),
    [aux_sym_preproc_if_token2] = ACTIONS(1350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1350),
    [aux_sym_preproc_else_token1] = ACTIONS(1350),
    [aux_sym_preproc_elif_token1] = ACTIONS(1350),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1350),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1350),
    [sym_preproc_directive] = ACTIONS(1350),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_STAR] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1352),
    [anon_sym___extension__] = ACTIONS(1350),
    [anon_sym_typedef] = ACTIONS(1350),
    [anon_sym_extern] = ACTIONS(1350),
    [anon_sym___attribute__] = ACTIONS(1350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1352),
    [anon_sym___declspec] = ACTIONS(1350),
    [anon_sym___cdecl] = ACTIONS(1350),
    [anon_sym___clrcall] = ACTIONS(1350),
    [anon_sym___stdcall] = ACTIONS(1350),
    [anon_sym___fastcall] = ACTIONS(1350),
    [anon_sym___thiscall] = ACTIONS(1350),
    [anon_sym___vectorcall] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_signed] = ACTIONS(1350),
    [anon_sym_unsigned] = ACTIONS(1350),
    [anon_sym_long] = ACTIONS(1350),
    [anon_sym_short] = ACTIONS(1350),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_auto] = ACTIONS(1350),
    [anon_sym_register] = ACTIONS(1350),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym___inline] = ACTIONS(1350),
    [anon_sym___inline__] = ACTIONS(1350),
    [anon_sym___forceinline] = ACTIONS(1350),
    [anon_sym_thread_local] = ACTIONS(1350),
    [anon_sym___thread] = ACTIONS(1350),
    [anon_sym_const] = ACTIONS(1350),
    [anon_sym_constexpr] = ACTIONS(1350),
    [anon_sym_volatile] = ACTIONS(1350),
    [anon_sym_restrict] = ACTIONS(1350),
    [anon_sym___restrict__] = ACTIONS(1350),
    [anon_sym__Atomic] = ACTIONS(1350),
    [anon_sym__Noreturn] = ACTIONS(1350),
    [anon_sym_noreturn] = ACTIONS(1350),
    [sym_primitive_type] = ACTIONS(1350),
    [anon_sym_enum] = ACTIONS(1350),
    [anon_sym_struct] = ACTIONS(1350),
    [anon_sym_union] = ACTIONS(1350),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_else] = ACTIONS(1350),
    [anon_sym_switch] = ACTIONS(1350),
    [anon_sym_case] = ACTIONS(1350),
    [anon_sym_default] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1350),
    [anon_sym_do] = ACTIONS(1350),
    [anon_sym_for] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1350),
    [anon_sym_break] = ACTIONS(1350),
    [anon_sym_continue] = ACTIONS(1350),
    [anon_sym_goto] = ACTIONS(1350),
    [anon_sym___try] = ACTIONS(1350),
    [anon_sym___leave] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_sizeof] = ACTIONS(1350),
    [anon_sym___alignof__] = ACTIONS(1350),
    [anon_sym___alignof] = ACTIONS(1350),
    [anon_sym__alignof] = ACTIONS(1350),
    [anon_sym_alignof] = ACTIONS(1350),
    [anon_sym__Alignof] = ACTIONS(1350),
    [anon_sym_offsetof] = ACTIONS(1350),
    [anon_sym__Generic] = ACTIONS(1350),
    [anon_sym_asm] = ACTIONS(1350),
    [anon_sym___asm__] = ACTIONS(1350),
    [sym_number_literal] = ACTIONS(1352),
    [anon_sym_L_SQUOTE] = ACTIONS(1352),
    [anon_sym_u_SQUOTE] = ACTIONS(1352),
    [anon_sym_U_SQUOTE] = ACTIONS(1352),
    [anon_sym_u8_SQUOTE] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_L_DQUOTE] = ACTIONS(1352),
    [anon_sym_u_DQUOTE] = ACTIONS(1352),
    [anon_sym_U_DQUOTE] = ACTIONS(1352),
    [anon_sym_u8_DQUOTE] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [sym_true] = ACTIONS(1350),
    [sym_false] = ACTIONS(1350),
    [anon_sym_NULL] = ACTIONS(1350),
    [anon_sym_nullptr] = ACTIONS(1350),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_identifier] = ACTIONS(1354),
    [aux_sym_preproc_include_token1] = ACTIONS(1354),
    [aux_sym_preproc_def_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1354),
    [aux_sym_preproc_else_token1] = ACTIONS(1354),
    [aux_sym_preproc_elif_token1] = ACTIONS(1354),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1354),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1354),
    [sym_preproc_directive] = ACTIONS(1354),
    [anon_sym_LPAREN2] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_STAR] = ACTIONS(1356),
    [anon_sym_AMP] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1356),
    [anon_sym___extension__] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1354),
    [anon_sym_extern] = ACTIONS(1354),
    [anon_sym___attribute__] = ACTIONS(1354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1356),
    [anon_sym___declspec] = ACTIONS(1354),
    [anon_sym___cdecl] = ACTIONS(1354),
    [anon_sym___clrcall] = ACTIONS(1354),
    [anon_sym___stdcall] = ACTIONS(1354),
    [anon_sym___fastcall] = ACTIONS(1354),
    [anon_sym___thiscall] = ACTIONS(1354),
    [anon_sym___vectorcall] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_signed] = ACTIONS(1354),
    [anon_sym_unsigned] = ACTIONS(1354),
    [anon_sym_long] = ACTIONS(1354),
    [anon_sym_short] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1354),
    [anon_sym_auto] = ACTIONS(1354),
    [anon_sym_register] = ACTIONS(1354),
    [anon_sym_inline] = ACTIONS(1354),
    [anon_sym___inline] = ACTIONS(1354),
    [anon_sym___inline__] = ACTIONS(1354),
    [anon_sym___forceinline] = ACTIONS(1354),
    [anon_sym_thread_local] = ACTIONS(1354),
    [anon_sym___thread] = ACTIONS(1354),
    [anon_sym_const] = ACTIONS(1354),
    [anon_sym_constexpr] = ACTIONS(1354),
    [anon_sym_volatile] = ACTIONS(1354),
    [anon_sym_restrict] = ACTIONS(1354),
    [anon_sym___restrict__] = ACTIONS(1354),
    [anon_sym__Atomic] = ACTIONS(1354),
    [anon_sym__Noreturn] = ACTIONS(1354),
    [anon_sym_noreturn] = ACTIONS(1354),
    [sym_primitive_type] = ACTIONS(1354),
    [anon_sym_enum] = ACTIONS(1354),
    [anon_sym_struct] = ACTIONS(1354),
    [anon_sym_union] = ACTIONS(1354),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_else] = ACTIONS(1354),
    [anon_sym_switch] = ACTIONS(1354),
    [anon_sym_case] = ACTIONS(1354),
    [anon_sym_default] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1354),
    [anon_sym_do] = ACTIONS(1354),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1354),
    [anon_sym_break] = ACTIONS(1354),
    [anon_sym_continue] = ACTIONS(1354),
    [anon_sym_goto] = ACTIONS(1354),
    [anon_sym___try] = ACTIONS(1354),
    [anon_sym___leave] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_sizeof] = ACTIONS(1354),
    [anon_sym___alignof__] = ACTIONS(1354),
    [anon_sym___alignof] = ACTIONS(1354),
    [anon_sym__alignof] = ACTIONS(1354),
    [anon_sym_alignof] = ACTIONS(1354),
    [anon_sym__Alignof] = ACTIONS(1354),
    [anon_sym_offsetof] = ACTIONS(1354),
    [anon_sym__Generic] = ACTIONS(1354),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym___asm__] = ACTIONS(1354),
    [sym_number_literal] = ACTIONS(1356),
    [anon_sym_L_SQUOTE] = ACTIONS(1356),
    [anon_sym_u_SQUOTE] = ACTIONS(1356),
    [anon_sym_U_SQUOTE] = ACTIONS(1356),
    [anon_sym_u8_SQUOTE] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_L_DQUOTE] = ACTIONS(1356),
    [anon_sym_u_DQUOTE] = ACTIONS(1356),
    [anon_sym_U_DQUOTE] = ACTIONS(1356),
    [anon_sym_u8_DQUOTE] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_NULL] = ACTIONS(1354),
    [anon_sym_nullptr] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_identifier] = ACTIONS(1358),
    [aux_sym_preproc_include_token1] = ACTIONS(1358),
    [aux_sym_preproc_def_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token2] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1358),
    [aux_sym_preproc_else_token1] = ACTIONS(1358),
    [aux_sym_preproc_elif_token1] = ACTIONS(1358),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1358),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1358),
    [anon_sym_extern] = ACTIONS(1358),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1360),
    [anon_sym___declspec] = ACTIONS(1358),
    [anon_sym___cdecl] = ACTIONS(1358),
    [anon_sym___clrcall] = ACTIONS(1358),
    [anon_sym___stdcall] = ACTIONS(1358),
    [anon_sym___fastcall] = ACTIONS(1358),
    [anon_sym___thiscall] = ACTIONS(1358),
    [anon_sym___vectorcall] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1358),
    [anon_sym_unsigned] = ACTIONS(1358),
    [anon_sym_long] = ACTIONS(1358),
    [anon_sym_short] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1358),
    [anon_sym_auto] = ACTIONS(1358),
    [anon_sym_register] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1358),
    [anon_sym___inline] = ACTIONS(1358),
    [anon_sym___inline__] = ACTIONS(1358),
    [anon_sym___forceinline] = ACTIONS(1358),
    [anon_sym_thread_local] = ACTIONS(1358),
    [anon_sym___thread] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_constexpr] = ACTIONS(1358),
    [anon_sym_volatile] = ACTIONS(1358),
    [anon_sym_restrict] = ACTIONS(1358),
    [anon_sym___restrict__] = ACTIONS(1358),
    [anon_sym__Atomic] = ACTIONS(1358),
    [anon_sym__Noreturn] = ACTIONS(1358),
    [anon_sym_noreturn] = ACTIONS(1358),
    [sym_primitive_type] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_else] = ACTIONS(1358),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1358),
    [anon_sym_default] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1358),
    [anon_sym_do] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym___try] = ACTIONS(1358),
    [anon_sym___leave] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1358),
    [anon_sym___alignof__] = ACTIONS(1358),
    [anon_sym___alignof] = ACTIONS(1358),
    [anon_sym__alignof] = ACTIONS(1358),
    [anon_sym_alignof] = ACTIONS(1358),
    [anon_sym__Alignof] = ACTIONS(1358),
    [anon_sym_offsetof] = ACTIONS(1358),
    [anon_sym__Generic] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1360),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1358),
    [anon_sym_nullptr] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_identifier] = ACTIONS(1362),
    [aux_sym_preproc_include_token1] = ACTIONS(1362),
    [aux_sym_preproc_def_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token2] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1362),
    [aux_sym_preproc_else_token1] = ACTIONS(1362),
    [aux_sym_preproc_elif_token1] = ACTIONS(1362),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1362),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1362),
    [sym_preproc_directive] = ACTIONS(1362),
    [anon_sym_LPAREN2] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [anon_sym___extension__] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1362),
    [anon_sym_extern] = ACTIONS(1362),
    [anon_sym___attribute__] = ACTIONS(1362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1364),
    [anon_sym___declspec] = ACTIONS(1362),
    [anon_sym___cdecl] = ACTIONS(1362),
    [anon_sym___clrcall] = ACTIONS(1362),
    [anon_sym___stdcall] = ACTIONS(1362),
    [anon_sym___fastcall] = ACTIONS(1362),
    [anon_sym___thiscall] = ACTIONS(1362),
    [anon_sym___vectorcall] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_signed] = ACTIONS(1362),
    [anon_sym_unsigned] = ACTIONS(1362),
    [anon_sym_long] = ACTIONS(1362),
    [anon_sym_short] = ACTIONS(1362),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_auto] = ACTIONS(1362),
    [anon_sym_register] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(1362),
    [anon_sym___inline] = ACTIONS(1362),
    [anon_sym___inline__] = ACTIONS(1362),
    [anon_sym___forceinline] = ACTIONS(1362),
    [anon_sym_thread_local] = ACTIONS(1362),
    [anon_sym___thread] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(1362),
    [anon_sym_constexpr] = ACTIONS(1362),
    [anon_sym_volatile] = ACTIONS(1362),
    [anon_sym_restrict] = ACTIONS(1362),
    [anon_sym___restrict__] = ACTIONS(1362),
    [anon_sym__Atomic] = ACTIONS(1362),
    [anon_sym__Noreturn] = ACTIONS(1362),
    [anon_sym_noreturn] = ACTIONS(1362),
    [sym_primitive_type] = ACTIONS(1362),
    [anon_sym_enum] = ACTIONS(1362),
    [anon_sym_struct] = ACTIONS(1362),
    [anon_sym_union] = ACTIONS(1362),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_else] = ACTIONS(1362),
    [anon_sym_switch] = ACTIONS(1362),
    [anon_sym_case] = ACTIONS(1362),
    [anon_sym_default] = ACTIONS(1362),
    [anon_sym_while] = ACTIONS(1362),
    [anon_sym_do] = ACTIONS(1362),
    [anon_sym_for] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_continue] = ACTIONS(1362),
    [anon_sym_goto] = ACTIONS(1362),
    [anon_sym___try] = ACTIONS(1362),
    [anon_sym___leave] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(1362),
    [anon_sym___alignof] = ACTIONS(1362),
    [anon_sym__alignof] = ACTIONS(1362),
    [anon_sym_alignof] = ACTIONS(1362),
    [anon_sym__Alignof] = ACTIONS(1362),
    [anon_sym_offsetof] = ACTIONS(1362),
    [anon_sym__Generic] = ACTIONS(1362),
    [anon_sym_asm] = ACTIONS(1362),
    [anon_sym___asm__] = ACTIONS(1362),
    [sym_number_literal] = ACTIONS(1364),
    [anon_sym_L_SQUOTE] = ACTIONS(1364),
    [anon_sym_u_SQUOTE] = ACTIONS(1364),
    [anon_sym_U_SQUOTE] = ACTIONS(1364),
    [anon_sym_u8_SQUOTE] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_L_DQUOTE] = ACTIONS(1364),
    [anon_sym_u_DQUOTE] = ACTIONS(1364),
    [anon_sym_U_DQUOTE] = ACTIONS(1364),
    [anon_sym_u8_DQUOTE] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_NULL] = ACTIONS(1362),
    [anon_sym_nullptr] = ACTIONS(1362),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_identifier] = ACTIONS(1366),
    [aux_sym_preproc_include_token1] = ACTIONS(1366),
    [aux_sym_preproc_def_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token2] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1366),
    [aux_sym_preproc_else_token1] = ACTIONS(1366),
    [aux_sym_preproc_elif_token1] = ACTIONS(1366),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1366),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1366),
    [sym_preproc_directive] = ACTIONS(1366),
    [anon_sym_LPAREN2] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym___extension__] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1366),
    [anon_sym_extern] = ACTIONS(1366),
    [anon_sym___attribute__] = ACTIONS(1366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1368),
    [anon_sym___declspec] = ACTIONS(1366),
    [anon_sym___cdecl] = ACTIONS(1366),
    [anon_sym___clrcall] = ACTIONS(1366),
    [anon_sym___stdcall] = ACTIONS(1366),
    [anon_sym___fastcall] = ACTIONS(1366),
    [anon_sym___thiscall] = ACTIONS(1366),
    [anon_sym___vectorcall] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_signed] = ACTIONS(1366),
    [anon_sym_unsigned] = ACTIONS(1366),
    [anon_sym_long] = ACTIONS(1366),
    [anon_sym_short] = ACTIONS(1366),
    [anon_sym_static] = ACTIONS(1366),
    [anon_sym_auto] = ACTIONS(1366),
    [anon_sym_register] = ACTIONS(1366),
    [anon_sym_inline] = ACTIONS(1366),
    [anon_sym___inline] = ACTIONS(1366),
    [anon_sym___inline__] = ACTIONS(1366),
    [anon_sym___forceinline] = ACTIONS(1366),
    [anon_sym_thread_local] = ACTIONS(1366),
    [anon_sym___thread] = ACTIONS(1366),
    [anon_sym_const] = ACTIONS(1366),
    [anon_sym_constexpr] = ACTIONS(1366),
    [anon_sym_volatile] = ACTIONS(1366),
    [anon_sym_restrict] = ACTIONS(1366),
    [anon_sym___restrict__] = ACTIONS(1366),
    [anon_sym__Atomic] = ACTIONS(1366),
    [anon_sym__Noreturn] = ACTIONS(1366),
    [anon_sym_noreturn] = ACTIONS(1366),
    [sym_primitive_type] = ACTIONS(1366),
    [anon_sym_enum] = ACTIONS(1366),
    [anon_sym_struct] = ACTIONS(1366),
    [anon_sym_union] = ACTIONS(1366),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_else] = ACTIONS(1366),
    [anon_sym_switch] = ACTIONS(1366),
    [anon_sym_case] = ACTIONS(1366),
    [anon_sym_default] = ACTIONS(1366),
    [anon_sym_while] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1366),
    [anon_sym_for] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_break] = ACTIONS(1366),
    [anon_sym_continue] = ACTIONS(1366),
    [anon_sym_goto] = ACTIONS(1366),
    [anon_sym___try] = ACTIONS(1366),
    [anon_sym___leave] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_sizeof] = ACTIONS(1366),
    [anon_sym___alignof__] = ACTIONS(1366),
    [anon_sym___alignof] = ACTIONS(1366),
    [anon_sym__alignof] = ACTIONS(1366),
    [anon_sym_alignof] = ACTIONS(1366),
    [anon_sym__Alignof] = ACTIONS(1366),
    [anon_sym_offsetof] = ACTIONS(1366),
    [anon_sym__Generic] = ACTIONS(1366),
    [anon_sym_asm] = ACTIONS(1366),
    [anon_sym___asm__] = ACTIONS(1366),
    [sym_number_literal] = ACTIONS(1368),
    [anon_sym_L_SQUOTE] = ACTIONS(1368),
    [anon_sym_u_SQUOTE] = ACTIONS(1368),
    [anon_sym_U_SQUOTE] = ACTIONS(1368),
    [anon_sym_u8_SQUOTE] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_L_DQUOTE] = ACTIONS(1368),
    [anon_sym_u_DQUOTE] = ACTIONS(1368),
    [anon_sym_U_DQUOTE] = ACTIONS(1368),
    [anon_sym_u8_DQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_NULL] = ACTIONS(1366),
    [anon_sym_nullptr] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token2] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [aux_sym_preproc_else_token1] = ACTIONS(1308),
    [aux_sym_preproc_elif_token1] = ACTIONS(1308),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym___extension__] = ACTIONS(1308),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym___inline] = ACTIONS(1308),
    [anon_sym___inline__] = ACTIONS(1308),
    [anon_sym___forceinline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym___thread] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_else] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym___try] = ACTIONS(1308),
    [anon_sym___leave] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym___alignof__] = ACTIONS(1308),
    [anon_sym___alignof] = ACTIONS(1308),
    [anon_sym__alignof] = ACTIONS(1308),
    [anon_sym_alignof] = ACTIONS(1308),
    [anon_sym__Alignof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_identifier] = ACTIONS(1370),
    [aux_sym_preproc_include_token1] = ACTIONS(1370),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token2] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1370),
    [aux_sym_preproc_else_token1] = ACTIONS(1370),
    [aux_sym_preproc_elif_token1] = ACTIONS(1370),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1370),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1370),
    [sym_preproc_directive] = ACTIONS(1370),
    [anon_sym_LPAREN2] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1372),
    [anon_sym___extension__] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1370),
    [anon_sym_extern] = ACTIONS(1370),
    [anon_sym___attribute__] = ACTIONS(1370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1372),
    [anon_sym___declspec] = ACTIONS(1370),
    [anon_sym___cdecl] = ACTIONS(1370),
    [anon_sym___clrcall] = ACTIONS(1370),
    [anon_sym___stdcall] = ACTIONS(1370),
    [anon_sym___fastcall] = ACTIONS(1370),
    [anon_sym___thiscall] = ACTIONS(1370),
    [anon_sym___vectorcall] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_signed] = ACTIONS(1370),
    [anon_sym_unsigned] = ACTIONS(1370),
    [anon_sym_long] = ACTIONS(1370),
    [anon_sym_short] = ACTIONS(1370),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_auto] = ACTIONS(1370),
    [anon_sym_register] = ACTIONS(1370),
    [anon_sym_inline] = ACTIONS(1370),
    [anon_sym___inline] = ACTIONS(1370),
    [anon_sym___inline__] = ACTIONS(1370),
    [anon_sym___forceinline] = ACTIONS(1370),
    [anon_sym_thread_local] = ACTIONS(1370),
    [anon_sym___thread] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1370),
    [anon_sym_constexpr] = ACTIONS(1370),
    [anon_sym_volatile] = ACTIONS(1370),
    [anon_sym_restrict] = ACTIONS(1370),
    [anon_sym___restrict__] = ACTIONS(1370),
    [anon_sym__Atomic] = ACTIONS(1370),
    [anon_sym__Noreturn] = ACTIONS(1370),
    [anon_sym_noreturn] = ACTIONS(1370),
    [sym_primitive_type] = ACTIONS(1370),
    [anon_sym_enum] = ACTIONS(1370),
    [anon_sym_struct] = ACTIONS(1370),
    [anon_sym_union] = ACTIONS(1370),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_else] = ACTIONS(1370),
    [anon_sym_switch] = ACTIONS(1370),
    [anon_sym_case] = ACTIONS(1370),
    [anon_sym_default] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_do] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1370),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1370),
    [anon_sym_continue] = ACTIONS(1370),
    [anon_sym_goto] = ACTIONS(1370),
    [anon_sym___try] = ACTIONS(1370),
    [anon_sym___leave] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_sizeof] = ACTIONS(1370),
    [anon_sym___alignof__] = ACTIONS(1370),
    [anon_sym___alignof] = ACTIONS(1370),
    [anon_sym__alignof] = ACTIONS(1370),
    [anon_sym_alignof] = ACTIONS(1370),
    [anon_sym__Alignof] = ACTIONS(1370),
    [anon_sym_offsetof] = ACTIONS(1370),
    [anon_sym__Generic] = ACTIONS(1370),
    [anon_sym_asm] = ACTIONS(1370),
    [anon_sym___asm__] = ACTIONS(1370),
    [sym_number_literal] = ACTIONS(1372),
    [anon_sym_L_SQUOTE] = ACTIONS(1372),
    [anon_sym_u_SQUOTE] = ACTIONS(1372),
    [anon_sym_U_SQUOTE] = ACTIONS(1372),
    [anon_sym_u8_SQUOTE] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_L_DQUOTE] = ACTIONS(1372),
    [anon_sym_u_DQUOTE] = ACTIONS(1372),
    [anon_sym_U_DQUOTE] = ACTIONS(1372),
    [anon_sym_u8_DQUOTE] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_NULL] = ACTIONS(1370),
    [anon_sym_nullptr] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_identifier] = ACTIONS(1374),
    [aux_sym_preproc_include_token1] = ACTIONS(1374),
    [aux_sym_preproc_def_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token2] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [aux_sym_preproc_else_token1] = ACTIONS(1374),
    [aux_sym_preproc_elif_token1] = ACTIONS(1374),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_AMP] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1376),
    [anon_sym___extension__] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1374),
    [anon_sym_extern] = ACTIONS(1374),
    [anon_sym___attribute__] = ACTIONS(1374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym___declspec] = ACTIONS(1374),
    [anon_sym___cdecl] = ACTIONS(1374),
    [anon_sym___clrcall] = ACTIONS(1374),
    [anon_sym___stdcall] = ACTIONS(1374),
    [anon_sym___fastcall] = ACTIONS(1374),
    [anon_sym___thiscall] = ACTIONS(1374),
    [anon_sym___vectorcall] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_signed] = ACTIONS(1374),
    [anon_sym_unsigned] = ACTIONS(1374),
    [anon_sym_long] = ACTIONS(1374),
    [anon_sym_short] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_auto] = ACTIONS(1374),
    [anon_sym_register] = ACTIONS(1374),
    [anon_sym_inline] = ACTIONS(1374),
    [anon_sym___inline] = ACTIONS(1374),
    [anon_sym___inline__] = ACTIONS(1374),
    [anon_sym___forceinline] = ACTIONS(1374),
    [anon_sym_thread_local] = ACTIONS(1374),
    [anon_sym___thread] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_constexpr] = ACTIONS(1374),
    [anon_sym_volatile] = ACTIONS(1374),
    [anon_sym_restrict] = ACTIONS(1374),
    [anon_sym___restrict__] = ACTIONS(1374),
    [anon_sym__Atomic] = ACTIONS(1374),
    [anon_sym__Noreturn] = ACTIONS(1374),
    [anon_sym_noreturn] = ACTIONS(1374),
    [sym_primitive_type] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_struct] = ACTIONS(1374),
    [anon_sym_union] = ACTIONS(1374),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_else] = ACTIONS(1374),
    [anon_sym_switch] = ACTIONS(1374),
    [anon_sym_case] = ACTIONS(1374),
    [anon_sym_default] = ACTIONS(1374),
    [anon_sym_while] = ACTIONS(1374),
    [anon_sym_do] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym___try] = ACTIONS(1374),
    [anon_sym___leave] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_sizeof] = ACTIONS(1374),
    [anon_sym___alignof__] = ACTIONS(1374),
    [anon_sym___alignof] = ACTIONS(1374),
    [anon_sym__alignof] = ACTIONS(1374),
    [anon_sym_alignof] = ACTIONS(1374),
    [anon_sym__Alignof] = ACTIONS(1374),
    [anon_sym_offsetof] = ACTIONS(1374),
    [anon_sym__Generic] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym___asm__] = ACTIONS(1374),
    [sym_number_literal] = ACTIONS(1376),
    [anon_sym_L_SQUOTE] = ACTIONS(1376),
    [anon_sym_u_SQUOTE] = ACTIONS(1376),
    [anon_sym_U_SQUOTE] = ACTIONS(1376),
    [anon_sym_u8_SQUOTE] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_L_DQUOTE] = ACTIONS(1376),
    [anon_sym_u_DQUOTE] = ACTIONS(1376),
    [anon_sym_U_DQUOTE] = ACTIONS(1376),
    [anon_sym_u8_DQUOTE] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_NULL] = ACTIONS(1374),
    [anon_sym_nullptr] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_identifier] = ACTIONS(1378),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token2] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1378),
    [aux_sym_preproc_else_token1] = ACTIONS(1378),
    [aux_sym_preproc_elif_token1] = ACTIONS(1378),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1378),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1378),
    [sym_preproc_directive] = ACTIONS(1378),
    [anon_sym_LPAREN2] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym___extension__] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1378),
    [anon_sym_extern] = ACTIONS(1378),
    [anon_sym___attribute__] = ACTIONS(1378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1380),
    [anon_sym___declspec] = ACTIONS(1378),
    [anon_sym___cdecl] = ACTIONS(1378),
    [anon_sym___clrcall] = ACTIONS(1378),
    [anon_sym___stdcall] = ACTIONS(1378),
    [anon_sym___fastcall] = ACTIONS(1378),
    [anon_sym___thiscall] = ACTIONS(1378),
    [anon_sym___vectorcall] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_signed] = ACTIONS(1378),
    [anon_sym_unsigned] = ACTIONS(1378),
    [anon_sym_long] = ACTIONS(1378),
    [anon_sym_short] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_auto] = ACTIONS(1378),
    [anon_sym_register] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1378),
    [anon_sym___inline] = ACTIONS(1378),
    [anon_sym___inline__] = ACTIONS(1378),
    [anon_sym___forceinline] = ACTIONS(1378),
    [anon_sym_thread_local] = ACTIONS(1378),
    [anon_sym___thread] = ACTIONS(1378),
    [anon_sym_const] = ACTIONS(1378),
    [anon_sym_constexpr] = ACTIONS(1378),
    [anon_sym_volatile] = ACTIONS(1378),
    [anon_sym_restrict] = ACTIONS(1378),
    [anon_sym___restrict__] = ACTIONS(1378),
    [anon_sym__Atomic] = ACTIONS(1378),
    [anon_sym__Noreturn] = ACTIONS(1378),
    [anon_sym_noreturn] = ACTIONS(1378),
    [sym_primitive_type] = ACTIONS(1378),
    [anon_sym_enum] = ACTIONS(1378),
    [anon_sym_struct] = ACTIONS(1378),
    [anon_sym_union] = ACTIONS(1378),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_else] = ACTIONS(1378),
    [anon_sym_switch] = ACTIONS(1378),
    [anon_sym_case] = ACTIONS(1378),
    [anon_sym_default] = ACTIONS(1378),
    [anon_sym_while] = ACTIONS(1378),
    [anon_sym_do] = ACTIONS(1378),
    [anon_sym_for] = ACTIONS(1378),
    [anon_sym_return] = ACTIONS(1378),
    [anon_sym_break] = ACTIONS(1378),
    [anon_sym_continue] = ACTIONS(1378),
    [anon_sym_goto] = ACTIONS(1378),
    [anon_sym___try] = ACTIONS(1378),
    [anon_sym___leave] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_sizeof] = ACTIONS(1378),
    [anon_sym___alignof__] = ACTIONS(1378),
    [anon_sym___alignof] = ACTIONS(1378),
    [anon_sym__alignof] = ACTIONS(1378),
    [anon_sym_alignof] = ACTIONS(1378),
    [anon_sym__Alignof] = ACTIONS(1378),
    [anon_sym_offsetof] = ACTIONS(1378),
    [anon_sym__Generic] = ACTIONS(1378),
    [anon_sym_asm] = ACTIONS(1378),
    [anon_sym___asm__] = ACTIONS(1378),
    [sym_number_literal] = ACTIONS(1380),
    [anon_sym_L_SQUOTE] = ACTIONS(1380),
    [anon_sym_u_SQUOTE] = ACTIONS(1380),
    [anon_sym_U_SQUOTE] = ACTIONS(1380),
    [anon_sym_u8_SQUOTE] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_L_DQUOTE] = ACTIONS(1380),
    [anon_sym_u_DQUOTE] = ACTIONS(1380),
    [anon_sym_U_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8_DQUOTE] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_NULL] = ACTIONS(1378),
    [anon_sym_nullptr] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_identifier] = ACTIONS(1382),
    [aux_sym_preproc_include_token1] = ACTIONS(1382),
    [aux_sym_preproc_def_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token2] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1382),
    [aux_sym_preproc_else_token1] = ACTIONS(1382),
    [aux_sym_preproc_elif_token1] = ACTIONS(1382),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1382),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1382),
    [sym_preproc_directive] = ACTIONS(1382),
    [anon_sym_LPAREN2] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym___extension__] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1382),
    [anon_sym_extern] = ACTIONS(1382),
    [anon_sym___attribute__] = ACTIONS(1382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1384),
    [anon_sym___declspec] = ACTIONS(1382),
    [anon_sym___cdecl] = ACTIONS(1382),
    [anon_sym___clrcall] = ACTIONS(1382),
    [anon_sym___stdcall] = ACTIONS(1382),
    [anon_sym___fastcall] = ACTIONS(1382),
    [anon_sym___thiscall] = ACTIONS(1382),
    [anon_sym___vectorcall] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_signed] = ACTIONS(1382),
    [anon_sym_unsigned] = ACTIONS(1382),
    [anon_sym_long] = ACTIONS(1382),
    [anon_sym_short] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1382),
    [anon_sym_auto] = ACTIONS(1382),
    [anon_sym_register] = ACTIONS(1382),
    [anon_sym_inline] = ACTIONS(1382),
    [anon_sym___inline] = ACTIONS(1382),
    [anon_sym___inline__] = ACTIONS(1382),
    [anon_sym___forceinline] = ACTIONS(1382),
    [anon_sym_thread_local] = ACTIONS(1382),
    [anon_sym___thread] = ACTIONS(1382),
    [anon_sym_const] = ACTIONS(1382),
    [anon_sym_constexpr] = ACTIONS(1382),
    [anon_sym_volatile] = ACTIONS(1382),
    [anon_sym_restrict] = ACTIONS(1382),
    [anon_sym___restrict__] = ACTIONS(1382),
    [anon_sym__Atomic] = ACTIONS(1382),
    [anon_sym__Noreturn] = ACTIONS(1382),
    [anon_sym_noreturn] = ACTIONS(1382),
    [sym_primitive_type] = ACTIONS(1382),
    [anon_sym_enum] = ACTIONS(1382),
    [anon_sym_struct] = ACTIONS(1382),
    [anon_sym_union] = ACTIONS(1382),
    [anon_sym_if] = ACTIONS(1382),
    [anon_sym_else] = ACTIONS(1382),
    [anon_sym_switch] = ACTIONS(1382),
    [anon_sym_case] = ACTIONS(1382),
    [anon_sym_default] = ACTIONS(1382),
    [anon_sym_while] = ACTIONS(1382),
    [anon_sym_do] = ACTIONS(1382),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_break] = ACTIONS(1382),
    [anon_sym_continue] = ACTIONS(1382),
    [anon_sym_goto] = ACTIONS(1382),
    [anon_sym___try] = ACTIONS(1382),
    [anon_sym___leave] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_sizeof] = ACTIONS(1382),
    [anon_sym___alignof__] = ACTIONS(1382),
    [anon_sym___alignof] = ACTIONS(1382),
    [anon_sym__alignof] = ACTIONS(1382),
    [anon_sym_alignof] = ACTIONS(1382),
    [anon_sym__Alignof] = ACTIONS(1382),
    [anon_sym_offsetof] = ACTIONS(1382),
    [anon_sym__Generic] = ACTIONS(1382),
    [anon_sym_asm] = ACTIONS(1382),
    [anon_sym___asm__] = ACTIONS(1382),
    [sym_number_literal] = ACTIONS(1384),
    [anon_sym_L_SQUOTE] = ACTIONS(1384),
    [anon_sym_u_SQUOTE] = ACTIONS(1384),
    [anon_sym_U_SQUOTE] = ACTIONS(1384),
    [anon_sym_u8_SQUOTE] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_L_DQUOTE] = ACTIONS(1384),
    [anon_sym_u_DQUOTE] = ACTIONS(1384),
    [anon_sym_U_DQUOTE] = ACTIONS(1384),
    [anon_sym_u8_DQUOTE] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [sym_true] = ACTIONS(1382),
    [sym_false] = ACTIONS(1382),
    [anon_sym_NULL] = ACTIONS(1382),
    [anon_sym_nullptr] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_identifier] = ACTIONS(1386),
    [aux_sym_preproc_include_token1] = ACTIONS(1386),
    [aux_sym_preproc_def_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token2] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1386),
    [aux_sym_preproc_else_token1] = ACTIONS(1386),
    [aux_sym_preproc_elif_token1] = ACTIONS(1386),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1386),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1386),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1386),
    [anon_sym_extern] = ACTIONS(1386),
    [anon_sym___attribute__] = ACTIONS(1386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1388),
    [anon_sym___declspec] = ACTIONS(1386),
    [anon_sym___cdecl] = ACTIONS(1386),
    [anon_sym___clrcall] = ACTIONS(1386),
    [anon_sym___stdcall] = ACTIONS(1386),
    [anon_sym___fastcall] = ACTIONS(1386),
    [anon_sym___thiscall] = ACTIONS(1386),
    [anon_sym___vectorcall] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_signed] = ACTIONS(1386),
    [anon_sym_unsigned] = ACTIONS(1386),
    [anon_sym_long] = ACTIONS(1386),
    [anon_sym_short] = ACTIONS(1386),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_auto] = ACTIONS(1386),
    [anon_sym_register] = ACTIONS(1386),
    [anon_sym_inline] = ACTIONS(1386),
    [anon_sym___inline] = ACTIONS(1386),
    [anon_sym___inline__] = ACTIONS(1386),
    [anon_sym___forceinline] = ACTIONS(1386),
    [anon_sym_thread_local] = ACTIONS(1386),
    [anon_sym___thread] = ACTIONS(1386),
    [anon_sym_const] = ACTIONS(1386),
    [anon_sym_constexpr] = ACTIONS(1386),
    [anon_sym_volatile] = ACTIONS(1386),
    [anon_sym_restrict] = ACTIONS(1386),
    [anon_sym___restrict__] = ACTIONS(1386),
    [anon_sym__Atomic] = ACTIONS(1386),
    [anon_sym__Noreturn] = ACTIONS(1386),
    [anon_sym_noreturn] = ACTIONS(1386),
    [sym_primitive_type] = ACTIONS(1386),
    [anon_sym_enum] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(1386),
    [anon_sym_union] = ACTIONS(1386),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_else] = ACTIONS(1386),
    [anon_sym_switch] = ACTIONS(1386),
    [anon_sym_case] = ACTIONS(1386),
    [anon_sym_default] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_for] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_continue] = ACTIONS(1386),
    [anon_sym_goto] = ACTIONS(1386),
    [anon_sym___try] = ACTIONS(1386),
    [anon_sym___leave] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(1386),
    [anon_sym___alignof__] = ACTIONS(1386),
    [anon_sym___alignof] = ACTIONS(1386),
    [anon_sym__alignof] = ACTIONS(1386),
    [anon_sym_alignof] = ACTIONS(1386),
    [anon_sym__Alignof] = ACTIONS(1386),
    [anon_sym_offsetof] = ACTIONS(1386),
    [anon_sym__Generic] = ACTIONS(1386),
    [anon_sym_asm] = ACTIONS(1386),
    [anon_sym___asm__] = ACTIONS(1386),
    [sym_number_literal] = ACTIONS(1388),
    [anon_sym_L_SQUOTE] = ACTIONS(1388),
    [anon_sym_u_SQUOTE] = ACTIONS(1388),
    [anon_sym_U_SQUOTE] = ACTIONS(1388),
    [anon_sym_u8_SQUOTE] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_L_DQUOTE] = ACTIONS(1388),
    [anon_sym_u_DQUOTE] = ACTIONS(1388),
    [anon_sym_U_DQUOTE] = ACTIONS(1388),
    [anon_sym_u8_DQUOTE] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [sym_true] = ACTIONS(1386),
    [sym_false] = ACTIONS(1386),
    [anon_sym_NULL] = ACTIONS(1386),
    [anon_sym_nullptr] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token2] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [aux_sym_preproc_else_token1] = ACTIONS(1344),
    [aux_sym_preproc_elif_token1] = ACTIONS(1344),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym___extension__] = ACTIONS(1344),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym___inline] = ACTIONS(1344),
    [anon_sym___inline__] = ACTIONS(1344),
    [anon_sym___forceinline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym___thread] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym___try] = ACTIONS(1344),
    [anon_sym___leave] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym___alignof__] = ACTIONS(1344),
    [anon_sym___alignof] = ACTIONS(1344),
    [anon_sym__alignof] = ACTIONS(1344),
    [anon_sym_alignof] = ACTIONS(1344),
    [anon_sym__Alignof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_identifier] = ACTIONS(1390),
    [aux_sym_preproc_include_token1] = ACTIONS(1390),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token2] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1390),
    [aux_sym_preproc_else_token1] = ACTIONS(1390),
    [aux_sym_preproc_elif_token1] = ACTIONS(1390),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1390),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1390),
    [sym_preproc_directive] = ACTIONS(1390),
    [anon_sym_LPAREN2] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym___extension__] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1390),
    [anon_sym_extern] = ACTIONS(1390),
    [anon_sym___attribute__] = ACTIONS(1390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1392),
    [anon_sym___declspec] = ACTIONS(1390),
    [anon_sym___cdecl] = ACTIONS(1390),
    [anon_sym___clrcall] = ACTIONS(1390),
    [anon_sym___stdcall] = ACTIONS(1390),
    [anon_sym___fastcall] = ACTIONS(1390),
    [anon_sym___thiscall] = ACTIONS(1390),
    [anon_sym___vectorcall] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_signed] = ACTIONS(1390),
    [anon_sym_unsigned] = ACTIONS(1390),
    [anon_sym_long] = ACTIONS(1390),
    [anon_sym_short] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1390),
    [anon_sym_auto] = ACTIONS(1390),
    [anon_sym_register] = ACTIONS(1390),
    [anon_sym_inline] = ACTIONS(1390),
    [anon_sym___inline] = ACTIONS(1390),
    [anon_sym___inline__] = ACTIONS(1390),
    [anon_sym___forceinline] = ACTIONS(1390),
    [anon_sym_thread_local] = ACTIONS(1390),
    [anon_sym___thread] = ACTIONS(1390),
    [anon_sym_const] = ACTIONS(1390),
    [anon_sym_constexpr] = ACTIONS(1390),
    [anon_sym_volatile] = ACTIONS(1390),
    [anon_sym_restrict] = ACTIONS(1390),
    [anon_sym___restrict__] = ACTIONS(1390),
    [anon_sym__Atomic] = ACTIONS(1390),
    [anon_sym__Noreturn] = ACTIONS(1390),
    [anon_sym_noreturn] = ACTIONS(1390),
    [sym_primitive_type] = ACTIONS(1390),
    [anon_sym_enum] = ACTIONS(1390),
    [anon_sym_struct] = ACTIONS(1390),
    [anon_sym_union] = ACTIONS(1390),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_else] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(1390),
    [anon_sym_case] = ACTIONS(1390),
    [anon_sym_default] = ACTIONS(1390),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_do] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_return] = ACTIONS(1390),
    [anon_sym_break] = ACTIONS(1390),
    [anon_sym_continue] = ACTIONS(1390),
    [anon_sym_goto] = ACTIONS(1390),
    [anon_sym___try] = ACTIONS(1390),
    [anon_sym___leave] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_sizeof] = ACTIONS(1390),
    [anon_sym___alignof__] = ACTIONS(1390),
    [anon_sym___alignof] = ACTIONS(1390),
    [anon_sym__alignof] = ACTIONS(1390),
    [anon_sym_alignof] = ACTIONS(1390),
    [anon_sym__Alignof] = ACTIONS(1390),
    [anon_sym_offsetof] = ACTIONS(1390),
    [anon_sym__Generic] = ACTIONS(1390),
    [anon_sym_asm] = ACTIONS(1390),
    [anon_sym___asm__] = ACTIONS(1390),
    [sym_number_literal] = ACTIONS(1392),
    [anon_sym_L_SQUOTE] = ACTIONS(1392),
    [anon_sym_u_SQUOTE] = ACTIONS(1392),
    [anon_sym_U_SQUOTE] = ACTIONS(1392),
    [anon_sym_u8_SQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_L_DQUOTE] = ACTIONS(1392),
    [anon_sym_u_DQUOTE] = ACTIONS(1392),
    [anon_sym_U_DQUOTE] = ACTIONS(1392),
    [anon_sym_u8_DQUOTE] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [sym_true] = ACTIONS(1390),
    [sym_false] = ACTIONS(1390),
    [anon_sym_NULL] = ACTIONS(1390),
    [anon_sym_nullptr] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token2] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [aux_sym_preproc_else_token1] = ACTIONS(1394),
    [aux_sym_preproc_elif_token1] = ACTIONS(1394),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym___extension__] = ACTIONS(1394),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym___inline] = ACTIONS(1394),
    [anon_sym___inline__] = ACTIONS(1394),
    [anon_sym___forceinline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym___thread] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym___try] = ACTIONS(1394),
    [anon_sym___leave] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym___alignof__] = ACTIONS(1394),
    [anon_sym___alignof] = ACTIONS(1394),
    [anon_sym__alignof] = ACTIONS(1394),
    [anon_sym_alignof] = ACTIONS(1394),
    [anon_sym__Alignof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token2] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [aux_sym_preproc_else_token1] = ACTIONS(1398),
    [aux_sym_preproc_elif_token1] = ACTIONS(1398),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym___extension__] = ACTIONS(1398),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym___inline] = ACTIONS(1398),
    [anon_sym___inline__] = ACTIONS(1398),
    [anon_sym___forceinline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym___thread] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_else] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym___try] = ACTIONS(1398),
    [anon_sym___leave] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym___alignof__] = ACTIONS(1398),
    [anon_sym___alignof] = ACTIONS(1398),
    [anon_sym__alignof] = ACTIONS(1398),
    [anon_sym_alignof] = ACTIONS(1398),
    [anon_sym__Alignof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token2] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [aux_sym_preproc_else_token1] = ACTIONS(1402),
    [aux_sym_preproc_elif_token1] = ACTIONS(1402),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym___extension__] = ACTIONS(1402),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym___inline] = ACTIONS(1402),
    [anon_sym___inline__] = ACTIONS(1402),
    [anon_sym___forceinline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym___thread] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym___try] = ACTIONS(1402),
    [anon_sym___leave] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym___alignof__] = ACTIONS(1402),
    [anon_sym___alignof] = ACTIONS(1402),
    [anon_sym__alignof] = ACTIONS(1402),
    [anon_sym_alignof] = ACTIONS(1402),
    [anon_sym__Alignof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_else_clause] = STATE(165),
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token2] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [aux_sym_preproc_else_token1] = ACTIONS(1292),
    [aux_sym_preproc_elif_token1] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_identifier] = ACTIONS(1408),
    [aux_sym_preproc_include_token1] = ACTIONS(1408),
    [aux_sym_preproc_def_token1] = ACTIONS(1408),
    [aux_sym_preproc_if_token1] = ACTIONS(1408),
    [aux_sym_preproc_if_token2] = ACTIONS(1408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1408),
    [aux_sym_preproc_else_token1] = ACTIONS(1408),
    [aux_sym_preproc_elif_token1] = ACTIONS(1408),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1408),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1408),
    [sym_preproc_directive] = ACTIONS(1408),
    [anon_sym_LPAREN2] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [anon_sym___extension__] = ACTIONS(1408),
    [anon_sym_typedef] = ACTIONS(1408),
    [anon_sym_extern] = ACTIONS(1408),
    [anon_sym___attribute__] = ACTIONS(1408),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1410),
    [anon_sym___declspec] = ACTIONS(1408),
    [anon_sym___cdecl] = ACTIONS(1408),
    [anon_sym___clrcall] = ACTIONS(1408),
    [anon_sym___stdcall] = ACTIONS(1408),
    [anon_sym___fastcall] = ACTIONS(1408),
    [anon_sym___thiscall] = ACTIONS(1408),
    [anon_sym___vectorcall] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_signed] = ACTIONS(1408),
    [anon_sym_unsigned] = ACTIONS(1408),
    [anon_sym_long] = ACTIONS(1408),
    [anon_sym_short] = ACTIONS(1408),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_auto] = ACTIONS(1408),
    [anon_sym_register] = ACTIONS(1408),
    [anon_sym_inline] = ACTIONS(1408),
    [anon_sym___inline] = ACTIONS(1408),
    [anon_sym___inline__] = ACTIONS(1408),
    [anon_sym___forceinline] = ACTIONS(1408),
    [anon_sym_thread_local] = ACTIONS(1408),
    [anon_sym___thread] = ACTIONS(1408),
    [anon_sym_const] = ACTIONS(1408),
    [anon_sym_constexpr] = ACTIONS(1408),
    [anon_sym_volatile] = ACTIONS(1408),
    [anon_sym_restrict] = ACTIONS(1408),
    [anon_sym___restrict__] = ACTIONS(1408),
    [anon_sym__Atomic] = ACTIONS(1408),
    [anon_sym__Noreturn] = ACTIONS(1408),
    [anon_sym_noreturn] = ACTIONS(1408),
    [sym_primitive_type] = ACTIONS(1408),
    [anon_sym_enum] = ACTIONS(1408),
    [anon_sym_struct] = ACTIONS(1408),
    [anon_sym_union] = ACTIONS(1408),
    [anon_sym_if] = ACTIONS(1408),
    [anon_sym_switch] = ACTIONS(1408),
    [anon_sym_case] = ACTIONS(1408),
    [anon_sym_default] = ACTIONS(1408),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_do] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_return] = ACTIONS(1408),
    [anon_sym_break] = ACTIONS(1408),
    [anon_sym_continue] = ACTIONS(1408),
    [anon_sym_goto] = ACTIONS(1408),
    [anon_sym___try] = ACTIONS(1408),
    [anon_sym___leave] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [anon_sym_sizeof] = ACTIONS(1408),
    [anon_sym___alignof__] = ACTIONS(1408),
    [anon_sym___alignof] = ACTIONS(1408),
    [anon_sym__alignof] = ACTIONS(1408),
    [anon_sym_alignof] = ACTIONS(1408),
    [anon_sym__Alignof] = ACTIONS(1408),
    [anon_sym_offsetof] = ACTIONS(1408),
    [anon_sym__Generic] = ACTIONS(1408),
    [anon_sym_asm] = ACTIONS(1408),
    [anon_sym___asm__] = ACTIONS(1408),
    [sym_number_literal] = ACTIONS(1410),
    [anon_sym_L_SQUOTE] = ACTIONS(1410),
    [anon_sym_u_SQUOTE] = ACTIONS(1410),
    [anon_sym_U_SQUOTE] = ACTIONS(1410),
    [anon_sym_u8_SQUOTE] = ACTIONS(1410),
    [anon_sym_SQUOTE] = ACTIONS(1410),
    [anon_sym_L_DQUOTE] = ACTIONS(1410),
    [anon_sym_u_DQUOTE] = ACTIONS(1410),
    [anon_sym_U_DQUOTE] = ACTIONS(1410),
    [anon_sym_u8_DQUOTE] = ACTIONS(1410),
    [anon_sym_DQUOTE] = ACTIONS(1410),
    [sym_true] = ACTIONS(1408),
    [sym_false] = ACTIONS(1408),
    [anon_sym_NULL] = ACTIONS(1408),
    [anon_sym_nullptr] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1412),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token2] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1412),
    [aux_sym_preproc_else_token1] = ACTIONS(1412),
    [aux_sym_preproc_elif_token1] = ACTIONS(1412),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1412),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1412),
    [sym_preproc_directive] = ACTIONS(1412),
    [anon_sym_LPAREN2] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_typedef] = ACTIONS(1412),
    [anon_sym_extern] = ACTIONS(1412),
    [anon_sym___attribute__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym___declspec] = ACTIONS(1412),
    [anon_sym___cdecl] = ACTIONS(1412),
    [anon_sym___clrcall] = ACTIONS(1412),
    [anon_sym___stdcall] = ACTIONS(1412),
    [anon_sym___fastcall] = ACTIONS(1412),
    [anon_sym___thiscall] = ACTIONS(1412),
    [anon_sym___vectorcall] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_signed] = ACTIONS(1412),
    [anon_sym_unsigned] = ACTIONS(1412),
    [anon_sym_long] = ACTIONS(1412),
    [anon_sym_short] = ACTIONS(1412),
    [anon_sym_static] = ACTIONS(1412),
    [anon_sym_auto] = ACTIONS(1412),
    [anon_sym_register] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1412),
    [anon_sym___inline] = ACTIONS(1412),
    [anon_sym___inline__] = ACTIONS(1412),
    [anon_sym___forceinline] = ACTIONS(1412),
    [anon_sym_thread_local] = ACTIONS(1412),
    [anon_sym___thread] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1412),
    [anon_sym_constexpr] = ACTIONS(1412),
    [anon_sym_volatile] = ACTIONS(1412),
    [anon_sym_restrict] = ACTIONS(1412),
    [anon_sym___restrict__] = ACTIONS(1412),
    [anon_sym__Atomic] = ACTIONS(1412),
    [anon_sym__Noreturn] = ACTIONS(1412),
    [anon_sym_noreturn] = ACTIONS(1412),
    [sym_primitive_type] = ACTIONS(1412),
    [anon_sym_enum] = ACTIONS(1412),
    [anon_sym_struct] = ACTIONS(1412),
    [anon_sym_union] = ACTIONS(1412),
    [anon_sym_if] = ACTIONS(1412),
    [anon_sym_switch] = ACTIONS(1412),
    [anon_sym_case] = ACTIONS(1412),
    [anon_sym_default] = ACTIONS(1412),
    [anon_sym_while] = ACTIONS(1412),
    [anon_sym_do] = ACTIONS(1412),
    [anon_sym_for] = ACTIONS(1412),
    [anon_sym_return] = ACTIONS(1412),
    [anon_sym_break] = ACTIONS(1412),
    [anon_sym_continue] = ACTIONS(1412),
    [anon_sym_goto] = ACTIONS(1412),
    [anon_sym___try] = ACTIONS(1412),
    [anon_sym___leave] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_sizeof] = ACTIONS(1412),
    [anon_sym___alignof__] = ACTIONS(1412),
    [anon_sym___alignof] = ACTIONS(1412),
    [anon_sym__alignof] = ACTIONS(1412),
    [anon_sym_alignof] = ACTIONS(1412),
    [anon_sym__Alignof] = ACTIONS(1412),
    [anon_sym_offsetof] = ACTIONS(1412),
    [anon_sym__Generic] = ACTIONS(1412),
    [anon_sym_asm] = ACTIONS(1412),
    [anon_sym___asm__] = ACTIONS(1412),
    [sym_number_literal] = ACTIONS(1414),
    [anon_sym_L_SQUOTE] = ACTIONS(1414),
    [anon_sym_u_SQUOTE] = ACTIONS(1414),
    [anon_sym_U_SQUOTE] = ACTIONS(1414),
    [anon_sym_u8_SQUOTE] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1414),
    [anon_sym_L_DQUOTE] = ACTIONS(1414),
    [anon_sym_u_DQUOTE] = ACTIONS(1414),
    [anon_sym_U_DQUOTE] = ACTIONS(1414),
    [anon_sym_u8_DQUOTE] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1414),
    [sym_true] = ACTIONS(1412),
    [sym_false] = ACTIONS(1412),
    [anon_sym_NULL] = ACTIONS(1412),
    [anon_sym_nullptr] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_identifier] = ACTIONS(1416),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token2] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [aux_sym_preproc_else_token1] = ACTIONS(1416),
    [aux_sym_preproc_elif_token1] = ACTIONS(1416),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1416),
    [anon_sym_extern] = ACTIONS(1416),
    [anon_sym___attribute__] = ACTIONS(1416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1418),
    [anon_sym___declspec] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(1416),
    [anon_sym_unsigned] = ACTIONS(1416),
    [anon_sym_long] = ACTIONS(1416),
    [anon_sym_short] = ACTIONS(1416),
    [anon_sym_static] = ACTIONS(1416),
    [anon_sym_auto] = ACTIONS(1416),
    [anon_sym_register] = ACTIONS(1416),
    [anon_sym_inline] = ACTIONS(1416),
    [anon_sym___inline] = ACTIONS(1416),
    [anon_sym___inline__] = ACTIONS(1416),
    [anon_sym___forceinline] = ACTIONS(1416),
    [anon_sym_thread_local] = ACTIONS(1416),
    [anon_sym___thread] = ACTIONS(1416),
    [anon_sym_const] = ACTIONS(1416),
    [anon_sym_constexpr] = ACTIONS(1416),
    [anon_sym_volatile] = ACTIONS(1416),
    [anon_sym_restrict] = ACTIONS(1416),
    [anon_sym___restrict__] = ACTIONS(1416),
    [anon_sym__Atomic] = ACTIONS(1416),
    [anon_sym__Noreturn] = ACTIONS(1416),
    [anon_sym_noreturn] = ACTIONS(1416),
    [sym_primitive_type] = ACTIONS(1416),
    [anon_sym_enum] = ACTIONS(1416),
    [anon_sym_struct] = ACTIONS(1416),
    [anon_sym_union] = ACTIONS(1416),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(1416),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(1416),
    [anon_sym_do] = ACTIONS(1416),
    [anon_sym_for] = ACTIONS(1416),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_break] = ACTIONS(1416),
    [anon_sym_continue] = ACTIONS(1416),
    [anon_sym_goto] = ACTIONS(1416),
    [anon_sym___try] = ACTIONS(1416),
    [anon_sym___leave] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [anon_sym_sizeof] = ACTIONS(1416),
    [anon_sym___alignof__] = ACTIONS(1416),
    [anon_sym___alignof] = ACTIONS(1416),
    [anon_sym__alignof] = ACTIONS(1416),
    [anon_sym_alignof] = ACTIONS(1416),
    [anon_sym__Alignof] = ACTIONS(1416),
    [anon_sym_offsetof] = ACTIONS(1416),
    [anon_sym__Generic] = ACTIONS(1416),
    [anon_sym_asm] = ACTIONS(1416),
    [anon_sym___asm__] = ACTIONS(1416),
    [sym_number_literal] = ACTIONS(1418),
    [anon_sym_L_SQUOTE] = ACTIONS(1418),
    [anon_sym_u_SQUOTE] = ACTIONS(1418),
    [anon_sym_U_SQUOTE] = ACTIONS(1418),
    [anon_sym_u8_SQUOTE] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_L_DQUOTE] = ACTIONS(1418),
    [anon_sym_u_DQUOTE] = ACTIONS(1418),
    [anon_sym_U_DQUOTE] = ACTIONS(1418),
    [anon_sym_u8_DQUOTE] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_NULL] = ACTIONS(1416),
    [anon_sym_nullptr] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_identifier] = ACTIONS(1420),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token2] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [aux_sym_preproc_else_token1] = ACTIONS(1420),
    [aux_sym_preproc_elif_token1] = ACTIONS(1420),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [anon_sym___extension__] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1420),
    [anon_sym_extern] = ACTIONS(1420),
    [anon_sym___attribute__] = ACTIONS(1420),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1422),
    [anon_sym___declspec] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(1420),
    [anon_sym_unsigned] = ACTIONS(1420),
    [anon_sym_long] = ACTIONS(1420),
    [anon_sym_short] = ACTIONS(1420),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_auto] = ACTIONS(1420),
    [anon_sym_register] = ACTIONS(1420),
    [anon_sym_inline] = ACTIONS(1420),
    [anon_sym___inline] = ACTIONS(1420),
    [anon_sym___inline__] = ACTIONS(1420),
    [anon_sym___forceinline] = ACTIONS(1420),
    [anon_sym_thread_local] = ACTIONS(1420),
    [anon_sym___thread] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1420),
    [anon_sym_constexpr] = ACTIONS(1420),
    [anon_sym_volatile] = ACTIONS(1420),
    [anon_sym_restrict] = ACTIONS(1420),
    [anon_sym___restrict__] = ACTIONS(1420),
    [anon_sym__Atomic] = ACTIONS(1420),
    [anon_sym__Noreturn] = ACTIONS(1420),
    [anon_sym_noreturn] = ACTIONS(1420),
    [sym_primitive_type] = ACTIONS(1420),
    [anon_sym_enum] = ACTIONS(1420),
    [anon_sym_struct] = ACTIONS(1420),
    [anon_sym_union] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1420),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1420),
    [anon_sym_do] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_goto] = ACTIONS(1420),
    [anon_sym___try] = ACTIONS(1420),
    [anon_sym___leave] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [anon_sym_sizeof] = ACTIONS(1420),
    [anon_sym___alignof__] = ACTIONS(1420),
    [anon_sym___alignof] = ACTIONS(1420),
    [anon_sym__alignof] = ACTIONS(1420),
    [anon_sym_alignof] = ACTIONS(1420),
    [anon_sym__Alignof] = ACTIONS(1420),
    [anon_sym_offsetof] = ACTIONS(1420),
    [anon_sym__Generic] = ACTIONS(1420),
    [anon_sym_asm] = ACTIONS(1420),
    [anon_sym___asm__] = ACTIONS(1420),
    [sym_number_literal] = ACTIONS(1422),
    [anon_sym_L_SQUOTE] = ACTIONS(1422),
    [anon_sym_u_SQUOTE] = ACTIONS(1422),
    [anon_sym_U_SQUOTE] = ACTIONS(1422),
    [anon_sym_u8_SQUOTE] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_L_DQUOTE] = ACTIONS(1422),
    [anon_sym_u_DQUOTE] = ACTIONS(1422),
    [anon_sym_U_DQUOTE] = ACTIONS(1422),
    [anon_sym_u8_DQUOTE] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [anon_sym_NULL] = ACTIONS(1420),
    [anon_sym_nullptr] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_identifier] = ACTIONS(1424),
    [aux_sym_preproc_include_token1] = ACTIONS(1424),
    [aux_sym_preproc_def_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token2] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1424),
    [aux_sym_preproc_else_token1] = ACTIONS(1424),
    [aux_sym_preproc_elif_token1] = ACTIONS(1424),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1424),
    [sym_preproc_directive] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1424),
    [anon_sym_extern] = ACTIONS(1424),
    [anon_sym___attribute__] = ACTIONS(1424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1426),
    [anon_sym___declspec] = ACTIONS(1424),
    [anon_sym___cdecl] = ACTIONS(1424),
    [anon_sym___clrcall] = ACTIONS(1424),
    [anon_sym___stdcall] = ACTIONS(1424),
    [anon_sym___fastcall] = ACTIONS(1424),
    [anon_sym___thiscall] = ACTIONS(1424),
    [anon_sym___vectorcall] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_signed] = ACTIONS(1424),
    [anon_sym_unsigned] = ACTIONS(1424),
    [anon_sym_long] = ACTIONS(1424),
    [anon_sym_short] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1424),
    [anon_sym_auto] = ACTIONS(1424),
    [anon_sym_register] = ACTIONS(1424),
    [anon_sym_inline] = ACTIONS(1424),
    [anon_sym___inline] = ACTIONS(1424),
    [anon_sym___inline__] = ACTIONS(1424),
    [anon_sym___forceinline] = ACTIONS(1424),
    [anon_sym_thread_local] = ACTIONS(1424),
    [anon_sym___thread] = ACTIONS(1424),
    [anon_sym_const] = ACTIONS(1424),
    [anon_sym_constexpr] = ACTIONS(1424),
    [anon_sym_volatile] = ACTIONS(1424),
    [anon_sym_restrict] = ACTIONS(1424),
    [anon_sym___restrict__] = ACTIONS(1424),
    [anon_sym__Atomic] = ACTIONS(1424),
    [anon_sym__Noreturn] = ACTIONS(1424),
    [anon_sym_noreturn] = ACTIONS(1424),
    [sym_primitive_type] = ACTIONS(1424),
    [anon_sym_enum] = ACTIONS(1424),
    [anon_sym_struct] = ACTIONS(1424),
    [anon_sym_union] = ACTIONS(1424),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(1424),
    [anon_sym_case] = ACTIONS(1424),
    [anon_sym_default] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1424),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1424),
    [anon_sym_return] = ACTIONS(1424),
    [anon_sym_break] = ACTIONS(1424),
    [anon_sym_continue] = ACTIONS(1424),
    [anon_sym_goto] = ACTIONS(1424),
    [anon_sym___try] = ACTIONS(1424),
    [anon_sym___leave] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [anon_sym_sizeof] = ACTIONS(1424),
    [anon_sym___alignof__] = ACTIONS(1424),
    [anon_sym___alignof] = ACTIONS(1424),
    [anon_sym__alignof] = ACTIONS(1424),
    [anon_sym_alignof] = ACTIONS(1424),
    [anon_sym__Alignof] = ACTIONS(1424),
    [anon_sym_offsetof] = ACTIONS(1424),
    [anon_sym__Generic] = ACTIONS(1424),
    [anon_sym_asm] = ACTIONS(1424),
    [anon_sym___asm__] = ACTIONS(1424),
    [sym_number_literal] = ACTIONS(1426),
    [anon_sym_L_SQUOTE] = ACTIONS(1426),
    [anon_sym_u_SQUOTE] = ACTIONS(1426),
    [anon_sym_U_SQUOTE] = ACTIONS(1426),
    [anon_sym_u8_SQUOTE] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_L_DQUOTE] = ACTIONS(1426),
    [anon_sym_u_DQUOTE] = ACTIONS(1426),
    [anon_sym_U_DQUOTE] = ACTIONS(1426),
    [anon_sym_u8_DQUOTE] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_NULL] = ACTIONS(1424),
    [anon_sym_nullptr] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1428),
    [aux_sym_preproc_def_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token2] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1428),
    [aux_sym_preproc_else_token1] = ACTIONS(1428),
    [aux_sym_preproc_elif_token1] = ACTIONS(1428),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1428),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1428),
    [sym_preproc_directive] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1428),
    [anon_sym_extern] = ACTIONS(1428),
    [anon_sym___attribute__] = ACTIONS(1428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1430),
    [anon_sym___declspec] = ACTIONS(1428),
    [anon_sym___cdecl] = ACTIONS(1428),
    [anon_sym___clrcall] = ACTIONS(1428),
    [anon_sym___stdcall] = ACTIONS(1428),
    [anon_sym___fastcall] = ACTIONS(1428),
    [anon_sym___thiscall] = ACTIONS(1428),
    [anon_sym___vectorcall] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_signed] = ACTIONS(1428),
    [anon_sym_unsigned] = ACTIONS(1428),
    [anon_sym_long] = ACTIONS(1428),
    [anon_sym_short] = ACTIONS(1428),
    [anon_sym_static] = ACTIONS(1428),
    [anon_sym_auto] = ACTIONS(1428),
    [anon_sym_register] = ACTIONS(1428),
    [anon_sym_inline] = ACTIONS(1428),
    [anon_sym___inline] = ACTIONS(1428),
    [anon_sym___inline__] = ACTIONS(1428),
    [anon_sym___forceinline] = ACTIONS(1428),
    [anon_sym_thread_local] = ACTIONS(1428),
    [anon_sym___thread] = ACTIONS(1428),
    [anon_sym_const] = ACTIONS(1428),
    [anon_sym_constexpr] = ACTIONS(1428),
    [anon_sym_volatile] = ACTIONS(1428),
    [anon_sym_restrict] = ACTIONS(1428),
    [anon_sym___restrict__] = ACTIONS(1428),
    [anon_sym__Atomic] = ACTIONS(1428),
    [anon_sym__Noreturn] = ACTIONS(1428),
    [anon_sym_noreturn] = ACTIONS(1428),
    [sym_primitive_type] = ACTIONS(1428),
    [anon_sym_enum] = ACTIONS(1428),
    [anon_sym_struct] = ACTIONS(1428),
    [anon_sym_union] = ACTIONS(1428),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_switch] = ACTIONS(1428),
    [anon_sym_case] = ACTIONS(1428),
    [anon_sym_default] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_do] = ACTIONS(1428),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_return] = ACTIONS(1428),
    [anon_sym_break] = ACTIONS(1428),
    [anon_sym_continue] = ACTIONS(1428),
    [anon_sym_goto] = ACTIONS(1428),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_sizeof] = ACTIONS(1428),
    [anon_sym___alignof__] = ACTIONS(1428),
    [anon_sym___alignof] = ACTIONS(1428),
    [anon_sym__alignof] = ACTIONS(1428),
    [anon_sym_alignof] = ACTIONS(1428),
    [anon_sym__Alignof] = ACTIONS(1428),
    [anon_sym_offsetof] = ACTIONS(1428),
    [anon_sym__Generic] = ACTIONS(1428),
    [anon_sym_asm] = ACTIONS(1428),
    [anon_sym___asm__] = ACTIONS(1428),
    [sym_number_literal] = ACTIONS(1430),
    [anon_sym_L_SQUOTE] = ACTIONS(1430),
    [anon_sym_u_SQUOTE] = ACTIONS(1430),
    [anon_sym_U_SQUOTE] = ACTIONS(1430),
    [anon_sym_u8_SQUOTE] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_L_DQUOTE] = ACTIONS(1430),
    [anon_sym_u_DQUOTE] = ACTIONS(1430),
    [anon_sym_U_DQUOTE] = ACTIONS(1430),
    [anon_sym_u8_DQUOTE] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [sym_true] = ACTIONS(1428),
    [sym_false] = ACTIONS(1428),
    [anon_sym_NULL] = ACTIONS(1428),
    [anon_sym_nullptr] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_identifier] = ACTIONS(1432),
    [aux_sym_preproc_include_token1] = ACTIONS(1432),
    [aux_sym_preproc_def_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token2] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1432),
    [aux_sym_preproc_else_token1] = ACTIONS(1432),
    [aux_sym_preproc_elif_token1] = ACTIONS(1432),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1432),
    [sym_preproc_directive] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1432),
    [anon_sym_extern] = ACTIONS(1432),
    [anon_sym___attribute__] = ACTIONS(1432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1434),
    [anon_sym___declspec] = ACTIONS(1432),
    [anon_sym___cdecl] = ACTIONS(1432),
    [anon_sym___clrcall] = ACTIONS(1432),
    [anon_sym___stdcall] = ACTIONS(1432),
    [anon_sym___fastcall] = ACTIONS(1432),
    [anon_sym___thiscall] = ACTIONS(1432),
    [anon_sym___vectorcall] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_signed] = ACTIONS(1432),
    [anon_sym_unsigned] = ACTIONS(1432),
    [anon_sym_long] = ACTIONS(1432),
    [anon_sym_short] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1432),
    [anon_sym_auto] = ACTIONS(1432),
    [anon_sym_register] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(1432),
    [anon_sym___inline] = ACTIONS(1432),
    [anon_sym___inline__] = ACTIONS(1432),
    [anon_sym___forceinline] = ACTIONS(1432),
    [anon_sym_thread_local] = ACTIONS(1432),
    [anon_sym___thread] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_constexpr] = ACTIONS(1432),
    [anon_sym_volatile] = ACTIONS(1432),
    [anon_sym_restrict] = ACTIONS(1432),
    [anon_sym___restrict__] = ACTIONS(1432),
    [anon_sym__Atomic] = ACTIONS(1432),
    [anon_sym__Noreturn] = ACTIONS(1432),
    [anon_sym_noreturn] = ACTIONS(1432),
    [sym_primitive_type] = ACTIONS(1432),
    [anon_sym_enum] = ACTIONS(1432),
    [anon_sym_struct] = ACTIONS(1432),
    [anon_sym_union] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_do] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_continue] = ACTIONS(1432),
    [anon_sym_goto] = ACTIONS(1432),
    [anon_sym___try] = ACTIONS(1432),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_sizeof] = ACTIONS(1432),
    [anon_sym___alignof__] = ACTIONS(1432),
    [anon_sym___alignof] = ACTIONS(1432),
    [anon_sym__alignof] = ACTIONS(1432),
    [anon_sym_alignof] = ACTIONS(1432),
    [anon_sym__Alignof] = ACTIONS(1432),
    [anon_sym_offsetof] = ACTIONS(1432),
    [anon_sym__Generic] = ACTIONS(1432),
    [anon_sym_asm] = ACTIONS(1432),
    [anon_sym___asm__] = ACTIONS(1432),
    [sym_number_literal] = ACTIONS(1434),
    [anon_sym_L_SQUOTE] = ACTIONS(1434),
    [anon_sym_u_SQUOTE] = ACTIONS(1434),
    [anon_sym_U_SQUOTE] = ACTIONS(1434),
    [anon_sym_u8_SQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_L_DQUOTE] = ACTIONS(1434),
    [anon_sym_u_DQUOTE] = ACTIONS(1434),
    [anon_sym_U_DQUOTE] = ACTIONS(1434),
    [anon_sym_u8_DQUOTE] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [sym_true] = ACTIONS(1432),
    [sym_false] = ACTIONS(1432),
    [anon_sym_NULL] = ACTIONS(1432),
    [anon_sym_nullptr] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_identifier] = ACTIONS(1436),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token2] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1436),
    [aux_sym_preproc_else_token1] = ACTIONS(1436),
    [aux_sym_preproc_elif_token1] = ACTIONS(1436),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1436),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1436),
    [sym_preproc_directive] = ACTIONS(1436),
    [anon_sym_LPAREN2] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [anon_sym___extension__] = ACTIONS(1436),
    [anon_sym_typedef] = ACTIONS(1436),
    [anon_sym_extern] = ACTIONS(1436),
    [anon_sym___attribute__] = ACTIONS(1436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1438),
    [anon_sym___declspec] = ACTIONS(1436),
    [anon_sym___cdecl] = ACTIONS(1436),
    [anon_sym___clrcall] = ACTIONS(1436),
    [anon_sym___stdcall] = ACTIONS(1436),
    [anon_sym___fastcall] = ACTIONS(1436),
    [anon_sym___thiscall] = ACTIONS(1436),
    [anon_sym___vectorcall] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_signed] = ACTIONS(1436),
    [anon_sym_unsigned] = ACTIONS(1436),
    [anon_sym_long] = ACTIONS(1436),
    [anon_sym_short] = ACTIONS(1436),
    [anon_sym_static] = ACTIONS(1436),
    [anon_sym_auto] = ACTIONS(1436),
    [anon_sym_register] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(1436),
    [anon_sym___inline] = ACTIONS(1436),
    [anon_sym___inline__] = ACTIONS(1436),
    [anon_sym___forceinline] = ACTIONS(1436),
    [anon_sym_thread_local] = ACTIONS(1436),
    [anon_sym___thread] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_constexpr] = ACTIONS(1436),
    [anon_sym_volatile] = ACTIONS(1436),
    [anon_sym_restrict] = ACTIONS(1436),
    [anon_sym___restrict__] = ACTIONS(1436),
    [anon_sym__Atomic] = ACTIONS(1436),
    [anon_sym__Noreturn] = ACTIONS(1436),
    [anon_sym_noreturn] = ACTIONS(1436),
    [sym_primitive_type] = ACTIONS(1436),
    [anon_sym_enum] = ACTIONS(1436),
    [anon_sym_struct] = ACTIONS(1436),
    [anon_sym_union] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_goto] = ACTIONS(1436),
    [anon_sym___try] = ACTIONS(1436),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_sizeof] = ACTIONS(1436),
    [anon_sym___alignof__] = ACTIONS(1436),
    [anon_sym___alignof] = ACTIONS(1436),
    [anon_sym__alignof] = ACTIONS(1436),
    [anon_sym_alignof] = ACTIONS(1436),
    [anon_sym__Alignof] = ACTIONS(1436),
    [anon_sym_offsetof] = ACTIONS(1436),
    [anon_sym__Generic] = ACTIONS(1436),
    [anon_sym_asm] = ACTIONS(1436),
    [anon_sym___asm__] = ACTIONS(1436),
    [sym_number_literal] = ACTIONS(1438),
    [anon_sym_L_SQUOTE] = ACTIONS(1438),
    [anon_sym_u_SQUOTE] = ACTIONS(1438),
    [anon_sym_U_SQUOTE] = ACTIONS(1438),
    [anon_sym_u8_SQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_L_DQUOTE] = ACTIONS(1438),
    [anon_sym_u_DQUOTE] = ACTIONS(1438),
    [anon_sym_U_DQUOTE] = ACTIONS(1438),
    [anon_sym_u8_DQUOTE] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [anon_sym_NULL] = ACTIONS(1436),
    [anon_sym_nullptr] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_identifier] = ACTIONS(1440),
    [aux_sym_preproc_include_token1] = ACTIONS(1440),
    [aux_sym_preproc_def_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1440),
    [aux_sym_preproc_else_token1] = ACTIONS(1440),
    [aux_sym_preproc_elif_token1] = ACTIONS(1440),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1440),
    [sym_preproc_directive] = ACTIONS(1440),
    [anon_sym_LPAREN2] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(1440),
    [anon_sym_extern] = ACTIONS(1440),
    [anon_sym___attribute__] = ACTIONS(1440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1442),
    [anon_sym___declspec] = ACTIONS(1440),
    [anon_sym___cdecl] = ACTIONS(1440),
    [anon_sym___clrcall] = ACTIONS(1440),
    [anon_sym___stdcall] = ACTIONS(1440),
    [anon_sym___fastcall] = ACTIONS(1440),
    [anon_sym___thiscall] = ACTIONS(1440),
    [anon_sym___vectorcall] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_signed] = ACTIONS(1440),
    [anon_sym_unsigned] = ACTIONS(1440),
    [anon_sym_long] = ACTIONS(1440),
    [anon_sym_short] = ACTIONS(1440),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_auto] = ACTIONS(1440),
    [anon_sym_register] = ACTIONS(1440),
    [anon_sym_inline] = ACTIONS(1440),
    [anon_sym___inline] = ACTIONS(1440),
    [anon_sym___inline__] = ACTIONS(1440),
    [anon_sym___forceinline] = ACTIONS(1440),
    [anon_sym_thread_local] = ACTIONS(1440),
    [anon_sym___thread] = ACTIONS(1440),
    [anon_sym_const] = ACTIONS(1440),
    [anon_sym_constexpr] = ACTIONS(1440),
    [anon_sym_volatile] = ACTIONS(1440),
    [anon_sym_restrict] = ACTIONS(1440),
    [anon_sym___restrict__] = ACTIONS(1440),
    [anon_sym__Atomic] = ACTIONS(1440),
    [anon_sym__Noreturn] = ACTIONS(1440),
    [anon_sym_noreturn] = ACTIONS(1440),
    [sym_primitive_type] = ACTIONS(1440),
    [anon_sym_enum] = ACTIONS(1440),
    [anon_sym_struct] = ACTIONS(1440),
    [anon_sym_union] = ACTIONS(1440),
    [anon_sym_if] = ACTIONS(1440),
    [anon_sym_switch] = ACTIONS(1440),
    [anon_sym_case] = ACTIONS(1440),
    [anon_sym_default] = ACTIONS(1440),
    [anon_sym_while] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1440),
    [anon_sym_for] = ACTIONS(1440),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_break] = ACTIONS(1440),
    [anon_sym_continue] = ACTIONS(1440),
    [anon_sym_goto] = ACTIONS(1440),
    [anon_sym___try] = ACTIONS(1440),
    [anon_sym___leave] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [anon_sym_sizeof] = ACTIONS(1440),
    [anon_sym___alignof__] = ACTIONS(1440),
    [anon_sym___alignof] = ACTIONS(1440),
    [anon_sym__alignof] = ACTIONS(1440),
    [anon_sym_alignof] = ACTIONS(1440),
    [anon_sym__Alignof] = ACTIONS(1440),
    [anon_sym_offsetof] = ACTIONS(1440),
    [anon_sym__Generic] = ACTIONS(1440),
    [anon_sym_asm] = ACTIONS(1440),
    [anon_sym___asm__] = ACTIONS(1440),
    [sym_number_literal] = ACTIONS(1442),
    [anon_sym_L_SQUOTE] = ACTIONS(1442),
    [anon_sym_u_SQUOTE] = ACTIONS(1442),
    [anon_sym_U_SQUOTE] = ACTIONS(1442),
    [anon_sym_u8_SQUOTE] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_L_DQUOTE] = ACTIONS(1442),
    [anon_sym_u_DQUOTE] = ACTIONS(1442),
    [anon_sym_U_DQUOTE] = ACTIONS(1442),
    [anon_sym_u8_DQUOTE] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [sym_true] = ACTIONS(1440),
    [sym_false] = ACTIONS(1440),
    [anon_sym_NULL] = ACTIONS(1440),
    [anon_sym_nullptr] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_identifier] = ACTIONS(1444),
    [aux_sym_preproc_include_token1] = ACTIONS(1444),
    [aux_sym_preproc_def_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token2] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1444),
    [aux_sym_preproc_else_token1] = ACTIONS(1444),
    [aux_sym_preproc_elif_token1] = ACTIONS(1444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1444),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(1444),
    [anon_sym_extern] = ACTIONS(1444),
    [anon_sym___attribute__] = ACTIONS(1444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1446),
    [anon_sym___declspec] = ACTIONS(1444),
    [anon_sym___cdecl] = ACTIONS(1444),
    [anon_sym___clrcall] = ACTIONS(1444),
    [anon_sym___stdcall] = ACTIONS(1444),
    [anon_sym___fastcall] = ACTIONS(1444),
    [anon_sym___thiscall] = ACTIONS(1444),
    [anon_sym___vectorcall] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_signed] = ACTIONS(1444),
    [anon_sym_unsigned] = ACTIONS(1444),
    [anon_sym_long] = ACTIONS(1444),
    [anon_sym_short] = ACTIONS(1444),
    [anon_sym_static] = ACTIONS(1444),
    [anon_sym_auto] = ACTIONS(1444),
    [anon_sym_register] = ACTIONS(1444),
    [anon_sym_inline] = ACTIONS(1444),
    [anon_sym___inline] = ACTIONS(1444),
    [anon_sym___inline__] = ACTIONS(1444),
    [anon_sym___forceinline] = ACTIONS(1444),
    [anon_sym_thread_local] = ACTIONS(1444),
    [anon_sym___thread] = ACTIONS(1444),
    [anon_sym_const] = ACTIONS(1444),
    [anon_sym_constexpr] = ACTIONS(1444),
    [anon_sym_volatile] = ACTIONS(1444),
    [anon_sym_restrict] = ACTIONS(1444),
    [anon_sym___restrict__] = ACTIONS(1444),
    [anon_sym__Atomic] = ACTIONS(1444),
    [anon_sym__Noreturn] = ACTIONS(1444),
    [anon_sym_noreturn] = ACTIONS(1444),
    [sym_primitive_type] = ACTIONS(1444),
    [anon_sym_enum] = ACTIONS(1444),
    [anon_sym_struct] = ACTIONS(1444),
    [anon_sym_union] = ACTIONS(1444),
    [anon_sym_if] = ACTIONS(1444),
    [anon_sym_switch] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(1444),
    [anon_sym_default] = ACTIONS(1444),
    [anon_sym_while] = ACTIONS(1444),
    [anon_sym_do] = ACTIONS(1444),
    [anon_sym_for] = ACTIONS(1444),
    [anon_sym_return] = ACTIONS(1444),
    [anon_sym_break] = ACTIONS(1444),
    [anon_sym_continue] = ACTIONS(1444),
    [anon_sym_goto] = ACTIONS(1444),
    [anon_sym___try] = ACTIONS(1444),
    [anon_sym___leave] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_sizeof] = ACTIONS(1444),
    [anon_sym___alignof__] = ACTIONS(1444),
    [anon_sym___alignof] = ACTIONS(1444),
    [anon_sym__alignof] = ACTIONS(1444),
    [anon_sym_alignof] = ACTIONS(1444),
    [anon_sym__Alignof] = ACTIONS(1444),
    [anon_sym_offsetof] = ACTIONS(1444),
    [anon_sym__Generic] = ACTIONS(1444),
    [anon_sym_asm] = ACTIONS(1444),
    [anon_sym___asm__] = ACTIONS(1444),
    [sym_number_literal] = ACTIONS(1446),
    [anon_sym_L_SQUOTE] = ACTIONS(1446),
    [anon_sym_u_SQUOTE] = ACTIONS(1446),
    [anon_sym_U_SQUOTE] = ACTIONS(1446),
    [anon_sym_u8_SQUOTE] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_L_DQUOTE] = ACTIONS(1446),
    [anon_sym_u_DQUOTE] = ACTIONS(1446),
    [anon_sym_U_DQUOTE] = ACTIONS(1446),
    [anon_sym_u8_DQUOTE] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [anon_sym_NULL] = ACTIONS(1444),
    [anon_sym_nullptr] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_identifier] = ACTIONS(1448),
    [aux_sym_preproc_include_token1] = ACTIONS(1448),
    [aux_sym_preproc_def_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token2] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1448),
    [aux_sym_preproc_else_token1] = ACTIONS(1448),
    [aux_sym_preproc_elif_token1] = ACTIONS(1448),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1448),
    [sym_preproc_directive] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym___extension__] = ACTIONS(1448),
    [anon_sym_typedef] = ACTIONS(1448),
    [anon_sym_extern] = ACTIONS(1448),
    [anon_sym___attribute__] = ACTIONS(1448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1450),
    [anon_sym___declspec] = ACTIONS(1448),
    [anon_sym___cdecl] = ACTIONS(1448),
    [anon_sym___clrcall] = ACTIONS(1448),
    [anon_sym___stdcall] = ACTIONS(1448),
    [anon_sym___fastcall] = ACTIONS(1448),
    [anon_sym___thiscall] = ACTIONS(1448),
    [anon_sym___vectorcall] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_signed] = ACTIONS(1448),
    [anon_sym_unsigned] = ACTIONS(1448),
    [anon_sym_long] = ACTIONS(1448),
    [anon_sym_short] = ACTIONS(1448),
    [anon_sym_static] = ACTIONS(1448),
    [anon_sym_auto] = ACTIONS(1448),
    [anon_sym_register] = ACTIONS(1448),
    [anon_sym_inline] = ACTIONS(1448),
    [anon_sym___inline] = ACTIONS(1448),
    [anon_sym___inline__] = ACTIONS(1448),
    [anon_sym___forceinline] = ACTIONS(1448),
    [anon_sym_thread_local] = ACTIONS(1448),
    [anon_sym___thread] = ACTIONS(1448),
    [anon_sym_const] = ACTIONS(1448),
    [anon_sym_constexpr] = ACTIONS(1448),
    [anon_sym_volatile] = ACTIONS(1448),
    [anon_sym_restrict] = ACTIONS(1448),
    [anon_sym___restrict__] = ACTIONS(1448),
    [anon_sym__Atomic] = ACTIONS(1448),
    [anon_sym__Noreturn] = ACTIONS(1448),
    [anon_sym_noreturn] = ACTIONS(1448),
    [sym_primitive_type] = ACTIONS(1448),
    [anon_sym_enum] = ACTIONS(1448),
    [anon_sym_struct] = ACTIONS(1448),
    [anon_sym_union] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1448),
    [anon_sym_switch] = ACTIONS(1448),
    [anon_sym_case] = ACTIONS(1448),
    [anon_sym_default] = ACTIONS(1448),
    [anon_sym_while] = ACTIONS(1448),
    [anon_sym_do] = ACTIONS(1448),
    [anon_sym_for] = ACTIONS(1448),
    [anon_sym_return] = ACTIONS(1448),
    [anon_sym_break] = ACTIONS(1448),
    [anon_sym_continue] = ACTIONS(1448),
    [anon_sym_goto] = ACTIONS(1448),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_sizeof] = ACTIONS(1448),
    [anon_sym___alignof__] = ACTIONS(1448),
    [anon_sym___alignof] = ACTIONS(1448),
    [anon_sym__alignof] = ACTIONS(1448),
    [anon_sym_alignof] = ACTIONS(1448),
    [anon_sym__Alignof] = ACTIONS(1448),
    [anon_sym_offsetof] = ACTIONS(1448),
    [anon_sym__Generic] = ACTIONS(1448),
    [anon_sym_asm] = ACTIONS(1448),
    [anon_sym___asm__] = ACTIONS(1448),
    [sym_number_literal] = ACTIONS(1450),
    [anon_sym_L_SQUOTE] = ACTIONS(1450),
    [anon_sym_u_SQUOTE] = ACTIONS(1450),
    [anon_sym_U_SQUOTE] = ACTIONS(1450),
    [anon_sym_u8_SQUOTE] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_L_DQUOTE] = ACTIONS(1450),
    [anon_sym_u_DQUOTE] = ACTIONS(1450),
    [anon_sym_U_DQUOTE] = ACTIONS(1450),
    [anon_sym_u8_DQUOTE] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [sym_true] = ACTIONS(1448),
    [sym_false] = ACTIONS(1448),
    [anon_sym_NULL] = ACTIONS(1448),
    [anon_sym_nullptr] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_identifier] = ACTIONS(1452),
    [aux_sym_preproc_include_token1] = ACTIONS(1452),
    [aux_sym_preproc_def_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token2] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1452),
    [aux_sym_preproc_else_token1] = ACTIONS(1452),
    [aux_sym_preproc_elif_token1] = ACTIONS(1452),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1452),
    [sym_preproc_directive] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym___extension__] = ACTIONS(1452),
    [anon_sym_typedef] = ACTIONS(1452),
    [anon_sym_extern] = ACTIONS(1452),
    [anon_sym___attribute__] = ACTIONS(1452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym___declspec] = ACTIONS(1452),
    [anon_sym___cdecl] = ACTIONS(1452),
    [anon_sym___clrcall] = ACTIONS(1452),
    [anon_sym___stdcall] = ACTIONS(1452),
    [anon_sym___fastcall] = ACTIONS(1452),
    [anon_sym___thiscall] = ACTIONS(1452),
    [anon_sym___vectorcall] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_signed] = ACTIONS(1452),
    [anon_sym_unsigned] = ACTIONS(1452),
    [anon_sym_long] = ACTIONS(1452),
    [anon_sym_short] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_auto] = ACTIONS(1452),
    [anon_sym_register] = ACTIONS(1452),
    [anon_sym_inline] = ACTIONS(1452),
    [anon_sym___inline] = ACTIONS(1452),
    [anon_sym___inline__] = ACTIONS(1452),
    [anon_sym___forceinline] = ACTIONS(1452),
    [anon_sym_thread_local] = ACTIONS(1452),
    [anon_sym___thread] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_constexpr] = ACTIONS(1452),
    [anon_sym_volatile] = ACTIONS(1452),
    [anon_sym_restrict] = ACTIONS(1452),
    [anon_sym___restrict__] = ACTIONS(1452),
    [anon_sym__Atomic] = ACTIONS(1452),
    [anon_sym__Noreturn] = ACTIONS(1452),
    [anon_sym_noreturn] = ACTIONS(1452),
    [sym_primitive_type] = ACTIONS(1452),
    [anon_sym_enum] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1452),
    [anon_sym_union] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_switch] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_do] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_return] = ACTIONS(1452),
    [anon_sym_break] = ACTIONS(1452),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_goto] = ACTIONS(1452),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_sizeof] = ACTIONS(1452),
    [anon_sym___alignof__] = ACTIONS(1452),
    [anon_sym___alignof] = ACTIONS(1452),
    [anon_sym__alignof] = ACTIONS(1452),
    [anon_sym_alignof] = ACTIONS(1452),
    [anon_sym__Alignof] = ACTIONS(1452),
    [anon_sym_offsetof] = ACTIONS(1452),
    [anon_sym__Generic] = ACTIONS(1452),
    [anon_sym_asm] = ACTIONS(1452),
    [anon_sym___asm__] = ACTIONS(1452),
    [sym_number_literal] = ACTIONS(1454),
    [anon_sym_L_SQUOTE] = ACTIONS(1454),
    [anon_sym_u_SQUOTE] = ACTIONS(1454),
    [anon_sym_U_SQUOTE] = ACTIONS(1454),
    [anon_sym_u8_SQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_L_DQUOTE] = ACTIONS(1454),
    [anon_sym_u_DQUOTE] = ACTIONS(1454),
    [anon_sym_U_DQUOTE] = ACTIONS(1454),
    [anon_sym_u8_DQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [anon_sym_NULL] = ACTIONS(1452),
    [anon_sym_nullptr] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1456),
    [aux_sym_preproc_def_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token2] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1456),
    [aux_sym_preproc_else_token1] = ACTIONS(1456),
    [aux_sym_preproc_elif_token1] = ACTIONS(1456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1456),
    [sym_preproc_directive] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [anon_sym___extension__] = ACTIONS(1456),
    [anon_sym_typedef] = ACTIONS(1456),
    [anon_sym_extern] = ACTIONS(1456),
    [anon_sym___attribute__] = ACTIONS(1456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1458),
    [anon_sym___declspec] = ACTIONS(1456),
    [anon_sym___cdecl] = ACTIONS(1456),
    [anon_sym___clrcall] = ACTIONS(1456),
    [anon_sym___stdcall] = ACTIONS(1456),
    [anon_sym___fastcall] = ACTIONS(1456),
    [anon_sym___thiscall] = ACTIONS(1456),
    [anon_sym___vectorcall] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_signed] = ACTIONS(1456),
    [anon_sym_unsigned] = ACTIONS(1456),
    [anon_sym_long] = ACTIONS(1456),
    [anon_sym_short] = ACTIONS(1456),
    [anon_sym_static] = ACTIONS(1456),
    [anon_sym_auto] = ACTIONS(1456),
    [anon_sym_register] = ACTIONS(1456),
    [anon_sym_inline] = ACTIONS(1456),
    [anon_sym___inline] = ACTIONS(1456),
    [anon_sym___inline__] = ACTIONS(1456),
    [anon_sym___forceinline] = ACTIONS(1456),
    [anon_sym_thread_local] = ACTIONS(1456),
    [anon_sym___thread] = ACTIONS(1456),
    [anon_sym_const] = ACTIONS(1456),
    [anon_sym_constexpr] = ACTIONS(1456),
    [anon_sym_volatile] = ACTIONS(1456),
    [anon_sym_restrict] = ACTIONS(1456),
    [anon_sym___restrict__] = ACTIONS(1456),
    [anon_sym__Atomic] = ACTIONS(1456),
    [anon_sym__Noreturn] = ACTIONS(1456),
    [anon_sym_noreturn] = ACTIONS(1456),
    [sym_primitive_type] = ACTIONS(1456),
    [anon_sym_enum] = ACTIONS(1456),
    [anon_sym_struct] = ACTIONS(1456),
    [anon_sym_union] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1456),
    [anon_sym_switch] = ACTIONS(1456),
    [anon_sym_case] = ACTIONS(1456),
    [anon_sym_default] = ACTIONS(1456),
    [anon_sym_while] = ACTIONS(1456),
    [anon_sym_do] = ACTIONS(1456),
    [anon_sym_for] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(1456),
    [anon_sym_break] = ACTIONS(1456),
    [anon_sym_continue] = ACTIONS(1456),
    [anon_sym_goto] = ACTIONS(1456),
    [anon_sym___try] = ACTIONS(1456),
    [anon_sym___leave] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_sizeof] = ACTIONS(1456),
    [anon_sym___alignof__] = ACTIONS(1456),
    [anon_sym___alignof] = ACTIONS(1456),
    [anon_sym__alignof] = ACTIONS(1456),
    [anon_sym_alignof] = ACTIONS(1456),
    [anon_sym__Alignof] = ACTIONS(1456),
    [anon_sym_offsetof] = ACTIONS(1456),
    [anon_sym__Generic] = ACTIONS(1456),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1458),
    [anon_sym_L_SQUOTE] = ACTIONS(1458),
    [anon_sym_u_SQUOTE] = ACTIONS(1458),
    [anon_sym_U_SQUOTE] = ACTIONS(1458),
    [anon_sym_u8_SQUOTE] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_L_DQUOTE] = ACTIONS(1458),
    [anon_sym_u_DQUOTE] = ACTIONS(1458),
    [anon_sym_U_DQUOTE] = ACTIONS(1458),
    [anon_sym_u8_DQUOTE] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [sym_true] = ACTIONS(1456),
    [sym_false] = ACTIONS(1456),
    [anon_sym_NULL] = ACTIONS(1456),
    [anon_sym_nullptr] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_identifier] = ACTIONS(1460),
    [aux_sym_preproc_include_token1] = ACTIONS(1460),
    [aux_sym_preproc_def_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token2] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1460),
    [aux_sym_preproc_else_token1] = ACTIONS(1460),
    [aux_sym_preproc_elif_token1] = ACTIONS(1460),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1460),
    [sym_preproc_directive] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym___extension__] = ACTIONS(1460),
    [anon_sym_typedef] = ACTIONS(1460),
    [anon_sym_extern] = ACTIONS(1460),
    [anon_sym___attribute__] = ACTIONS(1460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1462),
    [anon_sym___declspec] = ACTIONS(1460),
    [anon_sym___cdecl] = ACTIONS(1460),
    [anon_sym___clrcall] = ACTIONS(1460),
    [anon_sym___stdcall] = ACTIONS(1460),
    [anon_sym___fastcall] = ACTIONS(1460),
    [anon_sym___thiscall] = ACTIONS(1460),
    [anon_sym___vectorcall] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_signed] = ACTIONS(1460),
    [anon_sym_unsigned] = ACTIONS(1460),
    [anon_sym_long] = ACTIONS(1460),
    [anon_sym_short] = ACTIONS(1460),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_auto] = ACTIONS(1460),
    [anon_sym_register] = ACTIONS(1460),
    [anon_sym_inline] = ACTIONS(1460),
    [anon_sym___inline] = ACTIONS(1460),
    [anon_sym___inline__] = ACTIONS(1460),
    [anon_sym___forceinline] = ACTIONS(1460),
    [anon_sym_thread_local] = ACTIONS(1460),
    [anon_sym___thread] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_constexpr] = ACTIONS(1460),
    [anon_sym_volatile] = ACTIONS(1460),
    [anon_sym_restrict] = ACTIONS(1460),
    [anon_sym___restrict__] = ACTIONS(1460),
    [anon_sym__Atomic] = ACTIONS(1460),
    [anon_sym__Noreturn] = ACTIONS(1460),
    [anon_sym_noreturn] = ACTIONS(1460),
    [sym_primitive_type] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_struct] = ACTIONS(1460),
    [anon_sym_union] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_goto] = ACTIONS(1460),
    [anon_sym___try] = ACTIONS(1460),
    [anon_sym___leave] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_sizeof] = ACTIONS(1460),
    [anon_sym___alignof__] = ACTIONS(1460),
    [anon_sym___alignof] = ACTIONS(1460),
    [anon_sym__alignof] = ACTIONS(1460),
    [anon_sym_alignof] = ACTIONS(1460),
    [anon_sym__Alignof] = ACTIONS(1460),
    [anon_sym_offsetof] = ACTIONS(1460),
    [anon_sym__Generic] = ACTIONS(1460),
    [anon_sym_asm] = ACTIONS(1460),
    [anon_sym___asm__] = ACTIONS(1460),
    [sym_number_literal] = ACTIONS(1462),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1462),
    [anon_sym_u_DQUOTE] = ACTIONS(1462),
    [anon_sym_U_DQUOTE] = ACTIONS(1462),
    [anon_sym_u8_DQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [anon_sym_NULL] = ACTIONS(1460),
    [anon_sym_nullptr] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_identifier] = ACTIONS(1464),
    [aux_sym_preproc_include_token1] = ACTIONS(1464),
    [aux_sym_preproc_def_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token2] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1464),
    [aux_sym_preproc_else_token1] = ACTIONS(1464),
    [aux_sym_preproc_elif_token1] = ACTIONS(1464),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1464),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1464),
    [sym_preproc_directive] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [anon_sym___extension__] = ACTIONS(1464),
    [anon_sym_typedef] = ACTIONS(1464),
    [anon_sym_extern] = ACTIONS(1464),
    [anon_sym___attribute__] = ACTIONS(1464),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1466),
    [anon_sym___declspec] = ACTIONS(1464),
    [anon_sym___cdecl] = ACTIONS(1464),
    [anon_sym___clrcall] = ACTIONS(1464),
    [anon_sym___stdcall] = ACTIONS(1464),
    [anon_sym___fastcall] = ACTIONS(1464),
    [anon_sym___thiscall] = ACTIONS(1464),
    [anon_sym___vectorcall] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_signed] = ACTIONS(1464),
    [anon_sym_unsigned] = ACTIONS(1464),
    [anon_sym_long] = ACTIONS(1464),
    [anon_sym_short] = ACTIONS(1464),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_auto] = ACTIONS(1464),
    [anon_sym_register] = ACTIONS(1464),
    [anon_sym_inline] = ACTIONS(1464),
    [anon_sym___inline] = ACTIONS(1464),
    [anon_sym___inline__] = ACTIONS(1464),
    [anon_sym___forceinline] = ACTIONS(1464),
    [anon_sym_thread_local] = ACTIONS(1464),
    [anon_sym___thread] = ACTIONS(1464),
    [anon_sym_const] = ACTIONS(1464),
    [anon_sym_constexpr] = ACTIONS(1464),
    [anon_sym_volatile] = ACTIONS(1464),
    [anon_sym_restrict] = ACTIONS(1464),
    [anon_sym___restrict__] = ACTIONS(1464),
    [anon_sym__Atomic] = ACTIONS(1464),
    [anon_sym__Noreturn] = ACTIONS(1464),
    [anon_sym_noreturn] = ACTIONS(1464),
    [sym_primitive_type] = ACTIONS(1464),
    [anon_sym_enum] = ACTIONS(1464),
    [anon_sym_struct] = ACTIONS(1464),
    [anon_sym_union] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_switch] = ACTIONS(1464),
    [anon_sym_case] = ACTIONS(1464),
    [anon_sym_default] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_do] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_return] = ACTIONS(1464),
    [anon_sym_break] = ACTIONS(1464),
    [anon_sym_continue] = ACTIONS(1464),
    [anon_sym_goto] = ACTIONS(1464),
    [anon_sym___try] = ACTIONS(1464),
    [anon_sym___leave] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [anon_sym_sizeof] = ACTIONS(1464),
    [anon_sym___alignof__] = ACTIONS(1464),
    [anon_sym___alignof] = ACTIONS(1464),
    [anon_sym__alignof] = ACTIONS(1464),
    [anon_sym_alignof] = ACTIONS(1464),
    [anon_sym__Alignof] = ACTIONS(1464),
    [anon_sym_offsetof] = ACTIONS(1464),
    [anon_sym__Generic] = ACTIONS(1464),
    [anon_sym_asm] = ACTIONS(1464),
    [anon_sym___asm__] = ACTIONS(1464),
    [sym_number_literal] = ACTIONS(1466),
    [anon_sym_L_SQUOTE] = ACTIONS(1466),
    [anon_sym_u_SQUOTE] = ACTIONS(1466),
    [anon_sym_U_SQUOTE] = ACTIONS(1466),
    [anon_sym_u8_SQUOTE] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_L_DQUOTE] = ACTIONS(1466),
    [anon_sym_u_DQUOTE] = ACTIONS(1466),
    [anon_sym_U_DQUOTE] = ACTIONS(1466),
    [anon_sym_u8_DQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [anon_sym_NULL] = ACTIONS(1464),
    [anon_sym_nullptr] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_identifier] = ACTIONS(1468),
    [aux_sym_preproc_include_token1] = ACTIONS(1468),
    [aux_sym_preproc_def_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token2] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1468),
    [aux_sym_preproc_else_token1] = ACTIONS(1468),
    [aux_sym_preproc_elif_token1] = ACTIONS(1468),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1468),
    [sym_preproc_directive] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [anon_sym___extension__] = ACTIONS(1468),
    [anon_sym_typedef] = ACTIONS(1468),
    [anon_sym_extern] = ACTIONS(1468),
    [anon_sym___attribute__] = ACTIONS(1468),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1470),
    [anon_sym___declspec] = ACTIONS(1468),
    [anon_sym___cdecl] = ACTIONS(1468),
    [anon_sym___clrcall] = ACTIONS(1468),
    [anon_sym___stdcall] = ACTIONS(1468),
    [anon_sym___fastcall] = ACTIONS(1468),
    [anon_sym___thiscall] = ACTIONS(1468),
    [anon_sym___vectorcall] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_signed] = ACTIONS(1468),
    [anon_sym_unsigned] = ACTIONS(1468),
    [anon_sym_long] = ACTIONS(1468),
    [anon_sym_short] = ACTIONS(1468),
    [anon_sym_static] = ACTIONS(1468),
    [anon_sym_auto] = ACTIONS(1468),
    [anon_sym_register] = ACTIONS(1468),
    [anon_sym_inline] = ACTIONS(1468),
    [anon_sym___inline] = ACTIONS(1468),
    [anon_sym___inline__] = ACTIONS(1468),
    [anon_sym___forceinline] = ACTIONS(1468),
    [anon_sym_thread_local] = ACTIONS(1468),
    [anon_sym___thread] = ACTIONS(1468),
    [anon_sym_const] = ACTIONS(1468),
    [anon_sym_constexpr] = ACTIONS(1468),
    [anon_sym_volatile] = ACTIONS(1468),
    [anon_sym_restrict] = ACTIONS(1468),
    [anon_sym___restrict__] = ACTIONS(1468),
    [anon_sym__Atomic] = ACTIONS(1468),
    [anon_sym__Noreturn] = ACTIONS(1468),
    [anon_sym_noreturn] = ACTIONS(1468),
    [sym_primitive_type] = ACTIONS(1468),
    [anon_sym_enum] = ACTIONS(1468),
    [anon_sym_struct] = ACTIONS(1468),
    [anon_sym_union] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_switch] = ACTIONS(1468),
    [anon_sym_case] = ACTIONS(1468),
    [anon_sym_default] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_do] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_return] = ACTIONS(1468),
    [anon_sym_break] = ACTIONS(1468),
    [anon_sym_continue] = ACTIONS(1468),
    [anon_sym_goto] = ACTIONS(1468),
    [anon_sym___try] = ACTIONS(1468),
    [anon_sym___leave] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [anon_sym_sizeof] = ACTIONS(1468),
    [anon_sym___alignof__] = ACTIONS(1468),
    [anon_sym___alignof] = ACTIONS(1468),
    [anon_sym__alignof] = ACTIONS(1468),
    [anon_sym_alignof] = ACTIONS(1468),
    [anon_sym__Alignof] = ACTIONS(1468),
    [anon_sym_offsetof] = ACTIONS(1468),
    [anon_sym__Generic] = ACTIONS(1468),
    [anon_sym_asm] = ACTIONS(1468),
    [anon_sym___asm__] = ACTIONS(1468),
    [sym_number_literal] = ACTIONS(1470),
    [anon_sym_L_SQUOTE] = ACTIONS(1470),
    [anon_sym_u_SQUOTE] = ACTIONS(1470),
    [anon_sym_U_SQUOTE] = ACTIONS(1470),
    [anon_sym_u8_SQUOTE] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_L_DQUOTE] = ACTIONS(1470),
    [anon_sym_u_DQUOTE] = ACTIONS(1470),
    [anon_sym_U_DQUOTE] = ACTIONS(1470),
    [anon_sym_u8_DQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [anon_sym_NULL] = ACTIONS(1468),
    [anon_sym_nullptr] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_identifier] = ACTIONS(1472),
    [aux_sym_preproc_include_token1] = ACTIONS(1472),
    [aux_sym_preproc_def_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token2] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1472),
    [aux_sym_preproc_else_token1] = ACTIONS(1472),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1472),
    [sym_preproc_directive] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(1472),
    [anon_sym_typedef] = ACTIONS(1472),
    [anon_sym_extern] = ACTIONS(1472),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1474),
    [anon_sym___declspec] = ACTIONS(1472),
    [anon_sym___cdecl] = ACTIONS(1472),
    [anon_sym___clrcall] = ACTIONS(1472),
    [anon_sym___stdcall] = ACTIONS(1472),
    [anon_sym___fastcall] = ACTIONS(1472),
    [anon_sym___thiscall] = ACTIONS(1472),
    [anon_sym___vectorcall] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_signed] = ACTIONS(1472),
    [anon_sym_unsigned] = ACTIONS(1472),
    [anon_sym_long] = ACTIONS(1472),
    [anon_sym_short] = ACTIONS(1472),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_auto] = ACTIONS(1472),
    [anon_sym_register] = ACTIONS(1472),
    [anon_sym_inline] = ACTIONS(1472),
    [anon_sym___inline] = ACTIONS(1472),
    [anon_sym___inline__] = ACTIONS(1472),
    [anon_sym___forceinline] = ACTIONS(1472),
    [anon_sym_thread_local] = ACTIONS(1472),
    [anon_sym___thread] = ACTIONS(1472),
    [anon_sym_const] = ACTIONS(1472),
    [anon_sym_constexpr] = ACTIONS(1472),
    [anon_sym_volatile] = ACTIONS(1472),
    [anon_sym_restrict] = ACTIONS(1472),
    [anon_sym___restrict__] = ACTIONS(1472),
    [anon_sym__Atomic] = ACTIONS(1472),
    [anon_sym__Noreturn] = ACTIONS(1472),
    [anon_sym_noreturn] = ACTIONS(1472),
    [sym_primitive_type] = ACTIONS(1472),
    [anon_sym_enum] = ACTIONS(1472),
    [anon_sym_struct] = ACTIONS(1472),
    [anon_sym_union] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(1472),
    [anon_sym_case] = ACTIONS(1472),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_do] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(1472),
    [anon_sym_break] = ACTIONS(1472),
    [anon_sym_continue] = ACTIONS(1472),
    [anon_sym_goto] = ACTIONS(1472),
    [anon_sym___try] = ACTIONS(1472),
    [anon_sym___leave] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [anon_sym_sizeof] = ACTIONS(1472),
    [anon_sym___alignof__] = ACTIONS(1472),
    [anon_sym___alignof] = ACTIONS(1472),
    [anon_sym__alignof] = ACTIONS(1472),
    [anon_sym_alignof] = ACTIONS(1472),
    [anon_sym__Alignof] = ACTIONS(1472),
    [anon_sym_offsetof] = ACTIONS(1472),
    [anon_sym__Generic] = ACTIONS(1472),
    [anon_sym_asm] = ACTIONS(1472),
    [anon_sym___asm__] = ACTIONS(1472),
    [sym_number_literal] = ACTIONS(1474),
    [anon_sym_L_SQUOTE] = ACTIONS(1474),
    [anon_sym_u_SQUOTE] = ACTIONS(1474),
    [anon_sym_U_SQUOTE] = ACTIONS(1474),
    [anon_sym_u8_SQUOTE] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_L_DQUOTE] = ACTIONS(1474),
    [anon_sym_u_DQUOTE] = ACTIONS(1474),
    [anon_sym_U_DQUOTE] = ACTIONS(1474),
    [anon_sym_u8_DQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [anon_sym_NULL] = ACTIONS(1472),
    [anon_sym_nullptr] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_identifier] = ACTIONS(1476),
    [aux_sym_preproc_include_token1] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token2] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [aux_sym_preproc_else_token1] = ACTIONS(1476),
    [aux_sym_preproc_elif_token1] = ACTIONS(1476),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym___extension__] = ACTIONS(1476),
    [anon_sym_typedef] = ACTIONS(1476),
    [anon_sym_extern] = ACTIONS(1476),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1476),
    [anon_sym___cdecl] = ACTIONS(1476),
    [anon_sym___clrcall] = ACTIONS(1476),
    [anon_sym___stdcall] = ACTIONS(1476),
    [anon_sym___fastcall] = ACTIONS(1476),
    [anon_sym___thiscall] = ACTIONS(1476),
    [anon_sym___vectorcall] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_signed] = ACTIONS(1476),
    [anon_sym_unsigned] = ACTIONS(1476),
    [anon_sym_long] = ACTIONS(1476),
    [anon_sym_short] = ACTIONS(1476),
    [anon_sym_static] = ACTIONS(1476),
    [anon_sym_auto] = ACTIONS(1476),
    [anon_sym_register] = ACTIONS(1476),
    [anon_sym_inline] = ACTIONS(1476),
    [anon_sym___inline] = ACTIONS(1476),
    [anon_sym___inline__] = ACTIONS(1476),
    [anon_sym___forceinline] = ACTIONS(1476),
    [anon_sym_thread_local] = ACTIONS(1476),
    [anon_sym___thread] = ACTIONS(1476),
    [anon_sym_const] = ACTIONS(1476),
    [anon_sym_constexpr] = ACTIONS(1476),
    [anon_sym_volatile] = ACTIONS(1476),
    [anon_sym_restrict] = ACTIONS(1476),
    [anon_sym___restrict__] = ACTIONS(1476),
    [anon_sym__Atomic] = ACTIONS(1476),
    [anon_sym__Noreturn] = ACTIONS(1476),
    [anon_sym_noreturn] = ACTIONS(1476),
    [sym_primitive_type] = ACTIONS(1476),
    [anon_sym_enum] = ACTIONS(1476),
    [anon_sym_struct] = ACTIONS(1476),
    [anon_sym_union] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_switch] = ACTIONS(1476),
    [anon_sym_case] = ACTIONS(1476),
    [anon_sym_default] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_do] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1476),
    [anon_sym_break] = ACTIONS(1476),
    [anon_sym_continue] = ACTIONS(1476),
    [anon_sym_goto] = ACTIONS(1476),
    [anon_sym___try] = ACTIONS(1476),
    [anon_sym___leave] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [anon_sym_sizeof] = ACTIONS(1476),
    [anon_sym___alignof__] = ACTIONS(1476),
    [anon_sym___alignof] = ACTIONS(1476),
    [anon_sym__alignof] = ACTIONS(1476),
    [anon_sym_alignof] = ACTIONS(1476),
    [anon_sym__Alignof] = ACTIONS(1476),
    [anon_sym_offsetof] = ACTIONS(1476),
    [anon_sym__Generic] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1476),
    [anon_sym___asm__] = ACTIONS(1476),
    [sym_number_literal] = ACTIONS(1478),
    [anon_sym_L_SQUOTE] = ACTIONS(1478),
    [anon_sym_u_SQUOTE] = ACTIONS(1478),
    [anon_sym_U_SQUOTE] = ACTIONS(1478),
    [anon_sym_u8_SQUOTE] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_L_DQUOTE] = ACTIONS(1478),
    [anon_sym_u_DQUOTE] = ACTIONS(1478),
    [anon_sym_U_DQUOTE] = ACTIONS(1478),
    [anon_sym_u8_DQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [anon_sym_NULL] = ACTIONS(1476),
    [anon_sym_nullptr] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_identifier] = ACTIONS(1480),
    [aux_sym_preproc_include_token1] = ACTIONS(1480),
    [aux_sym_preproc_def_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token2] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1480),
    [aux_sym_preproc_else_token1] = ACTIONS(1480),
    [aux_sym_preproc_elif_token1] = ACTIONS(1480),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1480),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1480),
    [sym_preproc_directive] = ACTIONS(1480),
    [anon_sym_LPAREN2] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(1480),
    [anon_sym_typedef] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(1480),
    [anon_sym___attribute__] = ACTIONS(1480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1480),
    [anon_sym___cdecl] = ACTIONS(1480),
    [anon_sym___clrcall] = ACTIONS(1480),
    [anon_sym___stdcall] = ACTIONS(1480),
    [anon_sym___fastcall] = ACTIONS(1480),
    [anon_sym___thiscall] = ACTIONS(1480),
    [anon_sym___vectorcall] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_signed] = ACTIONS(1480),
    [anon_sym_unsigned] = ACTIONS(1480),
    [anon_sym_long] = ACTIONS(1480),
    [anon_sym_short] = ACTIONS(1480),
    [anon_sym_static] = ACTIONS(1480),
    [anon_sym_auto] = ACTIONS(1480),
    [anon_sym_register] = ACTIONS(1480),
    [anon_sym_inline] = ACTIONS(1480),
    [anon_sym___inline] = ACTIONS(1480),
    [anon_sym___inline__] = ACTIONS(1480),
    [anon_sym___forceinline] = ACTIONS(1480),
    [anon_sym_thread_local] = ACTIONS(1480),
    [anon_sym___thread] = ACTIONS(1480),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_constexpr] = ACTIONS(1480),
    [anon_sym_volatile] = ACTIONS(1480),
    [anon_sym_restrict] = ACTIONS(1480),
    [anon_sym___restrict__] = ACTIONS(1480),
    [anon_sym__Atomic] = ACTIONS(1480),
    [anon_sym__Noreturn] = ACTIONS(1480),
    [anon_sym_noreturn] = ACTIONS(1480),
    [sym_primitive_type] = ACTIONS(1480),
    [anon_sym_enum] = ACTIONS(1480),
    [anon_sym_struct] = ACTIONS(1480),
    [anon_sym_union] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_switch] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_do] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_return] = ACTIONS(1480),
    [anon_sym_break] = ACTIONS(1480),
    [anon_sym_continue] = ACTIONS(1480),
    [anon_sym_goto] = ACTIONS(1480),
    [anon_sym___try] = ACTIONS(1480),
    [anon_sym___leave] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_sizeof] = ACTIONS(1480),
    [anon_sym___alignof__] = ACTIONS(1480),
    [anon_sym___alignof] = ACTIONS(1480),
    [anon_sym__alignof] = ACTIONS(1480),
    [anon_sym_alignof] = ACTIONS(1480),
    [anon_sym__Alignof] = ACTIONS(1480),
    [anon_sym_offsetof] = ACTIONS(1480),
    [anon_sym__Generic] = ACTIONS(1480),
    [anon_sym_asm] = ACTIONS(1480),
    [anon_sym___asm__] = ACTIONS(1480),
    [sym_number_literal] = ACTIONS(1482),
    [anon_sym_L_SQUOTE] = ACTIONS(1482),
    [anon_sym_u_SQUOTE] = ACTIONS(1482),
    [anon_sym_U_SQUOTE] = ACTIONS(1482),
    [anon_sym_u8_SQUOTE] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_L_DQUOTE] = ACTIONS(1482),
    [anon_sym_u_DQUOTE] = ACTIONS(1482),
    [anon_sym_U_DQUOTE] = ACTIONS(1482),
    [anon_sym_u8_DQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [anon_sym_NULL] = ACTIONS(1480),
    [anon_sym_nullptr] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_identifier] = ACTIONS(1484),
    [aux_sym_preproc_include_token1] = ACTIONS(1484),
    [aux_sym_preproc_def_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token2] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1484),
    [aux_sym_preproc_else_token1] = ACTIONS(1484),
    [aux_sym_preproc_elif_token1] = ACTIONS(1484),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1484),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1484),
    [sym_preproc_directive] = ACTIONS(1484),
    [anon_sym_LPAREN2] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1486),
    [anon_sym___extension__] = ACTIONS(1484),
    [anon_sym_typedef] = ACTIONS(1484),
    [anon_sym_extern] = ACTIONS(1484),
    [anon_sym___attribute__] = ACTIONS(1484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym___declspec] = ACTIONS(1484),
    [anon_sym___cdecl] = ACTIONS(1484),
    [anon_sym___clrcall] = ACTIONS(1484),
    [anon_sym___stdcall] = ACTIONS(1484),
    [anon_sym___fastcall] = ACTIONS(1484),
    [anon_sym___thiscall] = ACTIONS(1484),
    [anon_sym___vectorcall] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_signed] = ACTIONS(1484),
    [anon_sym_unsigned] = ACTIONS(1484),
    [anon_sym_long] = ACTIONS(1484),
    [anon_sym_short] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(1484),
    [anon_sym_auto] = ACTIONS(1484),
    [anon_sym_register] = ACTIONS(1484),
    [anon_sym_inline] = ACTIONS(1484),
    [anon_sym___inline] = ACTIONS(1484),
    [anon_sym___inline__] = ACTIONS(1484),
    [anon_sym___forceinline] = ACTIONS(1484),
    [anon_sym_thread_local] = ACTIONS(1484),
    [anon_sym___thread] = ACTIONS(1484),
    [anon_sym_const] = ACTIONS(1484),
    [anon_sym_constexpr] = ACTIONS(1484),
    [anon_sym_volatile] = ACTIONS(1484),
    [anon_sym_restrict] = ACTIONS(1484),
    [anon_sym___restrict__] = ACTIONS(1484),
    [anon_sym__Atomic] = ACTIONS(1484),
    [anon_sym__Noreturn] = ACTIONS(1484),
    [anon_sym_noreturn] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(1484),
    [anon_sym_enum] = ACTIONS(1484),
    [anon_sym_struct] = ACTIONS(1484),
    [anon_sym_union] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_switch] = ACTIONS(1484),
    [anon_sym_case] = ACTIONS(1484),
    [anon_sym_default] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_do] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_return] = ACTIONS(1484),
    [anon_sym_break] = ACTIONS(1484),
    [anon_sym_continue] = ACTIONS(1484),
    [anon_sym_goto] = ACTIONS(1484),
    [anon_sym___try] = ACTIONS(1484),
    [anon_sym___leave] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [anon_sym_sizeof] = ACTIONS(1484),
    [anon_sym___alignof__] = ACTIONS(1484),
    [anon_sym___alignof] = ACTIONS(1484),
    [anon_sym__alignof] = ACTIONS(1484),
    [anon_sym_alignof] = ACTIONS(1484),
    [anon_sym__Alignof] = ACTIONS(1484),
    [anon_sym_offsetof] = ACTIONS(1484),
    [anon_sym__Generic] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1484),
    [anon_sym___asm__] = ACTIONS(1484),
    [sym_number_literal] = ACTIONS(1486),
    [anon_sym_L_SQUOTE] = ACTIONS(1486),
    [anon_sym_u_SQUOTE] = ACTIONS(1486),
    [anon_sym_U_SQUOTE] = ACTIONS(1486),
    [anon_sym_u8_SQUOTE] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_L_DQUOTE] = ACTIONS(1486),
    [anon_sym_u_DQUOTE] = ACTIONS(1486),
    [anon_sym_U_DQUOTE] = ACTIONS(1486),
    [anon_sym_u8_DQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [anon_sym_NULL] = ACTIONS(1484),
    [anon_sym_nullptr] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_identifier] = ACTIONS(1488),
    [aux_sym_preproc_include_token1] = ACTIONS(1488),
    [aux_sym_preproc_def_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token2] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1488),
    [aux_sym_preproc_else_token1] = ACTIONS(1488),
    [aux_sym_preproc_elif_token1] = ACTIONS(1488),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1488),
    [sym_preproc_directive] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym___extension__] = ACTIONS(1488),
    [anon_sym_typedef] = ACTIONS(1488),
    [anon_sym_extern] = ACTIONS(1488),
    [anon_sym___attribute__] = ACTIONS(1488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1490),
    [anon_sym___declspec] = ACTIONS(1488),
    [anon_sym___cdecl] = ACTIONS(1488),
    [anon_sym___clrcall] = ACTIONS(1488),
    [anon_sym___stdcall] = ACTIONS(1488),
    [anon_sym___fastcall] = ACTIONS(1488),
    [anon_sym___thiscall] = ACTIONS(1488),
    [anon_sym___vectorcall] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_signed] = ACTIONS(1488),
    [anon_sym_unsigned] = ACTIONS(1488),
    [anon_sym_long] = ACTIONS(1488),
    [anon_sym_short] = ACTIONS(1488),
    [anon_sym_static] = ACTIONS(1488),
    [anon_sym_auto] = ACTIONS(1488),
    [anon_sym_register] = ACTIONS(1488),
    [anon_sym_inline] = ACTIONS(1488),
    [anon_sym___inline] = ACTIONS(1488),
    [anon_sym___inline__] = ACTIONS(1488),
    [anon_sym___forceinline] = ACTIONS(1488),
    [anon_sym_thread_local] = ACTIONS(1488),
    [anon_sym___thread] = ACTIONS(1488),
    [anon_sym_const] = ACTIONS(1488),
    [anon_sym_constexpr] = ACTIONS(1488),
    [anon_sym_volatile] = ACTIONS(1488),
    [anon_sym_restrict] = ACTIONS(1488),
    [anon_sym___restrict__] = ACTIONS(1488),
    [anon_sym__Atomic] = ACTIONS(1488),
    [anon_sym__Noreturn] = ACTIONS(1488),
    [anon_sym_noreturn] = ACTIONS(1488),
    [sym_primitive_type] = ACTIONS(1488),
    [anon_sym_enum] = ACTIONS(1488),
    [anon_sym_struct] = ACTIONS(1488),
    [anon_sym_union] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(1488),
    [anon_sym_case] = ACTIONS(1488),
    [anon_sym_default] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_do] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_break] = ACTIONS(1488),
    [anon_sym_continue] = ACTIONS(1488),
    [anon_sym_goto] = ACTIONS(1488),
    [anon_sym___try] = ACTIONS(1488),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_sizeof] = ACTIONS(1488),
    [anon_sym___alignof__] = ACTIONS(1488),
    [anon_sym___alignof] = ACTIONS(1488),
    [anon_sym__alignof] = ACTIONS(1488),
    [anon_sym_alignof] = ACTIONS(1488),
    [anon_sym__Alignof] = ACTIONS(1488),
    [anon_sym_offsetof] = ACTIONS(1488),
    [anon_sym__Generic] = ACTIONS(1488),
    [anon_sym_asm] = ACTIONS(1488),
    [anon_sym___asm__] = ACTIONS(1488),
    [sym_number_literal] = ACTIONS(1490),
    [anon_sym_L_SQUOTE] = ACTIONS(1490),
    [anon_sym_u_SQUOTE] = ACTIONS(1490),
    [anon_sym_U_SQUOTE] = ACTIONS(1490),
    [anon_sym_u8_SQUOTE] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_L_DQUOTE] = ACTIONS(1490),
    [anon_sym_u_DQUOTE] = ACTIONS(1490),
    [anon_sym_U_DQUOTE] = ACTIONS(1490),
    [anon_sym_u8_DQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [anon_sym_NULL] = ACTIONS(1488),
    [anon_sym_nullptr] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token2] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [aux_sym_preproc_else_token1] = ACTIONS(1492),
    [aux_sym_preproc_elif_token1] = ACTIONS(1492),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym___extension__] = ACTIONS(1492),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_extern] = ACTIONS(1492),
    [anon_sym___attribute__] = ACTIONS(1492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1494),
    [anon_sym___declspec] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_signed] = ACTIONS(1492),
    [anon_sym_unsigned] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_auto] = ACTIONS(1492),
    [anon_sym_register] = ACTIONS(1492),
    [anon_sym_inline] = ACTIONS(1492),
    [anon_sym___inline] = ACTIONS(1492),
    [anon_sym___inline__] = ACTIONS(1492),
    [anon_sym___forceinline] = ACTIONS(1492),
    [anon_sym_thread_local] = ACTIONS(1492),
    [anon_sym___thread] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_constexpr] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [anon_sym_restrict] = ACTIONS(1492),
    [anon_sym___restrict__] = ACTIONS(1492),
    [anon_sym__Atomic] = ACTIONS(1492),
    [anon_sym__Noreturn] = ACTIONS(1492),
    [anon_sym_noreturn] = ACTIONS(1492),
    [sym_primitive_type] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1492),
    [anon_sym_union] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_goto] = ACTIONS(1492),
    [anon_sym___try] = ACTIONS(1492),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_sizeof] = ACTIONS(1492),
    [anon_sym___alignof__] = ACTIONS(1492),
    [anon_sym___alignof] = ACTIONS(1492),
    [anon_sym__alignof] = ACTIONS(1492),
    [anon_sym_alignof] = ACTIONS(1492),
    [anon_sym__Alignof] = ACTIONS(1492),
    [anon_sym_offsetof] = ACTIONS(1492),
    [anon_sym__Generic] = ACTIONS(1492),
    [anon_sym_asm] = ACTIONS(1492),
    [anon_sym___asm__] = ACTIONS(1492),
    [sym_number_literal] = ACTIONS(1494),
    [anon_sym_L_SQUOTE] = ACTIONS(1494),
    [anon_sym_u_SQUOTE] = ACTIONS(1494),
    [anon_sym_U_SQUOTE] = ACTIONS(1494),
    [anon_sym_u8_SQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_L_DQUOTE] = ACTIONS(1494),
    [anon_sym_u_DQUOTE] = ACTIONS(1494),
    [anon_sym_U_DQUOTE] = ACTIONS(1494),
    [anon_sym_u8_DQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [anon_sym_NULL] = ACTIONS(1492),
    [anon_sym_nullptr] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token2] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [aux_sym_preproc_else_token1] = ACTIONS(1496),
    [aux_sym_preproc_elif_token1] = ACTIONS(1496),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_goto] = ACTIONS(1496),
    [anon_sym___try] = ACTIONS(1496),
    [anon_sym___leave] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_sizeof] = ACTIONS(1496),
    [anon_sym___alignof__] = ACTIONS(1496),
    [anon_sym___alignof] = ACTIONS(1496),
    [anon_sym__alignof] = ACTIONS(1496),
    [anon_sym_alignof] = ACTIONS(1496),
    [anon_sym__Alignof] = ACTIONS(1496),
    [anon_sym_offsetof] = ACTIONS(1496),
    [anon_sym__Generic] = ACTIONS(1496),
    [anon_sym_asm] = ACTIONS(1496),
    [anon_sym___asm__] = ACTIONS(1496),
    [sym_number_literal] = ACTIONS(1498),
    [anon_sym_L_SQUOTE] = ACTIONS(1498),
    [anon_sym_u_SQUOTE] = ACTIONS(1498),
    [anon_sym_U_SQUOTE] = ACTIONS(1498),
    [anon_sym_u8_SQUOTE] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_L_DQUOTE] = ACTIONS(1498),
    [anon_sym_u_DQUOTE] = ACTIONS(1498),
    [anon_sym_U_DQUOTE] = ACTIONS(1498),
    [anon_sym_u8_DQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [anon_sym_NULL] = ACTIONS(1496),
    [anon_sym_nullptr] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_identifier] = ACTIONS(1500),
    [aux_sym_preproc_include_token1] = ACTIONS(1500),
    [aux_sym_preproc_def_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token2] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1500),
    [aux_sym_preproc_else_token1] = ACTIONS(1500),
    [aux_sym_preproc_elif_token1] = ACTIONS(1500),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1500),
    [sym_preproc_directive] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym___extension__] = ACTIONS(1500),
    [anon_sym_typedef] = ACTIONS(1500),
    [anon_sym_extern] = ACTIONS(1500),
    [anon_sym___attribute__] = ACTIONS(1500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1502),
    [anon_sym___declspec] = ACTIONS(1500),
    [anon_sym___cdecl] = ACTIONS(1500),
    [anon_sym___clrcall] = ACTIONS(1500),
    [anon_sym___stdcall] = ACTIONS(1500),
    [anon_sym___fastcall] = ACTIONS(1500),
    [anon_sym___thiscall] = ACTIONS(1500),
    [anon_sym___vectorcall] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_signed] = ACTIONS(1500),
    [anon_sym_unsigned] = ACTIONS(1500),
    [anon_sym_long] = ACTIONS(1500),
    [anon_sym_short] = ACTIONS(1500),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_auto] = ACTIONS(1500),
    [anon_sym_register] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1500),
    [anon_sym___inline] = ACTIONS(1500),
    [anon_sym___inline__] = ACTIONS(1500),
    [anon_sym___forceinline] = ACTIONS(1500),
    [anon_sym_thread_local] = ACTIONS(1500),
    [anon_sym___thread] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_constexpr] = ACTIONS(1500),
    [anon_sym_volatile] = ACTIONS(1500),
    [anon_sym_restrict] = ACTIONS(1500),
    [anon_sym___restrict__] = ACTIONS(1500),
    [anon_sym__Atomic] = ACTIONS(1500),
    [anon_sym__Noreturn] = ACTIONS(1500),
    [anon_sym_noreturn] = ACTIONS(1500),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1500),
    [anon_sym_union] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_goto] = ACTIONS(1500),
    [anon_sym___try] = ACTIONS(1500),
    [anon_sym___leave] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_sizeof] = ACTIONS(1500),
    [anon_sym___alignof__] = ACTIONS(1500),
    [anon_sym___alignof] = ACTIONS(1500),
    [anon_sym__alignof] = ACTIONS(1500),
    [anon_sym_alignof] = ACTIONS(1500),
    [anon_sym__Alignof] = ACTIONS(1500),
    [anon_sym_offsetof] = ACTIONS(1500),
    [anon_sym__Generic] = ACTIONS(1500),
    [anon_sym_asm] = ACTIONS(1500),
    [anon_sym___asm__] = ACTIONS(1500),
    [sym_number_literal] = ACTIONS(1502),
    [anon_sym_L_SQUOTE] = ACTIONS(1502),
    [anon_sym_u_SQUOTE] = ACTIONS(1502),
    [anon_sym_U_SQUOTE] = ACTIONS(1502),
    [anon_sym_u8_SQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_L_DQUOTE] = ACTIONS(1502),
    [anon_sym_u_DQUOTE] = ACTIONS(1502),
    [anon_sym_U_DQUOTE] = ACTIONS(1502),
    [anon_sym_u8_DQUOTE] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [anon_sym_NULL] = ACTIONS(1500),
    [anon_sym_nullptr] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_include_token1] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token2] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [aux_sym_preproc_else_token1] = ACTIONS(1504),
    [aux_sym_preproc_elif_token1] = ACTIONS(1504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym___cdecl] = ACTIONS(1504),
    [anon_sym___clrcall] = ACTIONS(1504),
    [anon_sym___stdcall] = ACTIONS(1504),
    [anon_sym___fastcall] = ACTIONS(1504),
    [anon_sym___thiscall] = ACTIONS(1504),
    [anon_sym___vectorcall] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1504),
    [anon_sym_switch] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1504),
    [anon_sym_default] = ACTIONS(1504),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1504),
    [anon_sym_for] = ACTIONS(1504),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_break] = ACTIONS(1504),
    [anon_sym_continue] = ACTIONS(1504),
    [anon_sym_goto] = ACTIONS(1504),
    [anon_sym___try] = ACTIONS(1504),
    [anon_sym___leave] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_sizeof] = ACTIONS(1504),
    [anon_sym___alignof__] = ACTIONS(1504),
    [anon_sym___alignof] = ACTIONS(1504),
    [anon_sym__alignof] = ACTIONS(1504),
    [anon_sym_alignof] = ACTIONS(1504),
    [anon_sym__Alignof] = ACTIONS(1504),
    [anon_sym_offsetof] = ACTIONS(1504),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1504),
    [anon_sym___asm__] = ACTIONS(1504),
    [sym_number_literal] = ACTIONS(1506),
    [anon_sym_L_SQUOTE] = ACTIONS(1506),
    [anon_sym_u_SQUOTE] = ACTIONS(1506),
    [anon_sym_U_SQUOTE] = ACTIONS(1506),
    [anon_sym_u8_SQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_L_DQUOTE] = ACTIONS(1506),
    [anon_sym_u_DQUOTE] = ACTIONS(1506),
    [anon_sym_U_DQUOTE] = ACTIONS(1506),
    [anon_sym_u8_DQUOTE] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [sym_true] = ACTIONS(1504),
    [sym_false] = ACTIONS(1504),
    [anon_sym_NULL] = ACTIONS(1504),
    [anon_sym_nullptr] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_identifier] = ACTIONS(1374),
    [aux_sym_preproc_include_token1] = ACTIONS(1374),
    [aux_sym_preproc_def_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token2] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [aux_sym_preproc_else_token1] = ACTIONS(1374),
    [aux_sym_preproc_elif_token1] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_AMP] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1376),
    [anon_sym___extension__] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1374),
    [anon_sym_extern] = ACTIONS(1374),
    [anon_sym___attribute__] = ACTIONS(1374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym___declspec] = ACTIONS(1374),
    [anon_sym___cdecl] = ACTIONS(1374),
    [anon_sym___clrcall] = ACTIONS(1374),
    [anon_sym___stdcall] = ACTIONS(1374),
    [anon_sym___fastcall] = ACTIONS(1374),
    [anon_sym___thiscall] = ACTIONS(1374),
    [anon_sym___vectorcall] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_signed] = ACTIONS(1374),
    [anon_sym_unsigned] = ACTIONS(1374),
    [anon_sym_long] = ACTIONS(1374),
    [anon_sym_short] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_auto] = ACTIONS(1374),
    [anon_sym_register] = ACTIONS(1374),
    [anon_sym_inline] = ACTIONS(1374),
    [anon_sym___inline] = ACTIONS(1374),
    [anon_sym___inline__] = ACTIONS(1374),
    [anon_sym___forceinline] = ACTIONS(1374),
    [anon_sym_thread_local] = ACTIONS(1374),
    [anon_sym___thread] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_constexpr] = ACTIONS(1374),
    [anon_sym_volatile] = ACTIONS(1374),
    [anon_sym_restrict] = ACTIONS(1374),
    [anon_sym___restrict__] = ACTIONS(1374),
    [anon_sym__Atomic] = ACTIONS(1374),
    [anon_sym__Noreturn] = ACTIONS(1374),
    [anon_sym_noreturn] = ACTIONS(1374),
    [sym_primitive_type] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_struct] = ACTIONS(1374),
    [anon_sym_union] = ACTIONS(1374),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_else] = ACTIONS(1374),
    [anon_sym_switch] = ACTIONS(1374),
    [anon_sym_case] = ACTIONS(1374),
    [anon_sym_default] = ACTIONS(1374),
    [anon_sym_while] = ACTIONS(1374),
    [anon_sym_do] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym___try] = ACTIONS(1374),
    [anon_sym___leave] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_sizeof] = ACTIONS(1374),
    [anon_sym___alignof__] = ACTIONS(1374),
    [anon_sym___alignof] = ACTIONS(1374),
    [anon_sym__alignof] = ACTIONS(1374),
    [anon_sym_alignof] = ACTIONS(1374),
    [anon_sym__Alignof] = ACTIONS(1374),
    [anon_sym_offsetof] = ACTIONS(1374),
    [anon_sym__Generic] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym___asm__] = ACTIONS(1374),
    [sym_number_literal] = ACTIONS(1376),
    [anon_sym_L_SQUOTE] = ACTIONS(1376),
    [anon_sym_u_SQUOTE] = ACTIONS(1376),
    [anon_sym_U_SQUOTE] = ACTIONS(1376),
    [anon_sym_u8_SQUOTE] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_L_DQUOTE] = ACTIONS(1376),
    [anon_sym_u_DQUOTE] = ACTIONS(1376),
    [anon_sym_U_DQUOTE] = ACTIONS(1376),
    [anon_sym_u8_DQUOTE] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_NULL] = ACTIONS(1374),
    [anon_sym_nullptr] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_identifier] = ACTIONS(1318),
    [aux_sym_preproc_include_token1] = ACTIONS(1318),
    [aux_sym_preproc_def_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token2] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1318),
    [aux_sym_preproc_else_token1] = ACTIONS(1318),
    [aux_sym_preproc_elif_token1] = ACTIONS(1318),
    [sym_preproc_directive] = ACTIONS(1318),
    [anon_sym_LPAREN2] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym___extension__] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1318),
    [anon_sym_extern] = ACTIONS(1318),
    [anon_sym___attribute__] = ACTIONS(1318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1320),
    [anon_sym___declspec] = ACTIONS(1318),
    [anon_sym___cdecl] = ACTIONS(1318),
    [anon_sym___clrcall] = ACTIONS(1318),
    [anon_sym___stdcall] = ACTIONS(1318),
    [anon_sym___fastcall] = ACTIONS(1318),
    [anon_sym___thiscall] = ACTIONS(1318),
    [anon_sym___vectorcall] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_signed] = ACTIONS(1318),
    [anon_sym_unsigned] = ACTIONS(1318),
    [anon_sym_long] = ACTIONS(1318),
    [anon_sym_short] = ACTIONS(1318),
    [anon_sym_static] = ACTIONS(1318),
    [anon_sym_auto] = ACTIONS(1318),
    [anon_sym_register] = ACTIONS(1318),
    [anon_sym_inline] = ACTIONS(1318),
    [anon_sym___inline] = ACTIONS(1318),
    [anon_sym___inline__] = ACTIONS(1318),
    [anon_sym___forceinline] = ACTIONS(1318),
    [anon_sym_thread_local] = ACTIONS(1318),
    [anon_sym___thread] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(1318),
    [anon_sym_constexpr] = ACTIONS(1318),
    [anon_sym_volatile] = ACTIONS(1318),
    [anon_sym_restrict] = ACTIONS(1318),
    [anon_sym___restrict__] = ACTIONS(1318),
    [anon_sym__Atomic] = ACTIONS(1318),
    [anon_sym__Noreturn] = ACTIONS(1318),
    [anon_sym_noreturn] = ACTIONS(1318),
    [sym_primitive_type] = ACTIONS(1318),
    [anon_sym_enum] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1318),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_else] = ACTIONS(1318),
    [anon_sym_switch] = ACTIONS(1318),
    [anon_sym_case] = ACTIONS(1318),
    [anon_sym_default] = ACTIONS(1318),
    [anon_sym_while] = ACTIONS(1318),
    [anon_sym_do] = ACTIONS(1318),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1318),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1318),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym___try] = ACTIONS(1318),
    [anon_sym___leave] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_sizeof] = ACTIONS(1318),
    [anon_sym___alignof__] = ACTIONS(1318),
    [anon_sym___alignof] = ACTIONS(1318),
    [anon_sym__alignof] = ACTIONS(1318),
    [anon_sym_alignof] = ACTIONS(1318),
    [anon_sym__Alignof] = ACTIONS(1318),
    [anon_sym_offsetof] = ACTIONS(1318),
    [anon_sym__Generic] = ACTIONS(1318),
    [anon_sym_asm] = ACTIONS(1318),
    [anon_sym___asm__] = ACTIONS(1318),
    [sym_number_literal] = ACTIONS(1320),
    [anon_sym_L_SQUOTE] = ACTIONS(1320),
    [anon_sym_u_SQUOTE] = ACTIONS(1320),
    [anon_sym_U_SQUOTE] = ACTIONS(1320),
    [anon_sym_u8_SQUOTE] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_L_DQUOTE] = ACTIONS(1320),
    [anon_sym_u_DQUOTE] = ACTIONS(1320),
    [anon_sym_U_DQUOTE] = ACTIONS(1320),
    [anon_sym_u8_DQUOTE] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_NULL] = ACTIONS(1318),
    [anon_sym_nullptr] = ACTIONS(1318),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_identifier] = ACTIONS(1334),
    [aux_sym_preproc_include_token1] = ACTIONS(1334),
    [aux_sym_preproc_def_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token2] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [aux_sym_preproc_else_token1] = ACTIONS(1334),
    [aux_sym_preproc_elif_token1] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1334),
    [anon_sym_LPAREN2] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1336),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1336),
    [anon_sym___extension__] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1334),
    [anon_sym_extern] = ACTIONS(1334),
    [anon_sym___attribute__] = ACTIONS(1334),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1336),
    [anon_sym___declspec] = ACTIONS(1334),
    [anon_sym___cdecl] = ACTIONS(1334),
    [anon_sym___clrcall] = ACTIONS(1334),
    [anon_sym___stdcall] = ACTIONS(1334),
    [anon_sym___fastcall] = ACTIONS(1334),
    [anon_sym___thiscall] = ACTIONS(1334),
    [anon_sym___vectorcall] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1334),
    [anon_sym_unsigned] = ACTIONS(1334),
    [anon_sym_long] = ACTIONS(1334),
    [anon_sym_short] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1334),
    [anon_sym_auto] = ACTIONS(1334),
    [anon_sym_register] = ACTIONS(1334),
    [anon_sym_inline] = ACTIONS(1334),
    [anon_sym___inline] = ACTIONS(1334),
    [anon_sym___inline__] = ACTIONS(1334),
    [anon_sym___forceinline] = ACTIONS(1334),
    [anon_sym_thread_local] = ACTIONS(1334),
    [anon_sym___thread] = ACTIONS(1334),
    [anon_sym_const] = ACTIONS(1334),
    [anon_sym_constexpr] = ACTIONS(1334),
    [anon_sym_volatile] = ACTIONS(1334),
    [anon_sym_restrict] = ACTIONS(1334),
    [anon_sym___restrict__] = ACTIONS(1334),
    [anon_sym__Atomic] = ACTIONS(1334),
    [anon_sym__Noreturn] = ACTIONS(1334),
    [anon_sym_noreturn] = ACTIONS(1334),
    [sym_primitive_type] = ACTIONS(1334),
    [anon_sym_enum] = ACTIONS(1334),
    [anon_sym_struct] = ACTIONS(1334),
    [anon_sym_union] = ACTIONS(1334),
    [anon_sym_if] = ACTIONS(1334),
    [anon_sym_else] = ACTIONS(1334),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_case] = ACTIONS(1334),
    [anon_sym_default] = ACTIONS(1334),
    [anon_sym_while] = ACTIONS(1334),
    [anon_sym_do] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1334),
    [anon_sym_return] = ACTIONS(1334),
    [anon_sym_break] = ACTIONS(1334),
    [anon_sym_continue] = ACTIONS(1334),
    [anon_sym_goto] = ACTIONS(1334),
    [anon_sym___try] = ACTIONS(1334),
    [anon_sym___leave] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [anon_sym_sizeof] = ACTIONS(1334),
    [anon_sym___alignof__] = ACTIONS(1334),
    [anon_sym___alignof] = ACTIONS(1334),
    [anon_sym__alignof] = ACTIONS(1334),
    [anon_sym_alignof] = ACTIONS(1334),
    [anon_sym__Alignof] = ACTIONS(1334),
    [anon_sym_offsetof] = ACTIONS(1334),
    [anon_sym__Generic] = ACTIONS(1334),
    [anon_sym_asm] = ACTIONS(1334),
    [anon_sym___asm__] = ACTIONS(1334),
    [sym_number_literal] = ACTIONS(1336),
    [anon_sym_L_SQUOTE] = ACTIONS(1336),
    [anon_sym_u_SQUOTE] = ACTIONS(1336),
    [anon_sym_U_SQUOTE] = ACTIONS(1336),
    [anon_sym_u8_SQUOTE] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_L_DQUOTE] = ACTIONS(1336),
    [anon_sym_u_DQUOTE] = ACTIONS(1336),
    [anon_sym_U_DQUOTE] = ACTIONS(1336),
    [anon_sym_u8_DQUOTE] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [sym_true] = ACTIONS(1334),
    [sym_false] = ACTIONS(1334),
    [anon_sym_NULL] = ACTIONS(1334),
    [anon_sym_nullptr] = ACTIONS(1334),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_identifier] = ACTIONS(1346),
    [aux_sym_preproc_include_token1] = ACTIONS(1346),
    [aux_sym_preproc_def_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token2] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1346),
    [aux_sym_preproc_else_token1] = ACTIONS(1346),
    [aux_sym_preproc_elif_token1] = ACTIONS(1346),
    [sym_preproc_directive] = ACTIONS(1346),
    [anon_sym_LPAREN2] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1346),
    [anon_sym_extern] = ACTIONS(1346),
    [anon_sym___attribute__] = ACTIONS(1346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1348),
    [anon_sym___declspec] = ACTIONS(1346),
    [anon_sym___cdecl] = ACTIONS(1346),
    [anon_sym___clrcall] = ACTIONS(1346),
    [anon_sym___stdcall] = ACTIONS(1346),
    [anon_sym___fastcall] = ACTIONS(1346),
    [anon_sym___thiscall] = ACTIONS(1346),
    [anon_sym___vectorcall] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_signed] = ACTIONS(1346),
    [anon_sym_unsigned] = ACTIONS(1346),
    [anon_sym_long] = ACTIONS(1346),
    [anon_sym_short] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1346),
    [anon_sym_auto] = ACTIONS(1346),
    [anon_sym_register] = ACTIONS(1346),
    [anon_sym_inline] = ACTIONS(1346),
    [anon_sym___inline] = ACTIONS(1346),
    [anon_sym___inline__] = ACTIONS(1346),
    [anon_sym___forceinline] = ACTIONS(1346),
    [anon_sym_thread_local] = ACTIONS(1346),
    [anon_sym___thread] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1346),
    [anon_sym_constexpr] = ACTIONS(1346),
    [anon_sym_volatile] = ACTIONS(1346),
    [anon_sym_restrict] = ACTIONS(1346),
    [anon_sym___restrict__] = ACTIONS(1346),
    [anon_sym__Atomic] = ACTIONS(1346),
    [anon_sym__Noreturn] = ACTIONS(1346),
    [anon_sym_noreturn] = ACTIONS(1346),
    [sym_primitive_type] = ACTIONS(1346),
    [anon_sym_enum] = ACTIONS(1346),
    [anon_sym_struct] = ACTIONS(1346),
    [anon_sym_union] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_else] = ACTIONS(1346),
    [anon_sym_switch] = ACTIONS(1346),
    [anon_sym_case] = ACTIONS(1346),
    [anon_sym_default] = ACTIONS(1346),
    [anon_sym_while] = ACTIONS(1346),
    [anon_sym_do] = ACTIONS(1346),
    [anon_sym_for] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1346),
    [anon_sym_break] = ACTIONS(1346),
    [anon_sym_continue] = ACTIONS(1346),
    [anon_sym_goto] = ACTIONS(1346),
    [anon_sym___try] = ACTIONS(1346),
    [anon_sym___leave] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_sizeof] = ACTIONS(1346),
    [anon_sym___alignof__] = ACTIONS(1346),
    [anon_sym___alignof] = ACTIONS(1346),
    [anon_sym__alignof] = ACTIONS(1346),
    [anon_sym_alignof] = ACTIONS(1346),
    [anon_sym__Alignof] = ACTIONS(1346),
    [anon_sym_offsetof] = ACTIONS(1346),
    [anon_sym__Generic] = ACTIONS(1346),
    [anon_sym_asm] = ACTIONS(1346),
    [anon_sym___asm__] = ACTIONS(1346),
    [sym_number_literal] = ACTIONS(1348),
    [anon_sym_L_SQUOTE] = ACTIONS(1348),
    [anon_sym_u_SQUOTE] = ACTIONS(1348),
    [anon_sym_U_SQUOTE] = ACTIONS(1348),
    [anon_sym_u8_SQUOTE] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_L_DQUOTE] = ACTIONS(1348),
    [anon_sym_u_DQUOTE] = ACTIONS(1348),
    [anon_sym_U_DQUOTE] = ACTIONS(1348),
    [anon_sym_u8_DQUOTE] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_NULL] = ACTIONS(1346),
    [anon_sym_nullptr] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_identifier] = ACTIONS(1370),
    [aux_sym_preproc_include_token1] = ACTIONS(1370),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token2] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1370),
    [aux_sym_preproc_else_token1] = ACTIONS(1370),
    [aux_sym_preproc_elif_token1] = ACTIONS(1370),
    [sym_preproc_directive] = ACTIONS(1370),
    [anon_sym_LPAREN2] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1372),
    [anon_sym___extension__] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1370),
    [anon_sym_extern] = ACTIONS(1370),
    [anon_sym___attribute__] = ACTIONS(1370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1372),
    [anon_sym___declspec] = ACTIONS(1370),
    [anon_sym___cdecl] = ACTIONS(1370),
    [anon_sym___clrcall] = ACTIONS(1370),
    [anon_sym___stdcall] = ACTIONS(1370),
    [anon_sym___fastcall] = ACTIONS(1370),
    [anon_sym___thiscall] = ACTIONS(1370),
    [anon_sym___vectorcall] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_signed] = ACTIONS(1370),
    [anon_sym_unsigned] = ACTIONS(1370),
    [anon_sym_long] = ACTIONS(1370),
    [anon_sym_short] = ACTIONS(1370),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_auto] = ACTIONS(1370),
    [anon_sym_register] = ACTIONS(1370),
    [anon_sym_inline] = ACTIONS(1370),
    [anon_sym___inline] = ACTIONS(1370),
    [anon_sym___inline__] = ACTIONS(1370),
    [anon_sym___forceinline] = ACTIONS(1370),
    [anon_sym_thread_local] = ACTIONS(1370),
    [anon_sym___thread] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1370),
    [anon_sym_constexpr] = ACTIONS(1370),
    [anon_sym_volatile] = ACTIONS(1370),
    [anon_sym_restrict] = ACTIONS(1370),
    [anon_sym___restrict__] = ACTIONS(1370),
    [anon_sym__Atomic] = ACTIONS(1370),
    [anon_sym__Noreturn] = ACTIONS(1370),
    [anon_sym_noreturn] = ACTIONS(1370),
    [sym_primitive_type] = ACTIONS(1370),
    [anon_sym_enum] = ACTIONS(1370),
    [anon_sym_struct] = ACTIONS(1370),
    [anon_sym_union] = ACTIONS(1370),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_else] = ACTIONS(1370),
    [anon_sym_switch] = ACTIONS(1370),
    [anon_sym_case] = ACTIONS(1370),
    [anon_sym_default] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_do] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1370),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1370),
    [anon_sym_continue] = ACTIONS(1370),
    [anon_sym_goto] = ACTIONS(1370),
    [anon_sym___try] = ACTIONS(1370),
    [anon_sym___leave] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_sizeof] = ACTIONS(1370),
    [anon_sym___alignof__] = ACTIONS(1370),
    [anon_sym___alignof] = ACTIONS(1370),
    [anon_sym__alignof] = ACTIONS(1370),
    [anon_sym_alignof] = ACTIONS(1370),
    [anon_sym__Alignof] = ACTIONS(1370),
    [anon_sym_offsetof] = ACTIONS(1370),
    [anon_sym__Generic] = ACTIONS(1370),
    [anon_sym_asm] = ACTIONS(1370),
    [anon_sym___asm__] = ACTIONS(1370),
    [sym_number_literal] = ACTIONS(1372),
    [anon_sym_L_SQUOTE] = ACTIONS(1372),
    [anon_sym_u_SQUOTE] = ACTIONS(1372),
    [anon_sym_U_SQUOTE] = ACTIONS(1372),
    [anon_sym_u8_SQUOTE] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_L_DQUOTE] = ACTIONS(1372),
    [anon_sym_u_DQUOTE] = ACTIONS(1372),
    [anon_sym_U_DQUOTE] = ACTIONS(1372),
    [anon_sym_u8_DQUOTE] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_NULL] = ACTIONS(1370),
    [anon_sym_nullptr] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_identifier] = ACTIONS(1302),
    [aux_sym_preproc_include_token1] = ACTIONS(1302),
    [aux_sym_preproc_def_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token2] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1302),
    [aux_sym_preproc_else_token1] = ACTIONS(1302),
    [aux_sym_preproc_elif_token1] = ACTIONS(1302),
    [sym_preproc_directive] = ACTIONS(1302),
    [anon_sym_LPAREN2] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1304),
    [anon_sym_AMP] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1304),
    [anon_sym___extension__] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1302),
    [anon_sym_extern] = ACTIONS(1302),
    [anon_sym___attribute__] = ACTIONS(1302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1304),
    [anon_sym___declspec] = ACTIONS(1302),
    [anon_sym___cdecl] = ACTIONS(1302),
    [anon_sym___clrcall] = ACTIONS(1302),
    [anon_sym___stdcall] = ACTIONS(1302),
    [anon_sym___fastcall] = ACTIONS(1302),
    [anon_sym___thiscall] = ACTIONS(1302),
    [anon_sym___vectorcall] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_signed] = ACTIONS(1302),
    [anon_sym_unsigned] = ACTIONS(1302),
    [anon_sym_long] = ACTIONS(1302),
    [anon_sym_short] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1302),
    [anon_sym_auto] = ACTIONS(1302),
    [anon_sym_register] = ACTIONS(1302),
    [anon_sym_inline] = ACTIONS(1302),
    [anon_sym___inline] = ACTIONS(1302),
    [anon_sym___inline__] = ACTIONS(1302),
    [anon_sym___forceinline] = ACTIONS(1302),
    [anon_sym_thread_local] = ACTIONS(1302),
    [anon_sym___thread] = ACTIONS(1302),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_constexpr] = ACTIONS(1302),
    [anon_sym_volatile] = ACTIONS(1302),
    [anon_sym_restrict] = ACTIONS(1302),
    [anon_sym___restrict__] = ACTIONS(1302),
    [anon_sym__Atomic] = ACTIONS(1302),
    [anon_sym__Noreturn] = ACTIONS(1302),
    [anon_sym_noreturn] = ACTIONS(1302),
    [sym_primitive_type] = ACTIONS(1302),
    [anon_sym_enum] = ACTIONS(1302),
    [anon_sym_struct] = ACTIONS(1302),
    [anon_sym_union] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1302),
    [anon_sym_else] = ACTIONS(1302),
    [anon_sym_switch] = ACTIONS(1302),
    [anon_sym_case] = ACTIONS(1302),
    [anon_sym_default] = ACTIONS(1302),
    [anon_sym_while] = ACTIONS(1302),
    [anon_sym_do] = ACTIONS(1302),
    [anon_sym_for] = ACTIONS(1302),
    [anon_sym_return] = ACTIONS(1302),
    [anon_sym_break] = ACTIONS(1302),
    [anon_sym_continue] = ACTIONS(1302),
    [anon_sym_goto] = ACTIONS(1302),
    [anon_sym___try] = ACTIONS(1302),
    [anon_sym___leave] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [anon_sym_sizeof] = ACTIONS(1302),
    [anon_sym___alignof__] = ACTIONS(1302),
    [anon_sym___alignof] = ACTIONS(1302),
    [anon_sym__alignof] = ACTIONS(1302),
    [anon_sym_alignof] = ACTIONS(1302),
    [anon_sym__Alignof] = ACTIONS(1302),
    [anon_sym_offsetof] = ACTIONS(1302),
    [anon_sym__Generic] = ACTIONS(1302),
    [anon_sym_asm] = ACTIONS(1302),
    [anon_sym___asm__] = ACTIONS(1302),
    [sym_number_literal] = ACTIONS(1304),
    [anon_sym_L_SQUOTE] = ACTIONS(1304),
    [anon_sym_u_SQUOTE] = ACTIONS(1304),
    [anon_sym_U_SQUOTE] = ACTIONS(1304),
    [anon_sym_u8_SQUOTE] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_L_DQUOTE] = ACTIONS(1304),
    [anon_sym_u_DQUOTE] = ACTIONS(1304),
    [anon_sym_U_DQUOTE] = ACTIONS(1304),
    [anon_sym_u8_DQUOTE] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [sym_true] = ACTIONS(1302),
    [sym_false] = ACTIONS(1302),
    [anon_sym_NULL] = ACTIONS(1302),
    [anon_sym_nullptr] = ACTIONS(1302),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token2] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [aux_sym_preproc_else_token1] = ACTIONS(1308),
    [aux_sym_preproc_elif_token1] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym___extension__] = ACTIONS(1308),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym___inline] = ACTIONS(1308),
    [anon_sym___inline__] = ACTIONS(1308),
    [anon_sym___forceinline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym___thread] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_else] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym___try] = ACTIONS(1308),
    [anon_sym___leave] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym___alignof__] = ACTIONS(1308),
    [anon_sym___alignof] = ACTIONS(1308),
    [anon_sym__alignof] = ACTIONS(1308),
    [anon_sym_alignof] = ACTIONS(1308),
    [anon_sym__Alignof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_identifier] = ACTIONS(1366),
    [aux_sym_preproc_include_token1] = ACTIONS(1366),
    [aux_sym_preproc_def_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token2] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1366),
    [aux_sym_preproc_else_token1] = ACTIONS(1366),
    [aux_sym_preproc_elif_token1] = ACTIONS(1366),
    [sym_preproc_directive] = ACTIONS(1366),
    [anon_sym_LPAREN2] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym___extension__] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1366),
    [anon_sym_extern] = ACTIONS(1366),
    [anon_sym___attribute__] = ACTIONS(1366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1368),
    [anon_sym___declspec] = ACTIONS(1366),
    [anon_sym___cdecl] = ACTIONS(1366),
    [anon_sym___clrcall] = ACTIONS(1366),
    [anon_sym___stdcall] = ACTIONS(1366),
    [anon_sym___fastcall] = ACTIONS(1366),
    [anon_sym___thiscall] = ACTIONS(1366),
    [anon_sym___vectorcall] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_signed] = ACTIONS(1366),
    [anon_sym_unsigned] = ACTIONS(1366),
    [anon_sym_long] = ACTIONS(1366),
    [anon_sym_short] = ACTIONS(1366),
    [anon_sym_static] = ACTIONS(1366),
    [anon_sym_auto] = ACTIONS(1366),
    [anon_sym_register] = ACTIONS(1366),
    [anon_sym_inline] = ACTIONS(1366),
    [anon_sym___inline] = ACTIONS(1366),
    [anon_sym___inline__] = ACTIONS(1366),
    [anon_sym___forceinline] = ACTIONS(1366),
    [anon_sym_thread_local] = ACTIONS(1366),
    [anon_sym___thread] = ACTIONS(1366),
    [anon_sym_const] = ACTIONS(1366),
    [anon_sym_constexpr] = ACTIONS(1366),
    [anon_sym_volatile] = ACTIONS(1366),
    [anon_sym_restrict] = ACTIONS(1366),
    [anon_sym___restrict__] = ACTIONS(1366),
    [anon_sym__Atomic] = ACTIONS(1366),
    [anon_sym__Noreturn] = ACTIONS(1366),
    [anon_sym_noreturn] = ACTIONS(1366),
    [sym_primitive_type] = ACTIONS(1366),
    [anon_sym_enum] = ACTIONS(1366),
    [anon_sym_struct] = ACTIONS(1366),
    [anon_sym_union] = ACTIONS(1366),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_else] = ACTIONS(1366),
    [anon_sym_switch] = ACTIONS(1366),
    [anon_sym_case] = ACTIONS(1366),
    [anon_sym_default] = ACTIONS(1366),
    [anon_sym_while] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1366),
    [anon_sym_for] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_break] = ACTIONS(1366),
    [anon_sym_continue] = ACTIONS(1366),
    [anon_sym_goto] = ACTIONS(1366),
    [anon_sym___try] = ACTIONS(1366),
    [anon_sym___leave] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_sizeof] = ACTIONS(1366),
    [anon_sym___alignof__] = ACTIONS(1366),
    [anon_sym___alignof] = ACTIONS(1366),
    [anon_sym__alignof] = ACTIONS(1366),
    [anon_sym_alignof] = ACTIONS(1366),
    [anon_sym__Alignof] = ACTIONS(1366),
    [anon_sym_offsetof] = ACTIONS(1366),
    [anon_sym__Generic] = ACTIONS(1366),
    [anon_sym_asm] = ACTIONS(1366),
    [anon_sym___asm__] = ACTIONS(1366),
    [sym_number_literal] = ACTIONS(1368),
    [anon_sym_L_SQUOTE] = ACTIONS(1368),
    [anon_sym_u_SQUOTE] = ACTIONS(1368),
    [anon_sym_U_SQUOTE] = ACTIONS(1368),
    [anon_sym_u8_SQUOTE] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_L_DQUOTE] = ACTIONS(1368),
    [anon_sym_u_DQUOTE] = ACTIONS(1368),
    [anon_sym_U_DQUOTE] = ACTIONS(1368),
    [anon_sym_u8_DQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_NULL] = ACTIONS(1366),
    [anon_sym_nullptr] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_identifier] = ACTIONS(1362),
    [aux_sym_preproc_include_token1] = ACTIONS(1362),
    [aux_sym_preproc_def_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token2] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1362),
    [aux_sym_preproc_else_token1] = ACTIONS(1362),
    [aux_sym_preproc_elif_token1] = ACTIONS(1362),
    [sym_preproc_directive] = ACTIONS(1362),
    [anon_sym_LPAREN2] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [anon_sym___extension__] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1362),
    [anon_sym_extern] = ACTIONS(1362),
    [anon_sym___attribute__] = ACTIONS(1362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1364),
    [anon_sym___declspec] = ACTIONS(1362),
    [anon_sym___cdecl] = ACTIONS(1362),
    [anon_sym___clrcall] = ACTIONS(1362),
    [anon_sym___stdcall] = ACTIONS(1362),
    [anon_sym___fastcall] = ACTIONS(1362),
    [anon_sym___thiscall] = ACTIONS(1362),
    [anon_sym___vectorcall] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_signed] = ACTIONS(1362),
    [anon_sym_unsigned] = ACTIONS(1362),
    [anon_sym_long] = ACTIONS(1362),
    [anon_sym_short] = ACTIONS(1362),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_auto] = ACTIONS(1362),
    [anon_sym_register] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(1362),
    [anon_sym___inline] = ACTIONS(1362),
    [anon_sym___inline__] = ACTIONS(1362),
    [anon_sym___forceinline] = ACTIONS(1362),
    [anon_sym_thread_local] = ACTIONS(1362),
    [anon_sym___thread] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(1362),
    [anon_sym_constexpr] = ACTIONS(1362),
    [anon_sym_volatile] = ACTIONS(1362),
    [anon_sym_restrict] = ACTIONS(1362),
    [anon_sym___restrict__] = ACTIONS(1362),
    [anon_sym__Atomic] = ACTIONS(1362),
    [anon_sym__Noreturn] = ACTIONS(1362),
    [anon_sym_noreturn] = ACTIONS(1362),
    [sym_primitive_type] = ACTIONS(1362),
    [anon_sym_enum] = ACTIONS(1362),
    [anon_sym_struct] = ACTIONS(1362),
    [anon_sym_union] = ACTIONS(1362),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_else] = ACTIONS(1362),
    [anon_sym_switch] = ACTIONS(1362),
    [anon_sym_case] = ACTIONS(1362),
    [anon_sym_default] = ACTIONS(1362),
    [anon_sym_while] = ACTIONS(1362),
    [anon_sym_do] = ACTIONS(1362),
    [anon_sym_for] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_continue] = ACTIONS(1362),
    [anon_sym_goto] = ACTIONS(1362),
    [anon_sym___try] = ACTIONS(1362),
    [anon_sym___leave] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(1362),
    [anon_sym___alignof] = ACTIONS(1362),
    [anon_sym__alignof] = ACTIONS(1362),
    [anon_sym_alignof] = ACTIONS(1362),
    [anon_sym__Alignof] = ACTIONS(1362),
    [anon_sym_offsetof] = ACTIONS(1362),
    [anon_sym__Generic] = ACTIONS(1362),
    [anon_sym_asm] = ACTIONS(1362),
    [anon_sym___asm__] = ACTIONS(1362),
    [sym_number_literal] = ACTIONS(1364),
    [anon_sym_L_SQUOTE] = ACTIONS(1364),
    [anon_sym_u_SQUOTE] = ACTIONS(1364),
    [anon_sym_U_SQUOTE] = ACTIONS(1364),
    [anon_sym_u8_SQUOTE] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_L_DQUOTE] = ACTIONS(1364),
    [anon_sym_u_DQUOTE] = ACTIONS(1364),
    [anon_sym_U_DQUOTE] = ACTIONS(1364),
    [anon_sym_u8_DQUOTE] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_NULL] = ACTIONS(1362),
    [anon_sym_nullptr] = ACTIONS(1362),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_identifier] = ACTIONS(1358),
    [aux_sym_preproc_include_token1] = ACTIONS(1358),
    [aux_sym_preproc_def_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token2] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1358),
    [aux_sym_preproc_else_token1] = ACTIONS(1358),
    [aux_sym_preproc_elif_token1] = ACTIONS(1358),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1358),
    [anon_sym_extern] = ACTIONS(1358),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1360),
    [anon_sym___declspec] = ACTIONS(1358),
    [anon_sym___cdecl] = ACTIONS(1358),
    [anon_sym___clrcall] = ACTIONS(1358),
    [anon_sym___stdcall] = ACTIONS(1358),
    [anon_sym___fastcall] = ACTIONS(1358),
    [anon_sym___thiscall] = ACTIONS(1358),
    [anon_sym___vectorcall] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1358),
    [anon_sym_unsigned] = ACTIONS(1358),
    [anon_sym_long] = ACTIONS(1358),
    [anon_sym_short] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1358),
    [anon_sym_auto] = ACTIONS(1358),
    [anon_sym_register] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1358),
    [anon_sym___inline] = ACTIONS(1358),
    [anon_sym___inline__] = ACTIONS(1358),
    [anon_sym___forceinline] = ACTIONS(1358),
    [anon_sym_thread_local] = ACTIONS(1358),
    [anon_sym___thread] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_constexpr] = ACTIONS(1358),
    [anon_sym_volatile] = ACTIONS(1358),
    [anon_sym_restrict] = ACTIONS(1358),
    [anon_sym___restrict__] = ACTIONS(1358),
    [anon_sym__Atomic] = ACTIONS(1358),
    [anon_sym__Noreturn] = ACTIONS(1358),
    [anon_sym_noreturn] = ACTIONS(1358),
    [sym_primitive_type] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_else] = ACTIONS(1358),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1358),
    [anon_sym_default] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1358),
    [anon_sym_do] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym___try] = ACTIONS(1358),
    [anon_sym___leave] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1358),
    [anon_sym___alignof__] = ACTIONS(1358),
    [anon_sym___alignof] = ACTIONS(1358),
    [anon_sym__alignof] = ACTIONS(1358),
    [anon_sym_alignof] = ACTIONS(1358),
    [anon_sym__Alignof] = ACTIONS(1358),
    [anon_sym_offsetof] = ACTIONS(1358),
    [anon_sym__Generic] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1360),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1358),
    [anon_sym_nullptr] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_identifier] = ACTIONS(1298),
    [aux_sym_preproc_include_token1] = ACTIONS(1298),
    [aux_sym_preproc_def_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token2] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1298),
    [aux_sym_preproc_else_token1] = ACTIONS(1298),
    [aux_sym_preproc_elif_token1] = ACTIONS(1298),
    [sym_preproc_directive] = ACTIONS(1298),
    [anon_sym_LPAREN2] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym___extension__] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1298),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym___attribute__] = ACTIONS(1298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1300),
    [anon_sym___declspec] = ACTIONS(1298),
    [anon_sym___cdecl] = ACTIONS(1298),
    [anon_sym___clrcall] = ACTIONS(1298),
    [anon_sym___stdcall] = ACTIONS(1298),
    [anon_sym___fastcall] = ACTIONS(1298),
    [anon_sym___thiscall] = ACTIONS(1298),
    [anon_sym___vectorcall] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_signed] = ACTIONS(1298),
    [anon_sym_unsigned] = ACTIONS(1298),
    [anon_sym_long] = ACTIONS(1298),
    [anon_sym_short] = ACTIONS(1298),
    [anon_sym_static] = ACTIONS(1298),
    [anon_sym_auto] = ACTIONS(1298),
    [anon_sym_register] = ACTIONS(1298),
    [anon_sym_inline] = ACTIONS(1298),
    [anon_sym___inline] = ACTIONS(1298),
    [anon_sym___inline__] = ACTIONS(1298),
    [anon_sym___forceinline] = ACTIONS(1298),
    [anon_sym_thread_local] = ACTIONS(1298),
    [anon_sym___thread] = ACTIONS(1298),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_constexpr] = ACTIONS(1298),
    [anon_sym_volatile] = ACTIONS(1298),
    [anon_sym_restrict] = ACTIONS(1298),
    [anon_sym___restrict__] = ACTIONS(1298),
    [anon_sym__Atomic] = ACTIONS(1298),
    [anon_sym__Noreturn] = ACTIONS(1298),
    [anon_sym_noreturn] = ACTIONS(1298),
    [sym_primitive_type] = ACTIONS(1298),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_struct] = ACTIONS(1298),
    [anon_sym_union] = ACTIONS(1298),
    [anon_sym_if] = ACTIONS(1298),
    [anon_sym_else] = ACTIONS(1298),
    [anon_sym_switch] = ACTIONS(1298),
    [anon_sym_case] = ACTIONS(1298),
    [anon_sym_default] = ACTIONS(1298),
    [anon_sym_while] = ACTIONS(1298),
    [anon_sym_do] = ACTIONS(1298),
    [anon_sym_for] = ACTIONS(1298),
    [anon_sym_return] = ACTIONS(1298),
    [anon_sym_break] = ACTIONS(1298),
    [anon_sym_continue] = ACTIONS(1298),
    [anon_sym_goto] = ACTIONS(1298),
    [anon_sym___try] = ACTIONS(1298),
    [anon_sym___leave] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_sizeof] = ACTIONS(1298),
    [anon_sym___alignof__] = ACTIONS(1298),
    [anon_sym___alignof] = ACTIONS(1298),
    [anon_sym__alignof] = ACTIONS(1298),
    [anon_sym_alignof] = ACTIONS(1298),
    [anon_sym__Alignof] = ACTIONS(1298),
    [anon_sym_offsetof] = ACTIONS(1298),
    [anon_sym__Generic] = ACTIONS(1298),
    [anon_sym_asm] = ACTIONS(1298),
    [anon_sym___asm__] = ACTIONS(1298),
    [sym_number_literal] = ACTIONS(1300),
    [anon_sym_L_SQUOTE] = ACTIONS(1300),
    [anon_sym_u_SQUOTE] = ACTIONS(1300),
    [anon_sym_U_SQUOTE] = ACTIONS(1300),
    [anon_sym_u8_SQUOTE] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_L_DQUOTE] = ACTIONS(1300),
    [anon_sym_u_DQUOTE] = ACTIONS(1300),
    [anon_sym_U_DQUOTE] = ACTIONS(1300),
    [anon_sym_u8_DQUOTE] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [sym_true] = ACTIONS(1298),
    [sym_false] = ACTIONS(1298),
    [anon_sym_NULL] = ACTIONS(1298),
    [anon_sym_nullptr] = ACTIONS(1298),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_identifier] = ACTIONS(1330),
    [aux_sym_preproc_include_token1] = ACTIONS(1330),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token2] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1330),
    [aux_sym_preproc_else_token1] = ACTIONS(1330),
    [aux_sym_preproc_elif_token1] = ACTIONS(1330),
    [sym_preproc_directive] = ACTIONS(1330),
    [anon_sym_LPAREN2] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_STAR] = ACTIONS(1332),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1332),
    [anon_sym___extension__] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1330),
    [anon_sym_extern] = ACTIONS(1330),
    [anon_sym___attribute__] = ACTIONS(1330),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1332),
    [anon_sym___declspec] = ACTIONS(1330),
    [anon_sym___cdecl] = ACTIONS(1330),
    [anon_sym___clrcall] = ACTIONS(1330),
    [anon_sym___stdcall] = ACTIONS(1330),
    [anon_sym___fastcall] = ACTIONS(1330),
    [anon_sym___thiscall] = ACTIONS(1330),
    [anon_sym___vectorcall] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(1330),
    [anon_sym_unsigned] = ACTIONS(1330),
    [anon_sym_long] = ACTIONS(1330),
    [anon_sym_short] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1330),
    [anon_sym_auto] = ACTIONS(1330),
    [anon_sym_register] = ACTIONS(1330),
    [anon_sym_inline] = ACTIONS(1330),
    [anon_sym___inline] = ACTIONS(1330),
    [anon_sym___inline__] = ACTIONS(1330),
    [anon_sym___forceinline] = ACTIONS(1330),
    [anon_sym_thread_local] = ACTIONS(1330),
    [anon_sym___thread] = ACTIONS(1330),
    [anon_sym_const] = ACTIONS(1330),
    [anon_sym_constexpr] = ACTIONS(1330),
    [anon_sym_volatile] = ACTIONS(1330),
    [anon_sym_restrict] = ACTIONS(1330),
    [anon_sym___restrict__] = ACTIONS(1330),
    [anon_sym__Atomic] = ACTIONS(1330),
    [anon_sym__Noreturn] = ACTIONS(1330),
    [anon_sym_noreturn] = ACTIONS(1330),
    [sym_primitive_type] = ACTIONS(1330),
    [anon_sym_enum] = ACTIONS(1330),
    [anon_sym_struct] = ACTIONS(1330),
    [anon_sym_union] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1330),
    [anon_sym_else] = ACTIONS(1330),
    [anon_sym_switch] = ACTIONS(1330),
    [anon_sym_case] = ACTIONS(1330),
    [anon_sym_default] = ACTIONS(1330),
    [anon_sym_while] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1330),
    [anon_sym_for] = ACTIONS(1330),
    [anon_sym_return] = ACTIONS(1330),
    [anon_sym_break] = ACTIONS(1330),
    [anon_sym_continue] = ACTIONS(1330),
    [anon_sym_goto] = ACTIONS(1330),
    [anon_sym___try] = ACTIONS(1330),
    [anon_sym___leave] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [anon_sym_sizeof] = ACTIONS(1330),
    [anon_sym___alignof__] = ACTIONS(1330),
    [anon_sym___alignof] = ACTIONS(1330),
    [anon_sym__alignof] = ACTIONS(1330),
    [anon_sym_alignof] = ACTIONS(1330),
    [anon_sym__Alignof] = ACTIONS(1330),
    [anon_sym_offsetof] = ACTIONS(1330),
    [anon_sym__Generic] = ACTIONS(1330),
    [anon_sym_asm] = ACTIONS(1330),
    [anon_sym___asm__] = ACTIONS(1330),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1332),
    [anon_sym_u_SQUOTE] = ACTIONS(1332),
    [anon_sym_U_SQUOTE] = ACTIONS(1332),
    [anon_sym_u8_SQUOTE] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_L_DQUOTE] = ACTIONS(1332),
    [anon_sym_u_DQUOTE] = ACTIONS(1332),
    [anon_sym_U_DQUOTE] = ACTIONS(1332),
    [anon_sym_u8_DQUOTE] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [sym_true] = ACTIONS(1330),
    [sym_false] = ACTIONS(1330),
    [anon_sym_NULL] = ACTIONS(1330),
    [anon_sym_nullptr] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_identifier] = ACTIONS(1326),
    [aux_sym_preproc_include_token1] = ACTIONS(1326),
    [aux_sym_preproc_def_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token2] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1326),
    [aux_sym_preproc_else_token1] = ACTIONS(1326),
    [aux_sym_preproc_elif_token1] = ACTIONS(1326),
    [sym_preproc_directive] = ACTIONS(1326),
    [anon_sym_LPAREN2] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1328),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1326),
    [anon_sym_extern] = ACTIONS(1326),
    [anon_sym___attribute__] = ACTIONS(1326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1328),
    [anon_sym___declspec] = ACTIONS(1326),
    [anon_sym___cdecl] = ACTIONS(1326),
    [anon_sym___clrcall] = ACTIONS(1326),
    [anon_sym___stdcall] = ACTIONS(1326),
    [anon_sym___fastcall] = ACTIONS(1326),
    [anon_sym___thiscall] = ACTIONS(1326),
    [anon_sym___vectorcall] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_signed] = ACTIONS(1326),
    [anon_sym_unsigned] = ACTIONS(1326),
    [anon_sym_long] = ACTIONS(1326),
    [anon_sym_short] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1326),
    [anon_sym_auto] = ACTIONS(1326),
    [anon_sym_register] = ACTIONS(1326),
    [anon_sym_inline] = ACTIONS(1326),
    [anon_sym___inline] = ACTIONS(1326),
    [anon_sym___inline__] = ACTIONS(1326),
    [anon_sym___forceinline] = ACTIONS(1326),
    [anon_sym_thread_local] = ACTIONS(1326),
    [anon_sym___thread] = ACTIONS(1326),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_constexpr] = ACTIONS(1326),
    [anon_sym_volatile] = ACTIONS(1326),
    [anon_sym_restrict] = ACTIONS(1326),
    [anon_sym___restrict__] = ACTIONS(1326),
    [anon_sym__Atomic] = ACTIONS(1326),
    [anon_sym__Noreturn] = ACTIONS(1326),
    [anon_sym_noreturn] = ACTIONS(1326),
    [sym_primitive_type] = ACTIONS(1326),
    [anon_sym_enum] = ACTIONS(1326),
    [anon_sym_struct] = ACTIONS(1326),
    [anon_sym_union] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1326),
    [anon_sym_else] = ACTIONS(1326),
    [anon_sym_switch] = ACTIONS(1326),
    [anon_sym_case] = ACTIONS(1326),
    [anon_sym_default] = ACTIONS(1326),
    [anon_sym_while] = ACTIONS(1326),
    [anon_sym_do] = ACTIONS(1326),
    [anon_sym_for] = ACTIONS(1326),
    [anon_sym_return] = ACTIONS(1326),
    [anon_sym_break] = ACTIONS(1326),
    [anon_sym_continue] = ACTIONS(1326),
    [anon_sym_goto] = ACTIONS(1326),
    [anon_sym___try] = ACTIONS(1326),
    [anon_sym___leave] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_sizeof] = ACTIONS(1326),
    [anon_sym___alignof__] = ACTIONS(1326),
    [anon_sym___alignof] = ACTIONS(1326),
    [anon_sym__alignof] = ACTIONS(1326),
    [anon_sym_alignof] = ACTIONS(1326),
    [anon_sym__Alignof] = ACTIONS(1326),
    [anon_sym_offsetof] = ACTIONS(1326),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1326),
    [anon_sym___asm__] = ACTIONS(1326),
    [sym_number_literal] = ACTIONS(1328),
    [anon_sym_L_SQUOTE] = ACTIONS(1328),
    [anon_sym_u_SQUOTE] = ACTIONS(1328),
    [anon_sym_U_SQUOTE] = ACTIONS(1328),
    [anon_sym_u8_SQUOTE] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_L_DQUOTE] = ACTIONS(1328),
    [anon_sym_u_DQUOTE] = ACTIONS(1328),
    [anon_sym_U_DQUOTE] = ACTIONS(1328),
    [anon_sym_u8_DQUOTE] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [sym_true] = ACTIONS(1326),
    [sym_false] = ACTIONS(1326),
    [anon_sym_NULL] = ACTIONS(1326),
    [anon_sym_nullptr] = ACTIONS(1326),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_identifier] = ACTIONS(1378),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token2] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1378),
    [aux_sym_preproc_else_token1] = ACTIONS(1378),
    [aux_sym_preproc_elif_token1] = ACTIONS(1378),
    [sym_preproc_directive] = ACTIONS(1378),
    [anon_sym_LPAREN2] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym___extension__] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1378),
    [anon_sym_extern] = ACTIONS(1378),
    [anon_sym___attribute__] = ACTIONS(1378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1380),
    [anon_sym___declspec] = ACTIONS(1378),
    [anon_sym___cdecl] = ACTIONS(1378),
    [anon_sym___clrcall] = ACTIONS(1378),
    [anon_sym___stdcall] = ACTIONS(1378),
    [anon_sym___fastcall] = ACTIONS(1378),
    [anon_sym___thiscall] = ACTIONS(1378),
    [anon_sym___vectorcall] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_signed] = ACTIONS(1378),
    [anon_sym_unsigned] = ACTIONS(1378),
    [anon_sym_long] = ACTIONS(1378),
    [anon_sym_short] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_auto] = ACTIONS(1378),
    [anon_sym_register] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1378),
    [anon_sym___inline] = ACTIONS(1378),
    [anon_sym___inline__] = ACTIONS(1378),
    [anon_sym___forceinline] = ACTIONS(1378),
    [anon_sym_thread_local] = ACTIONS(1378),
    [anon_sym___thread] = ACTIONS(1378),
    [anon_sym_const] = ACTIONS(1378),
    [anon_sym_constexpr] = ACTIONS(1378),
    [anon_sym_volatile] = ACTIONS(1378),
    [anon_sym_restrict] = ACTIONS(1378),
    [anon_sym___restrict__] = ACTIONS(1378),
    [anon_sym__Atomic] = ACTIONS(1378),
    [anon_sym__Noreturn] = ACTIONS(1378),
    [anon_sym_noreturn] = ACTIONS(1378),
    [sym_primitive_type] = ACTIONS(1378),
    [anon_sym_enum] = ACTIONS(1378),
    [anon_sym_struct] = ACTIONS(1378),
    [anon_sym_union] = ACTIONS(1378),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_else] = ACTIONS(1378),
    [anon_sym_switch] = ACTIONS(1378),
    [anon_sym_case] = ACTIONS(1378),
    [anon_sym_default] = ACTIONS(1378),
    [anon_sym_while] = ACTIONS(1378),
    [anon_sym_do] = ACTIONS(1378),
    [anon_sym_for] = ACTIONS(1378),
    [anon_sym_return] = ACTIONS(1378),
    [anon_sym_break] = ACTIONS(1378),
    [anon_sym_continue] = ACTIONS(1378),
    [anon_sym_goto] = ACTIONS(1378),
    [anon_sym___try] = ACTIONS(1378),
    [anon_sym___leave] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_sizeof] = ACTIONS(1378),
    [anon_sym___alignof__] = ACTIONS(1378),
    [anon_sym___alignof] = ACTIONS(1378),
    [anon_sym__alignof] = ACTIONS(1378),
    [anon_sym_alignof] = ACTIONS(1378),
    [anon_sym__Alignof] = ACTIONS(1378),
    [anon_sym_offsetof] = ACTIONS(1378),
    [anon_sym__Generic] = ACTIONS(1378),
    [anon_sym_asm] = ACTIONS(1378),
    [anon_sym___asm__] = ACTIONS(1378),
    [sym_number_literal] = ACTIONS(1380),
    [anon_sym_L_SQUOTE] = ACTIONS(1380),
    [anon_sym_u_SQUOTE] = ACTIONS(1380),
    [anon_sym_U_SQUOTE] = ACTIONS(1380),
    [anon_sym_u8_SQUOTE] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_L_DQUOTE] = ACTIONS(1380),
    [anon_sym_u_DQUOTE] = ACTIONS(1380),
    [anon_sym_U_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8_DQUOTE] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_NULL] = ACTIONS(1378),
    [anon_sym_nullptr] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_identifier] = ACTIONS(1382),
    [aux_sym_preproc_include_token1] = ACTIONS(1382),
    [aux_sym_preproc_def_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token2] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1382),
    [aux_sym_preproc_else_token1] = ACTIONS(1382),
    [aux_sym_preproc_elif_token1] = ACTIONS(1382),
    [sym_preproc_directive] = ACTIONS(1382),
    [anon_sym_LPAREN2] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym___extension__] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1382),
    [anon_sym_extern] = ACTIONS(1382),
    [anon_sym___attribute__] = ACTIONS(1382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1384),
    [anon_sym___declspec] = ACTIONS(1382),
    [anon_sym___cdecl] = ACTIONS(1382),
    [anon_sym___clrcall] = ACTIONS(1382),
    [anon_sym___stdcall] = ACTIONS(1382),
    [anon_sym___fastcall] = ACTIONS(1382),
    [anon_sym___thiscall] = ACTIONS(1382),
    [anon_sym___vectorcall] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_signed] = ACTIONS(1382),
    [anon_sym_unsigned] = ACTIONS(1382),
    [anon_sym_long] = ACTIONS(1382),
    [anon_sym_short] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1382),
    [anon_sym_auto] = ACTIONS(1382),
    [anon_sym_register] = ACTIONS(1382),
    [anon_sym_inline] = ACTIONS(1382),
    [anon_sym___inline] = ACTIONS(1382),
    [anon_sym___inline__] = ACTIONS(1382),
    [anon_sym___forceinline] = ACTIONS(1382),
    [anon_sym_thread_local] = ACTIONS(1382),
    [anon_sym___thread] = ACTIONS(1382),
    [anon_sym_const] = ACTIONS(1382),
    [anon_sym_constexpr] = ACTIONS(1382),
    [anon_sym_volatile] = ACTIONS(1382),
    [anon_sym_restrict] = ACTIONS(1382),
    [anon_sym___restrict__] = ACTIONS(1382),
    [anon_sym__Atomic] = ACTIONS(1382),
    [anon_sym__Noreturn] = ACTIONS(1382),
    [anon_sym_noreturn] = ACTIONS(1382),
    [sym_primitive_type] = ACTIONS(1382),
    [anon_sym_enum] = ACTIONS(1382),
    [anon_sym_struct] = ACTIONS(1382),
    [anon_sym_union] = ACTIONS(1382),
    [anon_sym_if] = ACTIONS(1382),
    [anon_sym_else] = ACTIONS(1382),
    [anon_sym_switch] = ACTIONS(1382),
    [anon_sym_case] = ACTIONS(1382),
    [anon_sym_default] = ACTIONS(1382),
    [anon_sym_while] = ACTIONS(1382),
    [anon_sym_do] = ACTIONS(1382),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_break] = ACTIONS(1382),
    [anon_sym_continue] = ACTIONS(1382),
    [anon_sym_goto] = ACTIONS(1382),
    [anon_sym___try] = ACTIONS(1382),
    [anon_sym___leave] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_sizeof] = ACTIONS(1382),
    [anon_sym___alignof__] = ACTIONS(1382),
    [anon_sym___alignof] = ACTIONS(1382),
    [anon_sym__alignof] = ACTIONS(1382),
    [anon_sym_alignof] = ACTIONS(1382),
    [anon_sym__Alignof] = ACTIONS(1382),
    [anon_sym_offsetof] = ACTIONS(1382),
    [anon_sym__Generic] = ACTIONS(1382),
    [anon_sym_asm] = ACTIONS(1382),
    [anon_sym___asm__] = ACTIONS(1382),
    [sym_number_literal] = ACTIONS(1384),
    [anon_sym_L_SQUOTE] = ACTIONS(1384),
    [anon_sym_u_SQUOTE] = ACTIONS(1384),
    [anon_sym_U_SQUOTE] = ACTIONS(1384),
    [anon_sym_u8_SQUOTE] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_L_DQUOTE] = ACTIONS(1384),
    [anon_sym_u_DQUOTE] = ACTIONS(1384),
    [anon_sym_U_DQUOTE] = ACTIONS(1384),
    [anon_sym_u8_DQUOTE] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [sym_true] = ACTIONS(1382),
    [sym_false] = ACTIONS(1382),
    [anon_sym_NULL] = ACTIONS(1382),
    [anon_sym_nullptr] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_identifier] = ACTIONS(1354),
    [aux_sym_preproc_include_token1] = ACTIONS(1354),
    [aux_sym_preproc_def_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1354),
    [aux_sym_preproc_else_token1] = ACTIONS(1354),
    [aux_sym_preproc_elif_token1] = ACTIONS(1354),
    [sym_preproc_directive] = ACTIONS(1354),
    [anon_sym_LPAREN2] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_STAR] = ACTIONS(1356),
    [anon_sym_AMP] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1356),
    [anon_sym___extension__] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1354),
    [anon_sym_extern] = ACTIONS(1354),
    [anon_sym___attribute__] = ACTIONS(1354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1356),
    [anon_sym___declspec] = ACTIONS(1354),
    [anon_sym___cdecl] = ACTIONS(1354),
    [anon_sym___clrcall] = ACTIONS(1354),
    [anon_sym___stdcall] = ACTIONS(1354),
    [anon_sym___fastcall] = ACTIONS(1354),
    [anon_sym___thiscall] = ACTIONS(1354),
    [anon_sym___vectorcall] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_signed] = ACTIONS(1354),
    [anon_sym_unsigned] = ACTIONS(1354),
    [anon_sym_long] = ACTIONS(1354),
    [anon_sym_short] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1354),
    [anon_sym_auto] = ACTIONS(1354),
    [anon_sym_register] = ACTIONS(1354),
    [anon_sym_inline] = ACTIONS(1354),
    [anon_sym___inline] = ACTIONS(1354),
    [anon_sym___inline__] = ACTIONS(1354),
    [anon_sym___forceinline] = ACTIONS(1354),
    [anon_sym_thread_local] = ACTIONS(1354),
    [anon_sym___thread] = ACTIONS(1354),
    [anon_sym_const] = ACTIONS(1354),
    [anon_sym_constexpr] = ACTIONS(1354),
    [anon_sym_volatile] = ACTIONS(1354),
    [anon_sym_restrict] = ACTIONS(1354),
    [anon_sym___restrict__] = ACTIONS(1354),
    [anon_sym__Atomic] = ACTIONS(1354),
    [anon_sym__Noreturn] = ACTIONS(1354),
    [anon_sym_noreturn] = ACTIONS(1354),
    [sym_primitive_type] = ACTIONS(1354),
    [anon_sym_enum] = ACTIONS(1354),
    [anon_sym_struct] = ACTIONS(1354),
    [anon_sym_union] = ACTIONS(1354),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_else] = ACTIONS(1354),
    [anon_sym_switch] = ACTIONS(1354),
    [anon_sym_case] = ACTIONS(1354),
    [anon_sym_default] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1354),
    [anon_sym_do] = ACTIONS(1354),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1354),
    [anon_sym_break] = ACTIONS(1354),
    [anon_sym_continue] = ACTIONS(1354),
    [anon_sym_goto] = ACTIONS(1354),
    [anon_sym___try] = ACTIONS(1354),
    [anon_sym___leave] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_sizeof] = ACTIONS(1354),
    [anon_sym___alignof__] = ACTIONS(1354),
    [anon_sym___alignof] = ACTIONS(1354),
    [anon_sym__alignof] = ACTIONS(1354),
    [anon_sym_alignof] = ACTIONS(1354),
    [anon_sym__Alignof] = ACTIONS(1354),
    [anon_sym_offsetof] = ACTIONS(1354),
    [anon_sym__Generic] = ACTIONS(1354),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym___asm__] = ACTIONS(1354),
    [sym_number_literal] = ACTIONS(1356),
    [anon_sym_L_SQUOTE] = ACTIONS(1356),
    [anon_sym_u_SQUOTE] = ACTIONS(1356),
    [anon_sym_U_SQUOTE] = ACTIONS(1356),
    [anon_sym_u8_SQUOTE] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_L_DQUOTE] = ACTIONS(1356),
    [anon_sym_u_DQUOTE] = ACTIONS(1356),
    [anon_sym_U_DQUOTE] = ACTIONS(1356),
    [anon_sym_u8_DQUOTE] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_NULL] = ACTIONS(1354),
    [anon_sym_nullptr] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_identifier] = ACTIONS(1386),
    [aux_sym_preproc_include_token1] = ACTIONS(1386),
    [aux_sym_preproc_def_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token2] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1386),
    [aux_sym_preproc_else_token1] = ACTIONS(1386),
    [aux_sym_preproc_elif_token1] = ACTIONS(1386),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1386),
    [anon_sym_extern] = ACTIONS(1386),
    [anon_sym___attribute__] = ACTIONS(1386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1388),
    [anon_sym___declspec] = ACTIONS(1386),
    [anon_sym___cdecl] = ACTIONS(1386),
    [anon_sym___clrcall] = ACTIONS(1386),
    [anon_sym___stdcall] = ACTIONS(1386),
    [anon_sym___fastcall] = ACTIONS(1386),
    [anon_sym___thiscall] = ACTIONS(1386),
    [anon_sym___vectorcall] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_signed] = ACTIONS(1386),
    [anon_sym_unsigned] = ACTIONS(1386),
    [anon_sym_long] = ACTIONS(1386),
    [anon_sym_short] = ACTIONS(1386),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_auto] = ACTIONS(1386),
    [anon_sym_register] = ACTIONS(1386),
    [anon_sym_inline] = ACTIONS(1386),
    [anon_sym___inline] = ACTIONS(1386),
    [anon_sym___inline__] = ACTIONS(1386),
    [anon_sym___forceinline] = ACTIONS(1386),
    [anon_sym_thread_local] = ACTIONS(1386),
    [anon_sym___thread] = ACTIONS(1386),
    [anon_sym_const] = ACTIONS(1386),
    [anon_sym_constexpr] = ACTIONS(1386),
    [anon_sym_volatile] = ACTIONS(1386),
    [anon_sym_restrict] = ACTIONS(1386),
    [anon_sym___restrict__] = ACTIONS(1386),
    [anon_sym__Atomic] = ACTIONS(1386),
    [anon_sym__Noreturn] = ACTIONS(1386),
    [anon_sym_noreturn] = ACTIONS(1386),
    [sym_primitive_type] = ACTIONS(1386),
    [anon_sym_enum] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(1386),
    [anon_sym_union] = ACTIONS(1386),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_else] = ACTIONS(1386),
    [anon_sym_switch] = ACTIONS(1386),
    [anon_sym_case] = ACTIONS(1386),
    [anon_sym_default] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_for] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_continue] = ACTIONS(1386),
    [anon_sym_goto] = ACTIONS(1386),
    [anon_sym___try] = ACTIONS(1386),
    [anon_sym___leave] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(1386),
    [anon_sym___alignof__] = ACTIONS(1386),
    [anon_sym___alignof] = ACTIONS(1386),
    [anon_sym__alignof] = ACTIONS(1386),
    [anon_sym_alignof] = ACTIONS(1386),
    [anon_sym__Alignof] = ACTIONS(1386),
    [anon_sym_offsetof] = ACTIONS(1386),
    [anon_sym__Generic] = ACTIONS(1386),
    [anon_sym_asm] = ACTIONS(1386),
    [anon_sym___asm__] = ACTIONS(1386),
    [sym_number_literal] = ACTIONS(1388),
    [anon_sym_L_SQUOTE] = ACTIONS(1388),
    [anon_sym_u_SQUOTE] = ACTIONS(1388),
    [anon_sym_U_SQUOTE] = ACTIONS(1388),
    [anon_sym_u8_SQUOTE] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_L_DQUOTE] = ACTIONS(1388),
    [anon_sym_u_DQUOTE] = ACTIONS(1388),
    [anon_sym_U_DQUOTE] = ACTIONS(1388),
    [anon_sym_u8_DQUOTE] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [sym_true] = ACTIONS(1386),
    [sym_false] = ACTIONS(1386),
    [anon_sym_NULL] = ACTIONS(1386),
    [anon_sym_nullptr] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token2] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [aux_sym_preproc_else_token1] = ACTIONS(1398),
    [aux_sym_preproc_elif_token1] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym___extension__] = ACTIONS(1398),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym___inline] = ACTIONS(1398),
    [anon_sym___inline__] = ACTIONS(1398),
    [anon_sym___forceinline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym___thread] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_else] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym___try] = ACTIONS(1398),
    [anon_sym___leave] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym___alignof__] = ACTIONS(1398),
    [anon_sym___alignof] = ACTIONS(1398),
    [anon_sym__alignof] = ACTIONS(1398),
    [anon_sym_alignof] = ACTIONS(1398),
    [anon_sym__Alignof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_identifier] = ACTIONS(1314),
    [aux_sym_preproc_include_token1] = ACTIONS(1314),
    [aux_sym_preproc_def_token1] = ACTIONS(1314),
    [aux_sym_preproc_if_token1] = ACTIONS(1314),
    [aux_sym_preproc_if_token2] = ACTIONS(1314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1314),
    [aux_sym_preproc_else_token1] = ACTIONS(1314),
    [aux_sym_preproc_elif_token1] = ACTIONS(1314),
    [sym_preproc_directive] = ACTIONS(1314),
    [anon_sym_LPAREN2] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1316),
    [anon_sym_AMP] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1316),
    [anon_sym___extension__] = ACTIONS(1314),
    [anon_sym_typedef] = ACTIONS(1314),
    [anon_sym_extern] = ACTIONS(1314),
    [anon_sym___attribute__] = ACTIONS(1314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1316),
    [anon_sym___declspec] = ACTIONS(1314),
    [anon_sym___cdecl] = ACTIONS(1314),
    [anon_sym___clrcall] = ACTIONS(1314),
    [anon_sym___stdcall] = ACTIONS(1314),
    [anon_sym___fastcall] = ACTIONS(1314),
    [anon_sym___thiscall] = ACTIONS(1314),
    [anon_sym___vectorcall] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_signed] = ACTIONS(1314),
    [anon_sym_unsigned] = ACTIONS(1314),
    [anon_sym_long] = ACTIONS(1314),
    [anon_sym_short] = ACTIONS(1314),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_auto] = ACTIONS(1314),
    [anon_sym_register] = ACTIONS(1314),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym___inline] = ACTIONS(1314),
    [anon_sym___inline__] = ACTIONS(1314),
    [anon_sym___forceinline] = ACTIONS(1314),
    [anon_sym_thread_local] = ACTIONS(1314),
    [anon_sym___thread] = ACTIONS(1314),
    [anon_sym_const] = ACTIONS(1314),
    [anon_sym_constexpr] = ACTIONS(1314),
    [anon_sym_volatile] = ACTIONS(1314),
    [anon_sym_restrict] = ACTIONS(1314),
    [anon_sym___restrict__] = ACTIONS(1314),
    [anon_sym__Atomic] = ACTIONS(1314),
    [anon_sym__Noreturn] = ACTIONS(1314),
    [anon_sym_noreturn] = ACTIONS(1314),
    [sym_primitive_type] = ACTIONS(1314),
    [anon_sym_enum] = ACTIONS(1314),
    [anon_sym_struct] = ACTIONS(1314),
    [anon_sym_union] = ACTIONS(1314),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_else] = ACTIONS(1314),
    [anon_sym_switch] = ACTIONS(1314),
    [anon_sym_case] = ACTIONS(1314),
    [anon_sym_default] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1314),
    [anon_sym_do] = ACTIONS(1314),
    [anon_sym_for] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1314),
    [anon_sym_break] = ACTIONS(1314),
    [anon_sym_continue] = ACTIONS(1314),
    [anon_sym_goto] = ACTIONS(1314),
    [anon_sym___try] = ACTIONS(1314),
    [anon_sym___leave] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [anon_sym_sizeof] = ACTIONS(1314),
    [anon_sym___alignof__] = ACTIONS(1314),
    [anon_sym___alignof] = ACTIONS(1314),
    [anon_sym__alignof] = ACTIONS(1314),
    [anon_sym_alignof] = ACTIONS(1314),
    [anon_sym__Alignof] = ACTIONS(1314),
    [anon_sym_offsetof] = ACTIONS(1314),
    [anon_sym__Generic] = ACTIONS(1314),
    [anon_sym_asm] = ACTIONS(1314),
    [anon_sym___asm__] = ACTIONS(1314),
    [sym_number_literal] = ACTIONS(1316),
    [anon_sym_L_SQUOTE] = ACTIONS(1316),
    [anon_sym_u_SQUOTE] = ACTIONS(1316),
    [anon_sym_U_SQUOTE] = ACTIONS(1316),
    [anon_sym_u8_SQUOTE] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_L_DQUOTE] = ACTIONS(1316),
    [anon_sym_u_DQUOTE] = ACTIONS(1316),
    [anon_sym_U_DQUOTE] = ACTIONS(1316),
    [anon_sym_u8_DQUOTE] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [sym_true] = ACTIONS(1314),
    [sym_false] = ACTIONS(1314),
    [anon_sym_NULL] = ACTIONS(1314),
    [anon_sym_nullptr] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_identifier] = ACTIONS(1350),
    [aux_sym_preproc_include_token1] = ACTIONS(1350),
    [aux_sym_preproc_def_token1] = ACTIONS(1350),
    [aux_sym_preproc_if_token1] = ACTIONS(1350),
    [aux_sym_preproc_if_token2] = ACTIONS(1350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1350),
    [aux_sym_preproc_else_token1] = ACTIONS(1350),
    [aux_sym_preproc_elif_token1] = ACTIONS(1350),
    [sym_preproc_directive] = ACTIONS(1350),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_STAR] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1352),
    [anon_sym___extension__] = ACTIONS(1350),
    [anon_sym_typedef] = ACTIONS(1350),
    [anon_sym_extern] = ACTIONS(1350),
    [anon_sym___attribute__] = ACTIONS(1350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1352),
    [anon_sym___declspec] = ACTIONS(1350),
    [anon_sym___cdecl] = ACTIONS(1350),
    [anon_sym___clrcall] = ACTIONS(1350),
    [anon_sym___stdcall] = ACTIONS(1350),
    [anon_sym___fastcall] = ACTIONS(1350),
    [anon_sym___thiscall] = ACTIONS(1350),
    [anon_sym___vectorcall] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_signed] = ACTIONS(1350),
    [anon_sym_unsigned] = ACTIONS(1350),
    [anon_sym_long] = ACTIONS(1350),
    [anon_sym_short] = ACTIONS(1350),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_auto] = ACTIONS(1350),
    [anon_sym_register] = ACTIONS(1350),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym___inline] = ACTIONS(1350),
    [anon_sym___inline__] = ACTIONS(1350),
    [anon_sym___forceinline] = ACTIONS(1350),
    [anon_sym_thread_local] = ACTIONS(1350),
    [anon_sym___thread] = ACTIONS(1350),
    [anon_sym_const] = ACTIONS(1350),
    [anon_sym_constexpr] = ACTIONS(1350),
    [anon_sym_volatile] = ACTIONS(1350),
    [anon_sym_restrict] = ACTIONS(1350),
    [anon_sym___restrict__] = ACTIONS(1350),
    [anon_sym__Atomic] = ACTIONS(1350),
    [anon_sym__Noreturn] = ACTIONS(1350),
    [anon_sym_noreturn] = ACTIONS(1350),
    [sym_primitive_type] = ACTIONS(1350),
    [anon_sym_enum] = ACTIONS(1350),
    [anon_sym_struct] = ACTIONS(1350),
    [anon_sym_union] = ACTIONS(1350),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_else] = ACTIONS(1350),
    [anon_sym_switch] = ACTIONS(1350),
    [anon_sym_case] = ACTIONS(1350),
    [anon_sym_default] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1350),
    [anon_sym_do] = ACTIONS(1350),
    [anon_sym_for] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1350),
    [anon_sym_break] = ACTIONS(1350),
    [anon_sym_continue] = ACTIONS(1350),
    [anon_sym_goto] = ACTIONS(1350),
    [anon_sym___try] = ACTIONS(1350),
    [anon_sym___leave] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_sizeof] = ACTIONS(1350),
    [anon_sym___alignof__] = ACTIONS(1350),
    [anon_sym___alignof] = ACTIONS(1350),
    [anon_sym__alignof] = ACTIONS(1350),
    [anon_sym_alignof] = ACTIONS(1350),
    [anon_sym__Alignof] = ACTIONS(1350),
    [anon_sym_offsetof] = ACTIONS(1350),
    [anon_sym__Generic] = ACTIONS(1350),
    [anon_sym_asm] = ACTIONS(1350),
    [anon_sym___asm__] = ACTIONS(1350),
    [sym_number_literal] = ACTIONS(1352),
    [anon_sym_L_SQUOTE] = ACTIONS(1352),
    [anon_sym_u_SQUOTE] = ACTIONS(1352),
    [anon_sym_U_SQUOTE] = ACTIONS(1352),
    [anon_sym_u8_SQUOTE] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_L_DQUOTE] = ACTIONS(1352),
    [anon_sym_u_DQUOTE] = ACTIONS(1352),
    [anon_sym_U_DQUOTE] = ACTIONS(1352),
    [anon_sym_u8_DQUOTE] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [sym_true] = ACTIONS(1350),
    [sym_false] = ACTIONS(1350),
    [anon_sym_NULL] = ACTIONS(1350),
    [anon_sym_nullptr] = ACTIONS(1350),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_identifier] = ACTIONS(1322),
    [aux_sym_preproc_include_token1] = ACTIONS(1322),
    [aux_sym_preproc_def_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token2] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1322),
    [aux_sym_preproc_else_token1] = ACTIONS(1322),
    [aux_sym_preproc_elif_token1] = ACTIONS(1322),
    [sym_preproc_directive] = ACTIONS(1322),
    [anon_sym_LPAREN2] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1324),
    [anon_sym_AMP] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1322),
    [anon_sym_extern] = ACTIONS(1322),
    [anon_sym___attribute__] = ACTIONS(1322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1324),
    [anon_sym___declspec] = ACTIONS(1322),
    [anon_sym___cdecl] = ACTIONS(1322),
    [anon_sym___clrcall] = ACTIONS(1322),
    [anon_sym___stdcall] = ACTIONS(1322),
    [anon_sym___fastcall] = ACTIONS(1322),
    [anon_sym___thiscall] = ACTIONS(1322),
    [anon_sym___vectorcall] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1322),
    [anon_sym_unsigned] = ACTIONS(1322),
    [anon_sym_long] = ACTIONS(1322),
    [anon_sym_short] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1322),
    [anon_sym_auto] = ACTIONS(1322),
    [anon_sym_register] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1322),
    [anon_sym___inline] = ACTIONS(1322),
    [anon_sym___inline__] = ACTIONS(1322),
    [anon_sym___forceinline] = ACTIONS(1322),
    [anon_sym_thread_local] = ACTIONS(1322),
    [anon_sym___thread] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_constexpr] = ACTIONS(1322),
    [anon_sym_volatile] = ACTIONS(1322),
    [anon_sym_restrict] = ACTIONS(1322),
    [anon_sym___restrict__] = ACTIONS(1322),
    [anon_sym__Atomic] = ACTIONS(1322),
    [anon_sym__Noreturn] = ACTIONS(1322),
    [anon_sym_noreturn] = ACTIONS(1322),
    [sym_primitive_type] = ACTIONS(1322),
    [anon_sym_enum] = ACTIONS(1322),
    [anon_sym_struct] = ACTIONS(1322),
    [anon_sym_union] = ACTIONS(1322),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_else] = ACTIONS(1322),
    [anon_sym_switch] = ACTIONS(1322),
    [anon_sym_case] = ACTIONS(1322),
    [anon_sym_default] = ACTIONS(1322),
    [anon_sym_while] = ACTIONS(1322),
    [anon_sym_do] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_goto] = ACTIONS(1322),
    [anon_sym___try] = ACTIONS(1322),
    [anon_sym___leave] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_sizeof] = ACTIONS(1322),
    [anon_sym___alignof__] = ACTIONS(1322),
    [anon_sym___alignof] = ACTIONS(1322),
    [anon_sym__alignof] = ACTIONS(1322),
    [anon_sym_alignof] = ACTIONS(1322),
    [anon_sym__Alignof] = ACTIONS(1322),
    [anon_sym_offsetof] = ACTIONS(1322),
    [anon_sym__Generic] = ACTIONS(1322),
    [anon_sym_asm] = ACTIONS(1322),
    [anon_sym___asm__] = ACTIONS(1322),
    [sym_number_literal] = ACTIONS(1324),
    [anon_sym_L_SQUOTE] = ACTIONS(1324),
    [anon_sym_u_SQUOTE] = ACTIONS(1324),
    [anon_sym_U_SQUOTE] = ACTIONS(1324),
    [anon_sym_u8_SQUOTE] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_L_DQUOTE] = ACTIONS(1324),
    [anon_sym_u_DQUOTE] = ACTIONS(1324),
    [anon_sym_U_DQUOTE] = ACTIONS(1324),
    [anon_sym_u8_DQUOTE] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_NULL] = ACTIONS(1322),
    [anon_sym_nullptr] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_identifier] = ACTIONS(1338),
    [aux_sym_preproc_include_token1] = ACTIONS(1338),
    [aux_sym_preproc_def_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token2] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1338),
    [aux_sym_preproc_else_token1] = ACTIONS(1338),
    [aux_sym_preproc_elif_token1] = ACTIONS(1338),
    [sym_preproc_directive] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1338),
    [anon_sym_extern] = ACTIONS(1338),
    [anon_sym___attribute__] = ACTIONS(1338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1340),
    [anon_sym___declspec] = ACTIONS(1338),
    [anon_sym___cdecl] = ACTIONS(1338),
    [anon_sym___clrcall] = ACTIONS(1338),
    [anon_sym___stdcall] = ACTIONS(1338),
    [anon_sym___fastcall] = ACTIONS(1338),
    [anon_sym___thiscall] = ACTIONS(1338),
    [anon_sym___vectorcall] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1338),
    [anon_sym_unsigned] = ACTIONS(1338),
    [anon_sym_long] = ACTIONS(1338),
    [anon_sym_short] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1338),
    [anon_sym_auto] = ACTIONS(1338),
    [anon_sym_register] = ACTIONS(1338),
    [anon_sym_inline] = ACTIONS(1338),
    [anon_sym___inline] = ACTIONS(1338),
    [anon_sym___inline__] = ACTIONS(1338),
    [anon_sym___forceinline] = ACTIONS(1338),
    [anon_sym_thread_local] = ACTIONS(1338),
    [anon_sym___thread] = ACTIONS(1338),
    [anon_sym_const] = ACTIONS(1338),
    [anon_sym_constexpr] = ACTIONS(1338),
    [anon_sym_volatile] = ACTIONS(1338),
    [anon_sym_restrict] = ACTIONS(1338),
    [anon_sym___restrict__] = ACTIONS(1338),
    [anon_sym__Atomic] = ACTIONS(1338),
    [anon_sym__Noreturn] = ACTIONS(1338),
    [anon_sym_noreturn] = ACTIONS(1338),
    [sym_primitive_type] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1338),
    [anon_sym_struct] = ACTIONS(1338),
    [anon_sym_union] = ACTIONS(1338),
    [anon_sym_if] = ACTIONS(1338),
    [anon_sym_else] = ACTIONS(1338),
    [anon_sym_switch] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(1338),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_do] = ACTIONS(1338),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1338),
    [anon_sym_continue] = ACTIONS(1338),
    [anon_sym_goto] = ACTIONS(1338),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_sizeof] = ACTIONS(1338),
    [anon_sym___alignof__] = ACTIONS(1338),
    [anon_sym___alignof] = ACTIONS(1338),
    [anon_sym__alignof] = ACTIONS(1338),
    [anon_sym_alignof] = ACTIONS(1338),
    [anon_sym__Alignof] = ACTIONS(1338),
    [anon_sym_offsetof] = ACTIONS(1338),
    [anon_sym__Generic] = ACTIONS(1338),
    [anon_sym_asm] = ACTIONS(1338),
    [anon_sym___asm__] = ACTIONS(1338),
    [sym_number_literal] = ACTIONS(1340),
    [anon_sym_L_SQUOTE] = ACTIONS(1340),
    [anon_sym_u_SQUOTE] = ACTIONS(1340),
    [anon_sym_U_SQUOTE] = ACTIONS(1340),
    [anon_sym_u8_SQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1338),
    [sym_false] = ACTIONS(1338),
    [anon_sym_NULL] = ACTIONS(1338),
    [anon_sym_nullptr] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token2] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [aux_sym_preproc_else_token1] = ACTIONS(1344),
    [aux_sym_preproc_elif_token1] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym___extension__] = ACTIONS(1344),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym___inline] = ACTIONS(1344),
    [anon_sym___inline__] = ACTIONS(1344),
    [anon_sym___forceinline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym___thread] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym___try] = ACTIONS(1344),
    [anon_sym___leave] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym___alignof__] = ACTIONS(1344),
    [anon_sym___alignof] = ACTIONS(1344),
    [anon_sym__alignof] = ACTIONS(1344),
    [anon_sym_alignof] = ACTIONS(1344),
    [anon_sym__Alignof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_identifier] = ACTIONS(1390),
    [aux_sym_preproc_include_token1] = ACTIONS(1390),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token2] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1390),
    [aux_sym_preproc_else_token1] = ACTIONS(1390),
    [aux_sym_preproc_elif_token1] = ACTIONS(1390),
    [sym_preproc_directive] = ACTIONS(1390),
    [anon_sym_LPAREN2] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym___extension__] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1390),
    [anon_sym_extern] = ACTIONS(1390),
    [anon_sym___attribute__] = ACTIONS(1390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1392),
    [anon_sym___declspec] = ACTIONS(1390),
    [anon_sym___cdecl] = ACTIONS(1390),
    [anon_sym___clrcall] = ACTIONS(1390),
    [anon_sym___stdcall] = ACTIONS(1390),
    [anon_sym___fastcall] = ACTIONS(1390),
    [anon_sym___thiscall] = ACTIONS(1390),
    [anon_sym___vectorcall] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_signed] = ACTIONS(1390),
    [anon_sym_unsigned] = ACTIONS(1390),
    [anon_sym_long] = ACTIONS(1390),
    [anon_sym_short] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1390),
    [anon_sym_auto] = ACTIONS(1390),
    [anon_sym_register] = ACTIONS(1390),
    [anon_sym_inline] = ACTIONS(1390),
    [anon_sym___inline] = ACTIONS(1390),
    [anon_sym___inline__] = ACTIONS(1390),
    [anon_sym___forceinline] = ACTIONS(1390),
    [anon_sym_thread_local] = ACTIONS(1390),
    [anon_sym___thread] = ACTIONS(1390),
    [anon_sym_const] = ACTIONS(1390),
    [anon_sym_constexpr] = ACTIONS(1390),
    [anon_sym_volatile] = ACTIONS(1390),
    [anon_sym_restrict] = ACTIONS(1390),
    [anon_sym___restrict__] = ACTIONS(1390),
    [anon_sym__Atomic] = ACTIONS(1390),
    [anon_sym__Noreturn] = ACTIONS(1390),
    [anon_sym_noreturn] = ACTIONS(1390),
    [sym_primitive_type] = ACTIONS(1390),
    [anon_sym_enum] = ACTIONS(1390),
    [anon_sym_struct] = ACTIONS(1390),
    [anon_sym_union] = ACTIONS(1390),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_else] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(1390),
    [anon_sym_case] = ACTIONS(1390),
    [anon_sym_default] = ACTIONS(1390),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_do] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_return] = ACTIONS(1390),
    [anon_sym_break] = ACTIONS(1390),
    [anon_sym_continue] = ACTIONS(1390),
    [anon_sym_goto] = ACTIONS(1390),
    [anon_sym___try] = ACTIONS(1390),
    [anon_sym___leave] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_sizeof] = ACTIONS(1390),
    [anon_sym___alignof__] = ACTIONS(1390),
    [anon_sym___alignof] = ACTIONS(1390),
    [anon_sym__alignof] = ACTIONS(1390),
    [anon_sym_alignof] = ACTIONS(1390),
    [anon_sym__Alignof] = ACTIONS(1390),
    [anon_sym_offsetof] = ACTIONS(1390),
    [anon_sym__Generic] = ACTIONS(1390),
    [anon_sym_asm] = ACTIONS(1390),
    [anon_sym___asm__] = ACTIONS(1390),
    [sym_number_literal] = ACTIONS(1392),
    [anon_sym_L_SQUOTE] = ACTIONS(1392),
    [anon_sym_u_SQUOTE] = ACTIONS(1392),
    [anon_sym_U_SQUOTE] = ACTIONS(1392),
    [anon_sym_u8_SQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_L_DQUOTE] = ACTIONS(1392),
    [anon_sym_u_DQUOTE] = ACTIONS(1392),
    [anon_sym_U_DQUOTE] = ACTIONS(1392),
    [anon_sym_u8_DQUOTE] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [sym_true] = ACTIONS(1390),
    [sym_false] = ACTIONS(1390),
    [anon_sym_NULL] = ACTIONS(1390),
    [anon_sym_nullptr] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1310),
    [aux_sym_preproc_elif_token1] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token2] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [aux_sym_preproc_else_token1] = ACTIONS(1394),
    [aux_sym_preproc_elif_token1] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym___extension__] = ACTIONS(1394),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym___inline] = ACTIONS(1394),
    [anon_sym___inline__] = ACTIONS(1394),
    [anon_sym___forceinline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym___thread] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym___try] = ACTIONS(1394),
    [anon_sym___leave] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym___alignof__] = ACTIONS(1394),
    [anon_sym___alignof] = ACTIONS(1394),
    [anon_sym__alignof] = ACTIONS(1394),
    [anon_sym_alignof] = ACTIONS(1394),
    [anon_sym__Alignof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_identifier] = ACTIONS(1500),
    [aux_sym_preproc_include_token1] = ACTIONS(1500),
    [aux_sym_preproc_def_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token2] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1500),
    [aux_sym_preproc_else_token1] = ACTIONS(1500),
    [aux_sym_preproc_elif_token1] = ACTIONS(1500),
    [sym_preproc_directive] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym___extension__] = ACTIONS(1500),
    [anon_sym_typedef] = ACTIONS(1500),
    [anon_sym_extern] = ACTIONS(1500),
    [anon_sym___attribute__] = ACTIONS(1500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1502),
    [anon_sym___declspec] = ACTIONS(1500),
    [anon_sym___cdecl] = ACTIONS(1500),
    [anon_sym___clrcall] = ACTIONS(1500),
    [anon_sym___stdcall] = ACTIONS(1500),
    [anon_sym___fastcall] = ACTIONS(1500),
    [anon_sym___thiscall] = ACTIONS(1500),
    [anon_sym___vectorcall] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_signed] = ACTIONS(1500),
    [anon_sym_unsigned] = ACTIONS(1500),
    [anon_sym_long] = ACTIONS(1500),
    [anon_sym_short] = ACTIONS(1500),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_auto] = ACTIONS(1500),
    [anon_sym_register] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1500),
    [anon_sym___inline] = ACTIONS(1500),
    [anon_sym___inline__] = ACTIONS(1500),
    [anon_sym___forceinline] = ACTIONS(1500),
    [anon_sym_thread_local] = ACTIONS(1500),
    [anon_sym___thread] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_constexpr] = ACTIONS(1500),
    [anon_sym_volatile] = ACTIONS(1500),
    [anon_sym_restrict] = ACTIONS(1500),
    [anon_sym___restrict__] = ACTIONS(1500),
    [anon_sym__Atomic] = ACTIONS(1500),
    [anon_sym__Noreturn] = ACTIONS(1500),
    [anon_sym_noreturn] = ACTIONS(1500),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1500),
    [anon_sym_union] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_goto] = ACTIONS(1500),
    [anon_sym___try] = ACTIONS(1500),
    [anon_sym___leave] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_sizeof] = ACTIONS(1500),
    [anon_sym___alignof__] = ACTIONS(1500),
    [anon_sym___alignof] = ACTIONS(1500),
    [anon_sym__alignof] = ACTIONS(1500),
    [anon_sym_alignof] = ACTIONS(1500),
    [anon_sym__Alignof] = ACTIONS(1500),
    [anon_sym_offsetof] = ACTIONS(1500),
    [anon_sym__Generic] = ACTIONS(1500),
    [anon_sym_asm] = ACTIONS(1500),
    [anon_sym___asm__] = ACTIONS(1500),
    [sym_number_literal] = ACTIONS(1502),
    [anon_sym_L_SQUOTE] = ACTIONS(1502),
    [anon_sym_u_SQUOTE] = ACTIONS(1502),
    [anon_sym_U_SQUOTE] = ACTIONS(1502),
    [anon_sym_u8_SQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_L_DQUOTE] = ACTIONS(1502),
    [anon_sym_u_DQUOTE] = ACTIONS(1502),
    [anon_sym_U_DQUOTE] = ACTIONS(1502),
    [anon_sym_u8_DQUOTE] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [anon_sym_NULL] = ACTIONS(1500),
    [anon_sym_nullptr] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_identifier] = ACTIONS(1452),
    [aux_sym_preproc_include_token1] = ACTIONS(1452),
    [aux_sym_preproc_def_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token2] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1452),
    [aux_sym_preproc_else_token1] = ACTIONS(1452),
    [aux_sym_preproc_elif_token1] = ACTIONS(1452),
    [sym_preproc_directive] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym___extension__] = ACTIONS(1452),
    [anon_sym_typedef] = ACTIONS(1452),
    [anon_sym_extern] = ACTIONS(1452),
    [anon_sym___attribute__] = ACTIONS(1452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym___declspec] = ACTIONS(1452),
    [anon_sym___cdecl] = ACTIONS(1452),
    [anon_sym___clrcall] = ACTIONS(1452),
    [anon_sym___stdcall] = ACTIONS(1452),
    [anon_sym___fastcall] = ACTIONS(1452),
    [anon_sym___thiscall] = ACTIONS(1452),
    [anon_sym___vectorcall] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_signed] = ACTIONS(1452),
    [anon_sym_unsigned] = ACTIONS(1452),
    [anon_sym_long] = ACTIONS(1452),
    [anon_sym_short] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_auto] = ACTIONS(1452),
    [anon_sym_register] = ACTIONS(1452),
    [anon_sym_inline] = ACTIONS(1452),
    [anon_sym___inline] = ACTIONS(1452),
    [anon_sym___inline__] = ACTIONS(1452),
    [anon_sym___forceinline] = ACTIONS(1452),
    [anon_sym_thread_local] = ACTIONS(1452),
    [anon_sym___thread] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_constexpr] = ACTIONS(1452),
    [anon_sym_volatile] = ACTIONS(1452),
    [anon_sym_restrict] = ACTIONS(1452),
    [anon_sym___restrict__] = ACTIONS(1452),
    [anon_sym__Atomic] = ACTIONS(1452),
    [anon_sym__Noreturn] = ACTIONS(1452),
    [anon_sym_noreturn] = ACTIONS(1452),
    [sym_primitive_type] = ACTIONS(1452),
    [anon_sym_enum] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1452),
    [anon_sym_union] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_switch] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_do] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_return] = ACTIONS(1452),
    [anon_sym_break] = ACTIONS(1452),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_goto] = ACTIONS(1452),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_sizeof] = ACTIONS(1452),
    [anon_sym___alignof__] = ACTIONS(1452),
    [anon_sym___alignof] = ACTIONS(1452),
    [anon_sym__alignof] = ACTIONS(1452),
    [anon_sym_alignof] = ACTIONS(1452),
    [anon_sym__Alignof] = ACTIONS(1452),
    [anon_sym_offsetof] = ACTIONS(1452),
    [anon_sym__Generic] = ACTIONS(1452),
    [anon_sym_asm] = ACTIONS(1452),
    [anon_sym___asm__] = ACTIONS(1452),
    [sym_number_literal] = ACTIONS(1454),
    [anon_sym_L_SQUOTE] = ACTIONS(1454),
    [anon_sym_u_SQUOTE] = ACTIONS(1454),
    [anon_sym_U_SQUOTE] = ACTIONS(1454),
    [anon_sym_u8_SQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_L_DQUOTE] = ACTIONS(1454),
    [anon_sym_u_DQUOTE] = ACTIONS(1454),
    [anon_sym_U_DQUOTE] = ACTIONS(1454),
    [anon_sym_u8_DQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [anon_sym_NULL] = ACTIONS(1452),
    [anon_sym_nullptr] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_identifier] = ACTIONS(1420),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token2] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [aux_sym_preproc_else_token1] = ACTIONS(1420),
    [aux_sym_preproc_elif_token1] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [anon_sym___extension__] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1420),
    [anon_sym_extern] = ACTIONS(1420),
    [anon_sym___attribute__] = ACTIONS(1420),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1422),
    [anon_sym___declspec] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(1420),
    [anon_sym_unsigned] = ACTIONS(1420),
    [anon_sym_long] = ACTIONS(1420),
    [anon_sym_short] = ACTIONS(1420),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_auto] = ACTIONS(1420),
    [anon_sym_register] = ACTIONS(1420),
    [anon_sym_inline] = ACTIONS(1420),
    [anon_sym___inline] = ACTIONS(1420),
    [anon_sym___inline__] = ACTIONS(1420),
    [anon_sym___forceinline] = ACTIONS(1420),
    [anon_sym_thread_local] = ACTIONS(1420),
    [anon_sym___thread] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1420),
    [anon_sym_constexpr] = ACTIONS(1420),
    [anon_sym_volatile] = ACTIONS(1420),
    [anon_sym_restrict] = ACTIONS(1420),
    [anon_sym___restrict__] = ACTIONS(1420),
    [anon_sym__Atomic] = ACTIONS(1420),
    [anon_sym__Noreturn] = ACTIONS(1420),
    [anon_sym_noreturn] = ACTIONS(1420),
    [sym_primitive_type] = ACTIONS(1420),
    [anon_sym_enum] = ACTIONS(1420),
    [anon_sym_struct] = ACTIONS(1420),
    [anon_sym_union] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1420),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1420),
    [anon_sym_do] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_goto] = ACTIONS(1420),
    [anon_sym___try] = ACTIONS(1420),
    [anon_sym___leave] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [anon_sym_sizeof] = ACTIONS(1420),
    [anon_sym___alignof__] = ACTIONS(1420),
    [anon_sym___alignof] = ACTIONS(1420),
    [anon_sym__alignof] = ACTIONS(1420),
    [anon_sym_alignof] = ACTIONS(1420),
    [anon_sym__Alignof] = ACTIONS(1420),
    [anon_sym_offsetof] = ACTIONS(1420),
    [anon_sym__Generic] = ACTIONS(1420),
    [anon_sym_asm] = ACTIONS(1420),
    [anon_sym___asm__] = ACTIONS(1420),
    [sym_number_literal] = ACTIONS(1422),
    [anon_sym_L_SQUOTE] = ACTIONS(1422),
    [anon_sym_u_SQUOTE] = ACTIONS(1422),
    [anon_sym_U_SQUOTE] = ACTIONS(1422),
    [anon_sym_u8_SQUOTE] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_L_DQUOTE] = ACTIONS(1422),
    [anon_sym_u_DQUOTE] = ACTIONS(1422),
    [anon_sym_U_DQUOTE] = ACTIONS(1422),
    [anon_sym_u8_DQUOTE] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [anon_sym_NULL] = ACTIONS(1420),
    [anon_sym_nullptr] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_identifier] = ACTIONS(1436),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token2] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1436),
    [aux_sym_preproc_else_token1] = ACTIONS(1436),
    [aux_sym_preproc_elif_token1] = ACTIONS(1436),
    [sym_preproc_directive] = ACTIONS(1436),
    [anon_sym_LPAREN2] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [anon_sym___extension__] = ACTIONS(1436),
    [anon_sym_typedef] = ACTIONS(1436),
    [anon_sym_extern] = ACTIONS(1436),
    [anon_sym___attribute__] = ACTIONS(1436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1438),
    [anon_sym___declspec] = ACTIONS(1436),
    [anon_sym___cdecl] = ACTIONS(1436),
    [anon_sym___clrcall] = ACTIONS(1436),
    [anon_sym___stdcall] = ACTIONS(1436),
    [anon_sym___fastcall] = ACTIONS(1436),
    [anon_sym___thiscall] = ACTIONS(1436),
    [anon_sym___vectorcall] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_signed] = ACTIONS(1436),
    [anon_sym_unsigned] = ACTIONS(1436),
    [anon_sym_long] = ACTIONS(1436),
    [anon_sym_short] = ACTIONS(1436),
    [anon_sym_static] = ACTIONS(1436),
    [anon_sym_auto] = ACTIONS(1436),
    [anon_sym_register] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(1436),
    [anon_sym___inline] = ACTIONS(1436),
    [anon_sym___inline__] = ACTIONS(1436),
    [anon_sym___forceinline] = ACTIONS(1436),
    [anon_sym_thread_local] = ACTIONS(1436),
    [anon_sym___thread] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_constexpr] = ACTIONS(1436),
    [anon_sym_volatile] = ACTIONS(1436),
    [anon_sym_restrict] = ACTIONS(1436),
    [anon_sym___restrict__] = ACTIONS(1436),
    [anon_sym__Atomic] = ACTIONS(1436),
    [anon_sym__Noreturn] = ACTIONS(1436),
    [anon_sym_noreturn] = ACTIONS(1436),
    [sym_primitive_type] = ACTIONS(1436),
    [anon_sym_enum] = ACTIONS(1436),
    [anon_sym_struct] = ACTIONS(1436),
    [anon_sym_union] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_goto] = ACTIONS(1436),
    [anon_sym___try] = ACTIONS(1436),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_sizeof] = ACTIONS(1436),
    [anon_sym___alignof__] = ACTIONS(1436),
    [anon_sym___alignof] = ACTIONS(1436),
    [anon_sym__alignof] = ACTIONS(1436),
    [anon_sym_alignof] = ACTIONS(1436),
    [anon_sym__Alignof] = ACTIONS(1436),
    [anon_sym_offsetof] = ACTIONS(1436),
    [anon_sym__Generic] = ACTIONS(1436),
    [anon_sym_asm] = ACTIONS(1436),
    [anon_sym___asm__] = ACTIONS(1436),
    [sym_number_literal] = ACTIONS(1438),
    [anon_sym_L_SQUOTE] = ACTIONS(1438),
    [anon_sym_u_SQUOTE] = ACTIONS(1438),
    [anon_sym_U_SQUOTE] = ACTIONS(1438),
    [anon_sym_u8_SQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_L_DQUOTE] = ACTIONS(1438),
    [anon_sym_u_DQUOTE] = ACTIONS(1438),
    [anon_sym_U_DQUOTE] = ACTIONS(1438),
    [anon_sym_u8_DQUOTE] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [anon_sym_NULL] = ACTIONS(1436),
    [anon_sym_nullptr] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_identifier] = ACTIONS(1480),
    [aux_sym_preproc_include_token1] = ACTIONS(1480),
    [aux_sym_preproc_def_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token2] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1480),
    [aux_sym_preproc_else_token1] = ACTIONS(1480),
    [aux_sym_preproc_elif_token1] = ACTIONS(1480),
    [sym_preproc_directive] = ACTIONS(1480),
    [anon_sym_LPAREN2] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(1480),
    [anon_sym_typedef] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(1480),
    [anon_sym___attribute__] = ACTIONS(1480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1480),
    [anon_sym___cdecl] = ACTIONS(1480),
    [anon_sym___clrcall] = ACTIONS(1480),
    [anon_sym___stdcall] = ACTIONS(1480),
    [anon_sym___fastcall] = ACTIONS(1480),
    [anon_sym___thiscall] = ACTIONS(1480),
    [anon_sym___vectorcall] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_signed] = ACTIONS(1480),
    [anon_sym_unsigned] = ACTIONS(1480),
    [anon_sym_long] = ACTIONS(1480),
    [anon_sym_short] = ACTIONS(1480),
    [anon_sym_static] = ACTIONS(1480),
    [anon_sym_auto] = ACTIONS(1480),
    [anon_sym_register] = ACTIONS(1480),
    [anon_sym_inline] = ACTIONS(1480),
    [anon_sym___inline] = ACTIONS(1480),
    [anon_sym___inline__] = ACTIONS(1480),
    [anon_sym___forceinline] = ACTIONS(1480),
    [anon_sym_thread_local] = ACTIONS(1480),
    [anon_sym___thread] = ACTIONS(1480),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_constexpr] = ACTIONS(1480),
    [anon_sym_volatile] = ACTIONS(1480),
    [anon_sym_restrict] = ACTIONS(1480),
    [anon_sym___restrict__] = ACTIONS(1480),
    [anon_sym__Atomic] = ACTIONS(1480),
    [anon_sym__Noreturn] = ACTIONS(1480),
    [anon_sym_noreturn] = ACTIONS(1480),
    [sym_primitive_type] = ACTIONS(1480),
    [anon_sym_enum] = ACTIONS(1480),
    [anon_sym_struct] = ACTIONS(1480),
    [anon_sym_union] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_switch] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_do] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_return] = ACTIONS(1480),
    [anon_sym_break] = ACTIONS(1480),
    [anon_sym_continue] = ACTIONS(1480),
    [anon_sym_goto] = ACTIONS(1480),
    [anon_sym___try] = ACTIONS(1480),
    [anon_sym___leave] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_sizeof] = ACTIONS(1480),
    [anon_sym___alignof__] = ACTIONS(1480),
    [anon_sym___alignof] = ACTIONS(1480),
    [anon_sym__alignof] = ACTIONS(1480),
    [anon_sym_alignof] = ACTIONS(1480),
    [anon_sym__Alignof] = ACTIONS(1480),
    [anon_sym_offsetof] = ACTIONS(1480),
    [anon_sym__Generic] = ACTIONS(1480),
    [anon_sym_asm] = ACTIONS(1480),
    [anon_sym___asm__] = ACTIONS(1480),
    [sym_number_literal] = ACTIONS(1482),
    [anon_sym_L_SQUOTE] = ACTIONS(1482),
    [anon_sym_u_SQUOTE] = ACTIONS(1482),
    [anon_sym_U_SQUOTE] = ACTIONS(1482),
    [anon_sym_u8_SQUOTE] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_L_DQUOTE] = ACTIONS(1482),
    [anon_sym_u_DQUOTE] = ACTIONS(1482),
    [anon_sym_U_DQUOTE] = ACTIONS(1482),
    [anon_sym_u8_DQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [anon_sym_NULL] = ACTIONS(1480),
    [anon_sym_nullptr] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [sym_identifier] = ACTIONS(1468),
    [aux_sym_preproc_include_token1] = ACTIONS(1468),
    [aux_sym_preproc_def_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token2] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1468),
    [aux_sym_preproc_else_token1] = ACTIONS(1468),
    [aux_sym_preproc_elif_token1] = ACTIONS(1468),
    [sym_preproc_directive] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [anon_sym___extension__] = ACTIONS(1468),
    [anon_sym_typedef] = ACTIONS(1468),
    [anon_sym_extern] = ACTIONS(1468),
    [anon_sym___attribute__] = ACTIONS(1468),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1470),
    [anon_sym___declspec] = ACTIONS(1468),
    [anon_sym___cdecl] = ACTIONS(1468),
    [anon_sym___clrcall] = ACTIONS(1468),
    [anon_sym___stdcall] = ACTIONS(1468),
    [anon_sym___fastcall] = ACTIONS(1468),
    [anon_sym___thiscall] = ACTIONS(1468),
    [anon_sym___vectorcall] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_signed] = ACTIONS(1468),
    [anon_sym_unsigned] = ACTIONS(1468),
    [anon_sym_long] = ACTIONS(1468),
    [anon_sym_short] = ACTIONS(1468),
    [anon_sym_static] = ACTIONS(1468),
    [anon_sym_auto] = ACTIONS(1468),
    [anon_sym_register] = ACTIONS(1468),
    [anon_sym_inline] = ACTIONS(1468),
    [anon_sym___inline] = ACTIONS(1468),
    [anon_sym___inline__] = ACTIONS(1468),
    [anon_sym___forceinline] = ACTIONS(1468),
    [anon_sym_thread_local] = ACTIONS(1468),
    [anon_sym___thread] = ACTIONS(1468),
    [anon_sym_const] = ACTIONS(1468),
    [anon_sym_constexpr] = ACTIONS(1468),
    [anon_sym_volatile] = ACTIONS(1468),
    [anon_sym_restrict] = ACTIONS(1468),
    [anon_sym___restrict__] = ACTIONS(1468),
    [anon_sym__Atomic] = ACTIONS(1468),
    [anon_sym__Noreturn] = ACTIONS(1468),
    [anon_sym_noreturn] = ACTIONS(1468),
    [sym_primitive_type] = ACTIONS(1468),
    [anon_sym_enum] = ACTIONS(1468),
    [anon_sym_struct] = ACTIONS(1468),
    [anon_sym_union] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_switch] = ACTIONS(1468),
    [anon_sym_case] = ACTIONS(1468),
    [anon_sym_default] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_do] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_return] = ACTIONS(1468),
    [anon_sym_break] = ACTIONS(1468),
    [anon_sym_continue] = ACTIONS(1468),
    [anon_sym_goto] = ACTIONS(1468),
    [anon_sym___try] = ACTIONS(1468),
    [anon_sym___leave] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [anon_sym_sizeof] = ACTIONS(1468),
    [anon_sym___alignof__] = ACTIONS(1468),
    [anon_sym___alignof] = ACTIONS(1468),
    [anon_sym__alignof] = ACTIONS(1468),
    [anon_sym_alignof] = ACTIONS(1468),
    [anon_sym__Alignof] = ACTIONS(1468),
    [anon_sym_offsetof] = ACTIONS(1468),
    [anon_sym__Generic] = ACTIONS(1468),
    [anon_sym_asm] = ACTIONS(1468),
    [anon_sym___asm__] = ACTIONS(1468),
    [sym_number_literal] = ACTIONS(1470),
    [anon_sym_L_SQUOTE] = ACTIONS(1470),
    [anon_sym_u_SQUOTE] = ACTIONS(1470),
    [anon_sym_U_SQUOTE] = ACTIONS(1470),
    [anon_sym_u8_SQUOTE] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_L_DQUOTE] = ACTIONS(1470),
    [anon_sym_u_DQUOTE] = ACTIONS(1470),
    [anon_sym_U_DQUOTE] = ACTIONS(1470),
    [anon_sym_u8_DQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [anon_sym_NULL] = ACTIONS(1468),
    [anon_sym_nullptr] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_identifier] = ACTIONS(1416),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token2] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [aux_sym_preproc_else_token1] = ACTIONS(1416),
    [aux_sym_preproc_elif_token1] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1416),
    [anon_sym_extern] = ACTIONS(1416),
    [anon_sym___attribute__] = ACTIONS(1416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1418),
    [anon_sym___declspec] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(1416),
    [anon_sym_unsigned] = ACTIONS(1416),
    [anon_sym_long] = ACTIONS(1416),
    [anon_sym_short] = ACTIONS(1416),
    [anon_sym_static] = ACTIONS(1416),
    [anon_sym_auto] = ACTIONS(1416),
    [anon_sym_register] = ACTIONS(1416),
    [anon_sym_inline] = ACTIONS(1416),
    [anon_sym___inline] = ACTIONS(1416),
    [anon_sym___inline__] = ACTIONS(1416),
    [anon_sym___forceinline] = ACTIONS(1416),
    [anon_sym_thread_local] = ACTIONS(1416),
    [anon_sym___thread] = ACTIONS(1416),
    [anon_sym_const] = ACTIONS(1416),
    [anon_sym_constexpr] = ACTIONS(1416),
    [anon_sym_volatile] = ACTIONS(1416),
    [anon_sym_restrict] = ACTIONS(1416),
    [anon_sym___restrict__] = ACTIONS(1416),
    [anon_sym__Atomic] = ACTIONS(1416),
    [anon_sym__Noreturn] = ACTIONS(1416),
    [anon_sym_noreturn] = ACTIONS(1416),
    [sym_primitive_type] = ACTIONS(1416),
    [anon_sym_enum] = ACTIONS(1416),
    [anon_sym_struct] = ACTIONS(1416),
    [anon_sym_union] = ACTIONS(1416),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(1416),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(1416),
    [anon_sym_do] = ACTIONS(1416),
    [anon_sym_for] = ACTIONS(1416),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_break] = ACTIONS(1416),
    [anon_sym_continue] = ACTIONS(1416),
    [anon_sym_goto] = ACTIONS(1416),
    [anon_sym___try] = ACTIONS(1416),
    [anon_sym___leave] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [anon_sym_sizeof] = ACTIONS(1416),
    [anon_sym___alignof__] = ACTIONS(1416),
    [anon_sym___alignof] = ACTIONS(1416),
    [anon_sym__alignof] = ACTIONS(1416),
    [anon_sym_alignof] = ACTIONS(1416),
    [anon_sym__Alignof] = ACTIONS(1416),
    [anon_sym_offsetof] = ACTIONS(1416),
    [anon_sym__Generic] = ACTIONS(1416),
    [anon_sym_asm] = ACTIONS(1416),
    [anon_sym___asm__] = ACTIONS(1416),
    [sym_number_literal] = ACTIONS(1418),
    [anon_sym_L_SQUOTE] = ACTIONS(1418),
    [anon_sym_u_SQUOTE] = ACTIONS(1418),
    [anon_sym_U_SQUOTE] = ACTIONS(1418),
    [anon_sym_u8_SQUOTE] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_L_DQUOTE] = ACTIONS(1418),
    [anon_sym_u_DQUOTE] = ACTIONS(1418),
    [anon_sym_U_DQUOTE] = ACTIONS(1418),
    [anon_sym_u8_DQUOTE] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_NULL] = ACTIONS(1416),
    [anon_sym_nullptr] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_include_token1] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token2] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [aux_sym_preproc_else_token1] = ACTIONS(1504),
    [aux_sym_preproc_elif_token1] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym___cdecl] = ACTIONS(1504),
    [anon_sym___clrcall] = ACTIONS(1504),
    [anon_sym___stdcall] = ACTIONS(1504),
    [anon_sym___fastcall] = ACTIONS(1504),
    [anon_sym___thiscall] = ACTIONS(1504),
    [anon_sym___vectorcall] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1504),
    [anon_sym_switch] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1504),
    [anon_sym_default] = ACTIONS(1504),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1504),
    [anon_sym_for] = ACTIONS(1504),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_break] = ACTIONS(1504),
    [anon_sym_continue] = ACTIONS(1504),
    [anon_sym_goto] = ACTIONS(1504),
    [anon_sym___try] = ACTIONS(1504),
    [anon_sym___leave] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_sizeof] = ACTIONS(1504),
    [anon_sym___alignof__] = ACTIONS(1504),
    [anon_sym___alignof] = ACTIONS(1504),
    [anon_sym__alignof] = ACTIONS(1504),
    [anon_sym_alignof] = ACTIONS(1504),
    [anon_sym__Alignof] = ACTIONS(1504),
    [anon_sym_offsetof] = ACTIONS(1504),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1504),
    [anon_sym___asm__] = ACTIONS(1504),
    [sym_number_literal] = ACTIONS(1506),
    [anon_sym_L_SQUOTE] = ACTIONS(1506),
    [anon_sym_u_SQUOTE] = ACTIONS(1506),
    [anon_sym_U_SQUOTE] = ACTIONS(1506),
    [anon_sym_u8_SQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_L_DQUOTE] = ACTIONS(1506),
    [anon_sym_u_DQUOTE] = ACTIONS(1506),
    [anon_sym_U_DQUOTE] = ACTIONS(1506),
    [anon_sym_u8_DQUOTE] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [sym_true] = ACTIONS(1504),
    [sym_false] = ACTIONS(1504),
    [anon_sym_NULL] = ACTIONS(1504),
    [anon_sym_nullptr] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token2] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [aux_sym_preproc_else_token1] = ACTIONS(1402),
    [aux_sym_preproc_elif_token1] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym___extension__] = ACTIONS(1402),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym___inline] = ACTIONS(1402),
    [anon_sym___inline__] = ACTIONS(1402),
    [anon_sym___forceinline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym___thread] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym___try] = ACTIONS(1402),
    [anon_sym___leave] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym___alignof__] = ACTIONS(1402),
    [anon_sym___alignof] = ACTIONS(1402),
    [anon_sym__alignof] = ACTIONS(1402),
    [anon_sym_alignof] = ACTIONS(1402),
    [anon_sym__Alignof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_else_clause] = STATE(351),
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token2] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1508),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_identifier] = ACTIONS(1408),
    [aux_sym_preproc_include_token1] = ACTIONS(1408),
    [aux_sym_preproc_def_token1] = ACTIONS(1408),
    [aux_sym_preproc_if_token1] = ACTIONS(1408),
    [aux_sym_preproc_if_token2] = ACTIONS(1408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1408),
    [aux_sym_preproc_else_token1] = ACTIONS(1408),
    [aux_sym_preproc_elif_token1] = ACTIONS(1408),
    [sym_preproc_directive] = ACTIONS(1408),
    [anon_sym_LPAREN2] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [anon_sym___extension__] = ACTIONS(1408),
    [anon_sym_typedef] = ACTIONS(1408),
    [anon_sym_extern] = ACTIONS(1408),
    [anon_sym___attribute__] = ACTIONS(1408),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1410),
    [anon_sym___declspec] = ACTIONS(1408),
    [anon_sym___cdecl] = ACTIONS(1408),
    [anon_sym___clrcall] = ACTIONS(1408),
    [anon_sym___stdcall] = ACTIONS(1408),
    [anon_sym___fastcall] = ACTIONS(1408),
    [anon_sym___thiscall] = ACTIONS(1408),
    [anon_sym___vectorcall] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_signed] = ACTIONS(1408),
    [anon_sym_unsigned] = ACTIONS(1408),
    [anon_sym_long] = ACTIONS(1408),
    [anon_sym_short] = ACTIONS(1408),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_auto] = ACTIONS(1408),
    [anon_sym_register] = ACTIONS(1408),
    [anon_sym_inline] = ACTIONS(1408),
    [anon_sym___inline] = ACTIONS(1408),
    [anon_sym___inline__] = ACTIONS(1408),
    [anon_sym___forceinline] = ACTIONS(1408),
    [anon_sym_thread_local] = ACTIONS(1408),
    [anon_sym___thread] = ACTIONS(1408),
    [anon_sym_const] = ACTIONS(1408),
    [anon_sym_constexpr] = ACTIONS(1408),
    [anon_sym_volatile] = ACTIONS(1408),
    [anon_sym_restrict] = ACTIONS(1408),
    [anon_sym___restrict__] = ACTIONS(1408),
    [anon_sym__Atomic] = ACTIONS(1408),
    [anon_sym__Noreturn] = ACTIONS(1408),
    [anon_sym_noreturn] = ACTIONS(1408),
    [sym_primitive_type] = ACTIONS(1408),
    [anon_sym_enum] = ACTIONS(1408),
    [anon_sym_struct] = ACTIONS(1408),
    [anon_sym_union] = ACTIONS(1408),
    [anon_sym_if] = ACTIONS(1408),
    [anon_sym_switch] = ACTIONS(1408),
    [anon_sym_case] = ACTIONS(1408),
    [anon_sym_default] = ACTIONS(1408),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_do] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_return] = ACTIONS(1408),
    [anon_sym_break] = ACTIONS(1408),
    [anon_sym_continue] = ACTIONS(1408),
    [anon_sym_goto] = ACTIONS(1408),
    [anon_sym___try] = ACTIONS(1408),
    [anon_sym___leave] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [anon_sym_sizeof] = ACTIONS(1408),
    [anon_sym___alignof__] = ACTIONS(1408),
    [anon_sym___alignof] = ACTIONS(1408),
    [anon_sym__alignof] = ACTIONS(1408),
    [anon_sym_alignof] = ACTIONS(1408),
    [anon_sym__Alignof] = ACTIONS(1408),
    [anon_sym_offsetof] = ACTIONS(1408),
    [anon_sym__Generic] = ACTIONS(1408),
    [anon_sym_asm] = ACTIONS(1408),
    [anon_sym___asm__] = ACTIONS(1408),
    [sym_number_literal] = ACTIONS(1410),
    [anon_sym_L_SQUOTE] = ACTIONS(1410),
    [anon_sym_u_SQUOTE] = ACTIONS(1410),
    [anon_sym_U_SQUOTE] = ACTIONS(1410),
    [anon_sym_u8_SQUOTE] = ACTIONS(1410),
    [anon_sym_SQUOTE] = ACTIONS(1410),
    [anon_sym_L_DQUOTE] = ACTIONS(1410),
    [anon_sym_u_DQUOTE] = ACTIONS(1410),
    [anon_sym_U_DQUOTE] = ACTIONS(1410),
    [anon_sym_u8_DQUOTE] = ACTIONS(1410),
    [anon_sym_DQUOTE] = ACTIONS(1410),
    [sym_true] = ACTIONS(1408),
    [sym_false] = ACTIONS(1408),
    [anon_sym_NULL] = ACTIONS(1408),
    [anon_sym_nullptr] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_identifier] = ACTIONS(1484),
    [aux_sym_preproc_include_token1] = ACTIONS(1484),
    [aux_sym_preproc_def_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token2] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1484),
    [aux_sym_preproc_else_token1] = ACTIONS(1484),
    [aux_sym_preproc_elif_token1] = ACTIONS(1484),
    [sym_preproc_directive] = ACTIONS(1484),
    [anon_sym_LPAREN2] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1486),
    [anon_sym___extension__] = ACTIONS(1484),
    [anon_sym_typedef] = ACTIONS(1484),
    [anon_sym_extern] = ACTIONS(1484),
    [anon_sym___attribute__] = ACTIONS(1484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym___declspec] = ACTIONS(1484),
    [anon_sym___cdecl] = ACTIONS(1484),
    [anon_sym___clrcall] = ACTIONS(1484),
    [anon_sym___stdcall] = ACTIONS(1484),
    [anon_sym___fastcall] = ACTIONS(1484),
    [anon_sym___thiscall] = ACTIONS(1484),
    [anon_sym___vectorcall] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_signed] = ACTIONS(1484),
    [anon_sym_unsigned] = ACTIONS(1484),
    [anon_sym_long] = ACTIONS(1484),
    [anon_sym_short] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(1484),
    [anon_sym_auto] = ACTIONS(1484),
    [anon_sym_register] = ACTIONS(1484),
    [anon_sym_inline] = ACTIONS(1484),
    [anon_sym___inline] = ACTIONS(1484),
    [anon_sym___inline__] = ACTIONS(1484),
    [anon_sym___forceinline] = ACTIONS(1484),
    [anon_sym_thread_local] = ACTIONS(1484),
    [anon_sym___thread] = ACTIONS(1484),
    [anon_sym_const] = ACTIONS(1484),
    [anon_sym_constexpr] = ACTIONS(1484),
    [anon_sym_volatile] = ACTIONS(1484),
    [anon_sym_restrict] = ACTIONS(1484),
    [anon_sym___restrict__] = ACTIONS(1484),
    [anon_sym__Atomic] = ACTIONS(1484),
    [anon_sym__Noreturn] = ACTIONS(1484),
    [anon_sym_noreturn] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(1484),
    [anon_sym_enum] = ACTIONS(1484),
    [anon_sym_struct] = ACTIONS(1484),
    [anon_sym_union] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_switch] = ACTIONS(1484),
    [anon_sym_case] = ACTIONS(1484),
    [anon_sym_default] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_do] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_return] = ACTIONS(1484),
    [anon_sym_break] = ACTIONS(1484),
    [anon_sym_continue] = ACTIONS(1484),
    [anon_sym_goto] = ACTIONS(1484),
    [anon_sym___try] = ACTIONS(1484),
    [anon_sym___leave] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [anon_sym_sizeof] = ACTIONS(1484),
    [anon_sym___alignof__] = ACTIONS(1484),
    [anon_sym___alignof] = ACTIONS(1484),
    [anon_sym__alignof] = ACTIONS(1484),
    [anon_sym_alignof] = ACTIONS(1484),
    [anon_sym__Alignof] = ACTIONS(1484),
    [anon_sym_offsetof] = ACTIONS(1484),
    [anon_sym__Generic] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1484),
    [anon_sym___asm__] = ACTIONS(1484),
    [sym_number_literal] = ACTIONS(1486),
    [anon_sym_L_SQUOTE] = ACTIONS(1486),
    [anon_sym_u_SQUOTE] = ACTIONS(1486),
    [anon_sym_U_SQUOTE] = ACTIONS(1486),
    [anon_sym_u8_SQUOTE] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_L_DQUOTE] = ACTIONS(1486),
    [anon_sym_u_DQUOTE] = ACTIONS(1486),
    [anon_sym_U_DQUOTE] = ACTIONS(1486),
    [anon_sym_u8_DQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [anon_sym_NULL] = ACTIONS(1484),
    [anon_sym_nullptr] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token2] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [aux_sym_preproc_else_token1] = ACTIONS(1492),
    [aux_sym_preproc_elif_token1] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym___extension__] = ACTIONS(1492),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_extern] = ACTIONS(1492),
    [anon_sym___attribute__] = ACTIONS(1492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1494),
    [anon_sym___declspec] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_signed] = ACTIONS(1492),
    [anon_sym_unsigned] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_auto] = ACTIONS(1492),
    [anon_sym_register] = ACTIONS(1492),
    [anon_sym_inline] = ACTIONS(1492),
    [anon_sym___inline] = ACTIONS(1492),
    [anon_sym___inline__] = ACTIONS(1492),
    [anon_sym___forceinline] = ACTIONS(1492),
    [anon_sym_thread_local] = ACTIONS(1492),
    [anon_sym___thread] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_constexpr] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [anon_sym_restrict] = ACTIONS(1492),
    [anon_sym___restrict__] = ACTIONS(1492),
    [anon_sym__Atomic] = ACTIONS(1492),
    [anon_sym__Noreturn] = ACTIONS(1492),
    [anon_sym_noreturn] = ACTIONS(1492),
    [sym_primitive_type] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1492),
    [anon_sym_union] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_goto] = ACTIONS(1492),
    [anon_sym___try] = ACTIONS(1492),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_sizeof] = ACTIONS(1492),
    [anon_sym___alignof__] = ACTIONS(1492),
    [anon_sym___alignof] = ACTIONS(1492),
    [anon_sym__alignof] = ACTIONS(1492),
    [anon_sym_alignof] = ACTIONS(1492),
    [anon_sym__Alignof] = ACTIONS(1492),
    [anon_sym_offsetof] = ACTIONS(1492),
    [anon_sym__Generic] = ACTIONS(1492),
    [anon_sym_asm] = ACTIONS(1492),
    [anon_sym___asm__] = ACTIONS(1492),
    [sym_number_literal] = ACTIONS(1494),
    [anon_sym_L_SQUOTE] = ACTIONS(1494),
    [anon_sym_u_SQUOTE] = ACTIONS(1494),
    [anon_sym_U_SQUOTE] = ACTIONS(1494),
    [anon_sym_u8_SQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_L_DQUOTE] = ACTIONS(1494),
    [anon_sym_u_DQUOTE] = ACTIONS(1494),
    [anon_sym_U_DQUOTE] = ACTIONS(1494),
    [anon_sym_u8_DQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [anon_sym_NULL] = ACTIONS(1492),
    [anon_sym_nullptr] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_else_clause] = STATE(257),
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1510),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_identifier] = ACTIONS(1476),
    [aux_sym_preproc_include_token1] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token2] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [aux_sym_preproc_else_token1] = ACTIONS(1476),
    [aux_sym_preproc_elif_token1] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym___extension__] = ACTIONS(1476),
    [anon_sym_typedef] = ACTIONS(1476),
    [anon_sym_extern] = ACTIONS(1476),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1476),
    [anon_sym___cdecl] = ACTIONS(1476),
    [anon_sym___clrcall] = ACTIONS(1476),
    [anon_sym___stdcall] = ACTIONS(1476),
    [anon_sym___fastcall] = ACTIONS(1476),
    [anon_sym___thiscall] = ACTIONS(1476),
    [anon_sym___vectorcall] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_signed] = ACTIONS(1476),
    [anon_sym_unsigned] = ACTIONS(1476),
    [anon_sym_long] = ACTIONS(1476),
    [anon_sym_short] = ACTIONS(1476),
    [anon_sym_static] = ACTIONS(1476),
    [anon_sym_auto] = ACTIONS(1476),
    [anon_sym_register] = ACTIONS(1476),
    [anon_sym_inline] = ACTIONS(1476),
    [anon_sym___inline] = ACTIONS(1476),
    [anon_sym___inline__] = ACTIONS(1476),
    [anon_sym___forceinline] = ACTIONS(1476),
    [anon_sym_thread_local] = ACTIONS(1476),
    [anon_sym___thread] = ACTIONS(1476),
    [anon_sym_const] = ACTIONS(1476),
    [anon_sym_constexpr] = ACTIONS(1476),
    [anon_sym_volatile] = ACTIONS(1476),
    [anon_sym_restrict] = ACTIONS(1476),
    [anon_sym___restrict__] = ACTIONS(1476),
    [anon_sym__Atomic] = ACTIONS(1476),
    [anon_sym__Noreturn] = ACTIONS(1476),
    [anon_sym_noreturn] = ACTIONS(1476),
    [sym_primitive_type] = ACTIONS(1476),
    [anon_sym_enum] = ACTIONS(1476),
    [anon_sym_struct] = ACTIONS(1476),
    [anon_sym_union] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_switch] = ACTIONS(1476),
    [anon_sym_case] = ACTIONS(1476),
    [anon_sym_default] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_do] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1476),
    [anon_sym_break] = ACTIONS(1476),
    [anon_sym_continue] = ACTIONS(1476),
    [anon_sym_goto] = ACTIONS(1476),
    [anon_sym___try] = ACTIONS(1476),
    [anon_sym___leave] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [anon_sym_sizeof] = ACTIONS(1476),
    [anon_sym___alignof__] = ACTIONS(1476),
    [anon_sym___alignof] = ACTIONS(1476),
    [anon_sym__alignof] = ACTIONS(1476),
    [anon_sym_alignof] = ACTIONS(1476),
    [anon_sym__Alignof] = ACTIONS(1476),
    [anon_sym_offsetof] = ACTIONS(1476),
    [anon_sym__Generic] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1476),
    [anon_sym___asm__] = ACTIONS(1476),
    [sym_number_literal] = ACTIONS(1478),
    [anon_sym_L_SQUOTE] = ACTIONS(1478),
    [anon_sym_u_SQUOTE] = ACTIONS(1478),
    [anon_sym_U_SQUOTE] = ACTIONS(1478),
    [anon_sym_u8_SQUOTE] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_L_DQUOTE] = ACTIONS(1478),
    [anon_sym_u_DQUOTE] = ACTIONS(1478),
    [anon_sym_U_DQUOTE] = ACTIONS(1478),
    [anon_sym_u8_DQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [anon_sym_NULL] = ACTIONS(1476),
    [anon_sym_nullptr] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_identifier] = ACTIONS(1460),
    [aux_sym_preproc_include_token1] = ACTIONS(1460),
    [aux_sym_preproc_def_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token2] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1460),
    [aux_sym_preproc_else_token1] = ACTIONS(1460),
    [aux_sym_preproc_elif_token1] = ACTIONS(1460),
    [sym_preproc_directive] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym___extension__] = ACTIONS(1460),
    [anon_sym_typedef] = ACTIONS(1460),
    [anon_sym_extern] = ACTIONS(1460),
    [anon_sym___attribute__] = ACTIONS(1460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1462),
    [anon_sym___declspec] = ACTIONS(1460),
    [anon_sym___cdecl] = ACTIONS(1460),
    [anon_sym___clrcall] = ACTIONS(1460),
    [anon_sym___stdcall] = ACTIONS(1460),
    [anon_sym___fastcall] = ACTIONS(1460),
    [anon_sym___thiscall] = ACTIONS(1460),
    [anon_sym___vectorcall] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_signed] = ACTIONS(1460),
    [anon_sym_unsigned] = ACTIONS(1460),
    [anon_sym_long] = ACTIONS(1460),
    [anon_sym_short] = ACTIONS(1460),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_auto] = ACTIONS(1460),
    [anon_sym_register] = ACTIONS(1460),
    [anon_sym_inline] = ACTIONS(1460),
    [anon_sym___inline] = ACTIONS(1460),
    [anon_sym___inline__] = ACTIONS(1460),
    [anon_sym___forceinline] = ACTIONS(1460),
    [anon_sym_thread_local] = ACTIONS(1460),
    [anon_sym___thread] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_constexpr] = ACTIONS(1460),
    [anon_sym_volatile] = ACTIONS(1460),
    [anon_sym_restrict] = ACTIONS(1460),
    [anon_sym___restrict__] = ACTIONS(1460),
    [anon_sym__Atomic] = ACTIONS(1460),
    [anon_sym__Noreturn] = ACTIONS(1460),
    [anon_sym_noreturn] = ACTIONS(1460),
    [sym_primitive_type] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_struct] = ACTIONS(1460),
    [anon_sym_union] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_goto] = ACTIONS(1460),
    [anon_sym___try] = ACTIONS(1460),
    [anon_sym___leave] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_sizeof] = ACTIONS(1460),
    [anon_sym___alignof__] = ACTIONS(1460),
    [anon_sym___alignof] = ACTIONS(1460),
    [anon_sym__alignof] = ACTIONS(1460),
    [anon_sym_alignof] = ACTIONS(1460),
    [anon_sym__Alignof] = ACTIONS(1460),
    [anon_sym_offsetof] = ACTIONS(1460),
    [anon_sym__Generic] = ACTIONS(1460),
    [anon_sym_asm] = ACTIONS(1460),
    [anon_sym___asm__] = ACTIONS(1460),
    [sym_number_literal] = ACTIONS(1462),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1462),
    [anon_sym_u_DQUOTE] = ACTIONS(1462),
    [anon_sym_U_DQUOTE] = ACTIONS(1462),
    [anon_sym_u8_DQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [anon_sym_NULL] = ACTIONS(1460),
    [anon_sym_nullptr] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1412),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token2] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1412),
    [aux_sym_preproc_else_token1] = ACTIONS(1412),
    [aux_sym_preproc_elif_token1] = ACTIONS(1412),
    [sym_preproc_directive] = ACTIONS(1412),
    [anon_sym_LPAREN2] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_typedef] = ACTIONS(1412),
    [anon_sym_extern] = ACTIONS(1412),
    [anon_sym___attribute__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym___declspec] = ACTIONS(1412),
    [anon_sym___cdecl] = ACTIONS(1412),
    [anon_sym___clrcall] = ACTIONS(1412),
    [anon_sym___stdcall] = ACTIONS(1412),
    [anon_sym___fastcall] = ACTIONS(1412),
    [anon_sym___thiscall] = ACTIONS(1412),
    [anon_sym___vectorcall] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_signed] = ACTIONS(1412),
    [anon_sym_unsigned] = ACTIONS(1412),
    [anon_sym_long] = ACTIONS(1412),
    [anon_sym_short] = ACTIONS(1412),
    [anon_sym_static] = ACTIONS(1412),
    [anon_sym_auto] = ACTIONS(1412),
    [anon_sym_register] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1412),
    [anon_sym___inline] = ACTIONS(1412),
    [anon_sym___inline__] = ACTIONS(1412),
    [anon_sym___forceinline] = ACTIONS(1412),
    [anon_sym_thread_local] = ACTIONS(1412),
    [anon_sym___thread] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1412),
    [anon_sym_constexpr] = ACTIONS(1412),
    [anon_sym_volatile] = ACTIONS(1412),
    [anon_sym_restrict] = ACTIONS(1412),
    [anon_sym___restrict__] = ACTIONS(1412),
    [anon_sym__Atomic] = ACTIONS(1412),
    [anon_sym__Noreturn] = ACTIONS(1412),
    [anon_sym_noreturn] = ACTIONS(1412),
    [sym_primitive_type] = ACTIONS(1412),
    [anon_sym_enum] = ACTIONS(1412),
    [anon_sym_struct] = ACTIONS(1412),
    [anon_sym_union] = ACTIONS(1412),
    [anon_sym_if] = ACTIONS(1412),
    [anon_sym_switch] = ACTIONS(1412),
    [anon_sym_case] = ACTIONS(1412),
    [anon_sym_default] = ACTIONS(1412),
    [anon_sym_while] = ACTIONS(1412),
    [anon_sym_do] = ACTIONS(1412),
    [anon_sym_for] = ACTIONS(1412),
    [anon_sym_return] = ACTIONS(1412),
    [anon_sym_break] = ACTIONS(1412),
    [anon_sym_continue] = ACTIONS(1412),
    [anon_sym_goto] = ACTIONS(1412),
    [anon_sym___try] = ACTIONS(1412),
    [anon_sym___leave] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_sizeof] = ACTIONS(1412),
    [anon_sym___alignof__] = ACTIONS(1412),
    [anon_sym___alignof] = ACTIONS(1412),
    [anon_sym__alignof] = ACTIONS(1412),
    [anon_sym_alignof] = ACTIONS(1412),
    [anon_sym__Alignof] = ACTIONS(1412),
    [anon_sym_offsetof] = ACTIONS(1412),
    [anon_sym__Generic] = ACTIONS(1412),
    [anon_sym_asm] = ACTIONS(1412),
    [anon_sym___asm__] = ACTIONS(1412),
    [sym_number_literal] = ACTIONS(1414),
    [anon_sym_L_SQUOTE] = ACTIONS(1414),
    [anon_sym_u_SQUOTE] = ACTIONS(1414),
    [anon_sym_U_SQUOTE] = ACTIONS(1414),
    [anon_sym_u8_SQUOTE] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1414),
    [anon_sym_L_DQUOTE] = ACTIONS(1414),
    [anon_sym_u_DQUOTE] = ACTIONS(1414),
    [anon_sym_U_DQUOTE] = ACTIONS(1414),
    [anon_sym_u8_DQUOTE] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1414),
    [sym_true] = ACTIONS(1412),
    [sym_false] = ACTIONS(1412),
    [anon_sym_NULL] = ACTIONS(1412),
    [anon_sym_nullptr] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token2] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [aux_sym_preproc_else_token1] = ACTIONS(1496),
    [aux_sym_preproc_elif_token1] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_goto] = ACTIONS(1496),
    [anon_sym___try] = ACTIONS(1496),
    [anon_sym___leave] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_sizeof] = ACTIONS(1496),
    [anon_sym___alignof__] = ACTIONS(1496),
    [anon_sym___alignof] = ACTIONS(1496),
    [anon_sym__alignof] = ACTIONS(1496),
    [anon_sym_alignof] = ACTIONS(1496),
    [anon_sym__Alignof] = ACTIONS(1496),
    [anon_sym_offsetof] = ACTIONS(1496),
    [anon_sym__Generic] = ACTIONS(1496),
    [anon_sym_asm] = ACTIONS(1496),
    [anon_sym___asm__] = ACTIONS(1496),
    [sym_number_literal] = ACTIONS(1498),
    [anon_sym_L_SQUOTE] = ACTIONS(1498),
    [anon_sym_u_SQUOTE] = ACTIONS(1498),
    [anon_sym_U_SQUOTE] = ACTIONS(1498),
    [anon_sym_u8_SQUOTE] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_L_DQUOTE] = ACTIONS(1498),
    [anon_sym_u_DQUOTE] = ACTIONS(1498),
    [anon_sym_U_DQUOTE] = ACTIONS(1498),
    [anon_sym_u8_DQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [anon_sym_NULL] = ACTIONS(1496),
    [anon_sym_nullptr] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_identifier] = ACTIONS(1424),
    [aux_sym_preproc_include_token1] = ACTIONS(1424),
    [aux_sym_preproc_def_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token2] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1424),
    [aux_sym_preproc_else_token1] = ACTIONS(1424),
    [aux_sym_preproc_elif_token1] = ACTIONS(1424),
    [sym_preproc_directive] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1424),
    [anon_sym_extern] = ACTIONS(1424),
    [anon_sym___attribute__] = ACTIONS(1424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1426),
    [anon_sym___declspec] = ACTIONS(1424),
    [anon_sym___cdecl] = ACTIONS(1424),
    [anon_sym___clrcall] = ACTIONS(1424),
    [anon_sym___stdcall] = ACTIONS(1424),
    [anon_sym___fastcall] = ACTIONS(1424),
    [anon_sym___thiscall] = ACTIONS(1424),
    [anon_sym___vectorcall] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_signed] = ACTIONS(1424),
    [anon_sym_unsigned] = ACTIONS(1424),
    [anon_sym_long] = ACTIONS(1424),
    [anon_sym_short] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1424),
    [anon_sym_auto] = ACTIONS(1424),
    [anon_sym_register] = ACTIONS(1424),
    [anon_sym_inline] = ACTIONS(1424),
    [anon_sym___inline] = ACTIONS(1424),
    [anon_sym___inline__] = ACTIONS(1424),
    [anon_sym___forceinline] = ACTIONS(1424),
    [anon_sym_thread_local] = ACTIONS(1424),
    [anon_sym___thread] = ACTIONS(1424),
    [anon_sym_const] = ACTIONS(1424),
    [anon_sym_constexpr] = ACTIONS(1424),
    [anon_sym_volatile] = ACTIONS(1424),
    [anon_sym_restrict] = ACTIONS(1424),
    [anon_sym___restrict__] = ACTIONS(1424),
    [anon_sym__Atomic] = ACTIONS(1424),
    [anon_sym__Noreturn] = ACTIONS(1424),
    [anon_sym_noreturn] = ACTIONS(1424),
    [sym_primitive_type] = ACTIONS(1424),
    [anon_sym_enum] = ACTIONS(1424),
    [anon_sym_struct] = ACTIONS(1424),
    [anon_sym_union] = ACTIONS(1424),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(1424),
    [anon_sym_case] = ACTIONS(1424),
    [anon_sym_default] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1424),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1424),
    [anon_sym_return] = ACTIONS(1424),
    [anon_sym_break] = ACTIONS(1424),
    [anon_sym_continue] = ACTIONS(1424),
    [anon_sym_goto] = ACTIONS(1424),
    [anon_sym___try] = ACTIONS(1424),
    [anon_sym___leave] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [anon_sym_sizeof] = ACTIONS(1424),
    [anon_sym___alignof__] = ACTIONS(1424),
    [anon_sym___alignof] = ACTIONS(1424),
    [anon_sym__alignof] = ACTIONS(1424),
    [anon_sym_alignof] = ACTIONS(1424),
    [anon_sym__Alignof] = ACTIONS(1424),
    [anon_sym_offsetof] = ACTIONS(1424),
    [anon_sym__Generic] = ACTIONS(1424),
    [anon_sym_asm] = ACTIONS(1424),
    [anon_sym___asm__] = ACTIONS(1424),
    [sym_number_literal] = ACTIONS(1426),
    [anon_sym_L_SQUOTE] = ACTIONS(1426),
    [anon_sym_u_SQUOTE] = ACTIONS(1426),
    [anon_sym_U_SQUOTE] = ACTIONS(1426),
    [anon_sym_u8_SQUOTE] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_L_DQUOTE] = ACTIONS(1426),
    [anon_sym_u_DQUOTE] = ACTIONS(1426),
    [anon_sym_U_DQUOTE] = ACTIONS(1426),
    [anon_sym_u8_DQUOTE] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_NULL] = ACTIONS(1424),
    [anon_sym_nullptr] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_identifier] = ACTIONS(1464),
    [aux_sym_preproc_include_token1] = ACTIONS(1464),
    [aux_sym_preproc_def_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token2] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1464),
    [aux_sym_preproc_else_token1] = ACTIONS(1464),
    [aux_sym_preproc_elif_token1] = ACTIONS(1464),
    [sym_preproc_directive] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [anon_sym___extension__] = ACTIONS(1464),
    [anon_sym_typedef] = ACTIONS(1464),
    [anon_sym_extern] = ACTIONS(1464),
    [anon_sym___attribute__] = ACTIONS(1464),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1466),
    [anon_sym___declspec] = ACTIONS(1464),
    [anon_sym___cdecl] = ACTIONS(1464),
    [anon_sym___clrcall] = ACTIONS(1464),
    [anon_sym___stdcall] = ACTIONS(1464),
    [anon_sym___fastcall] = ACTIONS(1464),
    [anon_sym___thiscall] = ACTIONS(1464),
    [anon_sym___vectorcall] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_signed] = ACTIONS(1464),
    [anon_sym_unsigned] = ACTIONS(1464),
    [anon_sym_long] = ACTIONS(1464),
    [anon_sym_short] = ACTIONS(1464),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_auto] = ACTIONS(1464),
    [anon_sym_register] = ACTIONS(1464),
    [anon_sym_inline] = ACTIONS(1464),
    [anon_sym___inline] = ACTIONS(1464),
    [anon_sym___inline__] = ACTIONS(1464),
    [anon_sym___forceinline] = ACTIONS(1464),
    [anon_sym_thread_local] = ACTIONS(1464),
    [anon_sym___thread] = ACTIONS(1464),
    [anon_sym_const] = ACTIONS(1464),
    [anon_sym_constexpr] = ACTIONS(1464),
    [anon_sym_volatile] = ACTIONS(1464),
    [anon_sym_restrict] = ACTIONS(1464),
    [anon_sym___restrict__] = ACTIONS(1464),
    [anon_sym__Atomic] = ACTIONS(1464),
    [anon_sym__Noreturn] = ACTIONS(1464),
    [anon_sym_noreturn] = ACTIONS(1464),
    [sym_primitive_type] = ACTIONS(1464),
    [anon_sym_enum] = ACTIONS(1464),
    [anon_sym_struct] = ACTIONS(1464),
    [anon_sym_union] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_switch] = ACTIONS(1464),
    [anon_sym_case] = ACTIONS(1464),
    [anon_sym_default] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_do] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_return] = ACTIONS(1464),
    [anon_sym_break] = ACTIONS(1464),
    [anon_sym_continue] = ACTIONS(1464),
    [anon_sym_goto] = ACTIONS(1464),
    [anon_sym___try] = ACTIONS(1464),
    [anon_sym___leave] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [anon_sym_sizeof] = ACTIONS(1464),
    [anon_sym___alignof__] = ACTIONS(1464),
    [anon_sym___alignof] = ACTIONS(1464),
    [anon_sym__alignof] = ACTIONS(1464),
    [anon_sym_alignof] = ACTIONS(1464),
    [anon_sym__Alignof] = ACTIONS(1464),
    [anon_sym_offsetof] = ACTIONS(1464),
    [anon_sym__Generic] = ACTIONS(1464),
    [anon_sym_asm] = ACTIONS(1464),
    [anon_sym___asm__] = ACTIONS(1464),
    [sym_number_literal] = ACTIONS(1466),
    [anon_sym_L_SQUOTE] = ACTIONS(1466),
    [anon_sym_u_SQUOTE] = ACTIONS(1466),
    [anon_sym_U_SQUOTE] = ACTIONS(1466),
    [anon_sym_u8_SQUOTE] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_L_DQUOTE] = ACTIONS(1466),
    [anon_sym_u_DQUOTE] = ACTIONS(1466),
    [anon_sym_U_DQUOTE] = ACTIONS(1466),
    [anon_sym_u8_DQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [anon_sym_NULL] = ACTIONS(1464),
    [anon_sym_nullptr] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1428),
    [aux_sym_preproc_def_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token2] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1428),
    [aux_sym_preproc_else_token1] = ACTIONS(1428),
    [aux_sym_preproc_elif_token1] = ACTIONS(1428),
    [sym_preproc_directive] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1428),
    [anon_sym_extern] = ACTIONS(1428),
    [anon_sym___attribute__] = ACTIONS(1428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1430),
    [anon_sym___declspec] = ACTIONS(1428),
    [anon_sym___cdecl] = ACTIONS(1428),
    [anon_sym___clrcall] = ACTIONS(1428),
    [anon_sym___stdcall] = ACTIONS(1428),
    [anon_sym___fastcall] = ACTIONS(1428),
    [anon_sym___thiscall] = ACTIONS(1428),
    [anon_sym___vectorcall] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_signed] = ACTIONS(1428),
    [anon_sym_unsigned] = ACTIONS(1428),
    [anon_sym_long] = ACTIONS(1428),
    [anon_sym_short] = ACTIONS(1428),
    [anon_sym_static] = ACTIONS(1428),
    [anon_sym_auto] = ACTIONS(1428),
    [anon_sym_register] = ACTIONS(1428),
    [anon_sym_inline] = ACTIONS(1428),
    [anon_sym___inline] = ACTIONS(1428),
    [anon_sym___inline__] = ACTIONS(1428),
    [anon_sym___forceinline] = ACTIONS(1428),
    [anon_sym_thread_local] = ACTIONS(1428),
    [anon_sym___thread] = ACTIONS(1428),
    [anon_sym_const] = ACTIONS(1428),
    [anon_sym_constexpr] = ACTIONS(1428),
    [anon_sym_volatile] = ACTIONS(1428),
    [anon_sym_restrict] = ACTIONS(1428),
    [anon_sym___restrict__] = ACTIONS(1428),
    [anon_sym__Atomic] = ACTIONS(1428),
    [anon_sym__Noreturn] = ACTIONS(1428),
    [anon_sym_noreturn] = ACTIONS(1428),
    [sym_primitive_type] = ACTIONS(1428),
    [anon_sym_enum] = ACTIONS(1428),
    [anon_sym_struct] = ACTIONS(1428),
    [anon_sym_union] = ACTIONS(1428),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_switch] = ACTIONS(1428),
    [anon_sym_case] = ACTIONS(1428),
    [anon_sym_default] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_do] = ACTIONS(1428),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_return] = ACTIONS(1428),
    [anon_sym_break] = ACTIONS(1428),
    [anon_sym_continue] = ACTIONS(1428),
    [anon_sym_goto] = ACTIONS(1428),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_sizeof] = ACTIONS(1428),
    [anon_sym___alignof__] = ACTIONS(1428),
    [anon_sym___alignof] = ACTIONS(1428),
    [anon_sym__alignof] = ACTIONS(1428),
    [anon_sym_alignof] = ACTIONS(1428),
    [anon_sym__Alignof] = ACTIONS(1428),
    [anon_sym_offsetof] = ACTIONS(1428),
    [anon_sym__Generic] = ACTIONS(1428),
    [anon_sym_asm] = ACTIONS(1428),
    [anon_sym___asm__] = ACTIONS(1428),
    [sym_number_literal] = ACTIONS(1430),
    [anon_sym_L_SQUOTE] = ACTIONS(1430),
    [anon_sym_u_SQUOTE] = ACTIONS(1430),
    [anon_sym_U_SQUOTE] = ACTIONS(1430),
    [anon_sym_u8_SQUOTE] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_L_DQUOTE] = ACTIONS(1430),
    [anon_sym_u_DQUOTE] = ACTIONS(1430),
    [anon_sym_U_DQUOTE] = ACTIONS(1430),
    [anon_sym_u8_DQUOTE] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [sym_true] = ACTIONS(1428),
    [sym_false] = ACTIONS(1428),
    [anon_sym_NULL] = ACTIONS(1428),
    [anon_sym_nullptr] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_identifier] = ACTIONS(1432),
    [aux_sym_preproc_include_token1] = ACTIONS(1432),
    [aux_sym_preproc_def_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token2] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1432),
    [aux_sym_preproc_else_token1] = ACTIONS(1432),
    [aux_sym_preproc_elif_token1] = ACTIONS(1432),
    [sym_preproc_directive] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1432),
    [anon_sym_extern] = ACTIONS(1432),
    [anon_sym___attribute__] = ACTIONS(1432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1434),
    [anon_sym___declspec] = ACTIONS(1432),
    [anon_sym___cdecl] = ACTIONS(1432),
    [anon_sym___clrcall] = ACTIONS(1432),
    [anon_sym___stdcall] = ACTIONS(1432),
    [anon_sym___fastcall] = ACTIONS(1432),
    [anon_sym___thiscall] = ACTIONS(1432),
    [anon_sym___vectorcall] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_signed] = ACTIONS(1432),
    [anon_sym_unsigned] = ACTIONS(1432),
    [anon_sym_long] = ACTIONS(1432),
    [anon_sym_short] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1432),
    [anon_sym_auto] = ACTIONS(1432),
    [anon_sym_register] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(1432),
    [anon_sym___inline] = ACTIONS(1432),
    [anon_sym___inline__] = ACTIONS(1432),
    [anon_sym___forceinline] = ACTIONS(1432),
    [anon_sym_thread_local] = ACTIONS(1432),
    [anon_sym___thread] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_constexpr] = ACTIONS(1432),
    [anon_sym_volatile] = ACTIONS(1432),
    [anon_sym_restrict] = ACTIONS(1432),
    [anon_sym___restrict__] = ACTIONS(1432),
    [anon_sym__Atomic] = ACTIONS(1432),
    [anon_sym__Noreturn] = ACTIONS(1432),
    [anon_sym_noreturn] = ACTIONS(1432),
    [sym_primitive_type] = ACTIONS(1432),
    [anon_sym_enum] = ACTIONS(1432),
    [anon_sym_struct] = ACTIONS(1432),
    [anon_sym_union] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_do] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_continue] = ACTIONS(1432),
    [anon_sym_goto] = ACTIONS(1432),
    [anon_sym___try] = ACTIONS(1432),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_sizeof] = ACTIONS(1432),
    [anon_sym___alignof__] = ACTIONS(1432),
    [anon_sym___alignof] = ACTIONS(1432),
    [anon_sym__alignof] = ACTIONS(1432),
    [anon_sym_alignof] = ACTIONS(1432),
    [anon_sym__Alignof] = ACTIONS(1432),
    [anon_sym_offsetof] = ACTIONS(1432),
    [anon_sym__Generic] = ACTIONS(1432),
    [anon_sym_asm] = ACTIONS(1432),
    [anon_sym___asm__] = ACTIONS(1432),
    [sym_number_literal] = ACTIONS(1434),
    [anon_sym_L_SQUOTE] = ACTIONS(1434),
    [anon_sym_u_SQUOTE] = ACTIONS(1434),
    [anon_sym_U_SQUOTE] = ACTIONS(1434),
    [anon_sym_u8_SQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_L_DQUOTE] = ACTIONS(1434),
    [anon_sym_u_DQUOTE] = ACTIONS(1434),
    [anon_sym_U_DQUOTE] = ACTIONS(1434),
    [anon_sym_u8_DQUOTE] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [sym_true] = ACTIONS(1432),
    [sym_false] = ACTIONS(1432),
    [anon_sym_NULL] = ACTIONS(1432),
    [anon_sym_nullptr] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_identifier] = ACTIONS(1440),
    [aux_sym_preproc_include_token1] = ACTIONS(1440),
    [aux_sym_preproc_def_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1440),
    [aux_sym_preproc_else_token1] = ACTIONS(1440),
    [aux_sym_preproc_elif_token1] = ACTIONS(1440),
    [sym_preproc_directive] = ACTIONS(1440),
    [anon_sym_LPAREN2] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(1440),
    [anon_sym_extern] = ACTIONS(1440),
    [anon_sym___attribute__] = ACTIONS(1440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1442),
    [anon_sym___declspec] = ACTIONS(1440),
    [anon_sym___cdecl] = ACTIONS(1440),
    [anon_sym___clrcall] = ACTIONS(1440),
    [anon_sym___stdcall] = ACTIONS(1440),
    [anon_sym___fastcall] = ACTIONS(1440),
    [anon_sym___thiscall] = ACTIONS(1440),
    [anon_sym___vectorcall] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_signed] = ACTIONS(1440),
    [anon_sym_unsigned] = ACTIONS(1440),
    [anon_sym_long] = ACTIONS(1440),
    [anon_sym_short] = ACTIONS(1440),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_auto] = ACTIONS(1440),
    [anon_sym_register] = ACTIONS(1440),
    [anon_sym_inline] = ACTIONS(1440),
    [anon_sym___inline] = ACTIONS(1440),
    [anon_sym___inline__] = ACTIONS(1440),
    [anon_sym___forceinline] = ACTIONS(1440),
    [anon_sym_thread_local] = ACTIONS(1440),
    [anon_sym___thread] = ACTIONS(1440),
    [anon_sym_const] = ACTIONS(1440),
    [anon_sym_constexpr] = ACTIONS(1440),
    [anon_sym_volatile] = ACTIONS(1440),
    [anon_sym_restrict] = ACTIONS(1440),
    [anon_sym___restrict__] = ACTIONS(1440),
    [anon_sym__Atomic] = ACTIONS(1440),
    [anon_sym__Noreturn] = ACTIONS(1440),
    [anon_sym_noreturn] = ACTIONS(1440),
    [sym_primitive_type] = ACTIONS(1440),
    [anon_sym_enum] = ACTIONS(1440),
    [anon_sym_struct] = ACTIONS(1440),
    [anon_sym_union] = ACTIONS(1440),
    [anon_sym_if] = ACTIONS(1440),
    [anon_sym_switch] = ACTIONS(1440),
    [anon_sym_case] = ACTIONS(1440),
    [anon_sym_default] = ACTIONS(1440),
    [anon_sym_while] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1440),
    [anon_sym_for] = ACTIONS(1440),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_break] = ACTIONS(1440),
    [anon_sym_continue] = ACTIONS(1440),
    [anon_sym_goto] = ACTIONS(1440),
    [anon_sym___try] = ACTIONS(1440),
    [anon_sym___leave] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [anon_sym_sizeof] = ACTIONS(1440),
    [anon_sym___alignof__] = ACTIONS(1440),
    [anon_sym___alignof] = ACTIONS(1440),
    [anon_sym__alignof] = ACTIONS(1440),
    [anon_sym_alignof] = ACTIONS(1440),
    [anon_sym__Alignof] = ACTIONS(1440),
    [anon_sym_offsetof] = ACTIONS(1440),
    [anon_sym__Generic] = ACTIONS(1440),
    [anon_sym_asm] = ACTIONS(1440),
    [anon_sym___asm__] = ACTIONS(1440),
    [sym_number_literal] = ACTIONS(1442),
    [anon_sym_L_SQUOTE] = ACTIONS(1442),
    [anon_sym_u_SQUOTE] = ACTIONS(1442),
    [anon_sym_U_SQUOTE] = ACTIONS(1442),
    [anon_sym_u8_SQUOTE] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_L_DQUOTE] = ACTIONS(1442),
    [anon_sym_u_DQUOTE] = ACTIONS(1442),
    [anon_sym_U_DQUOTE] = ACTIONS(1442),
    [anon_sym_u8_DQUOTE] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [sym_true] = ACTIONS(1440),
    [sym_false] = ACTIONS(1440),
    [anon_sym_NULL] = ACTIONS(1440),
    [anon_sym_nullptr] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_identifier] = ACTIONS(1472),
    [aux_sym_preproc_include_token1] = ACTIONS(1472),
    [aux_sym_preproc_def_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token2] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1472),
    [aux_sym_preproc_else_token1] = ACTIONS(1472),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [sym_preproc_directive] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(1472),
    [anon_sym_typedef] = ACTIONS(1472),
    [anon_sym_extern] = ACTIONS(1472),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1474),
    [anon_sym___declspec] = ACTIONS(1472),
    [anon_sym___cdecl] = ACTIONS(1472),
    [anon_sym___clrcall] = ACTIONS(1472),
    [anon_sym___stdcall] = ACTIONS(1472),
    [anon_sym___fastcall] = ACTIONS(1472),
    [anon_sym___thiscall] = ACTIONS(1472),
    [anon_sym___vectorcall] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_signed] = ACTIONS(1472),
    [anon_sym_unsigned] = ACTIONS(1472),
    [anon_sym_long] = ACTIONS(1472),
    [anon_sym_short] = ACTIONS(1472),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_auto] = ACTIONS(1472),
    [anon_sym_register] = ACTIONS(1472),
    [anon_sym_inline] = ACTIONS(1472),
    [anon_sym___inline] = ACTIONS(1472),
    [anon_sym___inline__] = ACTIONS(1472),
    [anon_sym___forceinline] = ACTIONS(1472),
    [anon_sym_thread_local] = ACTIONS(1472),
    [anon_sym___thread] = ACTIONS(1472),
    [anon_sym_const] = ACTIONS(1472),
    [anon_sym_constexpr] = ACTIONS(1472),
    [anon_sym_volatile] = ACTIONS(1472),
    [anon_sym_restrict] = ACTIONS(1472),
    [anon_sym___restrict__] = ACTIONS(1472),
    [anon_sym__Atomic] = ACTIONS(1472),
    [anon_sym__Noreturn] = ACTIONS(1472),
    [anon_sym_noreturn] = ACTIONS(1472),
    [sym_primitive_type] = ACTIONS(1472),
    [anon_sym_enum] = ACTIONS(1472),
    [anon_sym_struct] = ACTIONS(1472),
    [anon_sym_union] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(1472),
    [anon_sym_case] = ACTIONS(1472),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_do] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(1472),
    [anon_sym_break] = ACTIONS(1472),
    [anon_sym_continue] = ACTIONS(1472),
    [anon_sym_goto] = ACTIONS(1472),
    [anon_sym___try] = ACTIONS(1472),
    [anon_sym___leave] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [anon_sym_sizeof] = ACTIONS(1472),
    [anon_sym___alignof__] = ACTIONS(1472),
    [anon_sym___alignof] = ACTIONS(1472),
    [anon_sym__alignof] = ACTIONS(1472),
    [anon_sym_alignof] = ACTIONS(1472),
    [anon_sym__Alignof] = ACTIONS(1472),
    [anon_sym_offsetof] = ACTIONS(1472),
    [anon_sym__Generic] = ACTIONS(1472),
    [anon_sym_asm] = ACTIONS(1472),
    [anon_sym___asm__] = ACTIONS(1472),
    [sym_number_literal] = ACTIONS(1474),
    [anon_sym_L_SQUOTE] = ACTIONS(1474),
    [anon_sym_u_SQUOTE] = ACTIONS(1474),
    [anon_sym_U_SQUOTE] = ACTIONS(1474),
    [anon_sym_u8_SQUOTE] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_L_DQUOTE] = ACTIONS(1474),
    [anon_sym_u_DQUOTE] = ACTIONS(1474),
    [anon_sym_U_DQUOTE] = ACTIONS(1474),
    [anon_sym_u8_DQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [anon_sym_NULL] = ACTIONS(1472),
    [anon_sym_nullptr] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1456),
    [aux_sym_preproc_def_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token2] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1456),
    [aux_sym_preproc_else_token1] = ACTIONS(1456),
    [aux_sym_preproc_elif_token1] = ACTIONS(1456),
    [sym_preproc_directive] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [anon_sym___extension__] = ACTIONS(1456),
    [anon_sym_typedef] = ACTIONS(1456),
    [anon_sym_extern] = ACTIONS(1456),
    [anon_sym___attribute__] = ACTIONS(1456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1458),
    [anon_sym___declspec] = ACTIONS(1456),
    [anon_sym___cdecl] = ACTIONS(1456),
    [anon_sym___clrcall] = ACTIONS(1456),
    [anon_sym___stdcall] = ACTIONS(1456),
    [anon_sym___fastcall] = ACTIONS(1456),
    [anon_sym___thiscall] = ACTIONS(1456),
    [anon_sym___vectorcall] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_signed] = ACTIONS(1456),
    [anon_sym_unsigned] = ACTIONS(1456),
    [anon_sym_long] = ACTIONS(1456),
    [anon_sym_short] = ACTIONS(1456),
    [anon_sym_static] = ACTIONS(1456),
    [anon_sym_auto] = ACTIONS(1456),
    [anon_sym_register] = ACTIONS(1456),
    [anon_sym_inline] = ACTIONS(1456),
    [anon_sym___inline] = ACTIONS(1456),
    [anon_sym___inline__] = ACTIONS(1456),
    [anon_sym___forceinline] = ACTIONS(1456),
    [anon_sym_thread_local] = ACTIONS(1456),
    [anon_sym___thread] = ACTIONS(1456),
    [anon_sym_const] = ACTIONS(1456),
    [anon_sym_constexpr] = ACTIONS(1456),
    [anon_sym_volatile] = ACTIONS(1456),
    [anon_sym_restrict] = ACTIONS(1456),
    [anon_sym___restrict__] = ACTIONS(1456),
    [anon_sym__Atomic] = ACTIONS(1456),
    [anon_sym__Noreturn] = ACTIONS(1456),
    [anon_sym_noreturn] = ACTIONS(1456),
    [sym_primitive_type] = ACTIONS(1456),
    [anon_sym_enum] = ACTIONS(1456),
    [anon_sym_struct] = ACTIONS(1456),
    [anon_sym_union] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1456),
    [anon_sym_switch] = ACTIONS(1456),
    [anon_sym_case] = ACTIONS(1456),
    [anon_sym_default] = ACTIONS(1456),
    [anon_sym_while] = ACTIONS(1456),
    [anon_sym_do] = ACTIONS(1456),
    [anon_sym_for] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(1456),
    [anon_sym_break] = ACTIONS(1456),
    [anon_sym_continue] = ACTIONS(1456),
    [anon_sym_goto] = ACTIONS(1456),
    [anon_sym___try] = ACTIONS(1456),
    [anon_sym___leave] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_sizeof] = ACTIONS(1456),
    [anon_sym___alignof__] = ACTIONS(1456),
    [anon_sym___alignof] = ACTIONS(1456),
    [anon_sym__alignof] = ACTIONS(1456),
    [anon_sym_alignof] = ACTIONS(1456),
    [anon_sym__Alignof] = ACTIONS(1456),
    [anon_sym_offsetof] = ACTIONS(1456),
    [anon_sym__Generic] = ACTIONS(1456),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1458),
    [anon_sym_L_SQUOTE] = ACTIONS(1458),
    [anon_sym_u_SQUOTE] = ACTIONS(1458),
    [anon_sym_U_SQUOTE] = ACTIONS(1458),
    [anon_sym_u8_SQUOTE] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_L_DQUOTE] = ACTIONS(1458),
    [anon_sym_u_DQUOTE] = ACTIONS(1458),
    [anon_sym_U_DQUOTE] = ACTIONS(1458),
    [anon_sym_u8_DQUOTE] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [sym_true] = ACTIONS(1456),
    [sym_false] = ACTIONS(1456),
    [anon_sym_NULL] = ACTIONS(1456),
    [anon_sym_nullptr] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_identifier] = ACTIONS(1444),
    [aux_sym_preproc_include_token1] = ACTIONS(1444),
    [aux_sym_preproc_def_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token2] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1444),
    [aux_sym_preproc_else_token1] = ACTIONS(1444),
    [aux_sym_preproc_elif_token1] = ACTIONS(1444),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(1444),
    [anon_sym_extern] = ACTIONS(1444),
    [anon_sym___attribute__] = ACTIONS(1444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1446),
    [anon_sym___declspec] = ACTIONS(1444),
    [anon_sym___cdecl] = ACTIONS(1444),
    [anon_sym___clrcall] = ACTIONS(1444),
    [anon_sym___stdcall] = ACTIONS(1444),
    [anon_sym___fastcall] = ACTIONS(1444),
    [anon_sym___thiscall] = ACTIONS(1444),
    [anon_sym___vectorcall] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_signed] = ACTIONS(1444),
    [anon_sym_unsigned] = ACTIONS(1444),
    [anon_sym_long] = ACTIONS(1444),
    [anon_sym_short] = ACTIONS(1444),
    [anon_sym_static] = ACTIONS(1444),
    [anon_sym_auto] = ACTIONS(1444),
    [anon_sym_register] = ACTIONS(1444),
    [anon_sym_inline] = ACTIONS(1444),
    [anon_sym___inline] = ACTIONS(1444),
    [anon_sym___inline__] = ACTIONS(1444),
    [anon_sym___forceinline] = ACTIONS(1444),
    [anon_sym_thread_local] = ACTIONS(1444),
    [anon_sym___thread] = ACTIONS(1444),
    [anon_sym_const] = ACTIONS(1444),
    [anon_sym_constexpr] = ACTIONS(1444),
    [anon_sym_volatile] = ACTIONS(1444),
    [anon_sym_restrict] = ACTIONS(1444),
    [anon_sym___restrict__] = ACTIONS(1444),
    [anon_sym__Atomic] = ACTIONS(1444),
    [anon_sym__Noreturn] = ACTIONS(1444),
    [anon_sym_noreturn] = ACTIONS(1444),
    [sym_primitive_type] = ACTIONS(1444),
    [anon_sym_enum] = ACTIONS(1444),
    [anon_sym_struct] = ACTIONS(1444),
    [anon_sym_union] = ACTIONS(1444),
    [anon_sym_if] = ACTIONS(1444),
    [anon_sym_switch] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(1444),
    [anon_sym_default] = ACTIONS(1444),
    [anon_sym_while] = ACTIONS(1444),
    [anon_sym_do] = ACTIONS(1444),
    [anon_sym_for] = ACTIONS(1444),
    [anon_sym_return] = ACTIONS(1444),
    [anon_sym_break] = ACTIONS(1444),
    [anon_sym_continue] = ACTIONS(1444),
    [anon_sym_goto] = ACTIONS(1444),
    [anon_sym___try] = ACTIONS(1444),
    [anon_sym___leave] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_sizeof] = ACTIONS(1444),
    [anon_sym___alignof__] = ACTIONS(1444),
    [anon_sym___alignof] = ACTIONS(1444),
    [anon_sym__alignof] = ACTIONS(1444),
    [anon_sym_alignof] = ACTIONS(1444),
    [anon_sym__Alignof] = ACTIONS(1444),
    [anon_sym_offsetof] = ACTIONS(1444),
    [anon_sym__Generic] = ACTIONS(1444),
    [anon_sym_asm] = ACTIONS(1444),
    [anon_sym___asm__] = ACTIONS(1444),
    [sym_number_literal] = ACTIONS(1446),
    [anon_sym_L_SQUOTE] = ACTIONS(1446),
    [anon_sym_u_SQUOTE] = ACTIONS(1446),
    [anon_sym_U_SQUOTE] = ACTIONS(1446),
    [anon_sym_u8_SQUOTE] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_L_DQUOTE] = ACTIONS(1446),
    [anon_sym_u_DQUOTE] = ACTIONS(1446),
    [anon_sym_U_DQUOTE] = ACTIONS(1446),
    [anon_sym_u8_DQUOTE] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [anon_sym_NULL] = ACTIONS(1444),
    [anon_sym_nullptr] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_identifier] = ACTIONS(1448),
    [aux_sym_preproc_include_token1] = ACTIONS(1448),
    [aux_sym_preproc_def_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token2] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1448),
    [aux_sym_preproc_else_token1] = ACTIONS(1448),
    [aux_sym_preproc_elif_token1] = ACTIONS(1448),
    [sym_preproc_directive] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym___extension__] = ACTIONS(1448),
    [anon_sym_typedef] = ACTIONS(1448),
    [anon_sym_extern] = ACTIONS(1448),
    [anon_sym___attribute__] = ACTIONS(1448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1450),
    [anon_sym___declspec] = ACTIONS(1448),
    [anon_sym___cdecl] = ACTIONS(1448),
    [anon_sym___clrcall] = ACTIONS(1448),
    [anon_sym___stdcall] = ACTIONS(1448),
    [anon_sym___fastcall] = ACTIONS(1448),
    [anon_sym___thiscall] = ACTIONS(1448),
    [anon_sym___vectorcall] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_signed] = ACTIONS(1448),
    [anon_sym_unsigned] = ACTIONS(1448),
    [anon_sym_long] = ACTIONS(1448),
    [anon_sym_short] = ACTIONS(1448),
    [anon_sym_static] = ACTIONS(1448),
    [anon_sym_auto] = ACTIONS(1448),
    [anon_sym_register] = ACTIONS(1448),
    [anon_sym_inline] = ACTIONS(1448),
    [anon_sym___inline] = ACTIONS(1448),
    [anon_sym___inline__] = ACTIONS(1448),
    [anon_sym___forceinline] = ACTIONS(1448),
    [anon_sym_thread_local] = ACTIONS(1448),
    [anon_sym___thread] = ACTIONS(1448),
    [anon_sym_const] = ACTIONS(1448),
    [anon_sym_constexpr] = ACTIONS(1448),
    [anon_sym_volatile] = ACTIONS(1448),
    [anon_sym_restrict] = ACTIONS(1448),
    [anon_sym___restrict__] = ACTIONS(1448),
    [anon_sym__Atomic] = ACTIONS(1448),
    [anon_sym__Noreturn] = ACTIONS(1448),
    [anon_sym_noreturn] = ACTIONS(1448),
    [sym_primitive_type] = ACTIONS(1448),
    [anon_sym_enum] = ACTIONS(1448),
    [anon_sym_struct] = ACTIONS(1448),
    [anon_sym_union] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1448),
    [anon_sym_switch] = ACTIONS(1448),
    [anon_sym_case] = ACTIONS(1448),
    [anon_sym_default] = ACTIONS(1448),
    [anon_sym_while] = ACTIONS(1448),
    [anon_sym_do] = ACTIONS(1448),
    [anon_sym_for] = ACTIONS(1448),
    [anon_sym_return] = ACTIONS(1448),
    [anon_sym_break] = ACTIONS(1448),
    [anon_sym_continue] = ACTIONS(1448),
    [anon_sym_goto] = ACTIONS(1448),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_sizeof] = ACTIONS(1448),
    [anon_sym___alignof__] = ACTIONS(1448),
    [anon_sym___alignof] = ACTIONS(1448),
    [anon_sym__alignof] = ACTIONS(1448),
    [anon_sym_alignof] = ACTIONS(1448),
    [anon_sym__Alignof] = ACTIONS(1448),
    [anon_sym_offsetof] = ACTIONS(1448),
    [anon_sym__Generic] = ACTIONS(1448),
    [anon_sym_asm] = ACTIONS(1448),
    [anon_sym___asm__] = ACTIONS(1448),
    [sym_number_literal] = ACTIONS(1450),
    [anon_sym_L_SQUOTE] = ACTIONS(1450),
    [anon_sym_u_SQUOTE] = ACTIONS(1450),
    [anon_sym_U_SQUOTE] = ACTIONS(1450),
    [anon_sym_u8_SQUOTE] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_L_DQUOTE] = ACTIONS(1450),
    [anon_sym_u_DQUOTE] = ACTIONS(1450),
    [anon_sym_U_DQUOTE] = ACTIONS(1450),
    [anon_sym_u8_DQUOTE] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [sym_true] = ACTIONS(1448),
    [sym_false] = ACTIONS(1448),
    [anon_sym_NULL] = ACTIONS(1448),
    [anon_sym_nullptr] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_else_clause] = STATE(268),
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_identifier] = ACTIONS(1488),
    [aux_sym_preproc_include_token1] = ACTIONS(1488),
    [aux_sym_preproc_def_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token2] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1488),
    [aux_sym_preproc_else_token1] = ACTIONS(1488),
    [aux_sym_preproc_elif_token1] = ACTIONS(1488),
    [sym_preproc_directive] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym___extension__] = ACTIONS(1488),
    [anon_sym_typedef] = ACTIONS(1488),
    [anon_sym_extern] = ACTIONS(1488),
    [anon_sym___attribute__] = ACTIONS(1488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1490),
    [anon_sym___declspec] = ACTIONS(1488),
    [anon_sym___cdecl] = ACTIONS(1488),
    [anon_sym___clrcall] = ACTIONS(1488),
    [anon_sym___stdcall] = ACTIONS(1488),
    [anon_sym___fastcall] = ACTIONS(1488),
    [anon_sym___thiscall] = ACTIONS(1488),
    [anon_sym___vectorcall] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_signed] = ACTIONS(1488),
    [anon_sym_unsigned] = ACTIONS(1488),
    [anon_sym_long] = ACTIONS(1488),
    [anon_sym_short] = ACTIONS(1488),
    [anon_sym_static] = ACTIONS(1488),
    [anon_sym_auto] = ACTIONS(1488),
    [anon_sym_register] = ACTIONS(1488),
    [anon_sym_inline] = ACTIONS(1488),
    [anon_sym___inline] = ACTIONS(1488),
    [anon_sym___inline__] = ACTIONS(1488),
    [anon_sym___forceinline] = ACTIONS(1488),
    [anon_sym_thread_local] = ACTIONS(1488),
    [anon_sym___thread] = ACTIONS(1488),
    [anon_sym_const] = ACTIONS(1488),
    [anon_sym_constexpr] = ACTIONS(1488),
    [anon_sym_volatile] = ACTIONS(1488),
    [anon_sym_restrict] = ACTIONS(1488),
    [anon_sym___restrict__] = ACTIONS(1488),
    [anon_sym__Atomic] = ACTIONS(1488),
    [anon_sym__Noreturn] = ACTIONS(1488),
    [anon_sym_noreturn] = ACTIONS(1488),
    [sym_primitive_type] = ACTIONS(1488),
    [anon_sym_enum] = ACTIONS(1488),
    [anon_sym_struct] = ACTIONS(1488),
    [anon_sym_union] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(1488),
    [anon_sym_case] = ACTIONS(1488),
    [anon_sym_default] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_do] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_break] = ACTIONS(1488),
    [anon_sym_continue] = ACTIONS(1488),
    [anon_sym_goto] = ACTIONS(1488),
    [anon_sym___try] = ACTIONS(1488),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_sizeof] = ACTIONS(1488),
    [anon_sym___alignof__] = ACTIONS(1488),
    [anon_sym___alignof] = ACTIONS(1488),
    [anon_sym__alignof] = ACTIONS(1488),
    [anon_sym_alignof] = ACTIONS(1488),
    [anon_sym__Alignof] = ACTIONS(1488),
    [anon_sym_offsetof] = ACTIONS(1488),
    [anon_sym__Generic] = ACTIONS(1488),
    [anon_sym_asm] = ACTIONS(1488),
    [anon_sym___asm__] = ACTIONS(1488),
    [sym_number_literal] = ACTIONS(1490),
    [anon_sym_L_SQUOTE] = ACTIONS(1490),
    [anon_sym_u_SQUOTE] = ACTIONS(1490),
    [anon_sym_U_SQUOTE] = ACTIONS(1490),
    [anon_sym_u8_SQUOTE] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_L_DQUOTE] = ACTIONS(1490),
    [anon_sym_u_DQUOTE] = ACTIONS(1490),
    [anon_sym_U_DQUOTE] = ACTIONS(1490),
    [anon_sym_u8_DQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [anon_sym_NULL] = ACTIONS(1488),
    [anon_sym_nullptr] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_identifier] = ACTIONS(1346),
    [aux_sym_preproc_include_token1] = ACTIONS(1346),
    [aux_sym_preproc_def_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1346),
    [sym_preproc_directive] = ACTIONS(1346),
    [anon_sym_LPAREN2] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1346),
    [anon_sym_extern] = ACTIONS(1346),
    [anon_sym___attribute__] = ACTIONS(1346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1348),
    [anon_sym___declspec] = ACTIONS(1346),
    [anon_sym___cdecl] = ACTIONS(1346),
    [anon_sym___clrcall] = ACTIONS(1346),
    [anon_sym___stdcall] = ACTIONS(1346),
    [anon_sym___fastcall] = ACTIONS(1346),
    [anon_sym___thiscall] = ACTIONS(1346),
    [anon_sym___vectorcall] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [anon_sym_signed] = ACTIONS(1346),
    [anon_sym_unsigned] = ACTIONS(1346),
    [anon_sym_long] = ACTIONS(1346),
    [anon_sym_short] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1346),
    [anon_sym_auto] = ACTIONS(1346),
    [anon_sym_register] = ACTIONS(1346),
    [anon_sym_inline] = ACTIONS(1346),
    [anon_sym___inline] = ACTIONS(1346),
    [anon_sym___inline__] = ACTIONS(1346),
    [anon_sym___forceinline] = ACTIONS(1346),
    [anon_sym_thread_local] = ACTIONS(1346),
    [anon_sym___thread] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1346),
    [anon_sym_constexpr] = ACTIONS(1346),
    [anon_sym_volatile] = ACTIONS(1346),
    [anon_sym_restrict] = ACTIONS(1346),
    [anon_sym___restrict__] = ACTIONS(1346),
    [anon_sym__Atomic] = ACTIONS(1346),
    [anon_sym__Noreturn] = ACTIONS(1346),
    [anon_sym_noreturn] = ACTIONS(1346),
    [sym_primitive_type] = ACTIONS(1346),
    [anon_sym_enum] = ACTIONS(1346),
    [anon_sym_struct] = ACTIONS(1346),
    [anon_sym_union] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_else] = ACTIONS(1346),
    [anon_sym_switch] = ACTIONS(1346),
    [anon_sym_case] = ACTIONS(1346),
    [anon_sym_default] = ACTIONS(1346),
    [anon_sym_while] = ACTIONS(1346),
    [anon_sym_do] = ACTIONS(1346),
    [anon_sym_for] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1346),
    [anon_sym_break] = ACTIONS(1346),
    [anon_sym_continue] = ACTIONS(1346),
    [anon_sym_goto] = ACTIONS(1346),
    [anon_sym___try] = ACTIONS(1346),
    [anon_sym___leave] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_sizeof] = ACTIONS(1346),
    [anon_sym___alignof__] = ACTIONS(1346),
    [anon_sym___alignof] = ACTIONS(1346),
    [anon_sym__alignof] = ACTIONS(1346),
    [anon_sym_alignof] = ACTIONS(1346),
    [anon_sym__Alignof] = ACTIONS(1346),
    [anon_sym_offsetof] = ACTIONS(1346),
    [anon_sym__Generic] = ACTIONS(1346),
    [anon_sym_asm] = ACTIONS(1346),
    [anon_sym___asm__] = ACTIONS(1346),
    [sym_number_literal] = ACTIONS(1348),
    [anon_sym_L_SQUOTE] = ACTIONS(1348),
    [anon_sym_u_SQUOTE] = ACTIONS(1348),
    [anon_sym_U_SQUOTE] = ACTIONS(1348),
    [anon_sym_u8_SQUOTE] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_L_DQUOTE] = ACTIONS(1348),
    [anon_sym_u_DQUOTE] = ACTIONS(1348),
    [anon_sym_U_DQUOTE] = ACTIONS(1348),
    [anon_sym_u8_DQUOTE] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_NULL] = ACTIONS(1346),
    [anon_sym_nullptr] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_identifier] = ACTIONS(1350),
    [aux_sym_preproc_include_token1] = ACTIONS(1350),
    [aux_sym_preproc_def_token1] = ACTIONS(1350),
    [aux_sym_preproc_if_token1] = ACTIONS(1350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1350),
    [sym_preproc_directive] = ACTIONS(1350),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_STAR] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1352),
    [anon_sym___extension__] = ACTIONS(1350),
    [anon_sym_typedef] = ACTIONS(1350),
    [anon_sym_extern] = ACTIONS(1350),
    [anon_sym___attribute__] = ACTIONS(1350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1352),
    [anon_sym___declspec] = ACTIONS(1350),
    [anon_sym___cdecl] = ACTIONS(1350),
    [anon_sym___clrcall] = ACTIONS(1350),
    [anon_sym___stdcall] = ACTIONS(1350),
    [anon_sym___fastcall] = ACTIONS(1350),
    [anon_sym___thiscall] = ACTIONS(1350),
    [anon_sym___vectorcall] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [anon_sym_signed] = ACTIONS(1350),
    [anon_sym_unsigned] = ACTIONS(1350),
    [anon_sym_long] = ACTIONS(1350),
    [anon_sym_short] = ACTIONS(1350),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_auto] = ACTIONS(1350),
    [anon_sym_register] = ACTIONS(1350),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym___inline] = ACTIONS(1350),
    [anon_sym___inline__] = ACTIONS(1350),
    [anon_sym___forceinline] = ACTIONS(1350),
    [anon_sym_thread_local] = ACTIONS(1350),
    [anon_sym___thread] = ACTIONS(1350),
    [anon_sym_const] = ACTIONS(1350),
    [anon_sym_constexpr] = ACTIONS(1350),
    [anon_sym_volatile] = ACTIONS(1350),
    [anon_sym_restrict] = ACTIONS(1350),
    [anon_sym___restrict__] = ACTIONS(1350),
    [anon_sym__Atomic] = ACTIONS(1350),
    [anon_sym__Noreturn] = ACTIONS(1350),
    [anon_sym_noreturn] = ACTIONS(1350),
    [sym_primitive_type] = ACTIONS(1350),
    [anon_sym_enum] = ACTIONS(1350),
    [anon_sym_struct] = ACTIONS(1350),
    [anon_sym_union] = ACTIONS(1350),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_else] = ACTIONS(1350),
    [anon_sym_switch] = ACTIONS(1350),
    [anon_sym_case] = ACTIONS(1350),
    [anon_sym_default] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1350),
    [anon_sym_do] = ACTIONS(1350),
    [anon_sym_for] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1350),
    [anon_sym_break] = ACTIONS(1350),
    [anon_sym_continue] = ACTIONS(1350),
    [anon_sym_goto] = ACTIONS(1350),
    [anon_sym___try] = ACTIONS(1350),
    [anon_sym___leave] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_sizeof] = ACTIONS(1350),
    [anon_sym___alignof__] = ACTIONS(1350),
    [anon_sym___alignof] = ACTIONS(1350),
    [anon_sym__alignof] = ACTIONS(1350),
    [anon_sym_alignof] = ACTIONS(1350),
    [anon_sym__Alignof] = ACTIONS(1350),
    [anon_sym_offsetof] = ACTIONS(1350),
    [anon_sym__Generic] = ACTIONS(1350),
    [anon_sym_asm] = ACTIONS(1350),
    [anon_sym___asm__] = ACTIONS(1350),
    [sym_number_literal] = ACTIONS(1352),
    [anon_sym_L_SQUOTE] = ACTIONS(1352),
    [anon_sym_u_SQUOTE] = ACTIONS(1352),
    [anon_sym_U_SQUOTE] = ACTIONS(1352),
    [anon_sym_u8_SQUOTE] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_L_DQUOTE] = ACTIONS(1352),
    [anon_sym_u_DQUOTE] = ACTIONS(1352),
    [anon_sym_U_DQUOTE] = ACTIONS(1352),
    [anon_sym_u8_DQUOTE] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [sym_true] = ACTIONS(1350),
    [sym_false] = ACTIONS(1350),
    [anon_sym_NULL] = ACTIONS(1350),
    [anon_sym_nullptr] = ACTIONS(1350),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym__expression] = STATE(840),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(824),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(824),
    [sym_call_expression] = STATE(824),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(824),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(824),
    [sym_initializer_list] = STATE(798),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_identifier] = ACTIONS(1514),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_preproc_if_token2] = ACTIONS(1516),
    [aux_sym_preproc_else_token1] = ACTIONS(1516),
    [aux_sym_preproc_elif_token1] = ACTIONS(1514),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1516),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_SLASH] = ACTIONS(1514),
    [anon_sym_PERCENT] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_AMP_AMP] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1514),
    [anon_sym_CARET] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_EQ_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_GT] = ACTIONS(1514),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1514),
    [anon_sym_LT_LT] = ACTIONS(1514),
    [anon_sym_GT_GT] = ACTIONS(1514),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_EQ] = ACTIONS(1514),
    [anon_sym_QMARK] = ACTIONS(1516),
    [anon_sym_STAR_EQ] = ACTIONS(1516),
    [anon_sym_SLASH_EQ] = ACTIONS(1516),
    [anon_sym_PERCENT_EQ] = ACTIONS(1516),
    [anon_sym_PLUS_EQ] = ACTIONS(1516),
    [anon_sym_DASH_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT_EQ] = ACTIONS(1516),
    [anon_sym_GT_GT_EQ] = ACTIONS(1516),
    [anon_sym_AMP_EQ] = ACTIONS(1516),
    [anon_sym_CARET_EQ] = ACTIONS(1516),
    [anon_sym_PIPE_EQ] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [anon_sym_sizeof] = ACTIONS(1524),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1514),
    [anon_sym_DASH_GT] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_identifier] = ACTIONS(1370),
    [aux_sym_preproc_include_token1] = ACTIONS(1370),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1370),
    [sym_preproc_directive] = ACTIONS(1370),
    [anon_sym_LPAREN2] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1372),
    [anon_sym___extension__] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1370),
    [anon_sym_extern] = ACTIONS(1370),
    [anon_sym___attribute__] = ACTIONS(1370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1372),
    [anon_sym___declspec] = ACTIONS(1370),
    [anon_sym___cdecl] = ACTIONS(1370),
    [anon_sym___clrcall] = ACTIONS(1370),
    [anon_sym___stdcall] = ACTIONS(1370),
    [anon_sym___fastcall] = ACTIONS(1370),
    [anon_sym___thiscall] = ACTIONS(1370),
    [anon_sym___vectorcall] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [anon_sym_signed] = ACTIONS(1370),
    [anon_sym_unsigned] = ACTIONS(1370),
    [anon_sym_long] = ACTIONS(1370),
    [anon_sym_short] = ACTIONS(1370),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_auto] = ACTIONS(1370),
    [anon_sym_register] = ACTIONS(1370),
    [anon_sym_inline] = ACTIONS(1370),
    [anon_sym___inline] = ACTIONS(1370),
    [anon_sym___inline__] = ACTIONS(1370),
    [anon_sym___forceinline] = ACTIONS(1370),
    [anon_sym_thread_local] = ACTIONS(1370),
    [anon_sym___thread] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1370),
    [anon_sym_constexpr] = ACTIONS(1370),
    [anon_sym_volatile] = ACTIONS(1370),
    [anon_sym_restrict] = ACTIONS(1370),
    [anon_sym___restrict__] = ACTIONS(1370),
    [anon_sym__Atomic] = ACTIONS(1370),
    [anon_sym__Noreturn] = ACTIONS(1370),
    [anon_sym_noreturn] = ACTIONS(1370),
    [sym_primitive_type] = ACTIONS(1370),
    [anon_sym_enum] = ACTIONS(1370),
    [anon_sym_struct] = ACTIONS(1370),
    [anon_sym_union] = ACTIONS(1370),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_else] = ACTIONS(1370),
    [anon_sym_switch] = ACTIONS(1370),
    [anon_sym_case] = ACTIONS(1370),
    [anon_sym_default] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_do] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1370),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1370),
    [anon_sym_continue] = ACTIONS(1370),
    [anon_sym_goto] = ACTIONS(1370),
    [anon_sym___try] = ACTIONS(1370),
    [anon_sym___leave] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_sizeof] = ACTIONS(1370),
    [anon_sym___alignof__] = ACTIONS(1370),
    [anon_sym___alignof] = ACTIONS(1370),
    [anon_sym__alignof] = ACTIONS(1370),
    [anon_sym_alignof] = ACTIONS(1370),
    [anon_sym__Alignof] = ACTIONS(1370),
    [anon_sym_offsetof] = ACTIONS(1370),
    [anon_sym__Generic] = ACTIONS(1370),
    [anon_sym_asm] = ACTIONS(1370),
    [anon_sym___asm__] = ACTIONS(1370),
    [sym_number_literal] = ACTIONS(1372),
    [anon_sym_L_SQUOTE] = ACTIONS(1372),
    [anon_sym_u_SQUOTE] = ACTIONS(1372),
    [anon_sym_U_SQUOTE] = ACTIONS(1372),
    [anon_sym_u8_SQUOTE] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_L_DQUOTE] = ACTIONS(1372),
    [anon_sym_u_DQUOTE] = ACTIONS(1372),
    [anon_sym_U_DQUOTE] = ACTIONS(1372),
    [anon_sym_u8_DQUOTE] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_NULL] = ACTIONS(1370),
    [anon_sym_nullptr] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_identifier] = ACTIONS(1302),
    [aux_sym_preproc_include_token1] = ACTIONS(1302),
    [aux_sym_preproc_def_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1302),
    [sym_preproc_directive] = ACTIONS(1302),
    [anon_sym_LPAREN2] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1304),
    [anon_sym_AMP] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1304),
    [anon_sym___extension__] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1302),
    [anon_sym_extern] = ACTIONS(1302),
    [anon_sym___attribute__] = ACTIONS(1302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1304),
    [anon_sym___declspec] = ACTIONS(1302),
    [anon_sym___cdecl] = ACTIONS(1302),
    [anon_sym___clrcall] = ACTIONS(1302),
    [anon_sym___stdcall] = ACTIONS(1302),
    [anon_sym___fastcall] = ACTIONS(1302),
    [anon_sym___thiscall] = ACTIONS(1302),
    [anon_sym___vectorcall] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [anon_sym_signed] = ACTIONS(1302),
    [anon_sym_unsigned] = ACTIONS(1302),
    [anon_sym_long] = ACTIONS(1302),
    [anon_sym_short] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1302),
    [anon_sym_auto] = ACTIONS(1302),
    [anon_sym_register] = ACTIONS(1302),
    [anon_sym_inline] = ACTIONS(1302),
    [anon_sym___inline] = ACTIONS(1302),
    [anon_sym___inline__] = ACTIONS(1302),
    [anon_sym___forceinline] = ACTIONS(1302),
    [anon_sym_thread_local] = ACTIONS(1302),
    [anon_sym___thread] = ACTIONS(1302),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_constexpr] = ACTIONS(1302),
    [anon_sym_volatile] = ACTIONS(1302),
    [anon_sym_restrict] = ACTIONS(1302),
    [anon_sym___restrict__] = ACTIONS(1302),
    [anon_sym__Atomic] = ACTIONS(1302),
    [anon_sym__Noreturn] = ACTIONS(1302),
    [anon_sym_noreturn] = ACTIONS(1302),
    [sym_primitive_type] = ACTIONS(1302),
    [anon_sym_enum] = ACTIONS(1302),
    [anon_sym_struct] = ACTIONS(1302),
    [anon_sym_union] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1302),
    [anon_sym_else] = ACTIONS(1302),
    [anon_sym_switch] = ACTIONS(1302),
    [anon_sym_case] = ACTIONS(1302),
    [anon_sym_default] = ACTIONS(1302),
    [anon_sym_while] = ACTIONS(1302),
    [anon_sym_do] = ACTIONS(1302),
    [anon_sym_for] = ACTIONS(1302),
    [anon_sym_return] = ACTIONS(1302),
    [anon_sym_break] = ACTIONS(1302),
    [anon_sym_continue] = ACTIONS(1302),
    [anon_sym_goto] = ACTIONS(1302),
    [anon_sym___try] = ACTIONS(1302),
    [anon_sym___leave] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [anon_sym_sizeof] = ACTIONS(1302),
    [anon_sym___alignof__] = ACTIONS(1302),
    [anon_sym___alignof] = ACTIONS(1302),
    [anon_sym__alignof] = ACTIONS(1302),
    [anon_sym_alignof] = ACTIONS(1302),
    [anon_sym__Alignof] = ACTIONS(1302),
    [anon_sym_offsetof] = ACTIONS(1302),
    [anon_sym__Generic] = ACTIONS(1302),
    [anon_sym_asm] = ACTIONS(1302),
    [anon_sym___asm__] = ACTIONS(1302),
    [sym_number_literal] = ACTIONS(1304),
    [anon_sym_L_SQUOTE] = ACTIONS(1304),
    [anon_sym_u_SQUOTE] = ACTIONS(1304),
    [anon_sym_U_SQUOTE] = ACTIONS(1304),
    [anon_sym_u8_SQUOTE] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_L_DQUOTE] = ACTIONS(1304),
    [anon_sym_u_DQUOTE] = ACTIONS(1304),
    [anon_sym_U_DQUOTE] = ACTIONS(1304),
    [anon_sym_u8_DQUOTE] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [sym_true] = ACTIONS(1302),
    [sym_false] = ACTIONS(1302),
    [anon_sym_NULL] = ACTIONS(1302),
    [anon_sym_nullptr] = ACTIONS(1302),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_identifier] = ACTIONS(1298),
    [aux_sym_preproc_include_token1] = ACTIONS(1298),
    [aux_sym_preproc_def_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1298),
    [sym_preproc_directive] = ACTIONS(1298),
    [anon_sym_LPAREN2] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym___extension__] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1298),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym___attribute__] = ACTIONS(1298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1300),
    [anon_sym___declspec] = ACTIONS(1298),
    [anon_sym___cdecl] = ACTIONS(1298),
    [anon_sym___clrcall] = ACTIONS(1298),
    [anon_sym___stdcall] = ACTIONS(1298),
    [anon_sym___fastcall] = ACTIONS(1298),
    [anon_sym___thiscall] = ACTIONS(1298),
    [anon_sym___vectorcall] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [anon_sym_signed] = ACTIONS(1298),
    [anon_sym_unsigned] = ACTIONS(1298),
    [anon_sym_long] = ACTIONS(1298),
    [anon_sym_short] = ACTIONS(1298),
    [anon_sym_static] = ACTIONS(1298),
    [anon_sym_auto] = ACTIONS(1298),
    [anon_sym_register] = ACTIONS(1298),
    [anon_sym_inline] = ACTIONS(1298),
    [anon_sym___inline] = ACTIONS(1298),
    [anon_sym___inline__] = ACTIONS(1298),
    [anon_sym___forceinline] = ACTIONS(1298),
    [anon_sym_thread_local] = ACTIONS(1298),
    [anon_sym___thread] = ACTIONS(1298),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_constexpr] = ACTIONS(1298),
    [anon_sym_volatile] = ACTIONS(1298),
    [anon_sym_restrict] = ACTIONS(1298),
    [anon_sym___restrict__] = ACTIONS(1298),
    [anon_sym__Atomic] = ACTIONS(1298),
    [anon_sym__Noreturn] = ACTIONS(1298),
    [anon_sym_noreturn] = ACTIONS(1298),
    [sym_primitive_type] = ACTIONS(1298),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_struct] = ACTIONS(1298),
    [anon_sym_union] = ACTIONS(1298),
    [anon_sym_if] = ACTIONS(1298),
    [anon_sym_else] = ACTIONS(1298),
    [anon_sym_switch] = ACTIONS(1298),
    [anon_sym_case] = ACTIONS(1298),
    [anon_sym_default] = ACTIONS(1298),
    [anon_sym_while] = ACTIONS(1298),
    [anon_sym_do] = ACTIONS(1298),
    [anon_sym_for] = ACTIONS(1298),
    [anon_sym_return] = ACTIONS(1298),
    [anon_sym_break] = ACTIONS(1298),
    [anon_sym_continue] = ACTIONS(1298),
    [anon_sym_goto] = ACTIONS(1298),
    [anon_sym___try] = ACTIONS(1298),
    [anon_sym___leave] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_sizeof] = ACTIONS(1298),
    [anon_sym___alignof__] = ACTIONS(1298),
    [anon_sym___alignof] = ACTIONS(1298),
    [anon_sym__alignof] = ACTIONS(1298),
    [anon_sym_alignof] = ACTIONS(1298),
    [anon_sym__Alignof] = ACTIONS(1298),
    [anon_sym_offsetof] = ACTIONS(1298),
    [anon_sym__Generic] = ACTIONS(1298),
    [anon_sym_asm] = ACTIONS(1298),
    [anon_sym___asm__] = ACTIONS(1298),
    [sym_number_literal] = ACTIONS(1300),
    [anon_sym_L_SQUOTE] = ACTIONS(1300),
    [anon_sym_u_SQUOTE] = ACTIONS(1300),
    [anon_sym_U_SQUOTE] = ACTIONS(1300),
    [anon_sym_u8_SQUOTE] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_L_DQUOTE] = ACTIONS(1300),
    [anon_sym_u_DQUOTE] = ACTIONS(1300),
    [anon_sym_U_DQUOTE] = ACTIONS(1300),
    [anon_sym_u8_DQUOTE] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [sym_true] = ACTIONS(1298),
    [sym_false] = ACTIONS(1298),
    [anon_sym_NULL] = ACTIONS(1298),
    [anon_sym_nullptr] = ACTIONS(1298),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_identifier] = ACTIONS(1354),
    [aux_sym_preproc_include_token1] = ACTIONS(1354),
    [aux_sym_preproc_def_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1354),
    [sym_preproc_directive] = ACTIONS(1354),
    [anon_sym_LPAREN2] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_STAR] = ACTIONS(1356),
    [anon_sym_AMP] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1356),
    [anon_sym___extension__] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1354),
    [anon_sym_extern] = ACTIONS(1354),
    [anon_sym___attribute__] = ACTIONS(1354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1356),
    [anon_sym___declspec] = ACTIONS(1354),
    [anon_sym___cdecl] = ACTIONS(1354),
    [anon_sym___clrcall] = ACTIONS(1354),
    [anon_sym___stdcall] = ACTIONS(1354),
    [anon_sym___fastcall] = ACTIONS(1354),
    [anon_sym___thiscall] = ACTIONS(1354),
    [anon_sym___vectorcall] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [anon_sym_signed] = ACTIONS(1354),
    [anon_sym_unsigned] = ACTIONS(1354),
    [anon_sym_long] = ACTIONS(1354),
    [anon_sym_short] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1354),
    [anon_sym_auto] = ACTIONS(1354),
    [anon_sym_register] = ACTIONS(1354),
    [anon_sym_inline] = ACTIONS(1354),
    [anon_sym___inline] = ACTIONS(1354),
    [anon_sym___inline__] = ACTIONS(1354),
    [anon_sym___forceinline] = ACTIONS(1354),
    [anon_sym_thread_local] = ACTIONS(1354),
    [anon_sym___thread] = ACTIONS(1354),
    [anon_sym_const] = ACTIONS(1354),
    [anon_sym_constexpr] = ACTIONS(1354),
    [anon_sym_volatile] = ACTIONS(1354),
    [anon_sym_restrict] = ACTIONS(1354),
    [anon_sym___restrict__] = ACTIONS(1354),
    [anon_sym__Atomic] = ACTIONS(1354),
    [anon_sym__Noreturn] = ACTIONS(1354),
    [anon_sym_noreturn] = ACTIONS(1354),
    [sym_primitive_type] = ACTIONS(1354),
    [anon_sym_enum] = ACTIONS(1354),
    [anon_sym_struct] = ACTIONS(1354),
    [anon_sym_union] = ACTIONS(1354),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_else] = ACTIONS(1354),
    [anon_sym_switch] = ACTIONS(1354),
    [anon_sym_case] = ACTIONS(1354),
    [anon_sym_default] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1354),
    [anon_sym_do] = ACTIONS(1354),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1354),
    [anon_sym_break] = ACTIONS(1354),
    [anon_sym_continue] = ACTIONS(1354),
    [anon_sym_goto] = ACTIONS(1354),
    [anon_sym___try] = ACTIONS(1354),
    [anon_sym___leave] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_sizeof] = ACTIONS(1354),
    [anon_sym___alignof__] = ACTIONS(1354),
    [anon_sym___alignof] = ACTIONS(1354),
    [anon_sym__alignof] = ACTIONS(1354),
    [anon_sym_alignof] = ACTIONS(1354),
    [anon_sym__Alignof] = ACTIONS(1354),
    [anon_sym_offsetof] = ACTIONS(1354),
    [anon_sym__Generic] = ACTIONS(1354),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym___asm__] = ACTIONS(1354),
    [sym_number_literal] = ACTIONS(1356),
    [anon_sym_L_SQUOTE] = ACTIONS(1356),
    [anon_sym_u_SQUOTE] = ACTIONS(1356),
    [anon_sym_U_SQUOTE] = ACTIONS(1356),
    [anon_sym_u8_SQUOTE] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_L_DQUOTE] = ACTIONS(1356),
    [anon_sym_u_DQUOTE] = ACTIONS(1356),
    [anon_sym_U_DQUOTE] = ACTIONS(1356),
    [anon_sym_u8_DQUOTE] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_NULL] = ACTIONS(1354),
    [anon_sym_nullptr] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_identifier] = ACTIONS(1358),
    [aux_sym_preproc_include_token1] = ACTIONS(1358),
    [aux_sym_preproc_def_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1358),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1358),
    [anon_sym_extern] = ACTIONS(1358),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1360),
    [anon_sym___declspec] = ACTIONS(1358),
    [anon_sym___cdecl] = ACTIONS(1358),
    [anon_sym___clrcall] = ACTIONS(1358),
    [anon_sym___stdcall] = ACTIONS(1358),
    [anon_sym___fastcall] = ACTIONS(1358),
    [anon_sym___thiscall] = ACTIONS(1358),
    [anon_sym___vectorcall] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1358),
    [anon_sym_unsigned] = ACTIONS(1358),
    [anon_sym_long] = ACTIONS(1358),
    [anon_sym_short] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1358),
    [anon_sym_auto] = ACTIONS(1358),
    [anon_sym_register] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1358),
    [anon_sym___inline] = ACTIONS(1358),
    [anon_sym___inline__] = ACTIONS(1358),
    [anon_sym___forceinline] = ACTIONS(1358),
    [anon_sym_thread_local] = ACTIONS(1358),
    [anon_sym___thread] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_constexpr] = ACTIONS(1358),
    [anon_sym_volatile] = ACTIONS(1358),
    [anon_sym_restrict] = ACTIONS(1358),
    [anon_sym___restrict__] = ACTIONS(1358),
    [anon_sym__Atomic] = ACTIONS(1358),
    [anon_sym__Noreturn] = ACTIONS(1358),
    [anon_sym_noreturn] = ACTIONS(1358),
    [sym_primitive_type] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_else] = ACTIONS(1358),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1358),
    [anon_sym_default] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1358),
    [anon_sym_do] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym___try] = ACTIONS(1358),
    [anon_sym___leave] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1358),
    [anon_sym___alignof__] = ACTIONS(1358),
    [anon_sym___alignof] = ACTIONS(1358),
    [anon_sym__alignof] = ACTIONS(1358),
    [anon_sym_alignof] = ACTIONS(1358),
    [anon_sym__Alignof] = ACTIONS(1358),
    [anon_sym_offsetof] = ACTIONS(1358),
    [anon_sym__Generic] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1360),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1358),
    [anon_sym_nullptr] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_identifier] = ACTIONS(1362),
    [aux_sym_preproc_include_token1] = ACTIONS(1362),
    [aux_sym_preproc_def_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1362),
    [sym_preproc_directive] = ACTIONS(1362),
    [anon_sym_LPAREN2] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [anon_sym___extension__] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1362),
    [anon_sym_extern] = ACTIONS(1362),
    [anon_sym___attribute__] = ACTIONS(1362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1364),
    [anon_sym___declspec] = ACTIONS(1362),
    [anon_sym___cdecl] = ACTIONS(1362),
    [anon_sym___clrcall] = ACTIONS(1362),
    [anon_sym___stdcall] = ACTIONS(1362),
    [anon_sym___fastcall] = ACTIONS(1362),
    [anon_sym___thiscall] = ACTIONS(1362),
    [anon_sym___vectorcall] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [anon_sym_signed] = ACTIONS(1362),
    [anon_sym_unsigned] = ACTIONS(1362),
    [anon_sym_long] = ACTIONS(1362),
    [anon_sym_short] = ACTIONS(1362),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_auto] = ACTIONS(1362),
    [anon_sym_register] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(1362),
    [anon_sym___inline] = ACTIONS(1362),
    [anon_sym___inline__] = ACTIONS(1362),
    [anon_sym___forceinline] = ACTIONS(1362),
    [anon_sym_thread_local] = ACTIONS(1362),
    [anon_sym___thread] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(1362),
    [anon_sym_constexpr] = ACTIONS(1362),
    [anon_sym_volatile] = ACTIONS(1362),
    [anon_sym_restrict] = ACTIONS(1362),
    [anon_sym___restrict__] = ACTIONS(1362),
    [anon_sym__Atomic] = ACTIONS(1362),
    [anon_sym__Noreturn] = ACTIONS(1362),
    [anon_sym_noreturn] = ACTIONS(1362),
    [sym_primitive_type] = ACTIONS(1362),
    [anon_sym_enum] = ACTIONS(1362),
    [anon_sym_struct] = ACTIONS(1362),
    [anon_sym_union] = ACTIONS(1362),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_else] = ACTIONS(1362),
    [anon_sym_switch] = ACTIONS(1362),
    [anon_sym_case] = ACTIONS(1362),
    [anon_sym_default] = ACTIONS(1362),
    [anon_sym_while] = ACTIONS(1362),
    [anon_sym_do] = ACTIONS(1362),
    [anon_sym_for] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_continue] = ACTIONS(1362),
    [anon_sym_goto] = ACTIONS(1362),
    [anon_sym___try] = ACTIONS(1362),
    [anon_sym___leave] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(1362),
    [anon_sym___alignof] = ACTIONS(1362),
    [anon_sym__alignof] = ACTIONS(1362),
    [anon_sym_alignof] = ACTIONS(1362),
    [anon_sym__Alignof] = ACTIONS(1362),
    [anon_sym_offsetof] = ACTIONS(1362),
    [anon_sym__Generic] = ACTIONS(1362),
    [anon_sym_asm] = ACTIONS(1362),
    [anon_sym___asm__] = ACTIONS(1362),
    [sym_number_literal] = ACTIONS(1364),
    [anon_sym_L_SQUOTE] = ACTIONS(1364),
    [anon_sym_u_SQUOTE] = ACTIONS(1364),
    [anon_sym_U_SQUOTE] = ACTIONS(1364),
    [anon_sym_u8_SQUOTE] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_L_DQUOTE] = ACTIONS(1364),
    [anon_sym_u_DQUOTE] = ACTIONS(1364),
    [anon_sym_U_DQUOTE] = ACTIONS(1364),
    [anon_sym_u8_DQUOTE] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_NULL] = ACTIONS(1362),
    [anon_sym_nullptr] = ACTIONS(1362),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [ts_builtin_sym_end] = ACTIONS(1336),
    [sym_identifier] = ACTIONS(1334),
    [aux_sym_preproc_include_token1] = ACTIONS(1334),
    [aux_sym_preproc_def_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1334),
    [anon_sym_LPAREN2] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1336),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1336),
    [anon_sym___extension__] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1334),
    [anon_sym_extern] = ACTIONS(1334),
    [anon_sym___attribute__] = ACTIONS(1334),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1336),
    [anon_sym___declspec] = ACTIONS(1334),
    [anon_sym___cdecl] = ACTIONS(1334),
    [anon_sym___clrcall] = ACTIONS(1334),
    [anon_sym___stdcall] = ACTIONS(1334),
    [anon_sym___fastcall] = ACTIONS(1334),
    [anon_sym___thiscall] = ACTIONS(1334),
    [anon_sym___vectorcall] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1334),
    [anon_sym_unsigned] = ACTIONS(1334),
    [anon_sym_long] = ACTIONS(1334),
    [anon_sym_short] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1334),
    [anon_sym_auto] = ACTIONS(1334),
    [anon_sym_register] = ACTIONS(1334),
    [anon_sym_inline] = ACTIONS(1334),
    [anon_sym___inline] = ACTIONS(1334),
    [anon_sym___inline__] = ACTIONS(1334),
    [anon_sym___forceinline] = ACTIONS(1334),
    [anon_sym_thread_local] = ACTIONS(1334),
    [anon_sym___thread] = ACTIONS(1334),
    [anon_sym_const] = ACTIONS(1334),
    [anon_sym_constexpr] = ACTIONS(1334),
    [anon_sym_volatile] = ACTIONS(1334),
    [anon_sym_restrict] = ACTIONS(1334),
    [anon_sym___restrict__] = ACTIONS(1334),
    [anon_sym__Atomic] = ACTIONS(1334),
    [anon_sym__Noreturn] = ACTIONS(1334),
    [anon_sym_noreturn] = ACTIONS(1334),
    [sym_primitive_type] = ACTIONS(1334),
    [anon_sym_enum] = ACTIONS(1334),
    [anon_sym_struct] = ACTIONS(1334),
    [anon_sym_union] = ACTIONS(1334),
    [anon_sym_if] = ACTIONS(1334),
    [anon_sym_else] = ACTIONS(1334),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_case] = ACTIONS(1334),
    [anon_sym_default] = ACTIONS(1334),
    [anon_sym_while] = ACTIONS(1334),
    [anon_sym_do] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1334),
    [anon_sym_return] = ACTIONS(1334),
    [anon_sym_break] = ACTIONS(1334),
    [anon_sym_continue] = ACTIONS(1334),
    [anon_sym_goto] = ACTIONS(1334),
    [anon_sym___try] = ACTIONS(1334),
    [anon_sym___leave] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [anon_sym_sizeof] = ACTIONS(1334),
    [anon_sym___alignof__] = ACTIONS(1334),
    [anon_sym___alignof] = ACTIONS(1334),
    [anon_sym__alignof] = ACTIONS(1334),
    [anon_sym_alignof] = ACTIONS(1334),
    [anon_sym__Alignof] = ACTIONS(1334),
    [anon_sym_offsetof] = ACTIONS(1334),
    [anon_sym__Generic] = ACTIONS(1334),
    [anon_sym_asm] = ACTIONS(1334),
    [anon_sym___asm__] = ACTIONS(1334),
    [sym_number_literal] = ACTIONS(1336),
    [anon_sym_L_SQUOTE] = ACTIONS(1336),
    [anon_sym_u_SQUOTE] = ACTIONS(1336),
    [anon_sym_U_SQUOTE] = ACTIONS(1336),
    [anon_sym_u8_SQUOTE] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_L_DQUOTE] = ACTIONS(1336),
    [anon_sym_u_DQUOTE] = ACTIONS(1336),
    [anon_sym_U_DQUOTE] = ACTIONS(1336),
    [anon_sym_u8_DQUOTE] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [sym_true] = ACTIONS(1334),
    [sym_false] = ACTIONS(1334),
    [anon_sym_NULL] = ACTIONS(1334),
    [anon_sym_nullptr] = ACTIONS(1334),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_identifier] = ACTIONS(1366),
    [aux_sym_preproc_include_token1] = ACTIONS(1366),
    [aux_sym_preproc_def_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1366),
    [sym_preproc_directive] = ACTIONS(1366),
    [anon_sym_LPAREN2] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym___extension__] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1366),
    [anon_sym_extern] = ACTIONS(1366),
    [anon_sym___attribute__] = ACTIONS(1366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1368),
    [anon_sym___declspec] = ACTIONS(1366),
    [anon_sym___cdecl] = ACTIONS(1366),
    [anon_sym___clrcall] = ACTIONS(1366),
    [anon_sym___stdcall] = ACTIONS(1366),
    [anon_sym___fastcall] = ACTIONS(1366),
    [anon_sym___thiscall] = ACTIONS(1366),
    [anon_sym___vectorcall] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [anon_sym_signed] = ACTIONS(1366),
    [anon_sym_unsigned] = ACTIONS(1366),
    [anon_sym_long] = ACTIONS(1366),
    [anon_sym_short] = ACTIONS(1366),
    [anon_sym_static] = ACTIONS(1366),
    [anon_sym_auto] = ACTIONS(1366),
    [anon_sym_register] = ACTIONS(1366),
    [anon_sym_inline] = ACTIONS(1366),
    [anon_sym___inline] = ACTIONS(1366),
    [anon_sym___inline__] = ACTIONS(1366),
    [anon_sym___forceinline] = ACTIONS(1366),
    [anon_sym_thread_local] = ACTIONS(1366),
    [anon_sym___thread] = ACTIONS(1366),
    [anon_sym_const] = ACTIONS(1366),
    [anon_sym_constexpr] = ACTIONS(1366),
    [anon_sym_volatile] = ACTIONS(1366),
    [anon_sym_restrict] = ACTIONS(1366),
    [anon_sym___restrict__] = ACTIONS(1366),
    [anon_sym__Atomic] = ACTIONS(1366),
    [anon_sym__Noreturn] = ACTIONS(1366),
    [anon_sym_noreturn] = ACTIONS(1366),
    [sym_primitive_type] = ACTIONS(1366),
    [anon_sym_enum] = ACTIONS(1366),
    [anon_sym_struct] = ACTIONS(1366),
    [anon_sym_union] = ACTIONS(1366),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_else] = ACTIONS(1366),
    [anon_sym_switch] = ACTIONS(1366),
    [anon_sym_case] = ACTIONS(1366),
    [anon_sym_default] = ACTIONS(1366),
    [anon_sym_while] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1366),
    [anon_sym_for] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_break] = ACTIONS(1366),
    [anon_sym_continue] = ACTIONS(1366),
    [anon_sym_goto] = ACTIONS(1366),
    [anon_sym___try] = ACTIONS(1366),
    [anon_sym___leave] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_sizeof] = ACTIONS(1366),
    [anon_sym___alignof__] = ACTIONS(1366),
    [anon_sym___alignof] = ACTIONS(1366),
    [anon_sym__alignof] = ACTIONS(1366),
    [anon_sym_alignof] = ACTIONS(1366),
    [anon_sym__Alignof] = ACTIONS(1366),
    [anon_sym_offsetof] = ACTIONS(1366),
    [anon_sym__Generic] = ACTIONS(1366),
    [anon_sym_asm] = ACTIONS(1366),
    [anon_sym___asm__] = ACTIONS(1366),
    [sym_number_literal] = ACTIONS(1368),
    [anon_sym_L_SQUOTE] = ACTIONS(1368),
    [anon_sym_u_SQUOTE] = ACTIONS(1368),
    [anon_sym_U_SQUOTE] = ACTIONS(1368),
    [anon_sym_u8_SQUOTE] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_L_DQUOTE] = ACTIONS(1368),
    [anon_sym_u_DQUOTE] = ACTIONS(1368),
    [anon_sym_U_DQUOTE] = ACTIONS(1368),
    [anon_sym_u8_DQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_NULL] = ACTIONS(1366),
    [anon_sym_nullptr] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_identifier] = ACTIONS(1338),
    [aux_sym_preproc_include_token1] = ACTIONS(1338),
    [aux_sym_preproc_def_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1338),
    [sym_preproc_directive] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1338),
    [anon_sym_extern] = ACTIONS(1338),
    [anon_sym___attribute__] = ACTIONS(1338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1340),
    [anon_sym___declspec] = ACTIONS(1338),
    [anon_sym___cdecl] = ACTIONS(1338),
    [anon_sym___clrcall] = ACTIONS(1338),
    [anon_sym___stdcall] = ACTIONS(1338),
    [anon_sym___fastcall] = ACTIONS(1338),
    [anon_sym___thiscall] = ACTIONS(1338),
    [anon_sym___vectorcall] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1338),
    [anon_sym_unsigned] = ACTIONS(1338),
    [anon_sym_long] = ACTIONS(1338),
    [anon_sym_short] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1338),
    [anon_sym_auto] = ACTIONS(1338),
    [anon_sym_register] = ACTIONS(1338),
    [anon_sym_inline] = ACTIONS(1338),
    [anon_sym___inline] = ACTIONS(1338),
    [anon_sym___inline__] = ACTIONS(1338),
    [anon_sym___forceinline] = ACTIONS(1338),
    [anon_sym_thread_local] = ACTIONS(1338),
    [anon_sym___thread] = ACTIONS(1338),
    [anon_sym_const] = ACTIONS(1338),
    [anon_sym_constexpr] = ACTIONS(1338),
    [anon_sym_volatile] = ACTIONS(1338),
    [anon_sym_restrict] = ACTIONS(1338),
    [anon_sym___restrict__] = ACTIONS(1338),
    [anon_sym__Atomic] = ACTIONS(1338),
    [anon_sym__Noreturn] = ACTIONS(1338),
    [anon_sym_noreturn] = ACTIONS(1338),
    [sym_primitive_type] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1338),
    [anon_sym_struct] = ACTIONS(1338),
    [anon_sym_union] = ACTIONS(1338),
    [anon_sym_if] = ACTIONS(1338),
    [anon_sym_else] = ACTIONS(1338),
    [anon_sym_switch] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(1338),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_do] = ACTIONS(1338),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1338),
    [anon_sym_continue] = ACTIONS(1338),
    [anon_sym_goto] = ACTIONS(1338),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_sizeof] = ACTIONS(1338),
    [anon_sym___alignof__] = ACTIONS(1338),
    [anon_sym___alignof] = ACTIONS(1338),
    [anon_sym__alignof] = ACTIONS(1338),
    [anon_sym_alignof] = ACTIONS(1338),
    [anon_sym__Alignof] = ACTIONS(1338),
    [anon_sym_offsetof] = ACTIONS(1338),
    [anon_sym__Generic] = ACTIONS(1338),
    [anon_sym_asm] = ACTIONS(1338),
    [anon_sym___asm__] = ACTIONS(1338),
    [sym_number_literal] = ACTIONS(1340),
    [anon_sym_L_SQUOTE] = ACTIONS(1340),
    [anon_sym_u_SQUOTE] = ACTIONS(1340),
    [anon_sym_U_SQUOTE] = ACTIONS(1340),
    [anon_sym_u8_SQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1338),
    [sym_false] = ACTIONS(1338),
    [anon_sym_NULL] = ACTIONS(1338),
    [anon_sym_nullptr] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym___extension__] = ACTIONS(1308),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym___inline] = ACTIONS(1308),
    [anon_sym___inline__] = ACTIONS(1308),
    [anon_sym___forceinline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym___thread] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_else] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym___try] = ACTIONS(1308),
    [anon_sym___leave] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym___alignof__] = ACTIONS(1308),
    [anon_sym___alignof] = ACTIONS(1308),
    [anon_sym__alignof] = ACTIONS(1308),
    [anon_sym_alignof] = ACTIONS(1308),
    [anon_sym__Alignof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_identifier] = ACTIONS(1302),
    [aux_sym_preproc_include_token1] = ACTIONS(1302),
    [aux_sym_preproc_def_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1302),
    [sym_preproc_directive] = ACTIONS(1302),
    [anon_sym_LPAREN2] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1304),
    [anon_sym_AMP] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1304),
    [anon_sym___extension__] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1302),
    [anon_sym_extern] = ACTIONS(1302),
    [anon_sym___attribute__] = ACTIONS(1302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1304),
    [anon_sym___declspec] = ACTIONS(1302),
    [anon_sym___cdecl] = ACTIONS(1302),
    [anon_sym___clrcall] = ACTIONS(1302),
    [anon_sym___stdcall] = ACTIONS(1302),
    [anon_sym___fastcall] = ACTIONS(1302),
    [anon_sym___thiscall] = ACTIONS(1302),
    [anon_sym___vectorcall] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_signed] = ACTIONS(1302),
    [anon_sym_unsigned] = ACTIONS(1302),
    [anon_sym_long] = ACTIONS(1302),
    [anon_sym_short] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1302),
    [anon_sym_auto] = ACTIONS(1302),
    [anon_sym_register] = ACTIONS(1302),
    [anon_sym_inline] = ACTIONS(1302),
    [anon_sym___inline] = ACTIONS(1302),
    [anon_sym___inline__] = ACTIONS(1302),
    [anon_sym___forceinline] = ACTIONS(1302),
    [anon_sym_thread_local] = ACTIONS(1302),
    [anon_sym___thread] = ACTIONS(1302),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_constexpr] = ACTIONS(1302),
    [anon_sym_volatile] = ACTIONS(1302),
    [anon_sym_restrict] = ACTIONS(1302),
    [anon_sym___restrict__] = ACTIONS(1302),
    [anon_sym__Atomic] = ACTIONS(1302),
    [anon_sym__Noreturn] = ACTIONS(1302),
    [anon_sym_noreturn] = ACTIONS(1302),
    [sym_primitive_type] = ACTIONS(1302),
    [anon_sym_enum] = ACTIONS(1302),
    [anon_sym_struct] = ACTIONS(1302),
    [anon_sym_union] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1302),
    [anon_sym_else] = ACTIONS(1302),
    [anon_sym_switch] = ACTIONS(1302),
    [anon_sym_case] = ACTIONS(1302),
    [anon_sym_default] = ACTIONS(1302),
    [anon_sym_while] = ACTIONS(1302),
    [anon_sym_do] = ACTIONS(1302),
    [anon_sym_for] = ACTIONS(1302),
    [anon_sym_return] = ACTIONS(1302),
    [anon_sym_break] = ACTIONS(1302),
    [anon_sym_continue] = ACTIONS(1302),
    [anon_sym_goto] = ACTIONS(1302),
    [anon_sym___try] = ACTIONS(1302),
    [anon_sym___leave] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [anon_sym_sizeof] = ACTIONS(1302),
    [anon_sym___alignof__] = ACTIONS(1302),
    [anon_sym___alignof] = ACTIONS(1302),
    [anon_sym__alignof] = ACTIONS(1302),
    [anon_sym_alignof] = ACTIONS(1302),
    [anon_sym__Alignof] = ACTIONS(1302),
    [anon_sym_offsetof] = ACTIONS(1302),
    [anon_sym__Generic] = ACTIONS(1302),
    [anon_sym_asm] = ACTIONS(1302),
    [anon_sym___asm__] = ACTIONS(1302),
    [sym_number_literal] = ACTIONS(1304),
    [anon_sym_L_SQUOTE] = ACTIONS(1304),
    [anon_sym_u_SQUOTE] = ACTIONS(1304),
    [anon_sym_U_SQUOTE] = ACTIONS(1304),
    [anon_sym_u8_SQUOTE] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_L_DQUOTE] = ACTIONS(1304),
    [anon_sym_u_DQUOTE] = ACTIONS(1304),
    [anon_sym_U_DQUOTE] = ACTIONS(1304),
    [anon_sym_u8_DQUOTE] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [sym_true] = ACTIONS(1302),
    [sym_false] = ACTIONS(1302),
    [anon_sym_NULL] = ACTIONS(1302),
    [anon_sym_nullptr] = ACTIONS(1302),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym___extension__] = ACTIONS(1398),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym___inline] = ACTIONS(1398),
    [anon_sym___inline__] = ACTIONS(1398),
    [anon_sym___forceinline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym___thread] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_else] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym___try] = ACTIONS(1398),
    [anon_sym___leave] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym___alignof__] = ACTIONS(1398),
    [anon_sym___alignof] = ACTIONS(1398),
    [anon_sym__alignof] = ACTIONS(1398),
    [anon_sym_alignof] = ACTIONS(1398),
    [anon_sym__Alignof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_identifier] = ACTIONS(1370),
    [aux_sym_preproc_include_token1] = ACTIONS(1370),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1370),
    [sym_preproc_directive] = ACTIONS(1370),
    [anon_sym_LPAREN2] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1372),
    [anon_sym___extension__] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1370),
    [anon_sym_extern] = ACTIONS(1370),
    [anon_sym___attribute__] = ACTIONS(1370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1372),
    [anon_sym___declspec] = ACTIONS(1370),
    [anon_sym___cdecl] = ACTIONS(1370),
    [anon_sym___clrcall] = ACTIONS(1370),
    [anon_sym___stdcall] = ACTIONS(1370),
    [anon_sym___fastcall] = ACTIONS(1370),
    [anon_sym___thiscall] = ACTIONS(1370),
    [anon_sym___vectorcall] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_signed] = ACTIONS(1370),
    [anon_sym_unsigned] = ACTIONS(1370),
    [anon_sym_long] = ACTIONS(1370),
    [anon_sym_short] = ACTIONS(1370),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_auto] = ACTIONS(1370),
    [anon_sym_register] = ACTIONS(1370),
    [anon_sym_inline] = ACTIONS(1370),
    [anon_sym___inline] = ACTIONS(1370),
    [anon_sym___inline__] = ACTIONS(1370),
    [anon_sym___forceinline] = ACTIONS(1370),
    [anon_sym_thread_local] = ACTIONS(1370),
    [anon_sym___thread] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1370),
    [anon_sym_constexpr] = ACTIONS(1370),
    [anon_sym_volatile] = ACTIONS(1370),
    [anon_sym_restrict] = ACTIONS(1370),
    [anon_sym___restrict__] = ACTIONS(1370),
    [anon_sym__Atomic] = ACTIONS(1370),
    [anon_sym__Noreturn] = ACTIONS(1370),
    [anon_sym_noreturn] = ACTIONS(1370),
    [sym_primitive_type] = ACTIONS(1370),
    [anon_sym_enum] = ACTIONS(1370),
    [anon_sym_struct] = ACTIONS(1370),
    [anon_sym_union] = ACTIONS(1370),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_else] = ACTIONS(1370),
    [anon_sym_switch] = ACTIONS(1370),
    [anon_sym_case] = ACTIONS(1370),
    [anon_sym_default] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_do] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1370),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1370),
    [anon_sym_continue] = ACTIONS(1370),
    [anon_sym_goto] = ACTIONS(1370),
    [anon_sym___try] = ACTIONS(1370),
    [anon_sym___leave] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_sizeof] = ACTIONS(1370),
    [anon_sym___alignof__] = ACTIONS(1370),
    [anon_sym___alignof] = ACTIONS(1370),
    [anon_sym__alignof] = ACTIONS(1370),
    [anon_sym_alignof] = ACTIONS(1370),
    [anon_sym__Alignof] = ACTIONS(1370),
    [anon_sym_offsetof] = ACTIONS(1370),
    [anon_sym__Generic] = ACTIONS(1370),
    [anon_sym_asm] = ACTIONS(1370),
    [anon_sym___asm__] = ACTIONS(1370),
    [sym_number_literal] = ACTIONS(1372),
    [anon_sym_L_SQUOTE] = ACTIONS(1372),
    [anon_sym_u_SQUOTE] = ACTIONS(1372),
    [anon_sym_U_SQUOTE] = ACTIONS(1372),
    [anon_sym_u8_SQUOTE] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_L_DQUOTE] = ACTIONS(1372),
    [anon_sym_u_DQUOTE] = ACTIONS(1372),
    [anon_sym_U_DQUOTE] = ACTIONS(1372),
    [anon_sym_u8_DQUOTE] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_NULL] = ACTIONS(1370),
    [anon_sym_nullptr] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [ts_builtin_sym_end] = ACTIONS(1316),
    [sym_identifier] = ACTIONS(1314),
    [aux_sym_preproc_include_token1] = ACTIONS(1314),
    [aux_sym_preproc_def_token1] = ACTIONS(1314),
    [aux_sym_preproc_if_token1] = ACTIONS(1314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1314),
    [sym_preproc_directive] = ACTIONS(1314),
    [anon_sym_LPAREN2] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1316),
    [anon_sym_AMP] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1316),
    [anon_sym___extension__] = ACTIONS(1314),
    [anon_sym_typedef] = ACTIONS(1314),
    [anon_sym_extern] = ACTIONS(1314),
    [anon_sym___attribute__] = ACTIONS(1314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1316),
    [anon_sym___declspec] = ACTIONS(1314),
    [anon_sym___cdecl] = ACTIONS(1314),
    [anon_sym___clrcall] = ACTIONS(1314),
    [anon_sym___stdcall] = ACTIONS(1314),
    [anon_sym___fastcall] = ACTIONS(1314),
    [anon_sym___thiscall] = ACTIONS(1314),
    [anon_sym___vectorcall] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_signed] = ACTIONS(1314),
    [anon_sym_unsigned] = ACTIONS(1314),
    [anon_sym_long] = ACTIONS(1314),
    [anon_sym_short] = ACTIONS(1314),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_auto] = ACTIONS(1314),
    [anon_sym_register] = ACTIONS(1314),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym___inline] = ACTIONS(1314),
    [anon_sym___inline__] = ACTIONS(1314),
    [anon_sym___forceinline] = ACTIONS(1314),
    [anon_sym_thread_local] = ACTIONS(1314),
    [anon_sym___thread] = ACTIONS(1314),
    [anon_sym_const] = ACTIONS(1314),
    [anon_sym_constexpr] = ACTIONS(1314),
    [anon_sym_volatile] = ACTIONS(1314),
    [anon_sym_restrict] = ACTIONS(1314),
    [anon_sym___restrict__] = ACTIONS(1314),
    [anon_sym__Atomic] = ACTIONS(1314),
    [anon_sym__Noreturn] = ACTIONS(1314),
    [anon_sym_noreturn] = ACTIONS(1314),
    [sym_primitive_type] = ACTIONS(1314),
    [anon_sym_enum] = ACTIONS(1314),
    [anon_sym_struct] = ACTIONS(1314),
    [anon_sym_union] = ACTIONS(1314),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_else] = ACTIONS(1314),
    [anon_sym_switch] = ACTIONS(1314),
    [anon_sym_case] = ACTIONS(1314),
    [anon_sym_default] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1314),
    [anon_sym_do] = ACTIONS(1314),
    [anon_sym_for] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1314),
    [anon_sym_break] = ACTIONS(1314),
    [anon_sym_continue] = ACTIONS(1314),
    [anon_sym_goto] = ACTIONS(1314),
    [anon_sym___try] = ACTIONS(1314),
    [anon_sym___leave] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [anon_sym_sizeof] = ACTIONS(1314),
    [anon_sym___alignof__] = ACTIONS(1314),
    [anon_sym___alignof] = ACTIONS(1314),
    [anon_sym__alignof] = ACTIONS(1314),
    [anon_sym_alignof] = ACTIONS(1314),
    [anon_sym__Alignof] = ACTIONS(1314),
    [anon_sym_offsetof] = ACTIONS(1314),
    [anon_sym__Generic] = ACTIONS(1314),
    [anon_sym_asm] = ACTIONS(1314),
    [anon_sym___asm__] = ACTIONS(1314),
    [sym_number_literal] = ACTIONS(1316),
    [anon_sym_L_SQUOTE] = ACTIONS(1316),
    [anon_sym_u_SQUOTE] = ACTIONS(1316),
    [anon_sym_U_SQUOTE] = ACTIONS(1316),
    [anon_sym_u8_SQUOTE] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_L_DQUOTE] = ACTIONS(1316),
    [anon_sym_u_DQUOTE] = ACTIONS(1316),
    [anon_sym_U_DQUOTE] = ACTIONS(1316),
    [anon_sym_u8_DQUOTE] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [sym_true] = ACTIONS(1314),
    [sym_false] = ACTIONS(1314),
    [anon_sym_NULL] = ACTIONS(1314),
    [anon_sym_nullptr] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_identifier] = ACTIONS(1318),
    [aux_sym_preproc_include_token1] = ACTIONS(1318),
    [aux_sym_preproc_def_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1318),
    [sym_preproc_directive] = ACTIONS(1318),
    [anon_sym_LPAREN2] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym___extension__] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1318),
    [anon_sym_extern] = ACTIONS(1318),
    [anon_sym___attribute__] = ACTIONS(1318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1320),
    [anon_sym___declspec] = ACTIONS(1318),
    [anon_sym___cdecl] = ACTIONS(1318),
    [anon_sym___clrcall] = ACTIONS(1318),
    [anon_sym___stdcall] = ACTIONS(1318),
    [anon_sym___fastcall] = ACTIONS(1318),
    [anon_sym___thiscall] = ACTIONS(1318),
    [anon_sym___vectorcall] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_signed] = ACTIONS(1318),
    [anon_sym_unsigned] = ACTIONS(1318),
    [anon_sym_long] = ACTIONS(1318),
    [anon_sym_short] = ACTIONS(1318),
    [anon_sym_static] = ACTIONS(1318),
    [anon_sym_auto] = ACTIONS(1318),
    [anon_sym_register] = ACTIONS(1318),
    [anon_sym_inline] = ACTIONS(1318),
    [anon_sym___inline] = ACTIONS(1318),
    [anon_sym___inline__] = ACTIONS(1318),
    [anon_sym___forceinline] = ACTIONS(1318),
    [anon_sym_thread_local] = ACTIONS(1318),
    [anon_sym___thread] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(1318),
    [anon_sym_constexpr] = ACTIONS(1318),
    [anon_sym_volatile] = ACTIONS(1318),
    [anon_sym_restrict] = ACTIONS(1318),
    [anon_sym___restrict__] = ACTIONS(1318),
    [anon_sym__Atomic] = ACTIONS(1318),
    [anon_sym__Noreturn] = ACTIONS(1318),
    [anon_sym_noreturn] = ACTIONS(1318),
    [sym_primitive_type] = ACTIONS(1318),
    [anon_sym_enum] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1318),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_else] = ACTIONS(1318),
    [anon_sym_switch] = ACTIONS(1318),
    [anon_sym_case] = ACTIONS(1318),
    [anon_sym_default] = ACTIONS(1318),
    [anon_sym_while] = ACTIONS(1318),
    [anon_sym_do] = ACTIONS(1318),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1318),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1318),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym___try] = ACTIONS(1318),
    [anon_sym___leave] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_sizeof] = ACTIONS(1318),
    [anon_sym___alignof__] = ACTIONS(1318),
    [anon_sym___alignof] = ACTIONS(1318),
    [anon_sym__alignof] = ACTIONS(1318),
    [anon_sym_alignof] = ACTIONS(1318),
    [anon_sym__Alignof] = ACTIONS(1318),
    [anon_sym_offsetof] = ACTIONS(1318),
    [anon_sym__Generic] = ACTIONS(1318),
    [anon_sym_asm] = ACTIONS(1318),
    [anon_sym___asm__] = ACTIONS(1318),
    [sym_number_literal] = ACTIONS(1320),
    [anon_sym_L_SQUOTE] = ACTIONS(1320),
    [anon_sym_u_SQUOTE] = ACTIONS(1320),
    [anon_sym_U_SQUOTE] = ACTIONS(1320),
    [anon_sym_u8_SQUOTE] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_L_DQUOTE] = ACTIONS(1320),
    [anon_sym_u_DQUOTE] = ACTIONS(1320),
    [anon_sym_U_DQUOTE] = ACTIONS(1320),
    [anon_sym_u8_DQUOTE] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_NULL] = ACTIONS(1318),
    [anon_sym_nullptr] = ACTIONS(1318),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [ts_builtin_sym_end] = ACTIONS(1376),
    [sym_identifier] = ACTIONS(1374),
    [aux_sym_preproc_include_token1] = ACTIONS(1374),
    [aux_sym_preproc_def_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_AMP] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1376),
    [anon_sym___extension__] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1374),
    [anon_sym_extern] = ACTIONS(1374),
    [anon_sym___attribute__] = ACTIONS(1374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym___declspec] = ACTIONS(1374),
    [anon_sym___cdecl] = ACTIONS(1374),
    [anon_sym___clrcall] = ACTIONS(1374),
    [anon_sym___stdcall] = ACTIONS(1374),
    [anon_sym___fastcall] = ACTIONS(1374),
    [anon_sym___thiscall] = ACTIONS(1374),
    [anon_sym___vectorcall] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_signed] = ACTIONS(1374),
    [anon_sym_unsigned] = ACTIONS(1374),
    [anon_sym_long] = ACTIONS(1374),
    [anon_sym_short] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_auto] = ACTIONS(1374),
    [anon_sym_register] = ACTIONS(1374),
    [anon_sym_inline] = ACTIONS(1374),
    [anon_sym___inline] = ACTIONS(1374),
    [anon_sym___inline__] = ACTIONS(1374),
    [anon_sym___forceinline] = ACTIONS(1374),
    [anon_sym_thread_local] = ACTIONS(1374),
    [anon_sym___thread] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_constexpr] = ACTIONS(1374),
    [anon_sym_volatile] = ACTIONS(1374),
    [anon_sym_restrict] = ACTIONS(1374),
    [anon_sym___restrict__] = ACTIONS(1374),
    [anon_sym__Atomic] = ACTIONS(1374),
    [anon_sym__Noreturn] = ACTIONS(1374),
    [anon_sym_noreturn] = ACTIONS(1374),
    [sym_primitive_type] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_struct] = ACTIONS(1374),
    [anon_sym_union] = ACTIONS(1374),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_else] = ACTIONS(1374),
    [anon_sym_switch] = ACTIONS(1374),
    [anon_sym_case] = ACTIONS(1374),
    [anon_sym_default] = ACTIONS(1374),
    [anon_sym_while] = ACTIONS(1374),
    [anon_sym_do] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym___try] = ACTIONS(1374),
    [anon_sym___leave] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_sizeof] = ACTIONS(1374),
    [anon_sym___alignof__] = ACTIONS(1374),
    [anon_sym___alignof] = ACTIONS(1374),
    [anon_sym__alignof] = ACTIONS(1374),
    [anon_sym_alignof] = ACTIONS(1374),
    [anon_sym__Alignof] = ACTIONS(1374),
    [anon_sym_offsetof] = ACTIONS(1374),
    [anon_sym__Generic] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym___asm__] = ACTIONS(1374),
    [sym_number_literal] = ACTIONS(1376),
    [anon_sym_L_SQUOTE] = ACTIONS(1376),
    [anon_sym_u_SQUOTE] = ACTIONS(1376),
    [anon_sym_U_SQUOTE] = ACTIONS(1376),
    [anon_sym_u8_SQUOTE] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_L_DQUOTE] = ACTIONS(1376),
    [anon_sym_u_DQUOTE] = ACTIONS(1376),
    [anon_sym_U_DQUOTE] = ACTIONS(1376),
    [anon_sym_u8_DQUOTE] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_NULL] = ACTIONS(1374),
    [anon_sym_nullptr] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym___extension__] = ACTIONS(1394),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym___inline] = ACTIONS(1394),
    [anon_sym___inline__] = ACTIONS(1394),
    [anon_sym___forceinline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym___thread] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym___try] = ACTIONS(1394),
    [anon_sym___leave] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym___alignof__] = ACTIONS(1394),
    [anon_sym___alignof] = ACTIONS(1394),
    [anon_sym__alignof] = ACTIONS(1394),
    [anon_sym_alignof] = ACTIONS(1394),
    [anon_sym__Alignof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_identifier] = ACTIONS(1334),
    [aux_sym_preproc_include_token1] = ACTIONS(1334),
    [aux_sym_preproc_def_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1334),
    [anon_sym_LPAREN2] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1336),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1336),
    [anon_sym___extension__] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1334),
    [anon_sym_extern] = ACTIONS(1334),
    [anon_sym___attribute__] = ACTIONS(1334),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1336),
    [anon_sym___declspec] = ACTIONS(1334),
    [anon_sym___cdecl] = ACTIONS(1334),
    [anon_sym___clrcall] = ACTIONS(1334),
    [anon_sym___stdcall] = ACTIONS(1334),
    [anon_sym___fastcall] = ACTIONS(1334),
    [anon_sym___thiscall] = ACTIONS(1334),
    [anon_sym___vectorcall] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1334),
    [anon_sym_unsigned] = ACTIONS(1334),
    [anon_sym_long] = ACTIONS(1334),
    [anon_sym_short] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1334),
    [anon_sym_auto] = ACTIONS(1334),
    [anon_sym_register] = ACTIONS(1334),
    [anon_sym_inline] = ACTIONS(1334),
    [anon_sym___inline] = ACTIONS(1334),
    [anon_sym___inline__] = ACTIONS(1334),
    [anon_sym___forceinline] = ACTIONS(1334),
    [anon_sym_thread_local] = ACTIONS(1334),
    [anon_sym___thread] = ACTIONS(1334),
    [anon_sym_const] = ACTIONS(1334),
    [anon_sym_constexpr] = ACTIONS(1334),
    [anon_sym_volatile] = ACTIONS(1334),
    [anon_sym_restrict] = ACTIONS(1334),
    [anon_sym___restrict__] = ACTIONS(1334),
    [anon_sym__Atomic] = ACTIONS(1334),
    [anon_sym__Noreturn] = ACTIONS(1334),
    [anon_sym_noreturn] = ACTIONS(1334),
    [sym_primitive_type] = ACTIONS(1334),
    [anon_sym_enum] = ACTIONS(1334),
    [anon_sym_struct] = ACTIONS(1334),
    [anon_sym_union] = ACTIONS(1334),
    [anon_sym_if] = ACTIONS(1334),
    [anon_sym_else] = ACTIONS(1334),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_case] = ACTIONS(1334),
    [anon_sym_default] = ACTIONS(1334),
    [anon_sym_while] = ACTIONS(1334),
    [anon_sym_do] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1334),
    [anon_sym_return] = ACTIONS(1334),
    [anon_sym_break] = ACTIONS(1334),
    [anon_sym_continue] = ACTIONS(1334),
    [anon_sym_goto] = ACTIONS(1334),
    [anon_sym___try] = ACTIONS(1334),
    [anon_sym___leave] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [anon_sym_sizeof] = ACTIONS(1334),
    [anon_sym___alignof__] = ACTIONS(1334),
    [anon_sym___alignof] = ACTIONS(1334),
    [anon_sym__alignof] = ACTIONS(1334),
    [anon_sym_alignof] = ACTIONS(1334),
    [anon_sym__Alignof] = ACTIONS(1334),
    [anon_sym_offsetof] = ACTIONS(1334),
    [anon_sym__Generic] = ACTIONS(1334),
    [anon_sym_asm] = ACTIONS(1334),
    [anon_sym___asm__] = ACTIONS(1334),
    [sym_number_literal] = ACTIONS(1336),
    [anon_sym_L_SQUOTE] = ACTIONS(1336),
    [anon_sym_u_SQUOTE] = ACTIONS(1336),
    [anon_sym_U_SQUOTE] = ACTIONS(1336),
    [anon_sym_u8_SQUOTE] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_L_DQUOTE] = ACTIONS(1336),
    [anon_sym_u_DQUOTE] = ACTIONS(1336),
    [anon_sym_U_DQUOTE] = ACTIONS(1336),
    [anon_sym_u8_DQUOTE] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [sym_true] = ACTIONS(1334),
    [sym_false] = ACTIONS(1334),
    [anon_sym_NULL] = ACTIONS(1334),
    [anon_sym_nullptr] = ACTIONS(1334),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym__expression] = STATE(840),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(824),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(824),
    [sym_call_expression] = STATE(824),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(824),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(824),
    [sym_initializer_list] = STATE(798),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_identifier] = ACTIONS(1526),
    [anon_sym_COMMA] = ACTIONS(1516),
    [anon_sym_RPAREN] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1528),
    [anon_sym_TILDE] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_SLASH] = ACTIONS(1514),
    [anon_sym_PERCENT] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_AMP_AMP] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1514),
    [anon_sym_CARET] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_EQ_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_GT] = ACTIONS(1514),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1514),
    [anon_sym_LT_LT] = ACTIONS(1514),
    [anon_sym_GT_GT] = ACTIONS(1514),
    [anon_sym_SEMI] = ACTIONS(1516),
    [anon_sym___attribute__] = ACTIONS(1514),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_EQ] = ACTIONS(1514),
    [anon_sym_COLON] = ACTIONS(1516),
    [anon_sym_QMARK] = ACTIONS(1516),
    [anon_sym_STAR_EQ] = ACTIONS(1516),
    [anon_sym_SLASH_EQ] = ACTIONS(1516),
    [anon_sym_PERCENT_EQ] = ACTIONS(1516),
    [anon_sym_PLUS_EQ] = ACTIONS(1516),
    [anon_sym_DASH_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT_EQ] = ACTIONS(1516),
    [anon_sym_GT_GT_EQ] = ACTIONS(1516),
    [anon_sym_AMP_EQ] = ACTIONS(1516),
    [anon_sym_CARET_EQ] = ACTIONS(1516),
    [anon_sym_PIPE_EQ] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [anon_sym_sizeof] = ACTIONS(1532),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1514),
    [anon_sym_DASH_GT] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_identifier] = ACTIONS(1374),
    [aux_sym_preproc_include_token1] = ACTIONS(1374),
    [aux_sym_preproc_def_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_AMP] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1376),
    [anon_sym___extension__] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1374),
    [anon_sym_extern] = ACTIONS(1374),
    [anon_sym___attribute__] = ACTIONS(1374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym___declspec] = ACTIONS(1374),
    [anon_sym___cdecl] = ACTIONS(1374),
    [anon_sym___clrcall] = ACTIONS(1374),
    [anon_sym___stdcall] = ACTIONS(1374),
    [anon_sym___fastcall] = ACTIONS(1374),
    [anon_sym___thiscall] = ACTIONS(1374),
    [anon_sym___vectorcall] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_RBRACE] = ACTIONS(1376),
    [anon_sym_signed] = ACTIONS(1374),
    [anon_sym_unsigned] = ACTIONS(1374),
    [anon_sym_long] = ACTIONS(1374),
    [anon_sym_short] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_auto] = ACTIONS(1374),
    [anon_sym_register] = ACTIONS(1374),
    [anon_sym_inline] = ACTIONS(1374),
    [anon_sym___inline] = ACTIONS(1374),
    [anon_sym___inline__] = ACTIONS(1374),
    [anon_sym___forceinline] = ACTIONS(1374),
    [anon_sym_thread_local] = ACTIONS(1374),
    [anon_sym___thread] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_constexpr] = ACTIONS(1374),
    [anon_sym_volatile] = ACTIONS(1374),
    [anon_sym_restrict] = ACTIONS(1374),
    [anon_sym___restrict__] = ACTIONS(1374),
    [anon_sym__Atomic] = ACTIONS(1374),
    [anon_sym__Noreturn] = ACTIONS(1374),
    [anon_sym_noreturn] = ACTIONS(1374),
    [sym_primitive_type] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_struct] = ACTIONS(1374),
    [anon_sym_union] = ACTIONS(1374),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_else] = ACTIONS(1374),
    [anon_sym_switch] = ACTIONS(1374),
    [anon_sym_case] = ACTIONS(1374),
    [anon_sym_default] = ACTIONS(1374),
    [anon_sym_while] = ACTIONS(1374),
    [anon_sym_do] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym___try] = ACTIONS(1374),
    [anon_sym___leave] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_sizeof] = ACTIONS(1374),
    [anon_sym___alignof__] = ACTIONS(1374),
    [anon_sym___alignof] = ACTIONS(1374),
    [anon_sym__alignof] = ACTIONS(1374),
    [anon_sym_alignof] = ACTIONS(1374),
    [anon_sym__Alignof] = ACTIONS(1374),
    [anon_sym_offsetof] = ACTIONS(1374),
    [anon_sym__Generic] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym___asm__] = ACTIONS(1374),
    [sym_number_literal] = ACTIONS(1376),
    [anon_sym_L_SQUOTE] = ACTIONS(1376),
    [anon_sym_u_SQUOTE] = ACTIONS(1376),
    [anon_sym_U_SQUOTE] = ACTIONS(1376),
    [anon_sym_u8_SQUOTE] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_L_DQUOTE] = ACTIONS(1376),
    [anon_sym_u_DQUOTE] = ACTIONS(1376),
    [anon_sym_U_DQUOTE] = ACTIONS(1376),
    [anon_sym_u8_DQUOTE] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_NULL] = ACTIONS(1374),
    [anon_sym_nullptr] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_identifier] = ACTIONS(1390),
    [aux_sym_preproc_include_token1] = ACTIONS(1390),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token2] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1390),
    [sym_preproc_directive] = ACTIONS(1390),
    [anon_sym_LPAREN2] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym___extension__] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1390),
    [anon_sym_extern] = ACTIONS(1390),
    [anon_sym___attribute__] = ACTIONS(1390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1392),
    [anon_sym___declspec] = ACTIONS(1390),
    [anon_sym___cdecl] = ACTIONS(1390),
    [anon_sym___clrcall] = ACTIONS(1390),
    [anon_sym___stdcall] = ACTIONS(1390),
    [anon_sym___fastcall] = ACTIONS(1390),
    [anon_sym___thiscall] = ACTIONS(1390),
    [anon_sym___vectorcall] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_signed] = ACTIONS(1390),
    [anon_sym_unsigned] = ACTIONS(1390),
    [anon_sym_long] = ACTIONS(1390),
    [anon_sym_short] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1390),
    [anon_sym_auto] = ACTIONS(1390),
    [anon_sym_register] = ACTIONS(1390),
    [anon_sym_inline] = ACTIONS(1390),
    [anon_sym___inline] = ACTIONS(1390),
    [anon_sym___inline__] = ACTIONS(1390),
    [anon_sym___forceinline] = ACTIONS(1390),
    [anon_sym_thread_local] = ACTIONS(1390),
    [anon_sym___thread] = ACTIONS(1390),
    [anon_sym_const] = ACTIONS(1390),
    [anon_sym_constexpr] = ACTIONS(1390),
    [anon_sym_volatile] = ACTIONS(1390),
    [anon_sym_restrict] = ACTIONS(1390),
    [anon_sym___restrict__] = ACTIONS(1390),
    [anon_sym__Atomic] = ACTIONS(1390),
    [anon_sym__Noreturn] = ACTIONS(1390),
    [anon_sym_noreturn] = ACTIONS(1390),
    [sym_primitive_type] = ACTIONS(1390),
    [anon_sym_enum] = ACTIONS(1390),
    [anon_sym_struct] = ACTIONS(1390),
    [anon_sym_union] = ACTIONS(1390),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_else] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(1390),
    [anon_sym_case] = ACTIONS(1390),
    [anon_sym_default] = ACTIONS(1390),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_do] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_return] = ACTIONS(1390),
    [anon_sym_break] = ACTIONS(1390),
    [anon_sym_continue] = ACTIONS(1390),
    [anon_sym_goto] = ACTIONS(1390),
    [anon_sym___try] = ACTIONS(1390),
    [anon_sym___leave] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_sizeof] = ACTIONS(1390),
    [anon_sym___alignof__] = ACTIONS(1390),
    [anon_sym___alignof] = ACTIONS(1390),
    [anon_sym__alignof] = ACTIONS(1390),
    [anon_sym_alignof] = ACTIONS(1390),
    [anon_sym__Alignof] = ACTIONS(1390),
    [anon_sym_offsetof] = ACTIONS(1390),
    [anon_sym__Generic] = ACTIONS(1390),
    [anon_sym_asm] = ACTIONS(1390),
    [anon_sym___asm__] = ACTIONS(1390),
    [sym_number_literal] = ACTIONS(1392),
    [anon_sym_L_SQUOTE] = ACTIONS(1392),
    [anon_sym_u_SQUOTE] = ACTIONS(1392),
    [anon_sym_U_SQUOTE] = ACTIONS(1392),
    [anon_sym_u8_SQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_L_DQUOTE] = ACTIONS(1392),
    [anon_sym_u_DQUOTE] = ACTIONS(1392),
    [anon_sym_U_DQUOTE] = ACTIONS(1392),
    [anon_sym_u8_DQUOTE] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [sym_true] = ACTIONS(1390),
    [sym_false] = ACTIONS(1390),
    [anon_sym_NULL] = ACTIONS(1390),
    [anon_sym_nullptr] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token2] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym___extension__] = ACTIONS(1344),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym___inline] = ACTIONS(1344),
    [anon_sym___inline__] = ACTIONS(1344),
    [anon_sym___forceinline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym___thread] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym___try] = ACTIONS(1344),
    [anon_sym___leave] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym___alignof__] = ACTIONS(1344),
    [anon_sym___alignof] = ACTIONS(1344),
    [anon_sym__alignof] = ACTIONS(1344),
    [anon_sym_alignof] = ACTIONS(1344),
    [anon_sym__Alignof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [ts_builtin_sym_end] = ACTIONS(1396),
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym___extension__] = ACTIONS(1394),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym___inline] = ACTIONS(1394),
    [anon_sym___inline__] = ACTIONS(1394),
    [anon_sym___forceinline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym___thread] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym___try] = ACTIONS(1394),
    [anon_sym___leave] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym___alignof__] = ACTIONS(1394),
    [anon_sym___alignof] = ACTIONS(1394),
    [anon_sym__alignof] = ACTIONS(1394),
    [anon_sym_alignof] = ACTIONS(1394),
    [anon_sym__Alignof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym___extension__] = ACTIONS(1398),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym___inline] = ACTIONS(1398),
    [anon_sym___inline__] = ACTIONS(1398),
    [anon_sym___forceinline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym___thread] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_else] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym___try] = ACTIONS(1398),
    [anon_sym___leave] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym___alignof__] = ACTIONS(1398),
    [anon_sym___alignof] = ACTIONS(1398),
    [anon_sym__alignof] = ACTIONS(1398),
    [anon_sym_alignof] = ACTIONS(1398),
    [anon_sym__Alignof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_identifier] = ACTIONS(1338),
    [aux_sym_preproc_include_token1] = ACTIONS(1338),
    [aux_sym_preproc_def_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1338),
    [sym_preproc_directive] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1338),
    [anon_sym_extern] = ACTIONS(1338),
    [anon_sym___attribute__] = ACTIONS(1338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1340),
    [anon_sym___declspec] = ACTIONS(1338),
    [anon_sym___cdecl] = ACTIONS(1338),
    [anon_sym___clrcall] = ACTIONS(1338),
    [anon_sym___stdcall] = ACTIONS(1338),
    [anon_sym___fastcall] = ACTIONS(1338),
    [anon_sym___thiscall] = ACTIONS(1338),
    [anon_sym___vectorcall] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1338),
    [anon_sym_unsigned] = ACTIONS(1338),
    [anon_sym_long] = ACTIONS(1338),
    [anon_sym_short] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1338),
    [anon_sym_auto] = ACTIONS(1338),
    [anon_sym_register] = ACTIONS(1338),
    [anon_sym_inline] = ACTIONS(1338),
    [anon_sym___inline] = ACTIONS(1338),
    [anon_sym___inline__] = ACTIONS(1338),
    [anon_sym___forceinline] = ACTIONS(1338),
    [anon_sym_thread_local] = ACTIONS(1338),
    [anon_sym___thread] = ACTIONS(1338),
    [anon_sym_const] = ACTIONS(1338),
    [anon_sym_constexpr] = ACTIONS(1338),
    [anon_sym_volatile] = ACTIONS(1338),
    [anon_sym_restrict] = ACTIONS(1338),
    [anon_sym___restrict__] = ACTIONS(1338),
    [anon_sym__Atomic] = ACTIONS(1338),
    [anon_sym__Noreturn] = ACTIONS(1338),
    [anon_sym_noreturn] = ACTIONS(1338),
    [sym_primitive_type] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1338),
    [anon_sym_struct] = ACTIONS(1338),
    [anon_sym_union] = ACTIONS(1338),
    [anon_sym_if] = ACTIONS(1338),
    [anon_sym_else] = ACTIONS(1338),
    [anon_sym_switch] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(1338),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_do] = ACTIONS(1338),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1338),
    [anon_sym_continue] = ACTIONS(1338),
    [anon_sym_goto] = ACTIONS(1338),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_sizeof] = ACTIONS(1338),
    [anon_sym___alignof__] = ACTIONS(1338),
    [anon_sym___alignof] = ACTIONS(1338),
    [anon_sym__alignof] = ACTIONS(1338),
    [anon_sym_alignof] = ACTIONS(1338),
    [anon_sym__Alignof] = ACTIONS(1338),
    [anon_sym_offsetof] = ACTIONS(1338),
    [anon_sym__Generic] = ACTIONS(1338),
    [anon_sym_asm] = ACTIONS(1338),
    [anon_sym___asm__] = ACTIONS(1338),
    [sym_number_literal] = ACTIONS(1340),
    [anon_sym_L_SQUOTE] = ACTIONS(1340),
    [anon_sym_u_SQUOTE] = ACTIONS(1340),
    [anon_sym_U_SQUOTE] = ACTIONS(1340),
    [anon_sym_u8_SQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1338),
    [sym_false] = ACTIONS(1338),
    [anon_sym_NULL] = ACTIONS(1338),
    [anon_sym_nullptr] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_identifier] = ACTIONS(1386),
    [aux_sym_preproc_include_token1] = ACTIONS(1386),
    [aux_sym_preproc_def_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token2] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1386),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1386),
    [anon_sym_extern] = ACTIONS(1386),
    [anon_sym___attribute__] = ACTIONS(1386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1388),
    [anon_sym___declspec] = ACTIONS(1386),
    [anon_sym___cdecl] = ACTIONS(1386),
    [anon_sym___clrcall] = ACTIONS(1386),
    [anon_sym___stdcall] = ACTIONS(1386),
    [anon_sym___fastcall] = ACTIONS(1386),
    [anon_sym___thiscall] = ACTIONS(1386),
    [anon_sym___vectorcall] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_signed] = ACTIONS(1386),
    [anon_sym_unsigned] = ACTIONS(1386),
    [anon_sym_long] = ACTIONS(1386),
    [anon_sym_short] = ACTIONS(1386),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_auto] = ACTIONS(1386),
    [anon_sym_register] = ACTIONS(1386),
    [anon_sym_inline] = ACTIONS(1386),
    [anon_sym___inline] = ACTIONS(1386),
    [anon_sym___inline__] = ACTIONS(1386),
    [anon_sym___forceinline] = ACTIONS(1386),
    [anon_sym_thread_local] = ACTIONS(1386),
    [anon_sym___thread] = ACTIONS(1386),
    [anon_sym_const] = ACTIONS(1386),
    [anon_sym_constexpr] = ACTIONS(1386),
    [anon_sym_volatile] = ACTIONS(1386),
    [anon_sym_restrict] = ACTIONS(1386),
    [anon_sym___restrict__] = ACTIONS(1386),
    [anon_sym__Atomic] = ACTIONS(1386),
    [anon_sym__Noreturn] = ACTIONS(1386),
    [anon_sym_noreturn] = ACTIONS(1386),
    [sym_primitive_type] = ACTIONS(1386),
    [anon_sym_enum] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(1386),
    [anon_sym_union] = ACTIONS(1386),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_else] = ACTIONS(1386),
    [anon_sym_switch] = ACTIONS(1386),
    [anon_sym_case] = ACTIONS(1386),
    [anon_sym_default] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_for] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_continue] = ACTIONS(1386),
    [anon_sym_goto] = ACTIONS(1386),
    [anon_sym___try] = ACTIONS(1386),
    [anon_sym___leave] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(1386),
    [anon_sym___alignof__] = ACTIONS(1386),
    [anon_sym___alignof] = ACTIONS(1386),
    [anon_sym__alignof] = ACTIONS(1386),
    [anon_sym_alignof] = ACTIONS(1386),
    [anon_sym__Alignof] = ACTIONS(1386),
    [anon_sym_offsetof] = ACTIONS(1386),
    [anon_sym__Generic] = ACTIONS(1386),
    [anon_sym_asm] = ACTIONS(1386),
    [anon_sym___asm__] = ACTIONS(1386),
    [sym_number_literal] = ACTIONS(1388),
    [anon_sym_L_SQUOTE] = ACTIONS(1388),
    [anon_sym_u_SQUOTE] = ACTIONS(1388),
    [anon_sym_U_SQUOTE] = ACTIONS(1388),
    [anon_sym_u8_SQUOTE] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_L_DQUOTE] = ACTIONS(1388),
    [anon_sym_u_DQUOTE] = ACTIONS(1388),
    [anon_sym_U_DQUOTE] = ACTIONS(1388),
    [anon_sym_u8_DQUOTE] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [sym_true] = ACTIONS(1386),
    [sym_false] = ACTIONS(1386),
    [anon_sym_NULL] = ACTIONS(1386),
    [anon_sym_nullptr] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [ts_builtin_sym_end] = ACTIONS(1368),
    [sym_identifier] = ACTIONS(1366),
    [aux_sym_preproc_include_token1] = ACTIONS(1366),
    [aux_sym_preproc_def_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1366),
    [sym_preproc_directive] = ACTIONS(1366),
    [anon_sym_LPAREN2] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym___extension__] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1366),
    [anon_sym_extern] = ACTIONS(1366),
    [anon_sym___attribute__] = ACTIONS(1366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1368),
    [anon_sym___declspec] = ACTIONS(1366),
    [anon_sym___cdecl] = ACTIONS(1366),
    [anon_sym___clrcall] = ACTIONS(1366),
    [anon_sym___stdcall] = ACTIONS(1366),
    [anon_sym___fastcall] = ACTIONS(1366),
    [anon_sym___thiscall] = ACTIONS(1366),
    [anon_sym___vectorcall] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_signed] = ACTIONS(1366),
    [anon_sym_unsigned] = ACTIONS(1366),
    [anon_sym_long] = ACTIONS(1366),
    [anon_sym_short] = ACTIONS(1366),
    [anon_sym_static] = ACTIONS(1366),
    [anon_sym_auto] = ACTIONS(1366),
    [anon_sym_register] = ACTIONS(1366),
    [anon_sym_inline] = ACTIONS(1366),
    [anon_sym___inline] = ACTIONS(1366),
    [anon_sym___inline__] = ACTIONS(1366),
    [anon_sym___forceinline] = ACTIONS(1366),
    [anon_sym_thread_local] = ACTIONS(1366),
    [anon_sym___thread] = ACTIONS(1366),
    [anon_sym_const] = ACTIONS(1366),
    [anon_sym_constexpr] = ACTIONS(1366),
    [anon_sym_volatile] = ACTIONS(1366),
    [anon_sym_restrict] = ACTIONS(1366),
    [anon_sym___restrict__] = ACTIONS(1366),
    [anon_sym__Atomic] = ACTIONS(1366),
    [anon_sym__Noreturn] = ACTIONS(1366),
    [anon_sym_noreturn] = ACTIONS(1366),
    [sym_primitive_type] = ACTIONS(1366),
    [anon_sym_enum] = ACTIONS(1366),
    [anon_sym_struct] = ACTIONS(1366),
    [anon_sym_union] = ACTIONS(1366),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_else] = ACTIONS(1366),
    [anon_sym_switch] = ACTIONS(1366),
    [anon_sym_case] = ACTIONS(1366),
    [anon_sym_default] = ACTIONS(1366),
    [anon_sym_while] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1366),
    [anon_sym_for] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_break] = ACTIONS(1366),
    [anon_sym_continue] = ACTIONS(1366),
    [anon_sym_goto] = ACTIONS(1366),
    [anon_sym___try] = ACTIONS(1366),
    [anon_sym___leave] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_sizeof] = ACTIONS(1366),
    [anon_sym___alignof__] = ACTIONS(1366),
    [anon_sym___alignof] = ACTIONS(1366),
    [anon_sym__alignof] = ACTIONS(1366),
    [anon_sym_alignof] = ACTIONS(1366),
    [anon_sym__Alignof] = ACTIONS(1366),
    [anon_sym_offsetof] = ACTIONS(1366),
    [anon_sym__Generic] = ACTIONS(1366),
    [anon_sym_asm] = ACTIONS(1366),
    [anon_sym___asm__] = ACTIONS(1366),
    [sym_number_literal] = ACTIONS(1368),
    [anon_sym_L_SQUOTE] = ACTIONS(1368),
    [anon_sym_u_SQUOTE] = ACTIONS(1368),
    [anon_sym_U_SQUOTE] = ACTIONS(1368),
    [anon_sym_u8_SQUOTE] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_L_DQUOTE] = ACTIONS(1368),
    [anon_sym_u_DQUOTE] = ACTIONS(1368),
    [anon_sym_U_DQUOTE] = ACTIONS(1368),
    [anon_sym_u8_DQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_NULL] = ACTIONS(1366),
    [anon_sym_nullptr] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_identifier] = ACTIONS(1378),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1378),
    [sym_preproc_directive] = ACTIONS(1378),
    [anon_sym_LPAREN2] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym___extension__] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1378),
    [anon_sym_extern] = ACTIONS(1378),
    [anon_sym___attribute__] = ACTIONS(1378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1380),
    [anon_sym___declspec] = ACTIONS(1378),
    [anon_sym___cdecl] = ACTIONS(1378),
    [anon_sym___clrcall] = ACTIONS(1378),
    [anon_sym___stdcall] = ACTIONS(1378),
    [anon_sym___fastcall] = ACTIONS(1378),
    [anon_sym___thiscall] = ACTIONS(1378),
    [anon_sym___vectorcall] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [anon_sym_signed] = ACTIONS(1378),
    [anon_sym_unsigned] = ACTIONS(1378),
    [anon_sym_long] = ACTIONS(1378),
    [anon_sym_short] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_auto] = ACTIONS(1378),
    [anon_sym_register] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1378),
    [anon_sym___inline] = ACTIONS(1378),
    [anon_sym___inline__] = ACTIONS(1378),
    [anon_sym___forceinline] = ACTIONS(1378),
    [anon_sym_thread_local] = ACTIONS(1378),
    [anon_sym___thread] = ACTIONS(1378),
    [anon_sym_const] = ACTIONS(1378),
    [anon_sym_constexpr] = ACTIONS(1378),
    [anon_sym_volatile] = ACTIONS(1378),
    [anon_sym_restrict] = ACTIONS(1378),
    [anon_sym___restrict__] = ACTIONS(1378),
    [anon_sym__Atomic] = ACTIONS(1378),
    [anon_sym__Noreturn] = ACTIONS(1378),
    [anon_sym_noreturn] = ACTIONS(1378),
    [sym_primitive_type] = ACTIONS(1378),
    [anon_sym_enum] = ACTIONS(1378),
    [anon_sym_struct] = ACTIONS(1378),
    [anon_sym_union] = ACTIONS(1378),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_else] = ACTIONS(1378),
    [anon_sym_switch] = ACTIONS(1378),
    [anon_sym_case] = ACTIONS(1378),
    [anon_sym_default] = ACTIONS(1378),
    [anon_sym_while] = ACTIONS(1378),
    [anon_sym_do] = ACTIONS(1378),
    [anon_sym_for] = ACTIONS(1378),
    [anon_sym_return] = ACTIONS(1378),
    [anon_sym_break] = ACTIONS(1378),
    [anon_sym_continue] = ACTIONS(1378),
    [anon_sym_goto] = ACTIONS(1378),
    [anon_sym___try] = ACTIONS(1378),
    [anon_sym___leave] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_sizeof] = ACTIONS(1378),
    [anon_sym___alignof__] = ACTIONS(1378),
    [anon_sym___alignof] = ACTIONS(1378),
    [anon_sym__alignof] = ACTIONS(1378),
    [anon_sym_alignof] = ACTIONS(1378),
    [anon_sym__Alignof] = ACTIONS(1378),
    [anon_sym_offsetof] = ACTIONS(1378),
    [anon_sym__Generic] = ACTIONS(1378),
    [anon_sym_asm] = ACTIONS(1378),
    [anon_sym___asm__] = ACTIONS(1378),
    [sym_number_literal] = ACTIONS(1380),
    [anon_sym_L_SQUOTE] = ACTIONS(1380),
    [anon_sym_u_SQUOTE] = ACTIONS(1380),
    [anon_sym_U_SQUOTE] = ACTIONS(1380),
    [anon_sym_u8_SQUOTE] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_L_DQUOTE] = ACTIONS(1380),
    [anon_sym_u_DQUOTE] = ACTIONS(1380),
    [anon_sym_U_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8_DQUOTE] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_NULL] = ACTIONS(1378),
    [anon_sym_nullptr] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym_identifier] = ACTIONS(1362),
    [aux_sym_preproc_include_token1] = ACTIONS(1362),
    [aux_sym_preproc_def_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1362),
    [sym_preproc_directive] = ACTIONS(1362),
    [anon_sym_LPAREN2] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [anon_sym___extension__] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1362),
    [anon_sym_extern] = ACTIONS(1362),
    [anon_sym___attribute__] = ACTIONS(1362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1364),
    [anon_sym___declspec] = ACTIONS(1362),
    [anon_sym___cdecl] = ACTIONS(1362),
    [anon_sym___clrcall] = ACTIONS(1362),
    [anon_sym___stdcall] = ACTIONS(1362),
    [anon_sym___fastcall] = ACTIONS(1362),
    [anon_sym___thiscall] = ACTIONS(1362),
    [anon_sym___vectorcall] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_signed] = ACTIONS(1362),
    [anon_sym_unsigned] = ACTIONS(1362),
    [anon_sym_long] = ACTIONS(1362),
    [anon_sym_short] = ACTIONS(1362),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_auto] = ACTIONS(1362),
    [anon_sym_register] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(1362),
    [anon_sym___inline] = ACTIONS(1362),
    [anon_sym___inline__] = ACTIONS(1362),
    [anon_sym___forceinline] = ACTIONS(1362),
    [anon_sym_thread_local] = ACTIONS(1362),
    [anon_sym___thread] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(1362),
    [anon_sym_constexpr] = ACTIONS(1362),
    [anon_sym_volatile] = ACTIONS(1362),
    [anon_sym_restrict] = ACTIONS(1362),
    [anon_sym___restrict__] = ACTIONS(1362),
    [anon_sym__Atomic] = ACTIONS(1362),
    [anon_sym__Noreturn] = ACTIONS(1362),
    [anon_sym_noreturn] = ACTIONS(1362),
    [sym_primitive_type] = ACTIONS(1362),
    [anon_sym_enum] = ACTIONS(1362),
    [anon_sym_struct] = ACTIONS(1362),
    [anon_sym_union] = ACTIONS(1362),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_else] = ACTIONS(1362),
    [anon_sym_switch] = ACTIONS(1362),
    [anon_sym_case] = ACTIONS(1362),
    [anon_sym_default] = ACTIONS(1362),
    [anon_sym_while] = ACTIONS(1362),
    [anon_sym_do] = ACTIONS(1362),
    [anon_sym_for] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_continue] = ACTIONS(1362),
    [anon_sym_goto] = ACTIONS(1362),
    [anon_sym___try] = ACTIONS(1362),
    [anon_sym___leave] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(1362),
    [anon_sym___alignof] = ACTIONS(1362),
    [anon_sym__alignof] = ACTIONS(1362),
    [anon_sym_alignof] = ACTIONS(1362),
    [anon_sym__Alignof] = ACTIONS(1362),
    [anon_sym_offsetof] = ACTIONS(1362),
    [anon_sym__Generic] = ACTIONS(1362),
    [anon_sym_asm] = ACTIONS(1362),
    [anon_sym___asm__] = ACTIONS(1362),
    [sym_number_literal] = ACTIONS(1364),
    [anon_sym_L_SQUOTE] = ACTIONS(1364),
    [anon_sym_u_SQUOTE] = ACTIONS(1364),
    [anon_sym_U_SQUOTE] = ACTIONS(1364),
    [anon_sym_u8_SQUOTE] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_L_DQUOTE] = ACTIONS(1364),
    [anon_sym_u_DQUOTE] = ACTIONS(1364),
    [anon_sym_U_DQUOTE] = ACTIONS(1364),
    [anon_sym_u8_DQUOTE] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_NULL] = ACTIONS(1362),
    [anon_sym_nullptr] = ACTIONS(1362),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym_identifier] = ACTIONS(1378),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1378),
    [sym_preproc_directive] = ACTIONS(1378),
    [anon_sym_LPAREN2] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym___extension__] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1378),
    [anon_sym_extern] = ACTIONS(1378),
    [anon_sym___attribute__] = ACTIONS(1378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1380),
    [anon_sym___declspec] = ACTIONS(1378),
    [anon_sym___cdecl] = ACTIONS(1378),
    [anon_sym___clrcall] = ACTIONS(1378),
    [anon_sym___stdcall] = ACTIONS(1378),
    [anon_sym___fastcall] = ACTIONS(1378),
    [anon_sym___thiscall] = ACTIONS(1378),
    [anon_sym___vectorcall] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_signed] = ACTIONS(1378),
    [anon_sym_unsigned] = ACTIONS(1378),
    [anon_sym_long] = ACTIONS(1378),
    [anon_sym_short] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_auto] = ACTIONS(1378),
    [anon_sym_register] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1378),
    [anon_sym___inline] = ACTIONS(1378),
    [anon_sym___inline__] = ACTIONS(1378),
    [anon_sym___forceinline] = ACTIONS(1378),
    [anon_sym_thread_local] = ACTIONS(1378),
    [anon_sym___thread] = ACTIONS(1378),
    [anon_sym_const] = ACTIONS(1378),
    [anon_sym_constexpr] = ACTIONS(1378),
    [anon_sym_volatile] = ACTIONS(1378),
    [anon_sym_restrict] = ACTIONS(1378),
    [anon_sym___restrict__] = ACTIONS(1378),
    [anon_sym__Atomic] = ACTIONS(1378),
    [anon_sym__Noreturn] = ACTIONS(1378),
    [anon_sym_noreturn] = ACTIONS(1378),
    [sym_primitive_type] = ACTIONS(1378),
    [anon_sym_enum] = ACTIONS(1378),
    [anon_sym_struct] = ACTIONS(1378),
    [anon_sym_union] = ACTIONS(1378),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_else] = ACTIONS(1378),
    [anon_sym_switch] = ACTIONS(1378),
    [anon_sym_case] = ACTIONS(1378),
    [anon_sym_default] = ACTIONS(1378),
    [anon_sym_while] = ACTIONS(1378),
    [anon_sym_do] = ACTIONS(1378),
    [anon_sym_for] = ACTIONS(1378),
    [anon_sym_return] = ACTIONS(1378),
    [anon_sym_break] = ACTIONS(1378),
    [anon_sym_continue] = ACTIONS(1378),
    [anon_sym_goto] = ACTIONS(1378),
    [anon_sym___try] = ACTIONS(1378),
    [anon_sym___leave] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_sizeof] = ACTIONS(1378),
    [anon_sym___alignof__] = ACTIONS(1378),
    [anon_sym___alignof] = ACTIONS(1378),
    [anon_sym__alignof] = ACTIONS(1378),
    [anon_sym_alignof] = ACTIONS(1378),
    [anon_sym__Alignof] = ACTIONS(1378),
    [anon_sym_offsetof] = ACTIONS(1378),
    [anon_sym__Generic] = ACTIONS(1378),
    [anon_sym_asm] = ACTIONS(1378),
    [anon_sym___asm__] = ACTIONS(1378),
    [sym_number_literal] = ACTIONS(1380),
    [anon_sym_L_SQUOTE] = ACTIONS(1380),
    [anon_sym_u_SQUOTE] = ACTIONS(1380),
    [anon_sym_U_SQUOTE] = ACTIONS(1380),
    [anon_sym_u8_SQUOTE] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_L_DQUOTE] = ACTIONS(1380),
    [anon_sym_u_DQUOTE] = ACTIONS(1380),
    [anon_sym_U_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8_DQUOTE] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_NULL] = ACTIONS(1378),
    [anon_sym_nullptr] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym_identifier] = ACTIONS(1382),
    [aux_sym_preproc_include_token1] = ACTIONS(1382),
    [aux_sym_preproc_def_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1382),
    [sym_preproc_directive] = ACTIONS(1382),
    [anon_sym_LPAREN2] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym___extension__] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1382),
    [anon_sym_extern] = ACTIONS(1382),
    [anon_sym___attribute__] = ACTIONS(1382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1384),
    [anon_sym___declspec] = ACTIONS(1382),
    [anon_sym___cdecl] = ACTIONS(1382),
    [anon_sym___clrcall] = ACTIONS(1382),
    [anon_sym___stdcall] = ACTIONS(1382),
    [anon_sym___fastcall] = ACTIONS(1382),
    [anon_sym___thiscall] = ACTIONS(1382),
    [anon_sym___vectorcall] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_signed] = ACTIONS(1382),
    [anon_sym_unsigned] = ACTIONS(1382),
    [anon_sym_long] = ACTIONS(1382),
    [anon_sym_short] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1382),
    [anon_sym_auto] = ACTIONS(1382),
    [anon_sym_register] = ACTIONS(1382),
    [anon_sym_inline] = ACTIONS(1382),
    [anon_sym___inline] = ACTIONS(1382),
    [anon_sym___inline__] = ACTIONS(1382),
    [anon_sym___forceinline] = ACTIONS(1382),
    [anon_sym_thread_local] = ACTIONS(1382),
    [anon_sym___thread] = ACTIONS(1382),
    [anon_sym_const] = ACTIONS(1382),
    [anon_sym_constexpr] = ACTIONS(1382),
    [anon_sym_volatile] = ACTIONS(1382),
    [anon_sym_restrict] = ACTIONS(1382),
    [anon_sym___restrict__] = ACTIONS(1382),
    [anon_sym__Atomic] = ACTIONS(1382),
    [anon_sym__Noreturn] = ACTIONS(1382),
    [anon_sym_noreturn] = ACTIONS(1382),
    [sym_primitive_type] = ACTIONS(1382),
    [anon_sym_enum] = ACTIONS(1382),
    [anon_sym_struct] = ACTIONS(1382),
    [anon_sym_union] = ACTIONS(1382),
    [anon_sym_if] = ACTIONS(1382),
    [anon_sym_else] = ACTIONS(1382),
    [anon_sym_switch] = ACTIONS(1382),
    [anon_sym_case] = ACTIONS(1382),
    [anon_sym_default] = ACTIONS(1382),
    [anon_sym_while] = ACTIONS(1382),
    [anon_sym_do] = ACTIONS(1382),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_break] = ACTIONS(1382),
    [anon_sym_continue] = ACTIONS(1382),
    [anon_sym_goto] = ACTIONS(1382),
    [anon_sym___try] = ACTIONS(1382),
    [anon_sym___leave] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_sizeof] = ACTIONS(1382),
    [anon_sym___alignof__] = ACTIONS(1382),
    [anon_sym___alignof] = ACTIONS(1382),
    [anon_sym__alignof] = ACTIONS(1382),
    [anon_sym_alignof] = ACTIONS(1382),
    [anon_sym__Alignof] = ACTIONS(1382),
    [anon_sym_offsetof] = ACTIONS(1382),
    [anon_sym__Generic] = ACTIONS(1382),
    [anon_sym_asm] = ACTIONS(1382),
    [anon_sym___asm__] = ACTIONS(1382),
    [sym_number_literal] = ACTIONS(1384),
    [anon_sym_L_SQUOTE] = ACTIONS(1384),
    [anon_sym_u_SQUOTE] = ACTIONS(1384),
    [anon_sym_U_SQUOTE] = ACTIONS(1384),
    [anon_sym_u8_SQUOTE] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_L_DQUOTE] = ACTIONS(1384),
    [anon_sym_u_DQUOTE] = ACTIONS(1384),
    [anon_sym_U_DQUOTE] = ACTIONS(1384),
    [anon_sym_u8_DQUOTE] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [sym_true] = ACTIONS(1382),
    [sym_false] = ACTIONS(1382),
    [anon_sym_NULL] = ACTIONS(1382),
    [anon_sym_nullptr] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [ts_builtin_sym_end] = ACTIONS(1388),
    [sym_identifier] = ACTIONS(1386),
    [aux_sym_preproc_include_token1] = ACTIONS(1386),
    [aux_sym_preproc_def_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1386),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1386),
    [anon_sym_extern] = ACTIONS(1386),
    [anon_sym___attribute__] = ACTIONS(1386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1388),
    [anon_sym___declspec] = ACTIONS(1386),
    [anon_sym___cdecl] = ACTIONS(1386),
    [anon_sym___clrcall] = ACTIONS(1386),
    [anon_sym___stdcall] = ACTIONS(1386),
    [anon_sym___fastcall] = ACTIONS(1386),
    [anon_sym___thiscall] = ACTIONS(1386),
    [anon_sym___vectorcall] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_signed] = ACTIONS(1386),
    [anon_sym_unsigned] = ACTIONS(1386),
    [anon_sym_long] = ACTIONS(1386),
    [anon_sym_short] = ACTIONS(1386),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_auto] = ACTIONS(1386),
    [anon_sym_register] = ACTIONS(1386),
    [anon_sym_inline] = ACTIONS(1386),
    [anon_sym___inline] = ACTIONS(1386),
    [anon_sym___inline__] = ACTIONS(1386),
    [anon_sym___forceinline] = ACTIONS(1386),
    [anon_sym_thread_local] = ACTIONS(1386),
    [anon_sym___thread] = ACTIONS(1386),
    [anon_sym_const] = ACTIONS(1386),
    [anon_sym_constexpr] = ACTIONS(1386),
    [anon_sym_volatile] = ACTIONS(1386),
    [anon_sym_restrict] = ACTIONS(1386),
    [anon_sym___restrict__] = ACTIONS(1386),
    [anon_sym__Atomic] = ACTIONS(1386),
    [anon_sym__Noreturn] = ACTIONS(1386),
    [anon_sym_noreturn] = ACTIONS(1386),
    [sym_primitive_type] = ACTIONS(1386),
    [anon_sym_enum] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(1386),
    [anon_sym_union] = ACTIONS(1386),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_else] = ACTIONS(1386),
    [anon_sym_switch] = ACTIONS(1386),
    [anon_sym_case] = ACTIONS(1386),
    [anon_sym_default] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_for] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_continue] = ACTIONS(1386),
    [anon_sym_goto] = ACTIONS(1386),
    [anon_sym___try] = ACTIONS(1386),
    [anon_sym___leave] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(1386),
    [anon_sym___alignof__] = ACTIONS(1386),
    [anon_sym___alignof] = ACTIONS(1386),
    [anon_sym__alignof] = ACTIONS(1386),
    [anon_sym_alignof] = ACTIONS(1386),
    [anon_sym__Alignof] = ACTIONS(1386),
    [anon_sym_offsetof] = ACTIONS(1386),
    [anon_sym__Generic] = ACTIONS(1386),
    [anon_sym_asm] = ACTIONS(1386),
    [anon_sym___asm__] = ACTIONS(1386),
    [sym_number_literal] = ACTIONS(1388),
    [anon_sym_L_SQUOTE] = ACTIONS(1388),
    [anon_sym_u_SQUOTE] = ACTIONS(1388),
    [anon_sym_U_SQUOTE] = ACTIONS(1388),
    [anon_sym_u8_SQUOTE] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_L_DQUOTE] = ACTIONS(1388),
    [anon_sym_u_DQUOTE] = ACTIONS(1388),
    [anon_sym_U_DQUOTE] = ACTIONS(1388),
    [anon_sym_u8_DQUOTE] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [sym_true] = ACTIONS(1386),
    [sym_false] = ACTIONS(1386),
    [anon_sym_NULL] = ACTIONS(1386),
    [anon_sym_nullptr] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_identifier] = ACTIONS(1382),
    [aux_sym_preproc_include_token1] = ACTIONS(1382),
    [aux_sym_preproc_def_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token2] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1382),
    [sym_preproc_directive] = ACTIONS(1382),
    [anon_sym_LPAREN2] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym___extension__] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1382),
    [anon_sym_extern] = ACTIONS(1382),
    [anon_sym___attribute__] = ACTIONS(1382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1384),
    [anon_sym___declspec] = ACTIONS(1382),
    [anon_sym___cdecl] = ACTIONS(1382),
    [anon_sym___clrcall] = ACTIONS(1382),
    [anon_sym___stdcall] = ACTIONS(1382),
    [anon_sym___fastcall] = ACTIONS(1382),
    [anon_sym___thiscall] = ACTIONS(1382),
    [anon_sym___vectorcall] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_signed] = ACTIONS(1382),
    [anon_sym_unsigned] = ACTIONS(1382),
    [anon_sym_long] = ACTIONS(1382),
    [anon_sym_short] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1382),
    [anon_sym_auto] = ACTIONS(1382),
    [anon_sym_register] = ACTIONS(1382),
    [anon_sym_inline] = ACTIONS(1382),
    [anon_sym___inline] = ACTIONS(1382),
    [anon_sym___inline__] = ACTIONS(1382),
    [anon_sym___forceinline] = ACTIONS(1382),
    [anon_sym_thread_local] = ACTIONS(1382),
    [anon_sym___thread] = ACTIONS(1382),
    [anon_sym_const] = ACTIONS(1382),
    [anon_sym_constexpr] = ACTIONS(1382),
    [anon_sym_volatile] = ACTIONS(1382),
    [anon_sym_restrict] = ACTIONS(1382),
    [anon_sym___restrict__] = ACTIONS(1382),
    [anon_sym__Atomic] = ACTIONS(1382),
    [anon_sym__Noreturn] = ACTIONS(1382),
    [anon_sym_noreturn] = ACTIONS(1382),
    [sym_primitive_type] = ACTIONS(1382),
    [anon_sym_enum] = ACTIONS(1382),
    [anon_sym_struct] = ACTIONS(1382),
    [anon_sym_union] = ACTIONS(1382),
    [anon_sym_if] = ACTIONS(1382),
    [anon_sym_else] = ACTIONS(1382),
    [anon_sym_switch] = ACTIONS(1382),
    [anon_sym_case] = ACTIONS(1382),
    [anon_sym_default] = ACTIONS(1382),
    [anon_sym_while] = ACTIONS(1382),
    [anon_sym_do] = ACTIONS(1382),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_break] = ACTIONS(1382),
    [anon_sym_continue] = ACTIONS(1382),
    [anon_sym_goto] = ACTIONS(1382),
    [anon_sym___try] = ACTIONS(1382),
    [anon_sym___leave] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_sizeof] = ACTIONS(1382),
    [anon_sym___alignof__] = ACTIONS(1382),
    [anon_sym___alignof] = ACTIONS(1382),
    [anon_sym__alignof] = ACTIONS(1382),
    [anon_sym_alignof] = ACTIONS(1382),
    [anon_sym__Alignof] = ACTIONS(1382),
    [anon_sym_offsetof] = ACTIONS(1382),
    [anon_sym__Generic] = ACTIONS(1382),
    [anon_sym_asm] = ACTIONS(1382),
    [anon_sym___asm__] = ACTIONS(1382),
    [sym_number_literal] = ACTIONS(1384),
    [anon_sym_L_SQUOTE] = ACTIONS(1384),
    [anon_sym_u_SQUOTE] = ACTIONS(1384),
    [anon_sym_U_SQUOTE] = ACTIONS(1384),
    [anon_sym_u8_SQUOTE] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_L_DQUOTE] = ACTIONS(1384),
    [anon_sym_u_DQUOTE] = ACTIONS(1384),
    [anon_sym_U_DQUOTE] = ACTIONS(1384),
    [anon_sym_u8_DQUOTE] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [sym_true] = ACTIONS(1382),
    [sym_false] = ACTIONS(1382),
    [anon_sym_NULL] = ACTIONS(1382),
    [anon_sym_nullptr] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_identifier] = ACTIONS(1358),
    [aux_sym_preproc_include_token1] = ACTIONS(1358),
    [aux_sym_preproc_def_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1358),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1358),
    [anon_sym_extern] = ACTIONS(1358),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1360),
    [anon_sym___declspec] = ACTIONS(1358),
    [anon_sym___cdecl] = ACTIONS(1358),
    [anon_sym___clrcall] = ACTIONS(1358),
    [anon_sym___stdcall] = ACTIONS(1358),
    [anon_sym___fastcall] = ACTIONS(1358),
    [anon_sym___thiscall] = ACTIONS(1358),
    [anon_sym___vectorcall] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1358),
    [anon_sym_unsigned] = ACTIONS(1358),
    [anon_sym_long] = ACTIONS(1358),
    [anon_sym_short] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1358),
    [anon_sym_auto] = ACTIONS(1358),
    [anon_sym_register] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1358),
    [anon_sym___inline] = ACTIONS(1358),
    [anon_sym___inline__] = ACTIONS(1358),
    [anon_sym___forceinline] = ACTIONS(1358),
    [anon_sym_thread_local] = ACTIONS(1358),
    [anon_sym___thread] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_constexpr] = ACTIONS(1358),
    [anon_sym_volatile] = ACTIONS(1358),
    [anon_sym_restrict] = ACTIONS(1358),
    [anon_sym___restrict__] = ACTIONS(1358),
    [anon_sym__Atomic] = ACTIONS(1358),
    [anon_sym__Noreturn] = ACTIONS(1358),
    [anon_sym_noreturn] = ACTIONS(1358),
    [sym_primitive_type] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_else] = ACTIONS(1358),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1358),
    [anon_sym_default] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1358),
    [anon_sym_do] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym___try] = ACTIONS(1358),
    [anon_sym___leave] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1358),
    [anon_sym___alignof__] = ACTIONS(1358),
    [anon_sym___alignof] = ACTIONS(1358),
    [anon_sym__alignof] = ACTIONS(1358),
    [anon_sym_alignof] = ACTIONS(1358),
    [anon_sym__Alignof] = ACTIONS(1358),
    [anon_sym_offsetof] = ACTIONS(1358),
    [anon_sym__Generic] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1360),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1358),
    [anon_sym_nullptr] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [ts_builtin_sym_end] = ACTIONS(1356),
    [sym_identifier] = ACTIONS(1354),
    [aux_sym_preproc_include_token1] = ACTIONS(1354),
    [aux_sym_preproc_def_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1354),
    [sym_preproc_directive] = ACTIONS(1354),
    [anon_sym_LPAREN2] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_STAR] = ACTIONS(1356),
    [anon_sym_AMP] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1356),
    [anon_sym___extension__] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1354),
    [anon_sym_extern] = ACTIONS(1354),
    [anon_sym___attribute__] = ACTIONS(1354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1356),
    [anon_sym___declspec] = ACTIONS(1354),
    [anon_sym___cdecl] = ACTIONS(1354),
    [anon_sym___clrcall] = ACTIONS(1354),
    [anon_sym___stdcall] = ACTIONS(1354),
    [anon_sym___fastcall] = ACTIONS(1354),
    [anon_sym___thiscall] = ACTIONS(1354),
    [anon_sym___vectorcall] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_signed] = ACTIONS(1354),
    [anon_sym_unsigned] = ACTIONS(1354),
    [anon_sym_long] = ACTIONS(1354),
    [anon_sym_short] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1354),
    [anon_sym_auto] = ACTIONS(1354),
    [anon_sym_register] = ACTIONS(1354),
    [anon_sym_inline] = ACTIONS(1354),
    [anon_sym___inline] = ACTIONS(1354),
    [anon_sym___inline__] = ACTIONS(1354),
    [anon_sym___forceinline] = ACTIONS(1354),
    [anon_sym_thread_local] = ACTIONS(1354),
    [anon_sym___thread] = ACTIONS(1354),
    [anon_sym_const] = ACTIONS(1354),
    [anon_sym_constexpr] = ACTIONS(1354),
    [anon_sym_volatile] = ACTIONS(1354),
    [anon_sym_restrict] = ACTIONS(1354),
    [anon_sym___restrict__] = ACTIONS(1354),
    [anon_sym__Atomic] = ACTIONS(1354),
    [anon_sym__Noreturn] = ACTIONS(1354),
    [anon_sym_noreturn] = ACTIONS(1354),
    [sym_primitive_type] = ACTIONS(1354),
    [anon_sym_enum] = ACTIONS(1354),
    [anon_sym_struct] = ACTIONS(1354),
    [anon_sym_union] = ACTIONS(1354),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_else] = ACTIONS(1354),
    [anon_sym_switch] = ACTIONS(1354),
    [anon_sym_case] = ACTIONS(1354),
    [anon_sym_default] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1354),
    [anon_sym_do] = ACTIONS(1354),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1354),
    [anon_sym_break] = ACTIONS(1354),
    [anon_sym_continue] = ACTIONS(1354),
    [anon_sym_goto] = ACTIONS(1354),
    [anon_sym___try] = ACTIONS(1354),
    [anon_sym___leave] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_sizeof] = ACTIONS(1354),
    [anon_sym___alignof__] = ACTIONS(1354),
    [anon_sym___alignof] = ACTIONS(1354),
    [anon_sym__alignof] = ACTIONS(1354),
    [anon_sym_alignof] = ACTIONS(1354),
    [anon_sym__Alignof] = ACTIONS(1354),
    [anon_sym_offsetof] = ACTIONS(1354),
    [anon_sym__Generic] = ACTIONS(1354),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym___asm__] = ACTIONS(1354),
    [sym_number_literal] = ACTIONS(1356),
    [anon_sym_L_SQUOTE] = ACTIONS(1356),
    [anon_sym_u_SQUOTE] = ACTIONS(1356),
    [anon_sym_U_SQUOTE] = ACTIONS(1356),
    [anon_sym_u8_SQUOTE] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_L_DQUOTE] = ACTIONS(1356),
    [anon_sym_u_DQUOTE] = ACTIONS(1356),
    [anon_sym_U_DQUOTE] = ACTIONS(1356),
    [anon_sym_u8_DQUOTE] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_NULL] = ACTIONS(1354),
    [anon_sym_nullptr] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [sym_identifier] = ACTIONS(1378),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token2] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1378),
    [sym_preproc_directive] = ACTIONS(1378),
    [anon_sym_LPAREN2] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym___extension__] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1378),
    [anon_sym_extern] = ACTIONS(1378),
    [anon_sym___attribute__] = ACTIONS(1378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1380),
    [anon_sym___declspec] = ACTIONS(1378),
    [anon_sym___cdecl] = ACTIONS(1378),
    [anon_sym___clrcall] = ACTIONS(1378),
    [anon_sym___stdcall] = ACTIONS(1378),
    [anon_sym___fastcall] = ACTIONS(1378),
    [anon_sym___thiscall] = ACTIONS(1378),
    [anon_sym___vectorcall] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_signed] = ACTIONS(1378),
    [anon_sym_unsigned] = ACTIONS(1378),
    [anon_sym_long] = ACTIONS(1378),
    [anon_sym_short] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_auto] = ACTIONS(1378),
    [anon_sym_register] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1378),
    [anon_sym___inline] = ACTIONS(1378),
    [anon_sym___inline__] = ACTIONS(1378),
    [anon_sym___forceinline] = ACTIONS(1378),
    [anon_sym_thread_local] = ACTIONS(1378),
    [anon_sym___thread] = ACTIONS(1378),
    [anon_sym_const] = ACTIONS(1378),
    [anon_sym_constexpr] = ACTIONS(1378),
    [anon_sym_volatile] = ACTIONS(1378),
    [anon_sym_restrict] = ACTIONS(1378),
    [anon_sym___restrict__] = ACTIONS(1378),
    [anon_sym__Atomic] = ACTIONS(1378),
    [anon_sym__Noreturn] = ACTIONS(1378),
    [anon_sym_noreturn] = ACTIONS(1378),
    [sym_primitive_type] = ACTIONS(1378),
    [anon_sym_enum] = ACTIONS(1378),
    [anon_sym_struct] = ACTIONS(1378),
    [anon_sym_union] = ACTIONS(1378),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_else] = ACTIONS(1378),
    [anon_sym_switch] = ACTIONS(1378),
    [anon_sym_case] = ACTIONS(1378),
    [anon_sym_default] = ACTIONS(1378),
    [anon_sym_while] = ACTIONS(1378),
    [anon_sym_do] = ACTIONS(1378),
    [anon_sym_for] = ACTIONS(1378),
    [anon_sym_return] = ACTIONS(1378),
    [anon_sym_break] = ACTIONS(1378),
    [anon_sym_continue] = ACTIONS(1378),
    [anon_sym_goto] = ACTIONS(1378),
    [anon_sym___try] = ACTIONS(1378),
    [anon_sym___leave] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_sizeof] = ACTIONS(1378),
    [anon_sym___alignof__] = ACTIONS(1378),
    [anon_sym___alignof] = ACTIONS(1378),
    [anon_sym__alignof] = ACTIONS(1378),
    [anon_sym_alignof] = ACTIONS(1378),
    [anon_sym__Alignof] = ACTIONS(1378),
    [anon_sym_offsetof] = ACTIONS(1378),
    [anon_sym__Generic] = ACTIONS(1378),
    [anon_sym_asm] = ACTIONS(1378),
    [anon_sym___asm__] = ACTIONS(1378),
    [sym_number_literal] = ACTIONS(1380),
    [anon_sym_L_SQUOTE] = ACTIONS(1380),
    [anon_sym_u_SQUOTE] = ACTIONS(1380),
    [anon_sym_U_SQUOTE] = ACTIONS(1380),
    [anon_sym_u8_SQUOTE] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_L_DQUOTE] = ACTIONS(1380),
    [anon_sym_u_DQUOTE] = ACTIONS(1380),
    [anon_sym_U_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8_DQUOTE] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_NULL] = ACTIONS(1378),
    [anon_sym_nullptr] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [sym_identifier] = ACTIONS(1374),
    [aux_sym_preproc_include_token1] = ACTIONS(1374),
    [aux_sym_preproc_def_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token2] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_AMP] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1376),
    [anon_sym___extension__] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1374),
    [anon_sym_extern] = ACTIONS(1374),
    [anon_sym___attribute__] = ACTIONS(1374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym___declspec] = ACTIONS(1374),
    [anon_sym___cdecl] = ACTIONS(1374),
    [anon_sym___clrcall] = ACTIONS(1374),
    [anon_sym___stdcall] = ACTIONS(1374),
    [anon_sym___fastcall] = ACTIONS(1374),
    [anon_sym___thiscall] = ACTIONS(1374),
    [anon_sym___vectorcall] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_signed] = ACTIONS(1374),
    [anon_sym_unsigned] = ACTIONS(1374),
    [anon_sym_long] = ACTIONS(1374),
    [anon_sym_short] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_auto] = ACTIONS(1374),
    [anon_sym_register] = ACTIONS(1374),
    [anon_sym_inline] = ACTIONS(1374),
    [anon_sym___inline] = ACTIONS(1374),
    [anon_sym___inline__] = ACTIONS(1374),
    [anon_sym___forceinline] = ACTIONS(1374),
    [anon_sym_thread_local] = ACTIONS(1374),
    [anon_sym___thread] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_constexpr] = ACTIONS(1374),
    [anon_sym_volatile] = ACTIONS(1374),
    [anon_sym_restrict] = ACTIONS(1374),
    [anon_sym___restrict__] = ACTIONS(1374),
    [anon_sym__Atomic] = ACTIONS(1374),
    [anon_sym__Noreturn] = ACTIONS(1374),
    [anon_sym_noreturn] = ACTIONS(1374),
    [sym_primitive_type] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_struct] = ACTIONS(1374),
    [anon_sym_union] = ACTIONS(1374),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_else] = ACTIONS(1374),
    [anon_sym_switch] = ACTIONS(1374),
    [anon_sym_case] = ACTIONS(1374),
    [anon_sym_default] = ACTIONS(1374),
    [anon_sym_while] = ACTIONS(1374),
    [anon_sym_do] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym___try] = ACTIONS(1374),
    [anon_sym___leave] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_sizeof] = ACTIONS(1374),
    [anon_sym___alignof__] = ACTIONS(1374),
    [anon_sym___alignof] = ACTIONS(1374),
    [anon_sym__alignof] = ACTIONS(1374),
    [anon_sym_alignof] = ACTIONS(1374),
    [anon_sym__Alignof] = ACTIONS(1374),
    [anon_sym_offsetof] = ACTIONS(1374),
    [anon_sym__Generic] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym___asm__] = ACTIONS(1374),
    [sym_number_literal] = ACTIONS(1376),
    [anon_sym_L_SQUOTE] = ACTIONS(1376),
    [anon_sym_u_SQUOTE] = ACTIONS(1376),
    [anon_sym_U_SQUOTE] = ACTIONS(1376),
    [anon_sym_u8_SQUOTE] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_L_DQUOTE] = ACTIONS(1376),
    [anon_sym_u_DQUOTE] = ACTIONS(1376),
    [anon_sym_U_DQUOTE] = ACTIONS(1376),
    [anon_sym_u8_DQUOTE] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_NULL] = ACTIONS(1374),
    [anon_sym_nullptr] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_identifier] = ACTIONS(1346),
    [aux_sym_preproc_include_token1] = ACTIONS(1346),
    [aux_sym_preproc_def_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token2] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1346),
    [sym_preproc_directive] = ACTIONS(1346),
    [anon_sym_LPAREN2] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1346),
    [anon_sym_extern] = ACTIONS(1346),
    [anon_sym___attribute__] = ACTIONS(1346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1348),
    [anon_sym___declspec] = ACTIONS(1346),
    [anon_sym___cdecl] = ACTIONS(1346),
    [anon_sym___clrcall] = ACTIONS(1346),
    [anon_sym___stdcall] = ACTIONS(1346),
    [anon_sym___fastcall] = ACTIONS(1346),
    [anon_sym___thiscall] = ACTIONS(1346),
    [anon_sym___vectorcall] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_signed] = ACTIONS(1346),
    [anon_sym_unsigned] = ACTIONS(1346),
    [anon_sym_long] = ACTIONS(1346),
    [anon_sym_short] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1346),
    [anon_sym_auto] = ACTIONS(1346),
    [anon_sym_register] = ACTIONS(1346),
    [anon_sym_inline] = ACTIONS(1346),
    [anon_sym___inline] = ACTIONS(1346),
    [anon_sym___inline__] = ACTIONS(1346),
    [anon_sym___forceinline] = ACTIONS(1346),
    [anon_sym_thread_local] = ACTIONS(1346),
    [anon_sym___thread] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1346),
    [anon_sym_constexpr] = ACTIONS(1346),
    [anon_sym_volatile] = ACTIONS(1346),
    [anon_sym_restrict] = ACTIONS(1346),
    [anon_sym___restrict__] = ACTIONS(1346),
    [anon_sym__Atomic] = ACTIONS(1346),
    [anon_sym__Noreturn] = ACTIONS(1346),
    [anon_sym_noreturn] = ACTIONS(1346),
    [sym_primitive_type] = ACTIONS(1346),
    [anon_sym_enum] = ACTIONS(1346),
    [anon_sym_struct] = ACTIONS(1346),
    [anon_sym_union] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_else] = ACTIONS(1346),
    [anon_sym_switch] = ACTIONS(1346),
    [anon_sym_case] = ACTIONS(1346),
    [anon_sym_default] = ACTIONS(1346),
    [anon_sym_while] = ACTIONS(1346),
    [anon_sym_do] = ACTIONS(1346),
    [anon_sym_for] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1346),
    [anon_sym_break] = ACTIONS(1346),
    [anon_sym_continue] = ACTIONS(1346),
    [anon_sym_goto] = ACTIONS(1346),
    [anon_sym___try] = ACTIONS(1346),
    [anon_sym___leave] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_sizeof] = ACTIONS(1346),
    [anon_sym___alignof__] = ACTIONS(1346),
    [anon_sym___alignof] = ACTIONS(1346),
    [anon_sym__alignof] = ACTIONS(1346),
    [anon_sym_alignof] = ACTIONS(1346),
    [anon_sym__Alignof] = ACTIONS(1346),
    [anon_sym_offsetof] = ACTIONS(1346),
    [anon_sym__Generic] = ACTIONS(1346),
    [anon_sym_asm] = ACTIONS(1346),
    [anon_sym___asm__] = ACTIONS(1346),
    [sym_number_literal] = ACTIONS(1348),
    [anon_sym_L_SQUOTE] = ACTIONS(1348),
    [anon_sym_u_SQUOTE] = ACTIONS(1348),
    [anon_sym_U_SQUOTE] = ACTIONS(1348),
    [anon_sym_u8_SQUOTE] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_L_DQUOTE] = ACTIONS(1348),
    [anon_sym_u_DQUOTE] = ACTIONS(1348),
    [anon_sym_U_DQUOTE] = ACTIONS(1348),
    [anon_sym_u8_DQUOTE] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_NULL] = ACTIONS(1346),
    [anon_sym_nullptr] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [ts_builtin_sym_end] = ACTIONS(1300),
    [sym_identifier] = ACTIONS(1298),
    [aux_sym_preproc_include_token1] = ACTIONS(1298),
    [aux_sym_preproc_def_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1298),
    [sym_preproc_directive] = ACTIONS(1298),
    [anon_sym_LPAREN2] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym___extension__] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1298),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym___attribute__] = ACTIONS(1298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1300),
    [anon_sym___declspec] = ACTIONS(1298),
    [anon_sym___cdecl] = ACTIONS(1298),
    [anon_sym___clrcall] = ACTIONS(1298),
    [anon_sym___stdcall] = ACTIONS(1298),
    [anon_sym___fastcall] = ACTIONS(1298),
    [anon_sym___thiscall] = ACTIONS(1298),
    [anon_sym___vectorcall] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_signed] = ACTIONS(1298),
    [anon_sym_unsigned] = ACTIONS(1298),
    [anon_sym_long] = ACTIONS(1298),
    [anon_sym_short] = ACTIONS(1298),
    [anon_sym_static] = ACTIONS(1298),
    [anon_sym_auto] = ACTIONS(1298),
    [anon_sym_register] = ACTIONS(1298),
    [anon_sym_inline] = ACTIONS(1298),
    [anon_sym___inline] = ACTIONS(1298),
    [anon_sym___inline__] = ACTIONS(1298),
    [anon_sym___forceinline] = ACTIONS(1298),
    [anon_sym_thread_local] = ACTIONS(1298),
    [anon_sym___thread] = ACTIONS(1298),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_constexpr] = ACTIONS(1298),
    [anon_sym_volatile] = ACTIONS(1298),
    [anon_sym_restrict] = ACTIONS(1298),
    [anon_sym___restrict__] = ACTIONS(1298),
    [anon_sym__Atomic] = ACTIONS(1298),
    [anon_sym__Noreturn] = ACTIONS(1298),
    [anon_sym_noreturn] = ACTIONS(1298),
    [sym_primitive_type] = ACTIONS(1298),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_struct] = ACTIONS(1298),
    [anon_sym_union] = ACTIONS(1298),
    [anon_sym_if] = ACTIONS(1298),
    [anon_sym_else] = ACTIONS(1298),
    [anon_sym_switch] = ACTIONS(1298),
    [anon_sym_case] = ACTIONS(1298),
    [anon_sym_default] = ACTIONS(1298),
    [anon_sym_while] = ACTIONS(1298),
    [anon_sym_do] = ACTIONS(1298),
    [anon_sym_for] = ACTIONS(1298),
    [anon_sym_return] = ACTIONS(1298),
    [anon_sym_break] = ACTIONS(1298),
    [anon_sym_continue] = ACTIONS(1298),
    [anon_sym_goto] = ACTIONS(1298),
    [anon_sym___try] = ACTIONS(1298),
    [anon_sym___leave] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_sizeof] = ACTIONS(1298),
    [anon_sym___alignof__] = ACTIONS(1298),
    [anon_sym___alignof] = ACTIONS(1298),
    [anon_sym__alignof] = ACTIONS(1298),
    [anon_sym_alignof] = ACTIONS(1298),
    [anon_sym__Alignof] = ACTIONS(1298),
    [anon_sym_offsetof] = ACTIONS(1298),
    [anon_sym__Generic] = ACTIONS(1298),
    [anon_sym_asm] = ACTIONS(1298),
    [anon_sym___asm__] = ACTIONS(1298),
    [sym_number_literal] = ACTIONS(1300),
    [anon_sym_L_SQUOTE] = ACTIONS(1300),
    [anon_sym_u_SQUOTE] = ACTIONS(1300),
    [anon_sym_U_SQUOTE] = ACTIONS(1300),
    [anon_sym_u8_SQUOTE] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_L_DQUOTE] = ACTIONS(1300),
    [anon_sym_u_DQUOTE] = ACTIONS(1300),
    [anon_sym_U_DQUOTE] = ACTIONS(1300),
    [anon_sym_u8_DQUOTE] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [sym_true] = ACTIONS(1298),
    [sym_false] = ACTIONS(1298),
    [anon_sym_NULL] = ACTIONS(1298),
    [anon_sym_nullptr] = ACTIONS(1298),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_identifier] = ACTIONS(1322),
    [aux_sym_preproc_include_token1] = ACTIONS(1322),
    [aux_sym_preproc_def_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1322),
    [sym_preproc_directive] = ACTIONS(1322),
    [anon_sym_LPAREN2] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1324),
    [anon_sym_AMP] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1322),
    [anon_sym_extern] = ACTIONS(1322),
    [anon_sym___attribute__] = ACTIONS(1322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1324),
    [anon_sym___declspec] = ACTIONS(1322),
    [anon_sym___cdecl] = ACTIONS(1322),
    [anon_sym___clrcall] = ACTIONS(1322),
    [anon_sym___stdcall] = ACTIONS(1322),
    [anon_sym___fastcall] = ACTIONS(1322),
    [anon_sym___thiscall] = ACTIONS(1322),
    [anon_sym___vectorcall] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1322),
    [anon_sym_unsigned] = ACTIONS(1322),
    [anon_sym_long] = ACTIONS(1322),
    [anon_sym_short] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1322),
    [anon_sym_auto] = ACTIONS(1322),
    [anon_sym_register] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1322),
    [anon_sym___inline] = ACTIONS(1322),
    [anon_sym___inline__] = ACTIONS(1322),
    [anon_sym___forceinline] = ACTIONS(1322),
    [anon_sym_thread_local] = ACTIONS(1322),
    [anon_sym___thread] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_constexpr] = ACTIONS(1322),
    [anon_sym_volatile] = ACTIONS(1322),
    [anon_sym_restrict] = ACTIONS(1322),
    [anon_sym___restrict__] = ACTIONS(1322),
    [anon_sym__Atomic] = ACTIONS(1322),
    [anon_sym__Noreturn] = ACTIONS(1322),
    [anon_sym_noreturn] = ACTIONS(1322),
    [sym_primitive_type] = ACTIONS(1322),
    [anon_sym_enum] = ACTIONS(1322),
    [anon_sym_struct] = ACTIONS(1322),
    [anon_sym_union] = ACTIONS(1322),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_else] = ACTIONS(1322),
    [anon_sym_switch] = ACTIONS(1322),
    [anon_sym_case] = ACTIONS(1322),
    [anon_sym_default] = ACTIONS(1322),
    [anon_sym_while] = ACTIONS(1322),
    [anon_sym_do] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_goto] = ACTIONS(1322),
    [anon_sym___try] = ACTIONS(1322),
    [anon_sym___leave] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_sizeof] = ACTIONS(1322),
    [anon_sym___alignof__] = ACTIONS(1322),
    [anon_sym___alignof] = ACTIONS(1322),
    [anon_sym__alignof] = ACTIONS(1322),
    [anon_sym_alignof] = ACTIONS(1322),
    [anon_sym__Alignof] = ACTIONS(1322),
    [anon_sym_offsetof] = ACTIONS(1322),
    [anon_sym__Generic] = ACTIONS(1322),
    [anon_sym_asm] = ACTIONS(1322),
    [anon_sym___asm__] = ACTIONS(1322),
    [sym_number_literal] = ACTIONS(1324),
    [anon_sym_L_SQUOTE] = ACTIONS(1324),
    [anon_sym_u_SQUOTE] = ACTIONS(1324),
    [anon_sym_U_SQUOTE] = ACTIONS(1324),
    [anon_sym_u8_SQUOTE] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_L_DQUOTE] = ACTIONS(1324),
    [anon_sym_u_DQUOTE] = ACTIONS(1324),
    [anon_sym_U_DQUOTE] = ACTIONS(1324),
    [anon_sym_u8_DQUOTE] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_NULL] = ACTIONS(1322),
    [anon_sym_nullptr] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [ts_builtin_sym_end] = ACTIONS(1328),
    [sym_identifier] = ACTIONS(1326),
    [aux_sym_preproc_include_token1] = ACTIONS(1326),
    [aux_sym_preproc_def_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1326),
    [sym_preproc_directive] = ACTIONS(1326),
    [anon_sym_LPAREN2] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1328),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1326),
    [anon_sym_extern] = ACTIONS(1326),
    [anon_sym___attribute__] = ACTIONS(1326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1328),
    [anon_sym___declspec] = ACTIONS(1326),
    [anon_sym___cdecl] = ACTIONS(1326),
    [anon_sym___clrcall] = ACTIONS(1326),
    [anon_sym___stdcall] = ACTIONS(1326),
    [anon_sym___fastcall] = ACTIONS(1326),
    [anon_sym___thiscall] = ACTIONS(1326),
    [anon_sym___vectorcall] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_signed] = ACTIONS(1326),
    [anon_sym_unsigned] = ACTIONS(1326),
    [anon_sym_long] = ACTIONS(1326),
    [anon_sym_short] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1326),
    [anon_sym_auto] = ACTIONS(1326),
    [anon_sym_register] = ACTIONS(1326),
    [anon_sym_inline] = ACTIONS(1326),
    [anon_sym___inline] = ACTIONS(1326),
    [anon_sym___inline__] = ACTIONS(1326),
    [anon_sym___forceinline] = ACTIONS(1326),
    [anon_sym_thread_local] = ACTIONS(1326),
    [anon_sym___thread] = ACTIONS(1326),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_constexpr] = ACTIONS(1326),
    [anon_sym_volatile] = ACTIONS(1326),
    [anon_sym_restrict] = ACTIONS(1326),
    [anon_sym___restrict__] = ACTIONS(1326),
    [anon_sym__Atomic] = ACTIONS(1326),
    [anon_sym__Noreturn] = ACTIONS(1326),
    [anon_sym_noreturn] = ACTIONS(1326),
    [sym_primitive_type] = ACTIONS(1326),
    [anon_sym_enum] = ACTIONS(1326),
    [anon_sym_struct] = ACTIONS(1326),
    [anon_sym_union] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1326),
    [anon_sym_else] = ACTIONS(1326),
    [anon_sym_switch] = ACTIONS(1326),
    [anon_sym_case] = ACTIONS(1326),
    [anon_sym_default] = ACTIONS(1326),
    [anon_sym_while] = ACTIONS(1326),
    [anon_sym_do] = ACTIONS(1326),
    [anon_sym_for] = ACTIONS(1326),
    [anon_sym_return] = ACTIONS(1326),
    [anon_sym_break] = ACTIONS(1326),
    [anon_sym_continue] = ACTIONS(1326),
    [anon_sym_goto] = ACTIONS(1326),
    [anon_sym___try] = ACTIONS(1326),
    [anon_sym___leave] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_sizeof] = ACTIONS(1326),
    [anon_sym___alignof__] = ACTIONS(1326),
    [anon_sym___alignof] = ACTIONS(1326),
    [anon_sym__alignof] = ACTIONS(1326),
    [anon_sym_alignof] = ACTIONS(1326),
    [anon_sym__Alignof] = ACTIONS(1326),
    [anon_sym_offsetof] = ACTIONS(1326),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1326),
    [anon_sym___asm__] = ACTIONS(1326),
    [sym_number_literal] = ACTIONS(1328),
    [anon_sym_L_SQUOTE] = ACTIONS(1328),
    [anon_sym_u_SQUOTE] = ACTIONS(1328),
    [anon_sym_U_SQUOTE] = ACTIONS(1328),
    [anon_sym_u8_SQUOTE] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_L_DQUOTE] = ACTIONS(1328),
    [anon_sym_u_DQUOTE] = ACTIONS(1328),
    [anon_sym_U_DQUOTE] = ACTIONS(1328),
    [anon_sym_u8_DQUOTE] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [sym_true] = ACTIONS(1326),
    [sym_false] = ACTIONS(1326),
    [anon_sym_NULL] = ACTIONS(1326),
    [anon_sym_nullptr] = ACTIONS(1326),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_identifier] = ACTIONS(1382),
    [aux_sym_preproc_include_token1] = ACTIONS(1382),
    [aux_sym_preproc_def_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1382),
    [sym_preproc_directive] = ACTIONS(1382),
    [anon_sym_LPAREN2] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym___extension__] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1382),
    [anon_sym_extern] = ACTIONS(1382),
    [anon_sym___attribute__] = ACTIONS(1382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1384),
    [anon_sym___declspec] = ACTIONS(1382),
    [anon_sym___cdecl] = ACTIONS(1382),
    [anon_sym___clrcall] = ACTIONS(1382),
    [anon_sym___stdcall] = ACTIONS(1382),
    [anon_sym___fastcall] = ACTIONS(1382),
    [anon_sym___thiscall] = ACTIONS(1382),
    [anon_sym___vectorcall] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [anon_sym_signed] = ACTIONS(1382),
    [anon_sym_unsigned] = ACTIONS(1382),
    [anon_sym_long] = ACTIONS(1382),
    [anon_sym_short] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1382),
    [anon_sym_auto] = ACTIONS(1382),
    [anon_sym_register] = ACTIONS(1382),
    [anon_sym_inline] = ACTIONS(1382),
    [anon_sym___inline] = ACTIONS(1382),
    [anon_sym___inline__] = ACTIONS(1382),
    [anon_sym___forceinline] = ACTIONS(1382),
    [anon_sym_thread_local] = ACTIONS(1382),
    [anon_sym___thread] = ACTIONS(1382),
    [anon_sym_const] = ACTIONS(1382),
    [anon_sym_constexpr] = ACTIONS(1382),
    [anon_sym_volatile] = ACTIONS(1382),
    [anon_sym_restrict] = ACTIONS(1382),
    [anon_sym___restrict__] = ACTIONS(1382),
    [anon_sym__Atomic] = ACTIONS(1382),
    [anon_sym__Noreturn] = ACTIONS(1382),
    [anon_sym_noreturn] = ACTIONS(1382),
    [sym_primitive_type] = ACTIONS(1382),
    [anon_sym_enum] = ACTIONS(1382),
    [anon_sym_struct] = ACTIONS(1382),
    [anon_sym_union] = ACTIONS(1382),
    [anon_sym_if] = ACTIONS(1382),
    [anon_sym_else] = ACTIONS(1382),
    [anon_sym_switch] = ACTIONS(1382),
    [anon_sym_case] = ACTIONS(1382),
    [anon_sym_default] = ACTIONS(1382),
    [anon_sym_while] = ACTIONS(1382),
    [anon_sym_do] = ACTIONS(1382),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_break] = ACTIONS(1382),
    [anon_sym_continue] = ACTIONS(1382),
    [anon_sym_goto] = ACTIONS(1382),
    [anon_sym___try] = ACTIONS(1382),
    [anon_sym___leave] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_sizeof] = ACTIONS(1382),
    [anon_sym___alignof__] = ACTIONS(1382),
    [anon_sym___alignof] = ACTIONS(1382),
    [anon_sym__alignof] = ACTIONS(1382),
    [anon_sym_alignof] = ACTIONS(1382),
    [anon_sym__Alignof] = ACTIONS(1382),
    [anon_sym_offsetof] = ACTIONS(1382),
    [anon_sym__Generic] = ACTIONS(1382),
    [anon_sym_asm] = ACTIONS(1382),
    [anon_sym___asm__] = ACTIONS(1382),
    [sym_number_literal] = ACTIONS(1384),
    [anon_sym_L_SQUOTE] = ACTIONS(1384),
    [anon_sym_u_SQUOTE] = ACTIONS(1384),
    [anon_sym_U_SQUOTE] = ACTIONS(1384),
    [anon_sym_u8_SQUOTE] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_L_DQUOTE] = ACTIONS(1384),
    [anon_sym_u_DQUOTE] = ACTIONS(1384),
    [anon_sym_U_DQUOTE] = ACTIONS(1384),
    [anon_sym_u8_DQUOTE] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [sym_true] = ACTIONS(1382),
    [sym_false] = ACTIONS(1382),
    [anon_sym_NULL] = ACTIONS(1382),
    [anon_sym_nullptr] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_identifier] = ACTIONS(1386),
    [aux_sym_preproc_include_token1] = ACTIONS(1386),
    [aux_sym_preproc_def_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1386),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1386),
    [anon_sym_extern] = ACTIONS(1386),
    [anon_sym___attribute__] = ACTIONS(1386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1388),
    [anon_sym___declspec] = ACTIONS(1386),
    [anon_sym___cdecl] = ACTIONS(1386),
    [anon_sym___clrcall] = ACTIONS(1386),
    [anon_sym___stdcall] = ACTIONS(1386),
    [anon_sym___fastcall] = ACTIONS(1386),
    [anon_sym___thiscall] = ACTIONS(1386),
    [anon_sym___vectorcall] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [anon_sym_signed] = ACTIONS(1386),
    [anon_sym_unsigned] = ACTIONS(1386),
    [anon_sym_long] = ACTIONS(1386),
    [anon_sym_short] = ACTIONS(1386),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_auto] = ACTIONS(1386),
    [anon_sym_register] = ACTIONS(1386),
    [anon_sym_inline] = ACTIONS(1386),
    [anon_sym___inline] = ACTIONS(1386),
    [anon_sym___inline__] = ACTIONS(1386),
    [anon_sym___forceinline] = ACTIONS(1386),
    [anon_sym_thread_local] = ACTIONS(1386),
    [anon_sym___thread] = ACTIONS(1386),
    [anon_sym_const] = ACTIONS(1386),
    [anon_sym_constexpr] = ACTIONS(1386),
    [anon_sym_volatile] = ACTIONS(1386),
    [anon_sym_restrict] = ACTIONS(1386),
    [anon_sym___restrict__] = ACTIONS(1386),
    [anon_sym__Atomic] = ACTIONS(1386),
    [anon_sym__Noreturn] = ACTIONS(1386),
    [anon_sym_noreturn] = ACTIONS(1386),
    [sym_primitive_type] = ACTIONS(1386),
    [anon_sym_enum] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(1386),
    [anon_sym_union] = ACTIONS(1386),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_else] = ACTIONS(1386),
    [anon_sym_switch] = ACTIONS(1386),
    [anon_sym_case] = ACTIONS(1386),
    [anon_sym_default] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_for] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_continue] = ACTIONS(1386),
    [anon_sym_goto] = ACTIONS(1386),
    [anon_sym___try] = ACTIONS(1386),
    [anon_sym___leave] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(1386),
    [anon_sym___alignof__] = ACTIONS(1386),
    [anon_sym___alignof] = ACTIONS(1386),
    [anon_sym__alignof] = ACTIONS(1386),
    [anon_sym_alignof] = ACTIONS(1386),
    [anon_sym__Alignof] = ACTIONS(1386),
    [anon_sym_offsetof] = ACTIONS(1386),
    [anon_sym__Generic] = ACTIONS(1386),
    [anon_sym_asm] = ACTIONS(1386),
    [anon_sym___asm__] = ACTIONS(1386),
    [sym_number_literal] = ACTIONS(1388),
    [anon_sym_L_SQUOTE] = ACTIONS(1388),
    [anon_sym_u_SQUOTE] = ACTIONS(1388),
    [anon_sym_U_SQUOTE] = ACTIONS(1388),
    [anon_sym_u8_SQUOTE] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_L_DQUOTE] = ACTIONS(1388),
    [anon_sym_u_DQUOTE] = ACTIONS(1388),
    [anon_sym_U_DQUOTE] = ACTIONS(1388),
    [anon_sym_u8_DQUOTE] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [sym_true] = ACTIONS(1386),
    [sym_false] = ACTIONS(1386),
    [anon_sym_NULL] = ACTIONS(1386),
    [anon_sym_nullptr] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_identifier] = ACTIONS(1370),
    [aux_sym_preproc_include_token1] = ACTIONS(1370),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token2] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1370),
    [sym_preproc_directive] = ACTIONS(1370),
    [anon_sym_LPAREN2] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1372),
    [anon_sym___extension__] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1370),
    [anon_sym_extern] = ACTIONS(1370),
    [anon_sym___attribute__] = ACTIONS(1370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1372),
    [anon_sym___declspec] = ACTIONS(1370),
    [anon_sym___cdecl] = ACTIONS(1370),
    [anon_sym___clrcall] = ACTIONS(1370),
    [anon_sym___stdcall] = ACTIONS(1370),
    [anon_sym___fastcall] = ACTIONS(1370),
    [anon_sym___thiscall] = ACTIONS(1370),
    [anon_sym___vectorcall] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_signed] = ACTIONS(1370),
    [anon_sym_unsigned] = ACTIONS(1370),
    [anon_sym_long] = ACTIONS(1370),
    [anon_sym_short] = ACTIONS(1370),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_auto] = ACTIONS(1370),
    [anon_sym_register] = ACTIONS(1370),
    [anon_sym_inline] = ACTIONS(1370),
    [anon_sym___inline] = ACTIONS(1370),
    [anon_sym___inline__] = ACTIONS(1370),
    [anon_sym___forceinline] = ACTIONS(1370),
    [anon_sym_thread_local] = ACTIONS(1370),
    [anon_sym___thread] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1370),
    [anon_sym_constexpr] = ACTIONS(1370),
    [anon_sym_volatile] = ACTIONS(1370),
    [anon_sym_restrict] = ACTIONS(1370),
    [anon_sym___restrict__] = ACTIONS(1370),
    [anon_sym__Atomic] = ACTIONS(1370),
    [anon_sym__Noreturn] = ACTIONS(1370),
    [anon_sym_noreturn] = ACTIONS(1370),
    [sym_primitive_type] = ACTIONS(1370),
    [anon_sym_enum] = ACTIONS(1370),
    [anon_sym_struct] = ACTIONS(1370),
    [anon_sym_union] = ACTIONS(1370),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_else] = ACTIONS(1370),
    [anon_sym_switch] = ACTIONS(1370),
    [anon_sym_case] = ACTIONS(1370),
    [anon_sym_default] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_do] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1370),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1370),
    [anon_sym_continue] = ACTIONS(1370),
    [anon_sym_goto] = ACTIONS(1370),
    [anon_sym___try] = ACTIONS(1370),
    [anon_sym___leave] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_sizeof] = ACTIONS(1370),
    [anon_sym___alignof__] = ACTIONS(1370),
    [anon_sym___alignof] = ACTIONS(1370),
    [anon_sym__alignof] = ACTIONS(1370),
    [anon_sym_alignof] = ACTIONS(1370),
    [anon_sym__Alignof] = ACTIONS(1370),
    [anon_sym_offsetof] = ACTIONS(1370),
    [anon_sym__Generic] = ACTIONS(1370),
    [anon_sym_asm] = ACTIONS(1370),
    [anon_sym___asm__] = ACTIONS(1370),
    [sym_number_literal] = ACTIONS(1372),
    [anon_sym_L_SQUOTE] = ACTIONS(1372),
    [anon_sym_u_SQUOTE] = ACTIONS(1372),
    [anon_sym_U_SQUOTE] = ACTIONS(1372),
    [anon_sym_u8_SQUOTE] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_L_DQUOTE] = ACTIONS(1372),
    [anon_sym_u_DQUOTE] = ACTIONS(1372),
    [anon_sym_U_DQUOTE] = ACTIONS(1372),
    [anon_sym_u8_DQUOTE] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_NULL] = ACTIONS(1370),
    [anon_sym_nullptr] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [ts_builtin_sym_end] = ACTIONS(1352),
    [sym_identifier] = ACTIONS(1350),
    [aux_sym_preproc_include_token1] = ACTIONS(1350),
    [aux_sym_preproc_def_token1] = ACTIONS(1350),
    [aux_sym_preproc_if_token1] = ACTIONS(1350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1350),
    [sym_preproc_directive] = ACTIONS(1350),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_STAR] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1352),
    [anon_sym___extension__] = ACTIONS(1350),
    [anon_sym_typedef] = ACTIONS(1350),
    [anon_sym_extern] = ACTIONS(1350),
    [anon_sym___attribute__] = ACTIONS(1350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1352),
    [anon_sym___declspec] = ACTIONS(1350),
    [anon_sym___cdecl] = ACTIONS(1350),
    [anon_sym___clrcall] = ACTIONS(1350),
    [anon_sym___stdcall] = ACTIONS(1350),
    [anon_sym___fastcall] = ACTIONS(1350),
    [anon_sym___thiscall] = ACTIONS(1350),
    [anon_sym___vectorcall] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_signed] = ACTIONS(1350),
    [anon_sym_unsigned] = ACTIONS(1350),
    [anon_sym_long] = ACTIONS(1350),
    [anon_sym_short] = ACTIONS(1350),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_auto] = ACTIONS(1350),
    [anon_sym_register] = ACTIONS(1350),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym___inline] = ACTIONS(1350),
    [anon_sym___inline__] = ACTIONS(1350),
    [anon_sym___forceinline] = ACTIONS(1350),
    [anon_sym_thread_local] = ACTIONS(1350),
    [anon_sym___thread] = ACTIONS(1350),
    [anon_sym_const] = ACTIONS(1350),
    [anon_sym_constexpr] = ACTIONS(1350),
    [anon_sym_volatile] = ACTIONS(1350),
    [anon_sym_restrict] = ACTIONS(1350),
    [anon_sym___restrict__] = ACTIONS(1350),
    [anon_sym__Atomic] = ACTIONS(1350),
    [anon_sym__Noreturn] = ACTIONS(1350),
    [anon_sym_noreturn] = ACTIONS(1350),
    [sym_primitive_type] = ACTIONS(1350),
    [anon_sym_enum] = ACTIONS(1350),
    [anon_sym_struct] = ACTIONS(1350),
    [anon_sym_union] = ACTIONS(1350),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_else] = ACTIONS(1350),
    [anon_sym_switch] = ACTIONS(1350),
    [anon_sym_case] = ACTIONS(1350),
    [anon_sym_default] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1350),
    [anon_sym_do] = ACTIONS(1350),
    [anon_sym_for] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1350),
    [anon_sym_break] = ACTIONS(1350),
    [anon_sym_continue] = ACTIONS(1350),
    [anon_sym_goto] = ACTIONS(1350),
    [anon_sym___try] = ACTIONS(1350),
    [anon_sym___leave] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_sizeof] = ACTIONS(1350),
    [anon_sym___alignof__] = ACTIONS(1350),
    [anon_sym___alignof] = ACTIONS(1350),
    [anon_sym__alignof] = ACTIONS(1350),
    [anon_sym_alignof] = ACTIONS(1350),
    [anon_sym__Alignof] = ACTIONS(1350),
    [anon_sym_offsetof] = ACTIONS(1350),
    [anon_sym__Generic] = ACTIONS(1350),
    [anon_sym_asm] = ACTIONS(1350),
    [anon_sym___asm__] = ACTIONS(1350),
    [sym_number_literal] = ACTIONS(1352),
    [anon_sym_L_SQUOTE] = ACTIONS(1352),
    [anon_sym_u_SQUOTE] = ACTIONS(1352),
    [anon_sym_U_SQUOTE] = ACTIONS(1352),
    [anon_sym_u8_SQUOTE] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_L_DQUOTE] = ACTIONS(1352),
    [anon_sym_u_DQUOTE] = ACTIONS(1352),
    [anon_sym_U_DQUOTE] = ACTIONS(1352),
    [anon_sym_u8_DQUOTE] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [sym_true] = ACTIONS(1350),
    [sym_false] = ACTIONS(1350),
    [anon_sym_NULL] = ACTIONS(1350),
    [anon_sym_nullptr] = ACTIONS(1350),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_identifier] = ACTIONS(1302),
    [aux_sym_preproc_include_token1] = ACTIONS(1302),
    [aux_sym_preproc_def_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token2] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1302),
    [sym_preproc_directive] = ACTIONS(1302),
    [anon_sym_LPAREN2] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1304),
    [anon_sym_AMP] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1304),
    [anon_sym___extension__] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1302),
    [anon_sym_extern] = ACTIONS(1302),
    [anon_sym___attribute__] = ACTIONS(1302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1304),
    [anon_sym___declspec] = ACTIONS(1302),
    [anon_sym___cdecl] = ACTIONS(1302),
    [anon_sym___clrcall] = ACTIONS(1302),
    [anon_sym___stdcall] = ACTIONS(1302),
    [anon_sym___fastcall] = ACTIONS(1302),
    [anon_sym___thiscall] = ACTIONS(1302),
    [anon_sym___vectorcall] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_signed] = ACTIONS(1302),
    [anon_sym_unsigned] = ACTIONS(1302),
    [anon_sym_long] = ACTIONS(1302),
    [anon_sym_short] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1302),
    [anon_sym_auto] = ACTIONS(1302),
    [anon_sym_register] = ACTIONS(1302),
    [anon_sym_inline] = ACTIONS(1302),
    [anon_sym___inline] = ACTIONS(1302),
    [anon_sym___inline__] = ACTIONS(1302),
    [anon_sym___forceinline] = ACTIONS(1302),
    [anon_sym_thread_local] = ACTIONS(1302),
    [anon_sym___thread] = ACTIONS(1302),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_constexpr] = ACTIONS(1302),
    [anon_sym_volatile] = ACTIONS(1302),
    [anon_sym_restrict] = ACTIONS(1302),
    [anon_sym___restrict__] = ACTIONS(1302),
    [anon_sym__Atomic] = ACTIONS(1302),
    [anon_sym__Noreturn] = ACTIONS(1302),
    [anon_sym_noreturn] = ACTIONS(1302),
    [sym_primitive_type] = ACTIONS(1302),
    [anon_sym_enum] = ACTIONS(1302),
    [anon_sym_struct] = ACTIONS(1302),
    [anon_sym_union] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1302),
    [anon_sym_else] = ACTIONS(1302),
    [anon_sym_switch] = ACTIONS(1302),
    [anon_sym_case] = ACTIONS(1302),
    [anon_sym_default] = ACTIONS(1302),
    [anon_sym_while] = ACTIONS(1302),
    [anon_sym_do] = ACTIONS(1302),
    [anon_sym_for] = ACTIONS(1302),
    [anon_sym_return] = ACTIONS(1302),
    [anon_sym_break] = ACTIONS(1302),
    [anon_sym_continue] = ACTIONS(1302),
    [anon_sym_goto] = ACTIONS(1302),
    [anon_sym___try] = ACTIONS(1302),
    [anon_sym___leave] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [anon_sym_sizeof] = ACTIONS(1302),
    [anon_sym___alignof__] = ACTIONS(1302),
    [anon_sym___alignof] = ACTIONS(1302),
    [anon_sym__alignof] = ACTIONS(1302),
    [anon_sym_alignof] = ACTIONS(1302),
    [anon_sym__Alignof] = ACTIONS(1302),
    [anon_sym_offsetof] = ACTIONS(1302),
    [anon_sym__Generic] = ACTIONS(1302),
    [anon_sym_asm] = ACTIONS(1302),
    [anon_sym___asm__] = ACTIONS(1302),
    [sym_number_literal] = ACTIONS(1304),
    [anon_sym_L_SQUOTE] = ACTIONS(1304),
    [anon_sym_u_SQUOTE] = ACTIONS(1304),
    [anon_sym_U_SQUOTE] = ACTIONS(1304),
    [anon_sym_u8_SQUOTE] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_L_DQUOTE] = ACTIONS(1304),
    [anon_sym_u_DQUOTE] = ACTIONS(1304),
    [anon_sym_U_DQUOTE] = ACTIONS(1304),
    [anon_sym_u8_DQUOTE] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [sym_true] = ACTIONS(1302),
    [sym_false] = ACTIONS(1302),
    [anon_sym_NULL] = ACTIONS(1302),
    [anon_sym_nullptr] = ACTIONS(1302),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token2] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym___extension__] = ACTIONS(1308),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym___inline] = ACTIONS(1308),
    [anon_sym___inline__] = ACTIONS(1308),
    [anon_sym___forceinline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym___thread] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_else] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym___try] = ACTIONS(1308),
    [anon_sym___leave] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym___alignof__] = ACTIONS(1308),
    [anon_sym___alignof] = ACTIONS(1308),
    [anon_sym__alignof] = ACTIONS(1308),
    [anon_sym_alignof] = ACTIONS(1308),
    [anon_sym__Alignof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_identifier] = ACTIONS(1366),
    [aux_sym_preproc_include_token1] = ACTIONS(1366),
    [aux_sym_preproc_def_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token2] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1366),
    [sym_preproc_directive] = ACTIONS(1366),
    [anon_sym_LPAREN2] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym___extension__] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1366),
    [anon_sym_extern] = ACTIONS(1366),
    [anon_sym___attribute__] = ACTIONS(1366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1368),
    [anon_sym___declspec] = ACTIONS(1366),
    [anon_sym___cdecl] = ACTIONS(1366),
    [anon_sym___clrcall] = ACTIONS(1366),
    [anon_sym___stdcall] = ACTIONS(1366),
    [anon_sym___fastcall] = ACTIONS(1366),
    [anon_sym___thiscall] = ACTIONS(1366),
    [anon_sym___vectorcall] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_signed] = ACTIONS(1366),
    [anon_sym_unsigned] = ACTIONS(1366),
    [anon_sym_long] = ACTIONS(1366),
    [anon_sym_short] = ACTIONS(1366),
    [anon_sym_static] = ACTIONS(1366),
    [anon_sym_auto] = ACTIONS(1366),
    [anon_sym_register] = ACTIONS(1366),
    [anon_sym_inline] = ACTIONS(1366),
    [anon_sym___inline] = ACTIONS(1366),
    [anon_sym___inline__] = ACTIONS(1366),
    [anon_sym___forceinline] = ACTIONS(1366),
    [anon_sym_thread_local] = ACTIONS(1366),
    [anon_sym___thread] = ACTIONS(1366),
    [anon_sym_const] = ACTIONS(1366),
    [anon_sym_constexpr] = ACTIONS(1366),
    [anon_sym_volatile] = ACTIONS(1366),
    [anon_sym_restrict] = ACTIONS(1366),
    [anon_sym___restrict__] = ACTIONS(1366),
    [anon_sym__Atomic] = ACTIONS(1366),
    [anon_sym__Noreturn] = ACTIONS(1366),
    [anon_sym_noreturn] = ACTIONS(1366),
    [sym_primitive_type] = ACTIONS(1366),
    [anon_sym_enum] = ACTIONS(1366),
    [anon_sym_struct] = ACTIONS(1366),
    [anon_sym_union] = ACTIONS(1366),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_else] = ACTIONS(1366),
    [anon_sym_switch] = ACTIONS(1366),
    [anon_sym_case] = ACTIONS(1366),
    [anon_sym_default] = ACTIONS(1366),
    [anon_sym_while] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1366),
    [anon_sym_for] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_break] = ACTIONS(1366),
    [anon_sym_continue] = ACTIONS(1366),
    [anon_sym_goto] = ACTIONS(1366),
    [anon_sym___try] = ACTIONS(1366),
    [anon_sym___leave] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_sizeof] = ACTIONS(1366),
    [anon_sym___alignof__] = ACTIONS(1366),
    [anon_sym___alignof] = ACTIONS(1366),
    [anon_sym__alignof] = ACTIONS(1366),
    [anon_sym_alignof] = ACTIONS(1366),
    [anon_sym__Alignof] = ACTIONS(1366),
    [anon_sym_offsetof] = ACTIONS(1366),
    [anon_sym__Generic] = ACTIONS(1366),
    [anon_sym_asm] = ACTIONS(1366),
    [anon_sym___asm__] = ACTIONS(1366),
    [sym_number_literal] = ACTIONS(1368),
    [anon_sym_L_SQUOTE] = ACTIONS(1368),
    [anon_sym_u_SQUOTE] = ACTIONS(1368),
    [anon_sym_U_SQUOTE] = ACTIONS(1368),
    [anon_sym_u8_SQUOTE] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_L_DQUOTE] = ACTIONS(1368),
    [anon_sym_u_DQUOTE] = ACTIONS(1368),
    [anon_sym_U_DQUOTE] = ACTIONS(1368),
    [anon_sym_u8_DQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_NULL] = ACTIONS(1366),
    [anon_sym_nullptr] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_identifier] = ACTIONS(1362),
    [aux_sym_preproc_include_token1] = ACTIONS(1362),
    [aux_sym_preproc_def_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token2] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1362),
    [sym_preproc_directive] = ACTIONS(1362),
    [anon_sym_LPAREN2] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [anon_sym___extension__] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1362),
    [anon_sym_extern] = ACTIONS(1362),
    [anon_sym___attribute__] = ACTIONS(1362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1364),
    [anon_sym___declspec] = ACTIONS(1362),
    [anon_sym___cdecl] = ACTIONS(1362),
    [anon_sym___clrcall] = ACTIONS(1362),
    [anon_sym___stdcall] = ACTIONS(1362),
    [anon_sym___fastcall] = ACTIONS(1362),
    [anon_sym___thiscall] = ACTIONS(1362),
    [anon_sym___vectorcall] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_signed] = ACTIONS(1362),
    [anon_sym_unsigned] = ACTIONS(1362),
    [anon_sym_long] = ACTIONS(1362),
    [anon_sym_short] = ACTIONS(1362),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_auto] = ACTIONS(1362),
    [anon_sym_register] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(1362),
    [anon_sym___inline] = ACTIONS(1362),
    [anon_sym___inline__] = ACTIONS(1362),
    [anon_sym___forceinline] = ACTIONS(1362),
    [anon_sym_thread_local] = ACTIONS(1362),
    [anon_sym___thread] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(1362),
    [anon_sym_constexpr] = ACTIONS(1362),
    [anon_sym_volatile] = ACTIONS(1362),
    [anon_sym_restrict] = ACTIONS(1362),
    [anon_sym___restrict__] = ACTIONS(1362),
    [anon_sym__Atomic] = ACTIONS(1362),
    [anon_sym__Noreturn] = ACTIONS(1362),
    [anon_sym_noreturn] = ACTIONS(1362),
    [sym_primitive_type] = ACTIONS(1362),
    [anon_sym_enum] = ACTIONS(1362),
    [anon_sym_struct] = ACTIONS(1362),
    [anon_sym_union] = ACTIONS(1362),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_else] = ACTIONS(1362),
    [anon_sym_switch] = ACTIONS(1362),
    [anon_sym_case] = ACTIONS(1362),
    [anon_sym_default] = ACTIONS(1362),
    [anon_sym_while] = ACTIONS(1362),
    [anon_sym_do] = ACTIONS(1362),
    [anon_sym_for] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_continue] = ACTIONS(1362),
    [anon_sym_goto] = ACTIONS(1362),
    [anon_sym___try] = ACTIONS(1362),
    [anon_sym___leave] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(1362),
    [anon_sym___alignof] = ACTIONS(1362),
    [anon_sym__alignof] = ACTIONS(1362),
    [anon_sym_alignof] = ACTIONS(1362),
    [anon_sym__Alignof] = ACTIONS(1362),
    [anon_sym_offsetof] = ACTIONS(1362),
    [anon_sym__Generic] = ACTIONS(1362),
    [anon_sym_asm] = ACTIONS(1362),
    [anon_sym___asm__] = ACTIONS(1362),
    [sym_number_literal] = ACTIONS(1364),
    [anon_sym_L_SQUOTE] = ACTIONS(1364),
    [anon_sym_u_SQUOTE] = ACTIONS(1364),
    [anon_sym_U_SQUOTE] = ACTIONS(1364),
    [anon_sym_u8_SQUOTE] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_L_DQUOTE] = ACTIONS(1364),
    [anon_sym_u_DQUOTE] = ACTIONS(1364),
    [anon_sym_U_DQUOTE] = ACTIONS(1364),
    [anon_sym_u8_DQUOTE] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_NULL] = ACTIONS(1362),
    [anon_sym_nullptr] = ACTIONS(1362),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token2] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym___extension__] = ACTIONS(1394),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym___inline] = ACTIONS(1394),
    [anon_sym___inline__] = ACTIONS(1394),
    [anon_sym___forceinline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym___thread] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym___try] = ACTIONS(1394),
    [anon_sym___leave] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym___alignof__] = ACTIONS(1394),
    [anon_sym___alignof] = ACTIONS(1394),
    [anon_sym__alignof] = ACTIONS(1394),
    [anon_sym_alignof] = ACTIONS(1394),
    [anon_sym__Alignof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token2] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym___extension__] = ACTIONS(1398),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym___inline] = ACTIONS(1398),
    [anon_sym___inline__] = ACTIONS(1398),
    [anon_sym___forceinline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym___thread] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_else] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym___try] = ACTIONS(1398),
    [anon_sym___leave] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym___alignof__] = ACTIONS(1398),
    [anon_sym___alignof] = ACTIONS(1398),
    [anon_sym__alignof] = ACTIONS(1398),
    [anon_sym_alignof] = ACTIONS(1398),
    [anon_sym__Alignof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_identifier] = ACTIONS(1358),
    [aux_sym_preproc_include_token1] = ACTIONS(1358),
    [aux_sym_preproc_def_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token2] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1358),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1358),
    [anon_sym_extern] = ACTIONS(1358),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1360),
    [anon_sym___declspec] = ACTIONS(1358),
    [anon_sym___cdecl] = ACTIONS(1358),
    [anon_sym___clrcall] = ACTIONS(1358),
    [anon_sym___stdcall] = ACTIONS(1358),
    [anon_sym___fastcall] = ACTIONS(1358),
    [anon_sym___thiscall] = ACTIONS(1358),
    [anon_sym___vectorcall] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1358),
    [anon_sym_unsigned] = ACTIONS(1358),
    [anon_sym_long] = ACTIONS(1358),
    [anon_sym_short] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1358),
    [anon_sym_auto] = ACTIONS(1358),
    [anon_sym_register] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1358),
    [anon_sym___inline] = ACTIONS(1358),
    [anon_sym___inline__] = ACTIONS(1358),
    [anon_sym___forceinline] = ACTIONS(1358),
    [anon_sym_thread_local] = ACTIONS(1358),
    [anon_sym___thread] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_constexpr] = ACTIONS(1358),
    [anon_sym_volatile] = ACTIONS(1358),
    [anon_sym_restrict] = ACTIONS(1358),
    [anon_sym___restrict__] = ACTIONS(1358),
    [anon_sym__Atomic] = ACTIONS(1358),
    [anon_sym__Noreturn] = ACTIONS(1358),
    [anon_sym_noreturn] = ACTIONS(1358),
    [sym_primitive_type] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_else] = ACTIONS(1358),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1358),
    [anon_sym_default] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1358),
    [anon_sym_do] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym___try] = ACTIONS(1358),
    [anon_sym___leave] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1358),
    [anon_sym___alignof__] = ACTIONS(1358),
    [anon_sym___alignof] = ACTIONS(1358),
    [anon_sym__alignof] = ACTIONS(1358),
    [anon_sym_alignof] = ACTIONS(1358),
    [anon_sym__Alignof] = ACTIONS(1358),
    [anon_sym_offsetof] = ACTIONS(1358),
    [anon_sym__Generic] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1360),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1358),
    [anon_sym_nullptr] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_identifier] = ACTIONS(1346),
    [aux_sym_preproc_include_token1] = ACTIONS(1346),
    [aux_sym_preproc_def_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1346),
    [sym_preproc_directive] = ACTIONS(1346),
    [anon_sym_LPAREN2] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1346),
    [anon_sym_extern] = ACTIONS(1346),
    [anon_sym___attribute__] = ACTIONS(1346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1348),
    [anon_sym___declspec] = ACTIONS(1346),
    [anon_sym___cdecl] = ACTIONS(1346),
    [anon_sym___clrcall] = ACTIONS(1346),
    [anon_sym___stdcall] = ACTIONS(1346),
    [anon_sym___fastcall] = ACTIONS(1346),
    [anon_sym___thiscall] = ACTIONS(1346),
    [anon_sym___vectorcall] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_signed] = ACTIONS(1346),
    [anon_sym_unsigned] = ACTIONS(1346),
    [anon_sym_long] = ACTIONS(1346),
    [anon_sym_short] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1346),
    [anon_sym_auto] = ACTIONS(1346),
    [anon_sym_register] = ACTIONS(1346),
    [anon_sym_inline] = ACTIONS(1346),
    [anon_sym___inline] = ACTIONS(1346),
    [anon_sym___inline__] = ACTIONS(1346),
    [anon_sym___forceinline] = ACTIONS(1346),
    [anon_sym_thread_local] = ACTIONS(1346),
    [anon_sym___thread] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1346),
    [anon_sym_constexpr] = ACTIONS(1346),
    [anon_sym_volatile] = ACTIONS(1346),
    [anon_sym_restrict] = ACTIONS(1346),
    [anon_sym___restrict__] = ACTIONS(1346),
    [anon_sym__Atomic] = ACTIONS(1346),
    [anon_sym__Noreturn] = ACTIONS(1346),
    [anon_sym_noreturn] = ACTIONS(1346),
    [sym_primitive_type] = ACTIONS(1346),
    [anon_sym_enum] = ACTIONS(1346),
    [anon_sym_struct] = ACTIONS(1346),
    [anon_sym_union] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_else] = ACTIONS(1346),
    [anon_sym_switch] = ACTIONS(1346),
    [anon_sym_case] = ACTIONS(1346),
    [anon_sym_default] = ACTIONS(1346),
    [anon_sym_while] = ACTIONS(1346),
    [anon_sym_do] = ACTIONS(1346),
    [anon_sym_for] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1346),
    [anon_sym_break] = ACTIONS(1346),
    [anon_sym_continue] = ACTIONS(1346),
    [anon_sym_goto] = ACTIONS(1346),
    [anon_sym___try] = ACTIONS(1346),
    [anon_sym___leave] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_sizeof] = ACTIONS(1346),
    [anon_sym___alignof__] = ACTIONS(1346),
    [anon_sym___alignof] = ACTIONS(1346),
    [anon_sym__alignof] = ACTIONS(1346),
    [anon_sym_alignof] = ACTIONS(1346),
    [anon_sym__Alignof] = ACTIONS(1346),
    [anon_sym_offsetof] = ACTIONS(1346),
    [anon_sym__Generic] = ACTIONS(1346),
    [anon_sym_asm] = ACTIONS(1346),
    [anon_sym___asm__] = ACTIONS(1346),
    [sym_number_literal] = ACTIONS(1348),
    [anon_sym_L_SQUOTE] = ACTIONS(1348),
    [anon_sym_u_SQUOTE] = ACTIONS(1348),
    [anon_sym_U_SQUOTE] = ACTIONS(1348),
    [anon_sym_u8_SQUOTE] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_L_DQUOTE] = ACTIONS(1348),
    [anon_sym_u_DQUOTE] = ACTIONS(1348),
    [anon_sym_U_DQUOTE] = ACTIONS(1348),
    [anon_sym_u8_DQUOTE] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_NULL] = ACTIONS(1346),
    [anon_sym_nullptr] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym___extension__] = ACTIONS(1344),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_RBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym___inline] = ACTIONS(1344),
    [anon_sym___inline__] = ACTIONS(1344),
    [anon_sym___forceinline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym___thread] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym___try] = ACTIONS(1344),
    [anon_sym___leave] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym___alignof__] = ACTIONS(1344),
    [anon_sym___alignof] = ACTIONS(1344),
    [anon_sym__alignof] = ACTIONS(1344),
    [anon_sym_alignof] = ACTIONS(1344),
    [anon_sym__Alignof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [ts_builtin_sym_end] = ACTIONS(1332),
    [sym_identifier] = ACTIONS(1330),
    [aux_sym_preproc_include_token1] = ACTIONS(1330),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1330),
    [sym_preproc_directive] = ACTIONS(1330),
    [anon_sym_LPAREN2] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_STAR] = ACTIONS(1332),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1332),
    [anon_sym___extension__] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1330),
    [anon_sym_extern] = ACTIONS(1330),
    [anon_sym___attribute__] = ACTIONS(1330),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1332),
    [anon_sym___declspec] = ACTIONS(1330),
    [anon_sym___cdecl] = ACTIONS(1330),
    [anon_sym___clrcall] = ACTIONS(1330),
    [anon_sym___stdcall] = ACTIONS(1330),
    [anon_sym___fastcall] = ACTIONS(1330),
    [anon_sym___thiscall] = ACTIONS(1330),
    [anon_sym___vectorcall] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(1330),
    [anon_sym_unsigned] = ACTIONS(1330),
    [anon_sym_long] = ACTIONS(1330),
    [anon_sym_short] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1330),
    [anon_sym_auto] = ACTIONS(1330),
    [anon_sym_register] = ACTIONS(1330),
    [anon_sym_inline] = ACTIONS(1330),
    [anon_sym___inline] = ACTIONS(1330),
    [anon_sym___inline__] = ACTIONS(1330),
    [anon_sym___forceinline] = ACTIONS(1330),
    [anon_sym_thread_local] = ACTIONS(1330),
    [anon_sym___thread] = ACTIONS(1330),
    [anon_sym_const] = ACTIONS(1330),
    [anon_sym_constexpr] = ACTIONS(1330),
    [anon_sym_volatile] = ACTIONS(1330),
    [anon_sym_restrict] = ACTIONS(1330),
    [anon_sym___restrict__] = ACTIONS(1330),
    [anon_sym__Atomic] = ACTIONS(1330),
    [anon_sym__Noreturn] = ACTIONS(1330),
    [anon_sym_noreturn] = ACTIONS(1330),
    [sym_primitive_type] = ACTIONS(1330),
    [anon_sym_enum] = ACTIONS(1330),
    [anon_sym_struct] = ACTIONS(1330),
    [anon_sym_union] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1330),
    [anon_sym_else] = ACTIONS(1330),
    [anon_sym_switch] = ACTIONS(1330),
    [anon_sym_case] = ACTIONS(1330),
    [anon_sym_default] = ACTIONS(1330),
    [anon_sym_while] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1330),
    [anon_sym_for] = ACTIONS(1330),
    [anon_sym_return] = ACTIONS(1330),
    [anon_sym_break] = ACTIONS(1330),
    [anon_sym_continue] = ACTIONS(1330),
    [anon_sym_goto] = ACTIONS(1330),
    [anon_sym___try] = ACTIONS(1330),
    [anon_sym___leave] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [anon_sym_sizeof] = ACTIONS(1330),
    [anon_sym___alignof__] = ACTIONS(1330),
    [anon_sym___alignof] = ACTIONS(1330),
    [anon_sym__alignof] = ACTIONS(1330),
    [anon_sym_alignof] = ACTIONS(1330),
    [anon_sym__Alignof] = ACTIONS(1330),
    [anon_sym_offsetof] = ACTIONS(1330),
    [anon_sym__Generic] = ACTIONS(1330),
    [anon_sym_asm] = ACTIONS(1330),
    [anon_sym___asm__] = ACTIONS(1330),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1332),
    [anon_sym_u_SQUOTE] = ACTIONS(1332),
    [anon_sym_U_SQUOTE] = ACTIONS(1332),
    [anon_sym_u8_SQUOTE] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_L_DQUOTE] = ACTIONS(1332),
    [anon_sym_u_DQUOTE] = ACTIONS(1332),
    [anon_sym_U_DQUOTE] = ACTIONS(1332),
    [anon_sym_u8_DQUOTE] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [sym_true] = ACTIONS(1330),
    [sym_false] = ACTIONS(1330),
    [anon_sym_NULL] = ACTIONS(1330),
    [anon_sym_nullptr] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_identifier] = ACTIONS(1354),
    [aux_sym_preproc_include_token1] = ACTIONS(1354),
    [aux_sym_preproc_def_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1354),
    [sym_preproc_directive] = ACTIONS(1354),
    [anon_sym_LPAREN2] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_STAR] = ACTIONS(1356),
    [anon_sym_AMP] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1356),
    [anon_sym___extension__] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1354),
    [anon_sym_extern] = ACTIONS(1354),
    [anon_sym___attribute__] = ACTIONS(1354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1356),
    [anon_sym___declspec] = ACTIONS(1354),
    [anon_sym___cdecl] = ACTIONS(1354),
    [anon_sym___clrcall] = ACTIONS(1354),
    [anon_sym___stdcall] = ACTIONS(1354),
    [anon_sym___fastcall] = ACTIONS(1354),
    [anon_sym___thiscall] = ACTIONS(1354),
    [anon_sym___vectorcall] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_signed] = ACTIONS(1354),
    [anon_sym_unsigned] = ACTIONS(1354),
    [anon_sym_long] = ACTIONS(1354),
    [anon_sym_short] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1354),
    [anon_sym_auto] = ACTIONS(1354),
    [anon_sym_register] = ACTIONS(1354),
    [anon_sym_inline] = ACTIONS(1354),
    [anon_sym___inline] = ACTIONS(1354),
    [anon_sym___inline__] = ACTIONS(1354),
    [anon_sym___forceinline] = ACTIONS(1354),
    [anon_sym_thread_local] = ACTIONS(1354),
    [anon_sym___thread] = ACTIONS(1354),
    [anon_sym_const] = ACTIONS(1354),
    [anon_sym_constexpr] = ACTIONS(1354),
    [anon_sym_volatile] = ACTIONS(1354),
    [anon_sym_restrict] = ACTIONS(1354),
    [anon_sym___restrict__] = ACTIONS(1354),
    [anon_sym__Atomic] = ACTIONS(1354),
    [anon_sym__Noreturn] = ACTIONS(1354),
    [anon_sym_noreturn] = ACTIONS(1354),
    [sym_primitive_type] = ACTIONS(1354),
    [anon_sym_enum] = ACTIONS(1354),
    [anon_sym_struct] = ACTIONS(1354),
    [anon_sym_union] = ACTIONS(1354),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_else] = ACTIONS(1354),
    [anon_sym_switch] = ACTIONS(1354),
    [anon_sym_case] = ACTIONS(1354),
    [anon_sym_default] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1354),
    [anon_sym_do] = ACTIONS(1354),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1354),
    [anon_sym_break] = ACTIONS(1354),
    [anon_sym_continue] = ACTIONS(1354),
    [anon_sym_goto] = ACTIONS(1354),
    [anon_sym___try] = ACTIONS(1354),
    [anon_sym___leave] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_sizeof] = ACTIONS(1354),
    [anon_sym___alignof__] = ACTIONS(1354),
    [anon_sym___alignof] = ACTIONS(1354),
    [anon_sym__alignof] = ACTIONS(1354),
    [anon_sym_alignof] = ACTIONS(1354),
    [anon_sym__Alignof] = ACTIONS(1354),
    [anon_sym_offsetof] = ACTIONS(1354),
    [anon_sym__Generic] = ACTIONS(1354),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym___asm__] = ACTIONS(1354),
    [sym_number_literal] = ACTIONS(1356),
    [anon_sym_L_SQUOTE] = ACTIONS(1356),
    [anon_sym_u_SQUOTE] = ACTIONS(1356),
    [anon_sym_U_SQUOTE] = ACTIONS(1356),
    [anon_sym_u8_SQUOTE] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_L_DQUOTE] = ACTIONS(1356),
    [anon_sym_u_DQUOTE] = ACTIONS(1356),
    [anon_sym_U_DQUOTE] = ACTIONS(1356),
    [anon_sym_u8_DQUOTE] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_NULL] = ACTIONS(1354),
    [anon_sym_nullptr] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_identifier] = ACTIONS(1350),
    [aux_sym_preproc_include_token1] = ACTIONS(1350),
    [aux_sym_preproc_def_token1] = ACTIONS(1350),
    [aux_sym_preproc_if_token1] = ACTIONS(1350),
    [aux_sym_preproc_if_token2] = ACTIONS(1350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1350),
    [sym_preproc_directive] = ACTIONS(1350),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_STAR] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1352),
    [anon_sym___extension__] = ACTIONS(1350),
    [anon_sym_typedef] = ACTIONS(1350),
    [anon_sym_extern] = ACTIONS(1350),
    [anon_sym___attribute__] = ACTIONS(1350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1352),
    [anon_sym___declspec] = ACTIONS(1350),
    [anon_sym___cdecl] = ACTIONS(1350),
    [anon_sym___clrcall] = ACTIONS(1350),
    [anon_sym___stdcall] = ACTIONS(1350),
    [anon_sym___fastcall] = ACTIONS(1350),
    [anon_sym___thiscall] = ACTIONS(1350),
    [anon_sym___vectorcall] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_signed] = ACTIONS(1350),
    [anon_sym_unsigned] = ACTIONS(1350),
    [anon_sym_long] = ACTIONS(1350),
    [anon_sym_short] = ACTIONS(1350),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_auto] = ACTIONS(1350),
    [anon_sym_register] = ACTIONS(1350),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym___inline] = ACTIONS(1350),
    [anon_sym___inline__] = ACTIONS(1350),
    [anon_sym___forceinline] = ACTIONS(1350),
    [anon_sym_thread_local] = ACTIONS(1350),
    [anon_sym___thread] = ACTIONS(1350),
    [anon_sym_const] = ACTIONS(1350),
    [anon_sym_constexpr] = ACTIONS(1350),
    [anon_sym_volatile] = ACTIONS(1350),
    [anon_sym_restrict] = ACTIONS(1350),
    [anon_sym___restrict__] = ACTIONS(1350),
    [anon_sym__Atomic] = ACTIONS(1350),
    [anon_sym__Noreturn] = ACTIONS(1350),
    [anon_sym_noreturn] = ACTIONS(1350),
    [sym_primitive_type] = ACTIONS(1350),
    [anon_sym_enum] = ACTIONS(1350),
    [anon_sym_struct] = ACTIONS(1350),
    [anon_sym_union] = ACTIONS(1350),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_else] = ACTIONS(1350),
    [anon_sym_switch] = ACTIONS(1350),
    [anon_sym_case] = ACTIONS(1350),
    [anon_sym_default] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1350),
    [anon_sym_do] = ACTIONS(1350),
    [anon_sym_for] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1350),
    [anon_sym_break] = ACTIONS(1350),
    [anon_sym_continue] = ACTIONS(1350),
    [anon_sym_goto] = ACTIONS(1350),
    [anon_sym___try] = ACTIONS(1350),
    [anon_sym___leave] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_sizeof] = ACTIONS(1350),
    [anon_sym___alignof__] = ACTIONS(1350),
    [anon_sym___alignof] = ACTIONS(1350),
    [anon_sym__alignof] = ACTIONS(1350),
    [anon_sym_alignof] = ACTIONS(1350),
    [anon_sym__Alignof] = ACTIONS(1350),
    [anon_sym_offsetof] = ACTIONS(1350),
    [anon_sym__Generic] = ACTIONS(1350),
    [anon_sym_asm] = ACTIONS(1350),
    [anon_sym___asm__] = ACTIONS(1350),
    [sym_number_literal] = ACTIONS(1352),
    [anon_sym_L_SQUOTE] = ACTIONS(1352),
    [anon_sym_u_SQUOTE] = ACTIONS(1352),
    [anon_sym_U_SQUOTE] = ACTIONS(1352),
    [anon_sym_u8_SQUOTE] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_L_DQUOTE] = ACTIONS(1352),
    [anon_sym_u_DQUOTE] = ACTIONS(1352),
    [anon_sym_U_DQUOTE] = ACTIONS(1352),
    [anon_sym_u8_DQUOTE] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [sym_true] = ACTIONS(1350),
    [sym_false] = ACTIONS(1350),
    [anon_sym_NULL] = ACTIONS(1350),
    [anon_sym_nullptr] = ACTIONS(1350),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [ts_builtin_sym_end] = ACTIONS(1392),
    [sym_identifier] = ACTIONS(1390),
    [aux_sym_preproc_include_token1] = ACTIONS(1390),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1390),
    [sym_preproc_directive] = ACTIONS(1390),
    [anon_sym_LPAREN2] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym___extension__] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1390),
    [anon_sym_extern] = ACTIONS(1390),
    [anon_sym___attribute__] = ACTIONS(1390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1392),
    [anon_sym___declspec] = ACTIONS(1390),
    [anon_sym___cdecl] = ACTIONS(1390),
    [anon_sym___clrcall] = ACTIONS(1390),
    [anon_sym___stdcall] = ACTIONS(1390),
    [anon_sym___fastcall] = ACTIONS(1390),
    [anon_sym___thiscall] = ACTIONS(1390),
    [anon_sym___vectorcall] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_signed] = ACTIONS(1390),
    [anon_sym_unsigned] = ACTIONS(1390),
    [anon_sym_long] = ACTIONS(1390),
    [anon_sym_short] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1390),
    [anon_sym_auto] = ACTIONS(1390),
    [anon_sym_register] = ACTIONS(1390),
    [anon_sym_inline] = ACTIONS(1390),
    [anon_sym___inline] = ACTIONS(1390),
    [anon_sym___inline__] = ACTIONS(1390),
    [anon_sym___forceinline] = ACTIONS(1390),
    [anon_sym_thread_local] = ACTIONS(1390),
    [anon_sym___thread] = ACTIONS(1390),
    [anon_sym_const] = ACTIONS(1390),
    [anon_sym_constexpr] = ACTIONS(1390),
    [anon_sym_volatile] = ACTIONS(1390),
    [anon_sym_restrict] = ACTIONS(1390),
    [anon_sym___restrict__] = ACTIONS(1390),
    [anon_sym__Atomic] = ACTIONS(1390),
    [anon_sym__Noreturn] = ACTIONS(1390),
    [anon_sym_noreturn] = ACTIONS(1390),
    [sym_primitive_type] = ACTIONS(1390),
    [anon_sym_enum] = ACTIONS(1390),
    [anon_sym_struct] = ACTIONS(1390),
    [anon_sym_union] = ACTIONS(1390),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_else] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(1390),
    [anon_sym_case] = ACTIONS(1390),
    [anon_sym_default] = ACTIONS(1390),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_do] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_return] = ACTIONS(1390),
    [anon_sym_break] = ACTIONS(1390),
    [anon_sym_continue] = ACTIONS(1390),
    [anon_sym_goto] = ACTIONS(1390),
    [anon_sym___try] = ACTIONS(1390),
    [anon_sym___leave] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_sizeof] = ACTIONS(1390),
    [anon_sym___alignof__] = ACTIONS(1390),
    [anon_sym___alignof] = ACTIONS(1390),
    [anon_sym__alignof] = ACTIONS(1390),
    [anon_sym_alignof] = ACTIONS(1390),
    [anon_sym__Alignof] = ACTIONS(1390),
    [anon_sym_offsetof] = ACTIONS(1390),
    [anon_sym__Generic] = ACTIONS(1390),
    [anon_sym_asm] = ACTIONS(1390),
    [anon_sym___asm__] = ACTIONS(1390),
    [sym_number_literal] = ACTIONS(1392),
    [anon_sym_L_SQUOTE] = ACTIONS(1392),
    [anon_sym_u_SQUOTE] = ACTIONS(1392),
    [anon_sym_U_SQUOTE] = ACTIONS(1392),
    [anon_sym_u8_SQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_L_DQUOTE] = ACTIONS(1392),
    [anon_sym_u_DQUOTE] = ACTIONS(1392),
    [anon_sym_U_DQUOTE] = ACTIONS(1392),
    [anon_sym_u8_DQUOTE] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [sym_true] = ACTIONS(1390),
    [sym_false] = ACTIONS(1390),
    [anon_sym_NULL] = ACTIONS(1390),
    [anon_sym_nullptr] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_identifier] = ACTIONS(1390),
    [aux_sym_preproc_include_token1] = ACTIONS(1390),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1390),
    [sym_preproc_directive] = ACTIONS(1390),
    [anon_sym_LPAREN2] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym___extension__] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1390),
    [anon_sym_extern] = ACTIONS(1390),
    [anon_sym___attribute__] = ACTIONS(1390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1392),
    [anon_sym___declspec] = ACTIONS(1390),
    [anon_sym___cdecl] = ACTIONS(1390),
    [anon_sym___clrcall] = ACTIONS(1390),
    [anon_sym___stdcall] = ACTIONS(1390),
    [anon_sym___fastcall] = ACTIONS(1390),
    [anon_sym___thiscall] = ACTIONS(1390),
    [anon_sym___vectorcall] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [anon_sym_signed] = ACTIONS(1390),
    [anon_sym_unsigned] = ACTIONS(1390),
    [anon_sym_long] = ACTIONS(1390),
    [anon_sym_short] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1390),
    [anon_sym_auto] = ACTIONS(1390),
    [anon_sym_register] = ACTIONS(1390),
    [anon_sym_inline] = ACTIONS(1390),
    [anon_sym___inline] = ACTIONS(1390),
    [anon_sym___inline__] = ACTIONS(1390),
    [anon_sym___forceinline] = ACTIONS(1390),
    [anon_sym_thread_local] = ACTIONS(1390),
    [anon_sym___thread] = ACTIONS(1390),
    [anon_sym_const] = ACTIONS(1390),
    [anon_sym_constexpr] = ACTIONS(1390),
    [anon_sym_volatile] = ACTIONS(1390),
    [anon_sym_restrict] = ACTIONS(1390),
    [anon_sym___restrict__] = ACTIONS(1390),
    [anon_sym__Atomic] = ACTIONS(1390),
    [anon_sym__Noreturn] = ACTIONS(1390),
    [anon_sym_noreturn] = ACTIONS(1390),
    [sym_primitive_type] = ACTIONS(1390),
    [anon_sym_enum] = ACTIONS(1390),
    [anon_sym_struct] = ACTIONS(1390),
    [anon_sym_union] = ACTIONS(1390),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_else] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(1390),
    [anon_sym_case] = ACTIONS(1390),
    [anon_sym_default] = ACTIONS(1390),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_do] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_return] = ACTIONS(1390),
    [anon_sym_break] = ACTIONS(1390),
    [anon_sym_continue] = ACTIONS(1390),
    [anon_sym_goto] = ACTIONS(1390),
    [anon_sym___try] = ACTIONS(1390),
    [anon_sym___leave] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_sizeof] = ACTIONS(1390),
    [anon_sym___alignof__] = ACTIONS(1390),
    [anon_sym___alignof] = ACTIONS(1390),
    [anon_sym__alignof] = ACTIONS(1390),
    [anon_sym_alignof] = ACTIONS(1390),
    [anon_sym__Alignof] = ACTIONS(1390),
    [anon_sym_offsetof] = ACTIONS(1390),
    [anon_sym__Generic] = ACTIONS(1390),
    [anon_sym_asm] = ACTIONS(1390),
    [anon_sym___asm__] = ACTIONS(1390),
    [sym_number_literal] = ACTIONS(1392),
    [anon_sym_L_SQUOTE] = ACTIONS(1392),
    [anon_sym_u_SQUOTE] = ACTIONS(1392),
    [anon_sym_U_SQUOTE] = ACTIONS(1392),
    [anon_sym_u8_SQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_L_DQUOTE] = ACTIONS(1392),
    [anon_sym_u_DQUOTE] = ACTIONS(1392),
    [anon_sym_U_DQUOTE] = ACTIONS(1392),
    [anon_sym_u8_DQUOTE] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [sym_true] = ACTIONS(1390),
    [sym_false] = ACTIONS(1390),
    [anon_sym_NULL] = ACTIONS(1390),
    [anon_sym_nullptr] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_identifier] = ACTIONS(1314),
    [aux_sym_preproc_include_token1] = ACTIONS(1314),
    [aux_sym_preproc_def_token1] = ACTIONS(1314),
    [aux_sym_preproc_if_token1] = ACTIONS(1314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1314),
    [sym_preproc_directive] = ACTIONS(1314),
    [anon_sym_LPAREN2] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1316),
    [anon_sym_AMP] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1316),
    [anon_sym___extension__] = ACTIONS(1314),
    [anon_sym_typedef] = ACTIONS(1314),
    [anon_sym_extern] = ACTIONS(1314),
    [anon_sym___attribute__] = ACTIONS(1314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1316),
    [anon_sym___declspec] = ACTIONS(1314),
    [anon_sym___cdecl] = ACTIONS(1314),
    [anon_sym___clrcall] = ACTIONS(1314),
    [anon_sym___stdcall] = ACTIONS(1314),
    [anon_sym___fastcall] = ACTIONS(1314),
    [anon_sym___thiscall] = ACTIONS(1314),
    [anon_sym___vectorcall] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [anon_sym_signed] = ACTIONS(1314),
    [anon_sym_unsigned] = ACTIONS(1314),
    [anon_sym_long] = ACTIONS(1314),
    [anon_sym_short] = ACTIONS(1314),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_auto] = ACTIONS(1314),
    [anon_sym_register] = ACTIONS(1314),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym___inline] = ACTIONS(1314),
    [anon_sym___inline__] = ACTIONS(1314),
    [anon_sym___forceinline] = ACTIONS(1314),
    [anon_sym_thread_local] = ACTIONS(1314),
    [anon_sym___thread] = ACTIONS(1314),
    [anon_sym_const] = ACTIONS(1314),
    [anon_sym_constexpr] = ACTIONS(1314),
    [anon_sym_volatile] = ACTIONS(1314),
    [anon_sym_restrict] = ACTIONS(1314),
    [anon_sym___restrict__] = ACTIONS(1314),
    [anon_sym__Atomic] = ACTIONS(1314),
    [anon_sym__Noreturn] = ACTIONS(1314),
    [anon_sym_noreturn] = ACTIONS(1314),
    [sym_primitive_type] = ACTIONS(1314),
    [anon_sym_enum] = ACTIONS(1314),
    [anon_sym_struct] = ACTIONS(1314),
    [anon_sym_union] = ACTIONS(1314),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_else] = ACTIONS(1314),
    [anon_sym_switch] = ACTIONS(1314),
    [anon_sym_case] = ACTIONS(1314),
    [anon_sym_default] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1314),
    [anon_sym_do] = ACTIONS(1314),
    [anon_sym_for] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1314),
    [anon_sym_break] = ACTIONS(1314),
    [anon_sym_continue] = ACTIONS(1314),
    [anon_sym_goto] = ACTIONS(1314),
    [anon_sym___try] = ACTIONS(1314),
    [anon_sym___leave] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [anon_sym_sizeof] = ACTIONS(1314),
    [anon_sym___alignof__] = ACTIONS(1314),
    [anon_sym___alignof] = ACTIONS(1314),
    [anon_sym__alignof] = ACTIONS(1314),
    [anon_sym_alignof] = ACTIONS(1314),
    [anon_sym__Alignof] = ACTIONS(1314),
    [anon_sym_offsetof] = ACTIONS(1314),
    [anon_sym__Generic] = ACTIONS(1314),
    [anon_sym_asm] = ACTIONS(1314),
    [anon_sym___asm__] = ACTIONS(1314),
    [sym_number_literal] = ACTIONS(1316),
    [anon_sym_L_SQUOTE] = ACTIONS(1316),
    [anon_sym_u_SQUOTE] = ACTIONS(1316),
    [anon_sym_U_SQUOTE] = ACTIONS(1316),
    [anon_sym_u8_SQUOTE] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_L_DQUOTE] = ACTIONS(1316),
    [anon_sym_u_DQUOTE] = ACTIONS(1316),
    [anon_sym_U_DQUOTE] = ACTIONS(1316),
    [anon_sym_u8_DQUOTE] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [sym_true] = ACTIONS(1314),
    [sym_false] = ACTIONS(1314),
    [anon_sym_NULL] = ACTIONS(1314),
    [anon_sym_nullptr] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_identifier] = ACTIONS(1310),
    [aux_sym_preproc_include_token1] = ACTIONS(1310),
    [aux_sym_preproc_def_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1310),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1310),
    [sym_preproc_directive] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1310),
    [anon_sym_extern] = ACTIONS(1310),
    [anon_sym___attribute__] = ACTIONS(1310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1312),
    [anon_sym___declspec] = ACTIONS(1310),
    [anon_sym___cdecl] = ACTIONS(1310),
    [anon_sym___clrcall] = ACTIONS(1310),
    [anon_sym___stdcall] = ACTIONS(1310),
    [anon_sym___fastcall] = ACTIONS(1310),
    [anon_sym___thiscall] = ACTIONS(1310),
    [anon_sym___vectorcall] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1310),
    [anon_sym_unsigned] = ACTIONS(1310),
    [anon_sym_long] = ACTIONS(1310),
    [anon_sym_short] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1310),
    [anon_sym_auto] = ACTIONS(1310),
    [anon_sym_register] = ACTIONS(1310),
    [anon_sym_inline] = ACTIONS(1310),
    [anon_sym___inline] = ACTIONS(1310),
    [anon_sym___inline__] = ACTIONS(1310),
    [anon_sym___forceinline] = ACTIONS(1310),
    [anon_sym_thread_local] = ACTIONS(1310),
    [anon_sym___thread] = ACTIONS(1310),
    [anon_sym_const] = ACTIONS(1310),
    [anon_sym_constexpr] = ACTIONS(1310),
    [anon_sym_volatile] = ACTIONS(1310),
    [anon_sym_restrict] = ACTIONS(1310),
    [anon_sym___restrict__] = ACTIONS(1310),
    [anon_sym__Atomic] = ACTIONS(1310),
    [anon_sym__Noreturn] = ACTIONS(1310),
    [anon_sym_noreturn] = ACTIONS(1310),
    [sym_primitive_type] = ACTIONS(1310),
    [anon_sym_enum] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1310),
    [anon_sym_union] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_switch] = ACTIONS(1310),
    [anon_sym_case] = ACTIONS(1310),
    [anon_sym_default] = ACTIONS(1310),
    [anon_sym_while] = ACTIONS(1310),
    [anon_sym_do] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1310),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1310),
    [anon_sym___try] = ACTIONS(1310),
    [anon_sym___leave] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_sizeof] = ACTIONS(1310),
    [anon_sym___alignof__] = ACTIONS(1310),
    [anon_sym___alignof] = ACTIONS(1310),
    [anon_sym__alignof] = ACTIONS(1310),
    [anon_sym_alignof] = ACTIONS(1310),
    [anon_sym__Alignof] = ACTIONS(1310),
    [anon_sym_offsetof] = ACTIONS(1310),
    [anon_sym__Generic] = ACTIONS(1310),
    [anon_sym_asm] = ACTIONS(1310),
    [anon_sym___asm__] = ACTIONS(1310),
    [sym_number_literal] = ACTIONS(1312),
    [anon_sym_L_SQUOTE] = ACTIONS(1312),
    [anon_sym_u_SQUOTE] = ACTIONS(1312),
    [anon_sym_U_SQUOTE] = ACTIONS(1312),
    [anon_sym_u8_SQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_L_DQUOTE] = ACTIONS(1312),
    [anon_sym_u_DQUOTE] = ACTIONS(1312),
    [anon_sym_U_DQUOTE] = ACTIONS(1312),
    [anon_sym_u8_DQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [anon_sym_NULL] = ACTIONS(1310),
    [anon_sym_nullptr] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [sym_identifier] = ACTIONS(1330),
    [aux_sym_preproc_include_token1] = ACTIONS(1330),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1330),
    [sym_preproc_directive] = ACTIONS(1330),
    [anon_sym_LPAREN2] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_STAR] = ACTIONS(1332),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1332),
    [anon_sym___extension__] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1330),
    [anon_sym_extern] = ACTIONS(1330),
    [anon_sym___attribute__] = ACTIONS(1330),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1332),
    [anon_sym___declspec] = ACTIONS(1330),
    [anon_sym___cdecl] = ACTIONS(1330),
    [anon_sym___clrcall] = ACTIONS(1330),
    [anon_sym___stdcall] = ACTIONS(1330),
    [anon_sym___fastcall] = ACTIONS(1330),
    [anon_sym___thiscall] = ACTIONS(1330),
    [anon_sym___vectorcall] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(1330),
    [anon_sym_unsigned] = ACTIONS(1330),
    [anon_sym_long] = ACTIONS(1330),
    [anon_sym_short] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1330),
    [anon_sym_auto] = ACTIONS(1330),
    [anon_sym_register] = ACTIONS(1330),
    [anon_sym_inline] = ACTIONS(1330),
    [anon_sym___inline] = ACTIONS(1330),
    [anon_sym___inline__] = ACTIONS(1330),
    [anon_sym___forceinline] = ACTIONS(1330),
    [anon_sym_thread_local] = ACTIONS(1330),
    [anon_sym___thread] = ACTIONS(1330),
    [anon_sym_const] = ACTIONS(1330),
    [anon_sym_constexpr] = ACTIONS(1330),
    [anon_sym_volatile] = ACTIONS(1330),
    [anon_sym_restrict] = ACTIONS(1330),
    [anon_sym___restrict__] = ACTIONS(1330),
    [anon_sym__Atomic] = ACTIONS(1330),
    [anon_sym__Noreturn] = ACTIONS(1330),
    [anon_sym_noreturn] = ACTIONS(1330),
    [sym_primitive_type] = ACTIONS(1330),
    [anon_sym_enum] = ACTIONS(1330),
    [anon_sym_struct] = ACTIONS(1330),
    [anon_sym_union] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1330),
    [anon_sym_else] = ACTIONS(1330),
    [anon_sym_switch] = ACTIONS(1330),
    [anon_sym_case] = ACTIONS(1330),
    [anon_sym_default] = ACTIONS(1330),
    [anon_sym_while] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1330),
    [anon_sym_for] = ACTIONS(1330),
    [anon_sym_return] = ACTIONS(1330),
    [anon_sym_break] = ACTIONS(1330),
    [anon_sym_continue] = ACTIONS(1330),
    [anon_sym_goto] = ACTIONS(1330),
    [anon_sym___try] = ACTIONS(1330),
    [anon_sym___leave] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [anon_sym_sizeof] = ACTIONS(1330),
    [anon_sym___alignof__] = ACTIONS(1330),
    [anon_sym___alignof] = ACTIONS(1330),
    [anon_sym__alignof] = ACTIONS(1330),
    [anon_sym_alignof] = ACTIONS(1330),
    [anon_sym__Alignof] = ACTIONS(1330),
    [anon_sym_offsetof] = ACTIONS(1330),
    [anon_sym__Generic] = ACTIONS(1330),
    [anon_sym_asm] = ACTIONS(1330),
    [anon_sym___asm__] = ACTIONS(1330),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1332),
    [anon_sym_u_SQUOTE] = ACTIONS(1332),
    [anon_sym_U_SQUOTE] = ACTIONS(1332),
    [anon_sym_u8_SQUOTE] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_L_DQUOTE] = ACTIONS(1332),
    [anon_sym_u_DQUOTE] = ACTIONS(1332),
    [anon_sym_U_DQUOTE] = ACTIONS(1332),
    [anon_sym_u8_DQUOTE] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [sym_true] = ACTIONS(1330),
    [sym_false] = ACTIONS(1330),
    [anon_sym_NULL] = ACTIONS(1330),
    [anon_sym_nullptr] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_identifier] = ACTIONS(1314),
    [aux_sym_preproc_include_token1] = ACTIONS(1314),
    [aux_sym_preproc_def_token1] = ACTIONS(1314),
    [aux_sym_preproc_if_token1] = ACTIONS(1314),
    [aux_sym_preproc_if_token2] = ACTIONS(1314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1314),
    [sym_preproc_directive] = ACTIONS(1314),
    [anon_sym_LPAREN2] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1316),
    [anon_sym_AMP] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1316),
    [anon_sym___extension__] = ACTIONS(1314),
    [anon_sym_typedef] = ACTIONS(1314),
    [anon_sym_extern] = ACTIONS(1314),
    [anon_sym___attribute__] = ACTIONS(1314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1316),
    [anon_sym___declspec] = ACTIONS(1314),
    [anon_sym___cdecl] = ACTIONS(1314),
    [anon_sym___clrcall] = ACTIONS(1314),
    [anon_sym___stdcall] = ACTIONS(1314),
    [anon_sym___fastcall] = ACTIONS(1314),
    [anon_sym___thiscall] = ACTIONS(1314),
    [anon_sym___vectorcall] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_signed] = ACTIONS(1314),
    [anon_sym_unsigned] = ACTIONS(1314),
    [anon_sym_long] = ACTIONS(1314),
    [anon_sym_short] = ACTIONS(1314),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_auto] = ACTIONS(1314),
    [anon_sym_register] = ACTIONS(1314),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym___inline] = ACTIONS(1314),
    [anon_sym___inline__] = ACTIONS(1314),
    [anon_sym___forceinline] = ACTIONS(1314),
    [anon_sym_thread_local] = ACTIONS(1314),
    [anon_sym___thread] = ACTIONS(1314),
    [anon_sym_const] = ACTIONS(1314),
    [anon_sym_constexpr] = ACTIONS(1314),
    [anon_sym_volatile] = ACTIONS(1314),
    [anon_sym_restrict] = ACTIONS(1314),
    [anon_sym___restrict__] = ACTIONS(1314),
    [anon_sym__Atomic] = ACTIONS(1314),
    [anon_sym__Noreturn] = ACTIONS(1314),
    [anon_sym_noreturn] = ACTIONS(1314),
    [sym_primitive_type] = ACTIONS(1314),
    [anon_sym_enum] = ACTIONS(1314),
    [anon_sym_struct] = ACTIONS(1314),
    [anon_sym_union] = ACTIONS(1314),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_else] = ACTIONS(1314),
    [anon_sym_switch] = ACTIONS(1314),
    [anon_sym_case] = ACTIONS(1314),
    [anon_sym_default] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1314),
    [anon_sym_do] = ACTIONS(1314),
    [anon_sym_for] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1314),
    [anon_sym_break] = ACTIONS(1314),
    [anon_sym_continue] = ACTIONS(1314),
    [anon_sym_goto] = ACTIONS(1314),
    [anon_sym___try] = ACTIONS(1314),
    [anon_sym___leave] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [anon_sym_sizeof] = ACTIONS(1314),
    [anon_sym___alignof__] = ACTIONS(1314),
    [anon_sym___alignof] = ACTIONS(1314),
    [anon_sym__alignof] = ACTIONS(1314),
    [anon_sym_alignof] = ACTIONS(1314),
    [anon_sym__Alignof] = ACTIONS(1314),
    [anon_sym_offsetof] = ACTIONS(1314),
    [anon_sym__Generic] = ACTIONS(1314),
    [anon_sym_asm] = ACTIONS(1314),
    [anon_sym___asm__] = ACTIONS(1314),
    [sym_number_literal] = ACTIONS(1316),
    [anon_sym_L_SQUOTE] = ACTIONS(1316),
    [anon_sym_u_SQUOTE] = ACTIONS(1316),
    [anon_sym_U_SQUOTE] = ACTIONS(1316),
    [anon_sym_u8_SQUOTE] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_L_DQUOTE] = ACTIONS(1316),
    [anon_sym_u_DQUOTE] = ACTIONS(1316),
    [anon_sym_U_DQUOTE] = ACTIONS(1316),
    [anon_sym_u8_DQUOTE] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [sym_true] = ACTIONS(1314),
    [sym_false] = ACTIONS(1314),
    [anon_sym_NULL] = ACTIONS(1314),
    [anon_sym_nullptr] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_identifier] = ACTIONS(1318),
    [aux_sym_preproc_include_token1] = ACTIONS(1318),
    [aux_sym_preproc_def_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token2] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1318),
    [sym_preproc_directive] = ACTIONS(1318),
    [anon_sym_LPAREN2] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym___extension__] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1318),
    [anon_sym_extern] = ACTIONS(1318),
    [anon_sym___attribute__] = ACTIONS(1318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1320),
    [anon_sym___declspec] = ACTIONS(1318),
    [anon_sym___cdecl] = ACTIONS(1318),
    [anon_sym___clrcall] = ACTIONS(1318),
    [anon_sym___stdcall] = ACTIONS(1318),
    [anon_sym___fastcall] = ACTIONS(1318),
    [anon_sym___thiscall] = ACTIONS(1318),
    [anon_sym___vectorcall] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_signed] = ACTIONS(1318),
    [anon_sym_unsigned] = ACTIONS(1318),
    [anon_sym_long] = ACTIONS(1318),
    [anon_sym_short] = ACTIONS(1318),
    [anon_sym_static] = ACTIONS(1318),
    [anon_sym_auto] = ACTIONS(1318),
    [anon_sym_register] = ACTIONS(1318),
    [anon_sym_inline] = ACTIONS(1318),
    [anon_sym___inline] = ACTIONS(1318),
    [anon_sym___inline__] = ACTIONS(1318),
    [anon_sym___forceinline] = ACTIONS(1318),
    [anon_sym_thread_local] = ACTIONS(1318),
    [anon_sym___thread] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(1318),
    [anon_sym_constexpr] = ACTIONS(1318),
    [anon_sym_volatile] = ACTIONS(1318),
    [anon_sym_restrict] = ACTIONS(1318),
    [anon_sym___restrict__] = ACTIONS(1318),
    [anon_sym__Atomic] = ACTIONS(1318),
    [anon_sym__Noreturn] = ACTIONS(1318),
    [anon_sym_noreturn] = ACTIONS(1318),
    [sym_primitive_type] = ACTIONS(1318),
    [anon_sym_enum] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1318),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_else] = ACTIONS(1318),
    [anon_sym_switch] = ACTIONS(1318),
    [anon_sym_case] = ACTIONS(1318),
    [anon_sym_default] = ACTIONS(1318),
    [anon_sym_while] = ACTIONS(1318),
    [anon_sym_do] = ACTIONS(1318),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1318),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1318),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym___try] = ACTIONS(1318),
    [anon_sym___leave] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_sizeof] = ACTIONS(1318),
    [anon_sym___alignof__] = ACTIONS(1318),
    [anon_sym___alignof] = ACTIONS(1318),
    [anon_sym__alignof] = ACTIONS(1318),
    [anon_sym_alignof] = ACTIONS(1318),
    [anon_sym__Alignof] = ACTIONS(1318),
    [anon_sym_offsetof] = ACTIONS(1318),
    [anon_sym__Generic] = ACTIONS(1318),
    [anon_sym_asm] = ACTIONS(1318),
    [anon_sym___asm__] = ACTIONS(1318),
    [sym_number_literal] = ACTIONS(1320),
    [anon_sym_L_SQUOTE] = ACTIONS(1320),
    [anon_sym_u_SQUOTE] = ACTIONS(1320),
    [anon_sym_U_SQUOTE] = ACTIONS(1320),
    [anon_sym_u8_SQUOTE] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_L_DQUOTE] = ACTIONS(1320),
    [anon_sym_u_DQUOTE] = ACTIONS(1320),
    [anon_sym_U_DQUOTE] = ACTIONS(1320),
    [anon_sym_u8_DQUOTE] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_NULL] = ACTIONS(1318),
    [anon_sym_nullptr] = ACTIONS(1318),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_identifier] = ACTIONS(1322),
    [aux_sym_preproc_include_token1] = ACTIONS(1322),
    [aux_sym_preproc_def_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token2] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1322),
    [sym_preproc_directive] = ACTIONS(1322),
    [anon_sym_LPAREN2] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1324),
    [anon_sym_AMP] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1322),
    [anon_sym_extern] = ACTIONS(1322),
    [anon_sym___attribute__] = ACTIONS(1322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1324),
    [anon_sym___declspec] = ACTIONS(1322),
    [anon_sym___cdecl] = ACTIONS(1322),
    [anon_sym___clrcall] = ACTIONS(1322),
    [anon_sym___stdcall] = ACTIONS(1322),
    [anon_sym___fastcall] = ACTIONS(1322),
    [anon_sym___thiscall] = ACTIONS(1322),
    [anon_sym___vectorcall] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1322),
    [anon_sym_unsigned] = ACTIONS(1322),
    [anon_sym_long] = ACTIONS(1322),
    [anon_sym_short] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1322),
    [anon_sym_auto] = ACTIONS(1322),
    [anon_sym_register] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1322),
    [anon_sym___inline] = ACTIONS(1322),
    [anon_sym___inline__] = ACTIONS(1322),
    [anon_sym___forceinline] = ACTIONS(1322),
    [anon_sym_thread_local] = ACTIONS(1322),
    [anon_sym___thread] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_constexpr] = ACTIONS(1322),
    [anon_sym_volatile] = ACTIONS(1322),
    [anon_sym_restrict] = ACTIONS(1322),
    [anon_sym___restrict__] = ACTIONS(1322),
    [anon_sym__Atomic] = ACTIONS(1322),
    [anon_sym__Noreturn] = ACTIONS(1322),
    [anon_sym_noreturn] = ACTIONS(1322),
    [sym_primitive_type] = ACTIONS(1322),
    [anon_sym_enum] = ACTIONS(1322),
    [anon_sym_struct] = ACTIONS(1322),
    [anon_sym_union] = ACTIONS(1322),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_else] = ACTIONS(1322),
    [anon_sym_switch] = ACTIONS(1322),
    [anon_sym_case] = ACTIONS(1322),
    [anon_sym_default] = ACTIONS(1322),
    [anon_sym_while] = ACTIONS(1322),
    [anon_sym_do] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_goto] = ACTIONS(1322),
    [anon_sym___try] = ACTIONS(1322),
    [anon_sym___leave] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_sizeof] = ACTIONS(1322),
    [anon_sym___alignof__] = ACTIONS(1322),
    [anon_sym___alignof] = ACTIONS(1322),
    [anon_sym__alignof] = ACTIONS(1322),
    [anon_sym_alignof] = ACTIONS(1322),
    [anon_sym__Alignof] = ACTIONS(1322),
    [anon_sym_offsetof] = ACTIONS(1322),
    [anon_sym__Generic] = ACTIONS(1322),
    [anon_sym_asm] = ACTIONS(1322),
    [anon_sym___asm__] = ACTIONS(1322),
    [sym_number_literal] = ACTIONS(1324),
    [anon_sym_L_SQUOTE] = ACTIONS(1324),
    [anon_sym_u_SQUOTE] = ACTIONS(1324),
    [anon_sym_U_SQUOTE] = ACTIONS(1324),
    [anon_sym_u8_SQUOTE] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_L_DQUOTE] = ACTIONS(1324),
    [anon_sym_u_DQUOTE] = ACTIONS(1324),
    [anon_sym_U_DQUOTE] = ACTIONS(1324),
    [anon_sym_u8_DQUOTE] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_NULL] = ACTIONS(1322),
    [anon_sym_nullptr] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_identifier] = ACTIONS(1298),
    [aux_sym_preproc_include_token1] = ACTIONS(1298),
    [aux_sym_preproc_def_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token2] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1298),
    [sym_preproc_directive] = ACTIONS(1298),
    [anon_sym_LPAREN2] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym___extension__] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1298),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym___attribute__] = ACTIONS(1298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1300),
    [anon_sym___declspec] = ACTIONS(1298),
    [anon_sym___cdecl] = ACTIONS(1298),
    [anon_sym___clrcall] = ACTIONS(1298),
    [anon_sym___stdcall] = ACTIONS(1298),
    [anon_sym___fastcall] = ACTIONS(1298),
    [anon_sym___thiscall] = ACTIONS(1298),
    [anon_sym___vectorcall] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_signed] = ACTIONS(1298),
    [anon_sym_unsigned] = ACTIONS(1298),
    [anon_sym_long] = ACTIONS(1298),
    [anon_sym_short] = ACTIONS(1298),
    [anon_sym_static] = ACTIONS(1298),
    [anon_sym_auto] = ACTIONS(1298),
    [anon_sym_register] = ACTIONS(1298),
    [anon_sym_inline] = ACTIONS(1298),
    [anon_sym___inline] = ACTIONS(1298),
    [anon_sym___inline__] = ACTIONS(1298),
    [anon_sym___forceinline] = ACTIONS(1298),
    [anon_sym_thread_local] = ACTIONS(1298),
    [anon_sym___thread] = ACTIONS(1298),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_constexpr] = ACTIONS(1298),
    [anon_sym_volatile] = ACTIONS(1298),
    [anon_sym_restrict] = ACTIONS(1298),
    [anon_sym___restrict__] = ACTIONS(1298),
    [anon_sym__Atomic] = ACTIONS(1298),
    [anon_sym__Noreturn] = ACTIONS(1298),
    [anon_sym_noreturn] = ACTIONS(1298),
    [sym_primitive_type] = ACTIONS(1298),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_struct] = ACTIONS(1298),
    [anon_sym_union] = ACTIONS(1298),
    [anon_sym_if] = ACTIONS(1298),
    [anon_sym_else] = ACTIONS(1298),
    [anon_sym_switch] = ACTIONS(1298),
    [anon_sym_case] = ACTIONS(1298),
    [anon_sym_default] = ACTIONS(1298),
    [anon_sym_while] = ACTIONS(1298),
    [anon_sym_do] = ACTIONS(1298),
    [anon_sym_for] = ACTIONS(1298),
    [anon_sym_return] = ACTIONS(1298),
    [anon_sym_break] = ACTIONS(1298),
    [anon_sym_continue] = ACTIONS(1298),
    [anon_sym_goto] = ACTIONS(1298),
    [anon_sym___try] = ACTIONS(1298),
    [anon_sym___leave] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_sizeof] = ACTIONS(1298),
    [anon_sym___alignof__] = ACTIONS(1298),
    [anon_sym___alignof] = ACTIONS(1298),
    [anon_sym__alignof] = ACTIONS(1298),
    [anon_sym_alignof] = ACTIONS(1298),
    [anon_sym__Alignof] = ACTIONS(1298),
    [anon_sym_offsetof] = ACTIONS(1298),
    [anon_sym__Generic] = ACTIONS(1298),
    [anon_sym_asm] = ACTIONS(1298),
    [anon_sym___asm__] = ACTIONS(1298),
    [sym_number_literal] = ACTIONS(1300),
    [anon_sym_L_SQUOTE] = ACTIONS(1300),
    [anon_sym_u_SQUOTE] = ACTIONS(1300),
    [anon_sym_U_SQUOTE] = ACTIONS(1300),
    [anon_sym_u8_SQUOTE] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_L_DQUOTE] = ACTIONS(1300),
    [anon_sym_u_DQUOTE] = ACTIONS(1300),
    [anon_sym_U_DQUOTE] = ACTIONS(1300),
    [anon_sym_u8_DQUOTE] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [sym_true] = ACTIONS(1298),
    [sym_false] = ACTIONS(1298),
    [anon_sym_NULL] = ACTIONS(1298),
    [anon_sym_nullptr] = ACTIONS(1298),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_identifier] = ACTIONS(1318),
    [aux_sym_preproc_include_token1] = ACTIONS(1318),
    [aux_sym_preproc_def_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1318),
    [sym_preproc_directive] = ACTIONS(1318),
    [anon_sym_LPAREN2] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym___extension__] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1318),
    [anon_sym_extern] = ACTIONS(1318),
    [anon_sym___attribute__] = ACTIONS(1318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1320),
    [anon_sym___declspec] = ACTIONS(1318),
    [anon_sym___cdecl] = ACTIONS(1318),
    [anon_sym___clrcall] = ACTIONS(1318),
    [anon_sym___stdcall] = ACTIONS(1318),
    [anon_sym___fastcall] = ACTIONS(1318),
    [anon_sym___thiscall] = ACTIONS(1318),
    [anon_sym___vectorcall] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [anon_sym_signed] = ACTIONS(1318),
    [anon_sym_unsigned] = ACTIONS(1318),
    [anon_sym_long] = ACTIONS(1318),
    [anon_sym_short] = ACTIONS(1318),
    [anon_sym_static] = ACTIONS(1318),
    [anon_sym_auto] = ACTIONS(1318),
    [anon_sym_register] = ACTIONS(1318),
    [anon_sym_inline] = ACTIONS(1318),
    [anon_sym___inline] = ACTIONS(1318),
    [anon_sym___inline__] = ACTIONS(1318),
    [anon_sym___forceinline] = ACTIONS(1318),
    [anon_sym_thread_local] = ACTIONS(1318),
    [anon_sym___thread] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(1318),
    [anon_sym_constexpr] = ACTIONS(1318),
    [anon_sym_volatile] = ACTIONS(1318),
    [anon_sym_restrict] = ACTIONS(1318),
    [anon_sym___restrict__] = ACTIONS(1318),
    [anon_sym__Atomic] = ACTIONS(1318),
    [anon_sym__Noreturn] = ACTIONS(1318),
    [anon_sym_noreturn] = ACTIONS(1318),
    [sym_primitive_type] = ACTIONS(1318),
    [anon_sym_enum] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1318),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_else] = ACTIONS(1318),
    [anon_sym_switch] = ACTIONS(1318),
    [anon_sym_case] = ACTIONS(1318),
    [anon_sym_default] = ACTIONS(1318),
    [anon_sym_while] = ACTIONS(1318),
    [anon_sym_do] = ACTIONS(1318),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1318),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1318),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym___try] = ACTIONS(1318),
    [anon_sym___leave] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_sizeof] = ACTIONS(1318),
    [anon_sym___alignof__] = ACTIONS(1318),
    [anon_sym___alignof] = ACTIONS(1318),
    [anon_sym__alignof] = ACTIONS(1318),
    [anon_sym_alignof] = ACTIONS(1318),
    [anon_sym__Alignof] = ACTIONS(1318),
    [anon_sym_offsetof] = ACTIONS(1318),
    [anon_sym__Generic] = ACTIONS(1318),
    [anon_sym_asm] = ACTIONS(1318),
    [anon_sym___asm__] = ACTIONS(1318),
    [sym_number_literal] = ACTIONS(1320),
    [anon_sym_L_SQUOTE] = ACTIONS(1320),
    [anon_sym_u_SQUOTE] = ACTIONS(1320),
    [anon_sym_U_SQUOTE] = ACTIONS(1320),
    [anon_sym_u8_SQUOTE] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_L_DQUOTE] = ACTIONS(1320),
    [anon_sym_u_DQUOTE] = ACTIONS(1320),
    [anon_sym_U_DQUOTE] = ACTIONS(1320),
    [anon_sym_u8_DQUOTE] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_NULL] = ACTIONS(1318),
    [anon_sym_nullptr] = ACTIONS(1318),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_identifier] = ACTIONS(1326),
    [aux_sym_preproc_include_token1] = ACTIONS(1326),
    [aux_sym_preproc_def_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token2] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1326),
    [sym_preproc_directive] = ACTIONS(1326),
    [anon_sym_LPAREN2] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1328),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1326),
    [anon_sym_extern] = ACTIONS(1326),
    [anon_sym___attribute__] = ACTIONS(1326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1328),
    [anon_sym___declspec] = ACTIONS(1326),
    [anon_sym___cdecl] = ACTIONS(1326),
    [anon_sym___clrcall] = ACTIONS(1326),
    [anon_sym___stdcall] = ACTIONS(1326),
    [anon_sym___fastcall] = ACTIONS(1326),
    [anon_sym___thiscall] = ACTIONS(1326),
    [anon_sym___vectorcall] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_signed] = ACTIONS(1326),
    [anon_sym_unsigned] = ACTIONS(1326),
    [anon_sym_long] = ACTIONS(1326),
    [anon_sym_short] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1326),
    [anon_sym_auto] = ACTIONS(1326),
    [anon_sym_register] = ACTIONS(1326),
    [anon_sym_inline] = ACTIONS(1326),
    [anon_sym___inline] = ACTIONS(1326),
    [anon_sym___inline__] = ACTIONS(1326),
    [anon_sym___forceinline] = ACTIONS(1326),
    [anon_sym_thread_local] = ACTIONS(1326),
    [anon_sym___thread] = ACTIONS(1326),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_constexpr] = ACTIONS(1326),
    [anon_sym_volatile] = ACTIONS(1326),
    [anon_sym_restrict] = ACTIONS(1326),
    [anon_sym___restrict__] = ACTIONS(1326),
    [anon_sym__Atomic] = ACTIONS(1326),
    [anon_sym__Noreturn] = ACTIONS(1326),
    [anon_sym_noreturn] = ACTIONS(1326),
    [sym_primitive_type] = ACTIONS(1326),
    [anon_sym_enum] = ACTIONS(1326),
    [anon_sym_struct] = ACTIONS(1326),
    [anon_sym_union] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1326),
    [anon_sym_else] = ACTIONS(1326),
    [anon_sym_switch] = ACTIONS(1326),
    [anon_sym_case] = ACTIONS(1326),
    [anon_sym_default] = ACTIONS(1326),
    [anon_sym_while] = ACTIONS(1326),
    [anon_sym_do] = ACTIONS(1326),
    [anon_sym_for] = ACTIONS(1326),
    [anon_sym_return] = ACTIONS(1326),
    [anon_sym_break] = ACTIONS(1326),
    [anon_sym_continue] = ACTIONS(1326),
    [anon_sym_goto] = ACTIONS(1326),
    [anon_sym___try] = ACTIONS(1326),
    [anon_sym___leave] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_sizeof] = ACTIONS(1326),
    [anon_sym___alignof__] = ACTIONS(1326),
    [anon_sym___alignof] = ACTIONS(1326),
    [anon_sym__alignof] = ACTIONS(1326),
    [anon_sym_alignof] = ACTIONS(1326),
    [anon_sym__Alignof] = ACTIONS(1326),
    [anon_sym_offsetof] = ACTIONS(1326),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1326),
    [anon_sym___asm__] = ACTIONS(1326),
    [sym_number_literal] = ACTIONS(1328),
    [anon_sym_L_SQUOTE] = ACTIONS(1328),
    [anon_sym_u_SQUOTE] = ACTIONS(1328),
    [anon_sym_U_SQUOTE] = ACTIONS(1328),
    [anon_sym_u8_SQUOTE] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_L_DQUOTE] = ACTIONS(1328),
    [anon_sym_u_DQUOTE] = ACTIONS(1328),
    [anon_sym_U_DQUOTE] = ACTIONS(1328),
    [anon_sym_u8_DQUOTE] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [sym_true] = ACTIONS(1326),
    [sym_false] = ACTIONS(1326),
    [anon_sym_NULL] = ACTIONS(1326),
    [anon_sym_nullptr] = ACTIONS(1326),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_identifier] = ACTIONS(1338),
    [aux_sym_preproc_include_token1] = ACTIONS(1338),
    [aux_sym_preproc_def_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token2] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1338),
    [sym_preproc_directive] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1338),
    [anon_sym_extern] = ACTIONS(1338),
    [anon_sym___attribute__] = ACTIONS(1338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1340),
    [anon_sym___declspec] = ACTIONS(1338),
    [anon_sym___cdecl] = ACTIONS(1338),
    [anon_sym___clrcall] = ACTIONS(1338),
    [anon_sym___stdcall] = ACTIONS(1338),
    [anon_sym___fastcall] = ACTIONS(1338),
    [anon_sym___thiscall] = ACTIONS(1338),
    [anon_sym___vectorcall] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1338),
    [anon_sym_unsigned] = ACTIONS(1338),
    [anon_sym_long] = ACTIONS(1338),
    [anon_sym_short] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1338),
    [anon_sym_auto] = ACTIONS(1338),
    [anon_sym_register] = ACTIONS(1338),
    [anon_sym_inline] = ACTIONS(1338),
    [anon_sym___inline] = ACTIONS(1338),
    [anon_sym___inline__] = ACTIONS(1338),
    [anon_sym___forceinline] = ACTIONS(1338),
    [anon_sym_thread_local] = ACTIONS(1338),
    [anon_sym___thread] = ACTIONS(1338),
    [anon_sym_const] = ACTIONS(1338),
    [anon_sym_constexpr] = ACTIONS(1338),
    [anon_sym_volatile] = ACTIONS(1338),
    [anon_sym_restrict] = ACTIONS(1338),
    [anon_sym___restrict__] = ACTIONS(1338),
    [anon_sym__Atomic] = ACTIONS(1338),
    [anon_sym__Noreturn] = ACTIONS(1338),
    [anon_sym_noreturn] = ACTIONS(1338),
    [sym_primitive_type] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1338),
    [anon_sym_struct] = ACTIONS(1338),
    [anon_sym_union] = ACTIONS(1338),
    [anon_sym_if] = ACTIONS(1338),
    [anon_sym_else] = ACTIONS(1338),
    [anon_sym_switch] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(1338),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_do] = ACTIONS(1338),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1338),
    [anon_sym_continue] = ACTIONS(1338),
    [anon_sym_goto] = ACTIONS(1338),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_sizeof] = ACTIONS(1338),
    [anon_sym___alignof__] = ACTIONS(1338),
    [anon_sym___alignof] = ACTIONS(1338),
    [anon_sym__alignof] = ACTIONS(1338),
    [anon_sym_alignof] = ACTIONS(1338),
    [anon_sym__Alignof] = ACTIONS(1338),
    [anon_sym_offsetof] = ACTIONS(1338),
    [anon_sym__Generic] = ACTIONS(1338),
    [anon_sym_asm] = ACTIONS(1338),
    [anon_sym___asm__] = ACTIONS(1338),
    [sym_number_literal] = ACTIONS(1340),
    [anon_sym_L_SQUOTE] = ACTIONS(1340),
    [anon_sym_u_SQUOTE] = ACTIONS(1340),
    [anon_sym_U_SQUOTE] = ACTIONS(1340),
    [anon_sym_u8_SQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1338),
    [sym_false] = ACTIONS(1338),
    [anon_sym_NULL] = ACTIONS(1338),
    [anon_sym_nullptr] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_identifier] = ACTIONS(1330),
    [aux_sym_preproc_include_token1] = ACTIONS(1330),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token2] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1330),
    [sym_preproc_directive] = ACTIONS(1330),
    [anon_sym_LPAREN2] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_STAR] = ACTIONS(1332),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1332),
    [anon_sym___extension__] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1330),
    [anon_sym_extern] = ACTIONS(1330),
    [anon_sym___attribute__] = ACTIONS(1330),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1332),
    [anon_sym___declspec] = ACTIONS(1330),
    [anon_sym___cdecl] = ACTIONS(1330),
    [anon_sym___clrcall] = ACTIONS(1330),
    [anon_sym___stdcall] = ACTIONS(1330),
    [anon_sym___fastcall] = ACTIONS(1330),
    [anon_sym___thiscall] = ACTIONS(1330),
    [anon_sym___vectorcall] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(1330),
    [anon_sym_unsigned] = ACTIONS(1330),
    [anon_sym_long] = ACTIONS(1330),
    [anon_sym_short] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1330),
    [anon_sym_auto] = ACTIONS(1330),
    [anon_sym_register] = ACTIONS(1330),
    [anon_sym_inline] = ACTIONS(1330),
    [anon_sym___inline] = ACTIONS(1330),
    [anon_sym___inline__] = ACTIONS(1330),
    [anon_sym___forceinline] = ACTIONS(1330),
    [anon_sym_thread_local] = ACTIONS(1330),
    [anon_sym___thread] = ACTIONS(1330),
    [anon_sym_const] = ACTIONS(1330),
    [anon_sym_constexpr] = ACTIONS(1330),
    [anon_sym_volatile] = ACTIONS(1330),
    [anon_sym_restrict] = ACTIONS(1330),
    [anon_sym___restrict__] = ACTIONS(1330),
    [anon_sym__Atomic] = ACTIONS(1330),
    [anon_sym__Noreturn] = ACTIONS(1330),
    [anon_sym_noreturn] = ACTIONS(1330),
    [sym_primitive_type] = ACTIONS(1330),
    [anon_sym_enum] = ACTIONS(1330),
    [anon_sym_struct] = ACTIONS(1330),
    [anon_sym_union] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1330),
    [anon_sym_else] = ACTIONS(1330),
    [anon_sym_switch] = ACTIONS(1330),
    [anon_sym_case] = ACTIONS(1330),
    [anon_sym_default] = ACTIONS(1330),
    [anon_sym_while] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1330),
    [anon_sym_for] = ACTIONS(1330),
    [anon_sym_return] = ACTIONS(1330),
    [anon_sym_break] = ACTIONS(1330),
    [anon_sym_continue] = ACTIONS(1330),
    [anon_sym_goto] = ACTIONS(1330),
    [anon_sym___try] = ACTIONS(1330),
    [anon_sym___leave] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [anon_sym_sizeof] = ACTIONS(1330),
    [anon_sym___alignof__] = ACTIONS(1330),
    [anon_sym___alignof] = ACTIONS(1330),
    [anon_sym__alignof] = ACTIONS(1330),
    [anon_sym_alignof] = ACTIONS(1330),
    [anon_sym__Alignof] = ACTIONS(1330),
    [anon_sym_offsetof] = ACTIONS(1330),
    [anon_sym__Generic] = ACTIONS(1330),
    [anon_sym_asm] = ACTIONS(1330),
    [anon_sym___asm__] = ACTIONS(1330),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1332),
    [anon_sym_u_SQUOTE] = ACTIONS(1332),
    [anon_sym_U_SQUOTE] = ACTIONS(1332),
    [anon_sym_u8_SQUOTE] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_L_DQUOTE] = ACTIONS(1332),
    [anon_sym_u_DQUOTE] = ACTIONS(1332),
    [anon_sym_U_DQUOTE] = ACTIONS(1332),
    [anon_sym_u8_DQUOTE] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [sym_true] = ACTIONS(1330),
    [sym_false] = ACTIONS(1330),
    [anon_sym_NULL] = ACTIONS(1330),
    [anon_sym_nullptr] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_identifier] = ACTIONS(1334),
    [aux_sym_preproc_include_token1] = ACTIONS(1334),
    [aux_sym_preproc_def_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token2] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1334),
    [anon_sym_LPAREN2] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1336),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1336),
    [anon_sym___extension__] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1334),
    [anon_sym_extern] = ACTIONS(1334),
    [anon_sym___attribute__] = ACTIONS(1334),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1336),
    [anon_sym___declspec] = ACTIONS(1334),
    [anon_sym___cdecl] = ACTIONS(1334),
    [anon_sym___clrcall] = ACTIONS(1334),
    [anon_sym___stdcall] = ACTIONS(1334),
    [anon_sym___fastcall] = ACTIONS(1334),
    [anon_sym___thiscall] = ACTIONS(1334),
    [anon_sym___vectorcall] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1334),
    [anon_sym_unsigned] = ACTIONS(1334),
    [anon_sym_long] = ACTIONS(1334),
    [anon_sym_short] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1334),
    [anon_sym_auto] = ACTIONS(1334),
    [anon_sym_register] = ACTIONS(1334),
    [anon_sym_inline] = ACTIONS(1334),
    [anon_sym___inline] = ACTIONS(1334),
    [anon_sym___inline__] = ACTIONS(1334),
    [anon_sym___forceinline] = ACTIONS(1334),
    [anon_sym_thread_local] = ACTIONS(1334),
    [anon_sym___thread] = ACTIONS(1334),
    [anon_sym_const] = ACTIONS(1334),
    [anon_sym_constexpr] = ACTIONS(1334),
    [anon_sym_volatile] = ACTIONS(1334),
    [anon_sym_restrict] = ACTIONS(1334),
    [anon_sym___restrict__] = ACTIONS(1334),
    [anon_sym__Atomic] = ACTIONS(1334),
    [anon_sym__Noreturn] = ACTIONS(1334),
    [anon_sym_noreturn] = ACTIONS(1334),
    [sym_primitive_type] = ACTIONS(1334),
    [anon_sym_enum] = ACTIONS(1334),
    [anon_sym_struct] = ACTIONS(1334),
    [anon_sym_union] = ACTIONS(1334),
    [anon_sym_if] = ACTIONS(1334),
    [anon_sym_else] = ACTIONS(1334),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_case] = ACTIONS(1334),
    [anon_sym_default] = ACTIONS(1334),
    [anon_sym_while] = ACTIONS(1334),
    [anon_sym_do] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1334),
    [anon_sym_return] = ACTIONS(1334),
    [anon_sym_break] = ACTIONS(1334),
    [anon_sym_continue] = ACTIONS(1334),
    [anon_sym_goto] = ACTIONS(1334),
    [anon_sym___try] = ACTIONS(1334),
    [anon_sym___leave] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [anon_sym_sizeof] = ACTIONS(1334),
    [anon_sym___alignof__] = ACTIONS(1334),
    [anon_sym___alignof] = ACTIONS(1334),
    [anon_sym__alignof] = ACTIONS(1334),
    [anon_sym_alignof] = ACTIONS(1334),
    [anon_sym__Alignof] = ACTIONS(1334),
    [anon_sym_offsetof] = ACTIONS(1334),
    [anon_sym__Generic] = ACTIONS(1334),
    [anon_sym_asm] = ACTIONS(1334),
    [anon_sym___asm__] = ACTIONS(1334),
    [sym_number_literal] = ACTIONS(1336),
    [anon_sym_L_SQUOTE] = ACTIONS(1336),
    [anon_sym_u_SQUOTE] = ACTIONS(1336),
    [anon_sym_U_SQUOTE] = ACTIONS(1336),
    [anon_sym_u8_SQUOTE] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_L_DQUOTE] = ACTIONS(1336),
    [anon_sym_u_DQUOTE] = ACTIONS(1336),
    [anon_sym_U_DQUOTE] = ACTIONS(1336),
    [anon_sym_u8_DQUOTE] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [sym_true] = ACTIONS(1334),
    [sym_false] = ACTIONS(1334),
    [anon_sym_NULL] = ACTIONS(1334),
    [anon_sym_nullptr] = ACTIONS(1334),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_identifier] = ACTIONS(1326),
    [aux_sym_preproc_include_token1] = ACTIONS(1326),
    [aux_sym_preproc_def_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1326),
    [sym_preproc_directive] = ACTIONS(1326),
    [anon_sym_LPAREN2] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1328),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1326),
    [anon_sym_extern] = ACTIONS(1326),
    [anon_sym___attribute__] = ACTIONS(1326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1328),
    [anon_sym___declspec] = ACTIONS(1326),
    [anon_sym___cdecl] = ACTIONS(1326),
    [anon_sym___clrcall] = ACTIONS(1326),
    [anon_sym___stdcall] = ACTIONS(1326),
    [anon_sym___fastcall] = ACTIONS(1326),
    [anon_sym___thiscall] = ACTIONS(1326),
    [anon_sym___vectorcall] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [anon_sym_signed] = ACTIONS(1326),
    [anon_sym_unsigned] = ACTIONS(1326),
    [anon_sym_long] = ACTIONS(1326),
    [anon_sym_short] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1326),
    [anon_sym_auto] = ACTIONS(1326),
    [anon_sym_register] = ACTIONS(1326),
    [anon_sym_inline] = ACTIONS(1326),
    [anon_sym___inline] = ACTIONS(1326),
    [anon_sym___inline__] = ACTIONS(1326),
    [anon_sym___forceinline] = ACTIONS(1326),
    [anon_sym_thread_local] = ACTIONS(1326),
    [anon_sym___thread] = ACTIONS(1326),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_constexpr] = ACTIONS(1326),
    [anon_sym_volatile] = ACTIONS(1326),
    [anon_sym_restrict] = ACTIONS(1326),
    [anon_sym___restrict__] = ACTIONS(1326),
    [anon_sym__Atomic] = ACTIONS(1326),
    [anon_sym__Noreturn] = ACTIONS(1326),
    [anon_sym_noreturn] = ACTIONS(1326),
    [sym_primitive_type] = ACTIONS(1326),
    [anon_sym_enum] = ACTIONS(1326),
    [anon_sym_struct] = ACTIONS(1326),
    [anon_sym_union] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1326),
    [anon_sym_else] = ACTIONS(1326),
    [anon_sym_switch] = ACTIONS(1326),
    [anon_sym_case] = ACTIONS(1326),
    [anon_sym_default] = ACTIONS(1326),
    [anon_sym_while] = ACTIONS(1326),
    [anon_sym_do] = ACTIONS(1326),
    [anon_sym_for] = ACTIONS(1326),
    [anon_sym_return] = ACTIONS(1326),
    [anon_sym_break] = ACTIONS(1326),
    [anon_sym_continue] = ACTIONS(1326),
    [anon_sym_goto] = ACTIONS(1326),
    [anon_sym___try] = ACTIONS(1326),
    [anon_sym___leave] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_sizeof] = ACTIONS(1326),
    [anon_sym___alignof__] = ACTIONS(1326),
    [anon_sym___alignof] = ACTIONS(1326),
    [anon_sym__alignof] = ACTIONS(1326),
    [anon_sym_alignof] = ACTIONS(1326),
    [anon_sym__Alignof] = ACTIONS(1326),
    [anon_sym_offsetof] = ACTIONS(1326),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1326),
    [anon_sym___asm__] = ACTIONS(1326),
    [sym_number_literal] = ACTIONS(1328),
    [anon_sym_L_SQUOTE] = ACTIONS(1328),
    [anon_sym_u_SQUOTE] = ACTIONS(1328),
    [anon_sym_U_SQUOTE] = ACTIONS(1328),
    [anon_sym_u8_SQUOTE] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_L_DQUOTE] = ACTIONS(1328),
    [anon_sym_u_DQUOTE] = ACTIONS(1328),
    [anon_sym_U_DQUOTE] = ACTIONS(1328),
    [anon_sym_u8_DQUOTE] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [sym_true] = ACTIONS(1326),
    [sym_false] = ACTIONS(1326),
    [anon_sym_NULL] = ACTIONS(1326),
    [anon_sym_nullptr] = ACTIONS(1326),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [ts_builtin_sym_end] = ACTIONS(1324),
    [sym_identifier] = ACTIONS(1322),
    [aux_sym_preproc_include_token1] = ACTIONS(1322),
    [aux_sym_preproc_def_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1322),
    [sym_preproc_directive] = ACTIONS(1322),
    [anon_sym_LPAREN2] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1324),
    [anon_sym_AMP] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1322),
    [anon_sym_extern] = ACTIONS(1322),
    [anon_sym___attribute__] = ACTIONS(1322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1324),
    [anon_sym___declspec] = ACTIONS(1322),
    [anon_sym___cdecl] = ACTIONS(1322),
    [anon_sym___clrcall] = ACTIONS(1322),
    [anon_sym___stdcall] = ACTIONS(1322),
    [anon_sym___fastcall] = ACTIONS(1322),
    [anon_sym___thiscall] = ACTIONS(1322),
    [anon_sym___vectorcall] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1322),
    [anon_sym_unsigned] = ACTIONS(1322),
    [anon_sym_long] = ACTIONS(1322),
    [anon_sym_short] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1322),
    [anon_sym_auto] = ACTIONS(1322),
    [anon_sym_register] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1322),
    [anon_sym___inline] = ACTIONS(1322),
    [anon_sym___inline__] = ACTIONS(1322),
    [anon_sym___forceinline] = ACTIONS(1322),
    [anon_sym_thread_local] = ACTIONS(1322),
    [anon_sym___thread] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_constexpr] = ACTIONS(1322),
    [anon_sym_volatile] = ACTIONS(1322),
    [anon_sym_restrict] = ACTIONS(1322),
    [anon_sym___restrict__] = ACTIONS(1322),
    [anon_sym__Atomic] = ACTIONS(1322),
    [anon_sym__Noreturn] = ACTIONS(1322),
    [anon_sym_noreturn] = ACTIONS(1322),
    [sym_primitive_type] = ACTIONS(1322),
    [anon_sym_enum] = ACTIONS(1322),
    [anon_sym_struct] = ACTIONS(1322),
    [anon_sym_union] = ACTIONS(1322),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_else] = ACTIONS(1322),
    [anon_sym_switch] = ACTIONS(1322),
    [anon_sym_case] = ACTIONS(1322),
    [anon_sym_default] = ACTIONS(1322),
    [anon_sym_while] = ACTIONS(1322),
    [anon_sym_do] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_goto] = ACTIONS(1322),
    [anon_sym___try] = ACTIONS(1322),
    [anon_sym___leave] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_sizeof] = ACTIONS(1322),
    [anon_sym___alignof__] = ACTIONS(1322),
    [anon_sym___alignof] = ACTIONS(1322),
    [anon_sym__alignof] = ACTIONS(1322),
    [anon_sym_alignof] = ACTIONS(1322),
    [anon_sym__Alignof] = ACTIONS(1322),
    [anon_sym_offsetof] = ACTIONS(1322),
    [anon_sym__Generic] = ACTIONS(1322),
    [anon_sym_asm] = ACTIONS(1322),
    [anon_sym___asm__] = ACTIONS(1322),
    [sym_number_literal] = ACTIONS(1324),
    [anon_sym_L_SQUOTE] = ACTIONS(1324),
    [anon_sym_u_SQUOTE] = ACTIONS(1324),
    [anon_sym_U_SQUOTE] = ACTIONS(1324),
    [anon_sym_u8_SQUOTE] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_L_DQUOTE] = ACTIONS(1324),
    [anon_sym_u_DQUOTE] = ACTIONS(1324),
    [anon_sym_U_DQUOTE] = ACTIONS(1324),
    [anon_sym_u8_DQUOTE] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_NULL] = ACTIONS(1322),
    [anon_sym_nullptr] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_identifier] = ACTIONS(1432),
    [aux_sym_preproc_include_token1] = ACTIONS(1432),
    [aux_sym_preproc_def_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1432),
    [sym_preproc_directive] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1432),
    [anon_sym_extern] = ACTIONS(1432),
    [anon_sym___attribute__] = ACTIONS(1432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1434),
    [anon_sym___declspec] = ACTIONS(1432),
    [anon_sym___cdecl] = ACTIONS(1432),
    [anon_sym___clrcall] = ACTIONS(1432),
    [anon_sym___stdcall] = ACTIONS(1432),
    [anon_sym___fastcall] = ACTIONS(1432),
    [anon_sym___thiscall] = ACTIONS(1432),
    [anon_sym___vectorcall] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_signed] = ACTIONS(1432),
    [anon_sym_unsigned] = ACTIONS(1432),
    [anon_sym_long] = ACTIONS(1432),
    [anon_sym_short] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1432),
    [anon_sym_auto] = ACTIONS(1432),
    [anon_sym_register] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(1432),
    [anon_sym___inline] = ACTIONS(1432),
    [anon_sym___inline__] = ACTIONS(1432),
    [anon_sym___forceinline] = ACTIONS(1432),
    [anon_sym_thread_local] = ACTIONS(1432),
    [anon_sym___thread] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_constexpr] = ACTIONS(1432),
    [anon_sym_volatile] = ACTIONS(1432),
    [anon_sym_restrict] = ACTIONS(1432),
    [anon_sym___restrict__] = ACTIONS(1432),
    [anon_sym__Atomic] = ACTIONS(1432),
    [anon_sym__Noreturn] = ACTIONS(1432),
    [anon_sym_noreturn] = ACTIONS(1432),
    [sym_primitive_type] = ACTIONS(1432),
    [anon_sym_enum] = ACTIONS(1432),
    [anon_sym_struct] = ACTIONS(1432),
    [anon_sym_union] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_do] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_continue] = ACTIONS(1432),
    [anon_sym_goto] = ACTIONS(1432),
    [anon_sym___try] = ACTIONS(1432),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_sizeof] = ACTIONS(1432),
    [anon_sym___alignof__] = ACTIONS(1432),
    [anon_sym___alignof] = ACTIONS(1432),
    [anon_sym__alignof] = ACTIONS(1432),
    [anon_sym_alignof] = ACTIONS(1432),
    [anon_sym__Alignof] = ACTIONS(1432),
    [anon_sym_offsetof] = ACTIONS(1432),
    [anon_sym__Generic] = ACTIONS(1432),
    [anon_sym_asm] = ACTIONS(1432),
    [anon_sym___asm__] = ACTIONS(1432),
    [sym_number_literal] = ACTIONS(1434),
    [anon_sym_L_SQUOTE] = ACTIONS(1434),
    [anon_sym_u_SQUOTE] = ACTIONS(1434),
    [anon_sym_U_SQUOTE] = ACTIONS(1434),
    [anon_sym_u8_SQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_L_DQUOTE] = ACTIONS(1434),
    [anon_sym_u_DQUOTE] = ACTIONS(1434),
    [anon_sym_U_DQUOTE] = ACTIONS(1434),
    [anon_sym_u8_DQUOTE] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [sym_true] = ACTIONS(1432),
    [sym_false] = ACTIONS(1432),
    [anon_sym_NULL] = ACTIONS(1432),
    [anon_sym_nullptr] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_identifier] = ACTIONS(1488),
    [aux_sym_preproc_include_token1] = ACTIONS(1488),
    [aux_sym_preproc_def_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token2] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1488),
    [sym_preproc_directive] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym___extension__] = ACTIONS(1488),
    [anon_sym_typedef] = ACTIONS(1488),
    [anon_sym_extern] = ACTIONS(1488),
    [anon_sym___attribute__] = ACTIONS(1488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1490),
    [anon_sym___declspec] = ACTIONS(1488),
    [anon_sym___cdecl] = ACTIONS(1488),
    [anon_sym___clrcall] = ACTIONS(1488),
    [anon_sym___stdcall] = ACTIONS(1488),
    [anon_sym___fastcall] = ACTIONS(1488),
    [anon_sym___thiscall] = ACTIONS(1488),
    [anon_sym___vectorcall] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_signed] = ACTIONS(1488),
    [anon_sym_unsigned] = ACTIONS(1488),
    [anon_sym_long] = ACTIONS(1488),
    [anon_sym_short] = ACTIONS(1488),
    [anon_sym_static] = ACTIONS(1488),
    [anon_sym_auto] = ACTIONS(1488),
    [anon_sym_register] = ACTIONS(1488),
    [anon_sym_inline] = ACTIONS(1488),
    [anon_sym___inline] = ACTIONS(1488),
    [anon_sym___inline__] = ACTIONS(1488),
    [anon_sym___forceinline] = ACTIONS(1488),
    [anon_sym_thread_local] = ACTIONS(1488),
    [anon_sym___thread] = ACTIONS(1488),
    [anon_sym_const] = ACTIONS(1488),
    [anon_sym_constexpr] = ACTIONS(1488),
    [anon_sym_volatile] = ACTIONS(1488),
    [anon_sym_restrict] = ACTIONS(1488),
    [anon_sym___restrict__] = ACTIONS(1488),
    [anon_sym__Atomic] = ACTIONS(1488),
    [anon_sym__Noreturn] = ACTIONS(1488),
    [anon_sym_noreturn] = ACTIONS(1488),
    [sym_primitive_type] = ACTIONS(1488),
    [anon_sym_enum] = ACTIONS(1488),
    [anon_sym_struct] = ACTIONS(1488),
    [anon_sym_union] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(1488),
    [anon_sym_case] = ACTIONS(1488),
    [anon_sym_default] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_do] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_break] = ACTIONS(1488),
    [anon_sym_continue] = ACTIONS(1488),
    [anon_sym_goto] = ACTIONS(1488),
    [anon_sym___try] = ACTIONS(1488),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_sizeof] = ACTIONS(1488),
    [anon_sym___alignof__] = ACTIONS(1488),
    [anon_sym___alignof] = ACTIONS(1488),
    [anon_sym__alignof] = ACTIONS(1488),
    [anon_sym_alignof] = ACTIONS(1488),
    [anon_sym__Alignof] = ACTIONS(1488),
    [anon_sym_offsetof] = ACTIONS(1488),
    [anon_sym__Generic] = ACTIONS(1488),
    [anon_sym_asm] = ACTIONS(1488),
    [anon_sym___asm__] = ACTIONS(1488),
    [sym_number_literal] = ACTIONS(1490),
    [anon_sym_L_SQUOTE] = ACTIONS(1490),
    [anon_sym_u_SQUOTE] = ACTIONS(1490),
    [anon_sym_U_SQUOTE] = ACTIONS(1490),
    [anon_sym_u8_SQUOTE] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_L_DQUOTE] = ACTIONS(1490),
    [anon_sym_u_DQUOTE] = ACTIONS(1490),
    [anon_sym_U_DQUOTE] = ACTIONS(1490),
    [anon_sym_u8_DQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [anon_sym_NULL] = ACTIONS(1488),
    [anon_sym_nullptr] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [sym_identifier] = ACTIONS(1448),
    [aux_sym_preproc_include_token1] = ACTIONS(1448),
    [aux_sym_preproc_def_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token2] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1448),
    [sym_preproc_directive] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym___extension__] = ACTIONS(1448),
    [anon_sym_typedef] = ACTIONS(1448),
    [anon_sym_extern] = ACTIONS(1448),
    [anon_sym___attribute__] = ACTIONS(1448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1450),
    [anon_sym___declspec] = ACTIONS(1448),
    [anon_sym___cdecl] = ACTIONS(1448),
    [anon_sym___clrcall] = ACTIONS(1448),
    [anon_sym___stdcall] = ACTIONS(1448),
    [anon_sym___fastcall] = ACTIONS(1448),
    [anon_sym___thiscall] = ACTIONS(1448),
    [anon_sym___vectorcall] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_signed] = ACTIONS(1448),
    [anon_sym_unsigned] = ACTIONS(1448),
    [anon_sym_long] = ACTIONS(1448),
    [anon_sym_short] = ACTIONS(1448),
    [anon_sym_static] = ACTIONS(1448),
    [anon_sym_auto] = ACTIONS(1448),
    [anon_sym_register] = ACTIONS(1448),
    [anon_sym_inline] = ACTIONS(1448),
    [anon_sym___inline] = ACTIONS(1448),
    [anon_sym___inline__] = ACTIONS(1448),
    [anon_sym___forceinline] = ACTIONS(1448),
    [anon_sym_thread_local] = ACTIONS(1448),
    [anon_sym___thread] = ACTIONS(1448),
    [anon_sym_const] = ACTIONS(1448),
    [anon_sym_constexpr] = ACTIONS(1448),
    [anon_sym_volatile] = ACTIONS(1448),
    [anon_sym_restrict] = ACTIONS(1448),
    [anon_sym___restrict__] = ACTIONS(1448),
    [anon_sym__Atomic] = ACTIONS(1448),
    [anon_sym__Noreturn] = ACTIONS(1448),
    [anon_sym_noreturn] = ACTIONS(1448),
    [sym_primitive_type] = ACTIONS(1448),
    [anon_sym_enum] = ACTIONS(1448),
    [anon_sym_struct] = ACTIONS(1448),
    [anon_sym_union] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1448),
    [anon_sym_switch] = ACTIONS(1448),
    [anon_sym_case] = ACTIONS(1448),
    [anon_sym_default] = ACTIONS(1448),
    [anon_sym_while] = ACTIONS(1448),
    [anon_sym_do] = ACTIONS(1448),
    [anon_sym_for] = ACTIONS(1448),
    [anon_sym_return] = ACTIONS(1448),
    [anon_sym_break] = ACTIONS(1448),
    [anon_sym_continue] = ACTIONS(1448),
    [anon_sym_goto] = ACTIONS(1448),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_sizeof] = ACTIONS(1448),
    [anon_sym___alignof__] = ACTIONS(1448),
    [anon_sym___alignof] = ACTIONS(1448),
    [anon_sym__alignof] = ACTIONS(1448),
    [anon_sym_alignof] = ACTIONS(1448),
    [anon_sym__Alignof] = ACTIONS(1448),
    [anon_sym_offsetof] = ACTIONS(1448),
    [anon_sym__Generic] = ACTIONS(1448),
    [anon_sym_asm] = ACTIONS(1448),
    [anon_sym___asm__] = ACTIONS(1448),
    [sym_number_literal] = ACTIONS(1450),
    [anon_sym_L_SQUOTE] = ACTIONS(1450),
    [anon_sym_u_SQUOTE] = ACTIONS(1450),
    [anon_sym_U_SQUOTE] = ACTIONS(1450),
    [anon_sym_u8_SQUOTE] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_L_DQUOTE] = ACTIONS(1450),
    [anon_sym_u_DQUOTE] = ACTIONS(1450),
    [anon_sym_U_DQUOTE] = ACTIONS(1450),
    [anon_sym_u8_DQUOTE] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [sym_true] = ACTIONS(1448),
    [sym_false] = ACTIONS(1448),
    [anon_sym_NULL] = ACTIONS(1448),
    [anon_sym_nullptr] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_identifier] = ACTIONS(1432),
    [aux_sym_preproc_include_token1] = ACTIONS(1432),
    [aux_sym_preproc_def_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token2] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1432),
    [sym_preproc_directive] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1432),
    [anon_sym_extern] = ACTIONS(1432),
    [anon_sym___attribute__] = ACTIONS(1432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1434),
    [anon_sym___declspec] = ACTIONS(1432),
    [anon_sym___cdecl] = ACTIONS(1432),
    [anon_sym___clrcall] = ACTIONS(1432),
    [anon_sym___stdcall] = ACTIONS(1432),
    [anon_sym___fastcall] = ACTIONS(1432),
    [anon_sym___thiscall] = ACTIONS(1432),
    [anon_sym___vectorcall] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_signed] = ACTIONS(1432),
    [anon_sym_unsigned] = ACTIONS(1432),
    [anon_sym_long] = ACTIONS(1432),
    [anon_sym_short] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1432),
    [anon_sym_auto] = ACTIONS(1432),
    [anon_sym_register] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(1432),
    [anon_sym___inline] = ACTIONS(1432),
    [anon_sym___inline__] = ACTIONS(1432),
    [anon_sym___forceinline] = ACTIONS(1432),
    [anon_sym_thread_local] = ACTIONS(1432),
    [anon_sym___thread] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_constexpr] = ACTIONS(1432),
    [anon_sym_volatile] = ACTIONS(1432),
    [anon_sym_restrict] = ACTIONS(1432),
    [anon_sym___restrict__] = ACTIONS(1432),
    [anon_sym__Atomic] = ACTIONS(1432),
    [anon_sym__Noreturn] = ACTIONS(1432),
    [anon_sym_noreturn] = ACTIONS(1432),
    [sym_primitive_type] = ACTIONS(1432),
    [anon_sym_enum] = ACTIONS(1432),
    [anon_sym_struct] = ACTIONS(1432),
    [anon_sym_union] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_do] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_continue] = ACTIONS(1432),
    [anon_sym_goto] = ACTIONS(1432),
    [anon_sym___try] = ACTIONS(1432),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_sizeof] = ACTIONS(1432),
    [anon_sym___alignof__] = ACTIONS(1432),
    [anon_sym___alignof] = ACTIONS(1432),
    [anon_sym__alignof] = ACTIONS(1432),
    [anon_sym_alignof] = ACTIONS(1432),
    [anon_sym__Alignof] = ACTIONS(1432),
    [anon_sym_offsetof] = ACTIONS(1432),
    [anon_sym__Generic] = ACTIONS(1432),
    [anon_sym_asm] = ACTIONS(1432),
    [anon_sym___asm__] = ACTIONS(1432),
    [sym_number_literal] = ACTIONS(1434),
    [anon_sym_L_SQUOTE] = ACTIONS(1434),
    [anon_sym_u_SQUOTE] = ACTIONS(1434),
    [anon_sym_U_SQUOTE] = ACTIONS(1434),
    [anon_sym_u8_SQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_L_DQUOTE] = ACTIONS(1434),
    [anon_sym_u_DQUOTE] = ACTIONS(1434),
    [anon_sym_U_DQUOTE] = ACTIONS(1434),
    [anon_sym_u8_DQUOTE] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [sym_true] = ACTIONS(1432),
    [sym_false] = ACTIONS(1432),
    [anon_sym_NULL] = ACTIONS(1432),
    [anon_sym_nullptr] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_identifier] = ACTIONS(1416),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1416),
    [anon_sym_extern] = ACTIONS(1416),
    [anon_sym___attribute__] = ACTIONS(1416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1418),
    [anon_sym___declspec] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(1416),
    [anon_sym_unsigned] = ACTIONS(1416),
    [anon_sym_long] = ACTIONS(1416),
    [anon_sym_short] = ACTIONS(1416),
    [anon_sym_static] = ACTIONS(1416),
    [anon_sym_auto] = ACTIONS(1416),
    [anon_sym_register] = ACTIONS(1416),
    [anon_sym_inline] = ACTIONS(1416),
    [anon_sym___inline] = ACTIONS(1416),
    [anon_sym___inline__] = ACTIONS(1416),
    [anon_sym___forceinline] = ACTIONS(1416),
    [anon_sym_thread_local] = ACTIONS(1416),
    [anon_sym___thread] = ACTIONS(1416),
    [anon_sym_const] = ACTIONS(1416),
    [anon_sym_constexpr] = ACTIONS(1416),
    [anon_sym_volatile] = ACTIONS(1416),
    [anon_sym_restrict] = ACTIONS(1416),
    [anon_sym___restrict__] = ACTIONS(1416),
    [anon_sym__Atomic] = ACTIONS(1416),
    [anon_sym__Noreturn] = ACTIONS(1416),
    [anon_sym_noreturn] = ACTIONS(1416),
    [sym_primitive_type] = ACTIONS(1416),
    [anon_sym_enum] = ACTIONS(1416),
    [anon_sym_struct] = ACTIONS(1416),
    [anon_sym_union] = ACTIONS(1416),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(1416),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(1416),
    [anon_sym_do] = ACTIONS(1416),
    [anon_sym_for] = ACTIONS(1416),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_break] = ACTIONS(1416),
    [anon_sym_continue] = ACTIONS(1416),
    [anon_sym_goto] = ACTIONS(1416),
    [anon_sym___try] = ACTIONS(1416),
    [anon_sym___leave] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [anon_sym_sizeof] = ACTIONS(1416),
    [anon_sym___alignof__] = ACTIONS(1416),
    [anon_sym___alignof] = ACTIONS(1416),
    [anon_sym__alignof] = ACTIONS(1416),
    [anon_sym_alignof] = ACTIONS(1416),
    [anon_sym__Alignof] = ACTIONS(1416),
    [anon_sym_offsetof] = ACTIONS(1416),
    [anon_sym__Generic] = ACTIONS(1416),
    [anon_sym_asm] = ACTIONS(1416),
    [anon_sym___asm__] = ACTIONS(1416),
    [sym_number_literal] = ACTIONS(1418),
    [anon_sym_L_SQUOTE] = ACTIONS(1418),
    [anon_sym_u_SQUOTE] = ACTIONS(1418),
    [anon_sym_U_SQUOTE] = ACTIONS(1418),
    [anon_sym_u8_SQUOTE] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_L_DQUOTE] = ACTIONS(1418),
    [anon_sym_u_DQUOTE] = ACTIONS(1418),
    [anon_sym_U_DQUOTE] = ACTIONS(1418),
    [anon_sym_u8_DQUOTE] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_NULL] = ACTIONS(1416),
    [anon_sym_nullptr] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym___extension__] = ACTIONS(1402),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym___inline] = ACTIONS(1402),
    [anon_sym___inline__] = ACTIONS(1402),
    [anon_sym___forceinline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym___thread] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym___try] = ACTIONS(1402),
    [anon_sym___leave] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym___alignof__] = ACTIONS(1402),
    [anon_sym___alignof] = ACTIONS(1402),
    [anon_sym__alignof] = ACTIONS(1402),
    [anon_sym_alignof] = ACTIONS(1402),
    [anon_sym__Alignof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [sym_identifier] = ACTIONS(1484),
    [aux_sym_preproc_include_token1] = ACTIONS(1484),
    [aux_sym_preproc_def_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token1] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1484),
    [sym_preproc_directive] = ACTIONS(1484),
    [anon_sym_LPAREN2] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1486),
    [anon_sym___extension__] = ACTIONS(1484),
    [anon_sym_typedef] = ACTIONS(1484),
    [anon_sym_extern] = ACTIONS(1484),
    [anon_sym___attribute__] = ACTIONS(1484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym___declspec] = ACTIONS(1484),
    [anon_sym___cdecl] = ACTIONS(1484),
    [anon_sym___clrcall] = ACTIONS(1484),
    [anon_sym___stdcall] = ACTIONS(1484),
    [anon_sym___fastcall] = ACTIONS(1484),
    [anon_sym___thiscall] = ACTIONS(1484),
    [anon_sym___vectorcall] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_RBRACE] = ACTIONS(1486),
    [anon_sym_signed] = ACTIONS(1484),
    [anon_sym_unsigned] = ACTIONS(1484),
    [anon_sym_long] = ACTIONS(1484),
    [anon_sym_short] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(1484),
    [anon_sym_auto] = ACTIONS(1484),
    [anon_sym_register] = ACTIONS(1484),
    [anon_sym_inline] = ACTIONS(1484),
    [anon_sym___inline] = ACTIONS(1484),
    [anon_sym___inline__] = ACTIONS(1484),
    [anon_sym___forceinline] = ACTIONS(1484),
    [anon_sym_thread_local] = ACTIONS(1484),
    [anon_sym___thread] = ACTIONS(1484),
    [anon_sym_const] = ACTIONS(1484),
    [anon_sym_constexpr] = ACTIONS(1484),
    [anon_sym_volatile] = ACTIONS(1484),
    [anon_sym_restrict] = ACTIONS(1484),
    [anon_sym___restrict__] = ACTIONS(1484),
    [anon_sym__Atomic] = ACTIONS(1484),
    [anon_sym__Noreturn] = ACTIONS(1484),
    [anon_sym_noreturn] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(1484),
    [anon_sym_enum] = ACTIONS(1484),
    [anon_sym_struct] = ACTIONS(1484),
    [anon_sym_union] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_switch] = ACTIONS(1484),
    [anon_sym_case] = ACTIONS(1484),
    [anon_sym_default] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_do] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_return] = ACTIONS(1484),
    [anon_sym_break] = ACTIONS(1484),
    [anon_sym_continue] = ACTIONS(1484),
    [anon_sym_goto] = ACTIONS(1484),
    [anon_sym___try] = ACTIONS(1484),
    [anon_sym___leave] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [anon_sym_sizeof] = ACTIONS(1484),
    [anon_sym___alignof__] = ACTIONS(1484),
    [anon_sym___alignof] = ACTIONS(1484),
    [anon_sym__alignof] = ACTIONS(1484),
    [anon_sym_alignof] = ACTIONS(1484),
    [anon_sym__Alignof] = ACTIONS(1484),
    [anon_sym_offsetof] = ACTIONS(1484),
    [anon_sym__Generic] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1484),
    [anon_sym___asm__] = ACTIONS(1484),
    [sym_number_literal] = ACTIONS(1486),
    [anon_sym_L_SQUOTE] = ACTIONS(1486),
    [anon_sym_u_SQUOTE] = ACTIONS(1486),
    [anon_sym_U_SQUOTE] = ACTIONS(1486),
    [anon_sym_u8_SQUOTE] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_L_DQUOTE] = ACTIONS(1486),
    [anon_sym_u_DQUOTE] = ACTIONS(1486),
    [anon_sym_U_DQUOTE] = ACTIONS(1486),
    [anon_sym_u8_DQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [anon_sym_NULL] = ACTIONS(1484),
    [anon_sym_nullptr] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1456),
    [aux_sym_preproc_def_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1456),
    [sym_preproc_directive] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [anon_sym___extension__] = ACTIONS(1456),
    [anon_sym_typedef] = ACTIONS(1456),
    [anon_sym_extern] = ACTIONS(1456),
    [anon_sym___attribute__] = ACTIONS(1456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1458),
    [anon_sym___declspec] = ACTIONS(1456),
    [anon_sym___cdecl] = ACTIONS(1456),
    [anon_sym___clrcall] = ACTIONS(1456),
    [anon_sym___stdcall] = ACTIONS(1456),
    [anon_sym___fastcall] = ACTIONS(1456),
    [anon_sym___thiscall] = ACTIONS(1456),
    [anon_sym___vectorcall] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_RBRACE] = ACTIONS(1458),
    [anon_sym_signed] = ACTIONS(1456),
    [anon_sym_unsigned] = ACTIONS(1456),
    [anon_sym_long] = ACTIONS(1456),
    [anon_sym_short] = ACTIONS(1456),
    [anon_sym_static] = ACTIONS(1456),
    [anon_sym_auto] = ACTIONS(1456),
    [anon_sym_register] = ACTIONS(1456),
    [anon_sym_inline] = ACTIONS(1456),
    [anon_sym___inline] = ACTIONS(1456),
    [anon_sym___inline__] = ACTIONS(1456),
    [anon_sym___forceinline] = ACTIONS(1456),
    [anon_sym_thread_local] = ACTIONS(1456),
    [anon_sym___thread] = ACTIONS(1456),
    [anon_sym_const] = ACTIONS(1456),
    [anon_sym_constexpr] = ACTIONS(1456),
    [anon_sym_volatile] = ACTIONS(1456),
    [anon_sym_restrict] = ACTIONS(1456),
    [anon_sym___restrict__] = ACTIONS(1456),
    [anon_sym__Atomic] = ACTIONS(1456),
    [anon_sym__Noreturn] = ACTIONS(1456),
    [anon_sym_noreturn] = ACTIONS(1456),
    [sym_primitive_type] = ACTIONS(1456),
    [anon_sym_enum] = ACTIONS(1456),
    [anon_sym_struct] = ACTIONS(1456),
    [anon_sym_union] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1456),
    [anon_sym_switch] = ACTIONS(1456),
    [anon_sym_case] = ACTIONS(1456),
    [anon_sym_default] = ACTIONS(1456),
    [anon_sym_while] = ACTIONS(1456),
    [anon_sym_do] = ACTIONS(1456),
    [anon_sym_for] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(1456),
    [anon_sym_break] = ACTIONS(1456),
    [anon_sym_continue] = ACTIONS(1456),
    [anon_sym_goto] = ACTIONS(1456),
    [anon_sym___try] = ACTIONS(1456),
    [anon_sym___leave] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_sizeof] = ACTIONS(1456),
    [anon_sym___alignof__] = ACTIONS(1456),
    [anon_sym___alignof] = ACTIONS(1456),
    [anon_sym__alignof] = ACTIONS(1456),
    [anon_sym_alignof] = ACTIONS(1456),
    [anon_sym__Alignof] = ACTIONS(1456),
    [anon_sym_offsetof] = ACTIONS(1456),
    [anon_sym__Generic] = ACTIONS(1456),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1458),
    [anon_sym_L_SQUOTE] = ACTIONS(1458),
    [anon_sym_u_SQUOTE] = ACTIONS(1458),
    [anon_sym_U_SQUOTE] = ACTIONS(1458),
    [anon_sym_u8_SQUOTE] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_L_DQUOTE] = ACTIONS(1458),
    [anon_sym_u_DQUOTE] = ACTIONS(1458),
    [anon_sym_U_DQUOTE] = ACTIONS(1458),
    [anon_sym_u8_DQUOTE] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [sym_true] = ACTIONS(1456),
    [sym_false] = ACTIONS(1456),
    [anon_sym_NULL] = ACTIONS(1456),
    [anon_sym_nullptr] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_identifier] = ACTIONS(1500),
    [aux_sym_preproc_include_token1] = ACTIONS(1500),
    [aux_sym_preproc_def_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1500),
    [sym_preproc_directive] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym___extension__] = ACTIONS(1500),
    [anon_sym_typedef] = ACTIONS(1500),
    [anon_sym_extern] = ACTIONS(1500),
    [anon_sym___attribute__] = ACTIONS(1500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1502),
    [anon_sym___declspec] = ACTIONS(1500),
    [anon_sym___cdecl] = ACTIONS(1500),
    [anon_sym___clrcall] = ACTIONS(1500),
    [anon_sym___stdcall] = ACTIONS(1500),
    [anon_sym___fastcall] = ACTIONS(1500),
    [anon_sym___thiscall] = ACTIONS(1500),
    [anon_sym___vectorcall] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [anon_sym_signed] = ACTIONS(1500),
    [anon_sym_unsigned] = ACTIONS(1500),
    [anon_sym_long] = ACTIONS(1500),
    [anon_sym_short] = ACTIONS(1500),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_auto] = ACTIONS(1500),
    [anon_sym_register] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1500),
    [anon_sym___inline] = ACTIONS(1500),
    [anon_sym___inline__] = ACTIONS(1500),
    [anon_sym___forceinline] = ACTIONS(1500),
    [anon_sym_thread_local] = ACTIONS(1500),
    [anon_sym___thread] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_constexpr] = ACTIONS(1500),
    [anon_sym_volatile] = ACTIONS(1500),
    [anon_sym_restrict] = ACTIONS(1500),
    [anon_sym___restrict__] = ACTIONS(1500),
    [anon_sym__Atomic] = ACTIONS(1500),
    [anon_sym__Noreturn] = ACTIONS(1500),
    [anon_sym_noreturn] = ACTIONS(1500),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1500),
    [anon_sym_union] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_goto] = ACTIONS(1500),
    [anon_sym___try] = ACTIONS(1500),
    [anon_sym___leave] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_sizeof] = ACTIONS(1500),
    [anon_sym___alignof__] = ACTIONS(1500),
    [anon_sym___alignof] = ACTIONS(1500),
    [anon_sym__alignof] = ACTIONS(1500),
    [anon_sym_alignof] = ACTIONS(1500),
    [anon_sym__Alignof] = ACTIONS(1500),
    [anon_sym_offsetof] = ACTIONS(1500),
    [anon_sym__Generic] = ACTIONS(1500),
    [anon_sym_asm] = ACTIONS(1500),
    [anon_sym___asm__] = ACTIONS(1500),
    [sym_number_literal] = ACTIONS(1502),
    [anon_sym_L_SQUOTE] = ACTIONS(1502),
    [anon_sym_u_SQUOTE] = ACTIONS(1502),
    [anon_sym_U_SQUOTE] = ACTIONS(1502),
    [anon_sym_u8_SQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_L_DQUOTE] = ACTIONS(1502),
    [anon_sym_u_DQUOTE] = ACTIONS(1502),
    [anon_sym_U_DQUOTE] = ACTIONS(1502),
    [anon_sym_u8_DQUOTE] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [anon_sym_NULL] = ACTIONS(1500),
    [anon_sym_nullptr] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1428),
    [aux_sym_preproc_def_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token2] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1428),
    [sym_preproc_directive] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1428),
    [anon_sym_extern] = ACTIONS(1428),
    [anon_sym___attribute__] = ACTIONS(1428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1430),
    [anon_sym___declspec] = ACTIONS(1428),
    [anon_sym___cdecl] = ACTIONS(1428),
    [anon_sym___clrcall] = ACTIONS(1428),
    [anon_sym___stdcall] = ACTIONS(1428),
    [anon_sym___fastcall] = ACTIONS(1428),
    [anon_sym___thiscall] = ACTIONS(1428),
    [anon_sym___vectorcall] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_signed] = ACTIONS(1428),
    [anon_sym_unsigned] = ACTIONS(1428),
    [anon_sym_long] = ACTIONS(1428),
    [anon_sym_short] = ACTIONS(1428),
    [anon_sym_static] = ACTIONS(1428),
    [anon_sym_auto] = ACTIONS(1428),
    [anon_sym_register] = ACTIONS(1428),
    [anon_sym_inline] = ACTIONS(1428),
    [anon_sym___inline] = ACTIONS(1428),
    [anon_sym___inline__] = ACTIONS(1428),
    [anon_sym___forceinline] = ACTIONS(1428),
    [anon_sym_thread_local] = ACTIONS(1428),
    [anon_sym___thread] = ACTIONS(1428),
    [anon_sym_const] = ACTIONS(1428),
    [anon_sym_constexpr] = ACTIONS(1428),
    [anon_sym_volatile] = ACTIONS(1428),
    [anon_sym_restrict] = ACTIONS(1428),
    [anon_sym___restrict__] = ACTIONS(1428),
    [anon_sym__Atomic] = ACTIONS(1428),
    [anon_sym__Noreturn] = ACTIONS(1428),
    [anon_sym_noreturn] = ACTIONS(1428),
    [sym_primitive_type] = ACTIONS(1428),
    [anon_sym_enum] = ACTIONS(1428),
    [anon_sym_struct] = ACTIONS(1428),
    [anon_sym_union] = ACTIONS(1428),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_switch] = ACTIONS(1428),
    [anon_sym_case] = ACTIONS(1428),
    [anon_sym_default] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_do] = ACTIONS(1428),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_return] = ACTIONS(1428),
    [anon_sym_break] = ACTIONS(1428),
    [anon_sym_continue] = ACTIONS(1428),
    [anon_sym_goto] = ACTIONS(1428),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_sizeof] = ACTIONS(1428),
    [anon_sym___alignof__] = ACTIONS(1428),
    [anon_sym___alignof] = ACTIONS(1428),
    [anon_sym__alignof] = ACTIONS(1428),
    [anon_sym_alignof] = ACTIONS(1428),
    [anon_sym__Alignof] = ACTIONS(1428),
    [anon_sym_offsetof] = ACTIONS(1428),
    [anon_sym__Generic] = ACTIONS(1428),
    [anon_sym_asm] = ACTIONS(1428),
    [anon_sym___asm__] = ACTIONS(1428),
    [sym_number_literal] = ACTIONS(1430),
    [anon_sym_L_SQUOTE] = ACTIONS(1430),
    [anon_sym_u_SQUOTE] = ACTIONS(1430),
    [anon_sym_U_SQUOTE] = ACTIONS(1430),
    [anon_sym_u8_SQUOTE] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_L_DQUOTE] = ACTIONS(1430),
    [anon_sym_u_DQUOTE] = ACTIONS(1430),
    [anon_sym_U_DQUOTE] = ACTIONS(1430),
    [anon_sym_u8_DQUOTE] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [sym_true] = ACTIONS(1428),
    [sym_false] = ACTIONS(1428),
    [anon_sym_NULL] = ACTIONS(1428),
    [anon_sym_nullptr] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_include_token1] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym___cdecl] = ACTIONS(1504),
    [anon_sym___clrcall] = ACTIONS(1504),
    [anon_sym___stdcall] = ACTIONS(1504),
    [anon_sym___fastcall] = ACTIONS(1504),
    [anon_sym___thiscall] = ACTIONS(1504),
    [anon_sym___vectorcall] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_RBRACE] = ACTIONS(1506),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1504),
    [anon_sym_switch] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1504),
    [anon_sym_default] = ACTIONS(1504),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1504),
    [anon_sym_for] = ACTIONS(1504),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_break] = ACTIONS(1504),
    [anon_sym_continue] = ACTIONS(1504),
    [anon_sym_goto] = ACTIONS(1504),
    [anon_sym___try] = ACTIONS(1504),
    [anon_sym___leave] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_sizeof] = ACTIONS(1504),
    [anon_sym___alignof__] = ACTIONS(1504),
    [anon_sym___alignof] = ACTIONS(1504),
    [anon_sym__alignof] = ACTIONS(1504),
    [anon_sym_alignof] = ACTIONS(1504),
    [anon_sym__Alignof] = ACTIONS(1504),
    [anon_sym_offsetof] = ACTIONS(1504),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1504),
    [anon_sym___asm__] = ACTIONS(1504),
    [sym_number_literal] = ACTIONS(1506),
    [anon_sym_L_SQUOTE] = ACTIONS(1506),
    [anon_sym_u_SQUOTE] = ACTIONS(1506),
    [anon_sym_U_SQUOTE] = ACTIONS(1506),
    [anon_sym_u8_SQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_L_DQUOTE] = ACTIONS(1506),
    [anon_sym_u_DQUOTE] = ACTIONS(1506),
    [anon_sym_U_DQUOTE] = ACTIONS(1506),
    [anon_sym_u8_DQUOTE] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [sym_true] = ACTIONS(1504),
    [sym_false] = ACTIONS(1504),
    [anon_sym_NULL] = ACTIONS(1504),
    [anon_sym_nullptr] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [sym_identifier] = ACTIONS(1424),
    [aux_sym_preproc_include_token1] = ACTIONS(1424),
    [aux_sym_preproc_def_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token2] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1424),
    [sym_preproc_directive] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1424),
    [anon_sym_extern] = ACTIONS(1424),
    [anon_sym___attribute__] = ACTIONS(1424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1426),
    [anon_sym___declspec] = ACTIONS(1424),
    [anon_sym___cdecl] = ACTIONS(1424),
    [anon_sym___clrcall] = ACTIONS(1424),
    [anon_sym___stdcall] = ACTIONS(1424),
    [anon_sym___fastcall] = ACTIONS(1424),
    [anon_sym___thiscall] = ACTIONS(1424),
    [anon_sym___vectorcall] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_signed] = ACTIONS(1424),
    [anon_sym_unsigned] = ACTIONS(1424),
    [anon_sym_long] = ACTIONS(1424),
    [anon_sym_short] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1424),
    [anon_sym_auto] = ACTIONS(1424),
    [anon_sym_register] = ACTIONS(1424),
    [anon_sym_inline] = ACTIONS(1424),
    [anon_sym___inline] = ACTIONS(1424),
    [anon_sym___inline__] = ACTIONS(1424),
    [anon_sym___forceinline] = ACTIONS(1424),
    [anon_sym_thread_local] = ACTIONS(1424),
    [anon_sym___thread] = ACTIONS(1424),
    [anon_sym_const] = ACTIONS(1424),
    [anon_sym_constexpr] = ACTIONS(1424),
    [anon_sym_volatile] = ACTIONS(1424),
    [anon_sym_restrict] = ACTIONS(1424),
    [anon_sym___restrict__] = ACTIONS(1424),
    [anon_sym__Atomic] = ACTIONS(1424),
    [anon_sym__Noreturn] = ACTIONS(1424),
    [anon_sym_noreturn] = ACTIONS(1424),
    [sym_primitive_type] = ACTIONS(1424),
    [anon_sym_enum] = ACTIONS(1424),
    [anon_sym_struct] = ACTIONS(1424),
    [anon_sym_union] = ACTIONS(1424),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(1424),
    [anon_sym_case] = ACTIONS(1424),
    [anon_sym_default] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1424),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1424),
    [anon_sym_return] = ACTIONS(1424),
    [anon_sym_break] = ACTIONS(1424),
    [anon_sym_continue] = ACTIONS(1424),
    [anon_sym_goto] = ACTIONS(1424),
    [anon_sym___try] = ACTIONS(1424),
    [anon_sym___leave] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [anon_sym_sizeof] = ACTIONS(1424),
    [anon_sym___alignof__] = ACTIONS(1424),
    [anon_sym___alignof] = ACTIONS(1424),
    [anon_sym__alignof] = ACTIONS(1424),
    [anon_sym_alignof] = ACTIONS(1424),
    [anon_sym__Alignof] = ACTIONS(1424),
    [anon_sym_offsetof] = ACTIONS(1424),
    [anon_sym__Generic] = ACTIONS(1424),
    [anon_sym_asm] = ACTIONS(1424),
    [anon_sym___asm__] = ACTIONS(1424),
    [sym_number_literal] = ACTIONS(1426),
    [anon_sym_L_SQUOTE] = ACTIONS(1426),
    [anon_sym_u_SQUOTE] = ACTIONS(1426),
    [anon_sym_U_SQUOTE] = ACTIONS(1426),
    [anon_sym_u8_SQUOTE] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_L_DQUOTE] = ACTIONS(1426),
    [anon_sym_u_DQUOTE] = ACTIONS(1426),
    [anon_sym_U_DQUOTE] = ACTIONS(1426),
    [anon_sym_u8_DQUOTE] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_NULL] = ACTIONS(1424),
    [anon_sym_nullptr] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_identifier] = ACTIONS(1472),
    [aux_sym_preproc_include_token1] = ACTIONS(1472),
    [aux_sym_preproc_def_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1472),
    [sym_preproc_directive] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(1472),
    [anon_sym_typedef] = ACTIONS(1472),
    [anon_sym_extern] = ACTIONS(1472),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1474),
    [anon_sym___declspec] = ACTIONS(1472),
    [anon_sym___cdecl] = ACTIONS(1472),
    [anon_sym___clrcall] = ACTIONS(1472),
    [anon_sym___stdcall] = ACTIONS(1472),
    [anon_sym___fastcall] = ACTIONS(1472),
    [anon_sym___thiscall] = ACTIONS(1472),
    [anon_sym___vectorcall] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_RBRACE] = ACTIONS(1474),
    [anon_sym_signed] = ACTIONS(1472),
    [anon_sym_unsigned] = ACTIONS(1472),
    [anon_sym_long] = ACTIONS(1472),
    [anon_sym_short] = ACTIONS(1472),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_auto] = ACTIONS(1472),
    [anon_sym_register] = ACTIONS(1472),
    [anon_sym_inline] = ACTIONS(1472),
    [anon_sym___inline] = ACTIONS(1472),
    [anon_sym___inline__] = ACTIONS(1472),
    [anon_sym___forceinline] = ACTIONS(1472),
    [anon_sym_thread_local] = ACTIONS(1472),
    [anon_sym___thread] = ACTIONS(1472),
    [anon_sym_const] = ACTIONS(1472),
    [anon_sym_constexpr] = ACTIONS(1472),
    [anon_sym_volatile] = ACTIONS(1472),
    [anon_sym_restrict] = ACTIONS(1472),
    [anon_sym___restrict__] = ACTIONS(1472),
    [anon_sym__Atomic] = ACTIONS(1472),
    [anon_sym__Noreturn] = ACTIONS(1472),
    [anon_sym_noreturn] = ACTIONS(1472),
    [sym_primitive_type] = ACTIONS(1472),
    [anon_sym_enum] = ACTIONS(1472),
    [anon_sym_struct] = ACTIONS(1472),
    [anon_sym_union] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(1472),
    [anon_sym_case] = ACTIONS(1472),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_do] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(1472),
    [anon_sym_break] = ACTIONS(1472),
    [anon_sym_continue] = ACTIONS(1472),
    [anon_sym_goto] = ACTIONS(1472),
    [anon_sym___try] = ACTIONS(1472),
    [anon_sym___leave] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [anon_sym_sizeof] = ACTIONS(1472),
    [anon_sym___alignof__] = ACTIONS(1472),
    [anon_sym___alignof] = ACTIONS(1472),
    [anon_sym__alignof] = ACTIONS(1472),
    [anon_sym_alignof] = ACTIONS(1472),
    [anon_sym__Alignof] = ACTIONS(1472),
    [anon_sym_offsetof] = ACTIONS(1472),
    [anon_sym__Generic] = ACTIONS(1472),
    [anon_sym_asm] = ACTIONS(1472),
    [anon_sym___asm__] = ACTIONS(1472),
    [sym_number_literal] = ACTIONS(1474),
    [anon_sym_L_SQUOTE] = ACTIONS(1474),
    [anon_sym_u_SQUOTE] = ACTIONS(1474),
    [anon_sym_U_SQUOTE] = ACTIONS(1474),
    [anon_sym_u8_SQUOTE] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_L_DQUOTE] = ACTIONS(1474),
    [anon_sym_u_DQUOTE] = ACTIONS(1474),
    [anon_sym_U_DQUOTE] = ACTIONS(1474),
    [anon_sym_u8_DQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [anon_sym_NULL] = ACTIONS(1472),
    [anon_sym_nullptr] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym_identifier] = ACTIONS(1452),
    [aux_sym_preproc_include_token1] = ACTIONS(1452),
    [aux_sym_preproc_def_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token2] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1452),
    [sym_preproc_directive] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym___extension__] = ACTIONS(1452),
    [anon_sym_typedef] = ACTIONS(1452),
    [anon_sym_extern] = ACTIONS(1452),
    [anon_sym___attribute__] = ACTIONS(1452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym___declspec] = ACTIONS(1452),
    [anon_sym___cdecl] = ACTIONS(1452),
    [anon_sym___clrcall] = ACTIONS(1452),
    [anon_sym___stdcall] = ACTIONS(1452),
    [anon_sym___fastcall] = ACTIONS(1452),
    [anon_sym___thiscall] = ACTIONS(1452),
    [anon_sym___vectorcall] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_signed] = ACTIONS(1452),
    [anon_sym_unsigned] = ACTIONS(1452),
    [anon_sym_long] = ACTIONS(1452),
    [anon_sym_short] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_auto] = ACTIONS(1452),
    [anon_sym_register] = ACTIONS(1452),
    [anon_sym_inline] = ACTIONS(1452),
    [anon_sym___inline] = ACTIONS(1452),
    [anon_sym___inline__] = ACTIONS(1452),
    [anon_sym___forceinline] = ACTIONS(1452),
    [anon_sym_thread_local] = ACTIONS(1452),
    [anon_sym___thread] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_constexpr] = ACTIONS(1452),
    [anon_sym_volatile] = ACTIONS(1452),
    [anon_sym_restrict] = ACTIONS(1452),
    [anon_sym___restrict__] = ACTIONS(1452),
    [anon_sym__Atomic] = ACTIONS(1452),
    [anon_sym__Noreturn] = ACTIONS(1452),
    [anon_sym_noreturn] = ACTIONS(1452),
    [sym_primitive_type] = ACTIONS(1452),
    [anon_sym_enum] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1452),
    [anon_sym_union] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_switch] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_do] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_return] = ACTIONS(1452),
    [anon_sym_break] = ACTIONS(1452),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_goto] = ACTIONS(1452),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_sizeof] = ACTIONS(1452),
    [anon_sym___alignof__] = ACTIONS(1452),
    [anon_sym___alignof] = ACTIONS(1452),
    [anon_sym__alignof] = ACTIONS(1452),
    [anon_sym_alignof] = ACTIONS(1452),
    [anon_sym__Alignof] = ACTIONS(1452),
    [anon_sym_offsetof] = ACTIONS(1452),
    [anon_sym__Generic] = ACTIONS(1452),
    [anon_sym_asm] = ACTIONS(1452),
    [anon_sym___asm__] = ACTIONS(1452),
    [sym_number_literal] = ACTIONS(1454),
    [anon_sym_L_SQUOTE] = ACTIONS(1454),
    [anon_sym_u_SQUOTE] = ACTIONS(1454),
    [anon_sym_U_SQUOTE] = ACTIONS(1454),
    [anon_sym_u8_SQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_L_DQUOTE] = ACTIONS(1454),
    [anon_sym_u_DQUOTE] = ACTIONS(1454),
    [anon_sym_U_DQUOTE] = ACTIONS(1454),
    [anon_sym_u8_DQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [anon_sym_NULL] = ACTIONS(1452),
    [anon_sym_nullptr] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [sym_identifier] = ACTIONS(1416),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token2] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1416),
    [anon_sym_extern] = ACTIONS(1416),
    [anon_sym___attribute__] = ACTIONS(1416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1418),
    [anon_sym___declspec] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(1416),
    [anon_sym_unsigned] = ACTIONS(1416),
    [anon_sym_long] = ACTIONS(1416),
    [anon_sym_short] = ACTIONS(1416),
    [anon_sym_static] = ACTIONS(1416),
    [anon_sym_auto] = ACTIONS(1416),
    [anon_sym_register] = ACTIONS(1416),
    [anon_sym_inline] = ACTIONS(1416),
    [anon_sym___inline] = ACTIONS(1416),
    [anon_sym___inline__] = ACTIONS(1416),
    [anon_sym___forceinline] = ACTIONS(1416),
    [anon_sym_thread_local] = ACTIONS(1416),
    [anon_sym___thread] = ACTIONS(1416),
    [anon_sym_const] = ACTIONS(1416),
    [anon_sym_constexpr] = ACTIONS(1416),
    [anon_sym_volatile] = ACTIONS(1416),
    [anon_sym_restrict] = ACTIONS(1416),
    [anon_sym___restrict__] = ACTIONS(1416),
    [anon_sym__Atomic] = ACTIONS(1416),
    [anon_sym__Noreturn] = ACTIONS(1416),
    [anon_sym_noreturn] = ACTIONS(1416),
    [sym_primitive_type] = ACTIONS(1416),
    [anon_sym_enum] = ACTIONS(1416),
    [anon_sym_struct] = ACTIONS(1416),
    [anon_sym_union] = ACTIONS(1416),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(1416),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(1416),
    [anon_sym_do] = ACTIONS(1416),
    [anon_sym_for] = ACTIONS(1416),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_break] = ACTIONS(1416),
    [anon_sym_continue] = ACTIONS(1416),
    [anon_sym_goto] = ACTIONS(1416),
    [anon_sym___try] = ACTIONS(1416),
    [anon_sym___leave] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [anon_sym_sizeof] = ACTIONS(1416),
    [anon_sym___alignof__] = ACTIONS(1416),
    [anon_sym___alignof] = ACTIONS(1416),
    [anon_sym__alignof] = ACTIONS(1416),
    [anon_sym_alignof] = ACTIONS(1416),
    [anon_sym__Alignof] = ACTIONS(1416),
    [anon_sym_offsetof] = ACTIONS(1416),
    [anon_sym__Generic] = ACTIONS(1416),
    [anon_sym_asm] = ACTIONS(1416),
    [anon_sym___asm__] = ACTIONS(1416),
    [sym_number_literal] = ACTIONS(1418),
    [anon_sym_L_SQUOTE] = ACTIONS(1418),
    [anon_sym_u_SQUOTE] = ACTIONS(1418),
    [anon_sym_U_SQUOTE] = ACTIONS(1418),
    [anon_sym_u8_SQUOTE] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_L_DQUOTE] = ACTIONS(1418),
    [anon_sym_u_DQUOTE] = ACTIONS(1418),
    [anon_sym_U_DQUOTE] = ACTIONS(1418),
    [anon_sym_u8_DQUOTE] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_NULL] = ACTIONS(1416),
    [anon_sym_nullptr] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1456),
    [aux_sym_preproc_def_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token2] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1456),
    [sym_preproc_directive] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [anon_sym___extension__] = ACTIONS(1456),
    [anon_sym_typedef] = ACTIONS(1456),
    [anon_sym_extern] = ACTIONS(1456),
    [anon_sym___attribute__] = ACTIONS(1456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1458),
    [anon_sym___declspec] = ACTIONS(1456),
    [anon_sym___cdecl] = ACTIONS(1456),
    [anon_sym___clrcall] = ACTIONS(1456),
    [anon_sym___stdcall] = ACTIONS(1456),
    [anon_sym___fastcall] = ACTIONS(1456),
    [anon_sym___thiscall] = ACTIONS(1456),
    [anon_sym___vectorcall] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_signed] = ACTIONS(1456),
    [anon_sym_unsigned] = ACTIONS(1456),
    [anon_sym_long] = ACTIONS(1456),
    [anon_sym_short] = ACTIONS(1456),
    [anon_sym_static] = ACTIONS(1456),
    [anon_sym_auto] = ACTIONS(1456),
    [anon_sym_register] = ACTIONS(1456),
    [anon_sym_inline] = ACTIONS(1456),
    [anon_sym___inline] = ACTIONS(1456),
    [anon_sym___inline__] = ACTIONS(1456),
    [anon_sym___forceinline] = ACTIONS(1456),
    [anon_sym_thread_local] = ACTIONS(1456),
    [anon_sym___thread] = ACTIONS(1456),
    [anon_sym_const] = ACTIONS(1456),
    [anon_sym_constexpr] = ACTIONS(1456),
    [anon_sym_volatile] = ACTIONS(1456),
    [anon_sym_restrict] = ACTIONS(1456),
    [anon_sym___restrict__] = ACTIONS(1456),
    [anon_sym__Atomic] = ACTIONS(1456),
    [anon_sym__Noreturn] = ACTIONS(1456),
    [anon_sym_noreturn] = ACTIONS(1456),
    [sym_primitive_type] = ACTIONS(1456),
    [anon_sym_enum] = ACTIONS(1456),
    [anon_sym_struct] = ACTIONS(1456),
    [anon_sym_union] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1456),
    [anon_sym_switch] = ACTIONS(1456),
    [anon_sym_case] = ACTIONS(1456),
    [anon_sym_default] = ACTIONS(1456),
    [anon_sym_while] = ACTIONS(1456),
    [anon_sym_do] = ACTIONS(1456),
    [anon_sym_for] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(1456),
    [anon_sym_break] = ACTIONS(1456),
    [anon_sym_continue] = ACTIONS(1456),
    [anon_sym_goto] = ACTIONS(1456),
    [anon_sym___try] = ACTIONS(1456),
    [anon_sym___leave] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_sizeof] = ACTIONS(1456),
    [anon_sym___alignof__] = ACTIONS(1456),
    [anon_sym___alignof] = ACTIONS(1456),
    [anon_sym__alignof] = ACTIONS(1456),
    [anon_sym_alignof] = ACTIONS(1456),
    [anon_sym__Alignof] = ACTIONS(1456),
    [anon_sym_offsetof] = ACTIONS(1456),
    [anon_sym__Generic] = ACTIONS(1456),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1458),
    [anon_sym_L_SQUOTE] = ACTIONS(1458),
    [anon_sym_u_SQUOTE] = ACTIONS(1458),
    [anon_sym_U_SQUOTE] = ACTIONS(1458),
    [anon_sym_u8_SQUOTE] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_L_DQUOTE] = ACTIONS(1458),
    [anon_sym_u_DQUOTE] = ACTIONS(1458),
    [anon_sym_U_DQUOTE] = ACTIONS(1458),
    [anon_sym_u8_DQUOTE] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [sym_true] = ACTIONS(1456),
    [sym_false] = ACTIONS(1456),
    [anon_sym_NULL] = ACTIONS(1456),
    [anon_sym_nullptr] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym_identifier] = ACTIONS(1460),
    [aux_sym_preproc_include_token1] = ACTIONS(1460),
    [aux_sym_preproc_def_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token2] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1460),
    [sym_preproc_directive] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym___extension__] = ACTIONS(1460),
    [anon_sym_typedef] = ACTIONS(1460),
    [anon_sym_extern] = ACTIONS(1460),
    [anon_sym___attribute__] = ACTIONS(1460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1462),
    [anon_sym___declspec] = ACTIONS(1460),
    [anon_sym___cdecl] = ACTIONS(1460),
    [anon_sym___clrcall] = ACTIONS(1460),
    [anon_sym___stdcall] = ACTIONS(1460),
    [anon_sym___fastcall] = ACTIONS(1460),
    [anon_sym___thiscall] = ACTIONS(1460),
    [anon_sym___vectorcall] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_signed] = ACTIONS(1460),
    [anon_sym_unsigned] = ACTIONS(1460),
    [anon_sym_long] = ACTIONS(1460),
    [anon_sym_short] = ACTIONS(1460),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_auto] = ACTIONS(1460),
    [anon_sym_register] = ACTIONS(1460),
    [anon_sym_inline] = ACTIONS(1460),
    [anon_sym___inline] = ACTIONS(1460),
    [anon_sym___inline__] = ACTIONS(1460),
    [anon_sym___forceinline] = ACTIONS(1460),
    [anon_sym_thread_local] = ACTIONS(1460),
    [anon_sym___thread] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_constexpr] = ACTIONS(1460),
    [anon_sym_volatile] = ACTIONS(1460),
    [anon_sym_restrict] = ACTIONS(1460),
    [anon_sym___restrict__] = ACTIONS(1460),
    [anon_sym__Atomic] = ACTIONS(1460),
    [anon_sym__Noreturn] = ACTIONS(1460),
    [anon_sym_noreturn] = ACTIONS(1460),
    [sym_primitive_type] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_struct] = ACTIONS(1460),
    [anon_sym_union] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_goto] = ACTIONS(1460),
    [anon_sym___try] = ACTIONS(1460),
    [anon_sym___leave] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_sizeof] = ACTIONS(1460),
    [anon_sym___alignof__] = ACTIONS(1460),
    [anon_sym___alignof] = ACTIONS(1460),
    [anon_sym__alignof] = ACTIONS(1460),
    [anon_sym_alignof] = ACTIONS(1460),
    [anon_sym__Alignof] = ACTIONS(1460),
    [anon_sym_offsetof] = ACTIONS(1460),
    [anon_sym__Generic] = ACTIONS(1460),
    [anon_sym_asm] = ACTIONS(1460),
    [anon_sym___asm__] = ACTIONS(1460),
    [sym_number_literal] = ACTIONS(1462),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1462),
    [anon_sym_u_DQUOTE] = ACTIONS(1462),
    [anon_sym_U_DQUOTE] = ACTIONS(1462),
    [anon_sym_u8_DQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [anon_sym_NULL] = ACTIONS(1460),
    [anon_sym_nullptr] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [sym_identifier] = ACTIONS(1464),
    [aux_sym_preproc_include_token1] = ACTIONS(1464),
    [aux_sym_preproc_def_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token2] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1464),
    [sym_preproc_directive] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [anon_sym___extension__] = ACTIONS(1464),
    [anon_sym_typedef] = ACTIONS(1464),
    [anon_sym_extern] = ACTIONS(1464),
    [anon_sym___attribute__] = ACTIONS(1464),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1466),
    [anon_sym___declspec] = ACTIONS(1464),
    [anon_sym___cdecl] = ACTIONS(1464),
    [anon_sym___clrcall] = ACTIONS(1464),
    [anon_sym___stdcall] = ACTIONS(1464),
    [anon_sym___fastcall] = ACTIONS(1464),
    [anon_sym___thiscall] = ACTIONS(1464),
    [anon_sym___vectorcall] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_signed] = ACTIONS(1464),
    [anon_sym_unsigned] = ACTIONS(1464),
    [anon_sym_long] = ACTIONS(1464),
    [anon_sym_short] = ACTIONS(1464),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_auto] = ACTIONS(1464),
    [anon_sym_register] = ACTIONS(1464),
    [anon_sym_inline] = ACTIONS(1464),
    [anon_sym___inline] = ACTIONS(1464),
    [anon_sym___inline__] = ACTIONS(1464),
    [anon_sym___forceinline] = ACTIONS(1464),
    [anon_sym_thread_local] = ACTIONS(1464),
    [anon_sym___thread] = ACTIONS(1464),
    [anon_sym_const] = ACTIONS(1464),
    [anon_sym_constexpr] = ACTIONS(1464),
    [anon_sym_volatile] = ACTIONS(1464),
    [anon_sym_restrict] = ACTIONS(1464),
    [anon_sym___restrict__] = ACTIONS(1464),
    [anon_sym__Atomic] = ACTIONS(1464),
    [anon_sym__Noreturn] = ACTIONS(1464),
    [anon_sym_noreturn] = ACTIONS(1464),
    [sym_primitive_type] = ACTIONS(1464),
    [anon_sym_enum] = ACTIONS(1464),
    [anon_sym_struct] = ACTIONS(1464),
    [anon_sym_union] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_switch] = ACTIONS(1464),
    [anon_sym_case] = ACTIONS(1464),
    [anon_sym_default] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_do] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_return] = ACTIONS(1464),
    [anon_sym_break] = ACTIONS(1464),
    [anon_sym_continue] = ACTIONS(1464),
    [anon_sym_goto] = ACTIONS(1464),
    [anon_sym___try] = ACTIONS(1464),
    [anon_sym___leave] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [anon_sym_sizeof] = ACTIONS(1464),
    [anon_sym___alignof__] = ACTIONS(1464),
    [anon_sym___alignof] = ACTIONS(1464),
    [anon_sym__alignof] = ACTIONS(1464),
    [anon_sym_alignof] = ACTIONS(1464),
    [anon_sym__Alignof] = ACTIONS(1464),
    [anon_sym_offsetof] = ACTIONS(1464),
    [anon_sym__Generic] = ACTIONS(1464),
    [anon_sym_asm] = ACTIONS(1464),
    [anon_sym___asm__] = ACTIONS(1464),
    [sym_number_literal] = ACTIONS(1466),
    [anon_sym_L_SQUOTE] = ACTIONS(1466),
    [anon_sym_u_SQUOTE] = ACTIONS(1466),
    [anon_sym_U_SQUOTE] = ACTIONS(1466),
    [anon_sym_u8_SQUOTE] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_L_DQUOTE] = ACTIONS(1466),
    [anon_sym_u_DQUOTE] = ACTIONS(1466),
    [anon_sym_U_DQUOTE] = ACTIONS(1466),
    [anon_sym_u8_DQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [anon_sym_NULL] = ACTIONS(1464),
    [anon_sym_nullptr] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_identifier] = ACTIONS(1408),
    [aux_sym_preproc_include_token1] = ACTIONS(1408),
    [aux_sym_preproc_def_token1] = ACTIONS(1408),
    [aux_sym_preproc_if_token1] = ACTIONS(1408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1408),
    [sym_preproc_directive] = ACTIONS(1408),
    [anon_sym_LPAREN2] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [anon_sym___extension__] = ACTIONS(1408),
    [anon_sym_typedef] = ACTIONS(1408),
    [anon_sym_extern] = ACTIONS(1408),
    [anon_sym___attribute__] = ACTIONS(1408),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1410),
    [anon_sym___declspec] = ACTIONS(1408),
    [anon_sym___cdecl] = ACTIONS(1408),
    [anon_sym___clrcall] = ACTIONS(1408),
    [anon_sym___stdcall] = ACTIONS(1408),
    [anon_sym___fastcall] = ACTIONS(1408),
    [anon_sym___thiscall] = ACTIONS(1408),
    [anon_sym___vectorcall] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_RBRACE] = ACTIONS(1410),
    [anon_sym_signed] = ACTIONS(1408),
    [anon_sym_unsigned] = ACTIONS(1408),
    [anon_sym_long] = ACTIONS(1408),
    [anon_sym_short] = ACTIONS(1408),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_auto] = ACTIONS(1408),
    [anon_sym_register] = ACTIONS(1408),
    [anon_sym_inline] = ACTIONS(1408),
    [anon_sym___inline] = ACTIONS(1408),
    [anon_sym___inline__] = ACTIONS(1408),
    [anon_sym___forceinline] = ACTIONS(1408),
    [anon_sym_thread_local] = ACTIONS(1408),
    [anon_sym___thread] = ACTIONS(1408),
    [anon_sym_const] = ACTIONS(1408),
    [anon_sym_constexpr] = ACTIONS(1408),
    [anon_sym_volatile] = ACTIONS(1408),
    [anon_sym_restrict] = ACTIONS(1408),
    [anon_sym___restrict__] = ACTIONS(1408),
    [anon_sym__Atomic] = ACTIONS(1408),
    [anon_sym__Noreturn] = ACTIONS(1408),
    [anon_sym_noreturn] = ACTIONS(1408),
    [sym_primitive_type] = ACTIONS(1408),
    [anon_sym_enum] = ACTIONS(1408),
    [anon_sym_struct] = ACTIONS(1408),
    [anon_sym_union] = ACTIONS(1408),
    [anon_sym_if] = ACTIONS(1408),
    [anon_sym_switch] = ACTIONS(1408),
    [anon_sym_case] = ACTIONS(1408),
    [anon_sym_default] = ACTIONS(1408),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_do] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_return] = ACTIONS(1408),
    [anon_sym_break] = ACTIONS(1408),
    [anon_sym_continue] = ACTIONS(1408),
    [anon_sym_goto] = ACTIONS(1408),
    [anon_sym___try] = ACTIONS(1408),
    [anon_sym___leave] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [anon_sym_sizeof] = ACTIONS(1408),
    [anon_sym___alignof__] = ACTIONS(1408),
    [anon_sym___alignof] = ACTIONS(1408),
    [anon_sym__alignof] = ACTIONS(1408),
    [anon_sym_alignof] = ACTIONS(1408),
    [anon_sym__Alignof] = ACTIONS(1408),
    [anon_sym_offsetof] = ACTIONS(1408),
    [anon_sym__Generic] = ACTIONS(1408),
    [anon_sym_asm] = ACTIONS(1408),
    [anon_sym___asm__] = ACTIONS(1408),
    [sym_number_literal] = ACTIONS(1410),
    [anon_sym_L_SQUOTE] = ACTIONS(1410),
    [anon_sym_u_SQUOTE] = ACTIONS(1410),
    [anon_sym_U_SQUOTE] = ACTIONS(1410),
    [anon_sym_u8_SQUOTE] = ACTIONS(1410),
    [anon_sym_SQUOTE] = ACTIONS(1410),
    [anon_sym_L_DQUOTE] = ACTIONS(1410),
    [anon_sym_u_DQUOTE] = ACTIONS(1410),
    [anon_sym_U_DQUOTE] = ACTIONS(1410),
    [anon_sym_u8_DQUOTE] = ACTIONS(1410),
    [anon_sym_DQUOTE] = ACTIONS(1410),
    [sym_true] = ACTIONS(1408),
    [sym_false] = ACTIONS(1408),
    [anon_sym_NULL] = ACTIONS(1408),
    [anon_sym_nullptr] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_goto] = ACTIONS(1496),
    [anon_sym___try] = ACTIONS(1496),
    [anon_sym___leave] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_sizeof] = ACTIONS(1496),
    [anon_sym___alignof__] = ACTIONS(1496),
    [anon_sym___alignof] = ACTIONS(1496),
    [anon_sym__alignof] = ACTIONS(1496),
    [anon_sym_alignof] = ACTIONS(1496),
    [anon_sym__Alignof] = ACTIONS(1496),
    [anon_sym_offsetof] = ACTIONS(1496),
    [anon_sym__Generic] = ACTIONS(1496),
    [anon_sym_asm] = ACTIONS(1496),
    [anon_sym___asm__] = ACTIONS(1496),
    [sym_number_literal] = ACTIONS(1498),
    [anon_sym_L_SQUOTE] = ACTIONS(1498),
    [anon_sym_u_SQUOTE] = ACTIONS(1498),
    [anon_sym_U_SQUOTE] = ACTIONS(1498),
    [anon_sym_u8_SQUOTE] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_L_DQUOTE] = ACTIONS(1498),
    [anon_sym_u_DQUOTE] = ACTIONS(1498),
    [anon_sym_U_DQUOTE] = ACTIONS(1498),
    [anon_sym_u8_DQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [anon_sym_NULL] = ACTIONS(1496),
    [anon_sym_nullptr] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym_identifier] = ACTIONS(1500),
    [aux_sym_preproc_include_token1] = ACTIONS(1500),
    [aux_sym_preproc_def_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token2] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1500),
    [sym_preproc_directive] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym___extension__] = ACTIONS(1500),
    [anon_sym_typedef] = ACTIONS(1500),
    [anon_sym_extern] = ACTIONS(1500),
    [anon_sym___attribute__] = ACTIONS(1500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1502),
    [anon_sym___declspec] = ACTIONS(1500),
    [anon_sym___cdecl] = ACTIONS(1500),
    [anon_sym___clrcall] = ACTIONS(1500),
    [anon_sym___stdcall] = ACTIONS(1500),
    [anon_sym___fastcall] = ACTIONS(1500),
    [anon_sym___thiscall] = ACTIONS(1500),
    [anon_sym___vectorcall] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_signed] = ACTIONS(1500),
    [anon_sym_unsigned] = ACTIONS(1500),
    [anon_sym_long] = ACTIONS(1500),
    [anon_sym_short] = ACTIONS(1500),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_auto] = ACTIONS(1500),
    [anon_sym_register] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1500),
    [anon_sym___inline] = ACTIONS(1500),
    [anon_sym___inline__] = ACTIONS(1500),
    [anon_sym___forceinline] = ACTIONS(1500),
    [anon_sym_thread_local] = ACTIONS(1500),
    [anon_sym___thread] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_constexpr] = ACTIONS(1500),
    [anon_sym_volatile] = ACTIONS(1500),
    [anon_sym_restrict] = ACTIONS(1500),
    [anon_sym___restrict__] = ACTIONS(1500),
    [anon_sym__Atomic] = ACTIONS(1500),
    [anon_sym__Noreturn] = ACTIONS(1500),
    [anon_sym_noreturn] = ACTIONS(1500),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1500),
    [anon_sym_union] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_goto] = ACTIONS(1500),
    [anon_sym___try] = ACTIONS(1500),
    [anon_sym___leave] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_sizeof] = ACTIONS(1500),
    [anon_sym___alignof__] = ACTIONS(1500),
    [anon_sym___alignof] = ACTIONS(1500),
    [anon_sym__alignof] = ACTIONS(1500),
    [anon_sym_alignof] = ACTIONS(1500),
    [anon_sym__Alignof] = ACTIONS(1500),
    [anon_sym_offsetof] = ACTIONS(1500),
    [anon_sym__Generic] = ACTIONS(1500),
    [anon_sym_asm] = ACTIONS(1500),
    [anon_sym___asm__] = ACTIONS(1500),
    [sym_number_literal] = ACTIONS(1502),
    [anon_sym_L_SQUOTE] = ACTIONS(1502),
    [anon_sym_u_SQUOTE] = ACTIONS(1502),
    [anon_sym_U_SQUOTE] = ACTIONS(1502),
    [anon_sym_u8_SQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_L_DQUOTE] = ACTIONS(1502),
    [anon_sym_u_DQUOTE] = ACTIONS(1502),
    [anon_sym_U_DQUOTE] = ACTIONS(1502),
    [anon_sym_u8_DQUOTE] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [anon_sym_NULL] = ACTIONS(1500),
    [anon_sym_nullptr] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [sym_identifier] = ACTIONS(1424),
    [aux_sym_preproc_include_token1] = ACTIONS(1424),
    [aux_sym_preproc_def_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1424),
    [sym_preproc_directive] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1424),
    [anon_sym_extern] = ACTIONS(1424),
    [anon_sym___attribute__] = ACTIONS(1424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1426),
    [anon_sym___declspec] = ACTIONS(1424),
    [anon_sym___cdecl] = ACTIONS(1424),
    [anon_sym___clrcall] = ACTIONS(1424),
    [anon_sym___stdcall] = ACTIONS(1424),
    [anon_sym___fastcall] = ACTIONS(1424),
    [anon_sym___thiscall] = ACTIONS(1424),
    [anon_sym___vectorcall] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1426),
    [anon_sym_signed] = ACTIONS(1424),
    [anon_sym_unsigned] = ACTIONS(1424),
    [anon_sym_long] = ACTIONS(1424),
    [anon_sym_short] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1424),
    [anon_sym_auto] = ACTIONS(1424),
    [anon_sym_register] = ACTIONS(1424),
    [anon_sym_inline] = ACTIONS(1424),
    [anon_sym___inline] = ACTIONS(1424),
    [anon_sym___inline__] = ACTIONS(1424),
    [anon_sym___forceinline] = ACTIONS(1424),
    [anon_sym_thread_local] = ACTIONS(1424),
    [anon_sym___thread] = ACTIONS(1424),
    [anon_sym_const] = ACTIONS(1424),
    [anon_sym_constexpr] = ACTIONS(1424),
    [anon_sym_volatile] = ACTIONS(1424),
    [anon_sym_restrict] = ACTIONS(1424),
    [anon_sym___restrict__] = ACTIONS(1424),
    [anon_sym__Atomic] = ACTIONS(1424),
    [anon_sym__Noreturn] = ACTIONS(1424),
    [anon_sym_noreturn] = ACTIONS(1424),
    [sym_primitive_type] = ACTIONS(1424),
    [anon_sym_enum] = ACTIONS(1424),
    [anon_sym_struct] = ACTIONS(1424),
    [anon_sym_union] = ACTIONS(1424),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(1424),
    [anon_sym_case] = ACTIONS(1424),
    [anon_sym_default] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1424),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1424),
    [anon_sym_return] = ACTIONS(1424),
    [anon_sym_break] = ACTIONS(1424),
    [anon_sym_continue] = ACTIONS(1424),
    [anon_sym_goto] = ACTIONS(1424),
    [anon_sym___try] = ACTIONS(1424),
    [anon_sym___leave] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [anon_sym_sizeof] = ACTIONS(1424),
    [anon_sym___alignof__] = ACTIONS(1424),
    [anon_sym___alignof] = ACTIONS(1424),
    [anon_sym__alignof] = ACTIONS(1424),
    [anon_sym_alignof] = ACTIONS(1424),
    [anon_sym__Alignof] = ACTIONS(1424),
    [anon_sym_offsetof] = ACTIONS(1424),
    [anon_sym__Generic] = ACTIONS(1424),
    [anon_sym_asm] = ACTIONS(1424),
    [anon_sym___asm__] = ACTIONS(1424),
    [sym_number_literal] = ACTIONS(1426),
    [anon_sym_L_SQUOTE] = ACTIONS(1426),
    [anon_sym_u_SQUOTE] = ACTIONS(1426),
    [anon_sym_U_SQUOTE] = ACTIONS(1426),
    [anon_sym_u8_SQUOTE] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_L_DQUOTE] = ACTIONS(1426),
    [anon_sym_u_DQUOTE] = ACTIONS(1426),
    [anon_sym_U_DQUOTE] = ACTIONS(1426),
    [anon_sym_u8_DQUOTE] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_NULL] = ACTIONS(1424),
    [anon_sym_nullptr] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_include_token1] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token2] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym___cdecl] = ACTIONS(1504),
    [anon_sym___clrcall] = ACTIONS(1504),
    [anon_sym___stdcall] = ACTIONS(1504),
    [anon_sym___fastcall] = ACTIONS(1504),
    [anon_sym___thiscall] = ACTIONS(1504),
    [anon_sym___vectorcall] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1504),
    [anon_sym_switch] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1504),
    [anon_sym_default] = ACTIONS(1504),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1504),
    [anon_sym_for] = ACTIONS(1504),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_break] = ACTIONS(1504),
    [anon_sym_continue] = ACTIONS(1504),
    [anon_sym_goto] = ACTIONS(1504),
    [anon_sym___try] = ACTIONS(1504),
    [anon_sym___leave] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_sizeof] = ACTIONS(1504),
    [anon_sym___alignof__] = ACTIONS(1504),
    [anon_sym___alignof] = ACTIONS(1504),
    [anon_sym__alignof] = ACTIONS(1504),
    [anon_sym_alignof] = ACTIONS(1504),
    [anon_sym__Alignof] = ACTIONS(1504),
    [anon_sym_offsetof] = ACTIONS(1504),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1504),
    [anon_sym___asm__] = ACTIONS(1504),
    [sym_number_literal] = ACTIONS(1506),
    [anon_sym_L_SQUOTE] = ACTIONS(1506),
    [anon_sym_u_SQUOTE] = ACTIONS(1506),
    [anon_sym_U_SQUOTE] = ACTIONS(1506),
    [anon_sym_u8_SQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_L_DQUOTE] = ACTIONS(1506),
    [anon_sym_u_DQUOTE] = ACTIONS(1506),
    [anon_sym_U_DQUOTE] = ACTIONS(1506),
    [anon_sym_u8_DQUOTE] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [sym_true] = ACTIONS(1504),
    [sym_false] = ACTIONS(1504),
    [anon_sym_NULL] = ACTIONS(1504),
    [anon_sym_nullptr] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1428),
    [aux_sym_preproc_def_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1428),
    [sym_preproc_directive] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1428),
    [anon_sym_extern] = ACTIONS(1428),
    [anon_sym___attribute__] = ACTIONS(1428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1430),
    [anon_sym___declspec] = ACTIONS(1428),
    [anon_sym___cdecl] = ACTIONS(1428),
    [anon_sym___clrcall] = ACTIONS(1428),
    [anon_sym___stdcall] = ACTIONS(1428),
    [anon_sym___fastcall] = ACTIONS(1428),
    [anon_sym___thiscall] = ACTIONS(1428),
    [anon_sym___vectorcall] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_signed] = ACTIONS(1428),
    [anon_sym_unsigned] = ACTIONS(1428),
    [anon_sym_long] = ACTIONS(1428),
    [anon_sym_short] = ACTIONS(1428),
    [anon_sym_static] = ACTIONS(1428),
    [anon_sym_auto] = ACTIONS(1428),
    [anon_sym_register] = ACTIONS(1428),
    [anon_sym_inline] = ACTIONS(1428),
    [anon_sym___inline] = ACTIONS(1428),
    [anon_sym___inline__] = ACTIONS(1428),
    [anon_sym___forceinline] = ACTIONS(1428),
    [anon_sym_thread_local] = ACTIONS(1428),
    [anon_sym___thread] = ACTIONS(1428),
    [anon_sym_const] = ACTIONS(1428),
    [anon_sym_constexpr] = ACTIONS(1428),
    [anon_sym_volatile] = ACTIONS(1428),
    [anon_sym_restrict] = ACTIONS(1428),
    [anon_sym___restrict__] = ACTIONS(1428),
    [anon_sym__Atomic] = ACTIONS(1428),
    [anon_sym__Noreturn] = ACTIONS(1428),
    [anon_sym_noreturn] = ACTIONS(1428),
    [sym_primitive_type] = ACTIONS(1428),
    [anon_sym_enum] = ACTIONS(1428),
    [anon_sym_struct] = ACTIONS(1428),
    [anon_sym_union] = ACTIONS(1428),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_switch] = ACTIONS(1428),
    [anon_sym_case] = ACTIONS(1428),
    [anon_sym_default] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_do] = ACTIONS(1428),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_return] = ACTIONS(1428),
    [anon_sym_break] = ACTIONS(1428),
    [anon_sym_continue] = ACTIONS(1428),
    [anon_sym_goto] = ACTIONS(1428),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_sizeof] = ACTIONS(1428),
    [anon_sym___alignof__] = ACTIONS(1428),
    [anon_sym___alignof] = ACTIONS(1428),
    [anon_sym__alignof] = ACTIONS(1428),
    [anon_sym_alignof] = ACTIONS(1428),
    [anon_sym__Alignof] = ACTIONS(1428),
    [anon_sym_offsetof] = ACTIONS(1428),
    [anon_sym__Generic] = ACTIONS(1428),
    [anon_sym_asm] = ACTIONS(1428),
    [anon_sym___asm__] = ACTIONS(1428),
    [sym_number_literal] = ACTIONS(1430),
    [anon_sym_L_SQUOTE] = ACTIONS(1430),
    [anon_sym_u_SQUOTE] = ACTIONS(1430),
    [anon_sym_U_SQUOTE] = ACTIONS(1430),
    [anon_sym_u8_SQUOTE] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_L_DQUOTE] = ACTIONS(1430),
    [anon_sym_u_DQUOTE] = ACTIONS(1430),
    [anon_sym_U_DQUOTE] = ACTIONS(1430),
    [anon_sym_u8_DQUOTE] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [sym_true] = ACTIONS(1428),
    [sym_false] = ACTIONS(1428),
    [anon_sym_NULL] = ACTIONS(1428),
    [anon_sym_nullptr] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym_identifier] = ACTIONS(1444),
    [aux_sym_preproc_include_token1] = ACTIONS(1444),
    [aux_sym_preproc_def_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token2] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1444),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(1444),
    [anon_sym_extern] = ACTIONS(1444),
    [anon_sym___attribute__] = ACTIONS(1444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1446),
    [anon_sym___declspec] = ACTIONS(1444),
    [anon_sym___cdecl] = ACTIONS(1444),
    [anon_sym___clrcall] = ACTIONS(1444),
    [anon_sym___stdcall] = ACTIONS(1444),
    [anon_sym___fastcall] = ACTIONS(1444),
    [anon_sym___thiscall] = ACTIONS(1444),
    [anon_sym___vectorcall] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_signed] = ACTIONS(1444),
    [anon_sym_unsigned] = ACTIONS(1444),
    [anon_sym_long] = ACTIONS(1444),
    [anon_sym_short] = ACTIONS(1444),
    [anon_sym_static] = ACTIONS(1444),
    [anon_sym_auto] = ACTIONS(1444),
    [anon_sym_register] = ACTIONS(1444),
    [anon_sym_inline] = ACTIONS(1444),
    [anon_sym___inline] = ACTIONS(1444),
    [anon_sym___inline__] = ACTIONS(1444),
    [anon_sym___forceinline] = ACTIONS(1444),
    [anon_sym_thread_local] = ACTIONS(1444),
    [anon_sym___thread] = ACTIONS(1444),
    [anon_sym_const] = ACTIONS(1444),
    [anon_sym_constexpr] = ACTIONS(1444),
    [anon_sym_volatile] = ACTIONS(1444),
    [anon_sym_restrict] = ACTIONS(1444),
    [anon_sym___restrict__] = ACTIONS(1444),
    [anon_sym__Atomic] = ACTIONS(1444),
    [anon_sym__Noreturn] = ACTIONS(1444),
    [anon_sym_noreturn] = ACTIONS(1444),
    [sym_primitive_type] = ACTIONS(1444),
    [anon_sym_enum] = ACTIONS(1444),
    [anon_sym_struct] = ACTIONS(1444),
    [anon_sym_union] = ACTIONS(1444),
    [anon_sym_if] = ACTIONS(1444),
    [anon_sym_switch] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(1444),
    [anon_sym_default] = ACTIONS(1444),
    [anon_sym_while] = ACTIONS(1444),
    [anon_sym_do] = ACTIONS(1444),
    [anon_sym_for] = ACTIONS(1444),
    [anon_sym_return] = ACTIONS(1444),
    [anon_sym_break] = ACTIONS(1444),
    [anon_sym_continue] = ACTIONS(1444),
    [anon_sym_goto] = ACTIONS(1444),
    [anon_sym___try] = ACTIONS(1444),
    [anon_sym___leave] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_sizeof] = ACTIONS(1444),
    [anon_sym___alignof__] = ACTIONS(1444),
    [anon_sym___alignof] = ACTIONS(1444),
    [anon_sym__alignof] = ACTIONS(1444),
    [anon_sym_alignof] = ACTIONS(1444),
    [anon_sym__Alignof] = ACTIONS(1444),
    [anon_sym_offsetof] = ACTIONS(1444),
    [anon_sym__Generic] = ACTIONS(1444),
    [anon_sym_asm] = ACTIONS(1444),
    [anon_sym___asm__] = ACTIONS(1444),
    [sym_number_literal] = ACTIONS(1446),
    [anon_sym_L_SQUOTE] = ACTIONS(1446),
    [anon_sym_u_SQUOTE] = ACTIONS(1446),
    [anon_sym_U_SQUOTE] = ACTIONS(1446),
    [anon_sym_u8_SQUOTE] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_L_DQUOTE] = ACTIONS(1446),
    [anon_sym_u_DQUOTE] = ACTIONS(1446),
    [anon_sym_U_DQUOTE] = ACTIONS(1446),
    [anon_sym_u8_DQUOTE] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [anon_sym_NULL] = ACTIONS(1444),
    [anon_sym_nullptr] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym_identifier] = ACTIONS(1420),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [anon_sym___extension__] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1420),
    [anon_sym_extern] = ACTIONS(1420),
    [anon_sym___attribute__] = ACTIONS(1420),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1422),
    [anon_sym___declspec] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_RBRACE] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(1420),
    [anon_sym_unsigned] = ACTIONS(1420),
    [anon_sym_long] = ACTIONS(1420),
    [anon_sym_short] = ACTIONS(1420),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_auto] = ACTIONS(1420),
    [anon_sym_register] = ACTIONS(1420),
    [anon_sym_inline] = ACTIONS(1420),
    [anon_sym___inline] = ACTIONS(1420),
    [anon_sym___inline__] = ACTIONS(1420),
    [anon_sym___forceinline] = ACTIONS(1420),
    [anon_sym_thread_local] = ACTIONS(1420),
    [anon_sym___thread] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1420),
    [anon_sym_constexpr] = ACTIONS(1420),
    [anon_sym_volatile] = ACTIONS(1420),
    [anon_sym_restrict] = ACTIONS(1420),
    [anon_sym___restrict__] = ACTIONS(1420),
    [anon_sym__Atomic] = ACTIONS(1420),
    [anon_sym__Noreturn] = ACTIONS(1420),
    [anon_sym_noreturn] = ACTIONS(1420),
    [sym_primitive_type] = ACTIONS(1420),
    [anon_sym_enum] = ACTIONS(1420),
    [anon_sym_struct] = ACTIONS(1420),
    [anon_sym_union] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1420),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1420),
    [anon_sym_do] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_goto] = ACTIONS(1420),
    [anon_sym___try] = ACTIONS(1420),
    [anon_sym___leave] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [anon_sym_sizeof] = ACTIONS(1420),
    [anon_sym___alignof__] = ACTIONS(1420),
    [anon_sym___alignof] = ACTIONS(1420),
    [anon_sym__alignof] = ACTIONS(1420),
    [anon_sym_alignof] = ACTIONS(1420),
    [anon_sym__Alignof] = ACTIONS(1420),
    [anon_sym_offsetof] = ACTIONS(1420),
    [anon_sym__Generic] = ACTIONS(1420),
    [anon_sym_asm] = ACTIONS(1420),
    [anon_sym___asm__] = ACTIONS(1420),
    [sym_number_literal] = ACTIONS(1422),
    [anon_sym_L_SQUOTE] = ACTIONS(1422),
    [anon_sym_u_SQUOTE] = ACTIONS(1422),
    [anon_sym_U_SQUOTE] = ACTIONS(1422),
    [anon_sym_u8_SQUOTE] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_L_DQUOTE] = ACTIONS(1422),
    [anon_sym_u_DQUOTE] = ACTIONS(1422),
    [anon_sym_U_DQUOTE] = ACTIONS(1422),
    [anon_sym_u8_DQUOTE] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [anon_sym_NULL] = ACTIONS(1420),
    [anon_sym_nullptr] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym_identifier] = ACTIONS(1452),
    [aux_sym_preproc_include_token1] = ACTIONS(1452),
    [aux_sym_preproc_def_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1452),
    [sym_preproc_directive] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym___extension__] = ACTIONS(1452),
    [anon_sym_typedef] = ACTIONS(1452),
    [anon_sym_extern] = ACTIONS(1452),
    [anon_sym___attribute__] = ACTIONS(1452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym___declspec] = ACTIONS(1452),
    [anon_sym___cdecl] = ACTIONS(1452),
    [anon_sym___clrcall] = ACTIONS(1452),
    [anon_sym___stdcall] = ACTIONS(1452),
    [anon_sym___fastcall] = ACTIONS(1452),
    [anon_sym___thiscall] = ACTIONS(1452),
    [anon_sym___vectorcall] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [anon_sym_signed] = ACTIONS(1452),
    [anon_sym_unsigned] = ACTIONS(1452),
    [anon_sym_long] = ACTIONS(1452),
    [anon_sym_short] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_auto] = ACTIONS(1452),
    [anon_sym_register] = ACTIONS(1452),
    [anon_sym_inline] = ACTIONS(1452),
    [anon_sym___inline] = ACTIONS(1452),
    [anon_sym___inline__] = ACTIONS(1452),
    [anon_sym___forceinline] = ACTIONS(1452),
    [anon_sym_thread_local] = ACTIONS(1452),
    [anon_sym___thread] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_constexpr] = ACTIONS(1452),
    [anon_sym_volatile] = ACTIONS(1452),
    [anon_sym_restrict] = ACTIONS(1452),
    [anon_sym___restrict__] = ACTIONS(1452),
    [anon_sym__Atomic] = ACTIONS(1452),
    [anon_sym__Noreturn] = ACTIONS(1452),
    [anon_sym_noreturn] = ACTIONS(1452),
    [sym_primitive_type] = ACTIONS(1452),
    [anon_sym_enum] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1452),
    [anon_sym_union] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_switch] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_do] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_return] = ACTIONS(1452),
    [anon_sym_break] = ACTIONS(1452),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_goto] = ACTIONS(1452),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_sizeof] = ACTIONS(1452),
    [anon_sym___alignof__] = ACTIONS(1452),
    [anon_sym___alignof] = ACTIONS(1452),
    [anon_sym__alignof] = ACTIONS(1452),
    [anon_sym_alignof] = ACTIONS(1452),
    [anon_sym__Alignof] = ACTIONS(1452),
    [anon_sym_offsetof] = ACTIONS(1452),
    [anon_sym__Generic] = ACTIONS(1452),
    [anon_sym_asm] = ACTIONS(1452),
    [anon_sym___asm__] = ACTIONS(1452),
    [sym_number_literal] = ACTIONS(1454),
    [anon_sym_L_SQUOTE] = ACTIONS(1454),
    [anon_sym_u_SQUOTE] = ACTIONS(1454),
    [anon_sym_U_SQUOTE] = ACTIONS(1454),
    [anon_sym_u8_SQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_L_DQUOTE] = ACTIONS(1454),
    [anon_sym_u_DQUOTE] = ACTIONS(1454),
    [anon_sym_U_DQUOTE] = ACTIONS(1454),
    [anon_sym_u8_DQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [anon_sym_NULL] = ACTIONS(1452),
    [anon_sym_nullptr] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1412),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1412),
    [sym_preproc_directive] = ACTIONS(1412),
    [anon_sym_LPAREN2] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_typedef] = ACTIONS(1412),
    [anon_sym_extern] = ACTIONS(1412),
    [anon_sym___attribute__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym___declspec] = ACTIONS(1412),
    [anon_sym___cdecl] = ACTIONS(1412),
    [anon_sym___clrcall] = ACTIONS(1412),
    [anon_sym___stdcall] = ACTIONS(1412),
    [anon_sym___fastcall] = ACTIONS(1412),
    [anon_sym___thiscall] = ACTIONS(1412),
    [anon_sym___vectorcall] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [anon_sym_signed] = ACTIONS(1412),
    [anon_sym_unsigned] = ACTIONS(1412),
    [anon_sym_long] = ACTIONS(1412),
    [anon_sym_short] = ACTIONS(1412),
    [anon_sym_static] = ACTIONS(1412),
    [anon_sym_auto] = ACTIONS(1412),
    [anon_sym_register] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1412),
    [anon_sym___inline] = ACTIONS(1412),
    [anon_sym___inline__] = ACTIONS(1412),
    [anon_sym___forceinline] = ACTIONS(1412),
    [anon_sym_thread_local] = ACTIONS(1412),
    [anon_sym___thread] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1412),
    [anon_sym_constexpr] = ACTIONS(1412),
    [anon_sym_volatile] = ACTIONS(1412),
    [anon_sym_restrict] = ACTIONS(1412),
    [anon_sym___restrict__] = ACTIONS(1412),
    [anon_sym__Atomic] = ACTIONS(1412),
    [anon_sym__Noreturn] = ACTIONS(1412),
    [anon_sym_noreturn] = ACTIONS(1412),
    [sym_primitive_type] = ACTIONS(1412),
    [anon_sym_enum] = ACTIONS(1412),
    [anon_sym_struct] = ACTIONS(1412),
    [anon_sym_union] = ACTIONS(1412),
    [anon_sym_if] = ACTIONS(1412),
    [anon_sym_switch] = ACTIONS(1412),
    [anon_sym_case] = ACTIONS(1412),
    [anon_sym_default] = ACTIONS(1412),
    [anon_sym_while] = ACTIONS(1412),
    [anon_sym_do] = ACTIONS(1412),
    [anon_sym_for] = ACTIONS(1412),
    [anon_sym_return] = ACTIONS(1412),
    [anon_sym_break] = ACTIONS(1412),
    [anon_sym_continue] = ACTIONS(1412),
    [anon_sym_goto] = ACTIONS(1412),
    [anon_sym___try] = ACTIONS(1412),
    [anon_sym___leave] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_sizeof] = ACTIONS(1412),
    [anon_sym___alignof__] = ACTIONS(1412),
    [anon_sym___alignof] = ACTIONS(1412),
    [anon_sym__alignof] = ACTIONS(1412),
    [anon_sym_alignof] = ACTIONS(1412),
    [anon_sym__Alignof] = ACTIONS(1412),
    [anon_sym_offsetof] = ACTIONS(1412),
    [anon_sym__Generic] = ACTIONS(1412),
    [anon_sym_asm] = ACTIONS(1412),
    [anon_sym___asm__] = ACTIONS(1412),
    [sym_number_literal] = ACTIONS(1414),
    [anon_sym_L_SQUOTE] = ACTIONS(1414),
    [anon_sym_u_SQUOTE] = ACTIONS(1414),
    [anon_sym_U_SQUOTE] = ACTIONS(1414),
    [anon_sym_u8_SQUOTE] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1414),
    [anon_sym_L_DQUOTE] = ACTIONS(1414),
    [anon_sym_u_DQUOTE] = ACTIONS(1414),
    [anon_sym_U_DQUOTE] = ACTIONS(1414),
    [anon_sym_u8_DQUOTE] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1414),
    [sym_true] = ACTIONS(1412),
    [sym_false] = ACTIONS(1412),
    [anon_sym_NULL] = ACTIONS(1412),
    [anon_sym_nullptr] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym___extension__] = ACTIONS(1492),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_extern] = ACTIONS(1492),
    [anon_sym___attribute__] = ACTIONS(1492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1494),
    [anon_sym___declspec] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [anon_sym_signed] = ACTIONS(1492),
    [anon_sym_unsigned] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_auto] = ACTIONS(1492),
    [anon_sym_register] = ACTIONS(1492),
    [anon_sym_inline] = ACTIONS(1492),
    [anon_sym___inline] = ACTIONS(1492),
    [anon_sym___inline__] = ACTIONS(1492),
    [anon_sym___forceinline] = ACTIONS(1492),
    [anon_sym_thread_local] = ACTIONS(1492),
    [anon_sym___thread] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_constexpr] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [anon_sym_restrict] = ACTIONS(1492),
    [anon_sym___restrict__] = ACTIONS(1492),
    [anon_sym__Atomic] = ACTIONS(1492),
    [anon_sym__Noreturn] = ACTIONS(1492),
    [anon_sym_noreturn] = ACTIONS(1492),
    [sym_primitive_type] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1492),
    [anon_sym_union] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_goto] = ACTIONS(1492),
    [anon_sym___try] = ACTIONS(1492),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_sizeof] = ACTIONS(1492),
    [anon_sym___alignof__] = ACTIONS(1492),
    [anon_sym___alignof] = ACTIONS(1492),
    [anon_sym__alignof] = ACTIONS(1492),
    [anon_sym_alignof] = ACTIONS(1492),
    [anon_sym__Alignof] = ACTIONS(1492),
    [anon_sym_offsetof] = ACTIONS(1492),
    [anon_sym__Generic] = ACTIONS(1492),
    [anon_sym_asm] = ACTIONS(1492),
    [anon_sym___asm__] = ACTIONS(1492),
    [sym_number_literal] = ACTIONS(1494),
    [anon_sym_L_SQUOTE] = ACTIONS(1494),
    [anon_sym_u_SQUOTE] = ACTIONS(1494),
    [anon_sym_U_SQUOTE] = ACTIONS(1494),
    [anon_sym_u8_SQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_L_DQUOTE] = ACTIONS(1494),
    [anon_sym_u_DQUOTE] = ACTIONS(1494),
    [anon_sym_U_DQUOTE] = ACTIONS(1494),
    [anon_sym_u8_DQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [anon_sym_NULL] = ACTIONS(1492),
    [anon_sym_nullptr] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_identifier] = ACTIONS(1464),
    [aux_sym_preproc_include_token1] = ACTIONS(1464),
    [aux_sym_preproc_def_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token1] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1464),
    [sym_preproc_directive] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [anon_sym___extension__] = ACTIONS(1464),
    [anon_sym_typedef] = ACTIONS(1464),
    [anon_sym_extern] = ACTIONS(1464),
    [anon_sym___attribute__] = ACTIONS(1464),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1466),
    [anon_sym___declspec] = ACTIONS(1464),
    [anon_sym___cdecl] = ACTIONS(1464),
    [anon_sym___clrcall] = ACTIONS(1464),
    [anon_sym___stdcall] = ACTIONS(1464),
    [anon_sym___fastcall] = ACTIONS(1464),
    [anon_sym___thiscall] = ACTIONS(1464),
    [anon_sym___vectorcall] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_RBRACE] = ACTIONS(1466),
    [anon_sym_signed] = ACTIONS(1464),
    [anon_sym_unsigned] = ACTIONS(1464),
    [anon_sym_long] = ACTIONS(1464),
    [anon_sym_short] = ACTIONS(1464),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_auto] = ACTIONS(1464),
    [anon_sym_register] = ACTIONS(1464),
    [anon_sym_inline] = ACTIONS(1464),
    [anon_sym___inline] = ACTIONS(1464),
    [anon_sym___inline__] = ACTIONS(1464),
    [anon_sym___forceinline] = ACTIONS(1464),
    [anon_sym_thread_local] = ACTIONS(1464),
    [anon_sym___thread] = ACTIONS(1464),
    [anon_sym_const] = ACTIONS(1464),
    [anon_sym_constexpr] = ACTIONS(1464),
    [anon_sym_volatile] = ACTIONS(1464),
    [anon_sym_restrict] = ACTIONS(1464),
    [anon_sym___restrict__] = ACTIONS(1464),
    [anon_sym__Atomic] = ACTIONS(1464),
    [anon_sym__Noreturn] = ACTIONS(1464),
    [anon_sym_noreturn] = ACTIONS(1464),
    [sym_primitive_type] = ACTIONS(1464),
    [anon_sym_enum] = ACTIONS(1464),
    [anon_sym_struct] = ACTIONS(1464),
    [anon_sym_union] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_switch] = ACTIONS(1464),
    [anon_sym_case] = ACTIONS(1464),
    [anon_sym_default] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_do] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_return] = ACTIONS(1464),
    [anon_sym_break] = ACTIONS(1464),
    [anon_sym_continue] = ACTIONS(1464),
    [anon_sym_goto] = ACTIONS(1464),
    [anon_sym___try] = ACTIONS(1464),
    [anon_sym___leave] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [anon_sym_sizeof] = ACTIONS(1464),
    [anon_sym___alignof__] = ACTIONS(1464),
    [anon_sym___alignof] = ACTIONS(1464),
    [anon_sym__alignof] = ACTIONS(1464),
    [anon_sym_alignof] = ACTIONS(1464),
    [anon_sym__Alignof] = ACTIONS(1464),
    [anon_sym_offsetof] = ACTIONS(1464),
    [anon_sym__Generic] = ACTIONS(1464),
    [anon_sym_asm] = ACTIONS(1464),
    [anon_sym___asm__] = ACTIONS(1464),
    [sym_number_literal] = ACTIONS(1466),
    [anon_sym_L_SQUOTE] = ACTIONS(1466),
    [anon_sym_u_SQUOTE] = ACTIONS(1466),
    [anon_sym_U_SQUOTE] = ACTIONS(1466),
    [anon_sym_u8_SQUOTE] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_L_DQUOTE] = ACTIONS(1466),
    [anon_sym_u_DQUOTE] = ACTIONS(1466),
    [anon_sym_U_DQUOTE] = ACTIONS(1466),
    [anon_sym_u8_DQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [anon_sym_NULL] = ACTIONS(1464),
    [anon_sym_nullptr] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_identifier] = ACTIONS(1472),
    [aux_sym_preproc_include_token1] = ACTIONS(1472),
    [aux_sym_preproc_def_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token2] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1472),
    [sym_preproc_directive] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(1472),
    [anon_sym_typedef] = ACTIONS(1472),
    [anon_sym_extern] = ACTIONS(1472),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1474),
    [anon_sym___declspec] = ACTIONS(1472),
    [anon_sym___cdecl] = ACTIONS(1472),
    [anon_sym___clrcall] = ACTIONS(1472),
    [anon_sym___stdcall] = ACTIONS(1472),
    [anon_sym___fastcall] = ACTIONS(1472),
    [anon_sym___thiscall] = ACTIONS(1472),
    [anon_sym___vectorcall] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_signed] = ACTIONS(1472),
    [anon_sym_unsigned] = ACTIONS(1472),
    [anon_sym_long] = ACTIONS(1472),
    [anon_sym_short] = ACTIONS(1472),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_auto] = ACTIONS(1472),
    [anon_sym_register] = ACTIONS(1472),
    [anon_sym_inline] = ACTIONS(1472),
    [anon_sym___inline] = ACTIONS(1472),
    [anon_sym___inline__] = ACTIONS(1472),
    [anon_sym___forceinline] = ACTIONS(1472),
    [anon_sym_thread_local] = ACTIONS(1472),
    [anon_sym___thread] = ACTIONS(1472),
    [anon_sym_const] = ACTIONS(1472),
    [anon_sym_constexpr] = ACTIONS(1472),
    [anon_sym_volatile] = ACTIONS(1472),
    [anon_sym_restrict] = ACTIONS(1472),
    [anon_sym___restrict__] = ACTIONS(1472),
    [anon_sym__Atomic] = ACTIONS(1472),
    [anon_sym__Noreturn] = ACTIONS(1472),
    [anon_sym_noreturn] = ACTIONS(1472),
    [sym_primitive_type] = ACTIONS(1472),
    [anon_sym_enum] = ACTIONS(1472),
    [anon_sym_struct] = ACTIONS(1472),
    [anon_sym_union] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(1472),
    [anon_sym_case] = ACTIONS(1472),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_do] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(1472),
    [anon_sym_break] = ACTIONS(1472),
    [anon_sym_continue] = ACTIONS(1472),
    [anon_sym_goto] = ACTIONS(1472),
    [anon_sym___try] = ACTIONS(1472),
    [anon_sym___leave] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [anon_sym_sizeof] = ACTIONS(1472),
    [anon_sym___alignof__] = ACTIONS(1472),
    [anon_sym___alignof] = ACTIONS(1472),
    [anon_sym__alignof] = ACTIONS(1472),
    [anon_sym_alignof] = ACTIONS(1472),
    [anon_sym__Alignof] = ACTIONS(1472),
    [anon_sym_offsetof] = ACTIONS(1472),
    [anon_sym__Generic] = ACTIONS(1472),
    [anon_sym_asm] = ACTIONS(1472),
    [anon_sym___asm__] = ACTIONS(1472),
    [sym_number_literal] = ACTIONS(1474),
    [anon_sym_L_SQUOTE] = ACTIONS(1474),
    [anon_sym_u_SQUOTE] = ACTIONS(1474),
    [anon_sym_U_SQUOTE] = ACTIONS(1474),
    [anon_sym_u8_SQUOTE] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_L_DQUOTE] = ACTIONS(1474),
    [anon_sym_u_DQUOTE] = ACTIONS(1474),
    [anon_sym_U_DQUOTE] = ACTIONS(1474),
    [anon_sym_u8_DQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [anon_sym_NULL] = ACTIONS(1472),
    [anon_sym_nullptr] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_identifier] = ACTIONS(1436),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token1] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1436),
    [sym_preproc_directive] = ACTIONS(1436),
    [anon_sym_LPAREN2] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [anon_sym___extension__] = ACTIONS(1436),
    [anon_sym_typedef] = ACTIONS(1436),
    [anon_sym_extern] = ACTIONS(1436),
    [anon_sym___attribute__] = ACTIONS(1436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1438),
    [anon_sym___declspec] = ACTIONS(1436),
    [anon_sym___cdecl] = ACTIONS(1436),
    [anon_sym___clrcall] = ACTIONS(1436),
    [anon_sym___stdcall] = ACTIONS(1436),
    [anon_sym___fastcall] = ACTIONS(1436),
    [anon_sym___thiscall] = ACTIONS(1436),
    [anon_sym___vectorcall] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [anon_sym_signed] = ACTIONS(1436),
    [anon_sym_unsigned] = ACTIONS(1436),
    [anon_sym_long] = ACTIONS(1436),
    [anon_sym_short] = ACTIONS(1436),
    [anon_sym_static] = ACTIONS(1436),
    [anon_sym_auto] = ACTIONS(1436),
    [anon_sym_register] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(1436),
    [anon_sym___inline] = ACTIONS(1436),
    [anon_sym___inline__] = ACTIONS(1436),
    [anon_sym___forceinline] = ACTIONS(1436),
    [anon_sym_thread_local] = ACTIONS(1436),
    [anon_sym___thread] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_constexpr] = ACTIONS(1436),
    [anon_sym_volatile] = ACTIONS(1436),
    [anon_sym_restrict] = ACTIONS(1436),
    [anon_sym___restrict__] = ACTIONS(1436),
    [anon_sym__Atomic] = ACTIONS(1436),
    [anon_sym__Noreturn] = ACTIONS(1436),
    [anon_sym_noreturn] = ACTIONS(1436),
    [sym_primitive_type] = ACTIONS(1436),
    [anon_sym_enum] = ACTIONS(1436),
    [anon_sym_struct] = ACTIONS(1436),
    [anon_sym_union] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_goto] = ACTIONS(1436),
    [anon_sym___try] = ACTIONS(1436),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_sizeof] = ACTIONS(1436),
    [anon_sym___alignof__] = ACTIONS(1436),
    [anon_sym___alignof] = ACTIONS(1436),
    [anon_sym__alignof] = ACTIONS(1436),
    [anon_sym_alignof] = ACTIONS(1436),
    [anon_sym__Alignof] = ACTIONS(1436),
    [anon_sym_offsetof] = ACTIONS(1436),
    [anon_sym__Generic] = ACTIONS(1436),
    [anon_sym_asm] = ACTIONS(1436),
    [anon_sym___asm__] = ACTIONS(1436),
    [sym_number_literal] = ACTIONS(1438),
    [anon_sym_L_SQUOTE] = ACTIONS(1438),
    [anon_sym_u_SQUOTE] = ACTIONS(1438),
    [anon_sym_U_SQUOTE] = ACTIONS(1438),
    [anon_sym_u8_SQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_L_DQUOTE] = ACTIONS(1438),
    [anon_sym_u_DQUOTE] = ACTIONS(1438),
    [anon_sym_U_DQUOTE] = ACTIONS(1438),
    [anon_sym_u8_DQUOTE] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [anon_sym_NULL] = ACTIONS(1436),
    [anon_sym_nullptr] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_identifier] = ACTIONS(1408),
    [aux_sym_preproc_include_token1] = ACTIONS(1408),
    [aux_sym_preproc_def_token1] = ACTIONS(1408),
    [aux_sym_preproc_if_token1] = ACTIONS(1408),
    [aux_sym_preproc_if_token2] = ACTIONS(1408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1408),
    [sym_preproc_directive] = ACTIONS(1408),
    [anon_sym_LPAREN2] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [anon_sym___extension__] = ACTIONS(1408),
    [anon_sym_typedef] = ACTIONS(1408),
    [anon_sym_extern] = ACTIONS(1408),
    [anon_sym___attribute__] = ACTIONS(1408),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1410),
    [anon_sym___declspec] = ACTIONS(1408),
    [anon_sym___cdecl] = ACTIONS(1408),
    [anon_sym___clrcall] = ACTIONS(1408),
    [anon_sym___stdcall] = ACTIONS(1408),
    [anon_sym___fastcall] = ACTIONS(1408),
    [anon_sym___thiscall] = ACTIONS(1408),
    [anon_sym___vectorcall] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_signed] = ACTIONS(1408),
    [anon_sym_unsigned] = ACTIONS(1408),
    [anon_sym_long] = ACTIONS(1408),
    [anon_sym_short] = ACTIONS(1408),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_auto] = ACTIONS(1408),
    [anon_sym_register] = ACTIONS(1408),
    [anon_sym_inline] = ACTIONS(1408),
    [anon_sym___inline] = ACTIONS(1408),
    [anon_sym___inline__] = ACTIONS(1408),
    [anon_sym___forceinline] = ACTIONS(1408),
    [anon_sym_thread_local] = ACTIONS(1408),
    [anon_sym___thread] = ACTIONS(1408),
    [anon_sym_const] = ACTIONS(1408),
    [anon_sym_constexpr] = ACTIONS(1408),
    [anon_sym_volatile] = ACTIONS(1408),
    [anon_sym_restrict] = ACTIONS(1408),
    [anon_sym___restrict__] = ACTIONS(1408),
    [anon_sym__Atomic] = ACTIONS(1408),
    [anon_sym__Noreturn] = ACTIONS(1408),
    [anon_sym_noreturn] = ACTIONS(1408),
    [sym_primitive_type] = ACTIONS(1408),
    [anon_sym_enum] = ACTIONS(1408),
    [anon_sym_struct] = ACTIONS(1408),
    [anon_sym_union] = ACTIONS(1408),
    [anon_sym_if] = ACTIONS(1408),
    [anon_sym_switch] = ACTIONS(1408),
    [anon_sym_case] = ACTIONS(1408),
    [anon_sym_default] = ACTIONS(1408),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_do] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_return] = ACTIONS(1408),
    [anon_sym_break] = ACTIONS(1408),
    [anon_sym_continue] = ACTIONS(1408),
    [anon_sym_goto] = ACTIONS(1408),
    [anon_sym___try] = ACTIONS(1408),
    [anon_sym___leave] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [anon_sym_sizeof] = ACTIONS(1408),
    [anon_sym___alignof__] = ACTIONS(1408),
    [anon_sym___alignof] = ACTIONS(1408),
    [anon_sym__alignof] = ACTIONS(1408),
    [anon_sym_alignof] = ACTIONS(1408),
    [anon_sym__Alignof] = ACTIONS(1408),
    [anon_sym_offsetof] = ACTIONS(1408),
    [anon_sym__Generic] = ACTIONS(1408),
    [anon_sym_asm] = ACTIONS(1408),
    [anon_sym___asm__] = ACTIONS(1408),
    [sym_number_literal] = ACTIONS(1410),
    [anon_sym_L_SQUOTE] = ACTIONS(1410),
    [anon_sym_u_SQUOTE] = ACTIONS(1410),
    [anon_sym_U_SQUOTE] = ACTIONS(1410),
    [anon_sym_u8_SQUOTE] = ACTIONS(1410),
    [anon_sym_SQUOTE] = ACTIONS(1410),
    [anon_sym_L_DQUOTE] = ACTIONS(1410),
    [anon_sym_u_DQUOTE] = ACTIONS(1410),
    [anon_sym_U_DQUOTE] = ACTIONS(1410),
    [anon_sym_u8_DQUOTE] = ACTIONS(1410),
    [anon_sym_DQUOTE] = ACTIONS(1410),
    [sym_true] = ACTIONS(1408),
    [sym_false] = ACTIONS(1408),
    [anon_sym_NULL] = ACTIONS(1408),
    [anon_sym_nullptr] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_identifier] = ACTIONS(1420),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token2] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [anon_sym___extension__] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1420),
    [anon_sym_extern] = ACTIONS(1420),
    [anon_sym___attribute__] = ACTIONS(1420),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1422),
    [anon_sym___declspec] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(1420),
    [anon_sym_unsigned] = ACTIONS(1420),
    [anon_sym_long] = ACTIONS(1420),
    [anon_sym_short] = ACTIONS(1420),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_auto] = ACTIONS(1420),
    [anon_sym_register] = ACTIONS(1420),
    [anon_sym_inline] = ACTIONS(1420),
    [anon_sym___inline] = ACTIONS(1420),
    [anon_sym___inline__] = ACTIONS(1420),
    [anon_sym___forceinline] = ACTIONS(1420),
    [anon_sym_thread_local] = ACTIONS(1420),
    [anon_sym___thread] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1420),
    [anon_sym_constexpr] = ACTIONS(1420),
    [anon_sym_volatile] = ACTIONS(1420),
    [anon_sym_restrict] = ACTIONS(1420),
    [anon_sym___restrict__] = ACTIONS(1420),
    [anon_sym__Atomic] = ACTIONS(1420),
    [anon_sym__Noreturn] = ACTIONS(1420),
    [anon_sym_noreturn] = ACTIONS(1420),
    [sym_primitive_type] = ACTIONS(1420),
    [anon_sym_enum] = ACTIONS(1420),
    [anon_sym_struct] = ACTIONS(1420),
    [anon_sym_union] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1420),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1420),
    [anon_sym_do] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_goto] = ACTIONS(1420),
    [anon_sym___try] = ACTIONS(1420),
    [anon_sym___leave] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [anon_sym_sizeof] = ACTIONS(1420),
    [anon_sym___alignof__] = ACTIONS(1420),
    [anon_sym___alignof] = ACTIONS(1420),
    [anon_sym__alignof] = ACTIONS(1420),
    [anon_sym_alignof] = ACTIONS(1420),
    [anon_sym__Alignof] = ACTIONS(1420),
    [anon_sym_offsetof] = ACTIONS(1420),
    [anon_sym__Generic] = ACTIONS(1420),
    [anon_sym_asm] = ACTIONS(1420),
    [anon_sym___asm__] = ACTIONS(1420),
    [sym_number_literal] = ACTIONS(1422),
    [anon_sym_L_SQUOTE] = ACTIONS(1422),
    [anon_sym_u_SQUOTE] = ACTIONS(1422),
    [anon_sym_U_SQUOTE] = ACTIONS(1422),
    [anon_sym_u8_SQUOTE] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_L_DQUOTE] = ACTIONS(1422),
    [anon_sym_u_DQUOTE] = ACTIONS(1422),
    [anon_sym_U_DQUOTE] = ACTIONS(1422),
    [anon_sym_u8_DQUOTE] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [anon_sym_NULL] = ACTIONS(1420),
    [anon_sym_nullptr] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_identifier] = ACTIONS(1488),
    [aux_sym_preproc_include_token1] = ACTIONS(1488),
    [aux_sym_preproc_def_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1488),
    [sym_preproc_directive] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym___extension__] = ACTIONS(1488),
    [anon_sym_typedef] = ACTIONS(1488),
    [anon_sym_extern] = ACTIONS(1488),
    [anon_sym___attribute__] = ACTIONS(1488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1490),
    [anon_sym___declspec] = ACTIONS(1488),
    [anon_sym___cdecl] = ACTIONS(1488),
    [anon_sym___clrcall] = ACTIONS(1488),
    [anon_sym___stdcall] = ACTIONS(1488),
    [anon_sym___fastcall] = ACTIONS(1488),
    [anon_sym___thiscall] = ACTIONS(1488),
    [anon_sym___vectorcall] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [anon_sym_signed] = ACTIONS(1488),
    [anon_sym_unsigned] = ACTIONS(1488),
    [anon_sym_long] = ACTIONS(1488),
    [anon_sym_short] = ACTIONS(1488),
    [anon_sym_static] = ACTIONS(1488),
    [anon_sym_auto] = ACTIONS(1488),
    [anon_sym_register] = ACTIONS(1488),
    [anon_sym_inline] = ACTIONS(1488),
    [anon_sym___inline] = ACTIONS(1488),
    [anon_sym___inline__] = ACTIONS(1488),
    [anon_sym___forceinline] = ACTIONS(1488),
    [anon_sym_thread_local] = ACTIONS(1488),
    [anon_sym___thread] = ACTIONS(1488),
    [anon_sym_const] = ACTIONS(1488),
    [anon_sym_constexpr] = ACTIONS(1488),
    [anon_sym_volatile] = ACTIONS(1488),
    [anon_sym_restrict] = ACTIONS(1488),
    [anon_sym___restrict__] = ACTIONS(1488),
    [anon_sym__Atomic] = ACTIONS(1488),
    [anon_sym__Noreturn] = ACTIONS(1488),
    [anon_sym_noreturn] = ACTIONS(1488),
    [sym_primitive_type] = ACTIONS(1488),
    [anon_sym_enum] = ACTIONS(1488),
    [anon_sym_struct] = ACTIONS(1488),
    [anon_sym_union] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(1488),
    [anon_sym_case] = ACTIONS(1488),
    [anon_sym_default] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_do] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_break] = ACTIONS(1488),
    [anon_sym_continue] = ACTIONS(1488),
    [anon_sym_goto] = ACTIONS(1488),
    [anon_sym___try] = ACTIONS(1488),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_sizeof] = ACTIONS(1488),
    [anon_sym___alignof__] = ACTIONS(1488),
    [anon_sym___alignof] = ACTIONS(1488),
    [anon_sym__alignof] = ACTIONS(1488),
    [anon_sym_alignof] = ACTIONS(1488),
    [anon_sym__Alignof] = ACTIONS(1488),
    [anon_sym_offsetof] = ACTIONS(1488),
    [anon_sym__Generic] = ACTIONS(1488),
    [anon_sym_asm] = ACTIONS(1488),
    [anon_sym___asm__] = ACTIONS(1488),
    [sym_number_literal] = ACTIONS(1490),
    [anon_sym_L_SQUOTE] = ACTIONS(1490),
    [anon_sym_u_SQUOTE] = ACTIONS(1490),
    [anon_sym_U_SQUOTE] = ACTIONS(1490),
    [anon_sym_u8_SQUOTE] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_L_DQUOTE] = ACTIONS(1490),
    [anon_sym_u_DQUOTE] = ACTIONS(1490),
    [anon_sym_U_DQUOTE] = ACTIONS(1490),
    [anon_sym_u8_DQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [anon_sym_NULL] = ACTIONS(1488),
    [anon_sym_nullptr] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_identifier] = ACTIONS(1480),
    [aux_sym_preproc_include_token1] = ACTIONS(1480),
    [aux_sym_preproc_def_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token1] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1480),
    [sym_preproc_directive] = ACTIONS(1480),
    [anon_sym_LPAREN2] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(1480),
    [anon_sym_typedef] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(1480),
    [anon_sym___attribute__] = ACTIONS(1480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1480),
    [anon_sym___cdecl] = ACTIONS(1480),
    [anon_sym___clrcall] = ACTIONS(1480),
    [anon_sym___stdcall] = ACTIONS(1480),
    [anon_sym___fastcall] = ACTIONS(1480),
    [anon_sym___thiscall] = ACTIONS(1480),
    [anon_sym___vectorcall] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [anon_sym_signed] = ACTIONS(1480),
    [anon_sym_unsigned] = ACTIONS(1480),
    [anon_sym_long] = ACTIONS(1480),
    [anon_sym_short] = ACTIONS(1480),
    [anon_sym_static] = ACTIONS(1480),
    [anon_sym_auto] = ACTIONS(1480),
    [anon_sym_register] = ACTIONS(1480),
    [anon_sym_inline] = ACTIONS(1480),
    [anon_sym___inline] = ACTIONS(1480),
    [anon_sym___inline__] = ACTIONS(1480),
    [anon_sym___forceinline] = ACTIONS(1480),
    [anon_sym_thread_local] = ACTIONS(1480),
    [anon_sym___thread] = ACTIONS(1480),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_constexpr] = ACTIONS(1480),
    [anon_sym_volatile] = ACTIONS(1480),
    [anon_sym_restrict] = ACTIONS(1480),
    [anon_sym___restrict__] = ACTIONS(1480),
    [anon_sym__Atomic] = ACTIONS(1480),
    [anon_sym__Noreturn] = ACTIONS(1480),
    [anon_sym_noreturn] = ACTIONS(1480),
    [sym_primitive_type] = ACTIONS(1480),
    [anon_sym_enum] = ACTIONS(1480),
    [anon_sym_struct] = ACTIONS(1480),
    [anon_sym_union] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_switch] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_do] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_return] = ACTIONS(1480),
    [anon_sym_break] = ACTIONS(1480),
    [anon_sym_continue] = ACTIONS(1480),
    [anon_sym_goto] = ACTIONS(1480),
    [anon_sym___try] = ACTIONS(1480),
    [anon_sym___leave] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_sizeof] = ACTIONS(1480),
    [anon_sym___alignof__] = ACTIONS(1480),
    [anon_sym___alignof] = ACTIONS(1480),
    [anon_sym__alignof] = ACTIONS(1480),
    [anon_sym_alignof] = ACTIONS(1480),
    [anon_sym__Alignof] = ACTIONS(1480),
    [anon_sym_offsetof] = ACTIONS(1480),
    [anon_sym__Generic] = ACTIONS(1480),
    [anon_sym_asm] = ACTIONS(1480),
    [anon_sym___asm__] = ACTIONS(1480),
    [sym_number_literal] = ACTIONS(1482),
    [anon_sym_L_SQUOTE] = ACTIONS(1482),
    [anon_sym_u_SQUOTE] = ACTIONS(1482),
    [anon_sym_U_SQUOTE] = ACTIONS(1482),
    [anon_sym_u8_SQUOTE] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_L_DQUOTE] = ACTIONS(1482),
    [anon_sym_u_DQUOTE] = ACTIONS(1482),
    [anon_sym_U_DQUOTE] = ACTIONS(1482),
    [anon_sym_u8_DQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [anon_sym_NULL] = ACTIONS(1480),
    [anon_sym_nullptr] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_identifier] = ACTIONS(1480),
    [aux_sym_preproc_include_token1] = ACTIONS(1480),
    [aux_sym_preproc_def_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token2] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1480),
    [sym_preproc_directive] = ACTIONS(1480),
    [anon_sym_LPAREN2] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(1480),
    [anon_sym_typedef] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(1480),
    [anon_sym___attribute__] = ACTIONS(1480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1480),
    [anon_sym___cdecl] = ACTIONS(1480),
    [anon_sym___clrcall] = ACTIONS(1480),
    [anon_sym___stdcall] = ACTIONS(1480),
    [anon_sym___fastcall] = ACTIONS(1480),
    [anon_sym___thiscall] = ACTIONS(1480),
    [anon_sym___vectorcall] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_signed] = ACTIONS(1480),
    [anon_sym_unsigned] = ACTIONS(1480),
    [anon_sym_long] = ACTIONS(1480),
    [anon_sym_short] = ACTIONS(1480),
    [anon_sym_static] = ACTIONS(1480),
    [anon_sym_auto] = ACTIONS(1480),
    [anon_sym_register] = ACTIONS(1480),
    [anon_sym_inline] = ACTIONS(1480),
    [anon_sym___inline] = ACTIONS(1480),
    [anon_sym___inline__] = ACTIONS(1480),
    [anon_sym___forceinline] = ACTIONS(1480),
    [anon_sym_thread_local] = ACTIONS(1480),
    [anon_sym___thread] = ACTIONS(1480),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_constexpr] = ACTIONS(1480),
    [anon_sym_volatile] = ACTIONS(1480),
    [anon_sym_restrict] = ACTIONS(1480),
    [anon_sym___restrict__] = ACTIONS(1480),
    [anon_sym__Atomic] = ACTIONS(1480),
    [anon_sym__Noreturn] = ACTIONS(1480),
    [anon_sym_noreturn] = ACTIONS(1480),
    [sym_primitive_type] = ACTIONS(1480),
    [anon_sym_enum] = ACTIONS(1480),
    [anon_sym_struct] = ACTIONS(1480),
    [anon_sym_union] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_switch] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_do] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_return] = ACTIONS(1480),
    [anon_sym_break] = ACTIONS(1480),
    [anon_sym_continue] = ACTIONS(1480),
    [anon_sym_goto] = ACTIONS(1480),
    [anon_sym___try] = ACTIONS(1480),
    [anon_sym___leave] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_sizeof] = ACTIONS(1480),
    [anon_sym___alignof__] = ACTIONS(1480),
    [anon_sym___alignof] = ACTIONS(1480),
    [anon_sym__alignof] = ACTIONS(1480),
    [anon_sym_alignof] = ACTIONS(1480),
    [anon_sym__Alignof] = ACTIONS(1480),
    [anon_sym_offsetof] = ACTIONS(1480),
    [anon_sym__Generic] = ACTIONS(1480),
    [anon_sym_asm] = ACTIONS(1480),
    [anon_sym___asm__] = ACTIONS(1480),
    [sym_number_literal] = ACTIONS(1482),
    [anon_sym_L_SQUOTE] = ACTIONS(1482),
    [anon_sym_u_SQUOTE] = ACTIONS(1482),
    [anon_sym_U_SQUOTE] = ACTIONS(1482),
    [anon_sym_u8_SQUOTE] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_L_DQUOTE] = ACTIONS(1482),
    [anon_sym_u_DQUOTE] = ACTIONS(1482),
    [anon_sym_U_DQUOTE] = ACTIONS(1482),
    [anon_sym_u8_DQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [anon_sym_NULL] = ACTIONS(1480),
    [anon_sym_nullptr] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_identifier] = ACTIONS(1448),
    [aux_sym_preproc_include_token1] = ACTIONS(1448),
    [aux_sym_preproc_def_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1448),
    [sym_preproc_directive] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym___extension__] = ACTIONS(1448),
    [anon_sym_typedef] = ACTIONS(1448),
    [anon_sym_extern] = ACTIONS(1448),
    [anon_sym___attribute__] = ACTIONS(1448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1450),
    [anon_sym___declspec] = ACTIONS(1448),
    [anon_sym___cdecl] = ACTIONS(1448),
    [anon_sym___clrcall] = ACTIONS(1448),
    [anon_sym___stdcall] = ACTIONS(1448),
    [anon_sym___fastcall] = ACTIONS(1448),
    [anon_sym___thiscall] = ACTIONS(1448),
    [anon_sym___vectorcall] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [anon_sym_signed] = ACTIONS(1448),
    [anon_sym_unsigned] = ACTIONS(1448),
    [anon_sym_long] = ACTIONS(1448),
    [anon_sym_short] = ACTIONS(1448),
    [anon_sym_static] = ACTIONS(1448),
    [anon_sym_auto] = ACTIONS(1448),
    [anon_sym_register] = ACTIONS(1448),
    [anon_sym_inline] = ACTIONS(1448),
    [anon_sym___inline] = ACTIONS(1448),
    [anon_sym___inline__] = ACTIONS(1448),
    [anon_sym___forceinline] = ACTIONS(1448),
    [anon_sym_thread_local] = ACTIONS(1448),
    [anon_sym___thread] = ACTIONS(1448),
    [anon_sym_const] = ACTIONS(1448),
    [anon_sym_constexpr] = ACTIONS(1448),
    [anon_sym_volatile] = ACTIONS(1448),
    [anon_sym_restrict] = ACTIONS(1448),
    [anon_sym___restrict__] = ACTIONS(1448),
    [anon_sym__Atomic] = ACTIONS(1448),
    [anon_sym__Noreturn] = ACTIONS(1448),
    [anon_sym_noreturn] = ACTIONS(1448),
    [sym_primitive_type] = ACTIONS(1448),
    [anon_sym_enum] = ACTIONS(1448),
    [anon_sym_struct] = ACTIONS(1448),
    [anon_sym_union] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1448),
    [anon_sym_switch] = ACTIONS(1448),
    [anon_sym_case] = ACTIONS(1448),
    [anon_sym_default] = ACTIONS(1448),
    [anon_sym_while] = ACTIONS(1448),
    [anon_sym_do] = ACTIONS(1448),
    [anon_sym_for] = ACTIONS(1448),
    [anon_sym_return] = ACTIONS(1448),
    [anon_sym_break] = ACTIONS(1448),
    [anon_sym_continue] = ACTIONS(1448),
    [anon_sym_goto] = ACTIONS(1448),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_sizeof] = ACTIONS(1448),
    [anon_sym___alignof__] = ACTIONS(1448),
    [anon_sym___alignof] = ACTIONS(1448),
    [anon_sym__alignof] = ACTIONS(1448),
    [anon_sym_alignof] = ACTIONS(1448),
    [anon_sym__Alignof] = ACTIONS(1448),
    [anon_sym_offsetof] = ACTIONS(1448),
    [anon_sym__Generic] = ACTIONS(1448),
    [anon_sym_asm] = ACTIONS(1448),
    [anon_sym___asm__] = ACTIONS(1448),
    [sym_number_literal] = ACTIONS(1450),
    [anon_sym_L_SQUOTE] = ACTIONS(1450),
    [anon_sym_u_SQUOTE] = ACTIONS(1450),
    [anon_sym_U_SQUOTE] = ACTIONS(1450),
    [anon_sym_u8_SQUOTE] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_L_DQUOTE] = ACTIONS(1450),
    [anon_sym_u_DQUOTE] = ACTIONS(1450),
    [anon_sym_U_DQUOTE] = ACTIONS(1450),
    [anon_sym_u8_DQUOTE] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [sym_true] = ACTIONS(1448),
    [sym_false] = ACTIONS(1448),
    [anon_sym_NULL] = ACTIONS(1448),
    [anon_sym_nullptr] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token2] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym___extension__] = ACTIONS(1492),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_extern] = ACTIONS(1492),
    [anon_sym___attribute__] = ACTIONS(1492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1494),
    [anon_sym___declspec] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_signed] = ACTIONS(1492),
    [anon_sym_unsigned] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_auto] = ACTIONS(1492),
    [anon_sym_register] = ACTIONS(1492),
    [anon_sym_inline] = ACTIONS(1492),
    [anon_sym___inline] = ACTIONS(1492),
    [anon_sym___inline__] = ACTIONS(1492),
    [anon_sym___forceinline] = ACTIONS(1492),
    [anon_sym_thread_local] = ACTIONS(1492),
    [anon_sym___thread] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_constexpr] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [anon_sym_restrict] = ACTIONS(1492),
    [anon_sym___restrict__] = ACTIONS(1492),
    [anon_sym__Atomic] = ACTIONS(1492),
    [anon_sym__Noreturn] = ACTIONS(1492),
    [anon_sym_noreturn] = ACTIONS(1492),
    [sym_primitive_type] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1492),
    [anon_sym_union] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_goto] = ACTIONS(1492),
    [anon_sym___try] = ACTIONS(1492),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_sizeof] = ACTIONS(1492),
    [anon_sym___alignof__] = ACTIONS(1492),
    [anon_sym___alignof] = ACTIONS(1492),
    [anon_sym__alignof] = ACTIONS(1492),
    [anon_sym_alignof] = ACTIONS(1492),
    [anon_sym__Alignof] = ACTIONS(1492),
    [anon_sym_offsetof] = ACTIONS(1492),
    [anon_sym__Generic] = ACTIONS(1492),
    [anon_sym_asm] = ACTIONS(1492),
    [anon_sym___asm__] = ACTIONS(1492),
    [sym_number_literal] = ACTIONS(1494),
    [anon_sym_L_SQUOTE] = ACTIONS(1494),
    [anon_sym_u_SQUOTE] = ACTIONS(1494),
    [anon_sym_U_SQUOTE] = ACTIONS(1494),
    [anon_sym_u8_SQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_L_DQUOTE] = ACTIONS(1494),
    [anon_sym_u_DQUOTE] = ACTIONS(1494),
    [anon_sym_U_DQUOTE] = ACTIONS(1494),
    [anon_sym_u8_DQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [anon_sym_NULL] = ACTIONS(1492),
    [anon_sym_nullptr] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_identifier] = ACTIONS(1476),
    [aux_sym_preproc_include_token1] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym___extension__] = ACTIONS(1476),
    [anon_sym_typedef] = ACTIONS(1476),
    [anon_sym_extern] = ACTIONS(1476),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1476),
    [anon_sym___cdecl] = ACTIONS(1476),
    [anon_sym___clrcall] = ACTIONS(1476),
    [anon_sym___stdcall] = ACTIONS(1476),
    [anon_sym___fastcall] = ACTIONS(1476),
    [anon_sym___thiscall] = ACTIONS(1476),
    [anon_sym___vectorcall] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [anon_sym_signed] = ACTIONS(1476),
    [anon_sym_unsigned] = ACTIONS(1476),
    [anon_sym_long] = ACTIONS(1476),
    [anon_sym_short] = ACTIONS(1476),
    [anon_sym_static] = ACTIONS(1476),
    [anon_sym_auto] = ACTIONS(1476),
    [anon_sym_register] = ACTIONS(1476),
    [anon_sym_inline] = ACTIONS(1476),
    [anon_sym___inline] = ACTIONS(1476),
    [anon_sym___inline__] = ACTIONS(1476),
    [anon_sym___forceinline] = ACTIONS(1476),
    [anon_sym_thread_local] = ACTIONS(1476),
    [anon_sym___thread] = ACTIONS(1476),
    [anon_sym_const] = ACTIONS(1476),
    [anon_sym_constexpr] = ACTIONS(1476),
    [anon_sym_volatile] = ACTIONS(1476),
    [anon_sym_restrict] = ACTIONS(1476),
    [anon_sym___restrict__] = ACTIONS(1476),
    [anon_sym__Atomic] = ACTIONS(1476),
    [anon_sym__Noreturn] = ACTIONS(1476),
    [anon_sym_noreturn] = ACTIONS(1476),
    [sym_primitive_type] = ACTIONS(1476),
    [anon_sym_enum] = ACTIONS(1476),
    [anon_sym_struct] = ACTIONS(1476),
    [anon_sym_union] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_switch] = ACTIONS(1476),
    [anon_sym_case] = ACTIONS(1476),
    [anon_sym_default] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_do] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1476),
    [anon_sym_break] = ACTIONS(1476),
    [anon_sym_continue] = ACTIONS(1476),
    [anon_sym_goto] = ACTIONS(1476),
    [anon_sym___try] = ACTIONS(1476),
    [anon_sym___leave] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [anon_sym_sizeof] = ACTIONS(1476),
    [anon_sym___alignof__] = ACTIONS(1476),
    [anon_sym___alignof] = ACTIONS(1476),
    [anon_sym__alignof] = ACTIONS(1476),
    [anon_sym_alignof] = ACTIONS(1476),
    [anon_sym__Alignof] = ACTIONS(1476),
    [anon_sym_offsetof] = ACTIONS(1476),
    [anon_sym__Generic] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1476),
    [anon_sym___asm__] = ACTIONS(1476),
    [sym_number_literal] = ACTIONS(1478),
    [anon_sym_L_SQUOTE] = ACTIONS(1478),
    [anon_sym_u_SQUOTE] = ACTIONS(1478),
    [anon_sym_U_SQUOTE] = ACTIONS(1478),
    [anon_sym_u8_SQUOTE] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_L_DQUOTE] = ACTIONS(1478),
    [anon_sym_u_DQUOTE] = ACTIONS(1478),
    [anon_sym_U_DQUOTE] = ACTIONS(1478),
    [anon_sym_u8_DQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [anon_sym_NULL] = ACTIONS(1476),
    [anon_sym_nullptr] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_identifier] = ACTIONS(1484),
    [aux_sym_preproc_include_token1] = ACTIONS(1484),
    [aux_sym_preproc_def_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token2] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1484),
    [sym_preproc_directive] = ACTIONS(1484),
    [anon_sym_LPAREN2] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1486),
    [anon_sym___extension__] = ACTIONS(1484),
    [anon_sym_typedef] = ACTIONS(1484),
    [anon_sym_extern] = ACTIONS(1484),
    [anon_sym___attribute__] = ACTIONS(1484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym___declspec] = ACTIONS(1484),
    [anon_sym___cdecl] = ACTIONS(1484),
    [anon_sym___clrcall] = ACTIONS(1484),
    [anon_sym___stdcall] = ACTIONS(1484),
    [anon_sym___fastcall] = ACTIONS(1484),
    [anon_sym___thiscall] = ACTIONS(1484),
    [anon_sym___vectorcall] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_signed] = ACTIONS(1484),
    [anon_sym_unsigned] = ACTIONS(1484),
    [anon_sym_long] = ACTIONS(1484),
    [anon_sym_short] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(1484),
    [anon_sym_auto] = ACTIONS(1484),
    [anon_sym_register] = ACTIONS(1484),
    [anon_sym_inline] = ACTIONS(1484),
    [anon_sym___inline] = ACTIONS(1484),
    [anon_sym___inline__] = ACTIONS(1484),
    [anon_sym___forceinline] = ACTIONS(1484),
    [anon_sym_thread_local] = ACTIONS(1484),
    [anon_sym___thread] = ACTIONS(1484),
    [anon_sym_const] = ACTIONS(1484),
    [anon_sym_constexpr] = ACTIONS(1484),
    [anon_sym_volatile] = ACTIONS(1484),
    [anon_sym_restrict] = ACTIONS(1484),
    [anon_sym___restrict__] = ACTIONS(1484),
    [anon_sym__Atomic] = ACTIONS(1484),
    [anon_sym__Noreturn] = ACTIONS(1484),
    [anon_sym_noreturn] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(1484),
    [anon_sym_enum] = ACTIONS(1484),
    [anon_sym_struct] = ACTIONS(1484),
    [anon_sym_union] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_switch] = ACTIONS(1484),
    [anon_sym_case] = ACTIONS(1484),
    [anon_sym_default] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_do] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_return] = ACTIONS(1484),
    [anon_sym_break] = ACTIONS(1484),
    [anon_sym_continue] = ACTIONS(1484),
    [anon_sym_goto] = ACTIONS(1484),
    [anon_sym___try] = ACTIONS(1484),
    [anon_sym___leave] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [anon_sym_sizeof] = ACTIONS(1484),
    [anon_sym___alignof__] = ACTIONS(1484),
    [anon_sym___alignof] = ACTIONS(1484),
    [anon_sym__alignof] = ACTIONS(1484),
    [anon_sym_alignof] = ACTIONS(1484),
    [anon_sym__Alignof] = ACTIONS(1484),
    [anon_sym_offsetof] = ACTIONS(1484),
    [anon_sym__Generic] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1484),
    [anon_sym___asm__] = ACTIONS(1484),
    [sym_number_literal] = ACTIONS(1486),
    [anon_sym_L_SQUOTE] = ACTIONS(1486),
    [anon_sym_u_SQUOTE] = ACTIONS(1486),
    [anon_sym_U_SQUOTE] = ACTIONS(1486),
    [anon_sym_u8_SQUOTE] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_L_DQUOTE] = ACTIONS(1486),
    [anon_sym_u_DQUOTE] = ACTIONS(1486),
    [anon_sym_U_DQUOTE] = ACTIONS(1486),
    [anon_sym_u8_DQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [anon_sym_NULL] = ACTIONS(1484),
    [anon_sym_nullptr] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token2] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_goto] = ACTIONS(1496),
    [anon_sym___try] = ACTIONS(1496),
    [anon_sym___leave] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_sizeof] = ACTIONS(1496),
    [anon_sym___alignof__] = ACTIONS(1496),
    [anon_sym___alignof] = ACTIONS(1496),
    [anon_sym__alignof] = ACTIONS(1496),
    [anon_sym_alignof] = ACTIONS(1496),
    [anon_sym__Alignof] = ACTIONS(1496),
    [anon_sym_offsetof] = ACTIONS(1496),
    [anon_sym__Generic] = ACTIONS(1496),
    [anon_sym_asm] = ACTIONS(1496),
    [anon_sym___asm__] = ACTIONS(1496),
    [sym_number_literal] = ACTIONS(1498),
    [anon_sym_L_SQUOTE] = ACTIONS(1498),
    [anon_sym_u_SQUOTE] = ACTIONS(1498),
    [anon_sym_U_SQUOTE] = ACTIONS(1498),
    [anon_sym_u8_SQUOTE] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_L_DQUOTE] = ACTIONS(1498),
    [anon_sym_u_DQUOTE] = ACTIONS(1498),
    [anon_sym_U_DQUOTE] = ACTIONS(1498),
    [anon_sym_u8_DQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [anon_sym_NULL] = ACTIONS(1496),
    [anon_sym_nullptr] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token2] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym___extension__] = ACTIONS(1402),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym___inline] = ACTIONS(1402),
    [anon_sym___inline__] = ACTIONS(1402),
    [anon_sym___forceinline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym___thread] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym___try] = ACTIONS(1402),
    [anon_sym___leave] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym___alignof__] = ACTIONS(1402),
    [anon_sym___alignof] = ACTIONS(1402),
    [anon_sym__alignof] = ACTIONS(1402),
    [anon_sym_alignof] = ACTIONS(1402),
    [anon_sym__Alignof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_identifier] = ACTIONS(1460),
    [aux_sym_preproc_include_token1] = ACTIONS(1460),
    [aux_sym_preproc_def_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1460),
    [sym_preproc_directive] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym___extension__] = ACTIONS(1460),
    [anon_sym_typedef] = ACTIONS(1460),
    [anon_sym_extern] = ACTIONS(1460),
    [anon_sym___attribute__] = ACTIONS(1460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1462),
    [anon_sym___declspec] = ACTIONS(1460),
    [anon_sym___cdecl] = ACTIONS(1460),
    [anon_sym___clrcall] = ACTIONS(1460),
    [anon_sym___stdcall] = ACTIONS(1460),
    [anon_sym___fastcall] = ACTIONS(1460),
    [anon_sym___thiscall] = ACTIONS(1460),
    [anon_sym___vectorcall] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [anon_sym_signed] = ACTIONS(1460),
    [anon_sym_unsigned] = ACTIONS(1460),
    [anon_sym_long] = ACTIONS(1460),
    [anon_sym_short] = ACTIONS(1460),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_auto] = ACTIONS(1460),
    [anon_sym_register] = ACTIONS(1460),
    [anon_sym_inline] = ACTIONS(1460),
    [anon_sym___inline] = ACTIONS(1460),
    [anon_sym___inline__] = ACTIONS(1460),
    [anon_sym___forceinline] = ACTIONS(1460),
    [anon_sym_thread_local] = ACTIONS(1460),
    [anon_sym___thread] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_constexpr] = ACTIONS(1460),
    [anon_sym_volatile] = ACTIONS(1460),
    [anon_sym_restrict] = ACTIONS(1460),
    [anon_sym___restrict__] = ACTIONS(1460),
    [anon_sym__Atomic] = ACTIONS(1460),
    [anon_sym__Noreturn] = ACTIONS(1460),
    [anon_sym_noreturn] = ACTIONS(1460),
    [sym_primitive_type] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_struct] = ACTIONS(1460),
    [anon_sym_union] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_goto] = ACTIONS(1460),
    [anon_sym___try] = ACTIONS(1460),
    [anon_sym___leave] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_sizeof] = ACTIONS(1460),
    [anon_sym___alignof__] = ACTIONS(1460),
    [anon_sym___alignof] = ACTIONS(1460),
    [anon_sym__alignof] = ACTIONS(1460),
    [anon_sym_alignof] = ACTIONS(1460),
    [anon_sym__Alignof] = ACTIONS(1460),
    [anon_sym_offsetof] = ACTIONS(1460),
    [anon_sym__Generic] = ACTIONS(1460),
    [anon_sym_asm] = ACTIONS(1460),
    [anon_sym___asm__] = ACTIONS(1460),
    [sym_number_literal] = ACTIONS(1462),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1462),
    [anon_sym_u_DQUOTE] = ACTIONS(1462),
    [anon_sym_U_DQUOTE] = ACTIONS(1462),
    [anon_sym_u8_DQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [anon_sym_NULL] = ACTIONS(1460),
    [anon_sym_nullptr] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_identifier] = ACTIONS(1436),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token2] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1436),
    [sym_preproc_directive] = ACTIONS(1436),
    [anon_sym_LPAREN2] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [anon_sym___extension__] = ACTIONS(1436),
    [anon_sym_typedef] = ACTIONS(1436),
    [anon_sym_extern] = ACTIONS(1436),
    [anon_sym___attribute__] = ACTIONS(1436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1438),
    [anon_sym___declspec] = ACTIONS(1436),
    [anon_sym___cdecl] = ACTIONS(1436),
    [anon_sym___clrcall] = ACTIONS(1436),
    [anon_sym___stdcall] = ACTIONS(1436),
    [anon_sym___fastcall] = ACTIONS(1436),
    [anon_sym___thiscall] = ACTIONS(1436),
    [anon_sym___vectorcall] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_signed] = ACTIONS(1436),
    [anon_sym_unsigned] = ACTIONS(1436),
    [anon_sym_long] = ACTIONS(1436),
    [anon_sym_short] = ACTIONS(1436),
    [anon_sym_static] = ACTIONS(1436),
    [anon_sym_auto] = ACTIONS(1436),
    [anon_sym_register] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(1436),
    [anon_sym___inline] = ACTIONS(1436),
    [anon_sym___inline__] = ACTIONS(1436),
    [anon_sym___forceinline] = ACTIONS(1436),
    [anon_sym_thread_local] = ACTIONS(1436),
    [anon_sym___thread] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_constexpr] = ACTIONS(1436),
    [anon_sym_volatile] = ACTIONS(1436),
    [anon_sym_restrict] = ACTIONS(1436),
    [anon_sym___restrict__] = ACTIONS(1436),
    [anon_sym__Atomic] = ACTIONS(1436),
    [anon_sym__Noreturn] = ACTIONS(1436),
    [anon_sym_noreturn] = ACTIONS(1436),
    [sym_primitive_type] = ACTIONS(1436),
    [anon_sym_enum] = ACTIONS(1436),
    [anon_sym_struct] = ACTIONS(1436),
    [anon_sym_union] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_goto] = ACTIONS(1436),
    [anon_sym___try] = ACTIONS(1436),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_sizeof] = ACTIONS(1436),
    [anon_sym___alignof__] = ACTIONS(1436),
    [anon_sym___alignof] = ACTIONS(1436),
    [anon_sym__alignof] = ACTIONS(1436),
    [anon_sym_alignof] = ACTIONS(1436),
    [anon_sym__Alignof] = ACTIONS(1436),
    [anon_sym_offsetof] = ACTIONS(1436),
    [anon_sym__Generic] = ACTIONS(1436),
    [anon_sym_asm] = ACTIONS(1436),
    [anon_sym___asm__] = ACTIONS(1436),
    [sym_number_literal] = ACTIONS(1438),
    [anon_sym_L_SQUOTE] = ACTIONS(1438),
    [anon_sym_u_SQUOTE] = ACTIONS(1438),
    [anon_sym_U_SQUOTE] = ACTIONS(1438),
    [anon_sym_u8_SQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_L_DQUOTE] = ACTIONS(1438),
    [anon_sym_u_DQUOTE] = ACTIONS(1438),
    [anon_sym_U_DQUOTE] = ACTIONS(1438),
    [anon_sym_u8_DQUOTE] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [anon_sym_NULL] = ACTIONS(1436),
    [anon_sym_nullptr] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_identifier] = ACTIONS(1444),
    [aux_sym_preproc_include_token1] = ACTIONS(1444),
    [aux_sym_preproc_def_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token1] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1444),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(1444),
    [anon_sym_extern] = ACTIONS(1444),
    [anon_sym___attribute__] = ACTIONS(1444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1446),
    [anon_sym___declspec] = ACTIONS(1444),
    [anon_sym___cdecl] = ACTIONS(1444),
    [anon_sym___clrcall] = ACTIONS(1444),
    [anon_sym___stdcall] = ACTIONS(1444),
    [anon_sym___fastcall] = ACTIONS(1444),
    [anon_sym___thiscall] = ACTIONS(1444),
    [anon_sym___vectorcall] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_RBRACE] = ACTIONS(1446),
    [anon_sym_signed] = ACTIONS(1444),
    [anon_sym_unsigned] = ACTIONS(1444),
    [anon_sym_long] = ACTIONS(1444),
    [anon_sym_short] = ACTIONS(1444),
    [anon_sym_static] = ACTIONS(1444),
    [anon_sym_auto] = ACTIONS(1444),
    [anon_sym_register] = ACTIONS(1444),
    [anon_sym_inline] = ACTIONS(1444),
    [anon_sym___inline] = ACTIONS(1444),
    [anon_sym___inline__] = ACTIONS(1444),
    [anon_sym___forceinline] = ACTIONS(1444),
    [anon_sym_thread_local] = ACTIONS(1444),
    [anon_sym___thread] = ACTIONS(1444),
    [anon_sym_const] = ACTIONS(1444),
    [anon_sym_constexpr] = ACTIONS(1444),
    [anon_sym_volatile] = ACTIONS(1444),
    [anon_sym_restrict] = ACTIONS(1444),
    [anon_sym___restrict__] = ACTIONS(1444),
    [anon_sym__Atomic] = ACTIONS(1444),
    [anon_sym__Noreturn] = ACTIONS(1444),
    [anon_sym_noreturn] = ACTIONS(1444),
    [sym_primitive_type] = ACTIONS(1444),
    [anon_sym_enum] = ACTIONS(1444),
    [anon_sym_struct] = ACTIONS(1444),
    [anon_sym_union] = ACTIONS(1444),
    [anon_sym_if] = ACTIONS(1444),
    [anon_sym_switch] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(1444),
    [anon_sym_default] = ACTIONS(1444),
    [anon_sym_while] = ACTIONS(1444),
    [anon_sym_do] = ACTIONS(1444),
    [anon_sym_for] = ACTIONS(1444),
    [anon_sym_return] = ACTIONS(1444),
    [anon_sym_break] = ACTIONS(1444),
    [anon_sym_continue] = ACTIONS(1444),
    [anon_sym_goto] = ACTIONS(1444),
    [anon_sym___try] = ACTIONS(1444),
    [anon_sym___leave] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_sizeof] = ACTIONS(1444),
    [anon_sym___alignof__] = ACTIONS(1444),
    [anon_sym___alignof] = ACTIONS(1444),
    [anon_sym__alignof] = ACTIONS(1444),
    [anon_sym_alignof] = ACTIONS(1444),
    [anon_sym__Alignof] = ACTIONS(1444),
    [anon_sym_offsetof] = ACTIONS(1444),
    [anon_sym__Generic] = ACTIONS(1444),
    [anon_sym_asm] = ACTIONS(1444),
    [anon_sym___asm__] = ACTIONS(1444),
    [sym_number_literal] = ACTIONS(1446),
    [anon_sym_L_SQUOTE] = ACTIONS(1446),
    [anon_sym_u_SQUOTE] = ACTIONS(1446),
    [anon_sym_U_SQUOTE] = ACTIONS(1446),
    [anon_sym_u8_SQUOTE] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_L_DQUOTE] = ACTIONS(1446),
    [anon_sym_u_DQUOTE] = ACTIONS(1446),
    [anon_sym_U_DQUOTE] = ACTIONS(1446),
    [anon_sym_u8_DQUOTE] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [anon_sym_NULL] = ACTIONS(1444),
    [anon_sym_nullptr] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_identifier] = ACTIONS(1476),
    [aux_sym_preproc_include_token1] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token2] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym___extension__] = ACTIONS(1476),
    [anon_sym_typedef] = ACTIONS(1476),
    [anon_sym_extern] = ACTIONS(1476),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1476),
    [anon_sym___cdecl] = ACTIONS(1476),
    [anon_sym___clrcall] = ACTIONS(1476),
    [anon_sym___stdcall] = ACTIONS(1476),
    [anon_sym___fastcall] = ACTIONS(1476),
    [anon_sym___thiscall] = ACTIONS(1476),
    [anon_sym___vectorcall] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_signed] = ACTIONS(1476),
    [anon_sym_unsigned] = ACTIONS(1476),
    [anon_sym_long] = ACTIONS(1476),
    [anon_sym_short] = ACTIONS(1476),
    [anon_sym_static] = ACTIONS(1476),
    [anon_sym_auto] = ACTIONS(1476),
    [anon_sym_register] = ACTIONS(1476),
    [anon_sym_inline] = ACTIONS(1476),
    [anon_sym___inline] = ACTIONS(1476),
    [anon_sym___inline__] = ACTIONS(1476),
    [anon_sym___forceinline] = ACTIONS(1476),
    [anon_sym_thread_local] = ACTIONS(1476),
    [anon_sym___thread] = ACTIONS(1476),
    [anon_sym_const] = ACTIONS(1476),
    [anon_sym_constexpr] = ACTIONS(1476),
    [anon_sym_volatile] = ACTIONS(1476),
    [anon_sym_restrict] = ACTIONS(1476),
    [anon_sym___restrict__] = ACTIONS(1476),
    [anon_sym__Atomic] = ACTIONS(1476),
    [anon_sym__Noreturn] = ACTIONS(1476),
    [anon_sym_noreturn] = ACTIONS(1476),
    [sym_primitive_type] = ACTIONS(1476),
    [anon_sym_enum] = ACTIONS(1476),
    [anon_sym_struct] = ACTIONS(1476),
    [anon_sym_union] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_switch] = ACTIONS(1476),
    [anon_sym_case] = ACTIONS(1476),
    [anon_sym_default] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_do] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1476),
    [anon_sym_break] = ACTIONS(1476),
    [anon_sym_continue] = ACTIONS(1476),
    [anon_sym_goto] = ACTIONS(1476),
    [anon_sym___try] = ACTIONS(1476),
    [anon_sym___leave] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [anon_sym_sizeof] = ACTIONS(1476),
    [anon_sym___alignof__] = ACTIONS(1476),
    [anon_sym___alignof] = ACTIONS(1476),
    [anon_sym__alignof] = ACTIONS(1476),
    [anon_sym_alignof] = ACTIONS(1476),
    [anon_sym__Alignof] = ACTIONS(1476),
    [anon_sym_offsetof] = ACTIONS(1476),
    [anon_sym__Generic] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1476),
    [anon_sym___asm__] = ACTIONS(1476),
    [sym_number_literal] = ACTIONS(1478),
    [anon_sym_L_SQUOTE] = ACTIONS(1478),
    [anon_sym_u_SQUOTE] = ACTIONS(1478),
    [anon_sym_U_SQUOTE] = ACTIONS(1478),
    [anon_sym_u8_SQUOTE] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_L_DQUOTE] = ACTIONS(1478),
    [anon_sym_u_DQUOTE] = ACTIONS(1478),
    [anon_sym_U_DQUOTE] = ACTIONS(1478),
    [anon_sym_u8_DQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [anon_sym_NULL] = ACTIONS(1476),
    [anon_sym_nullptr] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_identifier] = ACTIONS(1440),
    [aux_sym_preproc_include_token1] = ACTIONS(1440),
    [aux_sym_preproc_def_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1440),
    [sym_preproc_directive] = ACTIONS(1440),
    [anon_sym_LPAREN2] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(1440),
    [anon_sym_extern] = ACTIONS(1440),
    [anon_sym___attribute__] = ACTIONS(1440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1442),
    [anon_sym___declspec] = ACTIONS(1440),
    [anon_sym___cdecl] = ACTIONS(1440),
    [anon_sym___clrcall] = ACTIONS(1440),
    [anon_sym___stdcall] = ACTIONS(1440),
    [anon_sym___fastcall] = ACTIONS(1440),
    [anon_sym___thiscall] = ACTIONS(1440),
    [anon_sym___vectorcall] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [anon_sym_signed] = ACTIONS(1440),
    [anon_sym_unsigned] = ACTIONS(1440),
    [anon_sym_long] = ACTIONS(1440),
    [anon_sym_short] = ACTIONS(1440),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_auto] = ACTIONS(1440),
    [anon_sym_register] = ACTIONS(1440),
    [anon_sym_inline] = ACTIONS(1440),
    [anon_sym___inline] = ACTIONS(1440),
    [anon_sym___inline__] = ACTIONS(1440),
    [anon_sym___forceinline] = ACTIONS(1440),
    [anon_sym_thread_local] = ACTIONS(1440),
    [anon_sym___thread] = ACTIONS(1440),
    [anon_sym_const] = ACTIONS(1440),
    [anon_sym_constexpr] = ACTIONS(1440),
    [anon_sym_volatile] = ACTIONS(1440),
    [anon_sym_restrict] = ACTIONS(1440),
    [anon_sym___restrict__] = ACTIONS(1440),
    [anon_sym__Atomic] = ACTIONS(1440),
    [anon_sym__Noreturn] = ACTIONS(1440),
    [anon_sym_noreturn] = ACTIONS(1440),
    [sym_primitive_type] = ACTIONS(1440),
    [anon_sym_enum] = ACTIONS(1440),
    [anon_sym_struct] = ACTIONS(1440),
    [anon_sym_union] = ACTIONS(1440),
    [anon_sym_if] = ACTIONS(1440),
    [anon_sym_switch] = ACTIONS(1440),
    [anon_sym_case] = ACTIONS(1440),
    [anon_sym_default] = ACTIONS(1440),
    [anon_sym_while] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1440),
    [anon_sym_for] = ACTIONS(1440),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_break] = ACTIONS(1440),
    [anon_sym_continue] = ACTIONS(1440),
    [anon_sym_goto] = ACTIONS(1440),
    [anon_sym___try] = ACTIONS(1440),
    [anon_sym___leave] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [anon_sym_sizeof] = ACTIONS(1440),
    [anon_sym___alignof__] = ACTIONS(1440),
    [anon_sym___alignof] = ACTIONS(1440),
    [anon_sym__alignof] = ACTIONS(1440),
    [anon_sym_alignof] = ACTIONS(1440),
    [anon_sym__Alignof] = ACTIONS(1440),
    [anon_sym_offsetof] = ACTIONS(1440),
    [anon_sym__Generic] = ACTIONS(1440),
    [anon_sym_asm] = ACTIONS(1440),
    [anon_sym___asm__] = ACTIONS(1440),
    [sym_number_literal] = ACTIONS(1442),
    [anon_sym_L_SQUOTE] = ACTIONS(1442),
    [anon_sym_u_SQUOTE] = ACTIONS(1442),
    [anon_sym_U_SQUOTE] = ACTIONS(1442),
    [anon_sym_u8_SQUOTE] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_L_DQUOTE] = ACTIONS(1442),
    [anon_sym_u_DQUOTE] = ACTIONS(1442),
    [anon_sym_U_DQUOTE] = ACTIONS(1442),
    [anon_sym_u8_DQUOTE] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [sym_true] = ACTIONS(1440),
    [sym_false] = ACTIONS(1440),
    [anon_sym_NULL] = ACTIONS(1440),
    [anon_sym_nullptr] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_identifier] = ACTIONS(1468),
    [aux_sym_preproc_include_token1] = ACTIONS(1468),
    [aux_sym_preproc_def_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token2] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1468),
    [sym_preproc_directive] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [anon_sym___extension__] = ACTIONS(1468),
    [anon_sym_typedef] = ACTIONS(1468),
    [anon_sym_extern] = ACTIONS(1468),
    [anon_sym___attribute__] = ACTIONS(1468),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1470),
    [anon_sym___declspec] = ACTIONS(1468),
    [anon_sym___cdecl] = ACTIONS(1468),
    [anon_sym___clrcall] = ACTIONS(1468),
    [anon_sym___stdcall] = ACTIONS(1468),
    [anon_sym___fastcall] = ACTIONS(1468),
    [anon_sym___thiscall] = ACTIONS(1468),
    [anon_sym___vectorcall] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_signed] = ACTIONS(1468),
    [anon_sym_unsigned] = ACTIONS(1468),
    [anon_sym_long] = ACTIONS(1468),
    [anon_sym_short] = ACTIONS(1468),
    [anon_sym_static] = ACTIONS(1468),
    [anon_sym_auto] = ACTIONS(1468),
    [anon_sym_register] = ACTIONS(1468),
    [anon_sym_inline] = ACTIONS(1468),
    [anon_sym___inline] = ACTIONS(1468),
    [anon_sym___inline__] = ACTIONS(1468),
    [anon_sym___forceinline] = ACTIONS(1468),
    [anon_sym_thread_local] = ACTIONS(1468),
    [anon_sym___thread] = ACTIONS(1468),
    [anon_sym_const] = ACTIONS(1468),
    [anon_sym_constexpr] = ACTIONS(1468),
    [anon_sym_volatile] = ACTIONS(1468),
    [anon_sym_restrict] = ACTIONS(1468),
    [anon_sym___restrict__] = ACTIONS(1468),
    [anon_sym__Atomic] = ACTIONS(1468),
    [anon_sym__Noreturn] = ACTIONS(1468),
    [anon_sym_noreturn] = ACTIONS(1468),
    [sym_primitive_type] = ACTIONS(1468),
    [anon_sym_enum] = ACTIONS(1468),
    [anon_sym_struct] = ACTIONS(1468),
    [anon_sym_union] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_switch] = ACTIONS(1468),
    [anon_sym_case] = ACTIONS(1468),
    [anon_sym_default] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_do] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_return] = ACTIONS(1468),
    [anon_sym_break] = ACTIONS(1468),
    [anon_sym_continue] = ACTIONS(1468),
    [anon_sym_goto] = ACTIONS(1468),
    [anon_sym___try] = ACTIONS(1468),
    [anon_sym___leave] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [anon_sym_sizeof] = ACTIONS(1468),
    [anon_sym___alignof__] = ACTIONS(1468),
    [anon_sym___alignof] = ACTIONS(1468),
    [anon_sym__alignof] = ACTIONS(1468),
    [anon_sym_alignof] = ACTIONS(1468),
    [anon_sym__Alignof] = ACTIONS(1468),
    [anon_sym_offsetof] = ACTIONS(1468),
    [anon_sym__Generic] = ACTIONS(1468),
    [anon_sym_asm] = ACTIONS(1468),
    [anon_sym___asm__] = ACTIONS(1468),
    [sym_number_literal] = ACTIONS(1470),
    [anon_sym_L_SQUOTE] = ACTIONS(1470),
    [anon_sym_u_SQUOTE] = ACTIONS(1470),
    [anon_sym_U_SQUOTE] = ACTIONS(1470),
    [anon_sym_u8_SQUOTE] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_L_DQUOTE] = ACTIONS(1470),
    [anon_sym_u_DQUOTE] = ACTIONS(1470),
    [anon_sym_U_DQUOTE] = ACTIONS(1470),
    [anon_sym_u8_DQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [anon_sym_NULL] = ACTIONS(1468),
    [anon_sym_nullptr] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1412),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token2] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1412),
    [sym_preproc_directive] = ACTIONS(1412),
    [anon_sym_LPAREN2] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_typedef] = ACTIONS(1412),
    [anon_sym_extern] = ACTIONS(1412),
    [anon_sym___attribute__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym___declspec] = ACTIONS(1412),
    [anon_sym___cdecl] = ACTIONS(1412),
    [anon_sym___clrcall] = ACTIONS(1412),
    [anon_sym___stdcall] = ACTIONS(1412),
    [anon_sym___fastcall] = ACTIONS(1412),
    [anon_sym___thiscall] = ACTIONS(1412),
    [anon_sym___vectorcall] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_signed] = ACTIONS(1412),
    [anon_sym_unsigned] = ACTIONS(1412),
    [anon_sym_long] = ACTIONS(1412),
    [anon_sym_short] = ACTIONS(1412),
    [anon_sym_static] = ACTIONS(1412),
    [anon_sym_auto] = ACTIONS(1412),
    [anon_sym_register] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1412),
    [anon_sym___inline] = ACTIONS(1412),
    [anon_sym___inline__] = ACTIONS(1412),
    [anon_sym___forceinline] = ACTIONS(1412),
    [anon_sym_thread_local] = ACTIONS(1412),
    [anon_sym___thread] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1412),
    [anon_sym_constexpr] = ACTIONS(1412),
    [anon_sym_volatile] = ACTIONS(1412),
    [anon_sym_restrict] = ACTIONS(1412),
    [anon_sym___restrict__] = ACTIONS(1412),
    [anon_sym__Atomic] = ACTIONS(1412),
    [anon_sym__Noreturn] = ACTIONS(1412),
    [anon_sym_noreturn] = ACTIONS(1412),
    [sym_primitive_type] = ACTIONS(1412),
    [anon_sym_enum] = ACTIONS(1412),
    [anon_sym_struct] = ACTIONS(1412),
    [anon_sym_union] = ACTIONS(1412),
    [anon_sym_if] = ACTIONS(1412),
    [anon_sym_switch] = ACTIONS(1412),
    [anon_sym_case] = ACTIONS(1412),
    [anon_sym_default] = ACTIONS(1412),
    [anon_sym_while] = ACTIONS(1412),
    [anon_sym_do] = ACTIONS(1412),
    [anon_sym_for] = ACTIONS(1412),
    [anon_sym_return] = ACTIONS(1412),
    [anon_sym_break] = ACTIONS(1412),
    [anon_sym_continue] = ACTIONS(1412),
    [anon_sym_goto] = ACTIONS(1412),
    [anon_sym___try] = ACTIONS(1412),
    [anon_sym___leave] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_sizeof] = ACTIONS(1412),
    [anon_sym___alignof__] = ACTIONS(1412),
    [anon_sym___alignof] = ACTIONS(1412),
    [anon_sym__alignof] = ACTIONS(1412),
    [anon_sym_alignof] = ACTIONS(1412),
    [anon_sym__Alignof] = ACTIONS(1412),
    [anon_sym_offsetof] = ACTIONS(1412),
    [anon_sym__Generic] = ACTIONS(1412),
    [anon_sym_asm] = ACTIONS(1412),
    [anon_sym___asm__] = ACTIONS(1412),
    [sym_number_literal] = ACTIONS(1414),
    [anon_sym_L_SQUOTE] = ACTIONS(1414),
    [anon_sym_u_SQUOTE] = ACTIONS(1414),
    [anon_sym_U_SQUOTE] = ACTIONS(1414),
    [anon_sym_u8_SQUOTE] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1414),
    [anon_sym_L_DQUOTE] = ACTIONS(1414),
    [anon_sym_u_DQUOTE] = ACTIONS(1414),
    [anon_sym_U_DQUOTE] = ACTIONS(1414),
    [anon_sym_u8_DQUOTE] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1414),
    [sym_true] = ACTIONS(1412),
    [sym_false] = ACTIONS(1412),
    [anon_sym_NULL] = ACTIONS(1412),
    [anon_sym_nullptr] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_identifier] = ACTIONS(1440),
    [aux_sym_preproc_include_token1] = ACTIONS(1440),
    [aux_sym_preproc_def_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1440),
    [sym_preproc_directive] = ACTIONS(1440),
    [anon_sym_LPAREN2] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(1440),
    [anon_sym_extern] = ACTIONS(1440),
    [anon_sym___attribute__] = ACTIONS(1440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1442),
    [anon_sym___declspec] = ACTIONS(1440),
    [anon_sym___cdecl] = ACTIONS(1440),
    [anon_sym___clrcall] = ACTIONS(1440),
    [anon_sym___stdcall] = ACTIONS(1440),
    [anon_sym___fastcall] = ACTIONS(1440),
    [anon_sym___thiscall] = ACTIONS(1440),
    [anon_sym___vectorcall] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_signed] = ACTIONS(1440),
    [anon_sym_unsigned] = ACTIONS(1440),
    [anon_sym_long] = ACTIONS(1440),
    [anon_sym_short] = ACTIONS(1440),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_auto] = ACTIONS(1440),
    [anon_sym_register] = ACTIONS(1440),
    [anon_sym_inline] = ACTIONS(1440),
    [anon_sym___inline] = ACTIONS(1440),
    [anon_sym___inline__] = ACTIONS(1440),
    [anon_sym___forceinline] = ACTIONS(1440),
    [anon_sym_thread_local] = ACTIONS(1440),
    [anon_sym___thread] = ACTIONS(1440),
    [anon_sym_const] = ACTIONS(1440),
    [anon_sym_constexpr] = ACTIONS(1440),
    [anon_sym_volatile] = ACTIONS(1440),
    [anon_sym_restrict] = ACTIONS(1440),
    [anon_sym___restrict__] = ACTIONS(1440),
    [anon_sym__Atomic] = ACTIONS(1440),
    [anon_sym__Noreturn] = ACTIONS(1440),
    [anon_sym_noreturn] = ACTIONS(1440),
    [sym_primitive_type] = ACTIONS(1440),
    [anon_sym_enum] = ACTIONS(1440),
    [anon_sym_struct] = ACTIONS(1440),
    [anon_sym_union] = ACTIONS(1440),
    [anon_sym_if] = ACTIONS(1440),
    [anon_sym_switch] = ACTIONS(1440),
    [anon_sym_case] = ACTIONS(1440),
    [anon_sym_default] = ACTIONS(1440),
    [anon_sym_while] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1440),
    [anon_sym_for] = ACTIONS(1440),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_break] = ACTIONS(1440),
    [anon_sym_continue] = ACTIONS(1440),
    [anon_sym_goto] = ACTIONS(1440),
    [anon_sym___try] = ACTIONS(1440),
    [anon_sym___leave] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [anon_sym_sizeof] = ACTIONS(1440),
    [anon_sym___alignof__] = ACTIONS(1440),
    [anon_sym___alignof] = ACTIONS(1440),
    [anon_sym__alignof] = ACTIONS(1440),
    [anon_sym_alignof] = ACTIONS(1440),
    [anon_sym__Alignof] = ACTIONS(1440),
    [anon_sym_offsetof] = ACTIONS(1440),
    [anon_sym__Generic] = ACTIONS(1440),
    [anon_sym_asm] = ACTIONS(1440),
    [anon_sym___asm__] = ACTIONS(1440),
    [sym_number_literal] = ACTIONS(1442),
    [anon_sym_L_SQUOTE] = ACTIONS(1442),
    [anon_sym_u_SQUOTE] = ACTIONS(1442),
    [anon_sym_U_SQUOTE] = ACTIONS(1442),
    [anon_sym_u8_SQUOTE] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_L_DQUOTE] = ACTIONS(1442),
    [anon_sym_u_DQUOTE] = ACTIONS(1442),
    [anon_sym_U_DQUOTE] = ACTIONS(1442),
    [anon_sym_u8_DQUOTE] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [sym_true] = ACTIONS(1440),
    [sym_false] = ACTIONS(1440),
    [anon_sym_NULL] = ACTIONS(1440),
    [anon_sym_nullptr] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_identifier] = ACTIONS(1468),
    [aux_sym_preproc_include_token1] = ACTIONS(1468),
    [aux_sym_preproc_def_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1468),
    [sym_preproc_directive] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [anon_sym___extension__] = ACTIONS(1468),
    [anon_sym_typedef] = ACTIONS(1468),
    [anon_sym_extern] = ACTIONS(1468),
    [anon_sym___attribute__] = ACTIONS(1468),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1470),
    [anon_sym___declspec] = ACTIONS(1468),
    [anon_sym___cdecl] = ACTIONS(1468),
    [anon_sym___clrcall] = ACTIONS(1468),
    [anon_sym___stdcall] = ACTIONS(1468),
    [anon_sym___fastcall] = ACTIONS(1468),
    [anon_sym___thiscall] = ACTIONS(1468),
    [anon_sym___vectorcall] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_RBRACE] = ACTIONS(1470),
    [anon_sym_signed] = ACTIONS(1468),
    [anon_sym_unsigned] = ACTIONS(1468),
    [anon_sym_long] = ACTIONS(1468),
    [anon_sym_short] = ACTIONS(1468),
    [anon_sym_static] = ACTIONS(1468),
    [anon_sym_auto] = ACTIONS(1468),
    [anon_sym_register] = ACTIONS(1468),
    [anon_sym_inline] = ACTIONS(1468),
    [anon_sym___inline] = ACTIONS(1468),
    [anon_sym___inline__] = ACTIONS(1468),
    [anon_sym___forceinline] = ACTIONS(1468),
    [anon_sym_thread_local] = ACTIONS(1468),
    [anon_sym___thread] = ACTIONS(1468),
    [anon_sym_const] = ACTIONS(1468),
    [anon_sym_constexpr] = ACTIONS(1468),
    [anon_sym_volatile] = ACTIONS(1468),
    [anon_sym_restrict] = ACTIONS(1468),
    [anon_sym___restrict__] = ACTIONS(1468),
    [anon_sym__Atomic] = ACTIONS(1468),
    [anon_sym__Noreturn] = ACTIONS(1468),
    [anon_sym_noreturn] = ACTIONS(1468),
    [sym_primitive_type] = ACTIONS(1468),
    [anon_sym_enum] = ACTIONS(1468),
    [anon_sym_struct] = ACTIONS(1468),
    [anon_sym_union] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_switch] = ACTIONS(1468),
    [anon_sym_case] = ACTIONS(1468),
    [anon_sym_default] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_do] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_return] = ACTIONS(1468),
    [anon_sym_break] = ACTIONS(1468),
    [anon_sym_continue] = ACTIONS(1468),
    [anon_sym_goto] = ACTIONS(1468),
    [anon_sym___try] = ACTIONS(1468),
    [anon_sym___leave] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [anon_sym_sizeof] = ACTIONS(1468),
    [anon_sym___alignof__] = ACTIONS(1468),
    [anon_sym___alignof] = ACTIONS(1468),
    [anon_sym__alignof] = ACTIONS(1468),
    [anon_sym_alignof] = ACTIONS(1468),
    [anon_sym__Alignof] = ACTIONS(1468),
    [anon_sym_offsetof] = ACTIONS(1468),
    [anon_sym__Generic] = ACTIONS(1468),
    [anon_sym_asm] = ACTIONS(1468),
    [anon_sym___asm__] = ACTIONS(1468),
    [sym_number_literal] = ACTIONS(1470),
    [anon_sym_L_SQUOTE] = ACTIONS(1470),
    [anon_sym_u_SQUOTE] = ACTIONS(1470),
    [anon_sym_U_SQUOTE] = ACTIONS(1470),
    [anon_sym_u8_SQUOTE] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_L_DQUOTE] = ACTIONS(1470),
    [anon_sym_u_DQUOTE] = ACTIONS(1470),
    [anon_sym_U_DQUOTE] = ACTIONS(1470),
    [anon_sym_u8_DQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [anon_sym_NULL] = ACTIONS(1468),
    [anon_sym_nullptr] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_attribute_declaration] = STATE(423),
    [sym_compound_statement] = STATE(282),
    [sym_attributed_statement] = STATE(282),
    [sym_labeled_statement] = STATE(282),
    [sym_expression_statement] = STATE(282),
    [sym_if_statement] = STATE(282),
    [sym_switch_statement] = STATE(282),
    [sym_case_statement] = STATE(282),
    [sym_while_statement] = STATE(282),
    [sym_do_statement] = STATE(282),
    [sym_for_statement] = STATE(282),
    [sym_return_statement] = STATE(282),
    [sym_break_statement] = STATE(282),
    [sym_continue_statement] = STATE(282),
    [sym_goto_statement] = STATE(282),
    [sym_seh_try_statement] = STATE(282),
    [sym_seh_leave_statement] = STATE(282),
    [sym__expression] = STATE(1237),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2079),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1099),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1101),
    [anon_sym___leave] = ACTIONS(1103),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_attribute_declaration] = STATE(429),
    [sym_compound_statement] = STATE(239),
    [sym_attributed_statement] = STATE(239),
    [sym_labeled_statement] = STATE(239),
    [sym_expression_statement] = STATE(239),
    [sym_if_statement] = STATE(239),
    [sym_switch_statement] = STATE(239),
    [sym_case_statement] = STATE(239),
    [sym_while_statement] = STATE(239),
    [sym_do_statement] = STATE(239),
    [sym_for_statement] = STATE(239),
    [sym_return_statement] = STATE(239),
    [sym_break_statement] = STATE(239),
    [sym_continue_statement] = STATE(239),
    [sym_goto_statement] = STATE(239),
    [sym_seh_try_statement] = STATE(239),
    [sym_seh_leave_statement] = STATE(239),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [sym_identifier] = ACTIONS(1538),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_attribute_declaration] = STATE(437),
    [sym_compound_statement] = STATE(294),
    [sym_attributed_statement] = STATE(294),
    [sym_labeled_statement] = STATE(294),
    [sym_expression_statement] = STATE(294),
    [sym_if_statement] = STATE(294),
    [sym_switch_statement] = STATE(294),
    [sym_case_statement] = STATE(294),
    [sym_while_statement] = STATE(294),
    [sym_do_statement] = STATE(294),
    [sym_for_statement] = STATE(294),
    [sym_return_statement] = STATE(294),
    [sym_break_statement] = STATE(294),
    [sym_continue_statement] = STATE(294),
    [sym_goto_statement] = STATE(294),
    [sym_seh_try_statement] = STATE(294),
    [sym_seh_leave_statement] = STATE(294),
    [sym__expression] = STATE(1203),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2003),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(437),
    [sym_identifier] = ACTIONS(1540),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(721),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(731),
    [anon_sym_switch] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(735),
    [anon_sym_default] = ACTIONS(737),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(749),
    [anon_sym_goto] = ACTIONS(751),
    [anon_sym___try] = ACTIONS(753),
    [anon_sym___leave] = ACTIONS(755),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_attribute_declaration] = STATE(409),
    [sym_compound_statement] = STATE(161),
    [sym_attributed_statement] = STATE(161),
    [sym_labeled_statement] = STATE(161),
    [sym_expression_statement] = STATE(161),
    [sym_if_statement] = STATE(161),
    [sym_switch_statement] = STATE(161),
    [sym_case_statement] = STATE(161),
    [sym_while_statement] = STATE(161),
    [sym_do_statement] = STATE(161),
    [sym_for_statement] = STATE(161),
    [sym_return_statement] = STATE(161),
    [sym_break_statement] = STATE(161),
    [sym_continue_statement] = STATE(161),
    [sym_goto_statement] = STATE(161),
    [sym_seh_try_statement] = STATE(161),
    [sym_seh_leave_statement] = STATE(161),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(409),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_LPAREN2] = ACTIONS(1545),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1554),
    [anon_sym_AMP] = ACTIONS(1554),
    [anon_sym_SEMI] = ACTIONS(1557),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1560),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1566),
    [anon_sym_switch] = ACTIONS(1569),
    [anon_sym_case] = ACTIONS(1572),
    [anon_sym_default] = ACTIONS(1575),
    [anon_sym_while] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_return] = ACTIONS(1587),
    [anon_sym_break] = ACTIONS(1590),
    [anon_sym_continue] = ACTIONS(1593),
    [anon_sym_goto] = ACTIONS(1596),
    [anon_sym___try] = ACTIONS(1599),
    [anon_sym___leave] = ACTIONS(1602),
    [anon_sym_DASH_DASH] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_sizeof] = ACTIONS(1608),
    [anon_sym___alignof__] = ACTIONS(1611),
    [anon_sym___alignof] = ACTIONS(1611),
    [anon_sym__alignof] = ACTIONS(1611),
    [anon_sym_alignof] = ACTIONS(1611),
    [anon_sym__Alignof] = ACTIONS(1611),
    [anon_sym_offsetof] = ACTIONS(1614),
    [anon_sym__Generic] = ACTIONS(1617),
    [anon_sym_asm] = ACTIONS(1620),
    [anon_sym___asm__] = ACTIONS(1620),
    [sym_number_literal] = ACTIONS(1623),
    [anon_sym_L_SQUOTE] = ACTIONS(1626),
    [anon_sym_u_SQUOTE] = ACTIONS(1626),
    [anon_sym_U_SQUOTE] = ACTIONS(1626),
    [anon_sym_u8_SQUOTE] = ACTIONS(1626),
    [anon_sym_SQUOTE] = ACTIONS(1626),
    [anon_sym_L_DQUOTE] = ACTIONS(1629),
    [anon_sym_u_DQUOTE] = ACTIONS(1629),
    [anon_sym_U_DQUOTE] = ACTIONS(1629),
    [anon_sym_u8_DQUOTE] = ACTIONS(1629),
    [anon_sym_DQUOTE] = ACTIONS(1629),
    [sym_true] = ACTIONS(1632),
    [sym_false] = ACTIONS(1632),
    [anon_sym_NULL] = ACTIONS(1635),
    [anon_sym_nullptr] = ACTIONS(1635),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_attribute_declaration] = STATE(423),
    [sym_compound_statement] = STATE(306),
    [sym_attributed_statement] = STATE(306),
    [sym_labeled_statement] = STATE(306),
    [sym_expression_statement] = STATE(306),
    [sym_if_statement] = STATE(306),
    [sym_switch_statement] = STATE(306),
    [sym_case_statement] = STATE(306),
    [sym_while_statement] = STATE(306),
    [sym_do_statement] = STATE(306),
    [sym_for_statement] = STATE(306),
    [sym_return_statement] = STATE(306),
    [sym_break_statement] = STATE(306),
    [sym_continue_statement] = STATE(306),
    [sym_goto_statement] = STATE(306),
    [sym_seh_try_statement] = STATE(306),
    [sym_seh_leave_statement] = STATE(306),
    [sym__expression] = STATE(1237),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2079),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1099),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1101),
    [anon_sym___leave] = ACTIONS(1103),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_attribute_declaration] = STATE(425),
    [sym_compound_statement] = STATE(282),
    [sym_attributed_statement] = STATE(282),
    [sym_labeled_statement] = STATE(282),
    [sym_expression_statement] = STATE(282),
    [sym_if_statement] = STATE(282),
    [sym_switch_statement] = STATE(282),
    [sym_case_statement] = STATE(282),
    [sym_while_statement] = STATE(282),
    [sym_do_statement] = STATE(282),
    [sym_for_statement] = STATE(282),
    [sym_return_statement] = STATE(282),
    [sym_break_statement] = STATE(282),
    [sym_continue_statement] = STATE(282),
    [sym_goto_statement] = STATE(282),
    [sym_seh_try_statement] = STATE(282),
    [sym_seh_leave_statement] = STATE(282),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(425),
    [sym_identifier] = ACTIONS(1638),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1640),
    [anon_sym_default] = ACTIONS(1642),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_attribute_declaration] = STATE(448),
    [sym_compound_statement] = STATE(95),
    [sym_attributed_statement] = STATE(94),
    [sym_labeled_statement] = STATE(122),
    [sym_expression_statement] = STATE(103),
    [sym_if_statement] = STATE(104),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(106),
    [sym_while_statement] = STATE(110),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(123),
    [sym_return_statement] = STATE(128),
    [sym_break_statement] = STATE(129),
    [sym_continue_statement] = STATE(131),
    [sym_goto_statement] = STATE(133),
    [sym_seh_try_statement] = STATE(132),
    [sym_seh_leave_statement] = STATE(130),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [sym_identifier] = ACTIONS(1644),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym_attribute_declaration] = STATE(413),
    [sym_compound_statement] = STATE(270),
    [sym_attributed_statement] = STATE(270),
    [sym_labeled_statement] = STATE(270),
    [sym_expression_statement] = STATE(270),
    [sym_if_statement] = STATE(270),
    [sym_switch_statement] = STATE(270),
    [sym_case_statement] = STATE(270),
    [sym_while_statement] = STATE(270),
    [sym_do_statement] = STATE(270),
    [sym_for_statement] = STATE(270),
    [sym_return_statement] = STATE(270),
    [sym_break_statement] = STATE(270),
    [sym_continue_statement] = STATE(270),
    [sym_goto_statement] = STATE(270),
    [sym_seh_try_statement] = STATE(270),
    [sym_seh_leave_statement] = STATE(270),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(413),
    [sym_identifier] = ACTIONS(1646),
    [anon_sym_LPAREN2] = ACTIONS(1545),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1554),
    [anon_sym_AMP] = ACTIONS(1554),
    [anon_sym_SEMI] = ACTIONS(1649),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1560),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_if] = ACTIONS(1655),
    [anon_sym_switch] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1661),
    [anon_sym_default] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1667),
    [anon_sym_do] = ACTIONS(1670),
    [anon_sym_for] = ACTIONS(1673),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1679),
    [anon_sym_continue] = ACTIONS(1682),
    [anon_sym_goto] = ACTIONS(1685),
    [anon_sym___try] = ACTIONS(1688),
    [anon_sym___leave] = ACTIONS(1691),
    [anon_sym_DASH_DASH] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_sizeof] = ACTIONS(1608),
    [anon_sym___alignof__] = ACTIONS(1611),
    [anon_sym___alignof] = ACTIONS(1611),
    [anon_sym__alignof] = ACTIONS(1611),
    [anon_sym_alignof] = ACTIONS(1611),
    [anon_sym__Alignof] = ACTIONS(1611),
    [anon_sym_offsetof] = ACTIONS(1614),
    [anon_sym__Generic] = ACTIONS(1617),
    [anon_sym_asm] = ACTIONS(1620),
    [anon_sym___asm__] = ACTIONS(1620),
    [sym_number_literal] = ACTIONS(1623),
    [anon_sym_L_SQUOTE] = ACTIONS(1626),
    [anon_sym_u_SQUOTE] = ACTIONS(1626),
    [anon_sym_U_SQUOTE] = ACTIONS(1626),
    [anon_sym_u8_SQUOTE] = ACTIONS(1626),
    [anon_sym_SQUOTE] = ACTIONS(1626),
    [anon_sym_L_DQUOTE] = ACTIONS(1629),
    [anon_sym_u_DQUOTE] = ACTIONS(1629),
    [anon_sym_U_DQUOTE] = ACTIONS(1629),
    [anon_sym_u8_DQUOTE] = ACTIONS(1629),
    [anon_sym_DQUOTE] = ACTIONS(1629),
    [sym_true] = ACTIONS(1632),
    [sym_false] = ACTIONS(1632),
    [anon_sym_NULL] = ACTIONS(1635),
    [anon_sym_nullptr] = ACTIONS(1635),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_attribute_declaration] = STATE(452),
    [sym_compound_statement] = STATE(195),
    [sym_attributed_statement] = STATE(195),
    [sym_labeled_statement] = STATE(195),
    [sym_expression_statement] = STATE(195),
    [sym_if_statement] = STATE(195),
    [sym_switch_statement] = STATE(195),
    [sym_case_statement] = STATE(195),
    [sym_while_statement] = STATE(195),
    [sym_do_statement] = STATE(195),
    [sym_for_statement] = STATE(195),
    [sym_return_statement] = STATE(195),
    [sym_break_statement] = STATE(195),
    [sym_continue_statement] = STATE(195),
    [sym_goto_statement] = STATE(195),
    [sym_seh_try_statement] = STATE(195),
    [sym_seh_leave_statement] = STATE(195),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [sym_identifier] = ACTIONS(1694),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_attribute_declaration] = STATE(423),
    [sym_compound_statement] = STATE(215),
    [sym_attributed_statement] = STATE(215),
    [sym_labeled_statement] = STATE(215),
    [sym_expression_statement] = STATE(215),
    [sym_if_statement] = STATE(215),
    [sym_switch_statement] = STATE(215),
    [sym_case_statement] = STATE(215),
    [sym_while_statement] = STATE(215),
    [sym_do_statement] = STATE(215),
    [sym_for_statement] = STATE(215),
    [sym_return_statement] = STATE(215),
    [sym_break_statement] = STATE(215),
    [sym_continue_statement] = STATE(215),
    [sym_goto_statement] = STATE(215),
    [sym_seh_try_statement] = STATE(215),
    [sym_seh_leave_statement] = STATE(215),
    [sym__expression] = STATE(1237),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2079),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1099),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1101),
    [anon_sym___leave] = ACTIONS(1103),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_attribute_declaration] = STATE(452),
    [sym_compound_statement] = STATE(176),
    [sym_attributed_statement] = STATE(176),
    [sym_labeled_statement] = STATE(176),
    [sym_expression_statement] = STATE(176),
    [sym_if_statement] = STATE(176),
    [sym_switch_statement] = STATE(176),
    [sym_case_statement] = STATE(176),
    [sym_while_statement] = STATE(176),
    [sym_do_statement] = STATE(176),
    [sym_for_statement] = STATE(176),
    [sym_return_statement] = STATE(176),
    [sym_break_statement] = STATE(176),
    [sym_continue_statement] = STATE(176),
    [sym_goto_statement] = STATE(176),
    [sym_seh_try_statement] = STATE(176),
    [sym_seh_leave_statement] = STATE(176),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [sym_identifier] = ACTIONS(1694),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym_attribute_declaration] = STATE(452),
    [sym_compound_statement] = STATE(135),
    [sym_attributed_statement] = STATE(135),
    [sym_labeled_statement] = STATE(135),
    [sym_expression_statement] = STATE(135),
    [sym_if_statement] = STATE(135),
    [sym_switch_statement] = STATE(135),
    [sym_case_statement] = STATE(135),
    [sym_while_statement] = STATE(135),
    [sym_do_statement] = STATE(135),
    [sym_for_statement] = STATE(135),
    [sym_return_statement] = STATE(135),
    [sym_break_statement] = STATE(135),
    [sym_continue_statement] = STATE(135),
    [sym_goto_statement] = STATE(135),
    [sym_seh_try_statement] = STATE(135),
    [sym_seh_leave_statement] = STATE(135),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [sym_identifier] = ACTIONS(1694),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_attribute_declaration] = STATE(429),
    [sym_compound_statement] = STATE(255),
    [sym_attributed_statement] = STATE(255),
    [sym_labeled_statement] = STATE(255),
    [sym_expression_statement] = STATE(255),
    [sym_if_statement] = STATE(255),
    [sym_switch_statement] = STATE(255),
    [sym_case_statement] = STATE(255),
    [sym_while_statement] = STATE(255),
    [sym_do_statement] = STATE(255),
    [sym_for_statement] = STATE(255),
    [sym_return_statement] = STATE(255),
    [sym_break_statement] = STATE(255),
    [sym_continue_statement] = STATE(255),
    [sym_goto_statement] = STATE(255),
    [sym_seh_try_statement] = STATE(255),
    [sym_seh_leave_statement] = STATE(255),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [sym_identifier] = ACTIONS(1538),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_attribute_declaration] = STATE(448),
    [sym_compound_statement] = STATE(97),
    [sym_attributed_statement] = STATE(97),
    [sym_labeled_statement] = STATE(97),
    [sym_expression_statement] = STATE(97),
    [sym_if_statement] = STATE(97),
    [sym_switch_statement] = STATE(97),
    [sym_case_statement] = STATE(97),
    [sym_while_statement] = STATE(97),
    [sym_do_statement] = STATE(97),
    [sym_for_statement] = STATE(97),
    [sym_return_statement] = STATE(97),
    [sym_break_statement] = STATE(97),
    [sym_continue_statement] = STATE(97),
    [sym_goto_statement] = STATE(97),
    [sym_seh_try_statement] = STATE(97),
    [sym_seh_leave_statement] = STATE(97),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [sym_identifier] = ACTIONS(1644),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_attribute_declaration] = STATE(429),
    [sym_compound_statement] = STATE(333),
    [sym_attributed_statement] = STATE(275),
    [sym_labeled_statement] = STATE(321),
    [sym_expression_statement] = STATE(320),
    [sym_if_statement] = STATE(319),
    [sym_switch_statement] = STATE(307),
    [sym_case_statement] = STATE(303),
    [sym_while_statement] = STATE(302),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(296),
    [sym_return_statement] = STATE(293),
    [sym_break_statement] = STATE(292),
    [sym_continue_statement] = STATE(286),
    [sym_goto_statement] = STATE(285),
    [sym_seh_try_statement] = STATE(280),
    [sym_seh_leave_statement] = STATE(279),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [sym_identifier] = ACTIONS(1538),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_attribute_declaration] = STATE(425),
    [sym_compound_statement] = STATE(2092),
    [sym_attributed_statement] = STATE(2092),
    [sym_labeled_statement] = STATE(2092),
    [sym_expression_statement] = STATE(2092),
    [sym_if_statement] = STATE(2092),
    [sym_switch_statement] = STATE(2092),
    [sym_case_statement] = STATE(2092),
    [sym_while_statement] = STATE(2092),
    [sym_do_statement] = STATE(2092),
    [sym_for_statement] = STATE(2092),
    [sym_return_statement] = STATE(2092),
    [sym_break_statement] = STATE(2092),
    [sym_continue_statement] = STATE(2092),
    [sym_goto_statement] = STATE(2092),
    [sym_seh_try_statement] = STATE(2092),
    [sym_seh_leave_statement] = STATE(2092),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(425),
    [sym_identifier] = ACTIONS(1638),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1640),
    [anon_sym_default] = ACTIONS(1642),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_attribute_declaration] = STATE(429),
    [sym_compound_statement] = STATE(347),
    [sym_attributed_statement] = STATE(347),
    [sym_labeled_statement] = STATE(347),
    [sym_expression_statement] = STATE(347),
    [sym_if_statement] = STATE(347),
    [sym_switch_statement] = STATE(347),
    [sym_case_statement] = STATE(347),
    [sym_while_statement] = STATE(347),
    [sym_do_statement] = STATE(347),
    [sym_for_statement] = STATE(347),
    [sym_return_statement] = STATE(347),
    [sym_break_statement] = STATE(347),
    [sym_continue_statement] = STATE(347),
    [sym_goto_statement] = STATE(347),
    [sym_seh_try_statement] = STATE(347),
    [sym_seh_leave_statement] = STATE(347),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [sym_identifier] = ACTIONS(1538),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym_attribute_declaration] = STATE(426),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym__expression] = STATE(1237),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2079),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1099),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1101),
    [anon_sym___leave] = ACTIONS(1103),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_attribute_declaration] = STATE(429),
    [sym_compound_statement] = STATE(229),
    [sym_attributed_statement] = STATE(229),
    [sym_labeled_statement] = STATE(229),
    [sym_expression_statement] = STATE(229),
    [sym_if_statement] = STATE(229),
    [sym_switch_statement] = STATE(229),
    [sym_case_statement] = STATE(229),
    [sym_while_statement] = STATE(229),
    [sym_do_statement] = STATE(229),
    [sym_for_statement] = STATE(229),
    [sym_return_statement] = STATE(229),
    [sym_break_statement] = STATE(229),
    [sym_continue_statement] = STATE(229),
    [sym_goto_statement] = STATE(229),
    [sym_seh_try_statement] = STATE(229),
    [sym_seh_leave_statement] = STATE(229),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(429),
    [sym_identifier] = ACTIONS(1538),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_attribute_declaration] = STATE(451),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(451),
    [sym_identifier] = ACTIONS(1638),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1640),
    [anon_sym_default] = ACTIONS(1642),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_attribute_declaration] = STATE(426),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym__expression] = STATE(1237),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2079),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN2] = ACTIONS(1545),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1554),
    [anon_sym_AMP] = ACTIONS(1554),
    [anon_sym_SEMI] = ACTIONS(1699),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1560),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_if] = ACTIONS(1705),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1711),
    [anon_sym_default] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_do] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1723),
    [anon_sym_return] = ACTIONS(1726),
    [anon_sym_break] = ACTIONS(1729),
    [anon_sym_continue] = ACTIONS(1732),
    [anon_sym_goto] = ACTIONS(1735),
    [anon_sym___try] = ACTIONS(1738),
    [anon_sym___leave] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_sizeof] = ACTIONS(1608),
    [anon_sym___alignof__] = ACTIONS(1611),
    [anon_sym___alignof] = ACTIONS(1611),
    [anon_sym__alignof] = ACTIONS(1611),
    [anon_sym_alignof] = ACTIONS(1611),
    [anon_sym__Alignof] = ACTIONS(1611),
    [anon_sym_offsetof] = ACTIONS(1614),
    [anon_sym__Generic] = ACTIONS(1617),
    [anon_sym_asm] = ACTIONS(1620),
    [anon_sym___asm__] = ACTIONS(1620),
    [sym_number_literal] = ACTIONS(1623),
    [anon_sym_L_SQUOTE] = ACTIONS(1626),
    [anon_sym_u_SQUOTE] = ACTIONS(1626),
    [anon_sym_U_SQUOTE] = ACTIONS(1626),
    [anon_sym_u8_SQUOTE] = ACTIONS(1626),
    [anon_sym_SQUOTE] = ACTIONS(1626),
    [anon_sym_L_DQUOTE] = ACTIONS(1629),
    [anon_sym_u_DQUOTE] = ACTIONS(1629),
    [anon_sym_U_DQUOTE] = ACTIONS(1629),
    [anon_sym_u8_DQUOTE] = ACTIONS(1629),
    [anon_sym_DQUOTE] = ACTIONS(1629),
    [sym_true] = ACTIONS(1632),
    [sym_false] = ACTIONS(1632),
    [anon_sym_NULL] = ACTIONS(1635),
    [anon_sym_nullptr] = ACTIONS(1635),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_attribute_declaration] = STATE(452),
    [sym_compound_statement] = STATE(162),
    [sym_attributed_statement] = STATE(162),
    [sym_labeled_statement] = STATE(162),
    [sym_expression_statement] = STATE(162),
    [sym_if_statement] = STATE(162),
    [sym_switch_statement] = STATE(162),
    [sym_case_statement] = STATE(162),
    [sym_while_statement] = STATE(162),
    [sym_do_statement] = STATE(162),
    [sym_for_statement] = STATE(162),
    [sym_return_statement] = STATE(162),
    [sym_break_statement] = STATE(162),
    [sym_continue_statement] = STATE(162),
    [sym_goto_statement] = STATE(162),
    [sym_seh_try_statement] = STATE(162),
    [sym_seh_leave_statement] = STATE(162),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [sym_identifier] = ACTIONS(1694),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_attribute_declaration] = STATE(452),
    [sym_compound_statement] = STATE(190),
    [sym_attributed_statement] = STATE(178),
    [sym_labeled_statement] = STATE(174),
    [sym_expression_statement] = STATE(173),
    [sym_if_statement] = STATE(166),
    [sym_switch_statement] = STATE(163),
    [sym_case_statement] = STATE(182),
    [sym_while_statement] = STATE(200),
    [sym_do_statement] = STATE(192),
    [sym_for_statement] = STATE(183),
    [sym_return_statement] = STATE(168),
    [sym_break_statement] = STATE(179),
    [sym_continue_statement] = STATE(185),
    [sym_goto_statement] = STATE(189),
    [sym_seh_try_statement] = STATE(164),
    [sym_seh_leave_statement] = STATE(167),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [sym_identifier] = ACTIONS(1694),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [sym_attribute_declaration] = STATE(413),
    [sym_compound_statement] = STATE(270),
    [sym_attributed_statement] = STATE(270),
    [sym_labeled_statement] = STATE(270),
    [sym_expression_statement] = STATE(270),
    [sym_if_statement] = STATE(270),
    [sym_switch_statement] = STATE(270),
    [sym_case_statement] = STATE(270),
    [sym_while_statement] = STATE(270),
    [sym_do_statement] = STATE(270),
    [sym_for_statement] = STATE(270),
    [sym_return_statement] = STATE(270),
    [sym_break_statement] = STATE(270),
    [sym_continue_statement] = STATE(270),
    [sym_goto_statement] = STATE(270),
    [sym_seh_try_statement] = STATE(270),
    [sym_seh_leave_statement] = STATE(270),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(413),
    [sym_identifier] = ACTIONS(1538),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [sym_attribute_declaration] = STATE(425),
    [sym_compound_statement] = STATE(2172),
    [sym_attributed_statement] = STATE(2172),
    [sym_labeled_statement] = STATE(2172),
    [sym_expression_statement] = STATE(2172),
    [sym_if_statement] = STATE(2172),
    [sym_switch_statement] = STATE(2172),
    [sym_case_statement] = STATE(2172),
    [sym_while_statement] = STATE(2172),
    [sym_do_statement] = STATE(2172),
    [sym_for_statement] = STATE(2172),
    [sym_return_statement] = STATE(2172),
    [sym_break_statement] = STATE(2172),
    [sym_continue_statement] = STATE(2172),
    [sym_goto_statement] = STATE(2172),
    [sym_seh_try_statement] = STATE(2172),
    [sym_seh_leave_statement] = STATE(2172),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(425),
    [sym_identifier] = ACTIONS(1638),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1640),
    [anon_sym_default] = ACTIONS(1642),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [sym_attribute_declaration] = STATE(425),
    [sym_compound_statement] = STATE(265),
    [sym_attributed_statement] = STATE(265),
    [sym_labeled_statement] = STATE(265),
    [sym_expression_statement] = STATE(265),
    [sym_if_statement] = STATE(265),
    [sym_switch_statement] = STATE(265),
    [sym_case_statement] = STATE(265),
    [sym_while_statement] = STATE(265),
    [sym_do_statement] = STATE(265),
    [sym_for_statement] = STATE(265),
    [sym_return_statement] = STATE(265),
    [sym_break_statement] = STATE(265),
    [sym_continue_statement] = STATE(265),
    [sym_goto_statement] = STATE(265),
    [sym_seh_try_statement] = STATE(265),
    [sym_seh_leave_statement] = STATE(265),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(425),
    [sym_identifier] = ACTIONS(1638),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1640),
    [anon_sym_default] = ACTIONS(1642),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [sym_attribute_declaration] = STATE(408),
    [sym_compound_statement] = STATE(344),
    [sym_attributed_statement] = STATE(344),
    [sym_labeled_statement] = STATE(344),
    [sym_expression_statement] = STATE(344),
    [sym_if_statement] = STATE(344),
    [sym_switch_statement] = STATE(344),
    [sym_case_statement] = STATE(344),
    [sym_while_statement] = STATE(344),
    [sym_do_statement] = STATE(344),
    [sym_for_statement] = STATE(344),
    [sym_return_statement] = STATE(344),
    [sym_break_statement] = STATE(344),
    [sym_continue_statement] = STATE(344),
    [sym_goto_statement] = STATE(344),
    [sym_seh_try_statement] = STATE(344),
    [sym_seh_leave_statement] = STATE(344),
    [sym__expression] = STATE(1203),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2003),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(408),
    [sym_identifier] = ACTIONS(1540),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(721),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(731),
    [anon_sym_switch] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(735),
    [anon_sym_default] = ACTIONS(737),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(749),
    [anon_sym_goto] = ACTIONS(751),
    [anon_sym___try] = ACTIONS(753),
    [anon_sym___leave] = ACTIONS(755),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [sym_attribute_declaration] = STATE(425),
    [sym_compound_statement] = STATE(2137),
    [sym_attributed_statement] = STATE(2137),
    [sym_labeled_statement] = STATE(2137),
    [sym_expression_statement] = STATE(2137),
    [sym_if_statement] = STATE(2137),
    [sym_switch_statement] = STATE(2137),
    [sym_case_statement] = STATE(2137),
    [sym_while_statement] = STATE(2137),
    [sym_do_statement] = STATE(2137),
    [sym_for_statement] = STATE(2137),
    [sym_return_statement] = STATE(2137),
    [sym_break_statement] = STATE(2137),
    [sym_continue_statement] = STATE(2137),
    [sym_goto_statement] = STATE(2137),
    [sym_seh_try_statement] = STATE(2137),
    [sym_seh_leave_statement] = STATE(2137),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(425),
    [sym_identifier] = ACTIONS(1638),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1640),
    [anon_sym_default] = ACTIONS(1642),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [sym_attribute_declaration] = STATE(425),
    [sym_compound_statement] = STATE(253),
    [sym_attributed_statement] = STATE(252),
    [sym_labeled_statement] = STATE(250),
    [sym_expression_statement] = STATE(244),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(242),
    [sym_case_statement] = STATE(241),
    [sym_while_statement] = STATE(238),
    [sym_do_statement] = STATE(236),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(234),
    [sym_break_statement] = STATE(256),
    [sym_continue_statement] = STATE(231),
    [sym_goto_statement] = STATE(247),
    [sym_seh_try_statement] = STATE(233),
    [sym_seh_leave_statement] = STATE(251),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(425),
    [sym_identifier] = ACTIONS(1638),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1640),
    [anon_sym_default] = ACTIONS(1642),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [sym_attribute_declaration] = STATE(423),
    [sym_compound_statement] = STATE(265),
    [sym_attributed_statement] = STATE(265),
    [sym_labeled_statement] = STATE(265),
    [sym_expression_statement] = STATE(265),
    [sym_if_statement] = STATE(265),
    [sym_switch_statement] = STATE(265),
    [sym_case_statement] = STATE(265),
    [sym_while_statement] = STATE(265),
    [sym_do_statement] = STATE(265),
    [sym_for_statement] = STATE(265),
    [sym_return_statement] = STATE(265),
    [sym_break_statement] = STATE(265),
    [sym_continue_statement] = STATE(265),
    [sym_goto_statement] = STATE(265),
    [sym_seh_try_statement] = STATE(265),
    [sym_seh_leave_statement] = STATE(265),
    [sym__expression] = STATE(1237),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2079),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1099),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1101),
    [anon_sym___leave] = ACTIONS(1103),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [sym_attribute_declaration] = STATE(448),
    [sym_compound_statement] = STATE(113),
    [sym_attributed_statement] = STATE(113),
    [sym_labeled_statement] = STATE(113),
    [sym_expression_statement] = STATE(113),
    [sym_if_statement] = STATE(113),
    [sym_switch_statement] = STATE(113),
    [sym_case_statement] = STATE(113),
    [sym_while_statement] = STATE(113),
    [sym_do_statement] = STATE(113),
    [sym_for_statement] = STATE(113),
    [sym_return_statement] = STATE(113),
    [sym_break_statement] = STATE(113),
    [sym_continue_statement] = STATE(113),
    [sym_goto_statement] = STATE(113),
    [sym_seh_try_statement] = STATE(113),
    [sym_seh_leave_statement] = STATE(113),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [sym_identifier] = ACTIONS(1644),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [sym_attribute_declaration] = STATE(437),
    [sym_compound_statement] = STATE(294),
    [sym_attributed_statement] = STATE(294),
    [sym_labeled_statement] = STATE(294),
    [sym_expression_statement] = STATE(294),
    [sym_if_statement] = STATE(294),
    [sym_switch_statement] = STATE(294),
    [sym_case_statement] = STATE(294),
    [sym_while_statement] = STATE(294),
    [sym_do_statement] = STATE(294),
    [sym_for_statement] = STATE(294),
    [sym_return_statement] = STATE(294),
    [sym_break_statement] = STATE(294),
    [sym_continue_statement] = STATE(294),
    [sym_goto_statement] = STATE(294),
    [sym_seh_try_statement] = STATE(294),
    [sym_seh_leave_statement] = STATE(294),
    [sym__expression] = STATE(1203),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2003),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(437),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1545),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1554),
    [anon_sym_AMP] = ACTIONS(1554),
    [anon_sym_SEMI] = ACTIONS(1747),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1560),
    [anon_sym_LBRACE] = ACTIONS(1750),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_switch] = ACTIONS(1756),
    [anon_sym_case] = ACTIONS(1759),
    [anon_sym_default] = ACTIONS(1762),
    [anon_sym_while] = ACTIONS(1765),
    [anon_sym_do] = ACTIONS(1768),
    [anon_sym_for] = ACTIONS(1771),
    [anon_sym_return] = ACTIONS(1774),
    [anon_sym_break] = ACTIONS(1777),
    [anon_sym_continue] = ACTIONS(1780),
    [anon_sym_goto] = ACTIONS(1783),
    [anon_sym___try] = ACTIONS(1786),
    [anon_sym___leave] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_sizeof] = ACTIONS(1608),
    [anon_sym___alignof__] = ACTIONS(1611),
    [anon_sym___alignof] = ACTIONS(1611),
    [anon_sym__alignof] = ACTIONS(1611),
    [anon_sym_alignof] = ACTIONS(1611),
    [anon_sym__Alignof] = ACTIONS(1611),
    [anon_sym_offsetof] = ACTIONS(1614),
    [anon_sym__Generic] = ACTIONS(1617),
    [anon_sym_asm] = ACTIONS(1620),
    [anon_sym___asm__] = ACTIONS(1620),
    [sym_number_literal] = ACTIONS(1623),
    [anon_sym_L_SQUOTE] = ACTIONS(1626),
    [anon_sym_u_SQUOTE] = ACTIONS(1626),
    [anon_sym_U_SQUOTE] = ACTIONS(1626),
    [anon_sym_u8_SQUOTE] = ACTIONS(1626),
    [anon_sym_SQUOTE] = ACTIONS(1626),
    [anon_sym_L_DQUOTE] = ACTIONS(1629),
    [anon_sym_u_DQUOTE] = ACTIONS(1629),
    [anon_sym_U_DQUOTE] = ACTIONS(1629),
    [anon_sym_u8_DQUOTE] = ACTIONS(1629),
    [anon_sym_DQUOTE] = ACTIONS(1629),
    [sym_true] = ACTIONS(1632),
    [sym_false] = ACTIONS(1632),
    [anon_sym_NULL] = ACTIONS(1635),
    [anon_sym_nullptr] = ACTIONS(1635),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [sym_attribute_declaration] = STATE(408),
    [sym_compound_statement] = STATE(211),
    [sym_attributed_statement] = STATE(211),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym__expression] = STATE(1203),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2003),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(408),
    [sym_identifier] = ACTIONS(1540),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(721),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(731),
    [anon_sym_switch] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(735),
    [anon_sym_default] = ACTIONS(737),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(749),
    [anon_sym_goto] = ACTIONS(751),
    [anon_sym___try] = ACTIONS(753),
    [anon_sym___leave] = ACTIONS(755),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [sym_attribute_declaration] = STATE(408),
    [sym_compound_statement] = STATE(328),
    [sym_attributed_statement] = STATE(328),
    [sym_labeled_statement] = STATE(328),
    [sym_expression_statement] = STATE(328),
    [sym_if_statement] = STATE(328),
    [sym_switch_statement] = STATE(328),
    [sym_case_statement] = STATE(328),
    [sym_while_statement] = STATE(328),
    [sym_do_statement] = STATE(328),
    [sym_for_statement] = STATE(328),
    [sym_return_statement] = STATE(328),
    [sym_break_statement] = STATE(328),
    [sym_continue_statement] = STATE(328),
    [sym_goto_statement] = STATE(328),
    [sym_seh_try_statement] = STATE(328),
    [sym_seh_leave_statement] = STATE(328),
    [sym__expression] = STATE(1203),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2003),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(408),
    [sym_identifier] = ACTIONS(1540),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(721),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(731),
    [anon_sym_switch] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(735),
    [anon_sym_default] = ACTIONS(737),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(749),
    [anon_sym_goto] = ACTIONS(751),
    [anon_sym___try] = ACTIONS(753),
    [anon_sym___leave] = ACTIONS(755),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [sym_attribute_declaration] = STATE(448),
    [sym_compound_statement] = STATE(90),
    [sym_attributed_statement] = STATE(90),
    [sym_labeled_statement] = STATE(90),
    [sym_expression_statement] = STATE(90),
    [sym_if_statement] = STATE(90),
    [sym_switch_statement] = STATE(90),
    [sym_case_statement] = STATE(90),
    [sym_while_statement] = STATE(90),
    [sym_do_statement] = STATE(90),
    [sym_for_statement] = STATE(90),
    [sym_return_statement] = STATE(90),
    [sym_break_statement] = STATE(90),
    [sym_continue_statement] = STATE(90),
    [sym_goto_statement] = STATE(90),
    [sym_seh_try_statement] = STATE(90),
    [sym_seh_leave_statement] = STATE(90),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [sym_identifier] = ACTIONS(1644),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [sym_attribute_declaration] = STATE(425),
    [sym_compound_statement] = STATE(2145),
    [sym_attributed_statement] = STATE(2145),
    [sym_labeled_statement] = STATE(2145),
    [sym_expression_statement] = STATE(2145),
    [sym_if_statement] = STATE(2145),
    [sym_switch_statement] = STATE(2145),
    [sym_case_statement] = STATE(2145),
    [sym_while_statement] = STATE(2145),
    [sym_do_statement] = STATE(2145),
    [sym_for_statement] = STATE(2145),
    [sym_return_statement] = STATE(2145),
    [sym_break_statement] = STATE(2145),
    [sym_continue_statement] = STATE(2145),
    [sym_goto_statement] = STATE(2145),
    [sym_seh_try_statement] = STATE(2145),
    [sym_seh_leave_statement] = STATE(2145),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(425),
    [sym_identifier] = ACTIONS(1638),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1640),
    [anon_sym_default] = ACTIONS(1642),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [442] = {
    [sym_attribute_declaration] = STATE(442),
    [sym_compound_statement] = STATE(117),
    [sym_attributed_statement] = STATE(117),
    [sym_labeled_statement] = STATE(117),
    [sym_expression_statement] = STATE(117),
    [sym_if_statement] = STATE(117),
    [sym_switch_statement] = STATE(117),
    [sym_case_statement] = STATE(117),
    [sym_while_statement] = STATE(117),
    [sym_do_statement] = STATE(117),
    [sym_for_statement] = STATE(117),
    [sym_return_statement] = STATE(117),
    [sym_break_statement] = STATE(117),
    [sym_continue_statement] = STATE(117),
    [sym_goto_statement] = STATE(117),
    [sym_seh_try_statement] = STATE(117),
    [sym_seh_leave_statement] = STATE(117),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(442),
    [sym_identifier] = ACTIONS(1792),
    [anon_sym_LPAREN2] = ACTIONS(1545),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1554),
    [anon_sym_AMP] = ACTIONS(1554),
    [anon_sym_SEMI] = ACTIONS(1795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1560),
    [anon_sym_LBRACE] = ACTIONS(1798),
    [anon_sym_if] = ACTIONS(1801),
    [anon_sym_switch] = ACTIONS(1804),
    [anon_sym_case] = ACTIONS(1807),
    [anon_sym_default] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1813),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1819),
    [anon_sym_return] = ACTIONS(1822),
    [anon_sym_break] = ACTIONS(1825),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1831),
    [anon_sym___try] = ACTIONS(1834),
    [anon_sym___leave] = ACTIONS(1837),
    [anon_sym_DASH_DASH] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_sizeof] = ACTIONS(1608),
    [anon_sym___alignof__] = ACTIONS(1611),
    [anon_sym___alignof] = ACTIONS(1611),
    [anon_sym__alignof] = ACTIONS(1611),
    [anon_sym_alignof] = ACTIONS(1611),
    [anon_sym__Alignof] = ACTIONS(1611),
    [anon_sym_offsetof] = ACTIONS(1614),
    [anon_sym__Generic] = ACTIONS(1617),
    [anon_sym_asm] = ACTIONS(1620),
    [anon_sym___asm__] = ACTIONS(1620),
    [sym_number_literal] = ACTIONS(1623),
    [anon_sym_L_SQUOTE] = ACTIONS(1626),
    [anon_sym_u_SQUOTE] = ACTIONS(1626),
    [anon_sym_U_SQUOTE] = ACTIONS(1626),
    [anon_sym_u8_SQUOTE] = ACTIONS(1626),
    [anon_sym_SQUOTE] = ACTIONS(1626),
    [anon_sym_L_DQUOTE] = ACTIONS(1629),
    [anon_sym_u_DQUOTE] = ACTIONS(1629),
    [anon_sym_U_DQUOTE] = ACTIONS(1629),
    [anon_sym_u8_DQUOTE] = ACTIONS(1629),
    [anon_sym_DQUOTE] = ACTIONS(1629),
    [sym_true] = ACTIONS(1632),
    [sym_false] = ACTIONS(1632),
    [anon_sym_NULL] = ACTIONS(1635),
    [anon_sym_nullptr] = ACTIONS(1635),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [sym_attribute_declaration] = STATE(423),
    [sym_compound_statement] = STATE(253),
    [sym_attributed_statement] = STATE(252),
    [sym_labeled_statement] = STATE(250),
    [sym_expression_statement] = STATE(244),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(242),
    [sym_case_statement] = STATE(241),
    [sym_while_statement] = STATE(238),
    [sym_do_statement] = STATE(236),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(234),
    [sym_break_statement] = STATE(256),
    [sym_continue_statement] = STATE(231),
    [sym_goto_statement] = STATE(247),
    [sym_seh_try_statement] = STATE(233),
    [sym_seh_leave_statement] = STATE(251),
    [sym__expression] = STATE(1237),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2079),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1099),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1101),
    [anon_sym___leave] = ACTIONS(1103),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [444] = {
    [sym_attribute_declaration] = STATE(425),
    [sym_compound_statement] = STATE(2153),
    [sym_attributed_statement] = STATE(2153),
    [sym_labeled_statement] = STATE(2153),
    [sym_expression_statement] = STATE(2153),
    [sym_if_statement] = STATE(2153),
    [sym_switch_statement] = STATE(2153),
    [sym_case_statement] = STATE(2153),
    [sym_while_statement] = STATE(2153),
    [sym_do_statement] = STATE(2153),
    [sym_for_statement] = STATE(2153),
    [sym_return_statement] = STATE(2153),
    [sym_break_statement] = STATE(2153),
    [sym_continue_statement] = STATE(2153),
    [sym_goto_statement] = STATE(2153),
    [sym_seh_try_statement] = STATE(2153),
    [sym_seh_leave_statement] = STATE(2153),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(425),
    [sym_identifier] = ACTIONS(1638),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1640),
    [anon_sym_default] = ACTIONS(1642),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [sym_attribute_declaration] = STATE(408),
    [sym_compound_statement] = STATE(311),
    [sym_attributed_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_switch_statement] = STATE(311),
    [sym_case_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_goto_statement] = STATE(311),
    [sym_seh_try_statement] = STATE(311),
    [sym_seh_leave_statement] = STATE(311),
    [sym__expression] = STATE(1203),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2003),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(408),
    [sym_identifier] = ACTIONS(1540),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(721),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(731),
    [anon_sym_switch] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(735),
    [anon_sym_default] = ACTIONS(737),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(749),
    [anon_sym_goto] = ACTIONS(751),
    [anon_sym___try] = ACTIONS(753),
    [anon_sym___leave] = ACTIONS(755),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [446] = {
    [sym__expression] = STATE(919),
    [sym__expression_not_binary] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_assignment_expression] = STATE(926),
    [sym_pointer_expression] = STATE(926),
    [sym_unary_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_update_expression] = STATE(926),
    [sym_cast_expression] = STATE(926),
    [sym_sizeof_expression] = STATE(926),
    [sym_alignof_expression] = STATE(926),
    [sym_offsetof_expression] = STATE(926),
    [sym_generic_expression] = STATE(926),
    [sym_subscript_expression] = STATE(926),
    [sym_call_expression] = STATE(926),
    [sym_gnu_asm_expression] = STATE(926),
    [sym_field_expression] = STATE(926),
    [sym_compound_literal_expression] = STATE(926),
    [sym_parenthesized_expression] = STATE(926),
    [sym_initializer_list] = STATE(932),
    [sym_char_literal] = STATE(926),
    [sym_concatenated_string] = STATE(926),
    [sym_string_literal] = STATE(848),
    [sym_null] = STATE(926),
    [sym_identifier] = ACTIONS(1514),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_preproc_if_token2] = ACTIONS(1516),
    [aux_sym_preproc_else_token1] = ACTIONS(1516),
    [aux_sym_preproc_elif_token1] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_SLASH] = ACTIONS(1514),
    [anon_sym_PERCENT] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_AMP_AMP] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1514),
    [anon_sym_CARET] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_EQ_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_GT] = ACTIONS(1514),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1514),
    [anon_sym_LT_LT] = ACTIONS(1514),
    [anon_sym_GT_GT] = ACTIONS(1514),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_EQ] = ACTIONS(1514),
    [anon_sym_QMARK] = ACTIONS(1516),
    [anon_sym_STAR_EQ] = ACTIONS(1516),
    [anon_sym_SLASH_EQ] = ACTIONS(1516),
    [anon_sym_PERCENT_EQ] = ACTIONS(1516),
    [anon_sym_PLUS_EQ] = ACTIONS(1516),
    [anon_sym_DASH_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT_EQ] = ACTIONS(1516),
    [anon_sym_GT_GT_EQ] = ACTIONS(1516),
    [anon_sym_AMP_EQ] = ACTIONS(1516),
    [anon_sym_CARET_EQ] = ACTIONS(1516),
    [anon_sym_PIPE_EQ] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [anon_sym_sizeof] = ACTIONS(1846),
    [anon_sym___alignof__] = ACTIONS(1848),
    [anon_sym___alignof] = ACTIONS(1848),
    [anon_sym__alignof] = ACTIONS(1848),
    [anon_sym_alignof] = ACTIONS(1848),
    [anon_sym__Alignof] = ACTIONS(1848),
    [anon_sym_offsetof] = ACTIONS(1850),
    [anon_sym__Generic] = ACTIONS(1852),
    [anon_sym_asm] = ACTIONS(1854),
    [anon_sym___asm__] = ACTIONS(1854),
    [anon_sym_DOT] = ACTIONS(1514),
    [anon_sym_DASH_GT] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(1856),
    [anon_sym_L_SQUOTE] = ACTIONS(1858),
    [anon_sym_u_SQUOTE] = ACTIONS(1858),
    [anon_sym_U_SQUOTE] = ACTIONS(1858),
    [anon_sym_u8_SQUOTE] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1858),
    [anon_sym_L_DQUOTE] = ACTIONS(1860),
    [anon_sym_u_DQUOTE] = ACTIONS(1860),
    [anon_sym_U_DQUOTE] = ACTIONS(1860),
    [anon_sym_u8_DQUOTE] = ACTIONS(1860),
    [anon_sym_DQUOTE] = ACTIONS(1860),
    [sym_true] = ACTIONS(1862),
    [sym_false] = ACTIONS(1862),
    [anon_sym_NULL] = ACTIONS(1864),
    [anon_sym_nullptr] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [sym_attribute_declaration] = STATE(448),
    [sym_compound_statement] = STATE(109),
    [sym_attributed_statement] = STATE(109),
    [sym_labeled_statement] = STATE(109),
    [sym_expression_statement] = STATE(109),
    [sym_if_statement] = STATE(109),
    [sym_switch_statement] = STATE(109),
    [sym_case_statement] = STATE(109),
    [sym_while_statement] = STATE(109),
    [sym_do_statement] = STATE(109),
    [sym_for_statement] = STATE(109),
    [sym_return_statement] = STATE(109),
    [sym_break_statement] = STATE(109),
    [sym_continue_statement] = STATE(109),
    [sym_goto_statement] = STATE(109),
    [sym_seh_try_statement] = STATE(109),
    [sym_seh_leave_statement] = STATE(109),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [sym_identifier] = ACTIONS(1644),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [sym_attribute_declaration] = STATE(442),
    [sym_compound_statement] = STATE(117),
    [sym_attributed_statement] = STATE(117),
    [sym_labeled_statement] = STATE(117),
    [sym_expression_statement] = STATE(117),
    [sym_if_statement] = STATE(117),
    [sym_switch_statement] = STATE(117),
    [sym_case_statement] = STATE(117),
    [sym_while_statement] = STATE(117),
    [sym_do_statement] = STATE(117),
    [sym_for_statement] = STATE(117),
    [sym_return_statement] = STATE(117),
    [sym_break_statement] = STATE(117),
    [sym_continue_statement] = STATE(117),
    [sym_goto_statement] = STATE(117),
    [sym_seh_try_statement] = STATE(117),
    [sym_seh_leave_statement] = STATE(117),
    [sym__expression] = STATE(1239),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(442),
    [sym_identifier] = ACTIONS(1644),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [sym_attribute_declaration] = STATE(425),
    [sym_compound_statement] = STATE(503),
    [sym_attributed_statement] = STATE(503),
    [sym_labeled_statement] = STATE(503),
    [sym_expression_statement] = STATE(503),
    [sym_if_statement] = STATE(503),
    [sym_switch_statement] = STATE(503),
    [sym_case_statement] = STATE(503),
    [sym_while_statement] = STATE(503),
    [sym_do_statement] = STATE(503),
    [sym_for_statement] = STATE(503),
    [sym_return_statement] = STATE(503),
    [sym_break_statement] = STATE(503),
    [sym_continue_statement] = STATE(503),
    [sym_goto_statement] = STATE(503),
    [sym_seh_try_statement] = STATE(503),
    [sym_seh_leave_statement] = STATE(503),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(425),
    [sym_identifier] = ACTIONS(1638),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1640),
    [anon_sym_default] = ACTIONS(1642),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [sym_attribute_declaration] = STATE(408),
    [sym_compound_statement] = STATE(232),
    [sym_attributed_statement] = STATE(341),
    [sym_labeled_statement] = STATE(340),
    [sym_expression_statement] = STATE(339),
    [sym_if_statement] = STATE(338),
    [sym_switch_statement] = STATE(336),
    [sym_case_statement] = STATE(335),
    [sym_while_statement] = STATE(334),
    [sym_do_statement] = STATE(330),
    [sym_for_statement] = STATE(329),
    [sym_return_statement] = STATE(326),
    [sym_break_statement] = STATE(325),
    [sym_continue_statement] = STATE(324),
    [sym_goto_statement] = STATE(323),
    [sym_seh_try_statement] = STATE(322),
    [sym_seh_leave_statement] = STATE(317),
    [sym__expression] = STATE(1203),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2003),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(408),
    [sym_identifier] = ACTIONS(1540),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(721),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(731),
    [anon_sym_switch] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(735),
    [anon_sym_default] = ACTIONS(737),
    [anon_sym_while] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(749),
    [anon_sym_goto] = ACTIONS(751),
    [anon_sym___try] = ACTIONS(753),
    [anon_sym___leave] = ACTIONS(755),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [sym_attribute_declaration] = STATE(451),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(451),
    [sym_identifier] = ACTIONS(1866),
    [anon_sym_LPAREN2] = ACTIONS(1545),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1554),
    [anon_sym_AMP] = ACTIONS(1554),
    [anon_sym_SEMI] = ACTIONS(1649),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1560),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_if] = ACTIONS(1869),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1872),
    [anon_sym_default] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1881),
    [anon_sym_return] = ACTIONS(1726),
    [anon_sym_break] = ACTIONS(1729),
    [anon_sym_continue] = ACTIONS(1732),
    [anon_sym_goto] = ACTIONS(1735),
    [anon_sym___try] = ACTIONS(1884),
    [anon_sym___leave] = ACTIONS(1691),
    [anon_sym_DASH_DASH] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_sizeof] = ACTIONS(1608),
    [anon_sym___alignof__] = ACTIONS(1611),
    [anon_sym___alignof] = ACTIONS(1611),
    [anon_sym__alignof] = ACTIONS(1611),
    [anon_sym_alignof] = ACTIONS(1611),
    [anon_sym__Alignof] = ACTIONS(1611),
    [anon_sym_offsetof] = ACTIONS(1614),
    [anon_sym__Generic] = ACTIONS(1617),
    [anon_sym_asm] = ACTIONS(1620),
    [anon_sym___asm__] = ACTIONS(1620),
    [sym_number_literal] = ACTIONS(1623),
    [anon_sym_L_SQUOTE] = ACTIONS(1626),
    [anon_sym_u_SQUOTE] = ACTIONS(1626),
    [anon_sym_U_SQUOTE] = ACTIONS(1626),
    [anon_sym_u8_SQUOTE] = ACTIONS(1626),
    [anon_sym_SQUOTE] = ACTIONS(1626),
    [anon_sym_L_DQUOTE] = ACTIONS(1629),
    [anon_sym_u_DQUOTE] = ACTIONS(1629),
    [anon_sym_U_DQUOTE] = ACTIONS(1629),
    [anon_sym_u8_DQUOTE] = ACTIONS(1629),
    [anon_sym_DQUOTE] = ACTIONS(1629),
    [sym_true] = ACTIONS(1632),
    [sym_false] = ACTIONS(1632),
    [anon_sym_NULL] = ACTIONS(1635),
    [anon_sym_nullptr] = ACTIONS(1635),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [sym_attribute_declaration] = STATE(409),
    [sym_compound_statement] = STATE(161),
    [sym_attributed_statement] = STATE(161),
    [sym_labeled_statement] = STATE(161),
    [sym_expression_statement] = STATE(161),
    [sym_if_statement] = STATE(161),
    [sym_switch_statement] = STATE(161),
    [sym_case_statement] = STATE(161),
    [sym_while_statement] = STATE(161),
    [sym_do_statement] = STATE(161),
    [sym_for_statement] = STATE(161),
    [sym_return_statement] = STATE(161),
    [sym_break_statement] = STATE(161),
    [sym_continue_statement] = STATE(161),
    [sym_goto_statement] = STATE(161),
    [sym_seh_try_statement] = STATE(161),
    [sym_seh_leave_statement] = STATE(161),
    [sym__expression] = STATE(1199),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2083),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(409),
    [sym_identifier] = ACTIONS(1694),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [sym_attribute_declaration] = STATE(425),
    [sym_compound_statement] = STATE(306),
    [sym_attributed_statement] = STATE(306),
    [sym_labeled_statement] = STATE(306),
    [sym_expression_statement] = STATE(306),
    [sym_if_statement] = STATE(306),
    [sym_switch_statement] = STATE(306),
    [sym_case_statement] = STATE(306),
    [sym_while_statement] = STATE(306),
    [sym_do_statement] = STATE(306),
    [sym_for_statement] = STATE(306),
    [sym_return_statement] = STATE(306),
    [sym_break_statement] = STATE(306),
    [sym_continue_statement] = STATE(306),
    [sym_goto_statement] = STATE(306),
    [sym_seh_try_statement] = STATE(306),
    [sym_seh_leave_statement] = STATE(306),
    [sym__expression] = STATE(1235),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2176),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_attributed_declarator_repeat1] = STATE(425),
    [sym_identifier] = ACTIONS(1638),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1640),
    [anon_sym_default] = ACTIONS(1642),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym_identifier] = ACTIONS(1444),
    [aux_sym_preproc_include_token1] = ACTIONS(1444),
    [aux_sym_preproc_def_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token1] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1444),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(1444),
    [anon_sym_extern] = ACTIONS(1444),
    [anon_sym___attribute__] = ACTIONS(1444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1446),
    [anon_sym___declspec] = ACTIONS(1444),
    [anon_sym___cdecl] = ACTIONS(1444),
    [anon_sym___clrcall] = ACTIONS(1444),
    [anon_sym___stdcall] = ACTIONS(1444),
    [anon_sym___fastcall] = ACTIONS(1444),
    [anon_sym___thiscall] = ACTIONS(1444),
    [anon_sym___vectorcall] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_signed] = ACTIONS(1444),
    [anon_sym_unsigned] = ACTIONS(1444),
    [anon_sym_long] = ACTIONS(1444),
    [anon_sym_short] = ACTIONS(1444),
    [anon_sym_static] = ACTIONS(1444),
    [anon_sym_auto] = ACTIONS(1444),
    [anon_sym_register] = ACTIONS(1444),
    [anon_sym_inline] = ACTIONS(1444),
    [anon_sym___inline] = ACTIONS(1444),
    [anon_sym___inline__] = ACTIONS(1444),
    [anon_sym___forceinline] = ACTIONS(1444),
    [anon_sym_thread_local] = ACTIONS(1444),
    [anon_sym___thread] = ACTIONS(1444),
    [anon_sym_const] = ACTIONS(1444),
    [anon_sym_constexpr] = ACTIONS(1444),
    [anon_sym_volatile] = ACTIONS(1444),
    [anon_sym_restrict] = ACTIONS(1444),
    [anon_sym___restrict__] = ACTIONS(1444),
    [anon_sym__Atomic] = ACTIONS(1444),
    [anon_sym__Noreturn] = ACTIONS(1444),
    [anon_sym_noreturn] = ACTIONS(1444),
    [sym_primitive_type] = ACTIONS(1444),
    [anon_sym_enum] = ACTIONS(1444),
    [anon_sym_struct] = ACTIONS(1444),
    [anon_sym_union] = ACTIONS(1444),
    [anon_sym_if] = ACTIONS(1444),
    [anon_sym_switch] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(1444),
    [anon_sym_default] = ACTIONS(1444),
    [anon_sym_while] = ACTIONS(1444),
    [anon_sym_do] = ACTIONS(1444),
    [anon_sym_for] = ACTIONS(1444),
    [anon_sym_return] = ACTIONS(1444),
    [anon_sym_break] = ACTIONS(1444),
    [anon_sym_continue] = ACTIONS(1444),
    [anon_sym_goto] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_sizeof] = ACTIONS(1444),
    [anon_sym___alignof__] = ACTIONS(1444),
    [anon_sym___alignof] = ACTIONS(1444),
    [anon_sym__alignof] = ACTIONS(1444),
    [anon_sym_alignof] = ACTIONS(1444),
    [anon_sym__Alignof] = ACTIONS(1444),
    [anon_sym_offsetof] = ACTIONS(1444),
    [anon_sym__Generic] = ACTIONS(1444),
    [anon_sym_asm] = ACTIONS(1444),
    [anon_sym___asm__] = ACTIONS(1444),
    [sym_number_literal] = ACTIONS(1446),
    [anon_sym_L_SQUOTE] = ACTIONS(1446),
    [anon_sym_u_SQUOTE] = ACTIONS(1446),
    [anon_sym_U_SQUOTE] = ACTIONS(1446),
    [anon_sym_u8_SQUOTE] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_L_DQUOTE] = ACTIONS(1446),
    [anon_sym_u_DQUOTE] = ACTIONS(1446),
    [anon_sym_U_DQUOTE] = ACTIONS(1446),
    [anon_sym_u8_DQUOTE] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [anon_sym_NULL] = ACTIONS(1444),
    [anon_sym_nullptr] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym_identifier] = ACTIONS(1472),
    [aux_sym_preproc_include_token1] = ACTIONS(1472),
    [aux_sym_preproc_def_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1472),
    [sym_preproc_directive] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(1472),
    [anon_sym_typedef] = ACTIONS(1472),
    [anon_sym_extern] = ACTIONS(1472),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1474),
    [anon_sym___declspec] = ACTIONS(1472),
    [anon_sym___cdecl] = ACTIONS(1472),
    [anon_sym___clrcall] = ACTIONS(1472),
    [anon_sym___stdcall] = ACTIONS(1472),
    [anon_sym___fastcall] = ACTIONS(1472),
    [anon_sym___thiscall] = ACTIONS(1472),
    [anon_sym___vectorcall] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_signed] = ACTIONS(1472),
    [anon_sym_unsigned] = ACTIONS(1472),
    [anon_sym_long] = ACTIONS(1472),
    [anon_sym_short] = ACTIONS(1472),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_auto] = ACTIONS(1472),
    [anon_sym_register] = ACTIONS(1472),
    [anon_sym_inline] = ACTIONS(1472),
    [anon_sym___inline] = ACTIONS(1472),
    [anon_sym___inline__] = ACTIONS(1472),
    [anon_sym___forceinline] = ACTIONS(1472),
    [anon_sym_thread_local] = ACTIONS(1472),
    [anon_sym___thread] = ACTIONS(1472),
    [anon_sym_const] = ACTIONS(1472),
    [anon_sym_constexpr] = ACTIONS(1472),
    [anon_sym_volatile] = ACTIONS(1472),
    [anon_sym_restrict] = ACTIONS(1472),
    [anon_sym___restrict__] = ACTIONS(1472),
    [anon_sym__Atomic] = ACTIONS(1472),
    [anon_sym__Noreturn] = ACTIONS(1472),
    [anon_sym_noreturn] = ACTIONS(1472),
    [sym_primitive_type] = ACTIONS(1472),
    [anon_sym_enum] = ACTIONS(1472),
    [anon_sym_struct] = ACTIONS(1472),
    [anon_sym_union] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(1472),
    [anon_sym_case] = ACTIONS(1472),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_do] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(1472),
    [anon_sym_break] = ACTIONS(1472),
    [anon_sym_continue] = ACTIONS(1472),
    [anon_sym_goto] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [anon_sym_sizeof] = ACTIONS(1472),
    [anon_sym___alignof__] = ACTIONS(1472),
    [anon_sym___alignof] = ACTIONS(1472),
    [anon_sym__alignof] = ACTIONS(1472),
    [anon_sym_alignof] = ACTIONS(1472),
    [anon_sym__Alignof] = ACTIONS(1472),
    [anon_sym_offsetof] = ACTIONS(1472),
    [anon_sym__Generic] = ACTIONS(1472),
    [anon_sym_asm] = ACTIONS(1472),
    [anon_sym___asm__] = ACTIONS(1472),
    [sym_number_literal] = ACTIONS(1474),
    [anon_sym_L_SQUOTE] = ACTIONS(1474),
    [anon_sym_u_SQUOTE] = ACTIONS(1474),
    [anon_sym_U_SQUOTE] = ACTIONS(1474),
    [anon_sym_u8_SQUOTE] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_L_DQUOTE] = ACTIONS(1474),
    [anon_sym_u_DQUOTE] = ACTIONS(1474),
    [anon_sym_U_DQUOTE] = ACTIONS(1474),
    [anon_sym_u8_DQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [anon_sym_NULL] = ACTIONS(1472),
    [anon_sym_nullptr] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym_identifier] = ACTIONS(1432),
    [aux_sym_preproc_include_token1] = ACTIONS(1432),
    [aux_sym_preproc_def_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1432),
    [sym_preproc_directive] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1432),
    [anon_sym_extern] = ACTIONS(1432),
    [anon_sym___attribute__] = ACTIONS(1432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1434),
    [anon_sym___declspec] = ACTIONS(1432),
    [anon_sym___cdecl] = ACTIONS(1432),
    [anon_sym___clrcall] = ACTIONS(1432),
    [anon_sym___stdcall] = ACTIONS(1432),
    [anon_sym___fastcall] = ACTIONS(1432),
    [anon_sym___thiscall] = ACTIONS(1432),
    [anon_sym___vectorcall] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_signed] = ACTIONS(1432),
    [anon_sym_unsigned] = ACTIONS(1432),
    [anon_sym_long] = ACTIONS(1432),
    [anon_sym_short] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1432),
    [anon_sym_auto] = ACTIONS(1432),
    [anon_sym_register] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(1432),
    [anon_sym___inline] = ACTIONS(1432),
    [anon_sym___inline__] = ACTIONS(1432),
    [anon_sym___forceinline] = ACTIONS(1432),
    [anon_sym_thread_local] = ACTIONS(1432),
    [anon_sym___thread] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_constexpr] = ACTIONS(1432),
    [anon_sym_volatile] = ACTIONS(1432),
    [anon_sym_restrict] = ACTIONS(1432),
    [anon_sym___restrict__] = ACTIONS(1432),
    [anon_sym__Atomic] = ACTIONS(1432),
    [anon_sym__Noreturn] = ACTIONS(1432),
    [anon_sym_noreturn] = ACTIONS(1432),
    [sym_primitive_type] = ACTIONS(1432),
    [anon_sym_enum] = ACTIONS(1432),
    [anon_sym_struct] = ACTIONS(1432),
    [anon_sym_union] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_do] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_continue] = ACTIONS(1432),
    [anon_sym_goto] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_sizeof] = ACTIONS(1432),
    [anon_sym___alignof__] = ACTIONS(1432),
    [anon_sym___alignof] = ACTIONS(1432),
    [anon_sym__alignof] = ACTIONS(1432),
    [anon_sym_alignof] = ACTIONS(1432),
    [anon_sym__Alignof] = ACTIONS(1432),
    [anon_sym_offsetof] = ACTIONS(1432),
    [anon_sym__Generic] = ACTIONS(1432),
    [anon_sym_asm] = ACTIONS(1432),
    [anon_sym___asm__] = ACTIONS(1432),
    [sym_number_literal] = ACTIONS(1434),
    [anon_sym_L_SQUOTE] = ACTIONS(1434),
    [anon_sym_u_SQUOTE] = ACTIONS(1434),
    [anon_sym_U_SQUOTE] = ACTIONS(1434),
    [anon_sym_u8_SQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_L_DQUOTE] = ACTIONS(1434),
    [anon_sym_u_DQUOTE] = ACTIONS(1434),
    [anon_sym_U_DQUOTE] = ACTIONS(1434),
    [anon_sym_u8_DQUOTE] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [sym_true] = ACTIONS(1432),
    [sym_false] = ACTIONS(1432),
    [anon_sym_NULL] = ACTIONS(1432),
    [anon_sym_nullptr] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(1426),
    [sym_identifier] = ACTIONS(1424),
    [aux_sym_preproc_include_token1] = ACTIONS(1424),
    [aux_sym_preproc_def_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1424),
    [sym_preproc_directive] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1424),
    [anon_sym_extern] = ACTIONS(1424),
    [anon_sym___attribute__] = ACTIONS(1424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1426),
    [anon_sym___declspec] = ACTIONS(1424),
    [anon_sym___cdecl] = ACTIONS(1424),
    [anon_sym___clrcall] = ACTIONS(1424),
    [anon_sym___stdcall] = ACTIONS(1424),
    [anon_sym___fastcall] = ACTIONS(1424),
    [anon_sym___thiscall] = ACTIONS(1424),
    [anon_sym___vectorcall] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_signed] = ACTIONS(1424),
    [anon_sym_unsigned] = ACTIONS(1424),
    [anon_sym_long] = ACTIONS(1424),
    [anon_sym_short] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1424),
    [anon_sym_auto] = ACTIONS(1424),
    [anon_sym_register] = ACTIONS(1424),
    [anon_sym_inline] = ACTIONS(1424),
    [anon_sym___inline] = ACTIONS(1424),
    [anon_sym___inline__] = ACTIONS(1424),
    [anon_sym___forceinline] = ACTIONS(1424),
    [anon_sym_thread_local] = ACTIONS(1424),
    [anon_sym___thread] = ACTIONS(1424),
    [anon_sym_const] = ACTIONS(1424),
    [anon_sym_constexpr] = ACTIONS(1424),
    [anon_sym_volatile] = ACTIONS(1424),
    [anon_sym_restrict] = ACTIONS(1424),
    [anon_sym___restrict__] = ACTIONS(1424),
    [anon_sym__Atomic] = ACTIONS(1424),
    [anon_sym__Noreturn] = ACTIONS(1424),
    [anon_sym_noreturn] = ACTIONS(1424),
    [sym_primitive_type] = ACTIONS(1424),
    [anon_sym_enum] = ACTIONS(1424),
    [anon_sym_struct] = ACTIONS(1424),
    [anon_sym_union] = ACTIONS(1424),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(1424),
    [anon_sym_case] = ACTIONS(1424),
    [anon_sym_default] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1424),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1424),
    [anon_sym_return] = ACTIONS(1424),
    [anon_sym_break] = ACTIONS(1424),
    [anon_sym_continue] = ACTIONS(1424),
    [anon_sym_goto] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [anon_sym_sizeof] = ACTIONS(1424),
    [anon_sym___alignof__] = ACTIONS(1424),
    [anon_sym___alignof] = ACTIONS(1424),
    [anon_sym__alignof] = ACTIONS(1424),
    [anon_sym_alignof] = ACTIONS(1424),
    [anon_sym__Alignof] = ACTIONS(1424),
    [anon_sym_offsetof] = ACTIONS(1424),
    [anon_sym__Generic] = ACTIONS(1424),
    [anon_sym_asm] = ACTIONS(1424),
    [anon_sym___asm__] = ACTIONS(1424),
    [sym_number_literal] = ACTIONS(1426),
    [anon_sym_L_SQUOTE] = ACTIONS(1426),
    [anon_sym_u_SQUOTE] = ACTIONS(1426),
    [anon_sym_U_SQUOTE] = ACTIONS(1426),
    [anon_sym_u8_SQUOTE] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_L_DQUOTE] = ACTIONS(1426),
    [anon_sym_u_DQUOTE] = ACTIONS(1426),
    [anon_sym_U_DQUOTE] = ACTIONS(1426),
    [anon_sym_u8_DQUOTE] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_NULL] = ACTIONS(1424),
    [anon_sym_nullptr] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [sym_identifier] = ACTIONS(1436),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token1] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1436),
    [sym_preproc_directive] = ACTIONS(1436),
    [anon_sym_LPAREN2] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym___extension__] = ACTIONS(1436),
    [anon_sym_typedef] = ACTIONS(1436),
    [anon_sym_extern] = ACTIONS(1436),
    [anon_sym___attribute__] = ACTIONS(1436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1438),
    [anon_sym___declspec] = ACTIONS(1436),
    [anon_sym___cdecl] = ACTIONS(1436),
    [anon_sym___clrcall] = ACTIONS(1436),
    [anon_sym___stdcall] = ACTIONS(1436),
    [anon_sym___fastcall] = ACTIONS(1436),
    [anon_sym___thiscall] = ACTIONS(1436),
    [anon_sym___vectorcall] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_signed] = ACTIONS(1436),
    [anon_sym_unsigned] = ACTIONS(1436),
    [anon_sym_long] = ACTIONS(1436),
    [anon_sym_short] = ACTIONS(1436),
    [anon_sym_static] = ACTIONS(1436),
    [anon_sym_auto] = ACTIONS(1436),
    [anon_sym_register] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(1436),
    [anon_sym___inline] = ACTIONS(1436),
    [anon_sym___inline__] = ACTIONS(1436),
    [anon_sym___forceinline] = ACTIONS(1436),
    [anon_sym_thread_local] = ACTIONS(1436),
    [anon_sym___thread] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_constexpr] = ACTIONS(1436),
    [anon_sym_volatile] = ACTIONS(1436),
    [anon_sym_restrict] = ACTIONS(1436),
    [anon_sym___restrict__] = ACTIONS(1436),
    [anon_sym__Atomic] = ACTIONS(1436),
    [anon_sym__Noreturn] = ACTIONS(1436),
    [anon_sym_noreturn] = ACTIONS(1436),
    [sym_primitive_type] = ACTIONS(1436),
    [anon_sym_enum] = ACTIONS(1436),
    [anon_sym_struct] = ACTIONS(1436),
    [anon_sym_union] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_goto] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_sizeof] = ACTIONS(1436),
    [anon_sym___alignof__] = ACTIONS(1436),
    [anon_sym___alignof] = ACTIONS(1436),
    [anon_sym__alignof] = ACTIONS(1436),
    [anon_sym_alignof] = ACTIONS(1436),
    [anon_sym__Alignof] = ACTIONS(1436),
    [anon_sym_offsetof] = ACTIONS(1436),
    [anon_sym__Generic] = ACTIONS(1436),
    [anon_sym_asm] = ACTIONS(1436),
    [anon_sym___asm__] = ACTIONS(1436),
    [sym_number_literal] = ACTIONS(1438),
    [anon_sym_L_SQUOTE] = ACTIONS(1438),
    [anon_sym_u_SQUOTE] = ACTIONS(1438),
    [anon_sym_U_SQUOTE] = ACTIONS(1438),
    [anon_sym_u8_SQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_L_DQUOTE] = ACTIONS(1438),
    [anon_sym_u_DQUOTE] = ACTIONS(1438),
    [anon_sym_U_DQUOTE] = ACTIONS(1438),
    [anon_sym_u8_DQUOTE] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [anon_sym_NULL] = ACTIONS(1436),
    [anon_sym_nullptr] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [sym__expression] = STATE(998),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(824),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(824),
    [sym_call_expression] = STATE(824),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(824),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(824),
    [sym_initializer_list] = STATE(798),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_identifier] = ACTIONS(1526),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1887),
    [anon_sym_TILDE] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_SLASH] = ACTIONS(1514),
    [anon_sym_PERCENT] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_AMP_AMP] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1514),
    [anon_sym_CARET] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_EQ_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_GT] = ACTIONS(1514),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1514),
    [anon_sym_LT_LT] = ACTIONS(1514),
    [anon_sym_GT_GT] = ACTIONS(1514),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_RBRACK] = ACTIONS(1516),
    [anon_sym_EQ] = ACTIONS(1514),
    [anon_sym_QMARK] = ACTIONS(1516),
    [anon_sym_STAR_EQ] = ACTIONS(1516),
    [anon_sym_SLASH_EQ] = ACTIONS(1516),
    [anon_sym_PERCENT_EQ] = ACTIONS(1516),
    [anon_sym_PLUS_EQ] = ACTIONS(1516),
    [anon_sym_DASH_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT_EQ] = ACTIONS(1516),
    [anon_sym_GT_GT_EQ] = ACTIONS(1516),
    [anon_sym_AMP_EQ] = ACTIONS(1516),
    [anon_sym_CARET_EQ] = ACTIONS(1516),
    [anon_sym_PIPE_EQ] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [anon_sym_sizeof] = ACTIONS(1891),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1514),
    [anon_sym_DASH_GT] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym_identifier] = ACTIONS(1460),
    [aux_sym_preproc_include_token1] = ACTIONS(1460),
    [aux_sym_preproc_def_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1460),
    [sym_preproc_directive] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym___extension__] = ACTIONS(1460),
    [anon_sym_typedef] = ACTIONS(1460),
    [anon_sym_extern] = ACTIONS(1460),
    [anon_sym___attribute__] = ACTIONS(1460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1462),
    [anon_sym___declspec] = ACTIONS(1460),
    [anon_sym___cdecl] = ACTIONS(1460),
    [anon_sym___clrcall] = ACTIONS(1460),
    [anon_sym___stdcall] = ACTIONS(1460),
    [anon_sym___fastcall] = ACTIONS(1460),
    [anon_sym___thiscall] = ACTIONS(1460),
    [anon_sym___vectorcall] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_signed] = ACTIONS(1460),
    [anon_sym_unsigned] = ACTIONS(1460),
    [anon_sym_long] = ACTIONS(1460),
    [anon_sym_short] = ACTIONS(1460),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_auto] = ACTIONS(1460),
    [anon_sym_register] = ACTIONS(1460),
    [anon_sym_inline] = ACTIONS(1460),
    [anon_sym___inline] = ACTIONS(1460),
    [anon_sym___inline__] = ACTIONS(1460),
    [anon_sym___forceinline] = ACTIONS(1460),
    [anon_sym_thread_local] = ACTIONS(1460),
    [anon_sym___thread] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_constexpr] = ACTIONS(1460),
    [anon_sym_volatile] = ACTIONS(1460),
    [anon_sym_restrict] = ACTIONS(1460),
    [anon_sym___restrict__] = ACTIONS(1460),
    [anon_sym__Atomic] = ACTIONS(1460),
    [anon_sym__Noreturn] = ACTIONS(1460),
    [anon_sym_noreturn] = ACTIONS(1460),
    [sym_primitive_type] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_struct] = ACTIONS(1460),
    [anon_sym_union] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_goto] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_sizeof] = ACTIONS(1460),
    [anon_sym___alignof__] = ACTIONS(1460),
    [anon_sym___alignof] = ACTIONS(1460),
    [anon_sym__alignof] = ACTIONS(1460),
    [anon_sym_alignof] = ACTIONS(1460),
    [anon_sym__Alignof] = ACTIONS(1460),
    [anon_sym_offsetof] = ACTIONS(1460),
    [anon_sym__Generic] = ACTIONS(1460),
    [anon_sym_asm] = ACTIONS(1460),
    [anon_sym___asm__] = ACTIONS(1460),
    [sym_number_literal] = ACTIONS(1462),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1462),
    [anon_sym_u_DQUOTE] = ACTIONS(1462),
    [anon_sym_U_DQUOTE] = ACTIONS(1462),
    [anon_sym_u8_DQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [anon_sym_NULL] = ACTIONS(1460),
    [anon_sym_nullptr] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(1458),
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1456),
    [aux_sym_preproc_def_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1456),
    [sym_preproc_directive] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym___extension__] = ACTIONS(1456),
    [anon_sym_typedef] = ACTIONS(1456),
    [anon_sym_extern] = ACTIONS(1456),
    [anon_sym___attribute__] = ACTIONS(1456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1458),
    [anon_sym___declspec] = ACTIONS(1456),
    [anon_sym___cdecl] = ACTIONS(1456),
    [anon_sym___clrcall] = ACTIONS(1456),
    [anon_sym___stdcall] = ACTIONS(1456),
    [anon_sym___fastcall] = ACTIONS(1456),
    [anon_sym___thiscall] = ACTIONS(1456),
    [anon_sym___vectorcall] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_signed] = ACTIONS(1456),
    [anon_sym_unsigned] = ACTIONS(1456),
    [anon_sym_long] = ACTIONS(1456),
    [anon_sym_short] = ACTIONS(1456),
    [anon_sym_static] = ACTIONS(1456),
    [anon_sym_auto] = ACTIONS(1456),
    [anon_sym_register] = ACTIONS(1456),
    [anon_sym_inline] = ACTIONS(1456),
    [anon_sym___inline] = ACTIONS(1456),
    [anon_sym___inline__] = ACTIONS(1456),
    [anon_sym___forceinline] = ACTIONS(1456),
    [anon_sym_thread_local] = ACTIONS(1456),
    [anon_sym___thread] = ACTIONS(1456),
    [anon_sym_const] = ACTIONS(1456),
    [anon_sym_constexpr] = ACTIONS(1456),
    [anon_sym_volatile] = ACTIONS(1456),
    [anon_sym_restrict] = ACTIONS(1456),
    [anon_sym___restrict__] = ACTIONS(1456),
    [anon_sym__Atomic] = ACTIONS(1456),
    [anon_sym__Noreturn] = ACTIONS(1456),
    [anon_sym_noreturn] = ACTIONS(1456),
    [sym_primitive_type] = ACTIONS(1456),
    [anon_sym_enum] = ACTIONS(1456),
    [anon_sym_struct] = ACTIONS(1456),
    [anon_sym_union] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1456),
    [anon_sym_switch] = ACTIONS(1456),
    [anon_sym_case] = ACTIONS(1456),
    [anon_sym_default] = ACTIONS(1456),
    [anon_sym_while] = ACTIONS(1456),
    [anon_sym_do] = ACTIONS(1456),
    [anon_sym_for] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(1456),
    [anon_sym_break] = ACTIONS(1456),
    [anon_sym_continue] = ACTIONS(1456),
    [anon_sym_goto] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_sizeof] = ACTIONS(1456),
    [anon_sym___alignof__] = ACTIONS(1456),
    [anon_sym___alignof] = ACTIONS(1456),
    [anon_sym__alignof] = ACTIONS(1456),
    [anon_sym_alignof] = ACTIONS(1456),
    [anon_sym__Alignof] = ACTIONS(1456),
    [anon_sym_offsetof] = ACTIONS(1456),
    [anon_sym__Generic] = ACTIONS(1456),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1458),
    [anon_sym_L_SQUOTE] = ACTIONS(1458),
    [anon_sym_u_SQUOTE] = ACTIONS(1458),
    [anon_sym_U_SQUOTE] = ACTIONS(1458),
    [anon_sym_u8_SQUOTE] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_L_DQUOTE] = ACTIONS(1458),
    [anon_sym_u_DQUOTE] = ACTIONS(1458),
    [anon_sym_U_DQUOTE] = ACTIONS(1458),
    [anon_sym_u8_DQUOTE] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [sym_true] = ACTIONS(1456),
    [sym_false] = ACTIONS(1456),
    [anon_sym_NULL] = ACTIONS(1456),
    [anon_sym_nullptr] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym_identifier] = ACTIONS(1464),
    [aux_sym_preproc_include_token1] = ACTIONS(1464),
    [aux_sym_preproc_def_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token1] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1464),
    [sym_preproc_directive] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym___extension__] = ACTIONS(1464),
    [anon_sym_typedef] = ACTIONS(1464),
    [anon_sym_extern] = ACTIONS(1464),
    [anon_sym___attribute__] = ACTIONS(1464),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1466),
    [anon_sym___declspec] = ACTIONS(1464),
    [anon_sym___cdecl] = ACTIONS(1464),
    [anon_sym___clrcall] = ACTIONS(1464),
    [anon_sym___stdcall] = ACTIONS(1464),
    [anon_sym___fastcall] = ACTIONS(1464),
    [anon_sym___thiscall] = ACTIONS(1464),
    [anon_sym___vectorcall] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_signed] = ACTIONS(1464),
    [anon_sym_unsigned] = ACTIONS(1464),
    [anon_sym_long] = ACTIONS(1464),
    [anon_sym_short] = ACTIONS(1464),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_auto] = ACTIONS(1464),
    [anon_sym_register] = ACTIONS(1464),
    [anon_sym_inline] = ACTIONS(1464),
    [anon_sym___inline] = ACTIONS(1464),
    [anon_sym___inline__] = ACTIONS(1464),
    [anon_sym___forceinline] = ACTIONS(1464),
    [anon_sym_thread_local] = ACTIONS(1464),
    [anon_sym___thread] = ACTIONS(1464),
    [anon_sym_const] = ACTIONS(1464),
    [anon_sym_constexpr] = ACTIONS(1464),
    [anon_sym_volatile] = ACTIONS(1464),
    [anon_sym_restrict] = ACTIONS(1464),
    [anon_sym___restrict__] = ACTIONS(1464),
    [anon_sym__Atomic] = ACTIONS(1464),
    [anon_sym__Noreturn] = ACTIONS(1464),
    [anon_sym_noreturn] = ACTIONS(1464),
    [sym_primitive_type] = ACTIONS(1464),
    [anon_sym_enum] = ACTIONS(1464),
    [anon_sym_struct] = ACTIONS(1464),
    [anon_sym_union] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_switch] = ACTIONS(1464),
    [anon_sym_case] = ACTIONS(1464),
    [anon_sym_default] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_do] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_return] = ACTIONS(1464),
    [anon_sym_break] = ACTIONS(1464),
    [anon_sym_continue] = ACTIONS(1464),
    [anon_sym_goto] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [anon_sym_sizeof] = ACTIONS(1464),
    [anon_sym___alignof__] = ACTIONS(1464),
    [anon_sym___alignof] = ACTIONS(1464),
    [anon_sym__alignof] = ACTIONS(1464),
    [anon_sym_alignof] = ACTIONS(1464),
    [anon_sym__Alignof] = ACTIONS(1464),
    [anon_sym_offsetof] = ACTIONS(1464),
    [anon_sym__Generic] = ACTIONS(1464),
    [anon_sym_asm] = ACTIONS(1464),
    [anon_sym___asm__] = ACTIONS(1464),
    [sym_number_literal] = ACTIONS(1466),
    [anon_sym_L_SQUOTE] = ACTIONS(1466),
    [anon_sym_u_SQUOTE] = ACTIONS(1466),
    [anon_sym_U_SQUOTE] = ACTIONS(1466),
    [anon_sym_u8_SQUOTE] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_L_DQUOTE] = ACTIONS(1466),
    [anon_sym_u_DQUOTE] = ACTIONS(1466),
    [anon_sym_U_DQUOTE] = ACTIONS(1466),
    [anon_sym_u8_DQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [anon_sym_NULL] = ACTIONS(1464),
    [anon_sym_nullptr] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym___extension__] = ACTIONS(1402),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym___inline] = ACTIONS(1402),
    [anon_sym___inline__] = ACTIONS(1402),
    [anon_sym___forceinline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym___thread] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym___alignof__] = ACTIONS(1402),
    [anon_sym___alignof] = ACTIONS(1402),
    [anon_sym__alignof] = ACTIONS(1402),
    [anon_sym_alignof] = ACTIONS(1402),
    [anon_sym__Alignof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym_identifier] = ACTIONS(1468),
    [aux_sym_preproc_include_token1] = ACTIONS(1468),
    [aux_sym_preproc_def_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1468),
    [sym_preproc_directive] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym___extension__] = ACTIONS(1468),
    [anon_sym_typedef] = ACTIONS(1468),
    [anon_sym_extern] = ACTIONS(1468),
    [anon_sym___attribute__] = ACTIONS(1468),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1470),
    [anon_sym___declspec] = ACTIONS(1468),
    [anon_sym___cdecl] = ACTIONS(1468),
    [anon_sym___clrcall] = ACTIONS(1468),
    [anon_sym___stdcall] = ACTIONS(1468),
    [anon_sym___fastcall] = ACTIONS(1468),
    [anon_sym___thiscall] = ACTIONS(1468),
    [anon_sym___vectorcall] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_signed] = ACTIONS(1468),
    [anon_sym_unsigned] = ACTIONS(1468),
    [anon_sym_long] = ACTIONS(1468),
    [anon_sym_short] = ACTIONS(1468),
    [anon_sym_static] = ACTIONS(1468),
    [anon_sym_auto] = ACTIONS(1468),
    [anon_sym_register] = ACTIONS(1468),
    [anon_sym_inline] = ACTIONS(1468),
    [anon_sym___inline] = ACTIONS(1468),
    [anon_sym___inline__] = ACTIONS(1468),
    [anon_sym___forceinline] = ACTIONS(1468),
    [anon_sym_thread_local] = ACTIONS(1468),
    [anon_sym___thread] = ACTIONS(1468),
    [anon_sym_const] = ACTIONS(1468),
    [anon_sym_constexpr] = ACTIONS(1468),
    [anon_sym_volatile] = ACTIONS(1468),
    [anon_sym_restrict] = ACTIONS(1468),
    [anon_sym___restrict__] = ACTIONS(1468),
    [anon_sym__Atomic] = ACTIONS(1468),
    [anon_sym__Noreturn] = ACTIONS(1468),
    [anon_sym_noreturn] = ACTIONS(1468),
    [sym_primitive_type] = ACTIONS(1468),
    [anon_sym_enum] = ACTIONS(1468),
    [anon_sym_struct] = ACTIONS(1468),
    [anon_sym_union] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_switch] = ACTIONS(1468),
    [anon_sym_case] = ACTIONS(1468),
    [anon_sym_default] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_do] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_return] = ACTIONS(1468),
    [anon_sym_break] = ACTIONS(1468),
    [anon_sym_continue] = ACTIONS(1468),
    [anon_sym_goto] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [anon_sym_sizeof] = ACTIONS(1468),
    [anon_sym___alignof__] = ACTIONS(1468),
    [anon_sym___alignof] = ACTIONS(1468),
    [anon_sym__alignof] = ACTIONS(1468),
    [anon_sym_alignof] = ACTIONS(1468),
    [anon_sym__Alignof] = ACTIONS(1468),
    [anon_sym_offsetof] = ACTIONS(1468),
    [anon_sym__Generic] = ACTIONS(1468),
    [anon_sym_asm] = ACTIONS(1468),
    [anon_sym___asm__] = ACTIONS(1468),
    [sym_number_literal] = ACTIONS(1470),
    [anon_sym_L_SQUOTE] = ACTIONS(1470),
    [anon_sym_u_SQUOTE] = ACTIONS(1470),
    [anon_sym_U_SQUOTE] = ACTIONS(1470),
    [anon_sym_u8_SQUOTE] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_L_DQUOTE] = ACTIONS(1470),
    [anon_sym_u_DQUOTE] = ACTIONS(1470),
    [anon_sym_U_DQUOTE] = ACTIONS(1470),
    [anon_sym_u8_DQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [anon_sym_NULL] = ACTIONS(1468),
    [anon_sym_nullptr] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(1486),
    [sym_identifier] = ACTIONS(1484),
    [aux_sym_preproc_include_token1] = ACTIONS(1484),
    [aux_sym_preproc_def_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token1] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1484),
    [sym_preproc_directive] = ACTIONS(1484),
    [anon_sym_LPAREN2] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym___extension__] = ACTIONS(1484),
    [anon_sym_typedef] = ACTIONS(1484),
    [anon_sym_extern] = ACTIONS(1484),
    [anon_sym___attribute__] = ACTIONS(1484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym___declspec] = ACTIONS(1484),
    [anon_sym___cdecl] = ACTIONS(1484),
    [anon_sym___clrcall] = ACTIONS(1484),
    [anon_sym___stdcall] = ACTIONS(1484),
    [anon_sym___fastcall] = ACTIONS(1484),
    [anon_sym___thiscall] = ACTIONS(1484),
    [anon_sym___vectorcall] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_signed] = ACTIONS(1484),
    [anon_sym_unsigned] = ACTIONS(1484),
    [anon_sym_long] = ACTIONS(1484),
    [anon_sym_short] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(1484),
    [anon_sym_auto] = ACTIONS(1484),
    [anon_sym_register] = ACTIONS(1484),
    [anon_sym_inline] = ACTIONS(1484),
    [anon_sym___inline] = ACTIONS(1484),
    [anon_sym___inline__] = ACTIONS(1484),
    [anon_sym___forceinline] = ACTIONS(1484),
    [anon_sym_thread_local] = ACTIONS(1484),
    [anon_sym___thread] = ACTIONS(1484),
    [anon_sym_const] = ACTIONS(1484),
    [anon_sym_constexpr] = ACTIONS(1484),
    [anon_sym_volatile] = ACTIONS(1484),
    [anon_sym_restrict] = ACTIONS(1484),
    [anon_sym___restrict__] = ACTIONS(1484),
    [anon_sym__Atomic] = ACTIONS(1484),
    [anon_sym__Noreturn] = ACTIONS(1484),
    [anon_sym_noreturn] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(1484),
    [anon_sym_enum] = ACTIONS(1484),
    [anon_sym_struct] = ACTIONS(1484),
    [anon_sym_union] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_switch] = ACTIONS(1484),
    [anon_sym_case] = ACTIONS(1484),
    [anon_sym_default] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_do] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_return] = ACTIONS(1484),
    [anon_sym_break] = ACTIONS(1484),
    [anon_sym_continue] = ACTIONS(1484),
    [anon_sym_goto] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [anon_sym_sizeof] = ACTIONS(1484),
    [anon_sym___alignof__] = ACTIONS(1484),
    [anon_sym___alignof] = ACTIONS(1484),
    [anon_sym__alignof] = ACTIONS(1484),
    [anon_sym_alignof] = ACTIONS(1484),
    [anon_sym__Alignof] = ACTIONS(1484),
    [anon_sym_offsetof] = ACTIONS(1484),
    [anon_sym__Generic] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1484),
    [anon_sym___asm__] = ACTIONS(1484),
    [sym_number_literal] = ACTIONS(1486),
    [anon_sym_L_SQUOTE] = ACTIONS(1486),
    [anon_sym_u_SQUOTE] = ACTIONS(1486),
    [anon_sym_U_SQUOTE] = ACTIONS(1486),
    [anon_sym_u8_SQUOTE] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_L_DQUOTE] = ACTIONS(1486),
    [anon_sym_u_DQUOTE] = ACTIONS(1486),
    [anon_sym_U_DQUOTE] = ACTIONS(1486),
    [anon_sym_u8_DQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [anon_sym_NULL] = ACTIONS(1484),
    [anon_sym_nullptr] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(1893),
    [sym_identifier] = ACTIONS(1895),
    [aux_sym_preproc_include_token1] = ACTIONS(1895),
    [aux_sym_preproc_def_token1] = ACTIONS(1895),
    [aux_sym_preproc_if_token1] = ACTIONS(1895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1895),
    [sym_preproc_directive] = ACTIONS(1895),
    [anon_sym_LPAREN2] = ACTIONS(1893),
    [anon_sym_BANG] = ACTIONS(1893),
    [anon_sym_TILDE] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1893),
    [anon_sym_AMP] = ACTIONS(1893),
    [anon_sym___extension__] = ACTIONS(1895),
    [anon_sym_typedef] = ACTIONS(1895),
    [anon_sym_extern] = ACTIONS(1895),
    [anon_sym___attribute__] = ACTIONS(1895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1893),
    [anon_sym___declspec] = ACTIONS(1895),
    [anon_sym___cdecl] = ACTIONS(1895),
    [anon_sym___clrcall] = ACTIONS(1895),
    [anon_sym___stdcall] = ACTIONS(1895),
    [anon_sym___fastcall] = ACTIONS(1895),
    [anon_sym___thiscall] = ACTIONS(1895),
    [anon_sym___vectorcall] = ACTIONS(1895),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_signed] = ACTIONS(1895),
    [anon_sym_unsigned] = ACTIONS(1895),
    [anon_sym_long] = ACTIONS(1895),
    [anon_sym_short] = ACTIONS(1895),
    [anon_sym_static] = ACTIONS(1895),
    [anon_sym_auto] = ACTIONS(1895),
    [anon_sym_register] = ACTIONS(1895),
    [anon_sym_inline] = ACTIONS(1895),
    [anon_sym___inline] = ACTIONS(1895),
    [anon_sym___inline__] = ACTIONS(1895),
    [anon_sym___forceinline] = ACTIONS(1895),
    [anon_sym_thread_local] = ACTIONS(1895),
    [anon_sym___thread] = ACTIONS(1895),
    [anon_sym_const] = ACTIONS(1895),
    [anon_sym_constexpr] = ACTIONS(1895),
    [anon_sym_volatile] = ACTIONS(1895),
    [anon_sym_restrict] = ACTIONS(1895),
    [anon_sym___restrict__] = ACTIONS(1895),
    [anon_sym__Atomic] = ACTIONS(1895),
    [anon_sym__Noreturn] = ACTIONS(1895),
    [anon_sym_noreturn] = ACTIONS(1895),
    [sym_primitive_type] = ACTIONS(1895),
    [anon_sym_enum] = ACTIONS(1895),
    [anon_sym_struct] = ACTIONS(1895),
    [anon_sym_union] = ACTIONS(1895),
    [anon_sym_if] = ACTIONS(1895),
    [anon_sym_switch] = ACTIONS(1895),
    [anon_sym_case] = ACTIONS(1895),
    [anon_sym_default] = ACTIONS(1895),
    [anon_sym_while] = ACTIONS(1895),
    [anon_sym_do] = ACTIONS(1895),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_return] = ACTIONS(1895),
    [anon_sym_break] = ACTIONS(1895),
    [anon_sym_continue] = ACTIONS(1895),
    [anon_sym_goto] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1893),
    [anon_sym_PLUS_PLUS] = ACTIONS(1893),
    [anon_sym_sizeof] = ACTIONS(1895),
    [anon_sym___alignof__] = ACTIONS(1895),
    [anon_sym___alignof] = ACTIONS(1895),
    [anon_sym__alignof] = ACTIONS(1895),
    [anon_sym_alignof] = ACTIONS(1895),
    [anon_sym__Alignof] = ACTIONS(1895),
    [anon_sym_offsetof] = ACTIONS(1895),
    [anon_sym__Generic] = ACTIONS(1895),
    [anon_sym_asm] = ACTIONS(1895),
    [anon_sym___asm__] = ACTIONS(1895),
    [sym_number_literal] = ACTIONS(1893),
    [anon_sym_L_SQUOTE] = ACTIONS(1893),
    [anon_sym_u_SQUOTE] = ACTIONS(1893),
    [anon_sym_U_SQUOTE] = ACTIONS(1893),
    [anon_sym_u8_SQUOTE] = ACTIONS(1893),
    [anon_sym_SQUOTE] = ACTIONS(1893),
    [anon_sym_L_DQUOTE] = ACTIONS(1893),
    [anon_sym_u_DQUOTE] = ACTIONS(1893),
    [anon_sym_U_DQUOTE] = ACTIONS(1893),
    [anon_sym_u8_DQUOTE] = ACTIONS(1893),
    [anon_sym_DQUOTE] = ACTIONS(1893),
    [sym_true] = ACTIONS(1895),
    [sym_false] = ACTIONS(1895),
    [anon_sym_NULL] = ACTIONS(1895),
    [anon_sym_nullptr] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(1498),
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_goto] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_sizeof] = ACTIONS(1496),
    [anon_sym___alignof__] = ACTIONS(1496),
    [anon_sym___alignof] = ACTIONS(1496),
    [anon_sym__alignof] = ACTIONS(1496),
    [anon_sym_alignof] = ACTIONS(1496),
    [anon_sym__Alignof] = ACTIONS(1496),
    [anon_sym_offsetof] = ACTIONS(1496),
    [anon_sym__Generic] = ACTIONS(1496),
    [anon_sym_asm] = ACTIONS(1496),
    [anon_sym___asm__] = ACTIONS(1496),
    [sym_number_literal] = ACTIONS(1498),
    [anon_sym_L_SQUOTE] = ACTIONS(1498),
    [anon_sym_u_SQUOTE] = ACTIONS(1498),
    [anon_sym_U_SQUOTE] = ACTIONS(1498),
    [anon_sym_u8_SQUOTE] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_L_DQUOTE] = ACTIONS(1498),
    [anon_sym_u_DQUOTE] = ACTIONS(1498),
    [anon_sym_U_DQUOTE] = ACTIONS(1498),
    [anon_sym_u8_DQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [anon_sym_NULL] = ACTIONS(1496),
    [anon_sym_nullptr] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(1478),
    [sym_identifier] = ACTIONS(1476),
    [aux_sym_preproc_include_token1] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym___extension__] = ACTIONS(1476),
    [anon_sym_typedef] = ACTIONS(1476),
    [anon_sym_extern] = ACTIONS(1476),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1476),
    [anon_sym___cdecl] = ACTIONS(1476),
    [anon_sym___clrcall] = ACTIONS(1476),
    [anon_sym___stdcall] = ACTIONS(1476),
    [anon_sym___fastcall] = ACTIONS(1476),
    [anon_sym___thiscall] = ACTIONS(1476),
    [anon_sym___vectorcall] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_signed] = ACTIONS(1476),
    [anon_sym_unsigned] = ACTIONS(1476),
    [anon_sym_long] = ACTIONS(1476),
    [anon_sym_short] = ACTIONS(1476),
    [anon_sym_static] = ACTIONS(1476),
    [anon_sym_auto] = ACTIONS(1476),
    [anon_sym_register] = ACTIONS(1476),
    [anon_sym_inline] = ACTIONS(1476),
    [anon_sym___inline] = ACTIONS(1476),
    [anon_sym___inline__] = ACTIONS(1476),
    [anon_sym___forceinline] = ACTIONS(1476),
    [anon_sym_thread_local] = ACTIONS(1476),
    [anon_sym___thread] = ACTIONS(1476),
    [anon_sym_const] = ACTIONS(1476),
    [anon_sym_constexpr] = ACTIONS(1476),
    [anon_sym_volatile] = ACTIONS(1476),
    [anon_sym_restrict] = ACTIONS(1476),
    [anon_sym___restrict__] = ACTIONS(1476),
    [anon_sym__Atomic] = ACTIONS(1476),
    [anon_sym__Noreturn] = ACTIONS(1476),
    [anon_sym_noreturn] = ACTIONS(1476),
    [sym_primitive_type] = ACTIONS(1476),
    [anon_sym_enum] = ACTIONS(1476),
    [anon_sym_struct] = ACTIONS(1476),
    [anon_sym_union] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_switch] = ACTIONS(1476),
    [anon_sym_case] = ACTIONS(1476),
    [anon_sym_default] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_do] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1476),
    [anon_sym_break] = ACTIONS(1476),
    [anon_sym_continue] = ACTIONS(1476),
    [anon_sym_goto] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [anon_sym_sizeof] = ACTIONS(1476),
    [anon_sym___alignof__] = ACTIONS(1476),
    [anon_sym___alignof] = ACTIONS(1476),
    [anon_sym__alignof] = ACTIONS(1476),
    [anon_sym_alignof] = ACTIONS(1476),
    [anon_sym__Alignof] = ACTIONS(1476),
    [anon_sym_offsetof] = ACTIONS(1476),
    [anon_sym__Generic] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1476),
    [anon_sym___asm__] = ACTIONS(1476),
    [sym_number_literal] = ACTIONS(1478),
    [anon_sym_L_SQUOTE] = ACTIONS(1478),
    [anon_sym_u_SQUOTE] = ACTIONS(1478),
    [anon_sym_U_SQUOTE] = ACTIONS(1478),
    [anon_sym_u8_SQUOTE] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_L_DQUOTE] = ACTIONS(1478),
    [anon_sym_u_DQUOTE] = ACTIONS(1478),
    [anon_sym_U_DQUOTE] = ACTIONS(1478),
    [anon_sym_u8_DQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [anon_sym_NULL] = ACTIONS(1476),
    [anon_sym_nullptr] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym_identifier] = ACTIONS(1440),
    [aux_sym_preproc_include_token1] = ACTIONS(1440),
    [aux_sym_preproc_def_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1440),
    [sym_preproc_directive] = ACTIONS(1440),
    [anon_sym_LPAREN2] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(1440),
    [anon_sym_extern] = ACTIONS(1440),
    [anon_sym___attribute__] = ACTIONS(1440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1442),
    [anon_sym___declspec] = ACTIONS(1440),
    [anon_sym___cdecl] = ACTIONS(1440),
    [anon_sym___clrcall] = ACTIONS(1440),
    [anon_sym___stdcall] = ACTIONS(1440),
    [anon_sym___fastcall] = ACTIONS(1440),
    [anon_sym___thiscall] = ACTIONS(1440),
    [anon_sym___vectorcall] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_signed] = ACTIONS(1440),
    [anon_sym_unsigned] = ACTIONS(1440),
    [anon_sym_long] = ACTIONS(1440),
    [anon_sym_short] = ACTIONS(1440),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_auto] = ACTIONS(1440),
    [anon_sym_register] = ACTIONS(1440),
    [anon_sym_inline] = ACTIONS(1440),
    [anon_sym___inline] = ACTIONS(1440),
    [anon_sym___inline__] = ACTIONS(1440),
    [anon_sym___forceinline] = ACTIONS(1440),
    [anon_sym_thread_local] = ACTIONS(1440),
    [anon_sym___thread] = ACTIONS(1440),
    [anon_sym_const] = ACTIONS(1440),
    [anon_sym_constexpr] = ACTIONS(1440),
    [anon_sym_volatile] = ACTIONS(1440),
    [anon_sym_restrict] = ACTIONS(1440),
    [anon_sym___restrict__] = ACTIONS(1440),
    [anon_sym__Atomic] = ACTIONS(1440),
    [anon_sym__Noreturn] = ACTIONS(1440),
    [anon_sym_noreturn] = ACTIONS(1440),
    [sym_primitive_type] = ACTIONS(1440),
    [anon_sym_enum] = ACTIONS(1440),
    [anon_sym_struct] = ACTIONS(1440),
    [anon_sym_union] = ACTIONS(1440),
    [anon_sym_if] = ACTIONS(1440),
    [anon_sym_switch] = ACTIONS(1440),
    [anon_sym_case] = ACTIONS(1440),
    [anon_sym_default] = ACTIONS(1440),
    [anon_sym_while] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1440),
    [anon_sym_for] = ACTIONS(1440),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_break] = ACTIONS(1440),
    [anon_sym_continue] = ACTIONS(1440),
    [anon_sym_goto] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [anon_sym_sizeof] = ACTIONS(1440),
    [anon_sym___alignof__] = ACTIONS(1440),
    [anon_sym___alignof] = ACTIONS(1440),
    [anon_sym__alignof] = ACTIONS(1440),
    [anon_sym_alignof] = ACTIONS(1440),
    [anon_sym__Alignof] = ACTIONS(1440),
    [anon_sym_offsetof] = ACTIONS(1440),
    [anon_sym__Generic] = ACTIONS(1440),
    [anon_sym_asm] = ACTIONS(1440),
    [anon_sym___asm__] = ACTIONS(1440),
    [sym_number_literal] = ACTIONS(1442),
    [anon_sym_L_SQUOTE] = ACTIONS(1442),
    [anon_sym_u_SQUOTE] = ACTIONS(1442),
    [anon_sym_U_SQUOTE] = ACTIONS(1442),
    [anon_sym_u8_SQUOTE] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_L_DQUOTE] = ACTIONS(1442),
    [anon_sym_u_DQUOTE] = ACTIONS(1442),
    [anon_sym_U_DQUOTE] = ACTIONS(1442),
    [anon_sym_u8_DQUOTE] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [sym_true] = ACTIONS(1440),
    [sym_false] = ACTIONS(1440),
    [anon_sym_NULL] = ACTIONS(1440),
    [anon_sym_nullptr] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym_identifier] = ACTIONS(1448),
    [aux_sym_preproc_include_token1] = ACTIONS(1448),
    [aux_sym_preproc_def_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1448),
    [sym_preproc_directive] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym___extension__] = ACTIONS(1448),
    [anon_sym_typedef] = ACTIONS(1448),
    [anon_sym_extern] = ACTIONS(1448),
    [anon_sym___attribute__] = ACTIONS(1448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1450),
    [anon_sym___declspec] = ACTIONS(1448),
    [anon_sym___cdecl] = ACTIONS(1448),
    [anon_sym___clrcall] = ACTIONS(1448),
    [anon_sym___stdcall] = ACTIONS(1448),
    [anon_sym___fastcall] = ACTIONS(1448),
    [anon_sym___thiscall] = ACTIONS(1448),
    [anon_sym___vectorcall] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_signed] = ACTIONS(1448),
    [anon_sym_unsigned] = ACTIONS(1448),
    [anon_sym_long] = ACTIONS(1448),
    [anon_sym_short] = ACTIONS(1448),
    [anon_sym_static] = ACTIONS(1448),
    [anon_sym_auto] = ACTIONS(1448),
    [anon_sym_register] = ACTIONS(1448),
    [anon_sym_inline] = ACTIONS(1448),
    [anon_sym___inline] = ACTIONS(1448),
    [anon_sym___inline__] = ACTIONS(1448),
    [anon_sym___forceinline] = ACTIONS(1448),
    [anon_sym_thread_local] = ACTIONS(1448),
    [anon_sym___thread] = ACTIONS(1448),
    [anon_sym_const] = ACTIONS(1448),
    [anon_sym_constexpr] = ACTIONS(1448),
    [anon_sym_volatile] = ACTIONS(1448),
    [anon_sym_restrict] = ACTIONS(1448),
    [anon_sym___restrict__] = ACTIONS(1448),
    [anon_sym__Atomic] = ACTIONS(1448),
    [anon_sym__Noreturn] = ACTIONS(1448),
    [anon_sym_noreturn] = ACTIONS(1448),
    [sym_primitive_type] = ACTIONS(1448),
    [anon_sym_enum] = ACTIONS(1448),
    [anon_sym_struct] = ACTIONS(1448),
    [anon_sym_union] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1448),
    [anon_sym_switch] = ACTIONS(1448),
    [anon_sym_case] = ACTIONS(1448),
    [anon_sym_default] = ACTIONS(1448),
    [anon_sym_while] = ACTIONS(1448),
    [anon_sym_do] = ACTIONS(1448),
    [anon_sym_for] = ACTIONS(1448),
    [anon_sym_return] = ACTIONS(1448),
    [anon_sym_break] = ACTIONS(1448),
    [anon_sym_continue] = ACTIONS(1448),
    [anon_sym_goto] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_sizeof] = ACTIONS(1448),
    [anon_sym___alignof__] = ACTIONS(1448),
    [anon_sym___alignof] = ACTIONS(1448),
    [anon_sym__alignof] = ACTIONS(1448),
    [anon_sym_alignof] = ACTIONS(1448),
    [anon_sym__Alignof] = ACTIONS(1448),
    [anon_sym_offsetof] = ACTIONS(1448),
    [anon_sym__Generic] = ACTIONS(1448),
    [anon_sym_asm] = ACTIONS(1448),
    [anon_sym___asm__] = ACTIONS(1448),
    [sym_number_literal] = ACTIONS(1450),
    [anon_sym_L_SQUOTE] = ACTIONS(1450),
    [anon_sym_u_SQUOTE] = ACTIONS(1450),
    [anon_sym_U_SQUOTE] = ACTIONS(1450),
    [anon_sym_u8_SQUOTE] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_L_DQUOTE] = ACTIONS(1450),
    [anon_sym_u_DQUOTE] = ACTIONS(1450),
    [anon_sym_U_DQUOTE] = ACTIONS(1450),
    [anon_sym_u8_DQUOTE] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [sym_true] = ACTIONS(1448),
    [sym_false] = ACTIONS(1448),
    [anon_sym_NULL] = ACTIONS(1448),
    [anon_sym_nullptr] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1428),
    [aux_sym_preproc_def_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1428),
    [sym_preproc_directive] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1428),
    [anon_sym_extern] = ACTIONS(1428),
    [anon_sym___attribute__] = ACTIONS(1428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1430),
    [anon_sym___declspec] = ACTIONS(1428),
    [anon_sym___cdecl] = ACTIONS(1428),
    [anon_sym___clrcall] = ACTIONS(1428),
    [anon_sym___stdcall] = ACTIONS(1428),
    [anon_sym___fastcall] = ACTIONS(1428),
    [anon_sym___thiscall] = ACTIONS(1428),
    [anon_sym___vectorcall] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_signed] = ACTIONS(1428),
    [anon_sym_unsigned] = ACTIONS(1428),
    [anon_sym_long] = ACTIONS(1428),
    [anon_sym_short] = ACTIONS(1428),
    [anon_sym_static] = ACTIONS(1428),
    [anon_sym_auto] = ACTIONS(1428),
    [anon_sym_register] = ACTIONS(1428),
    [anon_sym_inline] = ACTIONS(1428),
    [anon_sym___inline] = ACTIONS(1428),
    [anon_sym___inline__] = ACTIONS(1428),
    [anon_sym___forceinline] = ACTIONS(1428),
    [anon_sym_thread_local] = ACTIONS(1428),
    [anon_sym___thread] = ACTIONS(1428),
    [anon_sym_const] = ACTIONS(1428),
    [anon_sym_constexpr] = ACTIONS(1428),
    [anon_sym_volatile] = ACTIONS(1428),
    [anon_sym_restrict] = ACTIONS(1428),
    [anon_sym___restrict__] = ACTIONS(1428),
    [anon_sym__Atomic] = ACTIONS(1428),
    [anon_sym__Noreturn] = ACTIONS(1428),
    [anon_sym_noreturn] = ACTIONS(1428),
    [sym_primitive_type] = ACTIONS(1428),
    [anon_sym_enum] = ACTIONS(1428),
    [anon_sym_struct] = ACTIONS(1428),
    [anon_sym_union] = ACTIONS(1428),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_switch] = ACTIONS(1428),
    [anon_sym_case] = ACTIONS(1428),
    [anon_sym_default] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_do] = ACTIONS(1428),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_return] = ACTIONS(1428),
    [anon_sym_break] = ACTIONS(1428),
    [anon_sym_continue] = ACTIONS(1428),
    [anon_sym_goto] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_sizeof] = ACTIONS(1428),
    [anon_sym___alignof__] = ACTIONS(1428),
    [anon_sym___alignof] = ACTIONS(1428),
    [anon_sym__alignof] = ACTIONS(1428),
    [anon_sym_alignof] = ACTIONS(1428),
    [anon_sym__Alignof] = ACTIONS(1428),
    [anon_sym_offsetof] = ACTIONS(1428),
    [anon_sym__Generic] = ACTIONS(1428),
    [anon_sym_asm] = ACTIONS(1428),
    [anon_sym___asm__] = ACTIONS(1428),
    [sym_number_literal] = ACTIONS(1430),
    [anon_sym_L_SQUOTE] = ACTIONS(1430),
    [anon_sym_u_SQUOTE] = ACTIONS(1430),
    [anon_sym_U_SQUOTE] = ACTIONS(1430),
    [anon_sym_u8_SQUOTE] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_L_DQUOTE] = ACTIONS(1430),
    [anon_sym_u_DQUOTE] = ACTIONS(1430),
    [anon_sym_U_DQUOTE] = ACTIONS(1430),
    [anon_sym_u8_DQUOTE] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [sym_true] = ACTIONS(1428),
    [sym_false] = ACTIONS(1428),
    [anon_sym_NULL] = ACTIONS(1428),
    [anon_sym_nullptr] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(1482),
    [sym_identifier] = ACTIONS(1480),
    [aux_sym_preproc_include_token1] = ACTIONS(1480),
    [aux_sym_preproc_def_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token1] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1480),
    [sym_preproc_directive] = ACTIONS(1480),
    [anon_sym_LPAREN2] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(1480),
    [anon_sym_typedef] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(1480),
    [anon_sym___attribute__] = ACTIONS(1480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1480),
    [anon_sym___cdecl] = ACTIONS(1480),
    [anon_sym___clrcall] = ACTIONS(1480),
    [anon_sym___stdcall] = ACTIONS(1480),
    [anon_sym___fastcall] = ACTIONS(1480),
    [anon_sym___thiscall] = ACTIONS(1480),
    [anon_sym___vectorcall] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_signed] = ACTIONS(1480),
    [anon_sym_unsigned] = ACTIONS(1480),
    [anon_sym_long] = ACTIONS(1480),
    [anon_sym_short] = ACTIONS(1480),
    [anon_sym_static] = ACTIONS(1480),
    [anon_sym_auto] = ACTIONS(1480),
    [anon_sym_register] = ACTIONS(1480),
    [anon_sym_inline] = ACTIONS(1480),
    [anon_sym___inline] = ACTIONS(1480),
    [anon_sym___inline__] = ACTIONS(1480),
    [anon_sym___forceinline] = ACTIONS(1480),
    [anon_sym_thread_local] = ACTIONS(1480),
    [anon_sym___thread] = ACTIONS(1480),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_constexpr] = ACTIONS(1480),
    [anon_sym_volatile] = ACTIONS(1480),
    [anon_sym_restrict] = ACTIONS(1480),
    [anon_sym___restrict__] = ACTIONS(1480),
    [anon_sym__Atomic] = ACTIONS(1480),
    [anon_sym__Noreturn] = ACTIONS(1480),
    [anon_sym_noreturn] = ACTIONS(1480),
    [sym_primitive_type] = ACTIONS(1480),
    [anon_sym_enum] = ACTIONS(1480),
    [anon_sym_struct] = ACTIONS(1480),
    [anon_sym_union] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_switch] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_do] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_return] = ACTIONS(1480),
    [anon_sym_break] = ACTIONS(1480),
    [anon_sym_continue] = ACTIONS(1480),
    [anon_sym_goto] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_sizeof] = ACTIONS(1480),
    [anon_sym___alignof__] = ACTIONS(1480),
    [anon_sym___alignof] = ACTIONS(1480),
    [anon_sym__alignof] = ACTIONS(1480),
    [anon_sym_alignof] = ACTIONS(1480),
    [anon_sym__Alignof] = ACTIONS(1480),
    [anon_sym_offsetof] = ACTIONS(1480),
    [anon_sym__Generic] = ACTIONS(1480),
    [anon_sym_asm] = ACTIONS(1480),
    [anon_sym___asm__] = ACTIONS(1480),
    [sym_number_literal] = ACTIONS(1482),
    [anon_sym_L_SQUOTE] = ACTIONS(1482),
    [anon_sym_u_SQUOTE] = ACTIONS(1482),
    [anon_sym_U_SQUOTE] = ACTIONS(1482),
    [anon_sym_u8_SQUOTE] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_L_DQUOTE] = ACTIONS(1482),
    [anon_sym_u_DQUOTE] = ACTIONS(1482),
    [anon_sym_U_DQUOTE] = ACTIONS(1482),
    [anon_sym_u8_DQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [anon_sym_NULL] = ACTIONS(1480),
    [anon_sym_nullptr] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(1502),
    [sym_identifier] = ACTIONS(1500),
    [aux_sym_preproc_include_token1] = ACTIONS(1500),
    [aux_sym_preproc_def_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1500),
    [sym_preproc_directive] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym___extension__] = ACTIONS(1500),
    [anon_sym_typedef] = ACTIONS(1500),
    [anon_sym_extern] = ACTIONS(1500),
    [anon_sym___attribute__] = ACTIONS(1500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1502),
    [anon_sym___declspec] = ACTIONS(1500),
    [anon_sym___cdecl] = ACTIONS(1500),
    [anon_sym___clrcall] = ACTIONS(1500),
    [anon_sym___stdcall] = ACTIONS(1500),
    [anon_sym___fastcall] = ACTIONS(1500),
    [anon_sym___thiscall] = ACTIONS(1500),
    [anon_sym___vectorcall] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_signed] = ACTIONS(1500),
    [anon_sym_unsigned] = ACTIONS(1500),
    [anon_sym_long] = ACTIONS(1500),
    [anon_sym_short] = ACTIONS(1500),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_auto] = ACTIONS(1500),
    [anon_sym_register] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1500),
    [anon_sym___inline] = ACTIONS(1500),
    [anon_sym___inline__] = ACTIONS(1500),
    [anon_sym___forceinline] = ACTIONS(1500),
    [anon_sym_thread_local] = ACTIONS(1500),
    [anon_sym___thread] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_constexpr] = ACTIONS(1500),
    [anon_sym_volatile] = ACTIONS(1500),
    [anon_sym_restrict] = ACTIONS(1500),
    [anon_sym___restrict__] = ACTIONS(1500),
    [anon_sym__Atomic] = ACTIONS(1500),
    [anon_sym__Noreturn] = ACTIONS(1500),
    [anon_sym_noreturn] = ACTIONS(1500),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1500),
    [anon_sym_union] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_goto] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_sizeof] = ACTIONS(1500),
    [anon_sym___alignof__] = ACTIONS(1500),
    [anon_sym___alignof] = ACTIONS(1500),
    [anon_sym__alignof] = ACTIONS(1500),
    [anon_sym_alignof] = ACTIONS(1500),
    [anon_sym__Alignof] = ACTIONS(1500),
    [anon_sym_offsetof] = ACTIONS(1500),
    [anon_sym__Generic] = ACTIONS(1500),
    [anon_sym_asm] = ACTIONS(1500),
    [anon_sym___asm__] = ACTIONS(1500),
    [sym_number_literal] = ACTIONS(1502),
    [anon_sym_L_SQUOTE] = ACTIONS(1502),
    [anon_sym_u_SQUOTE] = ACTIONS(1502),
    [anon_sym_U_SQUOTE] = ACTIONS(1502),
    [anon_sym_u8_SQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_L_DQUOTE] = ACTIONS(1502),
    [anon_sym_u_DQUOTE] = ACTIONS(1502),
    [anon_sym_U_DQUOTE] = ACTIONS(1502),
    [anon_sym_u8_DQUOTE] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [anon_sym_NULL] = ACTIONS(1500),
    [anon_sym_nullptr] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym_identifier] = ACTIONS(1452),
    [aux_sym_preproc_include_token1] = ACTIONS(1452),
    [aux_sym_preproc_def_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1452),
    [sym_preproc_directive] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym___extension__] = ACTIONS(1452),
    [anon_sym_typedef] = ACTIONS(1452),
    [anon_sym_extern] = ACTIONS(1452),
    [anon_sym___attribute__] = ACTIONS(1452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym___declspec] = ACTIONS(1452),
    [anon_sym___cdecl] = ACTIONS(1452),
    [anon_sym___clrcall] = ACTIONS(1452),
    [anon_sym___stdcall] = ACTIONS(1452),
    [anon_sym___fastcall] = ACTIONS(1452),
    [anon_sym___thiscall] = ACTIONS(1452),
    [anon_sym___vectorcall] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_signed] = ACTIONS(1452),
    [anon_sym_unsigned] = ACTIONS(1452),
    [anon_sym_long] = ACTIONS(1452),
    [anon_sym_short] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_auto] = ACTIONS(1452),
    [anon_sym_register] = ACTIONS(1452),
    [anon_sym_inline] = ACTIONS(1452),
    [anon_sym___inline] = ACTIONS(1452),
    [anon_sym___inline__] = ACTIONS(1452),
    [anon_sym___forceinline] = ACTIONS(1452),
    [anon_sym_thread_local] = ACTIONS(1452),
    [anon_sym___thread] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_constexpr] = ACTIONS(1452),
    [anon_sym_volatile] = ACTIONS(1452),
    [anon_sym_restrict] = ACTIONS(1452),
    [anon_sym___restrict__] = ACTIONS(1452),
    [anon_sym__Atomic] = ACTIONS(1452),
    [anon_sym__Noreturn] = ACTIONS(1452),
    [anon_sym_noreturn] = ACTIONS(1452),
    [sym_primitive_type] = ACTIONS(1452),
    [anon_sym_enum] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1452),
    [anon_sym_union] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_switch] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_do] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_return] = ACTIONS(1452),
    [anon_sym_break] = ACTIONS(1452),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_goto] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_sizeof] = ACTIONS(1452),
    [anon_sym___alignof__] = ACTIONS(1452),
    [anon_sym___alignof] = ACTIONS(1452),
    [anon_sym__alignof] = ACTIONS(1452),
    [anon_sym_alignof] = ACTIONS(1452),
    [anon_sym__Alignof] = ACTIONS(1452),
    [anon_sym_offsetof] = ACTIONS(1452),
    [anon_sym__Generic] = ACTIONS(1452),
    [anon_sym_asm] = ACTIONS(1452),
    [anon_sym___asm__] = ACTIONS(1452),
    [sym_number_literal] = ACTIONS(1454),
    [anon_sym_L_SQUOTE] = ACTIONS(1454),
    [anon_sym_u_SQUOTE] = ACTIONS(1454),
    [anon_sym_U_SQUOTE] = ACTIONS(1454),
    [anon_sym_u8_SQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_L_DQUOTE] = ACTIONS(1454),
    [anon_sym_u_DQUOTE] = ACTIONS(1454),
    [anon_sym_U_DQUOTE] = ACTIONS(1454),
    [anon_sym_u8_DQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [anon_sym_NULL] = ACTIONS(1452),
    [anon_sym_nullptr] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(1897),
    [sym_identifier] = ACTIONS(1899),
    [aux_sym_preproc_include_token1] = ACTIONS(1899),
    [aux_sym_preproc_def_token1] = ACTIONS(1899),
    [aux_sym_preproc_if_token1] = ACTIONS(1899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1899),
    [sym_preproc_directive] = ACTIONS(1899),
    [anon_sym_LPAREN2] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_STAR] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym___extension__] = ACTIONS(1899),
    [anon_sym_typedef] = ACTIONS(1899),
    [anon_sym_extern] = ACTIONS(1899),
    [anon_sym___attribute__] = ACTIONS(1899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1897),
    [anon_sym___declspec] = ACTIONS(1899),
    [anon_sym___cdecl] = ACTIONS(1899),
    [anon_sym___clrcall] = ACTIONS(1899),
    [anon_sym___stdcall] = ACTIONS(1899),
    [anon_sym___fastcall] = ACTIONS(1899),
    [anon_sym___thiscall] = ACTIONS(1899),
    [anon_sym___vectorcall] = ACTIONS(1899),
    [anon_sym_LBRACE] = ACTIONS(1897),
    [anon_sym_signed] = ACTIONS(1899),
    [anon_sym_unsigned] = ACTIONS(1899),
    [anon_sym_long] = ACTIONS(1899),
    [anon_sym_short] = ACTIONS(1899),
    [anon_sym_static] = ACTIONS(1899),
    [anon_sym_auto] = ACTIONS(1899),
    [anon_sym_register] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1899),
    [anon_sym___inline] = ACTIONS(1899),
    [anon_sym___inline__] = ACTIONS(1899),
    [anon_sym___forceinline] = ACTIONS(1899),
    [anon_sym_thread_local] = ACTIONS(1899),
    [anon_sym___thread] = ACTIONS(1899),
    [anon_sym_const] = ACTIONS(1899),
    [anon_sym_constexpr] = ACTIONS(1899),
    [anon_sym_volatile] = ACTIONS(1899),
    [anon_sym_restrict] = ACTIONS(1899),
    [anon_sym___restrict__] = ACTIONS(1899),
    [anon_sym__Atomic] = ACTIONS(1899),
    [anon_sym__Noreturn] = ACTIONS(1899),
    [anon_sym_noreturn] = ACTIONS(1899),
    [sym_primitive_type] = ACTIONS(1899),
    [anon_sym_enum] = ACTIONS(1899),
    [anon_sym_struct] = ACTIONS(1899),
    [anon_sym_union] = ACTIONS(1899),
    [anon_sym_if] = ACTIONS(1899),
    [anon_sym_switch] = ACTIONS(1899),
    [anon_sym_case] = ACTIONS(1899),
    [anon_sym_default] = ACTIONS(1899),
    [anon_sym_while] = ACTIONS(1899),
    [anon_sym_do] = ACTIONS(1899),
    [anon_sym_for] = ACTIONS(1899),
    [anon_sym_return] = ACTIONS(1899),
    [anon_sym_break] = ACTIONS(1899),
    [anon_sym_continue] = ACTIONS(1899),
    [anon_sym_goto] = ACTIONS(1899),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_sizeof] = ACTIONS(1899),
    [anon_sym___alignof__] = ACTIONS(1899),
    [anon_sym___alignof] = ACTIONS(1899),
    [anon_sym__alignof] = ACTIONS(1899),
    [anon_sym_alignof] = ACTIONS(1899),
    [anon_sym__Alignof] = ACTIONS(1899),
    [anon_sym_offsetof] = ACTIONS(1899),
    [anon_sym__Generic] = ACTIONS(1899),
    [anon_sym_asm] = ACTIONS(1899),
    [anon_sym___asm__] = ACTIONS(1899),
    [sym_number_literal] = ACTIONS(1897),
    [anon_sym_L_SQUOTE] = ACTIONS(1897),
    [anon_sym_u_SQUOTE] = ACTIONS(1897),
    [anon_sym_U_SQUOTE] = ACTIONS(1897),
    [anon_sym_u8_SQUOTE] = ACTIONS(1897),
    [anon_sym_SQUOTE] = ACTIONS(1897),
    [anon_sym_L_DQUOTE] = ACTIONS(1897),
    [anon_sym_u_DQUOTE] = ACTIONS(1897),
    [anon_sym_U_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8_DQUOTE] = ACTIONS(1897),
    [anon_sym_DQUOTE] = ACTIONS(1897),
    [sym_true] = ACTIONS(1899),
    [sym_false] = ACTIONS(1899),
    [anon_sym_NULL] = ACTIONS(1899),
    [anon_sym_nullptr] = ACTIONS(1899),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(1506),
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_include_token1] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym___cdecl] = ACTIONS(1504),
    [anon_sym___clrcall] = ACTIONS(1504),
    [anon_sym___stdcall] = ACTIONS(1504),
    [anon_sym___fastcall] = ACTIONS(1504),
    [anon_sym___thiscall] = ACTIONS(1504),
    [anon_sym___vectorcall] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1504),
    [anon_sym_switch] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1504),
    [anon_sym_default] = ACTIONS(1504),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1504),
    [anon_sym_for] = ACTIONS(1504),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_break] = ACTIONS(1504),
    [anon_sym_continue] = ACTIONS(1504),
    [anon_sym_goto] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_sizeof] = ACTIONS(1504),
    [anon_sym___alignof__] = ACTIONS(1504),
    [anon_sym___alignof] = ACTIONS(1504),
    [anon_sym__alignof] = ACTIONS(1504),
    [anon_sym_alignof] = ACTIONS(1504),
    [anon_sym__Alignof] = ACTIONS(1504),
    [anon_sym_offsetof] = ACTIONS(1504),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1504),
    [anon_sym___asm__] = ACTIONS(1504),
    [sym_number_literal] = ACTIONS(1506),
    [anon_sym_L_SQUOTE] = ACTIONS(1506),
    [anon_sym_u_SQUOTE] = ACTIONS(1506),
    [anon_sym_U_SQUOTE] = ACTIONS(1506),
    [anon_sym_u8_SQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_L_DQUOTE] = ACTIONS(1506),
    [anon_sym_u_DQUOTE] = ACTIONS(1506),
    [anon_sym_U_DQUOTE] = ACTIONS(1506),
    [anon_sym_u8_DQUOTE] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [sym_true] = ACTIONS(1504),
    [sym_false] = ACTIONS(1504),
    [anon_sym_NULL] = ACTIONS(1504),
    [anon_sym_nullptr] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym_identifier] = ACTIONS(1408),
    [aux_sym_preproc_include_token1] = ACTIONS(1408),
    [aux_sym_preproc_def_token1] = ACTIONS(1408),
    [aux_sym_preproc_if_token1] = ACTIONS(1408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1408),
    [sym_preproc_directive] = ACTIONS(1408),
    [anon_sym_LPAREN2] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym___extension__] = ACTIONS(1408),
    [anon_sym_typedef] = ACTIONS(1408),
    [anon_sym_extern] = ACTIONS(1408),
    [anon_sym___attribute__] = ACTIONS(1408),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1410),
    [anon_sym___declspec] = ACTIONS(1408),
    [anon_sym___cdecl] = ACTIONS(1408),
    [anon_sym___clrcall] = ACTIONS(1408),
    [anon_sym___stdcall] = ACTIONS(1408),
    [anon_sym___fastcall] = ACTIONS(1408),
    [anon_sym___thiscall] = ACTIONS(1408),
    [anon_sym___vectorcall] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_signed] = ACTIONS(1408),
    [anon_sym_unsigned] = ACTIONS(1408),
    [anon_sym_long] = ACTIONS(1408),
    [anon_sym_short] = ACTIONS(1408),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_auto] = ACTIONS(1408),
    [anon_sym_register] = ACTIONS(1408),
    [anon_sym_inline] = ACTIONS(1408),
    [anon_sym___inline] = ACTIONS(1408),
    [anon_sym___inline__] = ACTIONS(1408),
    [anon_sym___forceinline] = ACTIONS(1408),
    [anon_sym_thread_local] = ACTIONS(1408),
    [anon_sym___thread] = ACTIONS(1408),
    [anon_sym_const] = ACTIONS(1408),
    [anon_sym_constexpr] = ACTIONS(1408),
    [anon_sym_volatile] = ACTIONS(1408),
    [anon_sym_restrict] = ACTIONS(1408),
    [anon_sym___restrict__] = ACTIONS(1408),
    [anon_sym__Atomic] = ACTIONS(1408),
    [anon_sym__Noreturn] = ACTIONS(1408),
    [anon_sym_noreturn] = ACTIONS(1408),
    [sym_primitive_type] = ACTIONS(1408),
    [anon_sym_enum] = ACTIONS(1408),
    [anon_sym_struct] = ACTIONS(1408),
    [anon_sym_union] = ACTIONS(1408),
    [anon_sym_if] = ACTIONS(1408),
    [anon_sym_switch] = ACTIONS(1408),
    [anon_sym_case] = ACTIONS(1408),
    [anon_sym_default] = ACTIONS(1408),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_do] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_return] = ACTIONS(1408),
    [anon_sym_break] = ACTIONS(1408),
    [anon_sym_continue] = ACTIONS(1408),
    [anon_sym_goto] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [anon_sym_sizeof] = ACTIONS(1408),
    [anon_sym___alignof__] = ACTIONS(1408),
    [anon_sym___alignof] = ACTIONS(1408),
    [anon_sym__alignof] = ACTIONS(1408),
    [anon_sym_alignof] = ACTIONS(1408),
    [anon_sym__Alignof] = ACTIONS(1408),
    [anon_sym_offsetof] = ACTIONS(1408),
    [anon_sym__Generic] = ACTIONS(1408),
    [anon_sym_asm] = ACTIONS(1408),
    [anon_sym___asm__] = ACTIONS(1408),
    [sym_number_literal] = ACTIONS(1410),
    [anon_sym_L_SQUOTE] = ACTIONS(1410),
    [anon_sym_u_SQUOTE] = ACTIONS(1410),
    [anon_sym_U_SQUOTE] = ACTIONS(1410),
    [anon_sym_u8_SQUOTE] = ACTIONS(1410),
    [anon_sym_SQUOTE] = ACTIONS(1410),
    [anon_sym_L_DQUOTE] = ACTIONS(1410),
    [anon_sym_u_DQUOTE] = ACTIONS(1410),
    [anon_sym_U_DQUOTE] = ACTIONS(1410),
    [anon_sym_u8_DQUOTE] = ACTIONS(1410),
    [anon_sym_DQUOTE] = ACTIONS(1410),
    [sym_true] = ACTIONS(1408),
    [sym_false] = ACTIONS(1408),
    [anon_sym_NULL] = ACTIONS(1408),
    [anon_sym_nullptr] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym_identifier] = ACTIONS(1416),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1416),
    [anon_sym_extern] = ACTIONS(1416),
    [anon_sym___attribute__] = ACTIONS(1416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1418),
    [anon_sym___declspec] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(1416),
    [anon_sym_unsigned] = ACTIONS(1416),
    [anon_sym_long] = ACTIONS(1416),
    [anon_sym_short] = ACTIONS(1416),
    [anon_sym_static] = ACTIONS(1416),
    [anon_sym_auto] = ACTIONS(1416),
    [anon_sym_register] = ACTIONS(1416),
    [anon_sym_inline] = ACTIONS(1416),
    [anon_sym___inline] = ACTIONS(1416),
    [anon_sym___inline__] = ACTIONS(1416),
    [anon_sym___forceinline] = ACTIONS(1416),
    [anon_sym_thread_local] = ACTIONS(1416),
    [anon_sym___thread] = ACTIONS(1416),
    [anon_sym_const] = ACTIONS(1416),
    [anon_sym_constexpr] = ACTIONS(1416),
    [anon_sym_volatile] = ACTIONS(1416),
    [anon_sym_restrict] = ACTIONS(1416),
    [anon_sym___restrict__] = ACTIONS(1416),
    [anon_sym__Atomic] = ACTIONS(1416),
    [anon_sym__Noreturn] = ACTIONS(1416),
    [anon_sym_noreturn] = ACTIONS(1416),
    [sym_primitive_type] = ACTIONS(1416),
    [anon_sym_enum] = ACTIONS(1416),
    [anon_sym_struct] = ACTIONS(1416),
    [anon_sym_union] = ACTIONS(1416),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(1416),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(1416),
    [anon_sym_do] = ACTIONS(1416),
    [anon_sym_for] = ACTIONS(1416),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_break] = ACTIONS(1416),
    [anon_sym_continue] = ACTIONS(1416),
    [anon_sym_goto] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [anon_sym_sizeof] = ACTIONS(1416),
    [anon_sym___alignof__] = ACTIONS(1416),
    [anon_sym___alignof] = ACTIONS(1416),
    [anon_sym__alignof] = ACTIONS(1416),
    [anon_sym_alignof] = ACTIONS(1416),
    [anon_sym__Alignof] = ACTIONS(1416),
    [anon_sym_offsetof] = ACTIONS(1416),
    [anon_sym__Generic] = ACTIONS(1416),
    [anon_sym_asm] = ACTIONS(1416),
    [anon_sym___asm__] = ACTIONS(1416),
    [sym_number_literal] = ACTIONS(1418),
    [anon_sym_L_SQUOTE] = ACTIONS(1418),
    [anon_sym_u_SQUOTE] = ACTIONS(1418),
    [anon_sym_U_SQUOTE] = ACTIONS(1418),
    [anon_sym_u8_SQUOTE] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_L_DQUOTE] = ACTIONS(1418),
    [anon_sym_u_DQUOTE] = ACTIONS(1418),
    [anon_sym_U_DQUOTE] = ACTIONS(1418),
    [anon_sym_u8_DQUOTE] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_NULL] = ACTIONS(1416),
    [anon_sym_nullptr] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym___extension__] = ACTIONS(1492),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_extern] = ACTIONS(1492),
    [anon_sym___attribute__] = ACTIONS(1492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1494),
    [anon_sym___declspec] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_signed] = ACTIONS(1492),
    [anon_sym_unsigned] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_auto] = ACTIONS(1492),
    [anon_sym_register] = ACTIONS(1492),
    [anon_sym_inline] = ACTIONS(1492),
    [anon_sym___inline] = ACTIONS(1492),
    [anon_sym___inline__] = ACTIONS(1492),
    [anon_sym___forceinline] = ACTIONS(1492),
    [anon_sym_thread_local] = ACTIONS(1492),
    [anon_sym___thread] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_constexpr] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [anon_sym_restrict] = ACTIONS(1492),
    [anon_sym___restrict__] = ACTIONS(1492),
    [anon_sym__Atomic] = ACTIONS(1492),
    [anon_sym__Noreturn] = ACTIONS(1492),
    [anon_sym_noreturn] = ACTIONS(1492),
    [sym_primitive_type] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1492),
    [anon_sym_union] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_goto] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_sizeof] = ACTIONS(1492),
    [anon_sym___alignof__] = ACTIONS(1492),
    [anon_sym___alignof] = ACTIONS(1492),
    [anon_sym__alignof] = ACTIONS(1492),
    [anon_sym_alignof] = ACTIONS(1492),
    [anon_sym__Alignof] = ACTIONS(1492),
    [anon_sym_offsetof] = ACTIONS(1492),
    [anon_sym__Generic] = ACTIONS(1492),
    [anon_sym_asm] = ACTIONS(1492),
    [anon_sym___asm__] = ACTIONS(1492),
    [sym_number_literal] = ACTIONS(1494),
    [anon_sym_L_SQUOTE] = ACTIONS(1494),
    [anon_sym_u_SQUOTE] = ACTIONS(1494),
    [anon_sym_U_SQUOTE] = ACTIONS(1494),
    [anon_sym_u8_SQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_L_DQUOTE] = ACTIONS(1494),
    [anon_sym_u_DQUOTE] = ACTIONS(1494),
    [anon_sym_U_DQUOTE] = ACTIONS(1494),
    [anon_sym_u8_DQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [anon_sym_NULL] = ACTIONS(1492),
    [anon_sym_nullptr] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(1490),
    [sym_identifier] = ACTIONS(1488),
    [aux_sym_preproc_include_token1] = ACTIONS(1488),
    [aux_sym_preproc_def_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1488),
    [sym_preproc_directive] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym___extension__] = ACTIONS(1488),
    [anon_sym_typedef] = ACTIONS(1488),
    [anon_sym_extern] = ACTIONS(1488),
    [anon_sym___attribute__] = ACTIONS(1488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1490),
    [anon_sym___declspec] = ACTIONS(1488),
    [anon_sym___cdecl] = ACTIONS(1488),
    [anon_sym___clrcall] = ACTIONS(1488),
    [anon_sym___stdcall] = ACTIONS(1488),
    [anon_sym___fastcall] = ACTIONS(1488),
    [anon_sym___thiscall] = ACTIONS(1488),
    [anon_sym___vectorcall] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_signed] = ACTIONS(1488),
    [anon_sym_unsigned] = ACTIONS(1488),
    [anon_sym_long] = ACTIONS(1488),
    [anon_sym_short] = ACTIONS(1488),
    [anon_sym_static] = ACTIONS(1488),
    [anon_sym_auto] = ACTIONS(1488),
    [anon_sym_register] = ACTIONS(1488),
    [anon_sym_inline] = ACTIONS(1488),
    [anon_sym___inline] = ACTIONS(1488),
    [anon_sym___inline__] = ACTIONS(1488),
    [anon_sym___forceinline] = ACTIONS(1488),
    [anon_sym_thread_local] = ACTIONS(1488),
    [anon_sym___thread] = ACTIONS(1488),
    [anon_sym_const] = ACTIONS(1488),
    [anon_sym_constexpr] = ACTIONS(1488),
    [anon_sym_volatile] = ACTIONS(1488),
    [anon_sym_restrict] = ACTIONS(1488),
    [anon_sym___restrict__] = ACTIONS(1488),
    [anon_sym__Atomic] = ACTIONS(1488),
    [anon_sym__Noreturn] = ACTIONS(1488),
    [anon_sym_noreturn] = ACTIONS(1488),
    [sym_primitive_type] = ACTIONS(1488),
    [anon_sym_enum] = ACTIONS(1488),
    [anon_sym_struct] = ACTIONS(1488),
    [anon_sym_union] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(1488),
    [anon_sym_case] = ACTIONS(1488),
    [anon_sym_default] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_do] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_break] = ACTIONS(1488),
    [anon_sym_continue] = ACTIONS(1488),
    [anon_sym_goto] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_sizeof] = ACTIONS(1488),
    [anon_sym___alignof__] = ACTIONS(1488),
    [anon_sym___alignof] = ACTIONS(1488),
    [anon_sym__alignof] = ACTIONS(1488),
    [anon_sym_alignof] = ACTIONS(1488),
    [anon_sym__Alignof] = ACTIONS(1488),
    [anon_sym_offsetof] = ACTIONS(1488),
    [anon_sym__Generic] = ACTIONS(1488),
    [anon_sym_asm] = ACTIONS(1488),
    [anon_sym___asm__] = ACTIONS(1488),
    [sym_number_literal] = ACTIONS(1490),
    [anon_sym_L_SQUOTE] = ACTIONS(1490),
    [anon_sym_u_SQUOTE] = ACTIONS(1490),
    [anon_sym_U_SQUOTE] = ACTIONS(1490),
    [anon_sym_u8_SQUOTE] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_L_DQUOTE] = ACTIONS(1490),
    [anon_sym_u_DQUOTE] = ACTIONS(1490),
    [anon_sym_U_DQUOTE] = ACTIONS(1490),
    [anon_sym_u8_DQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [anon_sym_NULL] = ACTIONS(1488),
    [anon_sym_nullptr] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym_identifier] = ACTIONS(1420),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym___extension__] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1420),
    [anon_sym_extern] = ACTIONS(1420),
    [anon_sym___attribute__] = ACTIONS(1420),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1422),
    [anon_sym___declspec] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(1420),
    [anon_sym_unsigned] = ACTIONS(1420),
    [anon_sym_long] = ACTIONS(1420),
    [anon_sym_short] = ACTIONS(1420),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_auto] = ACTIONS(1420),
    [anon_sym_register] = ACTIONS(1420),
    [anon_sym_inline] = ACTIONS(1420),
    [anon_sym___inline] = ACTIONS(1420),
    [anon_sym___inline__] = ACTIONS(1420),
    [anon_sym___forceinline] = ACTIONS(1420),
    [anon_sym_thread_local] = ACTIONS(1420),
    [anon_sym___thread] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1420),
    [anon_sym_constexpr] = ACTIONS(1420),
    [anon_sym_volatile] = ACTIONS(1420),
    [anon_sym_restrict] = ACTIONS(1420),
    [anon_sym___restrict__] = ACTIONS(1420),
    [anon_sym__Atomic] = ACTIONS(1420),
    [anon_sym__Noreturn] = ACTIONS(1420),
    [anon_sym_noreturn] = ACTIONS(1420),
    [sym_primitive_type] = ACTIONS(1420),
    [anon_sym_enum] = ACTIONS(1420),
    [anon_sym_struct] = ACTIONS(1420),
    [anon_sym_union] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1420),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1420),
    [anon_sym_do] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_goto] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [anon_sym_sizeof] = ACTIONS(1420),
    [anon_sym___alignof__] = ACTIONS(1420),
    [anon_sym___alignof] = ACTIONS(1420),
    [anon_sym__alignof] = ACTIONS(1420),
    [anon_sym_alignof] = ACTIONS(1420),
    [anon_sym__Alignof] = ACTIONS(1420),
    [anon_sym_offsetof] = ACTIONS(1420),
    [anon_sym__Generic] = ACTIONS(1420),
    [anon_sym_asm] = ACTIONS(1420),
    [anon_sym___asm__] = ACTIONS(1420),
    [sym_number_literal] = ACTIONS(1422),
    [anon_sym_L_SQUOTE] = ACTIONS(1422),
    [anon_sym_u_SQUOTE] = ACTIONS(1422),
    [anon_sym_U_SQUOTE] = ACTIONS(1422),
    [anon_sym_u8_SQUOTE] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_L_DQUOTE] = ACTIONS(1422),
    [anon_sym_u_DQUOTE] = ACTIONS(1422),
    [anon_sym_U_DQUOTE] = ACTIONS(1422),
    [anon_sym_u8_DQUOTE] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [anon_sym_NULL] = ACTIONS(1420),
    [anon_sym_nullptr] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [sym_type_qualifier] = STATE(1289),
    [sym__type_specifier] = STATE(1311),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__expression] = STATE(1224),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2183),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_type_descriptor] = STATE(2069),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__type_definition_type_repeat1] = STATE(1289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1320),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1903),
    [anon_sym_unsigned] = ACTIONS(1903),
    [anon_sym_long] = ACTIONS(1903),
    [anon_sym_short] = ACTIONS(1903),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1905),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [sym_type_qualifier] = STATE(1289),
    [sym__type_specifier] = STATE(1311),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__expression] = STATE(1255),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2200),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_type_descriptor] = STATE(2006),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__type_definition_type_repeat1] = STATE(1289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1320),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1903),
    [anon_sym_unsigned] = ACTIONS(1903),
    [anon_sym_long] = ACTIONS(1903),
    [anon_sym_short] = ACTIONS(1903),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1905),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [sym_type_qualifier] = STATE(1289),
    [sym__type_specifier] = STATE(1311),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__expression] = STATE(1224),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2183),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_type_descriptor] = STATE(2182),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__type_definition_type_repeat1] = STATE(1289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1320),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1903),
    [anon_sym_unsigned] = ACTIONS(1903),
    [anon_sym_long] = ACTIONS(1903),
    [anon_sym_short] = ACTIONS(1903),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1905),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [sym_type_qualifier] = STATE(1289),
    [sym__type_specifier] = STATE(1311),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__expression] = STATE(1224),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2183),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_type_descriptor] = STATE(2197),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__type_definition_type_repeat1] = STATE(1289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1320),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1903),
    [anon_sym_unsigned] = ACTIONS(1903),
    [anon_sym_long] = ACTIONS(1903),
    [anon_sym_short] = ACTIONS(1903),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1905),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [sym_type_qualifier] = STATE(1289),
    [sym__type_specifier] = STATE(1311),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__expression] = STATE(1224),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2183),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_type_descriptor] = STATE(2058),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__type_definition_type_repeat1] = STATE(1289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1320),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1903),
    [anon_sym_unsigned] = ACTIONS(1903),
    [anon_sym_long] = ACTIONS(1903),
    [anon_sym_short] = ACTIONS(1903),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1905),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [sym_type_qualifier] = STATE(1289),
    [sym__type_specifier] = STATE(1311),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__expression] = STATE(1224),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2183),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_type_descriptor] = STATE(2191),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__type_definition_type_repeat1] = STATE(1289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1320),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1903),
    [anon_sym_unsigned] = ACTIONS(1903),
    [anon_sym_long] = ACTIONS(1903),
    [anon_sym_short] = ACTIONS(1903),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1905),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [sym_type_qualifier] = STATE(1289),
    [sym__type_specifier] = STATE(1311),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__expression] = STATE(1224),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2183),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_type_descriptor] = STATE(1951),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__type_definition_type_repeat1] = STATE(1289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1320),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1903),
    [anon_sym_unsigned] = ACTIONS(1903),
    [anon_sym_long] = ACTIONS(1903),
    [anon_sym_short] = ACTIONS(1903),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1905),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [sym_type_qualifier] = STATE(1289),
    [sym__type_specifier] = STATE(1311),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__expression] = STATE(1224),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2183),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_type_descriptor] = STATE(2114),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__type_definition_type_repeat1] = STATE(1289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1320),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1903),
    [anon_sym_unsigned] = ACTIONS(1903),
    [anon_sym_long] = ACTIONS(1903),
    [anon_sym_short] = ACTIONS(1903),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1905),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [sym_type_qualifier] = STATE(1289),
    [sym__type_specifier] = STATE(1311),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__expression] = STATE(1224),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2183),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_type_descriptor] = STATE(1969),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__type_definition_type_repeat1] = STATE(1289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1320),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1903),
    [anon_sym_unsigned] = ACTIONS(1903),
    [anon_sym_long] = ACTIONS(1903),
    [anon_sym_short] = ACTIONS(1903),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1905),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [sym_type_qualifier] = STATE(1289),
    [sym__type_specifier] = STATE(1311),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__expression] = STATE(1255),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2200),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_type_descriptor] = STATE(2091),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__type_definition_type_repeat1] = STATE(1289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1320),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1903),
    [anon_sym_unsigned] = ACTIONS(1903),
    [anon_sym_long] = ACTIONS(1903),
    [anon_sym_short] = ACTIONS(1903),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1905),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [sym_type_qualifier] = STATE(1289),
    [sym__type_specifier] = STATE(1311),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__expression] = STATE(1255),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2200),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_type_descriptor] = STATE(1988),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__type_definition_type_repeat1] = STATE(1289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1320),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1903),
    [anon_sym_unsigned] = ACTIONS(1903),
    [anon_sym_long] = ACTIONS(1903),
    [anon_sym_short] = ACTIONS(1903),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1905),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [sym_type_qualifier] = STATE(1289),
    [sym__type_specifier] = STATE(1311),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__expression] = STATE(1224),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2183),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_type_descriptor] = STATE(2147),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__type_definition_type_repeat1] = STATE(1289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1320),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1903),
    [anon_sym_unsigned] = ACTIONS(1903),
    [anon_sym_long] = ACTIONS(1903),
    [anon_sym_short] = ACTIONS(1903),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1905),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [sym_type_qualifier] = STATE(1289),
    [sym__type_specifier] = STATE(1311),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__expression] = STATE(1224),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2183),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_type_descriptor] = STATE(2088),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__type_definition_type_repeat1] = STATE(1289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1320),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1903),
    [anon_sym_unsigned] = ACTIONS(1903),
    [anon_sym_long] = ACTIONS(1903),
    [anon_sym_short] = ACTIONS(1903),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1905),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [sym_type_qualifier] = STATE(1289),
    [sym__type_specifier] = STATE(1311),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__expression] = STATE(1224),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2183),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_type_descriptor] = STATE(2163),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__type_definition_type_repeat1] = STATE(1289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1320),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1903),
    [anon_sym_unsigned] = ACTIONS(1903),
    [anon_sym_long] = ACTIONS(1903),
    [anon_sym_short] = ACTIONS(1903),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1905),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [sym_type_qualifier] = STATE(1289),
    [sym__type_specifier] = STATE(1311),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__expression] = STATE(1224),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2183),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_type_descriptor] = STATE(2129),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__type_definition_type_repeat1] = STATE(1289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1320),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1903),
    [anon_sym_unsigned] = ACTIONS(1903),
    [anon_sym_long] = ACTIONS(1903),
    [anon_sym_short] = ACTIONS(1903),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1905),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [sym_type_qualifier] = STATE(1289),
    [sym__type_specifier] = STATE(1311),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__expression] = STATE(1255),
    [sym__expression_not_binary] = STATE(824),
    [sym_comma_expression] = STATE(2200),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_type_descriptor] = STATE(1945),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__type_definition_type_repeat1] = STATE(1289),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1320),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1903),
    [anon_sym_unsigned] = ACTIONS(1903),
    [anon_sym_long] = ACTIONS(1903),
    [anon_sym_short] = ACTIONS(1903),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1905),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [sym_identifier] = ACTIONS(1907),
    [anon_sym_COMMA] = ACTIONS(1909),
    [anon_sym_RPAREN] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1909),
    [anon_sym_BANG] = ACTIONS(1909),
    [anon_sym_TILDE] = ACTIONS(1909),
    [anon_sym_DASH] = ACTIONS(1907),
    [anon_sym_PLUS] = ACTIONS(1907),
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(1909),
    [anon_sym___extension__] = ACTIONS(1907),
    [anon_sym_extern] = ACTIONS(1907),
    [anon_sym___attribute__] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1909),
    [anon_sym___declspec] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_signed] = ACTIONS(1907),
    [anon_sym_unsigned] = ACTIONS(1907),
    [anon_sym_long] = ACTIONS(1907),
    [anon_sym_short] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_EQ] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1907),
    [anon_sym_auto] = ACTIONS(1907),
    [anon_sym_register] = ACTIONS(1907),
    [anon_sym_inline] = ACTIONS(1907),
    [anon_sym___inline] = ACTIONS(1907),
    [anon_sym___inline__] = ACTIONS(1907),
    [anon_sym___forceinline] = ACTIONS(1907),
    [anon_sym_thread_local] = ACTIONS(1907),
    [anon_sym___thread] = ACTIONS(1907),
    [anon_sym_const] = ACTIONS(1907),
    [anon_sym_constexpr] = ACTIONS(1907),
    [anon_sym_volatile] = ACTIONS(1907),
    [anon_sym_restrict] = ACTIONS(1907),
    [anon_sym___restrict__] = ACTIONS(1907),
    [anon_sym__Atomic] = ACTIONS(1907),
    [anon_sym__Noreturn] = ACTIONS(1907),
    [anon_sym_noreturn] = ACTIONS(1907),
    [sym_primitive_type] = ACTIONS(1907),
    [anon_sym_enum] = ACTIONS(1907),
    [anon_sym_COLON] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1907),
    [anon_sym_union] = ACTIONS(1907),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_switch] = ACTIONS(1907),
    [anon_sym_case] = ACTIONS(1907),
    [anon_sym_default] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1907),
    [anon_sym_do] = ACTIONS(1907),
    [anon_sym_for] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1907),
    [anon_sym_break] = ACTIONS(1907),
    [anon_sym_continue] = ACTIONS(1907),
    [anon_sym_goto] = ACTIONS(1907),
    [anon_sym___try] = ACTIONS(1907),
    [anon_sym___leave] = ACTIONS(1907),
    [anon_sym_DASH_DASH] = ACTIONS(1909),
    [anon_sym_PLUS_PLUS] = ACTIONS(1909),
    [anon_sym_sizeof] = ACTIONS(1907),
    [anon_sym___alignof__] = ACTIONS(1907),
    [anon_sym___alignof] = ACTIONS(1907),
    [anon_sym__alignof] = ACTIONS(1907),
    [anon_sym_alignof] = ACTIONS(1907),
    [anon_sym__Alignof] = ACTIONS(1907),
    [anon_sym_offsetof] = ACTIONS(1907),
    [anon_sym__Generic] = ACTIONS(1907),
    [anon_sym_asm] = ACTIONS(1907),
    [anon_sym___asm__] = ACTIONS(1907),
    [sym_number_literal] = ACTIONS(1909),
    [anon_sym_L_SQUOTE] = ACTIONS(1909),
    [anon_sym_u_SQUOTE] = ACTIONS(1909),
    [anon_sym_U_SQUOTE] = ACTIONS(1909),
    [anon_sym_u8_SQUOTE] = ACTIONS(1909),
    [anon_sym_SQUOTE] = ACTIONS(1909),
    [anon_sym_L_DQUOTE] = ACTIONS(1909),
    [anon_sym_u_DQUOTE] = ACTIONS(1909),
    [anon_sym_U_DQUOTE] = ACTIONS(1909),
    [anon_sym_u8_DQUOTE] = ACTIONS(1909),
    [anon_sym_DQUOTE] = ACTIONS(1909),
    [sym_true] = ACTIONS(1907),
    [sym_false] = ACTIONS(1907),
    [anon_sym_NULL] = ACTIONS(1907),
    [anon_sym_nullptr] = ACTIONS(1907),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [sym_identifier] = ACTIONS(1911),
    [anon_sym_COMMA] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(1913),
    [anon_sym_BANG] = ACTIONS(1913),
    [anon_sym_TILDE] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1911),
    [anon_sym_STAR] = ACTIONS(1913),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1913),
    [anon_sym___extension__] = ACTIONS(1911),
    [anon_sym_extern] = ACTIONS(1911),
    [anon_sym___attribute__] = ACTIONS(1911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1913),
    [anon_sym___declspec] = ACTIONS(1911),
    [anon_sym_LBRACE] = ACTIONS(1913),
    [anon_sym_signed] = ACTIONS(1911),
    [anon_sym_unsigned] = ACTIONS(1911),
    [anon_sym_long] = ACTIONS(1911),
    [anon_sym_short] = ACTIONS(1911),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_EQ] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1911),
    [anon_sym_auto] = ACTIONS(1911),
    [anon_sym_register] = ACTIONS(1911),
    [anon_sym_inline] = ACTIONS(1911),
    [anon_sym___inline] = ACTIONS(1911),
    [anon_sym___inline__] = ACTIONS(1911),
    [anon_sym___forceinline] = ACTIONS(1911),
    [anon_sym_thread_local] = ACTIONS(1911),
    [anon_sym___thread] = ACTIONS(1911),
    [anon_sym_const] = ACTIONS(1911),
    [anon_sym_constexpr] = ACTIONS(1911),
    [anon_sym_volatile] = ACTIONS(1911),
    [anon_sym_restrict] = ACTIONS(1911),
    [anon_sym___restrict__] = ACTIONS(1911),
    [anon_sym__Atomic] = ACTIONS(1911),
    [anon_sym__Noreturn] = ACTIONS(1911),
    [anon_sym_noreturn] = ACTIONS(1911),
    [sym_primitive_type] = ACTIONS(1911),
    [anon_sym_enum] = ACTIONS(1911),
    [anon_sym_COLON] = ACTIONS(1913),
    [anon_sym_struct] = ACTIONS(1911),
    [anon_sym_union] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1911),
    [anon_sym_switch] = ACTIONS(1911),
    [anon_sym_case] = ACTIONS(1911),
    [anon_sym_default] = ACTIONS(1911),
    [anon_sym_while] = ACTIONS(1911),
    [anon_sym_do] = ACTIONS(1911),
    [anon_sym_for] = ACTIONS(1911),
    [anon_sym_return] = ACTIONS(1911),
    [anon_sym_break] = ACTIONS(1911),
    [anon_sym_continue] = ACTIONS(1911),
    [anon_sym_goto] = ACTIONS(1911),
    [anon_sym___try] = ACTIONS(1911),
    [anon_sym___leave] = ACTIONS(1911),
    [anon_sym_DASH_DASH] = ACTIONS(1913),
    [anon_sym_PLUS_PLUS] = ACTIONS(1913),
    [anon_sym_sizeof] = ACTIONS(1911),
    [anon_sym___alignof__] = ACTIONS(1911),
    [anon_sym___alignof] = ACTIONS(1911),
    [anon_sym__alignof] = ACTIONS(1911),
    [anon_sym_alignof] = ACTIONS(1911),
    [anon_sym__Alignof] = ACTIONS(1911),
    [anon_sym_offsetof] = ACTIONS(1911),
    [anon_sym__Generic] = ACTIONS(1911),
    [anon_sym_asm] = ACTIONS(1911),
    [anon_sym___asm__] = ACTIONS(1911),
    [sym_number_literal] = ACTIONS(1913),
    [anon_sym_L_SQUOTE] = ACTIONS(1913),
    [anon_sym_u_SQUOTE] = ACTIONS(1913),
    [anon_sym_U_SQUOTE] = ACTIONS(1913),
    [anon_sym_u8_SQUOTE] = ACTIONS(1913),
    [anon_sym_SQUOTE] = ACTIONS(1913),
    [anon_sym_L_DQUOTE] = ACTIONS(1913),
    [anon_sym_u_DQUOTE] = ACTIONS(1913),
    [anon_sym_U_DQUOTE] = ACTIONS(1913),
    [anon_sym_u8_DQUOTE] = ACTIONS(1913),
    [anon_sym_DQUOTE] = ACTIONS(1913),
    [sym_true] = ACTIONS(1911),
    [sym_false] = ACTIONS(1911),
    [anon_sym_NULL] = ACTIONS(1911),
    [anon_sym_nullptr] = ACTIONS(1911),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [sym__expression] = STATE(840),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_initializer_list] = STATE(798),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_identifier] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1516),
    [anon_sym_RPAREN] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1514),
    [anon_sym_PERCENT] = ACTIONS(1516),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_AMP_AMP] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1514),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_EQ_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_GT] = ACTIONS(1514),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1514),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1516),
    [anon_sym___attribute__] = ACTIONS(1514),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_COLON] = ACTIONS(1516),
    [anon_sym_QMARK] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1514),
    [anon_sym_DASH_GT] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [sym__expression] = STATE(840),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(887),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(887),
    [sym_call_expression] = STATE(887),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(887),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(887),
    [sym_initializer_list] = STATE(798),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_identifier] = ACTIONS(1514),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_preproc_if_token2] = ACTIONS(1516),
    [aux_sym_preproc_else_token1] = ACTIONS(1516),
    [aux_sym_preproc_elif_token1] = ACTIONS(1514),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1516),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1917),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1514),
    [anon_sym_PERCENT] = ACTIONS(1516),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_AMP_AMP] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1514),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_EQ_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_GT] = ACTIONS(1514),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1514),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_QMARK] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [anon_sym_sizeof] = ACTIONS(1921),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1514),
    [anon_sym_DASH_GT] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [sym__expression] = STATE(919),
    [sym__expression_not_binary] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_assignment_expression] = STATE(926),
    [sym_pointer_expression] = STATE(930),
    [sym_unary_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_update_expression] = STATE(926),
    [sym_cast_expression] = STATE(926),
    [sym_sizeof_expression] = STATE(926),
    [sym_alignof_expression] = STATE(926),
    [sym_offsetof_expression] = STATE(926),
    [sym_generic_expression] = STATE(926),
    [sym_subscript_expression] = STATE(930),
    [sym_call_expression] = STATE(930),
    [sym_gnu_asm_expression] = STATE(926),
    [sym_field_expression] = STATE(930),
    [sym_compound_literal_expression] = STATE(926),
    [sym_parenthesized_expression] = STATE(930),
    [sym_initializer_list] = STATE(932),
    [sym_char_literal] = STATE(926),
    [sym_concatenated_string] = STATE(926),
    [sym_string_literal] = STATE(848),
    [sym_null] = STATE(926),
    [sym_identifier] = ACTIONS(1514),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_preproc_if_token2] = ACTIONS(1516),
    [aux_sym_preproc_else_token1] = ACTIONS(1516),
    [aux_sym_preproc_elif_token1] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1923),
    [anon_sym_TILDE] = ACTIONS(1925),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1514),
    [anon_sym_PERCENT] = ACTIONS(1516),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_AMP_AMP] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1514),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_EQ_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_GT] = ACTIONS(1514),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1514),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_QMARK] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1848),
    [anon_sym___alignof] = ACTIONS(1848),
    [anon_sym__alignof] = ACTIONS(1848),
    [anon_sym_alignof] = ACTIONS(1848),
    [anon_sym__Alignof] = ACTIONS(1848),
    [anon_sym_offsetof] = ACTIONS(1850),
    [anon_sym__Generic] = ACTIONS(1852),
    [anon_sym_asm] = ACTIONS(1854),
    [anon_sym___asm__] = ACTIONS(1854),
    [anon_sym_DOT] = ACTIONS(1514),
    [anon_sym_DASH_GT] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(1856),
    [anon_sym_L_SQUOTE] = ACTIONS(1858),
    [anon_sym_u_SQUOTE] = ACTIONS(1858),
    [anon_sym_U_SQUOTE] = ACTIONS(1858),
    [anon_sym_u8_SQUOTE] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1858),
    [anon_sym_L_DQUOTE] = ACTIONS(1860),
    [anon_sym_u_DQUOTE] = ACTIONS(1860),
    [anon_sym_U_DQUOTE] = ACTIONS(1860),
    [anon_sym_u8_DQUOTE] = ACTIONS(1860),
    [anon_sym_DQUOTE] = ACTIONS(1860),
    [sym_true] = ACTIONS(1862),
    [sym_false] = ACTIONS(1862),
    [anon_sym_NULL] = ACTIONS(1864),
    [anon_sym_nullptr] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [sym_else_clause] = STATE(257),
    [sym_identifier] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1929),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [sym_identifier] = ACTIONS(1931),
    [anon_sym_LPAREN2] = ACTIONS(1934),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_STAR] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_SEMI] = ACTIONS(1934),
    [anon_sym___extension__] = ACTIONS(1938),
    [anon_sym_extern] = ACTIONS(1938),
    [anon_sym___attribute__] = ACTIONS(1938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1940),
    [anon_sym___declspec] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [anon_sym_signed] = ACTIONS(1938),
    [anon_sym_unsigned] = ACTIONS(1938),
    [anon_sym_long] = ACTIONS(1938),
    [anon_sym_short] = ACTIONS(1938),
    [anon_sym_static] = ACTIONS(1938),
    [anon_sym_auto] = ACTIONS(1938),
    [anon_sym_register] = ACTIONS(1938),
    [anon_sym_inline] = ACTIONS(1938),
    [anon_sym___inline] = ACTIONS(1938),
    [anon_sym___inline__] = ACTIONS(1938),
    [anon_sym___forceinline] = ACTIONS(1938),
    [anon_sym_thread_local] = ACTIONS(1938),
    [anon_sym___thread] = ACTIONS(1938),
    [anon_sym_const] = ACTIONS(1938),
    [anon_sym_constexpr] = ACTIONS(1938),
    [anon_sym_volatile] = ACTIONS(1938),
    [anon_sym_restrict] = ACTIONS(1938),
    [anon_sym___restrict__] = ACTIONS(1938),
    [anon_sym__Atomic] = ACTIONS(1938),
    [anon_sym__Noreturn] = ACTIONS(1938),
    [anon_sym_noreturn] = ACTIONS(1938),
    [sym_primitive_type] = ACTIONS(1938),
    [anon_sym_enum] = ACTIONS(1938),
    [anon_sym_struct] = ACTIONS(1938),
    [anon_sym_union] = ACTIONS(1938),
    [anon_sym_if] = ACTIONS(1936),
    [anon_sym_switch] = ACTIONS(1936),
    [anon_sym_case] = ACTIONS(1936),
    [anon_sym_default] = ACTIONS(1936),
    [anon_sym_while] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1936),
    [anon_sym_return] = ACTIONS(1936),
    [anon_sym_break] = ACTIONS(1936),
    [anon_sym_continue] = ACTIONS(1936),
    [anon_sym_goto] = ACTIONS(1936),
    [anon_sym___try] = ACTIONS(1936),
    [anon_sym___leave] = ACTIONS(1936),
    [anon_sym_DASH_DASH] = ACTIONS(1934),
    [anon_sym_PLUS_PLUS] = ACTIONS(1934),
    [anon_sym_sizeof] = ACTIONS(1936),
    [anon_sym___alignof__] = ACTIONS(1936),
    [anon_sym___alignof] = ACTIONS(1936),
    [anon_sym__alignof] = ACTIONS(1936),
    [anon_sym_alignof] = ACTIONS(1936),
    [anon_sym__Alignof] = ACTIONS(1936),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1936),
    [anon_sym_asm] = ACTIONS(1936),
    [anon_sym___asm__] = ACTIONS(1936),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1934),
    [anon_sym_u_SQUOTE] = ACTIONS(1934),
    [anon_sym_U_SQUOTE] = ACTIONS(1934),
    [anon_sym_u8_SQUOTE] = ACTIONS(1934),
    [anon_sym_SQUOTE] = ACTIONS(1934),
    [anon_sym_L_DQUOTE] = ACTIONS(1934),
    [anon_sym_u_DQUOTE] = ACTIONS(1934),
    [anon_sym_U_DQUOTE] = ACTIONS(1934),
    [anon_sym_u8_DQUOTE] = ACTIONS(1934),
    [anon_sym_DQUOTE] = ACTIONS(1934),
    [sym_true] = ACTIONS(1936),
    [sym_false] = ACTIONS(1936),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [sym__expression] = STATE(998),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(1019),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(1019),
    [sym_call_expression] = STATE(1019),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(1019),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(1019),
    [sym_initializer_list] = STATE(798),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [sym_identifier] = ACTIONS(1943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1945),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1514),
    [anon_sym_PERCENT] = ACTIONS(1516),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_AMP_AMP] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1514),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_EQ_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_GT] = ACTIONS(1514),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1514),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_RBRACK] = ACTIONS(1516),
    [anon_sym_QMARK] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [anon_sym_sizeof] = ACTIONS(1949),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1514),
    [anon_sym_DASH_GT] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [sym_string_literal] = STATE(770),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1092),
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1955),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_PERCENT] = ACTIONS(1959),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_EQ_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_GT] = ACTIONS(1959),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ] = ACTIONS(1953),
    [anon_sym_LT] = ACTIONS(1959),
    [anon_sym_LT_LT] = ACTIONS(1959),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_SEMI] = ACTIONS(1953),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1964),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym_signed] = ACTIONS(1966),
    [anon_sym_unsigned] = ACTIONS(1966),
    [anon_sym_long] = ACTIONS(1966),
    [anon_sym_short] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_auto] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1970),
    [anon_sym_QMARK] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1972),
    [anon_sym_SLASH_EQ] = ACTIONS(1972),
    [anon_sym_PERCENT_EQ] = ACTIONS(1972),
    [anon_sym_PLUS_EQ] = ACTIONS(1972),
    [anon_sym_DASH_EQ] = ACTIONS(1972),
    [anon_sym_LT_LT_EQ] = ACTIONS(1972),
    [anon_sym_GT_GT_EQ] = ACTIONS(1972),
    [anon_sym_AMP_EQ] = ACTIONS(1972),
    [anon_sym_CARET_EQ] = ACTIONS(1972),
    [anon_sym_PIPE_EQ] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DOT] = ACTIONS(1953),
    [anon_sym_DASH_GT] = ACTIONS(1953),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [sym_string_literal] = STATE(770),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1092),
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1955),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_PERCENT] = ACTIONS(1959),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_EQ_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_GT] = ACTIONS(1959),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ] = ACTIONS(1953),
    [anon_sym_LT] = ACTIONS(1959),
    [anon_sym_LT_LT] = ACTIONS(1959),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_SEMI] = ACTIONS(1953),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1964),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym_signed] = ACTIONS(1966),
    [anon_sym_unsigned] = ACTIONS(1966),
    [anon_sym_long] = ACTIONS(1966),
    [anon_sym_short] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_auto] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1974),
    [anon_sym_QMARK] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1972),
    [anon_sym_SLASH_EQ] = ACTIONS(1972),
    [anon_sym_PERCENT_EQ] = ACTIONS(1972),
    [anon_sym_PLUS_EQ] = ACTIONS(1972),
    [anon_sym_DASH_EQ] = ACTIONS(1972),
    [anon_sym_LT_LT_EQ] = ACTIONS(1972),
    [anon_sym_GT_GT_EQ] = ACTIONS(1972),
    [anon_sym_AMP_EQ] = ACTIONS(1972),
    [anon_sym_CARET_EQ] = ACTIONS(1972),
    [anon_sym_PIPE_EQ] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DOT] = ACTIONS(1953),
    [anon_sym_DASH_GT] = ACTIONS(1953),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [sym_string_literal] = STATE(770),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1092),
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1955),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_PERCENT] = ACTIONS(1959),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_EQ_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_GT] = ACTIONS(1959),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ] = ACTIONS(1953),
    [anon_sym_LT] = ACTIONS(1959),
    [anon_sym_LT_LT] = ACTIONS(1959),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_SEMI] = ACTIONS(1953),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1964),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym_signed] = ACTIONS(1966),
    [anon_sym_unsigned] = ACTIONS(1966),
    [anon_sym_long] = ACTIONS(1966),
    [anon_sym_short] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_auto] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1976),
    [anon_sym_QMARK] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1972),
    [anon_sym_SLASH_EQ] = ACTIONS(1972),
    [anon_sym_PERCENT_EQ] = ACTIONS(1972),
    [anon_sym_PLUS_EQ] = ACTIONS(1972),
    [anon_sym_DASH_EQ] = ACTIONS(1972),
    [anon_sym_LT_LT_EQ] = ACTIONS(1972),
    [anon_sym_GT_GT_EQ] = ACTIONS(1972),
    [anon_sym_AMP_EQ] = ACTIONS(1972),
    [anon_sym_CARET_EQ] = ACTIONS(1972),
    [anon_sym_PIPE_EQ] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DOT] = ACTIONS(1953),
    [anon_sym_DASH_GT] = ACTIONS(1953),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [sym_string_literal] = STATE(770),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1092),
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1955),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_PERCENT] = ACTIONS(1959),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_EQ_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_GT] = ACTIONS(1959),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ] = ACTIONS(1953),
    [anon_sym_LT] = ACTIONS(1959),
    [anon_sym_LT_LT] = ACTIONS(1959),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_SEMI] = ACTIONS(1978),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1964),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym_signed] = ACTIONS(1966),
    [anon_sym_unsigned] = ACTIONS(1966),
    [anon_sym_long] = ACTIONS(1966),
    [anon_sym_short] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_auto] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1972),
    [anon_sym_SLASH_EQ] = ACTIONS(1972),
    [anon_sym_PERCENT_EQ] = ACTIONS(1972),
    [anon_sym_PLUS_EQ] = ACTIONS(1972),
    [anon_sym_DASH_EQ] = ACTIONS(1972),
    [anon_sym_LT_LT_EQ] = ACTIONS(1972),
    [anon_sym_GT_GT_EQ] = ACTIONS(1972),
    [anon_sym_AMP_EQ] = ACTIONS(1972),
    [anon_sym_CARET_EQ] = ACTIONS(1972),
    [anon_sym_PIPE_EQ] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DOT] = ACTIONS(1953),
    [anon_sym_DASH_GT] = ACTIONS(1953),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [sym_string_literal] = STATE(770),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1092),
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1955),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_PERCENT] = ACTIONS(1959),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_EQ_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_GT] = ACTIONS(1959),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ] = ACTIONS(1953),
    [anon_sym_LT] = ACTIONS(1959),
    [anon_sym_LT_LT] = ACTIONS(1959),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_SEMI] = ACTIONS(1953),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1964),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym_signed] = ACTIONS(1966),
    [anon_sym_unsigned] = ACTIONS(1966),
    [anon_sym_long] = ACTIONS(1966),
    [anon_sym_short] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_auto] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1972),
    [anon_sym_SLASH_EQ] = ACTIONS(1972),
    [anon_sym_PERCENT_EQ] = ACTIONS(1972),
    [anon_sym_PLUS_EQ] = ACTIONS(1972),
    [anon_sym_DASH_EQ] = ACTIONS(1972),
    [anon_sym_LT_LT_EQ] = ACTIONS(1972),
    [anon_sym_GT_GT_EQ] = ACTIONS(1972),
    [anon_sym_AMP_EQ] = ACTIONS(1972),
    [anon_sym_CARET_EQ] = ACTIONS(1972),
    [anon_sym_PIPE_EQ] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DOT] = ACTIONS(1953),
    [anon_sym_DASH_GT] = ACTIONS(1953),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [sym_string_literal] = STATE(770),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1092),
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1955),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_PERCENT] = ACTIONS(1959),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_EQ_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_GT] = ACTIONS(1959),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ] = ACTIONS(1953),
    [anon_sym_LT] = ACTIONS(1959),
    [anon_sym_LT_LT] = ACTIONS(1959),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_SEMI] = ACTIONS(1978),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1964),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym_signed] = ACTIONS(1966),
    [anon_sym_unsigned] = ACTIONS(1966),
    [anon_sym_long] = ACTIONS(1966),
    [anon_sym_short] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_auto] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1983),
    [anon_sym_QMARK] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1972),
    [anon_sym_SLASH_EQ] = ACTIONS(1972),
    [anon_sym_PERCENT_EQ] = ACTIONS(1972),
    [anon_sym_PLUS_EQ] = ACTIONS(1972),
    [anon_sym_DASH_EQ] = ACTIONS(1972),
    [anon_sym_LT_LT_EQ] = ACTIONS(1972),
    [anon_sym_GT_GT_EQ] = ACTIONS(1972),
    [anon_sym_AMP_EQ] = ACTIONS(1972),
    [anon_sym_CARET_EQ] = ACTIONS(1972),
    [anon_sym_PIPE_EQ] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DOT] = ACTIONS(1953),
    [anon_sym_DASH_GT] = ACTIONS(1953),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [sym_string_literal] = STATE(770),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1092),
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1955),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_PERCENT] = ACTIONS(1959),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_EQ_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_GT] = ACTIONS(1959),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ] = ACTIONS(1953),
    [anon_sym_LT] = ACTIONS(1959),
    [anon_sym_LT_LT] = ACTIONS(1959),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_SEMI] = ACTIONS(1978),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1964),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym_signed] = ACTIONS(1966),
    [anon_sym_unsigned] = ACTIONS(1966),
    [anon_sym_long] = ACTIONS(1966),
    [anon_sym_short] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_auto] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1985),
    [anon_sym_QMARK] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1972),
    [anon_sym_SLASH_EQ] = ACTIONS(1972),
    [anon_sym_PERCENT_EQ] = ACTIONS(1972),
    [anon_sym_PLUS_EQ] = ACTIONS(1972),
    [anon_sym_DASH_EQ] = ACTIONS(1972),
    [anon_sym_LT_LT_EQ] = ACTIONS(1972),
    [anon_sym_GT_GT_EQ] = ACTIONS(1972),
    [anon_sym_AMP_EQ] = ACTIONS(1972),
    [anon_sym_CARET_EQ] = ACTIONS(1972),
    [anon_sym_PIPE_EQ] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DOT] = ACTIONS(1953),
    [anon_sym_DASH_GT] = ACTIONS(1953),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [sym_string_literal] = STATE(770),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1092),
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1955),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_PERCENT] = ACTIONS(1959),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_EQ_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_GT] = ACTIONS(1959),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ] = ACTIONS(1953),
    [anon_sym_LT] = ACTIONS(1959),
    [anon_sym_LT_LT] = ACTIONS(1959),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_SEMI] = ACTIONS(1953),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1964),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym_signed] = ACTIONS(1966),
    [anon_sym_unsigned] = ACTIONS(1966),
    [anon_sym_long] = ACTIONS(1966),
    [anon_sym_short] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_auto] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1985),
    [anon_sym_QMARK] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1972),
    [anon_sym_SLASH_EQ] = ACTIONS(1972),
    [anon_sym_PERCENT_EQ] = ACTIONS(1972),
    [anon_sym_PLUS_EQ] = ACTIONS(1972),
    [anon_sym_DASH_EQ] = ACTIONS(1972),
    [anon_sym_LT_LT_EQ] = ACTIONS(1972),
    [anon_sym_GT_GT_EQ] = ACTIONS(1972),
    [anon_sym_AMP_EQ] = ACTIONS(1972),
    [anon_sym_CARET_EQ] = ACTIONS(1972),
    [anon_sym_PIPE_EQ] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DOT] = ACTIONS(1953),
    [anon_sym_DASH_GT] = ACTIONS(1953),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [514] = {
    [sym_string_literal] = STATE(770),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1092),
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1955),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_PERCENT] = ACTIONS(1959),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_EQ_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_GT] = ACTIONS(1959),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ] = ACTIONS(1953),
    [anon_sym_LT] = ACTIONS(1959),
    [anon_sym_LT_LT] = ACTIONS(1959),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_SEMI] = ACTIONS(1978),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1964),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym_signed] = ACTIONS(1966),
    [anon_sym_unsigned] = ACTIONS(1966),
    [anon_sym_long] = ACTIONS(1966),
    [anon_sym_short] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_auto] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1976),
    [anon_sym_QMARK] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1972),
    [anon_sym_SLASH_EQ] = ACTIONS(1972),
    [anon_sym_PERCENT_EQ] = ACTIONS(1972),
    [anon_sym_PLUS_EQ] = ACTIONS(1972),
    [anon_sym_DASH_EQ] = ACTIONS(1972),
    [anon_sym_LT_LT_EQ] = ACTIONS(1972),
    [anon_sym_GT_GT_EQ] = ACTIONS(1972),
    [anon_sym_AMP_EQ] = ACTIONS(1972),
    [anon_sym_CARET_EQ] = ACTIONS(1972),
    [anon_sym_PIPE_EQ] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DOT] = ACTIONS(1953),
    [anon_sym_DASH_GT] = ACTIONS(1953),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [515] = {
    [sym_string_literal] = STATE(770),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1092),
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1955),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_PERCENT] = ACTIONS(1959),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_EQ_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_GT] = ACTIONS(1959),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ] = ACTIONS(1953),
    [anon_sym_LT] = ACTIONS(1959),
    [anon_sym_LT_LT] = ACTIONS(1959),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_SEMI] = ACTIONS(1953),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1964),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym_signed] = ACTIONS(1966),
    [anon_sym_unsigned] = ACTIONS(1966),
    [anon_sym_long] = ACTIONS(1966),
    [anon_sym_short] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_auto] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1983),
    [anon_sym_QMARK] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1972),
    [anon_sym_SLASH_EQ] = ACTIONS(1972),
    [anon_sym_PERCENT_EQ] = ACTIONS(1972),
    [anon_sym_PLUS_EQ] = ACTIONS(1972),
    [anon_sym_DASH_EQ] = ACTIONS(1972),
    [anon_sym_LT_LT_EQ] = ACTIONS(1972),
    [anon_sym_GT_GT_EQ] = ACTIONS(1972),
    [anon_sym_AMP_EQ] = ACTIONS(1972),
    [anon_sym_CARET_EQ] = ACTIONS(1972),
    [anon_sym_PIPE_EQ] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DOT] = ACTIONS(1953),
    [anon_sym_DASH_GT] = ACTIONS(1953),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [sym_string_literal] = STATE(770),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1092),
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_LPAREN2] = ACTIONS(1955),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_PERCENT] = ACTIONS(1959),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_EQ_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_GT] = ACTIONS(1959),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ] = ACTIONS(1953),
    [anon_sym_LT] = ACTIONS(1959),
    [anon_sym_LT_LT] = ACTIONS(1959),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_SEMI] = ACTIONS(1978),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1964),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym_signed] = ACTIONS(1966),
    [anon_sym_unsigned] = ACTIONS(1966),
    [anon_sym_long] = ACTIONS(1966),
    [anon_sym_short] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_auto] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym_COLON] = ACTIONS(1970),
    [anon_sym_QMARK] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1972),
    [anon_sym_SLASH_EQ] = ACTIONS(1972),
    [anon_sym_PERCENT_EQ] = ACTIONS(1972),
    [anon_sym_PLUS_EQ] = ACTIONS(1972),
    [anon_sym_DASH_EQ] = ACTIONS(1972),
    [anon_sym_LT_LT_EQ] = ACTIONS(1972),
    [anon_sym_GT_GT_EQ] = ACTIONS(1972),
    [anon_sym_AMP_EQ] = ACTIONS(1972),
    [anon_sym_CARET_EQ] = ACTIONS(1972),
    [anon_sym_PIPE_EQ] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DOT] = ACTIONS(1953),
    [anon_sym_DASH_GT] = ACTIONS(1953),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [517] = {
    [sym_string_literal] = STATE(770),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1092),
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_COMMA] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1955),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_PERCENT] = ACTIONS(1959),
    [anon_sym_PIPE_PIPE] = ACTIONS(1953),
    [anon_sym_AMP_AMP] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_EQ_EQ] = ACTIONS(1953),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_GT] = ACTIONS(1959),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_EQ] = ACTIONS(1953),
    [anon_sym_LT] = ACTIONS(1959),
    [anon_sym_LT_LT] = ACTIONS(1959),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_SEMI] = ACTIONS(1953),
    [anon_sym___extension__] = ACTIONS(1951),
    [anon_sym_extern] = ACTIONS(1951),
    [anon_sym___attribute__] = ACTIONS(1951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1964),
    [anon_sym___declspec] = ACTIONS(1951),
    [anon_sym___based] = ACTIONS(1951),
    [anon_sym_signed] = ACTIONS(1966),
    [anon_sym_unsigned] = ACTIONS(1966),
    [anon_sym_long] = ACTIONS(1966),
    [anon_sym_short] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1951),
    [anon_sym_auto] = ACTIONS(1951),
    [anon_sym_register] = ACTIONS(1951),
    [anon_sym_inline] = ACTIONS(1951),
    [anon_sym___inline] = ACTIONS(1951),
    [anon_sym___inline__] = ACTIONS(1951),
    [anon_sym___forceinline] = ACTIONS(1951),
    [anon_sym_thread_local] = ACTIONS(1951),
    [anon_sym___thread] = ACTIONS(1951),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_constexpr] = ACTIONS(1951),
    [anon_sym_volatile] = ACTIONS(1951),
    [anon_sym_restrict] = ACTIONS(1951),
    [anon_sym___restrict__] = ACTIONS(1951),
    [anon_sym__Atomic] = ACTIONS(1951),
    [anon_sym__Noreturn] = ACTIONS(1951),
    [anon_sym_noreturn] = ACTIONS(1951),
    [anon_sym_QMARK] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1972),
    [anon_sym_SLASH_EQ] = ACTIONS(1972),
    [anon_sym_PERCENT_EQ] = ACTIONS(1972),
    [anon_sym_PLUS_EQ] = ACTIONS(1972),
    [anon_sym_DASH_EQ] = ACTIONS(1972),
    [anon_sym_LT_LT_EQ] = ACTIONS(1972),
    [anon_sym_GT_GT_EQ] = ACTIONS(1972),
    [anon_sym_AMP_EQ] = ACTIONS(1972),
    [anon_sym_CARET_EQ] = ACTIONS(1972),
    [anon_sym_PIPE_EQ] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DOT] = ACTIONS(1953),
    [anon_sym_DASH_GT] = ACTIONS(1953),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [sym_type_qualifier] = STATE(522),
    [sym__expression] = STATE(1272),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(1019),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(1019),
    [sym_call_expression] = STATE(1019),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(1019),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(1019),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym__type_definition_type_repeat1] = STATE(522),
    [sym_identifier] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(1987),
    [anon_sym_BANG] = ACTIONS(1947),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_DASH] = ACTIONS(1945),
    [anon_sym_PLUS] = ACTIONS(1945),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1991),
    [anon_sym___extension__] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(1995),
    [anon_sym_const] = ACTIONS(1993),
    [anon_sym_constexpr] = ACTIONS(1993),
    [anon_sym_volatile] = ACTIONS(1993),
    [anon_sym_restrict] = ACTIONS(1993),
    [anon_sym___restrict__] = ACTIONS(1993),
    [anon_sym__Atomic] = ACTIONS(1993),
    [anon_sym__Noreturn] = ACTIONS(1993),
    [anon_sym_noreturn] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1997),
    [anon_sym_PLUS_PLUS] = ACTIONS(1997),
    [anon_sym_sizeof] = ACTIONS(1949),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [519] = {
    [sym_type_qualifier] = STATE(524),
    [sym__expression] = STATE(1279),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(1019),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(1019),
    [sym_call_expression] = STATE(1019),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(1019),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(1019),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym__type_definition_type_repeat1] = STATE(524),
    [sym_identifier] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(1987),
    [anon_sym_BANG] = ACTIONS(1947),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_DASH] = ACTIONS(1945),
    [anon_sym_PLUS] = ACTIONS(1945),
    [anon_sym_STAR] = ACTIONS(1999),
    [anon_sym_AMP] = ACTIONS(1991),
    [anon_sym___extension__] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(2001),
    [anon_sym_const] = ACTIONS(1993),
    [anon_sym_constexpr] = ACTIONS(1993),
    [anon_sym_volatile] = ACTIONS(1993),
    [anon_sym_restrict] = ACTIONS(1993),
    [anon_sym___restrict__] = ACTIONS(1993),
    [anon_sym__Atomic] = ACTIONS(1993),
    [anon_sym__Noreturn] = ACTIONS(1993),
    [anon_sym_noreturn] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1997),
    [anon_sym_PLUS_PLUS] = ACTIONS(1997),
    [anon_sym_sizeof] = ACTIONS(1949),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [520] = {
    [sym_type_qualifier] = STATE(521),
    [sym__expression] = STATE(1278),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(1019),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(1019),
    [sym_call_expression] = STATE(1019),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(1019),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(1019),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym__type_definition_type_repeat1] = STATE(521),
    [sym_identifier] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(1987),
    [anon_sym_BANG] = ACTIONS(1947),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_DASH] = ACTIONS(1945),
    [anon_sym_PLUS] = ACTIONS(1945),
    [anon_sym_STAR] = ACTIONS(2003),
    [anon_sym_AMP] = ACTIONS(1991),
    [anon_sym___extension__] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(2005),
    [anon_sym_const] = ACTIONS(1993),
    [anon_sym_constexpr] = ACTIONS(1993),
    [anon_sym_volatile] = ACTIONS(1993),
    [anon_sym_restrict] = ACTIONS(1993),
    [anon_sym___restrict__] = ACTIONS(1993),
    [anon_sym__Atomic] = ACTIONS(1993),
    [anon_sym__Noreturn] = ACTIONS(1993),
    [anon_sym_noreturn] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1997),
    [anon_sym_PLUS_PLUS] = ACTIONS(1997),
    [anon_sym_sizeof] = ACTIONS(1949),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [521] = {
    [sym_type_qualifier] = STATE(850),
    [sym__expression] = STATE(1287),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(1019),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(1019),
    [sym_call_expression] = STATE(1019),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(1019),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(1019),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym__type_definition_type_repeat1] = STATE(850),
    [sym_identifier] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(1987),
    [anon_sym_BANG] = ACTIONS(1947),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_DASH] = ACTIONS(1945),
    [anon_sym_PLUS] = ACTIONS(1945),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_AMP] = ACTIONS(1991),
    [anon_sym___extension__] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(2009),
    [anon_sym_const] = ACTIONS(1993),
    [anon_sym_constexpr] = ACTIONS(1993),
    [anon_sym_volatile] = ACTIONS(1993),
    [anon_sym_restrict] = ACTIONS(1993),
    [anon_sym___restrict__] = ACTIONS(1993),
    [anon_sym__Atomic] = ACTIONS(1993),
    [anon_sym__Noreturn] = ACTIONS(1993),
    [anon_sym_noreturn] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1997),
    [anon_sym_PLUS_PLUS] = ACTIONS(1997),
    [anon_sym_sizeof] = ACTIONS(1949),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [sym_type_qualifier] = STATE(850),
    [sym__expression] = STATE(1285),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(1019),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(1019),
    [sym_call_expression] = STATE(1019),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(1019),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(1019),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym__type_definition_type_repeat1] = STATE(850),
    [sym_identifier] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(1987),
    [anon_sym_BANG] = ACTIONS(1947),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_DASH] = ACTIONS(1945),
    [anon_sym_PLUS] = ACTIONS(1945),
    [anon_sym_STAR] = ACTIONS(2011),
    [anon_sym_AMP] = ACTIONS(1991),
    [anon_sym___extension__] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(2013),
    [anon_sym_const] = ACTIONS(1993),
    [anon_sym_constexpr] = ACTIONS(1993),
    [anon_sym_volatile] = ACTIONS(1993),
    [anon_sym_restrict] = ACTIONS(1993),
    [anon_sym___restrict__] = ACTIONS(1993),
    [anon_sym__Atomic] = ACTIONS(1993),
    [anon_sym__Noreturn] = ACTIONS(1993),
    [anon_sym_noreturn] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1997),
    [anon_sym_PLUS_PLUS] = ACTIONS(1997),
    [anon_sym_sizeof] = ACTIONS(1949),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [sym_type_qualifier] = STATE(525),
    [sym__expression] = STATE(1284),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(1019),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(1019),
    [sym_call_expression] = STATE(1019),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(1019),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(1019),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym__type_definition_type_repeat1] = STATE(525),
    [sym_identifier] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(1987),
    [anon_sym_BANG] = ACTIONS(1947),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_DASH] = ACTIONS(1945),
    [anon_sym_PLUS] = ACTIONS(1945),
    [anon_sym_STAR] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(1991),
    [anon_sym___extension__] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(2017),
    [anon_sym_const] = ACTIONS(1993),
    [anon_sym_constexpr] = ACTIONS(1993),
    [anon_sym_volatile] = ACTIONS(1993),
    [anon_sym_restrict] = ACTIONS(1993),
    [anon_sym___restrict__] = ACTIONS(1993),
    [anon_sym__Atomic] = ACTIONS(1993),
    [anon_sym__Noreturn] = ACTIONS(1993),
    [anon_sym_noreturn] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1997),
    [anon_sym_PLUS_PLUS] = ACTIONS(1997),
    [anon_sym_sizeof] = ACTIONS(1949),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [sym_type_qualifier] = STATE(850),
    [sym__expression] = STATE(1292),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(1019),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(1019),
    [sym_call_expression] = STATE(1019),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(1019),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(1019),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym__type_definition_type_repeat1] = STATE(850),
    [sym_identifier] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(1987),
    [anon_sym_BANG] = ACTIONS(1947),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_DASH] = ACTIONS(1945),
    [anon_sym_PLUS] = ACTIONS(1945),
    [anon_sym_STAR] = ACTIONS(2019),
    [anon_sym_AMP] = ACTIONS(1991),
    [anon_sym___extension__] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(2021),
    [anon_sym_const] = ACTIONS(1993),
    [anon_sym_constexpr] = ACTIONS(1993),
    [anon_sym_volatile] = ACTIONS(1993),
    [anon_sym_restrict] = ACTIONS(1993),
    [anon_sym___restrict__] = ACTIONS(1993),
    [anon_sym__Atomic] = ACTIONS(1993),
    [anon_sym__Noreturn] = ACTIONS(1993),
    [anon_sym_noreturn] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1997),
    [anon_sym_PLUS_PLUS] = ACTIONS(1997),
    [anon_sym_sizeof] = ACTIONS(1949),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [sym_type_qualifier] = STATE(850),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(1019),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(1019),
    [sym_call_expression] = STATE(1019),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(1019),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(1019),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym__type_definition_type_repeat1] = STATE(850),
    [sym_identifier] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(1987),
    [anon_sym_BANG] = ACTIONS(1947),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_DASH] = ACTIONS(1945),
    [anon_sym_PLUS] = ACTIONS(1945),
    [anon_sym_STAR] = ACTIONS(2023),
    [anon_sym_AMP] = ACTIONS(1991),
    [anon_sym___extension__] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(2025),
    [anon_sym_const] = ACTIONS(1993),
    [anon_sym_constexpr] = ACTIONS(1993),
    [anon_sym_volatile] = ACTIONS(1993),
    [anon_sym_restrict] = ACTIONS(1993),
    [anon_sym___restrict__] = ACTIONS(1993),
    [anon_sym__Atomic] = ACTIONS(1993),
    [anon_sym__Noreturn] = ACTIONS(1993),
    [anon_sym_noreturn] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1997),
    [anon_sym_PLUS_PLUS] = ACTIONS(1997),
    [anon_sym_sizeof] = ACTIONS(1949),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [526] = {
    [sym_type_qualifier] = STATE(850),
    [sym__expression] = STATE(1297),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(1019),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(1019),
    [sym_call_expression] = STATE(1019),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(1019),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(1019),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym__type_definition_type_repeat1] = STATE(850),
    [sym_identifier] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(1987),
    [anon_sym_BANG] = ACTIONS(1947),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_DASH] = ACTIONS(1945),
    [anon_sym_PLUS] = ACTIONS(1945),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(1991),
    [anon_sym___extension__] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(2029),
    [anon_sym_const] = ACTIONS(1993),
    [anon_sym_constexpr] = ACTIONS(1993),
    [anon_sym_volatile] = ACTIONS(1993),
    [anon_sym_restrict] = ACTIONS(1993),
    [anon_sym___restrict__] = ACTIONS(1993),
    [anon_sym__Atomic] = ACTIONS(1993),
    [anon_sym__Noreturn] = ACTIONS(1993),
    [anon_sym_noreturn] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1997),
    [anon_sym_PLUS_PLUS] = ACTIONS(1997),
    [anon_sym_sizeof] = ACTIONS(1949),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [sym_type_qualifier] = STATE(526),
    [sym__expression] = STATE(1293),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(1019),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(1019),
    [sym_call_expression] = STATE(1019),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(1019),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(1019),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym__type_definition_type_repeat1] = STATE(526),
    [sym_identifier] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(1987),
    [anon_sym_BANG] = ACTIONS(1947),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_DASH] = ACTIONS(1945),
    [anon_sym_PLUS] = ACTIONS(1945),
    [anon_sym_STAR] = ACTIONS(2031),
    [anon_sym_AMP] = ACTIONS(1991),
    [anon_sym___extension__] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(2033),
    [anon_sym_const] = ACTIONS(1993),
    [anon_sym_constexpr] = ACTIONS(1993),
    [anon_sym_volatile] = ACTIONS(1993),
    [anon_sym_restrict] = ACTIONS(1993),
    [anon_sym___restrict__] = ACTIONS(1993),
    [anon_sym__Atomic] = ACTIONS(1993),
    [anon_sym__Noreturn] = ACTIONS(1993),
    [anon_sym_noreturn] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1997),
    [anon_sym_PLUS_PLUS] = ACTIONS(1997),
    [anon_sym_sizeof] = ACTIONS(1949),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [sym__expression] = STATE(1194),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_initializer_list] = STATE(1797),
    [sym_initializer_pair] = STATE(1797),
    [sym_subscript_designator] = STATE(1602),
    [sym_subscript_range_designator] = STATE(1602),
    [sym_field_designator] = STATE(1602),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_initializer_pair_repeat1] = STATE(1602),
    [sym_identifier] = ACTIONS(2035),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(2043),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [sym__expression] = STATE(1192),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_initializer_list] = STATE(1800),
    [sym_initializer_pair] = STATE(1800),
    [sym_subscript_designator] = STATE(1602),
    [sym_subscript_range_designator] = STATE(1602),
    [sym_field_designator] = STATE(1602),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_initializer_pair_repeat1] = STATE(1602),
    [sym_identifier] = ACTIONS(2035),
    [anon_sym_COMMA] = ACTIONS(2045),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(2047),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(2043),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [530] = {
    [sym__expression] = STATE(1260),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_initializer_list] = STATE(1904),
    [sym_initializer_pair] = STATE(1904),
    [sym_subscript_designator] = STATE(1602),
    [sym_subscript_range_designator] = STATE(1602),
    [sym_field_designator] = STATE(1602),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_initializer_pair_repeat1] = STATE(1602),
    [sym_identifier] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(2043),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [531] = {
    [sym__expression] = STATE(1260),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_initializer_list] = STATE(1904),
    [sym_initializer_pair] = STATE(1904),
    [sym_subscript_designator] = STATE(1602),
    [sym_subscript_range_designator] = STATE(1602),
    [sym_field_designator] = STATE(1602),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_initializer_pair_repeat1] = STATE(1602),
    [sym_identifier] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(2051),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(2043),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [532] = {
    [sym__expression] = STATE(1260),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_initializer_list] = STATE(1904),
    [sym_initializer_pair] = STATE(1904),
    [sym_subscript_designator] = STATE(1602),
    [sym_subscript_range_designator] = STATE(1602),
    [sym_field_designator] = STATE(1602),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_initializer_pair_repeat1] = STATE(1602),
    [sym_identifier] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(2053),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(2043),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [533] = {
    [sym__expression] = STATE(1260),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_initializer_list] = STATE(1904),
    [sym_initializer_pair] = STATE(1904),
    [sym_subscript_designator] = STATE(1602),
    [sym_subscript_range_designator] = STATE(1602),
    [sym_field_designator] = STATE(1602),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_initializer_pair_repeat1] = STATE(1602),
    [sym_identifier] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(2043),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [534] = {
    [sym_preproc_def] = STATE(542),
    [sym_preproc_function_def] = STATE(542),
    [sym_preproc_call] = STATE(542),
    [sym_preproc_elifdef] = STATE(2032),
    [sym_preproc_if_in_field_declaration_list] = STATE(542),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(542),
    [sym_preproc_else_in_field_declaration_list] = STATE(2032),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2032),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1470),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__field_declaration_list_item] = STATE(542),
    [sym_field_declaration] = STATE(542),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(2057),
    [aux_sym_preproc_def_token1] = ACTIONS(2059),
    [aux_sym_preproc_if_token1] = ACTIONS(2061),
    [aux_sym_preproc_if_token2] = ACTIONS(2063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2065),
    [aux_sym_preproc_else_token1] = ACTIONS(2067),
    [aux_sym_preproc_elif_token1] = ACTIONS(2069),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(2071),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [535] = {
    [sym_preproc_def] = STATE(546),
    [sym_preproc_function_def] = STATE(546),
    [sym_preproc_call] = STATE(546),
    [sym_preproc_elifdef] = STATE(1972),
    [sym_preproc_if_in_field_declaration_list] = STATE(546),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(546),
    [sym_preproc_else_in_field_declaration_list] = STATE(1972),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1972),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1470),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__field_declaration_list_item] = STATE(546),
    [sym_field_declaration] = STATE(546),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(546),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(2057),
    [aux_sym_preproc_def_token1] = ACTIONS(2059),
    [aux_sym_preproc_if_token1] = ACTIONS(2061),
    [aux_sym_preproc_if_token2] = ACTIONS(2073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2065),
    [aux_sym_preproc_else_token1] = ACTIONS(2067),
    [aux_sym_preproc_elif_token1] = ACTIONS(2069),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(2071),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [536] = {
    [sym_preproc_def] = STATE(546),
    [sym_preproc_function_def] = STATE(546),
    [sym_preproc_call] = STATE(546),
    [sym_preproc_elifdef] = STATE(2181),
    [sym_preproc_if_in_field_declaration_list] = STATE(546),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(546),
    [sym_preproc_else_in_field_declaration_list] = STATE(2181),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2181),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1470),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__field_declaration_list_item] = STATE(546),
    [sym_field_declaration] = STATE(546),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(546),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(2057),
    [aux_sym_preproc_def_token1] = ACTIONS(2059),
    [aux_sym_preproc_if_token1] = ACTIONS(2061),
    [aux_sym_preproc_if_token2] = ACTIONS(2075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2065),
    [aux_sym_preproc_else_token1] = ACTIONS(2067),
    [aux_sym_preproc_elif_token1] = ACTIONS(2069),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(2071),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [537] = {
    [sym__expression] = STATE(1260),
    [sym__expression_not_binary] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(922),
    [sym_unary_expression] = STATE(824),
    [sym_binary_expression] = STATE(824),
    [sym_update_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_alignof_expression] = STATE(824),
    [sym_offsetof_expression] = STATE(824),
    [sym_generic_expression] = STATE(824),
    [sym_subscript_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_gnu_asm_expression] = STATE(824),
    [sym_field_expression] = STATE(922),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(922),
    [sym_initializer_list] = STATE(1904),
    [sym_initializer_pair] = STATE(1904),
    [sym_subscript_designator] = STATE(1602),
    [sym_subscript_range_designator] = STATE(1602),
    [sym_field_designator] = STATE(1602),
    [sym_char_literal] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [sym_string_literal] = STATE(774),
    [sym_null] = STATE(824),
    [aux_sym_initializer_pair_repeat1] = STATE(1602),
    [sym_identifier] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(2043),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [538] = {
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1393),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_ms_based_modifier] = STATE(2164),
    [sym__declarator] = STATE(1595),
    [sym__abstract_declarator] = STATE(1731),
    [sym_parenthesized_declarator] = STATE(1537),
    [sym_abstract_parenthesized_declarator] = STATE(1643),
    [sym_attributed_declarator] = STATE(1537),
    [sym_pointer_declarator] = STATE(1537),
    [sym_abstract_pointer_declarator] = STATE(1643),
    [sym_function_declarator] = STATE(1537),
    [sym_abstract_function_declarator] = STATE(1643),
    [sym_array_declarator] = STATE(1537),
    [sym_abstract_array_declarator] = STATE(1643),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym_variadic_parameter] = STATE(1760),
    [sym_parameter_list] = STATE(1655),
    [sym_parameter_declaration] = STATE(1760),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2079),
    [anon_sym_RPAREN] = ACTIONS(2081),
    [anon_sym_LPAREN2] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2085),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___based] = ACTIONS(2087),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [539] = {
    [sym_preproc_def] = STATE(536),
    [sym_preproc_function_def] = STATE(536),
    [sym_preproc_call] = STATE(536),
    [sym_preproc_elifdef] = STATE(2167),
    [sym_preproc_if_in_field_declaration_list] = STATE(536),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(536),
    [sym_preproc_else_in_field_declaration_list] = STATE(2167),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2167),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1470),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__field_declaration_list_item] = STATE(536),
    [sym_field_declaration] = STATE(536),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(536),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(2057),
    [aux_sym_preproc_def_token1] = ACTIONS(2059),
    [aux_sym_preproc_if_token1] = ACTIONS(2061),
    [aux_sym_preproc_if_token2] = ACTIONS(2091),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2065),
    [aux_sym_preproc_else_token1] = ACTIONS(2067),
    [aux_sym_preproc_elif_token1] = ACTIONS(2069),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(2071),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [540] = {
    [sym_preproc_def] = STATE(541),
    [sym_preproc_function_def] = STATE(541),
    [sym_preproc_call] = STATE(541),
    [sym_preproc_elifdef] = STATE(2119),
    [sym_preproc_if_in_field_declaration_list] = STATE(541),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(541),
    [sym_preproc_else_in_field_declaration_list] = STATE(2119),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2119),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1470),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__field_declaration_list_item] = STATE(541),
    [sym_field_declaration] = STATE(541),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(541),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(2057),
    [aux_sym_preproc_def_token1] = ACTIONS(2059),
    [aux_sym_preproc_if_token1] = ACTIONS(2061),
    [aux_sym_preproc_if_token2] = ACTIONS(2093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2065),
    [aux_sym_preproc_else_token1] = ACTIONS(2067),
    [aux_sym_preproc_elif_token1] = ACTIONS(2069),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(2071),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [541] = {
    [sym_preproc_def] = STATE(546),
    [sym_preproc_function_def] = STATE(546),
    [sym_preproc_call] = STATE(546),
    [sym_preproc_elifdef] = STATE(2108),
    [sym_preproc_if_in_field_declaration_list] = STATE(546),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(546),
    [sym_preproc_else_in_field_declaration_list] = STATE(2108),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2108),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1470),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__field_declaration_list_item] = STATE(546),
    [sym_field_declaration] = STATE(546),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(546),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(2057),
    [aux_sym_preproc_def_token1] = ACTIONS(2059),
    [aux_sym_preproc_if_token1] = ACTIONS(2061),
    [aux_sym_preproc_if_token2] = ACTIONS(2095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2065),
    [aux_sym_preproc_else_token1] = ACTIONS(2067),
    [aux_sym_preproc_elif_token1] = ACTIONS(2069),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(2071),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [542] = {
    [sym_preproc_def] = STATE(546),
    [sym_preproc_function_def] = STATE(546),
    [sym_preproc_call] = STATE(546),
    [sym_preproc_elifdef] = STATE(2023),
    [sym_preproc_if_in_field_declaration_list] = STATE(546),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(546),
    [sym_preproc_else_in_field_declaration_list] = STATE(2023),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2023),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1470),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__field_declaration_list_item] = STATE(546),
    [sym_field_declaration] = STATE(546),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(546),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(2057),
    [aux_sym_preproc_def_token1] = ACTIONS(2059),
    [aux_sym_preproc_if_token1] = ACTIONS(2061),
    [aux_sym_preproc_if_token2] = ACTIONS(2097),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2065),
    [aux_sym_preproc_else_token1] = ACTIONS(2067),
    [aux_sym_preproc_elif_token1] = ACTIONS(2069),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(2071),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [543] = {
    [sym_preproc_def] = STATE(535),
    [sym_preproc_function_def] = STATE(535),
    [sym_preproc_call] = STATE(535),
    [sym_preproc_elifdef] = STATE(2037),
    [sym_preproc_if_in_field_declaration_list] = STATE(535),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(535),
    [sym_preproc_else_in_field_declaration_list] = STATE(2037),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2037),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1470),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__field_declaration_list_item] = STATE(535),
    [sym_field_declaration] = STATE(535),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(535),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(2057),
    [aux_sym_preproc_def_token1] = ACTIONS(2059),
    [aux_sym_preproc_if_token1] = ACTIONS(2061),
    [aux_sym_preproc_if_token2] = ACTIONS(2099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2065),
    [aux_sym_preproc_else_token1] = ACTIONS(2067),
    [aux_sym_preproc_elif_token1] = ACTIONS(2069),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(2071),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [544] = {
    [sym_preproc_def] = STATE(547),
    [sym_preproc_function_def] = STATE(547),
    [sym_preproc_call] = STATE(547),
    [sym_preproc_if_in_field_declaration_list] = STATE(547),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(547),
    [sym_preproc_else_in_field_declaration_list] = STATE(2030),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2030),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1468),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__field_declaration_list_item] = STATE(547),
    [sym_field_declaration] = STATE(547),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(2057),
    [aux_sym_preproc_def_token1] = ACTIONS(2101),
    [aux_sym_preproc_if_token1] = ACTIONS(2103),
    [aux_sym_preproc_if_token2] = ACTIONS(2105),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2107),
    [aux_sym_preproc_else_token1] = ACTIONS(2067),
    [aux_sym_preproc_elif_token1] = ACTIONS(2069),
    [sym_preproc_directive] = ACTIONS(2109),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [545] = {
    [sym_preproc_def] = STATE(556),
    [sym_preproc_function_def] = STATE(556),
    [sym_preproc_call] = STATE(556),
    [sym_preproc_if_in_field_declaration_list] = STATE(556),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(556),
    [sym_preproc_else_in_field_declaration_list] = STATE(1937),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1937),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1468),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__field_declaration_list_item] = STATE(556),
    [sym_field_declaration] = STATE(556),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(556),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(2057),
    [aux_sym_preproc_def_token1] = ACTIONS(2101),
    [aux_sym_preproc_if_token1] = ACTIONS(2103),
    [aux_sym_preproc_if_token2] = ACTIONS(2111),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2107),
    [aux_sym_preproc_else_token1] = ACTIONS(2067),
    [aux_sym_preproc_elif_token1] = ACTIONS(2069),
    [sym_preproc_directive] = ACTIONS(2109),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [546] = {
    [sym_preproc_def] = STATE(546),
    [sym_preproc_function_def] = STATE(546),
    [sym_preproc_call] = STATE(546),
    [sym_preproc_if_in_field_declaration_list] = STATE(546),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(546),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1470),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__field_declaration_list_item] = STATE(546),
    [sym_field_declaration] = STATE(546),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(546),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(2113),
    [aux_sym_preproc_def_token1] = ACTIONS(2116),
    [aux_sym_preproc_if_token1] = ACTIONS(2119),
    [aux_sym_preproc_if_token2] = ACTIONS(2122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2124),
    [aux_sym_preproc_else_token1] = ACTIONS(2122),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2122),
    [sym_preproc_directive] = ACTIONS(2127),
    [anon_sym___extension__] = ACTIONS(2130),
    [anon_sym_extern] = ACTIONS(2133),
    [anon_sym___attribute__] = ACTIONS(2136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2139),
    [anon_sym___declspec] = ACTIONS(2142),
    [anon_sym_signed] = ACTIONS(2145),
    [anon_sym_unsigned] = ACTIONS(2145),
    [anon_sym_long] = ACTIONS(2145),
    [anon_sym_short] = ACTIONS(2145),
    [anon_sym_static] = ACTIONS(2133),
    [anon_sym_auto] = ACTIONS(2133),
    [anon_sym_register] = ACTIONS(2133),
    [anon_sym_inline] = ACTIONS(2133),
    [anon_sym___inline] = ACTIONS(2133),
    [anon_sym___inline__] = ACTIONS(2133),
    [anon_sym___forceinline] = ACTIONS(2133),
    [anon_sym_thread_local] = ACTIONS(2133),
    [anon_sym___thread] = ACTIONS(2133),
    [anon_sym_const] = ACTIONS(2130),
    [anon_sym_constexpr] = ACTIONS(2130),
    [anon_sym_volatile] = ACTIONS(2130),
    [anon_sym_restrict] = ACTIONS(2130),
    [anon_sym___restrict__] = ACTIONS(2130),
    [anon_sym__Atomic] = ACTIONS(2130),
    [anon_sym__Noreturn] = ACTIONS(2130),
    [anon_sym_noreturn] = ACTIONS(2130),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_enum] = ACTIONS(2151),
    [anon_sym_struct] = ACTIONS(2154),
    [anon_sym_union] = ACTIONS(2157),
    [sym_comment] = ACTIONS(3),
  },
  [547] = {
    [sym_preproc_def] = STATE(556),
    [sym_preproc_function_def] = STATE(556),
    [sym_preproc_call] = STATE(556),
    [sym_preproc_if_in_field_declaration_list] = STATE(556),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(556),
    [sym_preproc_else_in_field_declaration_list] = STATE(2020),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2020),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1468),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__field_declaration_list_item] = STATE(556),
    [sym_field_declaration] = STATE(556),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(556),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(2057),
    [aux_sym_preproc_def_token1] = ACTIONS(2101),
    [aux_sym_preproc_if_token1] = ACTIONS(2103),
    [aux_sym_preproc_if_token2] = ACTIONS(2160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2107),
    [aux_sym_preproc_else_token1] = ACTIONS(2067),
    [aux_sym_preproc_elif_token1] = ACTIONS(2069),
    [sym_preproc_directive] = ACTIONS(2109),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [548] = {
    [sym_preproc_def] = STATE(556),
    [sym_preproc_function_def] = STATE(556),
    [sym_preproc_call] = STATE(556),
    [sym_preproc_if_in_field_declaration_list] = STATE(556),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(556),
    [sym_preproc_else_in_field_declaration_list] = STATE(2107),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2107),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1468),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__field_declaration_list_item] = STATE(556),
    [sym_field_declaration] = STATE(556),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(556),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(2057),
    [aux_sym_preproc_def_token1] = ACTIONS(2101),
    [aux_sym_preproc_if_token1] = ACTIONS(2103),
    [aux_sym_preproc_if_token2] = ACTIONS(2162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2107),
    [aux_sym_preproc_else_token1] = ACTIONS(2067),
    [aux_sym_preproc_elif_token1] = ACTIONS(2069),
    [sym_preproc_directive] = ACTIONS(2109),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [549] = {
    [sym_preproc_def] = STATE(556),
    [sym_preproc_function_def] = STATE(556),
    [sym_preproc_call] = STATE(556),
    [sym_preproc_if_in_field_declaration_list] = STATE(556),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(556),
    [sym_preproc_else_in_field_declaration_list] = STATE(2186),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2186),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1468),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__field_declaration_list_item] = STATE(556),
    [sym_field_declaration] = STATE(556),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(556),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(2057),
    [aux_sym_preproc_def_token1] = ACTIONS(2101),
    [aux_sym_preproc_if_token1] = ACTIONS(2103),
    [aux_sym_preproc_if_token2] = ACTIONS(2164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2107),
    [aux_sym_preproc_else_token1] = ACTIONS(2067),
    [aux_sym_preproc_elif_token1] = ACTIONS(2069),
    [sym_preproc_directive] = ACTIONS(2109),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [550] = {
    [sym_preproc_def] = STATE(549),
    [sym_preproc_function_def] = STATE(549),
    [sym_preproc_call] = STATE(549),
    [sym_preproc_if_in_field_declaration_list] = STATE(549),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(549),
    [sym_preproc_else_in_field_declaration_list] = STATE(2180),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2180),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1468),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__field_declaration_list_item] = STATE(549),
    [sym_field_declaration] = STATE(549),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(549),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(2057),
    [aux_sym_preproc_def_token1] = ACTIONS(2101),
    [aux_sym_preproc_if_token1] = ACTIONS(2103),
    [aux_sym_preproc_if_token2] = ACTIONS(2166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2107),
    [aux_sym_preproc_else_token1] = ACTIONS(2067),
    [aux_sym_preproc_elif_token1] = ACTIONS(2069),
    [sym_preproc_directive] = ACTIONS(2109),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [551] = {
    [sym_preproc_def] = STATE(548),
    [sym_preproc_function_def] = STATE(548),
    [sym_preproc_call] = STATE(548),
    [sym_preproc_if_in_field_declaration_list] = STATE(548),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(548),
    [sym_preproc_else_in_field_declaration_list] = STATE(2115),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2115),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1468),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__field_declaration_list_item] = STATE(548),
    [sym_field_declaration] = STATE(548),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(548),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(2057),
    [aux_sym_preproc_def_token1] = ACTIONS(2101),
    [aux_sym_preproc_if_token1] = ACTIONS(2103),
    [aux_sym_preproc_if_token2] = ACTIONS(2168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2107),
    [aux_sym_preproc_else_token1] = ACTIONS(2067),
    [aux_sym_preproc_elif_token1] = ACTIONS(2069),
    [sym_preproc_directive] = ACTIONS(2109),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [552] = {
    [sym_preproc_def] = STATE(553),
    [sym_preproc_function_def] = STATE(553),
    [sym_preproc_call] = STATE(553),
    [sym_preproc_if_in_field_declaration_list] = STATE(553),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(553),
    [sym_preproc_else_in_field_declaration_list] = STATE(1981),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1981),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1468),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__field_declaration_list_item] = STATE(553),
    [sym_field_declaration] = STATE(553),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(553),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(2057),
    [aux_sym_preproc_def_token1] = ACTIONS(2101),
    [aux_sym_preproc_if_token1] = ACTIONS(2103),
    [aux_sym_preproc_if_token2] = ACTIONS(2170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2107),
    [aux_sym_preproc_else_token1] = ACTIONS(2067),
    [aux_sym_preproc_elif_token1] = ACTIONS(2069),
    [sym_preproc_directive] = ACTIONS(2109),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [553] = {
    [sym_preproc_def] = STATE(556),
    [sym_preproc_function_def] = STATE(556),
    [sym_preproc_call] = STATE(556),
    [sym_preproc_if_in_field_declaration_list] = STATE(556),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(556),
    [sym_preproc_else_in_field_declaration_list] = STATE(2002),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2002),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1468),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__field_declaration_list_item] = STATE(556),
    [sym_field_declaration] = STATE(556),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(556),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(2057),
    [aux_sym_preproc_def_token1] = ACTIONS(2101),
    [aux_sym_preproc_if_token1] = ACTIONS(2103),
    [aux_sym_preproc_if_token2] = ACTIONS(2172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2107),
    [aux_sym_preproc_else_token1] = ACTIONS(2067),
    [aux_sym_preproc_elif_token1] = ACTIONS(2069),
    [sym_preproc_directive] = ACTIONS(2109),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [554] = {
    [sym_preproc_def] = STATE(545),
    [sym_preproc_function_def] = STATE(545),
    [sym_preproc_call] = STATE(545),
    [sym_preproc_if_in_field_declaration_list] = STATE(545),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(545),
    [sym_preproc_else_in_field_declaration_list] = STATE(1973),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1973),
    [sym__declaration_modifiers] = STATE(869),
    [sym__declaration_specifiers] = STATE(1468),
    [sym_attribute_specifier] = STATE(869),
    [sym_attribute_declaration] = STATE(869),
    [sym_ms_declspec_modifier] = STATE(869),
    [sym_storage_class_specifier] = STATE(869),
    [sym_type_qualifier] = STATE(869),
    [sym__type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(1099),
    [sym_enum_specifier] = STATE(1099),
    [sym_struct_specifier] = STATE(1099),
    [sym_union_specifier] = STATE(1099),
    [sym__field_declaration_list_item] = STATE(545),
    [sym_field_declaration] = STATE(545),
    [sym_macro_type_specifier] = STATE(1099),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(545),
    [aux_sym__declaration_specifiers_repeat1] = STATE(869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(2057),
    [aux_sym_preproc_def_token1] = ACTIONS(2101),
    [aux_sym_preproc_if_token1] = ACTIONS(2103),
    [aux_sym_preproc_if_token2] = ACTIONS(2174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2107),
    [aux_sym_preproc_else_token1] = ACTIONS(2067),
    [aux_sym_preproc_elif_token1] = ACTIONS(2069),
    [sym_preproc_directive] = ACTIONS(2109),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2176), 1,
      anon_sym_RPAREN,
    ACTIONS(2178), 1,
      anon_sym___extension__,
    STATE(774), 1,
      sym_string_literal,
    STATE(1197), 1,
      sym__expression,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [114] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2113), 1,
      sym_identifier,
    ACTIONS(2136), 1,
      anon_sym___attribute__,
    ACTIONS(2139), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2142), 1,
      anon_sym___declspec,
    ACTIONS(2148), 1,
      sym_primitive_type,
    ACTIONS(2151), 1,
      anon_sym_enum,
    ACTIONS(2154), 1,
      anon_sym_struct,
    ACTIONS(2157), 1,
      anon_sym_union,
    ACTIONS(2180), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2183), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2189), 1,
      sym_preproc_directive,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1468), 1,
      sym__declaration_specifiers,
    ACTIONS(2186), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(2122), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(2145), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(556), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(2130), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2133), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [224] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2192), 1,
      anon_sym_RPAREN,
    ACTIONS(2194), 1,
      anon_sym___extension__,
    STATE(774), 1,
      sym_string_literal,
    STATE(1190), 1,
      sym__expression,
    STATE(1752), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [338] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2196), 1,
      anon_sym___extension__,
    STATE(774), 1,
      sym_string_literal,
    STATE(1213), 1,
      sym__expression,
    STATE(1851), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [449] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1522), 1,
      anon_sym_LBRACE,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(798), 1,
      sym_initializer_list,
    STATE(840), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [557] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1522), 1,
      anon_sym_LBRACE,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(1987), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(798), 1,
      sym_initializer_list,
    STATE(998), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [665] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1522), 1,
      anon_sym_LBRACE,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1257), 1,
      sym__expression,
    STATE(1907), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [773] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1522), 1,
      anon_sym_LBRACE,
    ACTIONS(1921), 1,
      anon_sym_sizeof,
    ACTIONS(2198), 1,
      sym_identifier,
    ACTIONS(2200), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(798), 1,
      sym_initializer_list,
    STATE(840), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1917), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1919), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(887), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [881] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1522), 1,
      anon_sym_LBRACE,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1223), 1,
      sym__expression,
    STATE(1869), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [989] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_string_literal,
    STATE(1215), 1,
      sym__expression,
    STATE(2087), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1097] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1522), 1,
      anon_sym_LBRACE,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1259), 1,
      sym__expression,
    STATE(1903), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1205] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1844), 1,
      anon_sym_LBRACE,
    ACTIONS(1846), 1,
      anon_sym_sizeof,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(2208), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(919), 1,
      sym__expression,
    STATE(932), 1,
      sym_initializer_list,
    ACTIONS(1840), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1842), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2214), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(926), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1311] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2216), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_string_literal,
    STATE(1216), 1,
      sym__expression,
    STATE(2086), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1419] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2113), 1,
      sym_identifier,
    ACTIONS(2122), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(2136), 1,
      anon_sym___attribute__,
    ACTIONS(2139), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2142), 1,
      anon_sym___declspec,
    ACTIONS(2148), 1,
      sym_primitive_type,
    ACTIONS(2151), 1,
      anon_sym_enum,
    ACTIONS(2154), 1,
      anon_sym_struct,
    ACTIONS(2157), 1,
      anon_sym_union,
    ACTIONS(2218), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2221), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2227), 1,
      sym_preproc_directive,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1463), 1,
      sym__declaration_specifiers,
    ACTIONS(2224), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(2145), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(568), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(2130), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2133), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [1527] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2230), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_string_literal,
    STATE(1214), 1,
      sym__expression,
    STATE(2171), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1635] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2232), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_string_literal,
    STATE(1245), 1,
      sym__expression,
    STATE(1963), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1743] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    ACTIONS(2234), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2236), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2240), 1,
      sym_preproc_directive,
    ACTIONS(2242), 1,
      anon_sym_RBRACE,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1462), 1,
      sym__declaration_specifiers,
    ACTIONS(2238), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(576), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [1851] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2244), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_string_literal,
    STATE(1212), 1,
      sym__expression,
    STATE(1925), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1959] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_string_literal,
    STATE(1247), 1,
      sym__expression,
    STATE(2080), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2067] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_string_literal,
    STATE(1227), 1,
      sym__expression,
    STATE(2178), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2175] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1522), 1,
      anon_sym_LBRACE,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1532), 1,
      anon_sym_sizeof,
    ACTIONS(2250), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(798), 1,
      sym_initializer_list,
    STATE(840), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1530), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2252), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2281] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2113), 1,
      sym_identifier,
    ACTIONS(2136), 1,
      anon_sym___attribute__,
    ACTIONS(2139), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2142), 1,
      anon_sym___declspec,
    ACTIONS(2148), 1,
      sym_primitive_type,
    ACTIONS(2151), 1,
      anon_sym_enum,
    ACTIONS(2154), 1,
      anon_sym_struct,
    ACTIONS(2157), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2257), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2263), 1,
      sym_preproc_directive,
    ACTIONS(2266), 1,
      anon_sym_RBRACE,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1462), 1,
      sym__declaration_specifiers,
    ACTIONS(2260), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(2145), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(576), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(2130), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2133), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [2389] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    ACTIONS(2234), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2236), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2240), 1,
      sym_preproc_directive,
    ACTIONS(2268), 1,
      anon_sym_RBRACE,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1462), 1,
      sym__declaration_specifiers,
    ACTIONS(2238), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(571), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [2497] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2270), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_string_literal,
    STATE(1244), 1,
      sym__expression,
    STATE(1964), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2605] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1522), 1,
      anon_sym_LBRACE,
    ACTIONS(1524), 1,
      anon_sym_sizeof,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(798), 1,
      sym_initializer_list,
    STATE(840), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2274), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2711] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2276), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_string_literal,
    STATE(1205), 1,
      sym__expression,
    STATE(1996), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2819] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    ACTIONS(2278), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2280), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2282), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(2286), 1,
      sym_preproc_directive,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1463), 1,
      sym__declaration_specifiers,
    ACTIONS(2284), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(589), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [2927] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2288), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_string_literal,
    STATE(1236), 1,
      sym__expression,
    STATE(2026), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3035] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2290), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_string_literal,
    STATE(1233), 1,
      sym__expression,
    STATE(2077), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3143] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2292), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_string_literal,
    STATE(1250), 1,
      sym__expression,
    STATE(1957), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3251] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2294), 1,
      anon_sym_RPAREN,
    STATE(774), 1,
      sym_string_literal,
    STATE(1234), 1,
      sym__expression,
    STATE(2025), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3359] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1522), 1,
      anon_sym_LBRACE,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(798), 1,
      sym_initializer_list,
    STATE(998), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3465] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1844), 1,
      anon_sym_LBRACE,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(1927), 1,
      anon_sym_sizeof,
    ACTIONS(2300), 1,
      sym_identifier,
    ACTIONS(2302), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(919), 1,
      sym__expression,
    STATE(932), 1,
      sym_initializer_list,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1925), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(930), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(926), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3573] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2306), 1,
      anon_sym_SEMI,
    STATE(774), 1,
      sym_string_literal,
    STATE(1243), 1,
      sym__expression,
    STATE(1961), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3681] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    ACTIONS(2278), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2280), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2286), 1,
      sym_preproc_directive,
    ACTIONS(2308), 1,
      aux_sym_preproc_if_token2,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1463), 1,
      sym__declaration_specifiers,
    ACTIONS(2284), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(568), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [3789] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    ACTIONS(2310), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_string_literal,
    STATE(973), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3892] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2312), 1,
      anon_sym_COLON,
    STATE(774), 1,
      sym_string_literal,
    STATE(1268), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3997] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    ACTIONS(2079), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2081), 1,
      anon_sym_RPAREN,
    ACTIONS(2089), 1,
      anon_sym_LBRACK,
    ACTIONS(2314), 1,
      anon_sym_LPAREN2,
    ACTIONS(2316), 1,
      anon_sym_STAR,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1393), 1,
      sym__declaration_specifiers,
    STATE(1655), 1,
      sym_parameter_list,
    STATE(1731), 1,
      sym__abstract_declarator,
    STATE(1760), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1643), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [4110] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2318), 1,
      anon_sym_COLON,
    STATE(774), 1,
      sym_string_literal,
    STATE(1296), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4215] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1198), 1,
      sym__expression,
    STATE(1874), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4320] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1231), 1,
      sym__expression,
    STATE(2067), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4425] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    ACTIONS(2320), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_string_literal,
    STATE(973), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4528] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    ACTIONS(2322), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_string_literal,
    STATE(973), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4631] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    ACTIONS(2324), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_string_literal,
    STATE(973), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4734] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    ACTIONS(2326), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_string_literal,
    STATE(973), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4837] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2328), 1,
      anon_sym_COLON,
    STATE(774), 1,
      sym_string_literal,
    STATE(1295), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4942] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1224), 1,
      sym__expression,
    STATE(2183), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5047] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    ACTIONS(2330), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_string_literal,
    STATE(973), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5150] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    ACTIONS(2332), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_string_literal,
    STATE(973), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5253] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2334), 1,
      anon_sym_COLON,
    STATE(774), 1,
      sym_string_literal,
    STATE(1288), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5358] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2336), 1,
      anon_sym_COLON,
    STATE(774), 1,
      sym_string_literal,
    STATE(1267), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5463] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    ACTIONS(2338), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_string_literal,
    STATE(973), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5566] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2340), 1,
      anon_sym_COLON,
    STATE(774), 1,
      sym_string_literal,
    STATE(1283), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5671] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2342), 1,
      anon_sym_COLON,
    STATE(774), 1,
      sym_string_literal,
    STATE(1294), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5776] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    ACTIONS(2344), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_string_literal,
    STATE(973), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5879] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    ACTIONS(2346), 1,
      anon_sym_RBRACK,
    STATE(774), 1,
      sym_string_literal,
    STATE(973), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5982] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2348), 1,
      anon_sym_COLON,
    STATE(774), 1,
      sym_string_literal,
    STATE(1271), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6087] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1524), 1,
      anon_sym_sizeof,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(878), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2274), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6187] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(1987), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1209), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6289] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1261), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6391] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(1927), 1,
      anon_sym_sizeof,
    ACTIONS(2300), 1,
      sym_identifier,
    ACTIONS(2302), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(920), 1,
      sym__expression,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1925), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(930), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(926), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6493] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1921), 1,
      anon_sym_sizeof,
    ACTIONS(2198), 1,
      sym_identifier,
    ACTIONS(2200), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1136), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1917), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1919), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(887), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6595] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1524), 1,
      anon_sym_sizeof,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(2350), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(832), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2274), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6695] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1193), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6797] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1532), 1,
      anon_sym_sizeof,
    ACTIONS(2250), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(901), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1530), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2252), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6897] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(829), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6999] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1532), 1,
      anon_sym_sizeof,
    ACTIONS(2250), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(837), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1530), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2252), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7099] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(1927), 1,
      anon_sym_sizeof,
    ACTIONS(2300), 1,
      sym_identifier,
    ACTIONS(2302), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(915), 1,
      sym__expression,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1925), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(930), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(926), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7201] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1200), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7303] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1532), 1,
      anon_sym_sizeof,
    ACTIONS(2250), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(829), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1530), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2252), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7403] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_sizeof,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(2208), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(921), 1,
      sym__expression,
    ACTIONS(1840), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1842), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2214), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(926), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7503] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1280), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7605] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1921), 1,
      anon_sym_sizeof,
    ACTIONS(2198), 1,
      sym_identifier,
    ACTIONS(2200), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1137), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1917), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1919), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(887), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7707] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1921), 1,
      anon_sym_sizeof,
    ACTIONS(2198), 1,
      sym_identifier,
    ACTIONS(2200), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1135), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1917), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1919), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(887), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7809] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1532), 1,
      anon_sym_sizeof,
    ACTIONS(2250), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(834), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1530), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2252), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7909] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1532), 1,
      anon_sym_sizeof,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(832), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1530), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2252), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8009] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1921), 1,
      anon_sym_sizeof,
    ACTIONS(2198), 1,
      sym_identifier,
    ACTIONS(2354), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(832), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1917), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1919), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(887), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8111] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1273), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8213] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1524), 1,
      anon_sym_sizeof,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(834), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2274), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8313] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1524), 1,
      anon_sym_sizeof,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(829), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2274), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8413] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(834), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8515] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1265), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8617] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(2356), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(832), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8719] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1151), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8821] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1524), 1,
      anon_sym_sizeof,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(883), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2274), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8921] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1149), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9023] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1524), 1,
      anon_sym_sizeof,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(882), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2274), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9123] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1277), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9225] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(1927), 1,
      anon_sym_sizeof,
    ACTIONS(2300), 1,
      sym_identifier,
    ACTIONS(2302), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(1168), 1,
      sym__expression,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1925), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(930), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(926), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9327] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(2358), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(989), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9429] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1532), 1,
      anon_sym_sizeof,
    ACTIONS(2250), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(890), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1530), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2252), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9529] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(1987), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1290), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9631] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1532), 1,
      anon_sym_sizeof,
    ACTIONS(2250), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(899), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1530), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2252), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9731] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1532), 1,
      anon_sym_sizeof,
    ACTIONS(2250), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(898), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1530), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2252), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9831] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1532), 1,
      anon_sym_sizeof,
    ACTIONS(2250), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(897), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1530), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2252), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9931] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1532), 1,
      anon_sym_sizeof,
    ACTIONS(2250), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(894), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1530), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2252), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10031] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1532), 1,
      anon_sym_sizeof,
    ACTIONS(2250), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(888), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1530), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2252), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10131] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(1987), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1253), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10233] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1532), 1,
      anon_sym_sizeof,
    ACTIONS(2250), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(886), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1530), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2252), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10333] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1532), 1,
      anon_sym_sizeof,
    ACTIONS(2250), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(889), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1530), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2252), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10433] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1532), 1,
      anon_sym_sizeof,
    ACTIONS(2250), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(839), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1530), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2252), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10533] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(1987), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1251), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10635] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1532), 1,
      anon_sym_sizeof,
    ACTIONS(2250), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(891), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1530), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2252), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10735] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1921), 1,
      anon_sym_sizeof,
    ACTIONS(2198), 1,
      sym_identifier,
    ACTIONS(2200), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1131), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1917), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1919), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(887), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10837] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(1987), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(983), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10939] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_sizeof,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(2208), 1,
      sym_identifier,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(911), 1,
      sym__expression,
    ACTIONS(1840), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1842), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2214), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(926), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11039] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_sizeof,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(2208), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(915), 1,
      sym__expression,
    ACTIONS(1840), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1842), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2214), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(926), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11139] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1921), 1,
      anon_sym_sizeof,
    ACTIONS(2198), 1,
      sym_identifier,
    ACTIONS(2200), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1132), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1917), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1919), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(887), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11241] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(1987), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1249), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11343] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1274), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11445] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1532), 1,
      anon_sym_sizeof,
    ACTIONS(2250), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(902), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1530), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2252), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11545] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1921), 1,
      anon_sym_sizeof,
    ACTIONS(2198), 1,
      sym_identifier,
    ACTIONS(2200), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1140), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1917), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1919), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(887), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11647] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(1987), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1246), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11749] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(1987), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1242), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11851] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(1987), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(984), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11953] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_const,
    ACTIONS(1955), 1,
      anon_sym_LPAREN2,
    ACTIONS(1961), 1,
      anon_sym_STAR,
    ACTIONS(1968), 1,
      anon_sym_EQ,
    STATE(770), 1,
      sym_string_literal,
    STATE(1092), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1978), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(2362), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1964), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(1972), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1959), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1953), 12,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [12041] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1266), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12143] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_sizeof,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(2208), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(910), 1,
      sym__expression,
    ACTIONS(1840), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1842), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2214), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(926), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12243] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(1927), 1,
      anon_sym_sizeof,
    ACTIONS(2300), 1,
      sym_identifier,
    ACTIONS(2302), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(1165), 1,
      sym__expression,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1925), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(930), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(926), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12345] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_sizeof,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(2208), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(908), 1,
      sym__expression,
    ACTIONS(1840), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1842), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2214), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(926), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12445] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1286), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12547] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_sizeof,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(2208), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(914), 1,
      sym__expression,
    ACTIONS(1840), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1842), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2214), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(926), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12647] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1252), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12749] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_sizeof,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(2208), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(920), 1,
      sym__expression,
    ACTIONS(1840), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1842), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2214), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(926), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12849] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1230), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12951] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_sizeof,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(2208), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(913), 1,
      sym__expression,
    ACTIONS(1840), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1842), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2214), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(926), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13051] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_sizeof,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(2208), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(916), 1,
      sym__expression,
    ACTIONS(1840), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1842), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2214), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(926), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13151] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_sizeof,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(2208), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(912), 1,
      sym__expression,
    ACTIONS(1840), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1842), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2214), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(926), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13251] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_sizeof,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(2208), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(906), 1,
      sym__expression,
    ACTIONS(1840), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1842), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2214), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(926), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13351] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_sizeof,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(2208), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(907), 1,
      sym__expression,
    ACTIONS(1840), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1842), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2214), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(926), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13451] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_sizeof,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(2208), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(918), 1,
      sym__expression,
    ACTIONS(1840), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1842), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2214), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(926), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13551] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_sizeof,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(2208), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(909), 1,
      sym__expression,
    ACTIONS(1840), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1842), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2214), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(926), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13651] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2364), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(989), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13751] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_sizeof,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(2208), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(917), 1,
      sym__expression,
    ACTIONS(1840), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1842), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2214), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(926), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13851] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(984), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13951] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(1987), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1240), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14053] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(969), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14153] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(1987), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1232), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14255] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1921), 1,
      anon_sym_sizeof,
    ACTIONS(2198), 1,
      sym_identifier,
    ACTIONS(2200), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1130), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1917), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1919), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(887), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14357] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(970), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14457] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1921), 1,
      anon_sym_sizeof,
    ACTIONS(2198), 1,
      sym_identifier,
    ACTIONS(2200), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1133), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1917), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1919), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(887), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14559] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(992), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14659] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(1927), 1,
      anon_sym_sizeof,
    ACTIONS(2300), 1,
      sym_identifier,
    ACTIONS(2366), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(911), 1,
      sym__expression,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1925), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(930), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(926), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14761] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(1987), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1226), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14863] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1921), 1,
      anon_sym_sizeof,
    ACTIONS(2198), 1,
      sym_identifier,
    ACTIONS(2200), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(834), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1917), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1919), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(887), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14965] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(1987), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1222), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15067] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(973), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15167] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1195), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15269] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1921), 1,
      anon_sym_sizeof,
    ACTIONS(2198), 1,
      sym_identifier,
    ACTIONS(2200), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1129), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1917), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1919), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(887), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15371] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(972), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15471] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(1987), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1221), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15573] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(1987), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1298), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15675] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(978), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15775] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1524), 1,
      anon_sym_sizeof,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(881), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2274), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15875] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1921), 1,
      anon_sym_sizeof,
    ACTIONS(2198), 1,
      sym_identifier,
    ACTIONS(2200), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(829), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1917), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1919), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(887), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15977] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1524), 1,
      anon_sym_sizeof,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(837), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2274), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16077] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1524), 1,
      anon_sym_sizeof,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(879), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2274), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16177] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1921), 1,
      anon_sym_sizeof,
    ACTIONS(2198), 1,
      sym_identifier,
    ACTIONS(2200), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1139), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1917), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1919), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(887), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16279] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(1927), 1,
      anon_sym_sizeof,
    ACTIONS(2300), 1,
      sym_identifier,
    ACTIONS(2302), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(1172), 1,
      sym__expression,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1925), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(930), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(926), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16381] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(1987), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1202), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16483] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1524), 1,
      anon_sym_sizeof,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(875), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2274), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16583] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1524), 1,
      anon_sym_sizeof,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(876), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2274), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16683] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(1927), 1,
      anon_sym_sizeof,
    ACTIONS(2300), 1,
      sym_identifier,
    ACTIONS(2302), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(1179), 1,
      sym__expression,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1925), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(930), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(926), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16785] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(1987), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(969), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16887] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(980), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16987] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(981), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17087] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1189), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17189] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1524), 1,
      anon_sym_sizeof,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(885), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2274), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17289] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(982), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17389] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1012), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17489] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1921), 1,
      anon_sym_sizeof,
    ACTIONS(2198), 1,
      sym_identifier,
    ACTIONS(2200), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1134), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1917), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1919), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(887), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17591] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1524), 1,
      anon_sym_sizeof,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(884), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2274), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17691] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1921), 1,
      anon_sym_sizeof,
    ACTIONS(2198), 1,
      sym_identifier,
    ACTIONS(2200), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1138), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1917), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1919), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(887), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17793] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1014), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17893] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(1987), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1262), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17995] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1155), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18097] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1007), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18197] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1146), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18299] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1003), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18399] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1191), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18501] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1148), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18603] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1943), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_sizeof,
    ACTIONS(1987), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1219), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1945), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1997), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1019), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18705] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1150), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18807] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1154), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18909] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1156), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19011] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1157), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19113] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1524), 1,
      anon_sym_sizeof,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(877), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2274), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19213] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1158), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19315] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1147), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19417] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1921), 1,
      anon_sym_sizeof,
    ACTIONS(2198), 1,
      sym_identifier,
    ACTIONS(2200), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(1128), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1917), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1919), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(887), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19519] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_sizeof,
    ACTIONS(2296), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(983), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1887), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1889), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1991), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2298), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19619] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1524), 1,
      anon_sym_sizeof,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(839), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2274), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19719] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1524), 1,
      anon_sym_sizeof,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(874), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2274), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(824), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19819] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(839), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19921] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1159), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20023] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1291), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20125] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1196), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20227] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_sizeof,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(2208), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(905), 1,
      sym__expression,
    ACTIONS(1840), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1842), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2214), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(926), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20327] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1921), 1,
      anon_sym_sizeof,
    ACTIONS(2198), 1,
      sym_identifier,
    ACTIONS(2200), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_string_literal,
    STATE(839), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1917), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1919), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(887), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20429] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(1927), 1,
      anon_sym_sizeof,
    ACTIONS(2300), 1,
      sym_identifier,
    ACTIONS(2302), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(1170), 1,
      sym__expression,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1925), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(930), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(926), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20531] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(1927), 1,
      anon_sym_sizeof,
    ACTIONS(2300), 1,
      sym_identifier,
    ACTIONS(2302), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(1171), 1,
      sym__expression,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1925), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(930), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(926), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20633] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(1927), 1,
      anon_sym_sizeof,
    ACTIONS(2300), 1,
      sym_identifier,
    ACTIONS(2302), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(1164), 1,
      sym__expression,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1925), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(930), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(926), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20735] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(1927), 1,
      anon_sym_sizeof,
    ACTIONS(2300), 1,
      sym_identifier,
    ACTIONS(2302), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(1178), 1,
      sym__expression,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1925), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(930), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(926), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20837] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(1927), 1,
      anon_sym_sizeof,
    ACTIONS(2300), 1,
      sym_identifier,
    ACTIONS(2302), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(1163), 1,
      sym__expression,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1925), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(930), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(926), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20939] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(1927), 1,
      anon_sym_sizeof,
    ACTIONS(2300), 1,
      sym_identifier,
    ACTIONS(2302), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(1173), 1,
      sym__expression,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1925), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(930), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(926), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21041] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1915), 1,
      sym_identifier,
    STATE(774), 1,
      sym_string_literal,
    STATE(1270), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(922), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(824), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21143] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(1927), 1,
      anon_sym_sizeof,
    ACTIONS(2300), 1,
      sym_identifier,
    ACTIONS(2302), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(1174), 1,
      sym__expression,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1925), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(930), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(926), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21245] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(1927), 1,
      anon_sym_sizeof,
    ACTIONS(2300), 1,
      sym_identifier,
    ACTIONS(2302), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(1176), 1,
      sym__expression,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1925), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(930), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(926), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21347] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(1927), 1,
      anon_sym_sizeof,
    ACTIONS(2300), 1,
      sym_identifier,
    ACTIONS(2302), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(1177), 1,
      sym__expression,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1925), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(930), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(926), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21449] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_offsetof,
    ACTIONS(1852), 1,
      anon_sym__Generic,
    ACTIONS(1856), 1,
      sym_number_literal,
    ACTIONS(1927), 1,
      anon_sym_sizeof,
    ACTIONS(2300), 1,
      sym_identifier,
    ACTIONS(2302), 1,
      anon_sym_LPAREN2,
    STATE(848), 1,
      sym_string_literal,
    STATE(914), 1,
      sym__expression,
    ACTIONS(1854), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1862), 2,
      sym_true,
      sym_false,
    ACTIONS(1864), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1925), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2212), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1858), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(930), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(926), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21551] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    ACTIONS(2368), 1,
      anon_sym_LBRACE,
    STATE(861), 1,
      sym_ms_call_modifier,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1487), 1,
      sym__declaration_specifiers,
    STATE(467), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [21652] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    ACTIONS(2370), 1,
      anon_sym_LBRACE,
    STATE(853), 1,
      sym_ms_call_modifier,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1481), 1,
      sym__declaration_specifiers,
    STATE(373), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [21753] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    ACTIONS(2372), 1,
      anon_sym_LBRACE,
    STATE(855), 1,
      sym_ms_call_modifier,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1488), 1,
      sym__declaration_specifiers,
    STATE(158), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [21854] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    ACTIONS(2374), 1,
      anon_sym_LBRACE,
    STATE(851), 1,
      sym_ms_call_modifier,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1485), 1,
      sym__declaration_specifiers,
    STATE(219), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [21955] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2376), 1,
      sym_identifier,
    STATE(772), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2380), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2378), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22026] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2382), 1,
      sym_identifier,
    STATE(769), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2386), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2384), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22097] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    ACTIONS(2388), 1,
      anon_sym_LBRACE,
    STATE(862), 1,
      sym_ms_call_modifier,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1499), 1,
      sym__declaration_specifiers,
    STATE(395), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22198] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2390), 1,
      sym_identifier,
    STATE(772), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2397), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2395), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2393), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(770), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1959), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1953), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(770), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1959), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1953), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2400), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2402), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [22468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2404), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2406), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [22531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2408), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2410), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2414), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2416), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2418), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2420), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2422), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2424), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2426), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2430), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2432), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2434), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2438), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2442), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2444), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2446), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2448), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2450), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2450), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2448), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [23269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1909), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1907), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [23328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1911), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [23387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2452), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2454), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23445] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    ACTIONS(2079), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2081), 1,
      anon_sym_RPAREN,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1393), 1,
      sym__declaration_specifiers,
    STATE(1760), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23537] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(366), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(842), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23629] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(374), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(826), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23721] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(391), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(842), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23813] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(455), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(842), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2456), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2458), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2460), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2462), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24021] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(224), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(811), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24113] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(228), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(842), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2466), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2468), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2470), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2474), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2476), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2478), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24437] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(202), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(800), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24529] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(144), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(812), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2480), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2482), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2486), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24737] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(404), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(823), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24829] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(469), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(796), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24921] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(225), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(842), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [25013] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(152), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(842), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [25105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2490), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [25163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2492), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2494), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [25221] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(473), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(818), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [25313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2496), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2498), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [25371] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(146), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(842), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [25463] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(470), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(842), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [25555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2500), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2502), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [25613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2504), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2506), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [25671] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(362), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(795), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [25763] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(401), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(793), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [25855] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(384), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(842), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [25947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2510), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [26005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2512), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2514), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [26063] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(356), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(842), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26155] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(159), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(817), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26247] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2516), 1,
      sym_identifier,
    ACTIONS(2518), 1,
      anon_sym_RPAREN,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1393), 1,
      sym__declaration_specifiers,
    STATE(1660), 1,
      sym_variadic_parameter,
    STATE(1760), 1,
      sym_parameter_declaration,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26341] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2520), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2522), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [26406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2532), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26463] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2534), 1,
      sym_identifier,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1393), 1,
      sym__declaration_specifiers,
    STATE(1859), 1,
      sym_parameter_declaration,
    STATE(1897), 1,
      sym_variadic_parameter,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26554] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2536), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2538), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26621] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    ACTIONS(2079), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1393), 1,
      sym__declaration_specifiers,
    STATE(1859), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26710] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2542), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2544), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2548), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2552), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26891] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2554), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2556), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26958] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_EQ,
    STATE(770), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2560), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1959), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1953), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27023] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2562), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2564), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27090] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2566), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2568), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2572), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27214] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      sym_identifier,
    ACTIONS(2583), 1,
      anon_sym___attribute__,
    ACTIONS(2586), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2589), 1,
      anon_sym___declspec,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2597), 1,
      sym_primitive_type,
    ACTIONS(2600), 1,
      anon_sym_enum,
    ACTIONS(2603), 1,
      anon_sym_struct,
    ACTIONS(2606), 1,
      anon_sym_union,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1498), 1,
      sym__declaration_specifiers,
    STATE(842), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(2594), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2577), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2580), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [27303] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_EQ,
    STATE(770), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1972), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1959), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1953), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27367] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2609), 1,
      sym_identifier,
    STATE(846), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2380), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2378), 27,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2611), 1,
      sym_identifier,
    STATE(844), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2386), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2384), 27,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27491] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2613), 1,
      sym_identifier,
    STATE(846), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2616), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2395), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2393), 27,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27553] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_EQ,
    STATE(845), 1,
      sym_string_literal,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2621), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1959), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1953), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(845), 1,
      sym_string_literal,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1959), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(1953), 27,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27675] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(845), 1,
      sym_string_literal,
    ACTIONS(1860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1959), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(1953), 27,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(850), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2627), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2623), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(2625), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [27793] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1526), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [27875] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1505), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [27957] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1514), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28039] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1504), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28121] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1515), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28203] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1509), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28285] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1511), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2400), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2402), 32,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [28421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2404), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2406), 32,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [28475] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1507), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28557] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1524), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28639] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(1074), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1518), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(869), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28721] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_EQ,
    ACTIONS(1976), 1,
      anon_sym_COLON,
    STATE(770), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1972), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1959), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1953), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [28784] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_EQ,
    ACTIONS(1970), 1,
      anon_sym_COLON,
    STATE(770), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1972), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1959), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1953), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [28847] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_EQ,
    ACTIONS(1974), 1,
      anon_sym_COLON,
    STATE(770), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1972), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1959), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1953), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [28910] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_EQ,
    ACTIONS(1985), 1,
      anon_sym_COLON,
    STATE(770), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1972), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1959), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1953), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [28973] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2640), 1,
      anon_sym___attribute__,
    ACTIONS(2643), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2646), 1,
      anon_sym___declspec,
    ACTIONS(2632), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(867), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2634), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2637), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(2630), 11,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29038] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_EQ,
    ACTIONS(1983), 1,
      anon_sym_COLON,
    STATE(770), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1972), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1959), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1953), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [29101] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(1072), 1,
      sym__type_specifier,
    STATE(1109), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(867), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [29180] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_EQ,
    ACTIONS(2649), 1,
      anon_sym_COLON,
    STATE(770), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1972), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1959), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1953), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [29243] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_EQ,
    ACTIONS(1981), 1,
      anon_sym_COLON,
    STATE(770), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1972), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1959), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1953), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [29306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2653), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2651), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [29359] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2663), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2667), 1,
      anon_sym_PIPE,
    ACTIONS(2669), 1,
      anon_sym_CARET,
    ACTIONS(2671), 1,
      anon_sym_AMP,
    ACTIONS(2681), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2657), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2673), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2675), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2677), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2661), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2655), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [29445] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2661), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2564), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [29509] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2673), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2675), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2677), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2661), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2564), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [29583] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2671), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2673), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2675), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2677), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2661), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2564), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [29659] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2667), 1,
      anon_sym_PIPE,
    ACTIONS(2669), 1,
      anon_sym_CARET,
    ACTIONS(2671), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2562), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2673), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2675), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2677), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2661), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2564), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [29741] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2675), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2677), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2661), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2564), 21,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [29813] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2661), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2564), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [29881] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2683), 1,
      anon_sym_EQ,
    STATE(770), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2685), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1959), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1953), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [29941] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2661), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2564), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30007] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2663), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2667), 1,
      anon_sym_PIPE,
    ACTIONS(2669), 1,
      anon_sym_CARET,
    ACTIONS(2671), 1,
      anon_sym_AMP,
    ACTIONS(2681), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2673), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2675), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2677), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2689), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2661), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2687), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30093] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2663), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2667), 1,
      anon_sym_PIPE,
    ACTIONS(2669), 1,
      anon_sym_CARET,
    ACTIONS(2671), 1,
      anon_sym_AMP,
    ACTIONS(2681), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2673), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2675), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2677), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2693), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2661), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2691), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30179] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2667), 1,
      anon_sym_PIPE,
    ACTIONS(2669), 1,
      anon_sym_CARET,
    ACTIONS(2671), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2562), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2673), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2675), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2677), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2661), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2564), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30259] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2669), 1,
      anon_sym_CARET,
    ACTIONS(2671), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2659), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2673), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2675), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2677), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2562), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2661), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2564), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30337] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2562), 1,
      anon_sym_EQ,
    ACTIONS(2699), 1,
      anon_sym_PIPE,
    ACTIONS(2701), 1,
      anon_sym_CARET,
    ACTIONS(2703), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2695), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2705), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2707), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2709), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2697), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2564), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_EQ,
    ACTIONS(2560), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1959), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1953), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [30471] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2701), 1,
      anon_sym_CARET,
    ACTIONS(2703), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2562), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2695), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2705), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2707), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2709), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2697), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2564), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30548] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2562), 1,
      anon_sym_EQ,
    ACTIONS(2699), 1,
      anon_sym_PIPE,
    ACTIONS(2701), 1,
      anon_sym_CARET,
    ACTIONS(2703), 1,
      anon_sym_AMP,
    ACTIONS(2713), 1,
      anon_sym_AMP_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2695), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2705), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2707), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2709), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2697), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2564), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30629] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2695), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2697), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2564), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30694] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2697), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2564), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2552), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      sym_identifier,
  [30808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2717), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2715), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
  [30859] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2703), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2695), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2705), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2707), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2709), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2562), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2697), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2564), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30934] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2657), 1,
      anon_sym_EQ,
    ACTIONS(2699), 1,
      anon_sym_PIPE,
    ACTIONS(2701), 1,
      anon_sym_CARET,
    ACTIONS(2703), 1,
      anon_sym_AMP,
    ACTIONS(2713), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2719), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2721), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2695), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2705), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2707), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2709), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2697), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2655), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2572), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      sym_identifier,
  [31070] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2695), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2705), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2707), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2709), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2697), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2564), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31143] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2695), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2707), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2709), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2697), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2564), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31214] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2695), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2697), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2564), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2532), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      sym_identifier,
  [31332] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2689), 1,
      anon_sym_EQ,
    ACTIONS(2699), 1,
      anon_sym_PIPE,
    ACTIONS(2701), 1,
      anon_sym_CARET,
    ACTIONS(2703), 1,
      anon_sym_AMP,
    ACTIONS(2713), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2719), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2721), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2695), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2705), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2707), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2709), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2697), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2687), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31417] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2693), 1,
      anon_sym_EQ,
    ACTIONS(2699), 1,
      anon_sym_PIPE,
    ACTIONS(2701), 1,
      anon_sym_CARET,
    ACTIONS(2703), 1,
      anon_sym_AMP,
    ACTIONS(2713), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2719), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2721), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2695), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2705), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2707), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2709), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2697), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2691), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2548), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      sym_identifier,
  [31553] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2657), 1,
      anon_sym_EQ,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2729), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2731), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2733), 1,
      anon_sym_PIPE,
    ACTIONS(2735), 1,
      anon_sym_CARET,
    ACTIONS(2737), 1,
      anon_sym_AMP,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    ACTIONS(2749), 1,
      anon_sym_QMARK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2739), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2741), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2743), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2745), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2727), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2655), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [31637] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 1,
      anon_sym_EQ,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2729), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2731), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2733), 1,
      anon_sym_PIPE,
    ACTIONS(2735), 1,
      anon_sym_CARET,
    ACTIONS(2737), 1,
      anon_sym_AMP,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    ACTIONS(2749), 1,
      anon_sym_QMARK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2739), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2741), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2743), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2745), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2727), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2687), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [31721] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2737), 1,
      anon_sym_AMP,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2739), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2741), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2743), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2745), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2562), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2727), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2564), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [31795] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2739), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2741), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2743), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2745), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2727), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2564), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [31867] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2727), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2564), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [31929] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2745), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2727), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2564), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [31995] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2693), 1,
      anon_sym_EQ,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2729), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2731), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2733), 1,
      anon_sym_PIPE,
    ACTIONS(2735), 1,
      anon_sym_CARET,
    ACTIONS(2737), 1,
      anon_sym_AMP,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    ACTIONS(2749), 1,
      anon_sym_QMARK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2739), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2741), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2743), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2745), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2727), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2691), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32079] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2536), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2538), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32139] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2735), 1,
      anon_sym_CARET,
    ACTIONS(2737), 1,
      anon_sym_AMP,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2739), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2741), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2743), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2745), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2727), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2564), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32215] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_EQ,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2731), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2733), 1,
      anon_sym_PIPE,
    ACTIONS(2735), 1,
      anon_sym_CARET,
    ACTIONS(2737), 1,
      anon_sym_AMP,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2739), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2741), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2743), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2745), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2727), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2564), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32295] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2562), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2564), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32355] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2542), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2544), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32415] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_EQ,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2733), 1,
      anon_sym_PIPE,
    ACTIONS(2735), 1,
      anon_sym_CARET,
    ACTIONS(2737), 1,
      anon_sym_AMP,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2739), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2741), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2743), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2745), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2727), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2564), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32493] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2727), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2564), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32557] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2741), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2743), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2745), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2727), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2564), 20,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32627] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2566), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2568), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32687] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2520), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2522), 24,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_identifier,
  [32745] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2554), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2556), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_EQ,
    ACTIONS(1972), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1959), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1953), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [32859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2424), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2426), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [32908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2452), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2454), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [32957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2496), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2498), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2510), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2757), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2755), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1480), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1492), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_EQ,
    ACTIONS(2621), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1959), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1953), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2492), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2494), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2460), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2462), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2490), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2430), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2761), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2759), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1484), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2486), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1402), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2420), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2422), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2512), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2514), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2448), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2450), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2432), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2434), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2466), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2765), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2763), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1438), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1436), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2408), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2410), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2767), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2771), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2476), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2478), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2775), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2442), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2480), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2482), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2474), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2444), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2446), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2456), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2458), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2779), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2785), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2783), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2468), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2470), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2504), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2506), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2438), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2789), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2787), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2793), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2791), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2414), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2500), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2502), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1420), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2795), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2416), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2418), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [35068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2799), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35117] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2520), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2522), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [35174] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2693), 1,
      anon_sym_EQ,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    ACTIONS(2809), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2811), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2813), 1,
      anon_sym_PIPE,
    ACTIONS(2815), 1,
      anon_sym_CARET,
    ACTIONS(2817), 1,
      anon_sym_AMP,
    ACTIONS(2827), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2805), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2821), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2823), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2825), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2807), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2691), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2767), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35304] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2805), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2807), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2564), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35367] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2554), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2556), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2761), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2759), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2779), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35520] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2833), 1,
      anon_sym___attribute__,
    ACTIONS(2836), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2839), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2831), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2829), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1480), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35620] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2805), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2825), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2807), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2564), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2789), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2787), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35732] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2805), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2821), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2823), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2825), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2807), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2564), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35801] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2805), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2821), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2823), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2825), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2807), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2564), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35872] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    ACTIONS(2817), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2805), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2821), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2823), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2825), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2562), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2807), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2564), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35945] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2562), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2564), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36004] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2542), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2544), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36063] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2845), 1,
      anon_sym_LBRACE,
    STATE(1052), 1,
      sym_field_declaration_list,
    STATE(1091), 1,
      sym_attribute_specifier,
    ACTIONS(2843), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2841), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [36118] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2657), 1,
      anon_sym_EQ,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    ACTIONS(2809), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2811), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2813), 1,
      anon_sym_PIPE,
    ACTIONS(2815), 1,
      anon_sym_CARET,
    ACTIONS(2817), 1,
      anon_sym_AMP,
    ACTIONS(2827), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2805), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2821), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2823), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2825), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2807), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2655), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2793), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2791), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2795), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36295] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2536), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2538), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36354] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2845), 1,
      anon_sym_LBRACE,
    STATE(1033), 1,
      sym_field_declaration_list,
    STATE(1098), 1,
      sym_attribute_specifier,
    ACTIONS(2849), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2847), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [36409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2785), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2783), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36456] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2689), 1,
      anon_sym_EQ,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    ACTIONS(2809), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2811), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2813), 1,
      anon_sym_PIPE,
    ACTIONS(2815), 1,
      anon_sym_CARET,
    ACTIONS(2817), 1,
      anon_sym_AMP,
    ACTIONS(2827), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2805), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2821), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2823), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2825), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2807), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2687), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2653), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2651), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1492), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2799), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1420), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2757), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2755), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36774] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2566), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2568), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36833] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2845), 1,
      anon_sym_LBRACE,
    STATE(1035), 1,
      sym_field_declaration_list,
    STATE(1107), 1,
      sym_attribute_specifier,
    ACTIONS(2853), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2851), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [36888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1438), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1436), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1402), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36982] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      anon_sym___attribute__,
    ACTIONS(2862), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2865), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2857), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2855), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37035] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2807), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2562), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2564), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37096] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2845), 1,
      anon_sym_LBRACE,
    STATE(1065), 1,
      sym_field_declaration_list,
    STATE(1083), 1,
      sym_attribute_specifier,
    ACTIONS(2869), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2867), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [37151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2873), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2871), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37198] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2845), 1,
      anon_sym_LBRACE,
    STATE(1063), 1,
      sym_field_declaration_list,
    STATE(1082), 1,
      sym_attribute_specifier,
    ACTIONS(2877), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2875), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [37253] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2562), 1,
      anon_sym_EQ,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    ACTIONS(2811), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2813), 1,
      anon_sym_PIPE,
    ACTIONS(2815), 1,
      anon_sym_CARET,
    ACTIONS(2817), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2805), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2821), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2823), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2825), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2807), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2564), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2765), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2763), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37379] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    ACTIONS(2085), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(2887), 1,
      anon_sym_LBRACK,
    STATE(1309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1492), 1,
      sym__declarator,
    STATE(1619), 1,
      sym__abstract_declarator,
    STATE(1655), 1,
      sym_parameter_list,
    STATE(2164), 1,
      sym_ms_based_modifier,
    ACTIONS(2881), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1169), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1186), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1643), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2771), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2775), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37552] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    ACTIONS(2815), 1,
      anon_sym_CARET,
    ACTIONS(2817), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2562), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2805), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2821), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2823), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2825), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2807), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2564), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1484), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37674] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2562), 1,
      anon_sym_EQ,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    ACTIONS(2813), 1,
      anon_sym_PIPE,
    ACTIONS(2815), 1,
      anon_sym_CARET,
    ACTIONS(2817), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2805), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2821), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2823), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2825), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2807), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2564), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1909), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1907), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2400), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2889), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2406), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2404), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37935] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2683), 1,
      anon_sym_EQ,
    ACTIONS(2685), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1959), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1953), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [37985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1911), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2795), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2793), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2791), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2785), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2783), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2795), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2793), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2791), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(765), 1,
      sym_string_literal,
    ACTIONS(2893), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2889), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2789), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2787), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2761), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2759), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2757), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2755), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2779), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2767), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2801), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2799), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38575] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1093), 1,
      sym_attribute_specifier,
    ACTIONS(2897), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2895), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [38624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1090), 1,
      sym_attribute_specifier,
    ACTIONS(2901), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2899), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [38673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1088), 1,
      sym_attribute_specifier,
    ACTIONS(2905), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2903), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [38722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2765), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2763), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2771), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2775), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1438), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1436), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2799), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1402), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1484), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39037] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(771), 1,
      sym_string_literal,
    ACTIONS(2893), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2889), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1492), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1480), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1420), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2775), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39266] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2907), 3,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(2909), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(867), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [39323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2771), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(768), 1,
      sym_string_literal,
    ACTIONS(2893), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2889), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2765), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2763), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1094), 1,
      sym_attribute_specifier,
    ACTIONS(2913), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2911), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [39511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(767), 1,
      sym_string_literal,
    ACTIONS(2893), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2889), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1077), 1,
      sym_attribute_specifier,
    ACTIONS(2917), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2915), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [39609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1420), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1080), 1,
      sym_attribute_specifier,
    ACTIONS(2921), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2919), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [39703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1480), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1492), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1484), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1402), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1438), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1436), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1108), 1,
      sym_attribute_specifier,
    ACTIONS(2925), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2923), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [39977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1104), 1,
      sym_attribute_specifier,
    ACTIONS(2929), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2927), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [40026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1100), 1,
      sym_attribute_specifier,
    ACTIONS(2933), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2931), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [40075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1097), 1,
      sym_attribute_specifier,
    ACTIONS(2937), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2935), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [40124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2767), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2779), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2757), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2755), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1069), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2943), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2941), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2939), 25,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [40308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2785), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2783), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40353] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(766), 1,
      sym_string_literal,
    ACTIONS(2893), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2889), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40402] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2946), 3,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(2948), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(1048), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [40459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2789), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2787), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40504] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2950), 3,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(2952), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(1076), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [40561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2761), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2759), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40606] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2954), 3,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(2956), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(867), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [40663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2960), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2958), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [40707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2964), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2962), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [40751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2968), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2966), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [40795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2972), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2970), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [40839] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_LPAREN2,
    STATE(1092), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1966), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1964), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(1951), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [40889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2979), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2977), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [40933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2983), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2981), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [40977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2987), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2985), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1105), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2993), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2991), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2989), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [41069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2997), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2995), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3001), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2999), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3005), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3003), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3009), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3007), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3011), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3017), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3015), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41333] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1069), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3023), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3021), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3019), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [41381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3027), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3025), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3031), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3029), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41469] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1069), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3023), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3035), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3033), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [41517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3039), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3037), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3043), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3041), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3045), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2991), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2989), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3051), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3049), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41737] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1095), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3057), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3055), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3053), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [41785] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1111), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3063), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3061), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3059), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [41833] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2939), 1,
      sym_primitive_type,
    STATE(1069), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2943), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3068), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3065), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [41883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3073), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3071), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41927] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1069), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3023), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3077), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3075), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [41975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3079), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3085), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3083), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3089), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3087), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42107] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3091), 1,
      sym_identifier,
    ACTIONS(3100), 1,
      sym_primitive_type,
    STATE(1103), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3098), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3094), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3096), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [42159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3102), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1069), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3023), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3108), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3106), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [42251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3112), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3110), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3116), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3114), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1348), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [42383] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3118), 1,
      sym_identifier,
    ACTIONS(3120), 1,
      anon_sym_LPAREN2,
    ACTIONS(3122), 1,
      anon_sym_STAR,
    ACTIONS(3126), 1,
      sym_primitive_type,
    STATE(1309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1541), 1,
      sym__type_declarator,
    STATE(2150), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1264), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1301), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1606), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [42452] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3118), 1,
      sym_identifier,
    ACTIONS(3120), 1,
      anon_sym_LPAREN2,
    ACTIONS(3122), 1,
      anon_sym_STAR,
    ACTIONS(3126), 1,
      sym_primitive_type,
    STATE(1309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1540), 1,
      sym__type_declarator,
    STATE(2150), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1281), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1301), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1606), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [42521] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3118), 1,
      sym_identifier,
    ACTIONS(3120), 1,
      anon_sym_LPAREN2,
    ACTIONS(3122), 1,
      anon_sym_STAR,
    ACTIONS(3126), 1,
      sym_primitive_type,
    STATE(1309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1534), 1,
      sym__type_declarator,
    STATE(2150), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1116), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1606), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [42590] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3118), 1,
      sym_identifier,
    ACTIONS(3120), 1,
      anon_sym_LPAREN2,
    ACTIONS(3122), 1,
      anon_sym_STAR,
    ACTIONS(3126), 1,
      sym_primitive_type,
    STATE(1309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1540), 1,
      sym__type_declarator,
    STATE(2150), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1115), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1281), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1606), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [42659] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_LPAREN2,
    ACTIONS(3128), 1,
      anon_sym_COMMA,
    ACTIONS(3131), 1,
      anon_sym_RPAREN,
    STATE(1092), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1803), 1,
      aux_sym__old_style_parameter_list_repeat1,
    ACTIONS(1964), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1966), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1951), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [42714] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3134), 1,
      anon_sym_SEMI,
    ACTIONS(2950), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2952), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1076), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [42770] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3140), 1,
      anon_sym___attribute__,
    ACTIONS(3143), 1,
      anon_sym_LBRACE,
    ACTIONS(3145), 1,
      anon_sym_COLON,
    STATE(1113), 1,
      sym_attribute_specifier,
    STATE(1166), 1,
      sym_enumerator_list,
    ACTIONS(3138), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3136), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [42822] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3150), 1,
      anon_sym_LPAREN2,
    ACTIONS(3154), 1,
      anon_sym_LBRACK,
    STATE(1092), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1964), 2,
      anon_sym_COMMA,
      anon_sym_STAR,
    ACTIONS(3147), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1966), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1951), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [42874] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_SEMI,
    ACTIONS(2950), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2952), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1076), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [42930] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_LPAREN2,
    STATE(1092), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1964), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3159), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1966), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1951), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [42980] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3162), 1,
      anon_sym_SEMI,
    ACTIONS(2950), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2952), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1076), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [43036] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3164), 1,
      anon_sym_SEMI,
    ACTIONS(2950), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2952), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1076), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [43092] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3166), 1,
      anon_sym_SEMI,
    ACTIONS(2950), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2952), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1076), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [43148] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3172), 1,
      anon_sym_SLASH,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3168), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3170), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2562), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2564), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [43205] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2689), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3172), 1,
      anon_sym_SLASH,
    ACTIONS(3174), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3178), 1,
      anon_sym_PIPE,
    ACTIONS(3180), 1,
      anon_sym_CARET,
    ACTIONS(3182), 1,
      anon_sym_AMP,
    ACTIONS(3192), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3168), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3170), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3184), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3186), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3188), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3190), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2687), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [43282] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2562), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3172), 1,
      anon_sym_SLASH,
    ACTIONS(3178), 1,
      anon_sym_PIPE,
    ACTIONS(3180), 1,
      anon_sym_CARET,
    ACTIONS(3182), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3168), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3170), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3184), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3186), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3188), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3190), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2564), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [43353] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3172), 1,
      anon_sym_SLASH,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3168), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3170), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3186), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3188), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3190), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2562), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2564), 12,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [43416] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2693), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3172), 1,
      anon_sym_SLASH,
    ACTIONS(3174), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3178), 1,
      anon_sym_PIPE,
    ACTIONS(3180), 1,
      anon_sym_CARET,
    ACTIONS(3182), 1,
      anon_sym_AMP,
    ACTIONS(3192), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3168), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3170), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3184), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3186), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3188), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3190), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2691), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [43493] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2562), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3172), 1,
      anon_sym_SLASH,
    ACTIONS(3176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3178), 1,
      anon_sym_PIPE,
    ACTIONS(3180), 1,
      anon_sym_CARET,
    ACTIONS(3182), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3168), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3170), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3184), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3186), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3188), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3190), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2564), 8,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      sym_identifier,
  [43566] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3172), 1,
      anon_sym_SLASH,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3170), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2562), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2564), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [43621] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3172), 1,
      anon_sym_SLASH,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3168), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3170), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3184), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3186), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3188), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3190), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2562), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2564), 10,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [43686] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3172), 1,
      anon_sym_SLASH,
    ACTIONS(3182), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2562), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
    ACTIONS(3168), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3170), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3184), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3186), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3188), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3190), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2564), 10,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [43753] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3172), 1,
      anon_sym_SLASH,
    ACTIONS(3180), 1,
      anon_sym_CARET,
    ACTIONS(3182), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2562), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
    ACTIONS(3168), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3170), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3184), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3186), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3188), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3190), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2564), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [43822] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3172), 1,
      anon_sym_SLASH,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3168), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3170), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3190), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2562), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2564), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [43881] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2657), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3172), 1,
      anon_sym_SLASH,
    ACTIONS(3174), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3178), 1,
      anon_sym_PIPE,
    ACTIONS(3180), 1,
      anon_sym_CARET,
    ACTIONS(3182), 1,
      anon_sym_AMP,
    ACTIONS(3192), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3168), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3170), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3184), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3186), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3188), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3190), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2655), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [43958] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3172), 1,
      anon_sym_SLASH,
    ACTIONS(3174), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3176), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3178), 1,
      anon_sym_PIPE,
    ACTIONS(3180), 1,
      anon_sym_CARET,
    ACTIONS(3182), 1,
      anon_sym_AMP,
    ACTIONS(3192), 1,
      anon_sym_QMARK,
    ACTIONS(3196), 1,
      aux_sym_preproc_elif_token1,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3168), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3170), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3184), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3186), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3188), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3190), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3194), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [44035] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_LBRACE,
    ACTIONS(3202), 1,
      anon_sym___attribute__,
    STATE(1106), 1,
      sym_attribute_specifier,
    STATE(1175), 1,
      sym_enumerator_list,
    ACTIONS(3200), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3198), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44084] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2653), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_typedef,
    ACTIONS(2651), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [44126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(3207), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [44166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3213), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(3211), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [44206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1346), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [44246] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2562), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2564), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [44304] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2687), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [44378] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2562), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2564), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [44440] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2655), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [44514] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2562), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2564), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [44578] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2691), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [44652] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2653), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3241), 1,
      anon_sym_typedef,
    ACTIONS(2651), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [44694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3243), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2829), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [44734] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2562), 1,
      anon_sym_PIPE,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2564), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [44800] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2562), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2564), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [44856] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2562), 1,
      anon_sym_PIPE,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2564), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [44924] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2564), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [44992] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2564), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [45062] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2562), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2564), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [45116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2653), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3245), 1,
      anon_sym_typedef,
    ACTIONS(2651), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [45158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2653), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3247), 1,
      anon_sym_typedef,
    ACTIONS(2651), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [45200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2653), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3249), 1,
      anon_sym_typedef,
    ACTIONS(2651), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [45242] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    ACTIONS(3255), 1,
      anon_sym_SLASH,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3259), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3261), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2564), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [45305] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    ACTIONS(3255), 1,
      anon_sym_SLASH,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3259), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3261), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2564), 11,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [45366] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    ACTIONS(3255), 1,
      anon_sym_SLASH,
    ACTIONS(3265), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3267), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3269), 1,
      anon_sym_PIPE,
    ACTIONS(3271), 1,
      anon_sym_CARET,
    ACTIONS(3273), 1,
      anon_sym_AMP,
    ACTIONS(3275), 1,
      anon_sym_QMARK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3259), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3261), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2691), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [45439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3281), 1,
      anon_sym___attribute__,
    STATE(1089), 1,
      sym_attribute_specifier,
    ACTIONS(3279), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3277), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [45482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3284), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [45521] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    ACTIONS(3255), 1,
      anon_sym_SLASH,
    ACTIONS(3265), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3267), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3269), 1,
      anon_sym_PIPE,
    ACTIONS(3271), 1,
      anon_sym_CARET,
    ACTIONS(3273), 1,
      anon_sym_AMP,
    ACTIONS(3275), 1,
      anon_sym_QMARK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3259), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3261), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3194), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [45594] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    ACTIONS(2085), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(2887), 1,
      anon_sym_LBRACK,
    STATE(1495), 1,
      sym__declarator,
    STATE(1612), 1,
      sym__abstract_declarator,
    STATE(1655), 1,
      sym_parameter_list,
    STATE(2164), 1,
      sym_ms_based_modifier,
    ACTIONS(3288), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1643), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45657] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    ACTIONS(3255), 1,
      anon_sym_SLASH,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2562), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2564), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [45712] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    ACTIONS(3255), 1,
      anon_sym_SLASH,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2562), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2564), 13,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [45769] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    ACTIONS(3255), 1,
      anon_sym_SLASH,
    ACTIONS(3265), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3267), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3269), 1,
      anon_sym_PIPE,
    ACTIONS(3271), 1,
      anon_sym_CARET,
    ACTIONS(3273), 1,
      anon_sym_AMP,
    ACTIONS(3275), 1,
      anon_sym_QMARK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3259), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3261), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2687), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [45842] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_PIPE,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    ACTIONS(3255), 1,
      anon_sym_SLASH,
    ACTIONS(3273), 1,
      anon_sym_AMP,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3259), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3261), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2564), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [45907] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_PIPE,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    ACTIONS(3255), 1,
      anon_sym_SLASH,
    ACTIONS(3271), 1,
      anon_sym_CARET,
    ACTIONS(3273), 1,
      anon_sym_AMP,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3259), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3261), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2564), 8,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [45974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3294), 1,
      anon_sym___attribute__,
    STATE(1086), 1,
      sym_attribute_specifier,
    ACTIONS(3292), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3290), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [46017] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    ACTIONS(3255), 1,
      anon_sym_SLASH,
    ACTIONS(3269), 1,
      anon_sym_PIPE,
    ACTIONS(3271), 1,
      anon_sym_CARET,
    ACTIONS(3273), 1,
      anon_sym_AMP,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3259), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3261), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2564), 8,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [46084] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    ACTIONS(3255), 1,
      anon_sym_SLASH,
    ACTIONS(3267), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3269), 1,
      anon_sym_PIPE,
    ACTIONS(3271), 1,
      anon_sym_CARET,
    ACTIONS(3273), 1,
      anon_sym_AMP,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3259), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3261), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2564), 7,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      sym_identifier,
  [46153] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    ACTIONS(3255), 1,
      anon_sym_SLASH,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3253), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2562), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2564), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [46206] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2747), 1,
      anon_sym_LBRACK,
    ACTIONS(3255), 1,
      anon_sym_SLASH,
    ACTIONS(3265), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3267), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3269), 1,
      anon_sym_PIPE,
    ACTIONS(3271), 1,
      anon_sym_CARET,
    ACTIONS(3273), 1,
      anon_sym_AMP,
    ACTIONS(3275), 1,
      anon_sym_QMARK,
    STATE(953), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2753), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3259), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3261), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2655), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [46279] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym___attribute__,
    STATE(1084), 1,
      sym_attribute_specifier,
    ACTIONS(3299), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3297), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [46322] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3304), 1,
      sym_identifier,
    ACTIONS(3306), 1,
      anon_sym_LPAREN2,
    ACTIONS(3308), 1,
      anon_sym_STAR,
    STATE(1309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1516), 1,
      sym__field_declarator,
    STATE(2093), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1301), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1315), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1577), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46382] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3304), 1,
      sym_identifier,
    ACTIONS(3306), 1,
      anon_sym_LPAREN2,
    ACTIONS(3308), 1,
      anon_sym_STAR,
    STATE(1309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1523), 1,
      sym__field_declarator,
    STATE(2093), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1188), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1319), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1577), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46442] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1482), 1,
      sym__declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1301), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1317), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46502] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1495), 1,
      sym__declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1183), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1323), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46562] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3304), 1,
      sym_identifier,
    ACTIONS(3306), 1,
      anon_sym_LPAREN2,
    ACTIONS(3308), 1,
      anon_sym_STAR,
    STATE(1309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1519), 1,
      sym__field_declarator,
    STATE(2093), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1181), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1322), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1577), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46622] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1495), 1,
      sym__declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1301), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1323), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46682] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1492), 1,
      sym__declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1186), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1316), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46742] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3304), 1,
      sym_identifier,
    ACTIONS(3306), 1,
      anon_sym_LPAREN2,
    ACTIONS(3308), 1,
      anon_sym_STAR,
    STATE(1309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1519), 1,
      sym__field_declarator,
    STATE(2093), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1301), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1322), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1577), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46802] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3314), 1,
      anon_sym_COMMA,
    ACTIONS(3316), 1,
      anon_sym_RPAREN,
    STATE(803), 1,
      sym_argument_list,
    STATE(1799), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [46877] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3314), 1,
      anon_sym_COMMA,
    ACTIONS(3318), 1,
      anon_sym_RPAREN,
    STATE(803), 1,
      sym_argument_list,
    STATE(1734), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [46952] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3320), 1,
      anon_sym_COMMA,
    ACTIONS(3322), 1,
      anon_sym_RPAREN,
    STATE(803), 1,
      sym_argument_list,
    STATE(1764), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [47027] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3324), 1,
      anon_sym_COMMA,
    ACTIONS(3326), 1,
      anon_sym_RBRACE,
    STATE(803), 1,
      sym_argument_list,
    STATE(1778), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [47102] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3328), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [47173] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(3332), 1,
      anon_sym_RBRACE,
    STATE(803), 1,
      sym_argument_list,
    STATE(1784), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [47248] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3320), 1,
      anon_sym_COMMA,
    ACTIONS(3334), 1,
      anon_sym_RPAREN,
    STATE(803), 1,
      sym_argument_list,
    STATE(1776), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [47323] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3314), 1,
      anon_sym_COMMA,
    ACTIONS(3336), 1,
      anon_sym_RPAREN,
    STATE(803), 1,
      sym_argument_list,
    STATE(1787), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [47398] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3314), 1,
      anon_sym_COMMA,
    ACTIONS(3338), 1,
      anon_sym_RPAREN,
    STATE(803), 1,
      sym_argument_list,
    STATE(1823), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [47473] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3342), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [47546] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3344), 1,
      anon_sym_SEMI,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [47618] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3194), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [47688] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3346), 1,
      anon_sym_SEMI,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [47760] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    ACTIONS(3348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    ACTIONS(3374), 1,
      anon_sym_RBRACK,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47834] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3378), 1,
      anon_sym_SEMI,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [47906] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1905), 1,
      anon_sym_enum,
    ACTIONS(3380), 1,
      sym_identifier,
    ACTIONS(3384), 1,
      sym_primitive_type,
    STATE(1377), 1,
      sym__type_specifier,
    STATE(1443), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1444), 1,
      sym__type_definition_type,
    STATE(1282), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47962] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3386), 1,
      anon_sym_SEMI,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [48034] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1905), 1,
      anon_sym_enum,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(1311), 1,
      sym__type_specifier,
    STATE(1320), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2127), 1,
      sym_type_descriptor,
    STATE(1289), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1903), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48090] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1905), 1,
      anon_sym_enum,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(1311), 1,
      sym__type_specifier,
    STATE(1320), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2122), 1,
      sym_type_descriptor,
    STATE(1289), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1903), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48146] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(2057), 1,
      sym_identifier,
    ACTIONS(3388), 1,
      anon_sym_enum,
    STATE(1311), 1,
      sym__type_specifier,
    STATE(1320), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2004), 1,
      sym_type_descriptor,
    STATE(1275), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1903), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48202] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2687), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48274] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1905), 1,
      anon_sym_enum,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(1311), 1,
      sym__type_specifier,
    STATE(1320), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2111), 1,
      sym_type_descriptor,
    STATE(1289), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1903), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48330] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1905), 1,
      anon_sym_enum,
    ACTIONS(3380), 1,
      sym_identifier,
    ACTIONS(3384), 1,
      sym_primitive_type,
    STATE(1377), 1,
      sym__type_specifier,
    STATE(1443), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1446), 1,
      sym__type_definition_type,
    STATE(1282), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48386] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3390), 1,
      anon_sym_RPAREN,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [48458] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3392), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [48528] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3394), 1,
      anon_sym_SEMI,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [48600] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3396), 1,
      anon_sym_SEMI,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [48672] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3398), 1,
      anon_sym_SEMI,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [48744] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(2057), 1,
      sym_identifier,
    ACTIONS(3388), 1,
      anon_sym_enum,
    STATE(1311), 1,
      sym__type_specifier,
    STATE(1320), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2018), 1,
      sym_type_descriptor,
    STATE(1275), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1903), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48800] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1905), 1,
      anon_sym_enum,
    ACTIONS(3380), 1,
      sym_identifier,
    ACTIONS(3384), 1,
      sym_primitive_type,
    STATE(1377), 1,
      sym__type_specifier,
    STATE(1443), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1453), 1,
      sym__type_definition_type,
    STATE(1282), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48856] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2691), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48928] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(2057), 1,
      sym_identifier,
    ACTIONS(3388), 1,
      anon_sym_enum,
    STATE(1311), 1,
      sym__type_specifier,
    STATE(1320), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2128), 1,
      sym_type_descriptor,
    STATE(1275), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1903), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48984] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2562), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2564), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [49038] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2562), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2564), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [49094] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3400), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [49164] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3402), 1,
      anon_sym_RPAREN,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [49236] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1905), 1,
      anon_sym_enum,
    ACTIONS(3380), 1,
      sym_identifier,
    ACTIONS(3384), 1,
      sym_primitive_type,
    STATE(1377), 1,
      sym__type_specifier,
    STATE(1443), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1451), 1,
      sym__type_definition_type,
    STATE(1282), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [49292] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2562), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2564), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [49352] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3404), 1,
      anon_sym_SEMI,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [49424] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1905), 1,
      anon_sym_enum,
    ACTIONS(3380), 1,
      sym_identifier,
    ACTIONS(3384), 1,
      sym_primitive_type,
    STATE(1377), 1,
      sym__type_specifier,
    STATE(1443), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1454), 1,
      sym__type_definition_type,
    STATE(1282), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [49480] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1905), 1,
      anon_sym_enum,
    ACTIONS(3380), 1,
      sym_identifier,
    ACTIONS(3384), 1,
      sym_primitive_type,
    STATE(1377), 1,
      sym__type_specifier,
    STATE(1443), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1450), 1,
      sym__type_definition_type,
    STATE(1282), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [49536] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3406), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [49606] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3408), 1,
      anon_sym_RPAREN,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [49678] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2562), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2564), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [49740] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3410), 1,
      anon_sym_SEMI,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [49812] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3412), 1,
      anon_sym_RPAREN,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [49884] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3414), 1,
      anon_sym_SEMI,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [49956] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3416), 1,
      anon_sym_RPAREN,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [50028] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3418), 1,
      anon_sym_SEMI,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [50100] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1905), 1,
      anon_sym_enum,
    ACTIONS(3380), 1,
      sym_identifier,
    ACTIONS(3384), 1,
      sym_primitive_type,
    STATE(1377), 1,
      sym__type_specifier,
    STATE(1443), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1448), 1,
      sym__type_definition_type,
    STATE(1282), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [50156] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3420), 1,
      anon_sym_SEMI,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [50228] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2562), 1,
      anon_sym_PIPE,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2564), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [50292] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1905), 1,
      anon_sym_enum,
    ACTIONS(3380), 1,
      sym_identifier,
    ACTIONS(3384), 1,
      sym_primitive_type,
    STATE(1377), 1,
      sym__type_specifier,
    STATE(1443), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1445), 1,
      sym__type_definition_type,
    STATE(1282), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [50348] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2562), 1,
      anon_sym_PIPE,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2564), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [50414] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3422), 1,
      anon_sym_SEMI,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [50486] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3424), 1,
      anon_sym_RPAREN,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [50558] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3426), 1,
      anon_sym_RPAREN,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [50630] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2564), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [50696] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3428), 1,
      anon_sym_SEMI,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [50768] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1905), 1,
      anon_sym_enum,
    ACTIONS(3380), 1,
      sym_identifier,
    ACTIONS(3384), 1,
      sym_primitive_type,
    STATE(1377), 1,
      sym__type_specifier,
    STATE(1443), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1449), 1,
      sym__type_definition_type,
    STATE(1282), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [50824] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2564), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [50892] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3430), 1,
      anon_sym_RPAREN,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [50964] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2562), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2564), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [51016] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3432), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [51086] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_GT,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_DOT,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2655), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51158] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1905), 1,
      anon_sym_enum,
    ACTIONS(3380), 1,
      sym_identifier,
    ACTIONS(3384), 1,
      sym_primitive_type,
    STATE(1377), 1,
      sym__type_specifier,
    STATE(1443), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1452), 1,
      sym__type_definition_type,
    STATE(1282), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [51214] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3434), 1,
      anon_sym_RPAREN,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [51286] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1905), 1,
      anon_sym_enum,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(1311), 1,
      sym__type_specifier,
    STATE(1320), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2126), 1,
      sym_type_descriptor,
    STATE(1289), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1903), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [51342] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3436), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51412] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1905), 1,
      anon_sym_enum,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(1311), 1,
      sym__type_specifier,
    STATE(1320), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2118), 1,
      sym_type_descriptor,
    STATE(1289), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1903), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [51468] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3438), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51538] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3440), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51608] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3442), 1,
      anon_sym_COMMA,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [51677] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    ACTIONS(3444), 1,
      anon_sym_RBRACK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51746] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2346), 1,
      anon_sym_RBRACK,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51815] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3118), 1,
      sym_identifier,
    ACTIONS(3120), 1,
      anon_sym_LPAREN2,
    ACTIONS(3122), 1,
      anon_sym_STAR,
    ACTIONS(3126), 1,
      sym_primitive_type,
    STATE(1532), 1,
      sym__type_declarator,
    STATE(2150), 1,
      sym_ms_based_modifier,
    STATE(1269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1606), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [51868] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3446), 1,
      anon_sym_COMMA,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [51937] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3448), 1,
      anon_sym_COLON,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [52006] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3450), 1,
      anon_sym_COLON,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [52075] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3452), 1,
      anon_sym_COLON,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [52144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2625), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3454), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2623), 10,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [52183] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3457), 1,
      anon_sym_RPAREN,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [52252] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3459), 1,
      anon_sym_COLON,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [52321] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2324), 1,
      anon_sym_RBRACK,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52390] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3461), 1,
      anon_sym_COLON,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [52459] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3463), 1,
      anon_sym_COLON,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [52528] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(2057), 1,
      sym_identifier,
    ACTIONS(3388), 1,
      anon_sym_enum,
    STATE(1310), 1,
      sym__type_specifier,
    STATE(1320), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1903), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [52581] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3118), 1,
      sym_identifier,
    ACTIONS(3120), 1,
      anon_sym_LPAREN2,
    ACTIONS(3122), 1,
      anon_sym_STAR,
    ACTIONS(3126), 1,
      sym_primitive_type,
    STATE(1540), 1,
      sym__type_declarator,
    STATE(2150), 1,
      sym_ms_based_modifier,
    STATE(1269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1606), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [52634] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3465), 1,
      anon_sym_COLON,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [52703] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_RBRACK,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52772] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_RBRACK,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52841] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3467), 1,
      anon_sym_COLON,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [52910] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3118), 1,
      sym_identifier,
    ACTIONS(3120), 1,
      anon_sym_LPAREN2,
    ACTIONS(3122), 1,
      anon_sym_STAR,
    ACTIONS(3126), 1,
      sym_primitive_type,
    STATE(1541), 1,
      sym__type_declarator,
    STATE(2150), 1,
      sym_ms_based_modifier,
    STATE(1269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1606), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [52963] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1905), 1,
      anon_sym_enum,
    ACTIONS(3380), 1,
      sym_identifier,
    ACTIONS(3384), 1,
      sym_primitive_type,
    STATE(1376), 1,
      sym__type_specifier,
    STATE(1443), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [53016] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [53085] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_RBRACK,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53154] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_RBRACK,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53223] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3471), 1,
      anon_sym_RPAREN,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [53292] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_RBRACK,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53361] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3473), 1,
      anon_sym_COLON,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [53430] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1905), 1,
      anon_sym_enum,
    ACTIONS(2057), 1,
      sym_identifier,
    STATE(1310), 1,
      sym__type_specifier,
    STATE(1320), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1903), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1099), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [53483] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    ACTIONS(3475), 1,
      anon_sym_RBRACK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53552] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3477), 1,
      anon_sym_COLON,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [53621] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2330), 1,
      anon_sym_RBRACK,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53690] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_RBRACK,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53759] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3479), 1,
      anon_sym_COLON,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [53828] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3481), 1,
      anon_sym_COLON,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [53897] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    ACTIONS(3483), 1,
      anon_sym_COLON,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [53966] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_RBRACK,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54035] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(2723), 1,
      anon_sym_LPAREN2,
    ACTIONS(3354), 1,
      anon_sym_SLASH,
    ACTIONS(3356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_AMP,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    ACTIONS(3485), 1,
      anon_sym_RBRACK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3350), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3352), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3368), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54104] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3143), 1,
      anon_sym_LBRACE,
    ACTIONS(3487), 1,
      anon_sym_COLON,
    STATE(1113), 1,
      sym_attribute_specifier,
    STATE(1306), 1,
      sym_enumerator_list,
    ACTIONS(3138), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
    ACTIONS(3136), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [54148] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(2526), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_SLASH,
    ACTIONS(3223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3229), 1,
      anon_sym_CARET,
    ACTIONS(3231), 1,
      anon_sym_AMP,
    ACTIONS(3239), 1,
      anon_sym_QMARK,
    STATE(803), 1,
      sym_argument_list,
    ACTIONS(2528), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2540), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3217), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [54214] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1309), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(3491), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3496), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1301), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3493), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3489), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [54256] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3143), 1,
      anon_sym_LBRACE,
    STATE(1106), 1,
      sym_attribute_specifier,
    STATE(1305), 1,
      sym_enumerator_list,
    ACTIONS(3200), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3198), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [54298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3499), 1,
      anon_sym_SEMI,
    ACTIONS(2508), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2510), 18,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [54334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1084), 1,
      sym_attribute_specifier,
    ACTIONS(3299), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3297), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [54370] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1086), 1,
      sym_attribute_specifier,
    ACTIONS(3292), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3290), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [54406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1089), 1,
      sym_attribute_specifier,
    ACTIONS(3279), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3277), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [54442] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(2314), 1,
      anon_sym_LPAREN2,
    ACTIONS(2316), 1,
      anon_sym_STAR,
    ACTIONS(2887), 1,
      anon_sym_LBRACK,
    STATE(1618), 1,
      sym__abstract_declarator,
    STATE(1655), 1,
      sym_parameter_list,
    STATE(1269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3501), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1643), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3503), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [54489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3507), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3505), 21,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [54520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3511), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3509), 21,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [54551] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(2314), 1,
      anon_sym_LPAREN2,
    ACTIONS(2316), 1,
      anon_sym_STAR,
    ACTIONS(2887), 1,
      anon_sym_LBRACK,
    STATE(1620), 1,
      sym__abstract_declarator,
    STATE(1655), 1,
      sym_parameter_list,
    STATE(1313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3513), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1643), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3503), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [54598] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(2314), 1,
      anon_sym_LPAREN2,
    ACTIONS(2316), 1,
      anon_sym_STAR,
    ACTIONS(2887), 1,
      anon_sym_LBRACK,
    STATE(1614), 1,
      sym__abstract_declarator,
    STATE(1655), 1,
      sym_parameter_list,
    STATE(1307), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3515), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1643), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3503), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [54645] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(2314), 1,
      anon_sym_LPAREN2,
    ACTIONS(2316), 1,
      anon_sym_STAR,
    ACTIONS(2887), 1,
      anon_sym_LBRACK,
    STATE(1619), 1,
      sym__abstract_declarator,
    STATE(1655), 1,
      sym_parameter_list,
    STATE(1314), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2881), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1643), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3503), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [54692] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(2314), 1,
      anon_sym_LPAREN2,
    ACTIONS(2316), 1,
      anon_sym_STAR,
    ACTIONS(2887), 1,
      anon_sym_LBRACK,
    STATE(1610), 1,
      sym__abstract_declarator,
    STATE(1655), 1,
      sym_parameter_list,
    STATE(1269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3517), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1643), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3503), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [54739] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(2314), 1,
      anon_sym_LPAREN2,
    ACTIONS(2316), 1,
      anon_sym_STAR,
    ACTIONS(2887), 1,
      anon_sym_LBRACK,
    STATE(1612), 1,
      sym__abstract_declarator,
    STATE(1655), 1,
      sym_parameter_list,
    STATE(1269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3288), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1643), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3503), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [54786] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3304), 1,
      sym_identifier,
    ACTIONS(3306), 1,
      anon_sym_LPAREN2,
    ACTIONS(3308), 1,
      anon_sym_STAR,
    STATE(1528), 1,
      sym__field_declarator,
    STATE(2093), 1,
      sym_ms_based_modifier,
    STATE(1269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1577), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [54830] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1495), 1,
      sym__declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [54874] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1497), 1,
      sym__declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [54918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    STATE(1350), 1,
      sym_preproc_argument_list,
    ACTIONS(3523), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3519), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54952] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3304), 1,
      sym_identifier,
    ACTIONS(3306), 1,
      anon_sym_LPAREN2,
    ACTIONS(3308), 1,
      anon_sym_STAR,
    STATE(1519), 1,
      sym__field_declarator,
    STATE(2093), 1,
      sym_ms_based_modifier,
    STATE(1269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1577), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [54996] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3100), 1,
      sym_primitive_type,
    ACTIONS(3525), 1,
      sym_identifier,
    STATE(1321), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3527), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3094), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3096), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [55034] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1069), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2939), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(2943), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3068), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3065), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [55070] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3304), 1,
      sym_identifier,
    ACTIONS(3306), 1,
      anon_sym_LPAREN2,
    ACTIONS(3308), 1,
      anon_sym_STAR,
    STATE(1516), 1,
      sym__field_declarator,
    STATE(2093), 1,
      sym_ms_based_modifier,
    STATE(1269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1577), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [55114] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1482), 1,
      sym__declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [55158] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3529), 1,
      anon_sym_COMMA,
    ACTIONS(3531), 1,
      anon_sym_RPAREN,
    ACTIONS(3537), 1,
      anon_sym_SLASH,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3543), 1,
      anon_sym_PIPE,
    ACTIONS(3545), 1,
      anon_sym_CARET,
    ACTIONS(3547), 1,
      anon_sym_AMP,
    STATE(1820), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3549), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3551), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3553), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [55213] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_identifier,
    ACTIONS(3559), 1,
      anon_sym_RPAREN,
    ACTIONS(3561), 1,
      anon_sym_LPAREN2,
    ACTIONS(3563), 1,
      anon_sym_defined,
    ACTIONS(3569), 1,
      sym_number_literal,
    ACTIONS(3565), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3571), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1329), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55256] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_identifier,
    ACTIONS(3561), 1,
      anon_sym_LPAREN2,
    ACTIONS(3563), 1,
      anon_sym_defined,
    ACTIONS(3573), 1,
      anon_sym_RPAREN,
    ACTIONS(3575), 1,
      sym_number_literal,
    ACTIONS(3565), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3571), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1324), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55299] = 5,
    ACTIONS(3519), 1,
      anon_sym_LF,
    ACTIONS(3577), 1,
      anon_sym_LPAREN2,
    ACTIONS(3579), 1,
      sym_comment,
    STATE(1403), 1,
      sym_preproc_argument_list,
    ACTIONS(3523), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [55332] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3529), 1,
      anon_sym_COMMA,
    ACTIONS(3537), 1,
      anon_sym_SLASH,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3543), 1,
      anon_sym_PIPE,
    ACTIONS(3545), 1,
      anon_sym_CARET,
    ACTIONS(3547), 1,
      anon_sym_AMP,
    ACTIONS(3581), 1,
      anon_sym_RPAREN,
    STATE(1786), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3549), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3551), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3553), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [55387] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3529), 1,
      anon_sym_COMMA,
    ACTIONS(3537), 1,
      anon_sym_SLASH,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3543), 1,
      anon_sym_PIPE,
    ACTIONS(3545), 1,
      anon_sym_CARET,
    ACTIONS(3547), 1,
      anon_sym_AMP,
    ACTIONS(3583), 1,
      anon_sym_RPAREN,
    STATE(1750), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3549), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3551), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3553), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [55442] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_identifier,
    ACTIONS(3561), 1,
      anon_sym_LPAREN2,
    ACTIONS(3563), 1,
      anon_sym_defined,
    ACTIONS(3585), 1,
      anon_sym_RPAREN,
    ACTIONS(3587), 1,
      sym_number_literal,
    ACTIONS(3565), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3571), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1328), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55485] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3599), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1426), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55525] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_identifier,
    ACTIONS(3561), 1,
      anon_sym_LPAREN2,
    ACTIONS(3563), 1,
      anon_sym_defined,
    ACTIONS(3603), 1,
      sym_number_literal,
    ACTIONS(3565), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3571), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1339), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55565] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3605), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1422), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55605] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_SLASH,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3543), 1,
      anon_sym_PIPE,
    ACTIONS(3545), 1,
      anon_sym_CARET,
    ACTIONS(3547), 1,
      anon_sym_AMP,
    ACTIONS(3533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3549), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3551), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3553), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3607), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [55653] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_SLASH,
    ACTIONS(3543), 1,
      anon_sym_PIPE,
    ACTIONS(3545), 1,
      anon_sym_CARET,
    ACTIONS(3547), 1,
      anon_sym_AMP,
    ACTIONS(3533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3549), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3551), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3553), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3607), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [55699] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_SLASH,
    ACTIONS(3545), 1,
      anon_sym_CARET,
    ACTIONS(3547), 1,
      anon_sym_AMP,
    ACTIONS(3609), 1,
      anon_sym_PIPE,
    ACTIONS(3533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3549), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3551), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3553), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3607), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [55745] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_SLASH,
    ACTIONS(3547), 1,
      anon_sym_AMP,
    ACTIONS(3609), 1,
      anon_sym_PIPE,
    ACTIONS(3533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3549), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3551), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3553), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3607), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [55789] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_SLASH,
    ACTIONS(3533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3549), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3551), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3553), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3609), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3607), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [55831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3609), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3607), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [55859] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_SLASH,
    ACTIONS(3533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3551), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3553), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3609), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3607), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [55899] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_SLASH,
    ACTIONS(3533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3609), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3607), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [55935] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_SLASH,
    ACTIONS(3533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3609), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3607), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [55969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3613), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3611), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [55997] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3615), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1439), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56037] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3617), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1410), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56077] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3619), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1421), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56117] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3621), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1411), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56157] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3623), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1412), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56197] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3625), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1418), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3629), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3627), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56265] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3631), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1417), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56305] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_identifier,
    ACTIONS(3561), 1,
      anon_sym_LPAREN2,
    ACTIONS(3563), 1,
      anon_sym_defined,
    ACTIONS(3633), 1,
      sym_number_literal,
    ACTIONS(3565), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3571), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1355), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56345] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3635), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1413), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56385] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3637), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1414), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56425] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_SLASH,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3543), 1,
      anon_sym_PIPE,
    ACTIONS(3545), 1,
      anon_sym_CARET,
    ACTIONS(3547), 1,
      anon_sym_AMP,
    ACTIONS(3533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3549), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3551), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3553), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3639), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [56475] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_identifier,
    ACTIONS(3561), 1,
      anon_sym_LPAREN2,
    ACTIONS(3563), 1,
      anon_sym_defined,
    ACTIONS(3641), 1,
      sym_number_literal,
    ACTIONS(3565), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3571), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1415), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56515] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_SLASH,
    ACTIONS(3535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3609), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3607), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3645), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3643), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3649), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3647), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56603] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_identifier,
    ACTIONS(3561), 1,
      anon_sym_LPAREN2,
    ACTIONS(3563), 1,
      anon_sym_defined,
    ACTIONS(3651), 1,
      sym_number_literal,
    ACTIONS(3565), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3571), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1429), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56643] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_identifier,
    ACTIONS(3561), 1,
      anon_sym_LPAREN2,
    ACTIONS(3563), 1,
      anon_sym_defined,
    ACTIONS(3653), 1,
      sym_number_literal,
    ACTIONS(3565), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3571), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1390), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56683] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3655), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1440), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56723] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3657), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1432), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56763] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3659), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1431), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3663), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3661), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56831] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3665), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1424), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56871] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3667), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1423), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56911] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_identifier,
    ACTIONS(3561), 1,
      anon_sym_LPAREN2,
    ACTIONS(3563), 1,
      anon_sym_defined,
    ACTIONS(3669), 1,
      sym_number_literal,
    ACTIONS(3565), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3571), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1342), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56951] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3671), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1435), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56991] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3673), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1436), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57031] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_identifier,
    ACTIONS(3561), 1,
      anon_sym_LPAREN2,
    ACTIONS(3563), 1,
      anon_sym_defined,
    ACTIONS(3675), 1,
      sym_number_literal,
    ACTIONS(3565), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3571), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1341), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57071] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_identifier,
    ACTIONS(3561), 1,
      anon_sym_LPAREN2,
    ACTIONS(3563), 1,
      anon_sym_defined,
    ACTIONS(3677), 1,
      sym_number_literal,
    ACTIONS(3565), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3571), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1340), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57111] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_identifier,
    ACTIONS(3561), 1,
      anon_sym_LPAREN2,
    ACTIONS(3563), 1,
      anon_sym_defined,
    ACTIONS(3679), 1,
      sym_number_literal,
    ACTIONS(3565), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3571), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1338), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57151] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3681), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1408), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57191] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3683), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1407), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1383), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3685), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [57263] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3691), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1378), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3689), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [57295] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3695), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3693), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [57327] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3697), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1437), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2466), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57395] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_identifier,
    ACTIONS(3561), 1,
      anon_sym_LPAREN2,
    ACTIONS(3563), 1,
      anon_sym_defined,
    ACTIONS(3699), 1,
      sym_number_literal,
    ACTIONS(3565), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3571), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1337), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57435] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3701), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1409), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57475] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3705), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3703), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [57507] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_identifier,
    ACTIONS(3561), 1,
      anon_sym_LPAREN2,
    ACTIONS(3563), 1,
      anon_sym_defined,
    ACTIONS(3707), 1,
      sym_number_literal,
    ACTIONS(3565), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3571), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1336), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57547] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_identifier,
    ACTIONS(3561), 1,
      anon_sym_LPAREN2,
    ACTIONS(3563), 1,
      anon_sym_defined,
    ACTIONS(3709), 1,
      sym_number_literal,
    ACTIONS(3565), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3571), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1335), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57587] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3711), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1404), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57627] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_identifier,
    ACTIONS(3561), 1,
      anon_sym_LPAREN2,
    ACTIONS(3563), 1,
      anon_sym_defined,
    ACTIONS(3713), 1,
      sym_number_literal,
    ACTIONS(3565), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3571), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1334), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57667] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3715), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1398), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57707] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_identifier,
    ACTIONS(3561), 1,
      anon_sym_LPAREN2,
    ACTIONS(3563), 1,
      anon_sym_defined,
    ACTIONS(3717), 1,
      sym_number_literal,
    ACTIONS(3565), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3571), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1357), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3721), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3719), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3725), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3723), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57803] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3727), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1397), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57843] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    ACTIONS(2085), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(2887), 1,
      anon_sym_LBRACK,
    STATE(1589), 1,
      sym__declarator,
    STATE(1650), 1,
      sym__abstract_declarator,
    STATE(1655), 1,
      sym_parameter_list,
    STATE(2164), 1,
      sym_ms_based_modifier,
    ACTIONS(3729), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1643), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57891] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3731), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1405), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57931] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_identifier,
    ACTIONS(3591), 1,
      anon_sym_LPAREN2,
    ACTIONS(3593), 1,
      anon_sym_defined,
    ACTIONS(3733), 1,
      sym_number_literal,
    ACTIONS(3595), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3601), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1406), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3735), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57999] = 12,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3739), 1,
      anon_sym_LF,
    ACTIONS(3745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3749), 1,
      anon_sym_PIPE,
    ACTIONS(3751), 1,
      anon_sym_CARET,
    ACTIONS(3753), 1,
      anon_sym_AMP,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58044] = 9,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_LF,
    ACTIONS(3753), 1,
      anon_sym_AMP,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3609), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1069), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3077), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3761), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3075), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [58114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1433), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3055), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3053), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [58145] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1434), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3061), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3767), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3059), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [58176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1399), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2991), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3770), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2989), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [58207] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3627), 1,
      anon_sym_LF,
    ACTIONS(3629), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58234] = 12,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3749), 1,
      anon_sym_PIPE,
    ACTIONS(3751), 1,
      anon_sym_CARET,
    ACTIONS(3753), 1,
      anon_sym_AMP,
    ACTIONS(3773), 1,
      anon_sym_LF,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58279] = 5,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_LF,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3609), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58310] = 6,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_LF,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3609), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58343] = 7,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_LF,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3609), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [58378] = 8,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_LF,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3609), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [58415] = 12,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3749), 1,
      anon_sym_PIPE,
    ACTIONS(3751), 1,
      anon_sym_CARET,
    ACTIONS(3753), 1,
      anon_sym_AMP,
    ACTIONS(3775), 1,
      anon_sym_LF,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58460] = 10,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_LF,
    ACTIONS(3751), 1,
      anon_sym_CARET,
    ACTIONS(3753), 1,
      anon_sym_AMP,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3609), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58501] = 11,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_LF,
    ACTIONS(3749), 1,
      anon_sym_PIPE,
    ACTIONS(3751), 1,
      anon_sym_CARET,
    ACTIONS(3753), 1,
      anon_sym_AMP,
    ACTIONS(3609), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58544] = 12,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_LF,
    ACTIONS(3609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3749), 1,
      anon_sym_PIPE,
    ACTIONS(3751), 1,
      anon_sym_CARET,
    ACTIONS(3753), 1,
      anon_sym_AMP,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58589] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_LF,
    ACTIONS(3609), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58616] = 4,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_LF,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3609), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58645] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_SLASH,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3543), 1,
      anon_sym_PIPE,
    ACTIONS(3545), 1,
      anon_sym_CARET,
    ACTIONS(3547), 1,
      anon_sym_AMP,
    ACTIONS(3777), 1,
      anon_sym_RPAREN,
    ACTIONS(3533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3549), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3551), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3553), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58694] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3611), 1,
      anon_sym_LF,
    ACTIONS(3613), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58721] = 12,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3749), 1,
      anon_sym_PIPE,
    ACTIONS(3751), 1,
      anon_sym_CARET,
    ACTIONS(3753), 1,
      anon_sym_AMP,
    ACTIONS(3779), 1,
      anon_sym_LF,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58766] = 12,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3749), 1,
      anon_sym_PIPE,
    ACTIONS(3751), 1,
      anon_sym_CARET,
    ACTIONS(3753), 1,
      anon_sym_AMP,
    ACTIONS(3781), 1,
      anon_sym_LF,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1069), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3021), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3783), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3019), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [58842] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_LF,
    ACTIONS(3645), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58869] = 12,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3749), 1,
      anon_sym_PIPE,
    ACTIONS(3751), 1,
      anon_sym_CARET,
    ACTIONS(3753), 1,
      anon_sym_AMP,
    ACTIONS(3786), 1,
      anon_sym_LF,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58914] = 12,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3749), 1,
      anon_sym_PIPE,
    ACTIONS(3751), 1,
      anon_sym_CARET,
    ACTIONS(3753), 1,
      anon_sym_AMP,
    ACTIONS(3788), 1,
      anon_sym_LF,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58959] = 12,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3749), 1,
      anon_sym_PIPE,
    ACTIONS(3751), 1,
      anon_sym_CARET,
    ACTIONS(3753), 1,
      anon_sym_AMP,
    ACTIONS(3790), 1,
      anon_sym_LF,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [59004] = 12,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3749), 1,
      anon_sym_PIPE,
    ACTIONS(3751), 1,
      anon_sym_CARET,
    ACTIONS(3753), 1,
      anon_sym_AMP,
    ACTIONS(3792), 1,
      anon_sym_LF,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [59049] = 3,
    ACTIONS(2466), 1,
      anon_sym_LF,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(2464), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59076] = 12,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3749), 1,
      anon_sym_PIPE,
    ACTIONS(3751), 1,
      anon_sym_CARET,
    ACTIONS(3753), 1,
      anon_sym_AMP,
    ACTIONS(3794), 1,
      anon_sym_LF,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [59121] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_LF,
    ACTIONS(3649), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59148] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1964), 1,
      anon_sym_STAR,
    ACTIONS(2974), 1,
      anon_sym_LPAREN2,
    STATE(1419), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1951), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [59181] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_SLASH,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3543), 1,
      anon_sym_PIPE,
    ACTIONS(3545), 1,
      anon_sym_CARET,
    ACTIONS(3547), 1,
      anon_sym_AMP,
    ACTIONS(3799), 1,
      anon_sym_RPAREN,
    ACTIONS(3533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3549), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3551), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3553), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59230] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3723), 1,
      anon_sym_LF,
    ACTIONS(3725), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59257] = 12,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3749), 1,
      anon_sym_PIPE,
    ACTIONS(3751), 1,
      anon_sym_CARET,
    ACTIONS(3753), 1,
      anon_sym_AMP,
    ACTIONS(3801), 1,
      anon_sym_LF,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [59302] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3719), 1,
      anon_sym_LF,
    ACTIONS(3721), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59329] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1069), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3035), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3803), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3033), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [59360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1069), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3108), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3806), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3106), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [59391] = 12,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3749), 1,
      anon_sym_PIPE,
    ACTIONS(3751), 1,
      anon_sym_CARET,
    ACTIONS(3753), 1,
      anon_sym_AMP,
    ACTIONS(3809), 1,
      anon_sym_LF,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [59436] = 12,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3749), 1,
      anon_sym_PIPE,
    ACTIONS(3751), 1,
      anon_sym_CARET,
    ACTIONS(3753), 1,
      anon_sym_AMP,
    ACTIONS(3811), 1,
      anon_sym_LF,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [59481] = 12,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3749), 1,
      anon_sym_PIPE,
    ACTIONS(3751), 1,
      anon_sym_CARET,
    ACTIONS(3753), 1,
      anon_sym_AMP,
    ACTIONS(3813), 1,
      anon_sym_LF,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [59526] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3661), 1,
      anon_sym_LF,
    ACTIONS(3663), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59553] = 12,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3749), 1,
      anon_sym_PIPE,
    ACTIONS(3751), 1,
      anon_sym_CARET,
    ACTIONS(3753), 1,
      anon_sym_AMP,
    ACTIONS(3815), 1,
      anon_sym_LF,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [59598] = 12,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3749), 1,
      anon_sym_PIPE,
    ACTIONS(3751), 1,
      anon_sym_CARET,
    ACTIONS(3753), 1,
      anon_sym_AMP,
    ACTIONS(3817), 1,
      anon_sym_LF,
    ACTIONS(3741), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3755), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3759), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3743), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3757), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [59643] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3735), 1,
      anon_sym_LF,
    ACTIONS(3737), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1069), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3068), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3819), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3065), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [59701] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3823), 1,
      sym_identifier,
    ACTIONS(3829), 1,
      sym_primitive_type,
    STATE(1442), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3094), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3826), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3096), 10,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [59736] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3118), 1,
      sym_identifier,
    ACTIONS(3120), 1,
      anon_sym_LPAREN2,
    ACTIONS(3122), 1,
      anon_sym_STAR,
    ACTIONS(3126), 1,
      sym_primitive_type,
    STATE(1535), 1,
      sym__type_declarator,
    STATE(1708), 1,
      sym__type_definition_declarators,
    STATE(2150), 1,
      sym_ms_based_modifier,
    ACTIONS(3124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1606), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [59777] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3118), 1,
      sym_identifier,
    ACTIONS(3120), 1,
      anon_sym_LPAREN2,
    ACTIONS(3122), 1,
      anon_sym_STAR,
    ACTIONS(3126), 1,
      sym_primitive_type,
    STATE(1535), 1,
      sym__type_declarator,
    STATE(1700), 1,
      sym__type_definition_declarators,
    STATE(2150), 1,
      sym_ms_based_modifier,
    ACTIONS(3124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1606), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [59818] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3118), 1,
      sym_identifier,
    ACTIONS(3120), 1,
      anon_sym_LPAREN2,
    ACTIONS(3122), 1,
      anon_sym_STAR,
    ACTIONS(3126), 1,
      sym_primitive_type,
    STATE(1535), 1,
      sym__type_declarator,
    STATE(1727), 1,
      sym__type_definition_declarators,
    STATE(2150), 1,
      sym_ms_based_modifier,
    ACTIONS(3124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1606), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [59859] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3136), 1,
      anon_sym_const,
    ACTIONS(3143), 1,
      anon_sym_LBRACE,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(3834), 1,
      anon_sym_COLON,
    STATE(1113), 1,
      sym_attribute_specifier,
    STATE(1306), 1,
      sym_enumerator_list,
    ACTIONS(3138), 11,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [59894] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3118), 1,
      sym_identifier,
    ACTIONS(3120), 1,
      anon_sym_LPAREN2,
    ACTIONS(3122), 1,
      anon_sym_STAR,
    ACTIONS(3126), 1,
      sym_primitive_type,
    STATE(1535), 1,
      sym__type_declarator,
    STATE(1707), 1,
      sym__type_definition_declarators,
    STATE(2150), 1,
      sym_ms_based_modifier,
    ACTIONS(3124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1606), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [59935] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3118), 1,
      sym_identifier,
    ACTIONS(3120), 1,
      anon_sym_LPAREN2,
    ACTIONS(3122), 1,
      anon_sym_STAR,
    ACTIONS(3126), 1,
      sym_primitive_type,
    STATE(1535), 1,
      sym__type_declarator,
    STATE(1686), 1,
      sym__type_definition_declarators,
    STATE(2150), 1,
      sym_ms_based_modifier,
    ACTIONS(3124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1606), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [59976] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3118), 1,
      sym_identifier,
    ACTIONS(3120), 1,
      anon_sym_LPAREN2,
    ACTIONS(3122), 1,
      anon_sym_STAR,
    ACTIONS(3126), 1,
      sym_primitive_type,
    STATE(1535), 1,
      sym__type_declarator,
    STATE(1713), 1,
      sym__type_definition_declarators,
    STATE(2150), 1,
      sym_ms_based_modifier,
    ACTIONS(3124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1606), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [60017] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3118), 1,
      sym_identifier,
    ACTIONS(3120), 1,
      anon_sym_LPAREN2,
    ACTIONS(3122), 1,
      anon_sym_STAR,
    ACTIONS(3126), 1,
      sym_primitive_type,
    STATE(1535), 1,
      sym__type_declarator,
    STATE(1706), 1,
      sym__type_definition_declarators,
    STATE(2150), 1,
      sym_ms_based_modifier,
    ACTIONS(3124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1606), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [60058] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3118), 1,
      sym_identifier,
    ACTIONS(3120), 1,
      anon_sym_LPAREN2,
    ACTIONS(3122), 1,
      anon_sym_STAR,
    ACTIONS(3126), 1,
      sym_primitive_type,
    STATE(1535), 1,
      sym__type_declarator,
    STATE(1679), 1,
      sym__type_definition_declarators,
    STATE(2150), 1,
      sym_ms_based_modifier,
    ACTIONS(3124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1606), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [60099] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3118), 1,
      sym_identifier,
    ACTIONS(3120), 1,
      anon_sym_LPAREN2,
    ACTIONS(3122), 1,
      anon_sym_STAR,
    ACTIONS(3126), 1,
      sym_primitive_type,
    STATE(1535), 1,
      sym__type_declarator,
    STATE(1728), 1,
      sym__type_definition_declarators,
    STATE(2150), 1,
      sym_ms_based_modifier,
    ACTIONS(3124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1606), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [60140] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3118), 1,
      sym_identifier,
    ACTIONS(3120), 1,
      anon_sym_LPAREN2,
    ACTIONS(3122), 1,
      anon_sym_STAR,
    ACTIONS(3126), 1,
      sym_primitive_type,
    STATE(1535), 1,
      sym__type_declarator,
    STATE(1724), 1,
      sym__type_definition_declarators,
    STATE(2150), 1,
      sym_ms_based_modifier,
    ACTIONS(3124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1606), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [60181] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3839), 1,
      anon_sym_LPAREN2,
    ACTIONS(3841), 1,
      anon_sym_SEMI,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3845), 1,
      anon_sym_EQ,
    STATE(476), 1,
      sym_compound_statement,
    STATE(1143), 1,
      sym__old_style_parameter_list,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1749), 1,
      sym_gnu_asm_expression,
    STATE(1751), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3847), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60229] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3839), 1,
      anon_sym_LPAREN2,
    ACTIONS(3841), 1,
      anon_sym_SEMI,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3845), 1,
      anon_sym_EQ,
    STATE(209), 1,
      sym_compound_statement,
    STATE(1143), 1,
      sym__old_style_parameter_list,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1749), 1,
      sym_gnu_asm_expression,
    STATE(1751), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3847), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60277] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3118), 1,
      sym_identifier,
    ACTIONS(3120), 1,
      anon_sym_LPAREN2,
    ACTIONS(3122), 1,
      anon_sym_STAR,
    ACTIONS(3126), 1,
      sym_primitive_type,
    STATE(1608), 1,
      sym__type_declarator,
    STATE(2150), 1,
      sym_ms_based_modifier,
    ACTIONS(3124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1606), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [60315] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3839), 1,
      anon_sym_LPAREN2,
    ACTIONS(3841), 1,
      anon_sym_SEMI,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3845), 1,
      anon_sym_EQ,
    STATE(160), 1,
      sym_compound_statement,
    STATE(1143), 1,
      sym__old_style_parameter_list,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1749), 1,
      sym_gnu_asm_expression,
    STATE(1751), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3847), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60363] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3839), 1,
      anon_sym_LPAREN2,
    ACTIONS(3841), 1,
      anon_sym_SEMI,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3845), 1,
      anon_sym_EQ,
    STATE(364), 1,
      sym_compound_statement,
    STATE(1143), 1,
      sym__old_style_parameter_list,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1749), 1,
      sym_gnu_asm_expression,
    STATE(1751), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3847), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60411] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3118), 1,
      sym_identifier,
    ACTIONS(3120), 1,
      anon_sym_LPAREN2,
    ACTIONS(3122), 1,
      anon_sym_STAR,
    ACTIONS(3126), 1,
      sym_primitive_type,
    STATE(1562), 1,
      sym__type_declarator,
    STATE(2150), 1,
      sym_ms_based_modifier,
    ACTIONS(3124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1606), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [60449] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3839), 1,
      anon_sym_LPAREN2,
    ACTIONS(3841), 1,
      anon_sym_SEMI,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3845), 1,
      anon_sym_EQ,
    STATE(376), 1,
      sym_compound_statement,
    STATE(1143), 1,
      sym__old_style_parameter_list,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1749), 1,
      sym_gnu_asm_expression,
    STATE(1751), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3847), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60497] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3304), 1,
      sym_identifier,
    ACTIONS(3306), 1,
      anon_sym_LPAREN2,
    ACTIONS(3308), 1,
      anon_sym_STAR,
    ACTIONS(3849), 1,
      anon_sym_SEMI,
    STATE(1502), 1,
      sym__field_declarator,
    STATE(1772), 1,
      sym__field_declaration_declarator,
    STATE(2093), 1,
      sym_ms_based_modifier,
    STATE(2094), 1,
      sym_attribute_specifier,
    STATE(1577), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [60538] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3304), 1,
      sym_identifier,
    ACTIONS(3306), 1,
      anon_sym_LPAREN2,
    ACTIONS(3308), 1,
      anon_sym_STAR,
    ACTIONS(3851), 1,
      anon_sym_SEMI,
    STATE(1502), 1,
      sym__field_declarator,
    STATE(1815), 1,
      sym__field_declaration_declarator,
    STATE(2041), 1,
      sym_attribute_specifier,
    STATE(2093), 1,
      sym_ms_based_modifier,
    STATE(1577), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [60579] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3841), 1,
      anon_sym_SEMI,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3845), 1,
      anon_sym_EQ,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    STATE(376), 1,
      sym_compound_statement,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1749), 1,
      sym_gnu_asm_expression,
    STATE(1751), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3847), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60624] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3841), 1,
      anon_sym_SEMI,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3845), 1,
      anon_sym_EQ,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    STATE(209), 1,
      sym_compound_statement,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1749), 1,
      sym_gnu_asm_expression,
    STATE(1751), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3847), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60669] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3841), 1,
      anon_sym_SEMI,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3845), 1,
      anon_sym_EQ,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    STATE(476), 1,
      sym_compound_statement,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1749), 1,
      sym_gnu_asm_expression,
    STATE(1751), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3847), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60714] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3841), 1,
      anon_sym_SEMI,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3845), 1,
      anon_sym_EQ,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    STATE(160), 1,
      sym_compound_statement,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1749), 1,
      sym_gnu_asm_expression,
    STATE(1751), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3847), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60759] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3304), 1,
      sym_identifier,
    ACTIONS(3306), 1,
      anon_sym_LPAREN2,
    ACTIONS(3308), 1,
      anon_sym_STAR,
    ACTIONS(3855), 1,
      anon_sym_SEMI,
    STATE(1502), 1,
      sym__field_declarator,
    STATE(1747), 1,
      sym__field_declaration_declarator,
    STATE(2093), 1,
      sym_ms_based_modifier,
    STATE(2134), 1,
      sym_attribute_specifier,
    STATE(1577), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [60800] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3841), 1,
      anon_sym_SEMI,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3845), 1,
      anon_sym_EQ,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    STATE(364), 1,
      sym_compound_statement,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1749), 1,
      sym_gnu_asm_expression,
    STATE(1751), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3847), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60845] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3304), 1,
      sym_identifier,
    ACTIONS(3306), 1,
      anon_sym_LPAREN2,
    ACTIONS(3308), 1,
      anon_sym_STAR,
    ACTIONS(3857), 1,
      anon_sym_SEMI,
    STATE(1502), 1,
      sym__field_declarator,
    STATE(1740), 1,
      sym__field_declaration_declarator,
    STATE(2093), 1,
      sym_ms_based_modifier,
    STATE(2144), 1,
      sym_attribute_specifier,
    STATE(1577), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [60886] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(821), 1,
      sym__old_style_function_declarator,
    STATE(1459), 1,
      sym__declarator,
    STATE(1808), 1,
      sym_init_declarator,
    STATE(2090), 1,
      sym__declaration_declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [60924] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3859), 1,
      sym_identifier,
    ACTIONS(3861), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3863), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3865), 1,
      aux_sym_preproc_elif_token1,
    STATE(1530), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1531), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1609), 1,
      sym_enumerator,
    STATE(2043), 1,
      sym_preproc_elifdef,
    ACTIONS(3867), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2040), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
    STATE(2042), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [60964] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(3871), 1,
      anon_sym_LBRACK,
    STATE(1479), 1,
      sym_gnu_asm_expression,
    ACTIONS(3847), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3869), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [60994] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(815), 1,
      sym__old_style_function_declarator,
    STATE(1455), 1,
      sym__declarator,
    STATE(1808), 1,
      sym_init_declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(2165), 1,
      sym__declaration_declarator,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [61032] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(805), 1,
      sym__old_style_function_declarator,
    STATE(1456), 1,
      sym__declarator,
    STATE(1808), 1,
      sym_init_declarator,
    STATE(1953), 1,
      sym__declaration_declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [61070] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(794), 1,
      sym__old_style_function_declarator,
    STATE(1461), 1,
      sym__declarator,
    STATE(1808), 1,
      sym_init_declarator,
    STATE(1947), 1,
      sym__declaration_declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [61108] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3875), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3878), 1,
      anon_sym_LBRACK,
    STATE(1477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3873), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [61134] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(827), 1,
      sym__old_style_function_declarator,
    STATE(1458), 1,
      sym__declarator,
    STATE(1808), 1,
      sym_init_declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(2174), 1,
      sym__declaration_declarator,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [61172] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(3882), 1,
      anon_sym_LBRACK,
    STATE(1491), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3880), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [61197] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1490), 1,
      sym__declarator,
    STATE(1808), 1,
      sym_init_declarator,
    STATE(2090), 1,
      sym__declaration_declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [61232] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1469), 1,
      sym__declarator,
    STATE(1808), 1,
      sym_init_declarator,
    STATE(2090), 1,
      sym__declaration_declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [61267] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3884), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [61296] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1490), 1,
      sym__declarator,
    STATE(1808), 1,
      sym_init_declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(2165), 1,
      sym__declaration_declarator,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [61331] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1490), 1,
      sym__declarator,
    STATE(1808), 1,
      sym_init_declarator,
    STATE(2072), 1,
      sym__declaration_declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [61366] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1465), 1,
      sym__declarator,
    STATE(1808), 1,
      sym_init_declarator,
    STATE(1953), 1,
      sym__declaration_declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [61401] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3888), 1,
      anon_sym___attribute__,
    ACTIONS(3891), 1,
      anon_sym_LBRACK,
    STATE(1486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3886), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [61426] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1466), 1,
      sym__declarator,
    STATE(1808), 1,
      sym_init_declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(2165), 1,
      sym__declaration_declarator,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [61461] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1467), 1,
      sym__declarator,
    STATE(1808), 1,
      sym_init_declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(2174), 1,
      sym__declaration_declarator,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [61496] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1490), 1,
      sym__declarator,
    STATE(1808), 1,
      sym_init_declarator,
    STATE(1953), 1,
      sym__declaration_declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [61531] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3841), 1,
      anon_sym_SEMI,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3845), 1,
      anon_sym_EQ,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1749), 1,
      sym_gnu_asm_expression,
    STATE(1751), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3847), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(3895), 1,
      anon_sym_LBRACK,
    STATE(1486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3893), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [61595] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3897), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [61624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(3882), 1,
      anon_sym_LBRACK,
    STATE(1486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3880), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [61649] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1490), 1,
      sym__declarator,
    STATE(1808), 1,
      sym_init_declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(2174), 1,
      sym__declaration_declarator,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [61684] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3899), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [61713] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1490), 1,
      sym__declarator,
    STATE(1808), 1,
      sym_init_declarator,
    STATE(1947), 1,
      sym__declaration_declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [61748] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3901), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [61777] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1490), 1,
      sym__declarator,
    STATE(1808), 1,
      sym_init_declarator,
    STATE(1994), 1,
      sym__declaration_declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [61812] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1464), 1,
      sym__declarator,
    STATE(1808), 1,
      sym_init_declarator,
    STATE(1947), 1,
      sym__declaration_declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [61847] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3845), 1,
      anon_sym_EQ,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1838), 1,
      sym_gnu_asm_expression,
    ACTIONS(3847), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(3903), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2865), 1,
      anon_sym_LBRACK,
    ACTIONS(2857), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [61901] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(3905), 1,
      anon_sym_COMMA,
    ACTIONS(3909), 1,
      anon_sym_LBRACK,
    ACTIONS(3911), 1,
      anon_sym_COLON,
    STATE(1585), 1,
      sym_parameter_list,
    STATE(1694), 1,
      aux_sym__field_declaration_declarator_repeat1,
    STATE(1696), 1,
      sym_bitfield_clause,
    ACTIONS(3907), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(1543), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3915), 1,
      anon_sym_LBRACK,
    STATE(1477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3913), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [61961] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(809), 1,
      sym__old_style_function_declarator,
    STATE(1557), 1,
      sym__declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [61993] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(806), 1,
      sym__old_style_function_declarator,
    STATE(1551), 1,
      sym__declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [62025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2839), 1,
      anon_sym_LBRACK,
    ACTIONS(2831), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [62045] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(822), 1,
      sym__old_style_function_declarator,
    STATE(1559), 1,
      sym__declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [62077] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1500), 1,
      sym__declarator,
    STATE(1873), 1,
      sym_init_declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [62109] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(799), 1,
      sym__old_style_function_declarator,
    STATE(1550), 1,
      sym__declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [62141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      anon_sym_LBRACK,
    ACTIONS(3917), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [62161] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(810), 1,
      sym__old_style_function_declarator,
    STATE(1554), 1,
      sym__declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [62193] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3921), 1,
      sym_identifier,
    ACTIONS(3923), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3925), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3927), 1,
      aux_sym_preproc_elif_token1,
    STATE(1530), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1979), 1,
      sym_enumerator,
    ACTIONS(3867), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2042), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [62224] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3863), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3929), 1,
      sym_identifier,
    ACTIONS(3931), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3933), 1,
      aux_sym_preproc_elif_token1,
    STATE(1584), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1588), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1657), 1,
      sym_enumerator,
    STATE(1985), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
    STATE(1986), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [62257] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1592), 1,
      sym__declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [62286] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1574), 1,
      sym__declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [62315] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(3909), 1,
      anon_sym_LBRACK,
    STATE(1585), 1,
      sym_parameter_list,
    STATE(1543), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3935), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [62342] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3921), 1,
      sym_identifier,
    ACTIONS(3937), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(3941), 1,
      anon_sym_RBRACE,
    STATE(1879), 1,
      sym_enumerator,
    ACTIONS(3939), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(2096), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(1561), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [62371] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1580), 1,
      sym__declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [62400] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(3909), 1,
      anon_sym_LBRACK,
    STATE(1585), 1,
      sym_parameter_list,
    STATE(1543), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3943), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [62427] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(3909), 1,
      anon_sym_LBRACK,
    ACTIONS(3911), 1,
      anon_sym_COLON,
    STATE(1585), 1,
      sym_parameter_list,
    STATE(1742), 1,
      sym_bitfield_clause,
    STATE(1543), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3945), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [62458] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3304), 1,
      sym_identifier,
    ACTIONS(3306), 1,
      anon_sym_LPAREN2,
    ACTIONS(3308), 1,
      anon_sym_STAR,
    STATE(1598), 1,
      sym__field_declarator,
    STATE(2093), 1,
      sym_ms_based_modifier,
    STATE(1577), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [62487] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(3304), 1,
      sym_identifier,
    ACTIONS(3306), 1,
      anon_sym_LPAREN2,
    ACTIONS(3308), 1,
      anon_sym_STAR,
    STATE(1520), 1,
      sym__field_declarator,
    STATE(2093), 1,
      sym_ms_based_modifier,
    STATE(1577), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [62516] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(3909), 1,
      anon_sym_LBRACK,
    STATE(1585), 1,
      sym_parameter_list,
    STATE(1543), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3947), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [62543] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1571), 1,
      sym__declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [62572] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3921), 1,
      sym_identifier,
    ACTIONS(3937), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(3949), 1,
      anon_sym_RBRACE,
    STATE(1914), 1,
      sym_enumerator,
    ACTIONS(3939), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(2139), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(1517), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [62601] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1582), 1,
      sym__declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [62630] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3310), 1,
      anon_sym_LPAREN2,
    ACTIONS(3312), 1,
      anon_sym_STAR,
    STATE(1595), 1,
      sym__declarator,
    STATE(2164), 1,
      sym_ms_based_modifier,
    STATE(1537), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [62659] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(3909), 1,
      anon_sym_LBRACK,
    STATE(1585), 1,
      sym_parameter_list,
    STATE(1543), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3951), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [62686] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3863), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3929), 1,
      sym_identifier,
    ACTIONS(3933), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3953), 1,
      aux_sym_preproc_if_token2,
    STATE(1583), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1587), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1657), 1,
      sym_enumerator,
    STATE(1971), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
    STATE(1974), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [62719] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3921), 1,
      sym_identifier,
    ACTIONS(3925), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3927), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3955), 1,
      aux_sym_preproc_if_token2,
    STATE(1573), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1979), 1,
      sym_enumerator,
    ACTIONS(3867), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1980), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [62750] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3859), 1,
      sym_identifier,
    ACTIONS(3957), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3959), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3961), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3867), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1586), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1975), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [62779] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(3965), 1,
      anon_sym_LBRACK,
    STATE(1605), 1,
      sym_parameter_list,
    STATE(1558), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3963), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [62805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3969), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [62823] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(3965), 1,
      anon_sym_LBRACK,
    STATE(1605), 1,
      sym_parameter_list,
    STATE(1558), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3971), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [62849] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(3965), 1,
      anon_sym_LBRACK,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    STATE(1605), 1,
      sym_parameter_list,
    STATE(1718), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(3975), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(1558), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [62879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3979), 1,
      anon_sym_LBRACK,
    ACTIONS(3977), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [62897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3981), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [62915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3987), 1,
      anon_sym_LBRACK,
    ACTIONS(3985), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [62933] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3991), 1,
      anon_sym_LBRACK,
    STATE(1691), 1,
      sym_gnu_asm_output_operand,
    STATE(2015), 1,
      sym_string_literal,
    ACTIONS(3989), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [62957] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(3965), 1,
      anon_sym_LBRACK,
    STATE(1605), 1,
      sym_parameter_list,
    STATE(1558), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3993), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [62983] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(3965), 1,
      anon_sym_LBRACK,
    STATE(1605), 1,
      sym_parameter_list,
    STATE(1558), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3995), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [63009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      anon_sym_LBRACK,
    ACTIONS(3997), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [63027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4003), 1,
      anon_sym_LBRACK,
    STATE(1477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4001), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [63049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4007), 1,
      anon_sym_LBRACK,
    ACTIONS(4005), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [63067] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4011), 1,
      anon_sym_LBRACK,
    STATE(1670), 1,
      sym_gnu_asm_input_operand,
    STATE(1955), 1,
      sym_string_literal,
    ACTIONS(4009), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63091] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4013), 1,
      anon_sym_RPAREN,
    ACTIONS(4015), 1,
      anon_sym_COLON,
    STATE(770), 1,
      sym_string_literal,
    STATE(1738), 1,
      sym_gnu_asm_output_operand_list,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4017), 1,
      sym_identifier,
    ACTIONS(4021), 1,
      sym_system_lib_string,
    STATE(2010), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(4019), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63135] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4015), 1,
      anon_sym_COLON,
    ACTIONS(4023), 1,
      anon_sym_RPAREN,
    STATE(770), 1,
      sym_string_literal,
    STATE(1811), 1,
      sym_gnu_asm_output_operand_list,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63158] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4015), 1,
      anon_sym_COLON,
    ACTIONS(4025), 1,
      anon_sym_RPAREN,
    STATE(770), 1,
      sym_string_literal,
    STATE(1817), 1,
      sym_gnu_asm_output_operand_list,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63181] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(3839), 1,
      anon_sym_LPAREN2,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    STATE(227), 1,
      sym_compound_statement,
    STATE(1143), 1,
      sym__old_style_parameter_list,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [63210] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(3839), 1,
      anon_sym_LPAREN2,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    STATE(145), 1,
      sym_compound_statement,
    STATE(1143), 1,
      sym__old_style_parameter_list,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [63239] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4027), 1,
      sym_identifier,
    ACTIONS(4029), 1,
      sym_system_lib_string,
    STATE(2098), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(4019), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63260] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4031), 1,
      sym_identifier,
    ACTIONS(4033), 1,
      sym_system_lib_string,
    STATE(2063), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(4019), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63281] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3839), 1,
      anon_sym_LPAREN2,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    STATE(454), 1,
      sym_compound_statement,
    STATE(1143), 1,
      sym__old_style_parameter_list,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [63310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4035), 1,
      sym_identifier,
    ACTIONS(4037), 1,
      sym_system_lib_string,
    STATE(2204), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(4019), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63331] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4039), 1,
      sym_identifier,
    ACTIONS(4041), 1,
      sym_system_lib_string,
    STATE(2188), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(4019), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63352] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(3839), 1,
      anon_sym_LPAREN2,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    STATE(378), 1,
      sym_compound_statement,
    STATE(1143), 1,
      sym__old_style_parameter_list,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [63381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4045), 1,
      anon_sym_LBRACK,
    STATE(1477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4043), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [63402] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(3839), 1,
      anon_sym_LPAREN2,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    STATE(399), 1,
      sym_compound_statement,
    STATE(1143), 1,
      sym__old_style_parameter_list,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [63431] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4015), 1,
      anon_sym_COLON,
    ACTIONS(4047), 1,
      anon_sym_RPAREN,
    STATE(770), 1,
      sym_string_literal,
    STATE(1774), 1,
      sym_gnu_asm_output_operand_list,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63454] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 1,
      sym_identifier,
    ACTIONS(4052), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4058), 1,
      anon_sym_RBRACE,
    STATE(2038), 1,
      sym_enumerator,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1561), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [63479] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(3965), 1,
      anon_sym_LBRACK,
    STATE(1605), 1,
      sym_parameter_list,
    STATE(1558), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4060), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [63504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4062), 1,
      sym_identifier,
    STATE(1546), 1,
      sym_string_literal,
    STATE(1754), 1,
      sym_concatenated_string,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4011), 1,
      anon_sym_LBRACK,
    STATE(1781), 1,
      sym_gnu_asm_input_operand,
    STATE(1955), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3991), 1,
      anon_sym_LBRACK,
    STATE(1736), 1,
      sym_gnu_asm_output_operand,
    STATE(2015), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1662), 1,
      sym_string_literal,
    ACTIONS(4064), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63582] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3921), 1,
      sym_identifier,
    ACTIONS(3925), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4066), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4068), 1,
      aux_sym_preproc_elif_token1,
    STATE(1584), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2048), 1,
      sym_enumerator,
    STATE(1986), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [63608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4062), 1,
      sym_identifier,
    STATE(1548), 1,
      sym_string_literal,
    STATE(1775), 1,
      sym_concatenated_string,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_LBRACK,
    ACTIONS(4070), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [63644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4076), 1,
      anon_sym_LBRACK,
    ACTIONS(4074), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [63660] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    STATE(454), 1,
      sym_compound_statement,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [63686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4080), 1,
      anon_sym_LBRACK,
    ACTIONS(4078), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [63702] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      sym_identifier,
    ACTIONS(4087), 1,
      aux_sym_preproc_elif_token1,
    STATE(1573), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1979), 1,
      sym_enumerator,
    ACTIONS(4085), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [63724] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    STATE(145), 1,
      sym_compound_statement,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [63750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 1,
      anon_sym_LBRACK,
    ACTIONS(4089), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [63766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4062), 1,
      sym_identifier,
    STATE(1560), 1,
      sym_string_literal,
    STATE(1748), 1,
      sym_concatenated_string,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4095), 1,
      anon_sym_LBRACK,
    ACTIONS(4093), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [63802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_LBRACK,
    ACTIONS(4097), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [63818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4062), 1,
      sym_identifier,
    STATE(1549), 1,
      sym_string_literal,
    STATE(1737), 1,
      sym_concatenated_string,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63838] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    STATE(378), 1,
      sym_compound_statement,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [63864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4103), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4105), 1,
      anon_sym_EQ,
    ACTIONS(4101), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [63882] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    STATE(227), 1,
      sym_compound_statement,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [63908] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3921), 1,
      sym_identifier,
    ACTIONS(3925), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4068), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4107), 1,
      aux_sym_preproc_if_token2,
    STATE(1621), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2048), 1,
      sym_enumerator,
    STATE(1998), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [63934] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3921), 1,
      sym_identifier,
    ACTIONS(3925), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4068), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4109), 1,
      aux_sym_preproc_if_token2,
    STATE(1621), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2048), 1,
      sym_enumerator,
    STATE(1942), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [63960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_LBRACK,
    ACTIONS(4111), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [63976] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4115), 1,
      sym_identifier,
    ACTIONS(4120), 1,
      aux_sym_preproc_elif_token1,
    STATE(1586), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(4118), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [63996] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      sym_identifier,
    ACTIONS(3959), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4122), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4124), 1,
      aux_sym_preproc_elif_token1,
    STATE(1622), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2001), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [64020] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      sym_identifier,
    ACTIONS(3959), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4124), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4126), 1,
      aux_sym_preproc_if_token2,
    STATE(1622), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1939), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [64044] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    STATE(1473), 1,
      sym_parameter_list,
    ACTIONS(4128), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [64068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3921), 1,
      sym_identifier,
    ACTIONS(3925), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3953), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4068), 1,
      aux_sym_preproc_elif_token1,
    STATE(1583), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2048), 1,
      sym_enumerator,
    STATE(1971), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [64094] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      sym_identifier,
    ACTIONS(3959), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4124), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4130), 1,
      aux_sym_preproc_if_token2,
    STATE(1587), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1974), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [64118] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    STATE(399), 1,
      sym_compound_statement,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [64144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_LBRACK,
    ACTIONS(4132), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [64160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4138), 1,
      anon_sym_LBRACK,
    ACTIONS(4136), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [64175] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(4140), 1,
      anon_sym_RPAREN,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [64198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4144), 1,
      anon_sym_LBRACK,
    ACTIONS(4142), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [64213] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(2845), 1,
      anon_sym_LBRACE,
    ACTIONS(4146), 1,
      sym_identifier,
    STATE(1054), 1,
      sym_field_declaration_list,
    STATE(1630), 1,
      sym_attribute_specifier,
    STATE(1804), 1,
      sym_ms_declspec_modifier,
  [64238] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(3909), 1,
      anon_sym_LBRACK,
    ACTIONS(4148), 1,
      anon_sym_RPAREN,
    STATE(1585), 1,
      sym_parameter_list,
    STATE(1543), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [64261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4152), 1,
      anon_sym_LBRACK,
    ACTIONS(4150), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [64276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_LBRACK,
    ACTIONS(4154), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [64291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4160), 1,
      anon_sym_LBRACK,
    ACTIONS(4158), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [64306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2041), 1,
      anon_sym_LBRACK,
    ACTIONS(4162), 1,
      anon_sym_EQ,
    ACTIONS(4164), 1,
      anon_sym_DOT,
    STATE(1603), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [64325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      anon_sym_LBRACK,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4171), 1,
      anon_sym_DOT,
    STATE(1603), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [64344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4176), 1,
      anon_sym_LBRACK,
    ACTIONS(4174), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [64359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4180), 1,
      anon_sym_LBRACK,
    ACTIONS(4178), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [64374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4184), 1,
      anon_sym_LBRACK,
    ACTIONS(4182), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [64389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4188), 1,
      anon_sym_LBRACK,
    ACTIONS(4186), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [64404] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(3965), 1,
      anon_sym_LBRACK,
    ACTIONS(4190), 1,
      anon_sym_RPAREN,
    STATE(1605), 1,
      sym_parameter_list,
    STATE(1558), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [64427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4194), 1,
      anon_sym_COMMA,
    ACTIONS(4196), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4192), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [64444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(4200), 1,
      anon_sym_LBRACK,
    STATE(1645), 1,
      sym_parameter_list,
    ACTIONS(4198), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [64462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(770), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [64476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(4200), 1,
      anon_sym_LBRACK,
    STATE(1645), 1,
      sym_parameter_list,
    ACTIONS(4202), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [64494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4204), 1,
      anon_sym_LPAREN2,
    STATE(1626), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4206), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [64510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(4200), 1,
      anon_sym_LBRACK,
    STATE(1645), 1,
      sym_parameter_list,
    ACTIONS(4208), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [64528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2011), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [64542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4210), 1,
      anon_sym_LPAREN2,
    STATE(1617), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4206), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [64558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4212), 1,
      anon_sym_LPAREN2,
    STATE(1627), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4206), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [64574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(4200), 1,
      anon_sym_LBRACK,
    STATE(1645), 1,
      sym_parameter_list,
    ACTIONS(4214), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [64592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(4200), 1,
      anon_sym_LBRACK,
    STATE(1645), 1,
      sym_parameter_list,
    ACTIONS(4216), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [64610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(4200), 1,
      anon_sym_LBRACK,
    STATE(1645), 1,
      sym_parameter_list,
    ACTIONS(4218), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [64628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      sym_identifier,
    STATE(1621), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2048), 1,
      sym_enumerator,
    ACTIONS(4085), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [64646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4220), 1,
      sym_identifier,
    STATE(1622), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(4118), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [64662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1812), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [64676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4087), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4085), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [64690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4223), 1,
      anon_sym_EQ,
    ACTIONS(4101), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [64704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_LPAREN2,
    STATE(1627), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4206), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [64720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4227), 1,
      anon_sym_LPAREN2,
    STATE(1627), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4229), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [64736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1987), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [64750] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3859), 1,
      sym_identifier,
    ACTIONS(4232), 1,
      aux_sym_preproc_if_token2,
    STATE(1609), 1,
      sym_enumerator,
    STATE(1683), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1684), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
  [64769] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(2845), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_identifier,
    STATE(1064), 1,
      sym_field_declaration_list,
    STATE(1745), 1,
      sym_ms_declspec_modifier,
  [64788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4236), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [64799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4240), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4238), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [64812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4242), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [64825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4248), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4246), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [64838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4250), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [64849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    ACTIONS(4254), 1,
      anon_sym_COLON_COLON,
    STATE(1828), 1,
      sym_argument_list,
    ACTIONS(4252), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [64866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4256), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [64877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4258), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [64888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4262), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4260), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [64901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4264), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [64912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4268), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4266), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [64925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4272), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4270), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [64938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4274), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [64949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4276), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4058), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [64962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4278), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [64973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4280), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [64984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4284), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4282), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [64997] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(2845), 1,
      anon_sym_LBRACE,
    ACTIONS(4286), 1,
      sym_identifier,
    STATE(1056), 1,
      sym_field_declaration_list,
    STATE(1816), 1,
      sym_ms_declspec_modifier,
  [65016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4288), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [65027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(4200), 1,
      anon_sym_LBRACK,
    STATE(1645), 1,
      sym_parameter_list,
    ACTIONS(4128), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [65044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4284), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4282), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [65057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4290), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [65068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4242), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [65081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4294), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4292), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [65094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4296), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [65105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4294), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4292), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [65118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_COMMA,
    ACTIONS(4192), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [65131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4300), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [65142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [65152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4302), 1,
      anon_sym_COMMA,
    ACTIONS(4304), 1,
      anon_sym_RPAREN,
    STATE(1798), 1,
      aux_sym_parameter_list_repeat1,
    STATE(1803), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [65168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    STATE(1687), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4308), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4310), 1,
      anon_sym_COMMA,
    STATE(1688), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4312), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4314), 1,
      anon_sym_COMMA,
    STATE(1663), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4317), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65210] = 5,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4319), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4321), 1,
      anon_sym_LPAREN,
    ACTIONS(4323), 1,
      sym_preproc_arg,
    STATE(1919), 1,
      sym_preproc_params,
  [65226] = 5,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4321), 1,
      anon_sym_LPAREN,
    ACTIONS(4325), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4327), 1,
      sym_preproc_arg,
    STATE(1913), 1,
      sym_preproc_params,
  [65242] = 5,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4321), 1,
      anon_sym_LPAREN,
    ACTIONS(4329), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4331), 1,
      sym_preproc_arg,
    STATE(1906), 1,
      sym_preproc_params,
  [65258] = 5,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_DQUOTE,
    ACTIONS(4335), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4337), 1,
      sym_escape_sequence,
    STATE(1693), 1,
      aux_sym_string_literal_repeat1,
  [65274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4339), 1,
      anon_sym_SEMI,
    STATE(1486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [65288] = 5,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4321), 1,
      anon_sym_LPAREN,
    ACTIONS(4341), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4343), 1,
      sym_preproc_arg,
    STATE(1896), 1,
      sym_preproc_params,
  [65304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    STATE(1661), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4345), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4347), 1,
      anon_sym_SEMI,
    STATE(1486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [65332] = 5,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4321), 1,
      anon_sym_LPAREN,
    ACTIONS(4349), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4351), 1,
      sym_preproc_arg,
    STATE(1845), 1,
      sym_preproc_params,
  [65348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4353), 1,
      anon_sym_COMMA,
    STATE(1663), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4355), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4357), 1,
      anon_sym___except,
    ACTIONS(4359), 1,
      anon_sym___finally,
    STATE(276), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [65376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4361), 1,
      anon_sym_COMMA,
    STATE(1675), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4364), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [65390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3905), 1,
      anon_sym_COMMA,
    STATE(1675), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4366), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [65404] = 5,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_DQUOTE,
    ACTIONS(4370), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4372), 1,
      sym_escape_sequence,
    STATE(1698), 1,
      aux_sym_string_literal_repeat1,
  [65420] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4374), 1,
      anon_sym_SEMI,
    STATE(1486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [65434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4376), 1,
      anon_sym_SEMI,
    STATE(1671), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [65448] = 5,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4321), 1,
      anon_sym_LPAREN,
    ACTIONS(4378), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4380), 1,
      sym_preproc_arg,
    STATE(1854), 1,
      sym_preproc_params,
  [65464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3859), 1,
      sym_identifier,
    ACTIONS(4382), 1,
      aux_sym_preproc_if_token2,
    STATE(1683), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [65478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3921), 1,
      sym_identifier,
    ACTIONS(4232), 1,
      aux_sym_preproc_if_token2,
    STATE(1684), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1979), 1,
      sym_enumerator,
  [65494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3859), 1,
      sym_identifier,
    ACTIONS(4384), 1,
      aux_sym_preproc_if_token2,
    STATE(1586), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [65508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3921), 1,
      sym_identifier,
    ACTIONS(4386), 1,
      aux_sym_preproc_if_token2,
    STATE(1573), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1979), 1,
      sym_enumerator,
  [65524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4388), 1,
      anon_sym___except,
    ACTIONS(4390), 1,
      anon_sym___finally,
    STATE(349), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [65538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4392), 1,
      anon_sym_SEMI,
    STATE(1678), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [65552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      anon_sym_COMMA,
    STATE(1687), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4397), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4310), 1,
      anon_sym_COMMA,
    STATE(1690), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4399), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65580] = 5,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4321), 1,
      anon_sym_LPAREN,
    ACTIONS(4401), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4403), 1,
      sym_preproc_arg,
    STATE(1862), 1,
      sym_preproc_params,
  [65596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    STATE(1690), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4408), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4353), 1,
      anon_sym_COMMA,
    STATE(1673), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4410), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65624] = 4,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4412), 1,
      anon_sym_SQUOTE,
    STATE(1711), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4414), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [65638] = 5,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4416), 1,
      anon_sym_DQUOTE,
    ACTIONS(4418), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4420), 1,
      sym_escape_sequence,
    STATE(1712), 1,
      aux_sym_string_literal_repeat1,
  [65654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3905), 1,
      anon_sym_COMMA,
    STATE(1675), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4422), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [65668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4424), 1,
      anon_sym_SEMI,
    STATE(1486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [65682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3905), 1,
      anon_sym_COMMA,
    STATE(1676), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4426), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [65696] = 4,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4428), 1,
      anon_sym_SQUOTE,
    STATE(1711), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4414), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [65710] = 5,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4418), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4420), 1,
      sym_escape_sequence,
    ACTIONS(4430), 1,
      anon_sym_DQUOTE,
    STATE(1712), 1,
      aux_sym_string_literal_repeat1,
  [65726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4432), 1,
      anon_sym_SEMI,
    STATE(1486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [65740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4434), 1,
      anon_sym_SEMI,
    STATE(1695), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [65754] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4436), 1,
      anon_sym_COMMA,
    STATE(1701), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(4439), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [65768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4441), 1,
      anon_sym_SEMI,
    STATE(1486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [65782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4443), 1,
      anon_sym___except,
    ACTIONS(4445), 1,
      anon_sym___finally,
    STATE(259), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [65796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4447), 1,
      anon_sym___except,
    ACTIONS(4449), 1,
      anon_sym___finally,
    STATE(197), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [65810] = 5,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4451), 1,
      anon_sym_DQUOTE,
    ACTIONS(4453), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4455), 1,
      sym_escape_sequence,
    STATE(1729), 1,
      aux_sym_string_literal_repeat1,
  [65826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4457), 1,
      anon_sym_SEMI,
    STATE(1725), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [65840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4459), 1,
      anon_sym_SEMI,
    STATE(1699), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [65854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4461), 1,
      anon_sym_SEMI,
    STATE(1715), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [65868] = 5,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4321), 1,
      anon_sym_LPAREN,
    ACTIONS(4463), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4465), 1,
      sym_preproc_arg,
    STATE(1885), 1,
      sym_preproc_params,
  [65884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4467), 1,
      anon_sym___except,
    ACTIONS(4469), 1,
      anon_sym___finally,
    STATE(102), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [65898] = 4,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4471), 1,
      anon_sym_SQUOTE,
    STATE(1711), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4473), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [65912] = 5,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4476), 1,
      anon_sym_DQUOTE,
    ACTIONS(4478), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4481), 1,
      sym_escape_sequence,
    STATE(1712), 1,
      aux_sym_string_literal_repeat1,
  [65928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4484), 1,
      anon_sym_SEMI,
    STATE(1702), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [65942] = 4,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4486), 1,
      anon_sym_SQUOTE,
    STATE(1711), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4414), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [65956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4488), 1,
      anon_sym_SEMI,
    STATE(1486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [65970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4490), 1,
      anon_sym_SEMI,
    STATE(1486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [65984] = 5,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4418), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4420), 1,
      sym_escape_sequence,
    ACTIONS(4492), 1,
      anon_sym_DQUOTE,
    STATE(1712), 1,
      aux_sym_string_literal_repeat1,
  [66000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    STATE(1701), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(4494), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [66014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym___except,
    ACTIONS(4498), 1,
      anon_sym___finally,
    STATE(276), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [66028] = 4,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4500), 1,
      anon_sym_SQUOTE,
    STATE(1711), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4414), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [66042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    STATE(1842), 1,
      sym_argument_list,
    ACTIONS(4502), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [66056] = 5,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4321), 1,
      anon_sym_LPAREN,
    ACTIONS(4504), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4506), 1,
      sym_preproc_arg,
    STATE(1860), 1,
      sym_preproc_params,
  [66072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [66082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4510), 1,
      anon_sym_SEMI,
    STATE(1716), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4512), 1,
      anon_sym_SEMI,
    STATE(1486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4514), 1,
      anon_sym_SEMI,
    STATE(1486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4516), 1,
      anon_sym_SEMI,
    STATE(1668), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4518), 1,
      anon_sym_SEMI,
    STATE(1726), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66152] = 5,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4418), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4420), 1,
      sym_escape_sequence,
    ACTIONS(4520), 1,
      anon_sym_DQUOTE,
    STATE(1712), 1,
      aux_sym_string_literal_repeat1,
  [66168] = 5,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4522), 1,
      anon_sym_DQUOTE,
    ACTIONS(4524), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4526), 1,
      sym_escape_sequence,
    STATE(1717), 1,
      aux_sym_string_literal_repeat1,
  [66184] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3853), 1,
      anon_sym_LPAREN2,
    ACTIONS(4200), 1,
      anon_sym_LBRACK,
    ACTIONS(4528), 1,
      anon_sym_RPAREN,
    STATE(1645), 1,
      sym_parameter_list,
  [66200] = 4,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4530), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4532), 1,
      anon_sym_LPAREN2,
    STATE(2159), 1,
      sym_preproc_argument_list,
  [66213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_COMMA,
    ACTIONS(4536), 1,
      anon_sym_RPAREN,
    STATE(1822), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [66226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3314), 1,
      anon_sym_COMMA,
    ACTIONS(3336), 1,
      anon_sym_RPAREN,
    STATE(1796), 1,
      aux_sym_argument_list_repeat1,
  [66239] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    STATE(1714), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4538), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [66250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4540), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [66259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4015), 1,
      anon_sym_COLON,
    ACTIONS(4025), 1,
      anon_sym_RPAREN,
    STATE(1817), 1,
      sym_gnu_asm_output_operand_list,
  [66272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 1,
      anon_sym_RPAREN,
    ACTIONS(4544), 1,
      anon_sym_COLON,
    STATE(1821), 1,
      sym_gnu_asm_input_operand_list,
  [66285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4546), 1,
      anon_sym_COMMA,
    ACTIONS(4548), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1765), 1,
      aux_sym_attribute_declaration_repeat1,
  [66298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4550), 1,
      anon_sym_SEMI,
    STATE(2168), 1,
      sym_attribute_specifier,
  [66311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4552), 1,
      anon_sym_EQ,
    ACTIONS(4101), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [66322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4554), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [66331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_LBRACE,
    ACTIONS(4556), 1,
      sym_identifier,
    STATE(1180), 1,
      sym_enumerator_list,
  [66344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3440), 1,
      anon_sym_RBRACE,
    ACTIONS(4558), 1,
      anon_sym_COMMA,
    STATE(1744), 1,
      aux_sym_initializer_list_repeat1,
  [66357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2845), 1,
      anon_sym_LBRACE,
    ACTIONS(4561), 1,
      sym_identifier,
    STATE(1034), 1,
      sym_field_declaration_list,
  [66370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4563), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [66379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4565), 1,
      anon_sym_SEMI,
    STATE(2117), 1,
      sym_attribute_specifier,
  [66392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4015), 1,
      anon_sym_COLON,
    ACTIONS(4047), 1,
      anon_sym_RPAREN,
    STATE(1774), 1,
      sym_gnu_asm_output_operand_list,
  [66405] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(4567), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      aux_sym__declaration_declarator_repeat1,
  [66418] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3529), 1,
      anon_sym_COMMA,
    ACTIONS(4569), 1,
      anon_sym_RPAREN,
    STATE(1793), 1,
      aux_sym_preproc_argument_list_repeat1,
  [66431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(4571), 1,
      anon_sym_SEMI,
    STATE(1782), 1,
      aux_sym__declaration_declarator_repeat1,
  [66444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3314), 1,
      anon_sym_COMMA,
    ACTIONS(3318), 1,
      anon_sym_RPAREN,
    STATE(1734), 1,
      aux_sym_argument_list_repeat1,
  [66457] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4573), 1,
      anon_sym_COMMA,
    ACTIONS(4576), 1,
      anon_sym_RPAREN,
    STATE(1753), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [66470] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4013), 1,
      anon_sym_RPAREN,
    ACTIONS(4015), 1,
      anon_sym_COLON,
    STATE(1738), 1,
      sym_gnu_asm_output_operand_list,
  [66483] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(4571), 1,
      anon_sym_SEMI,
    STATE(1782), 1,
      aux_sym__declaration_declarator_repeat1,
  [66496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3314), 1,
      anon_sym_COMMA,
    ACTIONS(3338), 1,
      anon_sym_RPAREN,
    STATE(1823), 1,
      aux_sym_argument_list_repeat1,
  [66509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_COMMA,
    ACTIONS(4580), 1,
      anon_sym_RPAREN,
    STATE(1795), 1,
      aux_sym_preproc_params_repeat1,
  [66522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4582), 1,
      anon_sym_RPAREN,
    ACTIONS(4584), 1,
      anon_sym_COLON,
    STATE(1762), 1,
      sym_gnu_asm_clobber_list,
  [66535] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_RPAREN,
    ACTIONS(4588), 1,
      anon_sym_COLON,
    STATE(1932), 1,
      sym_gnu_asm_goto_list,
  [66548] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_COMMA,
    ACTIONS(4592), 1,
      anon_sym_RPAREN,
    STATE(1798), 1,
      aux_sym_parameter_list_repeat1,
  [66561] = 4,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4532), 1,
      anon_sym_LPAREN2,
    ACTIONS(4594), 1,
      aux_sym_preproc_include_token2,
    STATE(2159), 1,
      sym_preproc_argument_list,
  [66574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_COLON,
    ACTIONS(4596), 1,
      anon_sym_RPAREN,
    STATE(1993), 1,
      sym_gnu_asm_goto_list,
  [66587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4546), 1,
      anon_sym_COMMA,
    ACTIONS(4598), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1765), 1,
      aux_sym_attribute_declaration_repeat1,
  [66600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3320), 1,
      anon_sym_COMMA,
    ACTIONS(4600), 1,
      anon_sym_RPAREN,
    STATE(1801), 1,
      aux_sym_generic_expression_repeat1,
  [66613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_COMMA,
    ACTIONS(4605), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1765), 1,
      aux_sym_attribute_declaration_repeat1,
  [66626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_COLON,
    ACTIONS(4607), 1,
      anon_sym_RPAREN,
    STATE(2205), 1,
      sym_gnu_asm_goto_list,
  [66639] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    STATE(1697), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4609), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [66650] = 4,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4532), 1,
      anon_sym_LPAREN2,
    ACTIONS(4611), 1,
      aux_sym_preproc_include_token2,
    STATE(2159), 1,
      sym_preproc_argument_list,
  [66663] = 4,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4532), 1,
      anon_sym_LPAREN2,
    ACTIONS(4613), 1,
      aux_sym_preproc_include_token2,
    STATE(2159), 1,
      sym_preproc_argument_list,
  [66676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4546), 1,
      anon_sym_COMMA,
    ACTIONS(4615), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1791), 1,
      aux_sym_attribute_declaration_repeat1,
  [66689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_COLON,
    ACTIONS(4617), 1,
      anon_sym_RPAREN,
    STATE(1766), 1,
      sym_gnu_asm_clobber_list,
  [66702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4619), 1,
      anon_sym_SEMI,
    STATE(2029), 1,
      sym_attribute_specifier,
  [66715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_COLON,
    ACTIONS(4621), 1,
      anon_sym_RPAREN,
    STATE(2190), 1,
      sym_gnu_asm_goto_list,
  [66728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4544), 1,
      anon_sym_COLON,
    ACTIONS(4623), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      sym_gnu_asm_input_operand_list,
  [66741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4015), 1,
      anon_sym_COLON,
    ACTIONS(4023), 1,
      anon_sym_RPAREN,
    STATE(1811), 1,
      sym_gnu_asm_output_operand_list,
  [66754] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3320), 1,
      anon_sym_COMMA,
    ACTIONS(4625), 1,
      anon_sym_RPAREN,
    STATE(1801), 1,
      aux_sym_generic_expression_repeat1,
  [66767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4627), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [66776] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2051), 1,
      anon_sym_RBRACE,
    ACTIONS(4629), 1,
      anon_sym_COMMA,
    STATE(1744), 1,
      aux_sym_initializer_list_repeat1,
  [66789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4546), 1,
      anon_sym_COMMA,
    ACTIONS(4631), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1739), 1,
      aux_sym_attribute_declaration_repeat1,
  [66802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(4633), 1,
      anon_sym_SEMI,
    STATE(1782), 1,
      aux_sym__declaration_declarator_repeat1,
  [66815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4635), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [66824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4637), 1,
      anon_sym_COMMA,
    ACTIONS(4640), 1,
      anon_sym_SEMI,
    STATE(1782), 1,
      aux_sym__declaration_declarator_repeat1,
  [66837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4546), 1,
      anon_sym_COMMA,
    ACTIONS(4642), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1763), 1,
      aux_sym_attribute_declaration_repeat1,
  [66850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2055), 1,
      anon_sym_RBRACE,
    ACTIONS(4644), 1,
      anon_sym_COMMA,
    STATE(1744), 1,
      aux_sym_initializer_list_repeat1,
  [66863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4646), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [66872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3529), 1,
      anon_sym_COMMA,
    ACTIONS(4648), 1,
      anon_sym_RPAREN,
    STATE(1793), 1,
      aux_sym_preproc_argument_list_repeat1,
  [66885] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3314), 1,
      anon_sym_COMMA,
    ACTIONS(4650), 1,
      anon_sym_RPAREN,
    STATE(1796), 1,
      aux_sym_argument_list_repeat1,
  [66898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4652), 1,
      anon_sym_COMMA,
    ACTIONS(4655), 1,
      anon_sym_RPAREN,
    STATE(1788), 1,
      aux_sym_parameter_list_repeat1,
  [66911] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_COMMA,
    ACTIONS(4657), 1,
      anon_sym_RPAREN,
    STATE(1733), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [66924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4659), 1,
      anon_sym_COMMA,
    ACTIONS(4662), 1,
      anon_sym_RPAREN,
    STATE(1790), 1,
      aux_sym_preproc_params_repeat1,
  [66937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4546), 1,
      anon_sym_COMMA,
    ACTIONS(4664), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1765), 1,
      aux_sym_attribute_declaration_repeat1,
  [66950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4666), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [66959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3639), 1,
      anon_sym_RPAREN,
    ACTIONS(4668), 1,
      anon_sym_COMMA,
    STATE(1793), 1,
      aux_sym_preproc_argument_list_repeat1,
  [66972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_LBRACE,
    ACTIONS(4671), 1,
      sym_identifier,
    STATE(1304), 1,
      sym_enumerator_list,
  [66985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_COMMA,
    ACTIONS(4673), 1,
      anon_sym_RPAREN,
    STATE(1790), 1,
      aux_sym_preproc_params_repeat1,
  [66998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3392), 1,
      anon_sym_RPAREN,
    ACTIONS(4675), 1,
      anon_sym_COMMA,
    STATE(1796), 1,
      aux_sym_argument_list_repeat1,
  [67011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(3332), 1,
      anon_sym_RBRACE,
    STATE(1784), 1,
      aux_sym_initializer_list_repeat1,
  [67024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_COMMA,
    ACTIONS(4678), 1,
      anon_sym_RPAREN,
    STATE(1788), 1,
      aux_sym_parameter_list_repeat1,
  [67037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3314), 1,
      anon_sym_COMMA,
    ACTIONS(4680), 1,
      anon_sym_RPAREN,
    STATE(1796), 1,
      aux_sym_argument_list_repeat1,
  [67050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3324), 1,
      anon_sym_COMMA,
    ACTIONS(3326), 1,
      anon_sym_RBRACE,
    STATE(1778), 1,
      aux_sym_initializer_list_repeat1,
  [67063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4682), 1,
      anon_sym_COMMA,
    ACTIONS(4685), 1,
      anon_sym_RPAREN,
    STATE(1801), 1,
      aux_sym_generic_expression_repeat1,
  [67076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_RPAREN,
    ACTIONS(4687), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [67087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4691), 1,
      anon_sym_COMMA,
    ACTIONS(4693), 1,
      anon_sym_RPAREN,
    STATE(1753), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [67100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2845), 1,
      anon_sym_LBRACE,
    ACTIONS(4695), 1,
      sym_identifier,
    STATE(1064), 1,
      sym_field_declaration_list,
  [67113] = 4,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4532), 1,
      anon_sym_LPAREN2,
    ACTIONS(4697), 1,
      aux_sym_preproc_include_token2,
    STATE(2159), 1,
      sym_preproc_argument_list,
  [67126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_LBRACE,
    ACTIONS(4699), 1,
      sym_identifier,
    STATE(1304), 1,
      sym_enumerator_list,
  [67139] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    STATE(1692), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4701), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [67150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3841), 1,
      anon_sym_SEMI,
    STATE(1755), 1,
      aux_sym__declaration_declarator_repeat1,
  [67163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4703), 1,
      sym_identifier,
    STATE(1894), 1,
      sym_variadic_parameter,
  [67176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [67185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4544), 1,
      anon_sym_COLON,
    ACTIONS(4707), 1,
      anon_sym_RPAREN,
    STATE(1758), 1,
      sym_gnu_asm_input_operand_list,
  [67198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4709), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [67207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_COLON,
    ACTIONS(4711), 1,
      anon_sym_RPAREN,
    STATE(1759), 1,
      sym_gnu_asm_clobber_list,
  [67220] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    STATE(1720), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4713), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [67231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym___attribute__,
    ACTIONS(4715), 1,
      anon_sym_SEMI,
    STATE(2031), 1,
      sym_attribute_specifier,
  [67244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2845), 1,
      anon_sym_LBRACE,
    ACTIONS(4717), 1,
      sym_identifier,
    STATE(1062), 1,
      sym_field_declaration_list,
  [67257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4544), 1,
      anon_sym_COLON,
    ACTIONS(4719), 1,
      anon_sym_RPAREN,
    STATE(1771), 1,
      sym_gnu_asm_input_operand_list,
  [67270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [67279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4723), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [67288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3529), 1,
      anon_sym_COMMA,
    ACTIONS(4725), 1,
      anon_sym_RPAREN,
    STATE(1793), 1,
      aux_sym_preproc_argument_list_repeat1,
  [67301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_COLON,
    ACTIONS(4727), 1,
      anon_sym_RPAREN,
    STATE(1773), 1,
      sym_gnu_asm_clobber_list,
  [67314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 1,
      anon_sym_COMMA,
    ACTIONS(4732), 1,
      anon_sym_RPAREN,
    STATE(1822), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [67327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3314), 1,
      anon_sym_COMMA,
    ACTIONS(3316), 1,
      anon_sym_RPAREN,
    STATE(1796), 1,
      aux_sym_argument_list_repeat1,
  [67340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_LPAREN2,
    STATE(1898), 1,
      sym_parenthesized_expression,
  [67350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    STATE(2149), 1,
      sym_argument_list,
  [67360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_LPAREN2,
    STATE(438), 1,
      sym_parenthesized_expression,
  [67370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(278), 1,
      sym_compound_statement,
  [67380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4738), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [67388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    STATE(126), 1,
      sym_compound_statement,
  [67398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_LPAREN2,
    STATE(2125), 1,
      sym_parenthesized_expression,
  [67408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_LPAREN2,
    STATE(1872), 1,
      sym_parenthesized_expression,
  [67418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1710), 1,
      sym_compound_statement,
  [67428] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4740), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4742), 1,
      sym_preproc_arg,
  [67438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_LPAREN2,
    STATE(2121), 1,
      sym_argument_list,
  [67448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_LPAREN2,
    STATE(445), 1,
      sym_parenthesized_expression,
  [67458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1704), 1,
      sym_compound_statement,
  [67468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    STATE(98), 1,
      sym_compound_statement,
  [67478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4744), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [67486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    STATE(267), 1,
      sym_compound_statement,
  [67496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_LPAREN2,
    STATE(2034), 1,
      sym_parenthesized_expression,
  [67506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(267), 1,
      sym_compound_statement,
  [67516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4746), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [67524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_LPAREN2,
    STATE(1829), 1,
      sym_parenthesized_expression,
  [67534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_LPAREN2,
    STATE(416), 1,
      sym_parenthesized_expression,
  [67544] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4748), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4750), 1,
      sym_preproc_arg,
  [67554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_LPAREN2,
    STATE(1871), 1,
      sym_parenthesized_expression,
  [67564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_LPAREN2,
    STATE(424), 1,
      sym_parenthesized_expression,
  [67574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_LPAREN2,
    STATE(417), 1,
      sym_parenthesized_expression,
  [67584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 1,
      sym_identifier,
    STATE(1770), 1,
      sym_attribute,
  [67594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_LPAREN2,
    STATE(418), 1,
      sym_parenthesized_expression,
  [67604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3392), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    STATE(310), 1,
      sym_compound_statement,
  [67622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_LPAREN2,
    STATE(1852), 1,
      sym_parenthesized_expression,
  [67632] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4754), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4756), 1,
      sym_preproc_arg,
  [67642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_LPAREN2,
    STATE(436), 1,
      sym_parenthesized_expression,
  [67652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67660] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4758), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4760), 1,
      sym_preproc_arg,
  [67670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1685), 1,
      sym_compound_statement,
  [67680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67688] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4762), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4764), 1,
      sym_preproc_arg,
  [67698] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4766), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4768), 1,
      sym_preproc_arg,
  [67708] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4770), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4772), 1,
      sym_preproc_arg,
  [67718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4774), 1,
      sym_identifier,
    ACTIONS(4776), 1,
      anon_sym_LPAREN2,
  [67728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4778), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [67736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_LPAREN2,
    STATE(1970), 1,
      sym_parenthesized_expression,
  [67746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1719), 1,
      sym_compound_statement,
  [67756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_LPAREN2,
    STATE(1887), 1,
      sym_parenthesized_expression,
  [67766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_LPAREN2,
    STATE(1900), 1,
      sym_parenthesized_expression,
  [67776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3400), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [67784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    STATE(258), 1,
      sym_compound_statement,
  [67794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    STATE(114), 1,
      sym_compound_statement,
  [67804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    STATE(175), 1,
      sym_compound_statement,
  [67814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3903), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [67822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3342), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [67830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4780), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_LPAREN2,
    STATE(1841), 1,
      sym_parenthesized_expression,
  [67848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4782), 1,
      sym_identifier,
    ACTIONS(4784), 1,
      anon_sym_LPAREN2,
  [67858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1674), 1,
      sym_compound_statement,
  [67868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COMMA,
    ACTIONS(4788), 1,
      anon_sym_RBRACE,
  [67878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    STATE(298), 1,
      sym_compound_statement,
  [67888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    STATE(196), 1,
      sym_compound_statement,
  [67898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_LPAREN2,
    STATE(2146), 1,
      sym_parenthesized_expression,
  [67908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_LPAREN2,
    STATE(1839), 1,
      sym_parenthesized_expression,
  [67918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_LPAREN2,
    STATE(406), 1,
      sym_parenthesized_expression,
  [67928] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4790), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4792), 1,
      sym_preproc_arg,
  [67938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4605), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [67946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    STATE(201), 1,
      sym_compound_statement,
  [67956] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4794), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4796), 1,
      sym_preproc_arg,
  [67966] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4798), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4800), 1,
      sym_preproc_arg,
  [67976] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4802), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4804), 1,
      sym_preproc_arg,
  [67986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_LPAREN2,
    STATE(1827), 1,
      sym_parenthesized_expression,
  [67996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4806), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      sym_identifier,
    ACTIONS(4810), 1,
      anon_sym_RPAREN,
  [68014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4576), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68022] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4812), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4814), 1,
      sym_preproc_arg,
  [68032] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4816), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4818), 1,
      sym_preproc_arg,
  [68042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(273), 1,
      sym_compound_statement,
  [68060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    STATE(345), 1,
      sym_compound_statement,
  [68070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    STATE(312), 1,
      sym_compound_statement,
  [68080] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4823), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4825), 1,
      sym_preproc_arg,
  [68090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_LPAREN2,
    STATE(415), 1,
      sym_parenthesized_expression,
  [68100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3438), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [68108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3440), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [68116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_LPAREN2,
    STATE(2089), 1,
      sym_parenthesized_expression,
  [68126] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4827), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4829), 1,
      sym_preproc_arg,
  [68136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3436), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [68144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1703), 1,
      sym_compound_statement,
  [68154] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4831), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4833), 1,
      sym_preproc_arg,
  [68164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(353), 1,
      sym_compound_statement,
  [68174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(298), 1,
      sym_compound_statement,
  [68184] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4835), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4837), 1,
      sym_preproc_arg,
  [68194] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4839), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4841), 1,
      sym_preproc_arg,
  [68204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3941), 1,
      anon_sym_RBRACE,
    ACTIONS(4786), 1,
      anon_sym_COMMA,
  [68214] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4843), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4845), 1,
      sym_preproc_arg,
  [68224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 1,
      sym_identifier,
    STATE(1779), 1,
      sym_attribute,
  [68234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_LPAREN2,
    STATE(411), 1,
      sym_parenthesized_expression,
  [68244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 1,
      sym_identifier,
    STATE(1886), 1,
      sym_attribute,
  [68254] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4847), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4849), 1,
      sym_preproc_arg,
  [68264] = 3,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4851), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4853), 1,
      sym_preproc_arg,
  [68274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_LPAREN2,
    STATE(449), 1,
      sym_parenthesized_expression,
  [68284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 1,
      sym_identifier,
    STATE(1783), 1,
      sym_attribute,
  [68294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_LPAREN2,
    STATE(440), 1,
      sym_parenthesized_expression,
  [68304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_LPAREN2,
    STATE(1870), 1,
      sym_parenthesized_expression,
  [68314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3390), 1,
      anon_sym_RPAREN,
  [68321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      sym_identifier,
  [68328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4857), 1,
      sym_identifier,
  [68335] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4859), 1,
      aux_sym_preproc_include_token2,
  [68342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4861), 1,
      anon_sym_RPAREN,
  [68349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4863), 1,
      anon_sym_RBRACK,
  [68356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4865), 1,
      sym_identifier,
  [68363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4867), 1,
      anon_sym_RPAREN,
  [68370] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4869), 1,
      aux_sym_preproc_include_token2,
  [68377] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4871), 1,
      aux_sym_preproc_include_token2,
  [68384] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4873), 1,
      aux_sym_preproc_include_token2,
  [68391] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4875), 1,
      aux_sym_preproc_include_token2,
  [68398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4877), 1,
      aux_sym_preproc_if_token2,
  [68405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4879), 1,
      anon_sym_RBRACE,
  [68412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4881), 1,
      aux_sym_preproc_if_token2,
  [68419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 1,
      anon_sym_RBRACE,
  [68426] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4885), 1,
      aux_sym_preproc_include_token2,
  [68433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4887), 1,
      aux_sym_preproc_if_token2,
  [68440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4889), 1,
      anon_sym_RBRACE,
  [68447] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4891), 1,
      aux_sym_preproc_include_token2,
  [68454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym_RPAREN,
  [68461] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4895), 1,
      aux_sym_preproc_include_token2,
  [68468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_SEMI,
  [68475] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4899), 1,
      aux_sym_preproc_include_token2,
  [68482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4901), 1,
      aux_sym_preproc_if_token2,
  [68489] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4903), 1,
      aux_sym_preproc_include_token2,
  [68496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_RPAREN,
  [68503] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4907), 1,
      aux_sym_preproc_include_token2,
  [68510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4909), 1,
      anon_sym_SEMI,
  [68517] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4911), 1,
      aux_sym_preproc_include_token2,
  [68524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4913), 1,
      anon_sym_LPAREN2,
  [68531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4915), 1,
      aux_sym_preproc_if_token2,
  [68538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_RPAREN,
  [68545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4917), 1,
      sym_identifier,
  [68552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_COLON,
  [68559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 1,
      anon_sym_RBRACK,
  [68566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 1,
      anon_sym_SEMI,
  [68573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4923), 1,
      sym_identifier,
  [68580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3426), 1,
      anon_sym_RPAREN,
  [68587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3424), 1,
      anon_sym_RPAREN,
  [68594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4925), 1,
      aux_sym_preproc_if_token2,
  [68601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4927), 1,
      sym_identifier,
  [68608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4929), 1,
      anon_sym_RBRACE,
  [68615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4931), 1,
      anon_sym_RPAREN,
  [68622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4933), 1,
      anon_sym_RPAREN,
  [68629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4935), 1,
      anon_sym_SEMI,
  [68636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4937), 1,
      aux_sym_preproc_if_token2,
  [68643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4939), 1,
      aux_sym_preproc_if_token2,
  [68650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4941), 1,
      aux_sym_preproc_if_token2,
  [68657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4943), 1,
      aux_sym_preproc_if_token2,
  [68664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4945), 1,
      aux_sym_preproc_if_token2,
  [68671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4947), 1,
      sym_identifier,
  [68678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4949), 1,
      aux_sym_preproc_if_token2,
  [68685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      anon_sym_RBRACE,
  [68692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4194), 1,
      anon_sym_COMMA,
  [68699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4953), 1,
      aux_sym_preproc_if_token2,
  [68706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      aux_sym_preproc_if_token2,
  [68713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_RBRACE,
  [68720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      aux_sym_preproc_if_token2,
  [68727] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4961), 1,
      aux_sym_preproc_include_token2,
  [68734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 1,
      aux_sym_preproc_if_token2,
  [68741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4965), 1,
      aux_sym_preproc_if_token2,
  [68748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4967), 1,
      anon_sym_LPAREN2,
  [68755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4969), 1,
      anon_sym_RPAREN,
  [68762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4971), 1,
      aux_sym_preproc_if_token2,
  [68769] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4973), 1,
      aux_sym_preproc_include_token2,
  [68776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4975), 1,
      aux_sym_preproc_if_token2,
  [68783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4977), 1,
      aux_sym_preproc_if_token2,
  [68790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4979), 1,
      anon_sym_RPAREN,
  [68797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 1,
      anon_sym_SEMI,
  [68804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4983), 1,
      anon_sym_SEMI,
  [68811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 1,
      anon_sym_SEMI,
  [68818] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym_preproc_include_token2,
  [68825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4985), 1,
      aux_sym_preproc_if_token2,
  [68832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 1,
      sym_identifier,
  [68839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4989), 1,
      sym_identifier,
  [68846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4991), 1,
      aux_sym_preproc_if_token2,
  [68853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4993), 1,
      aux_sym_preproc_if_token2,
  [68860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3378), 1,
      anon_sym_SEMI,
  [68867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4995), 1,
      anon_sym_COLON,
  [68874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4997), 1,
      anon_sym_SEMI,
  [68881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4999), 1,
      anon_sym_RPAREN,
  [68888] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(5001), 1,
      aux_sym_preproc_include_token2,
  [68895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 1,
      sym_identifier,
  [68902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5005), 1,
      sym_identifier,
  [68909] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4697), 1,
      aux_sym_preproc_include_token2,
  [68916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 1,
      anon_sym_LPAREN2,
  [68923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5009), 1,
      anon_sym_SEMI,
  [68930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5011), 1,
      anon_sym_SEMI,
  [68937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5013), 1,
      anon_sym_COLON,
  [68944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5015), 1,
      anon_sym_LPAREN2,
  [68951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5017), 1,
      sym_identifier,
  [68958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5019), 1,
      sym_identifier,
  [68965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 1,
      anon_sym_COLON,
  [68972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5023), 1,
      sym_identifier,
  [68979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5025), 1,
      aux_sym_preproc_if_token2,
  [68986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 1,
      anon_sym_RPAREN,
  [68993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5029), 1,
      anon_sym_RPAREN,
  [69000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5031), 1,
      aux_sym_preproc_if_token2,
  [69007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5033), 1,
      sym_identifier,
  [69014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3412), 1,
      anon_sym_RPAREN,
  [69021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3416), 1,
      anon_sym_RPAREN,
  [69028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5035), 1,
      sym_identifier,
  [69035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5037), 1,
      sym_identifier,
  [69042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5039), 1,
      anon_sym_SEMI,
  [69049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5041), 1,
      aux_sym_preproc_if_token2,
  [69056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 1,
      anon_sym_SEMI,
  [69063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5045), 1,
      aux_sym_preproc_if_token2,
  [69070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5047), 1,
      aux_sym_preproc_if_token2,
  [69077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5049), 1,
      anon_sym_SEMI,
  [69084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5051), 1,
      sym_identifier,
  [69091] = 2,
    ACTIONS(2406), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3579), 1,
      sym_comment,
  [69098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5053), 1,
      aux_sym_preproc_if_token2,
  [69105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COMMA,
  [69112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5055), 1,
      sym_identifier,
  [69119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5057), 1,
      aux_sym_preproc_if_token2,
  [69126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      anon_sym_SEMI,
  [69133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5061), 1,
      aux_sym_preproc_if_token2,
  [69140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 1,
      aux_sym_preproc_if_token2,
  [69147] = 2,
    ACTIONS(2402), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3579), 1,
      sym_comment,
  [69154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5065), 1,
      sym_identifier,
  [69161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 1,
      anon_sym_RPAREN,
  [69168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_RPAREN,
  [69175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_COMMA,
  [69182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5071), 1,
      aux_sym_preproc_if_token2,
  [69189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5073), 1,
      aux_sym_preproc_if_token2,
  [69196] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(5075), 1,
      aux_sym_preproc_include_token2,
  [69203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5077), 1,
      anon_sym_COLON,
  [69210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5079), 1,
      sym_identifier,
  [69217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5081), 1,
      sym_identifier,
  [69224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 1,
      sym_identifier,
  [69231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3326), 1,
      anon_sym_RBRACE,
  [69238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5085), 1,
      anon_sym_SEMI,
  [69245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 1,
      anon_sym_RPAREN,
  [69252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5089), 1,
      sym_identifier,
  [69259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5091), 1,
      aux_sym_preproc_if_token2,
  [69266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      aux_sym_preproc_if_token2,
  [69273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5095), 1,
      anon_sym_SEMI,
  [69280] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4530), 1,
      aux_sym_preproc_include_token2,
  [69287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 1,
      anon_sym_SEMI,
  [69294] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(5099), 1,
      aux_sym_preproc_include_token2,
  [69301] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(5101), 1,
      aux_sym_preproc_include_token2,
  [69308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3408), 1,
      anon_sym_RPAREN,
  [69315] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym_preproc_include_token2,
  [69322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5103), 1,
      anon_sym_RPAREN,
  [69329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5105), 1,
      sym_identifier,
  [69336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5107), 1,
      sym_identifier,
  [69343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5109), 1,
      anon_sym_SEMI,
  [69350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5111), 1,
      anon_sym_SEMI,
  [69357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5113), 1,
      sym_identifier,
  [69364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5115), 1,
      sym_identifier,
  [69371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5117), 1,
      sym_identifier,
  [69378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3410), 1,
      anon_sym_SEMI,
  [69385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_SEMI,
  [69392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3418), 1,
      anon_sym_SEMI,
  [69399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3428), 1,
      anon_sym_SEMI,
  [69406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_LPAREN2,
  [69413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5123), 1,
      anon_sym_SEMI,
  [69420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3344), 1,
      anon_sym_SEMI,
  [69427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 1,
      anon_sym_LPAREN2,
  [69434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 1,
      anon_sym_COLON,
  [69441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3398), 1,
      anon_sym_SEMI,
  [69448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3396), 1,
      anon_sym_SEMI,
  [69455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 1,
      anon_sym_RPAREN,
  [69462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5131), 1,
      anon_sym_SEMI,
  [69469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 1,
      anon_sym_SEMI,
  [69476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5135), 1,
      anon_sym_RPAREN,
  [69483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5137), 1,
      anon_sym_while,
  [69490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5139), 1,
      anon_sym_STAR,
  [69497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5141), 1,
      anon_sym_SEMI,
  [69504] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(5143), 1,
      aux_sym_preproc_include_token2,
  [69511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4788), 1,
      anon_sym_RBRACE,
  [69518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      sym_identifier,
  [69525] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4613), 1,
      aux_sym_preproc_include_token2,
  [69532] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(5147), 1,
      aux_sym_preproc_include_token2,
  [69539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 1,
      aux_sym_preproc_if_token2,
  [69546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5151), 1,
      anon_sym_SEMI,
  [69553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 1,
      anon_sym_SEMI,
  [69560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5155), 1,
      anon_sym_COLON,
  [69567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 1,
      sym_primitive_type,
  [69574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 1,
      sym_identifier,
  [69581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 1,
      anon_sym_RPAREN,
  [69588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5163), 1,
      aux_sym_preproc_if_token2,
  [69595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 1,
      aux_sym_preproc_if_token2,
  [69602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 1,
      aux_sym_preproc_if_token2,
  [69609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 1,
      aux_sym_preproc_if_token2,
  [69616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 1,
      anon_sym_COMMA,
  [69623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5173), 1,
      anon_sym_RPAREN,
  [69630] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(5175), 1,
      aux_sym_preproc_include_token2,
  [69637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5177), 1,
      anon_sym_RPAREN,
  [69644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 1,
      aux_sym_preproc_if_token2,
  [69651] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3661), 1,
      aux_sym_preproc_include_token2,
  [69658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5181), 1,
      anon_sym_SEMI,
  [69665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5183), 1,
      anon_sym_RPAREN,
  [69672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5185), 1,
      aux_sym_preproc_if_token2,
  [69679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 1,
      aux_sym_preproc_if_token2,
  [69686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5189), 1,
      anon_sym_STAR,
  [69693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5191), 1,
      anon_sym_RPAREN,
  [69700] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(5193), 1,
      aux_sym_preproc_include_token2,
  [69707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5195), 1,
      anon_sym_RPAREN,
  [69714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_SEMI,
  [69721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_COMMA,
  [69728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 1,
      anon_sym_RPAREN,
  [69735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_COLON,
  [69742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5205), 1,
      anon_sym_RPAREN,
  [69749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3346), 1,
      anon_sym_SEMI,
  [69756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 1,
      anon_sym_RPAREN,
  [69763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5209), 1,
      aux_sym_preproc_if_token2,
  [69770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5211), 1,
      anon_sym_LPAREN2,
  [69777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5213), 1,
      anon_sym_SEMI,
  [69784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      aux_sym_preproc_if_token2,
  [69791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5217), 1,
      sym_primitive_type,
  [69798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_while,
  [69805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5221), 1,
      aux_sym_preproc_if_token2,
  [69812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3941), 1,
      anon_sym_RBRACE,
  [69819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5223), 1,
      aux_sym_preproc_if_token2,
  [69826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5225), 1,
      sym_identifier,
  [69833] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(5227), 1,
      aux_sym_preproc_include_token2,
  [69840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_RPAREN,
  [69847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5231), 1,
      anon_sym_SEMI,
  [69854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5233), 1,
      anon_sym_while,
  [69861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5235), 1,
      anon_sym_SEMI,
  [69868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5237), 1,
      anon_sym_RPAREN,
  [69875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5239), 1,
      sym_identifier,
  [69882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5241), 1,
      anon_sym_RPAREN,
  [69889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5243), 1,
      anon_sym_STAR,
  [69896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_RPAREN,
  [69903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5247), 1,
      aux_sym_preproc_if_token2,
  [69910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5249), 1,
      anon_sym_while,
  [69917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5251), 1,
      sym_identifier,
  [69924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      sym_identifier,
  [69931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5255), 1,
      aux_sym_preproc_if_token2,
  [69938] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(5257), 1,
      aux_sym_preproc_include_token2,
  [69945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3332), 1,
      anon_sym_RBRACE,
  [69952] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(3627), 1,
      aux_sym_preproc_include_token2,
  [69959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5259), 1,
      anon_sym_LPAREN2,
  [69966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5261), 1,
      sym_identifier,
  [69973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5263), 1,
      aux_sym_preproc_if_token2,
  [69980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_RPAREN,
  [69987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5267), 1,
      anon_sym_STAR,
  [69994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5269), 1,
      anon_sym_SEMI,
  [70001] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(5271), 1,
      aux_sym_preproc_include_token2,
  [70008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 1,
      aux_sym_preproc_if_token2,
  [70015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5275), 1,
      anon_sym_SEMI,
  [70022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      sym_identifier,
  [70029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_SEMI,
  [70036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3394), 1,
      anon_sym_SEMI,
  [70043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5281), 1,
      anon_sym_while,
  [70050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5283), 1,
      anon_sym_RPAREN,
  [70057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 1,
      anon_sym_SEMI,
  [70064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_SEMI,
  [70071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3414), 1,
      anon_sym_SEMI,
  [70078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 1,
      anon_sym_SEMI,
  [70085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_SEMI,
  [70092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5291), 1,
      sym_identifier,
  [70099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      aux_sym_preproc_if_token2,
  [70106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5295), 1,
      aux_sym_preproc_if_token2,
  [70113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5297), 1,
      anon_sym_RPAREN,
  [70120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3402), 1,
      anon_sym_RPAREN,
  [70127] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(5299), 1,
      aux_sym_preproc_include_token2,
  [70134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3420), 1,
      anon_sym_SEMI,
  [70141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5301), 1,
      aux_sym_preproc_if_token2,
  [70148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5303), 1,
      anon_sym_SEMI,
  [70155] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4611), 1,
      aux_sym_preproc_include_token2,
  [70162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5305), 1,
      ts_builtin_sym_end,
  [70169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5307), 1,
      anon_sym_RPAREN,
  [70176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5309), 1,
      anon_sym_RPAREN,
  [70183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_LPAREN2,
  [70190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_LPAREN2,
  [70197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 1,
      anon_sym_LPAREN2,
  [70204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 1,
      sym_identifier,
  [70211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_SEMI,
  [70218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5321), 1,
      anon_sym_RPAREN,
  [70225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5323), 1,
      anon_sym_SEMI,
  [70232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_LPAREN2,
  [70239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3434), 1,
      anon_sym_RPAREN,
  [70246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON,
  [70253] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(5329), 1,
      aux_sym_preproc_include_token2,
  [70260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 1,
      anon_sym_LPAREN2,
  [70267] = 2,
    ACTIONS(3579), 1,
      sym_comment,
    ACTIONS(4594), 1,
      aux_sym_preproc_include_token2,
  [70274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5333), 1,
      anon_sym_RPAREN,
  [70281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 1,
      anon_sym_LPAREN2,
  [70288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 1,
      anon_sym_LPAREN2,
  [70295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_SEMI,
  [70302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5341), 1,
      anon_sym_LPAREN2,
  [70309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5343), 1,
      anon_sym_LPAREN2,
  [70316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5345), 1,
      anon_sym_SEMI,
  [70323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5347), 1,
      sym_identifier,
  [70330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_LPAREN2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(555)] = 0,
  [SMALL_STATE(556)] = 114,
  [SMALL_STATE(557)] = 224,
  [SMALL_STATE(558)] = 338,
  [SMALL_STATE(559)] = 449,
  [SMALL_STATE(560)] = 557,
  [SMALL_STATE(561)] = 665,
  [SMALL_STATE(562)] = 773,
  [SMALL_STATE(563)] = 881,
  [SMALL_STATE(564)] = 989,
  [SMALL_STATE(565)] = 1097,
  [SMALL_STATE(566)] = 1205,
  [SMALL_STATE(567)] = 1311,
  [SMALL_STATE(568)] = 1419,
  [SMALL_STATE(569)] = 1527,
  [SMALL_STATE(570)] = 1635,
  [SMALL_STATE(571)] = 1743,
  [SMALL_STATE(572)] = 1851,
  [SMALL_STATE(573)] = 1959,
  [SMALL_STATE(574)] = 2067,
  [SMALL_STATE(575)] = 2175,
  [SMALL_STATE(576)] = 2281,
  [SMALL_STATE(577)] = 2389,
  [SMALL_STATE(578)] = 2497,
  [SMALL_STATE(579)] = 2605,
  [SMALL_STATE(580)] = 2711,
  [SMALL_STATE(581)] = 2819,
  [SMALL_STATE(582)] = 2927,
  [SMALL_STATE(583)] = 3035,
  [SMALL_STATE(584)] = 3143,
  [SMALL_STATE(585)] = 3251,
  [SMALL_STATE(586)] = 3359,
  [SMALL_STATE(587)] = 3465,
  [SMALL_STATE(588)] = 3573,
  [SMALL_STATE(589)] = 3681,
  [SMALL_STATE(590)] = 3789,
  [SMALL_STATE(591)] = 3892,
  [SMALL_STATE(592)] = 3997,
  [SMALL_STATE(593)] = 4110,
  [SMALL_STATE(594)] = 4215,
  [SMALL_STATE(595)] = 4320,
  [SMALL_STATE(596)] = 4425,
  [SMALL_STATE(597)] = 4528,
  [SMALL_STATE(598)] = 4631,
  [SMALL_STATE(599)] = 4734,
  [SMALL_STATE(600)] = 4837,
  [SMALL_STATE(601)] = 4942,
  [SMALL_STATE(602)] = 5047,
  [SMALL_STATE(603)] = 5150,
  [SMALL_STATE(604)] = 5253,
  [SMALL_STATE(605)] = 5358,
  [SMALL_STATE(606)] = 5463,
  [SMALL_STATE(607)] = 5566,
  [SMALL_STATE(608)] = 5671,
  [SMALL_STATE(609)] = 5776,
  [SMALL_STATE(610)] = 5879,
  [SMALL_STATE(611)] = 5982,
  [SMALL_STATE(612)] = 6087,
  [SMALL_STATE(613)] = 6187,
  [SMALL_STATE(614)] = 6289,
  [SMALL_STATE(615)] = 6391,
  [SMALL_STATE(616)] = 6493,
  [SMALL_STATE(617)] = 6595,
  [SMALL_STATE(618)] = 6695,
  [SMALL_STATE(619)] = 6797,
  [SMALL_STATE(620)] = 6897,
  [SMALL_STATE(621)] = 6999,
  [SMALL_STATE(622)] = 7099,
  [SMALL_STATE(623)] = 7201,
  [SMALL_STATE(624)] = 7303,
  [SMALL_STATE(625)] = 7403,
  [SMALL_STATE(626)] = 7503,
  [SMALL_STATE(627)] = 7605,
  [SMALL_STATE(628)] = 7707,
  [SMALL_STATE(629)] = 7809,
  [SMALL_STATE(630)] = 7909,
  [SMALL_STATE(631)] = 8009,
  [SMALL_STATE(632)] = 8111,
  [SMALL_STATE(633)] = 8213,
  [SMALL_STATE(634)] = 8313,
  [SMALL_STATE(635)] = 8413,
  [SMALL_STATE(636)] = 8515,
  [SMALL_STATE(637)] = 8617,
  [SMALL_STATE(638)] = 8719,
  [SMALL_STATE(639)] = 8821,
  [SMALL_STATE(640)] = 8921,
  [SMALL_STATE(641)] = 9023,
  [SMALL_STATE(642)] = 9123,
  [SMALL_STATE(643)] = 9225,
  [SMALL_STATE(644)] = 9327,
  [SMALL_STATE(645)] = 9429,
  [SMALL_STATE(646)] = 9529,
  [SMALL_STATE(647)] = 9631,
  [SMALL_STATE(648)] = 9731,
  [SMALL_STATE(649)] = 9831,
  [SMALL_STATE(650)] = 9931,
  [SMALL_STATE(651)] = 10031,
  [SMALL_STATE(652)] = 10131,
  [SMALL_STATE(653)] = 10233,
  [SMALL_STATE(654)] = 10333,
  [SMALL_STATE(655)] = 10433,
  [SMALL_STATE(656)] = 10533,
  [SMALL_STATE(657)] = 10635,
  [SMALL_STATE(658)] = 10735,
  [SMALL_STATE(659)] = 10837,
  [SMALL_STATE(660)] = 10939,
  [SMALL_STATE(661)] = 11039,
  [SMALL_STATE(662)] = 11139,
  [SMALL_STATE(663)] = 11241,
  [SMALL_STATE(664)] = 11343,
  [SMALL_STATE(665)] = 11445,
  [SMALL_STATE(666)] = 11545,
  [SMALL_STATE(667)] = 11647,
  [SMALL_STATE(668)] = 11749,
  [SMALL_STATE(669)] = 11851,
  [SMALL_STATE(670)] = 11953,
  [SMALL_STATE(671)] = 12041,
  [SMALL_STATE(672)] = 12143,
  [SMALL_STATE(673)] = 12243,
  [SMALL_STATE(674)] = 12345,
  [SMALL_STATE(675)] = 12445,
  [SMALL_STATE(676)] = 12547,
  [SMALL_STATE(677)] = 12647,
  [SMALL_STATE(678)] = 12749,
  [SMALL_STATE(679)] = 12849,
  [SMALL_STATE(680)] = 12951,
  [SMALL_STATE(681)] = 13051,
  [SMALL_STATE(682)] = 13151,
  [SMALL_STATE(683)] = 13251,
  [SMALL_STATE(684)] = 13351,
  [SMALL_STATE(685)] = 13451,
  [SMALL_STATE(686)] = 13551,
  [SMALL_STATE(687)] = 13651,
  [SMALL_STATE(688)] = 13751,
  [SMALL_STATE(689)] = 13851,
  [SMALL_STATE(690)] = 13951,
  [SMALL_STATE(691)] = 14053,
  [SMALL_STATE(692)] = 14153,
  [SMALL_STATE(693)] = 14255,
  [SMALL_STATE(694)] = 14357,
  [SMALL_STATE(695)] = 14457,
  [SMALL_STATE(696)] = 14559,
  [SMALL_STATE(697)] = 14659,
  [SMALL_STATE(698)] = 14761,
  [SMALL_STATE(699)] = 14863,
  [SMALL_STATE(700)] = 14965,
  [SMALL_STATE(701)] = 15067,
  [SMALL_STATE(702)] = 15167,
  [SMALL_STATE(703)] = 15269,
  [SMALL_STATE(704)] = 15371,
  [SMALL_STATE(705)] = 15471,
  [SMALL_STATE(706)] = 15573,
  [SMALL_STATE(707)] = 15675,
  [SMALL_STATE(708)] = 15775,
  [SMALL_STATE(709)] = 15875,
  [SMALL_STATE(710)] = 15977,
  [SMALL_STATE(711)] = 16077,
  [SMALL_STATE(712)] = 16177,
  [SMALL_STATE(713)] = 16279,
  [SMALL_STATE(714)] = 16381,
  [SMALL_STATE(715)] = 16483,
  [SMALL_STATE(716)] = 16583,
  [SMALL_STATE(717)] = 16683,
  [SMALL_STATE(718)] = 16785,
  [SMALL_STATE(719)] = 16887,
  [SMALL_STATE(720)] = 16987,
  [SMALL_STATE(721)] = 17087,
  [SMALL_STATE(722)] = 17189,
  [SMALL_STATE(723)] = 17289,
  [SMALL_STATE(724)] = 17389,
  [SMALL_STATE(725)] = 17489,
  [SMALL_STATE(726)] = 17591,
  [SMALL_STATE(727)] = 17691,
  [SMALL_STATE(728)] = 17793,
  [SMALL_STATE(729)] = 17893,
  [SMALL_STATE(730)] = 17995,
  [SMALL_STATE(731)] = 18097,
  [SMALL_STATE(732)] = 18197,
  [SMALL_STATE(733)] = 18299,
  [SMALL_STATE(734)] = 18399,
  [SMALL_STATE(735)] = 18501,
  [SMALL_STATE(736)] = 18603,
  [SMALL_STATE(737)] = 18705,
  [SMALL_STATE(738)] = 18807,
  [SMALL_STATE(739)] = 18909,
  [SMALL_STATE(740)] = 19011,
  [SMALL_STATE(741)] = 19113,
  [SMALL_STATE(742)] = 19213,
  [SMALL_STATE(743)] = 19315,
  [SMALL_STATE(744)] = 19417,
  [SMALL_STATE(745)] = 19519,
  [SMALL_STATE(746)] = 19619,
  [SMALL_STATE(747)] = 19719,
  [SMALL_STATE(748)] = 19819,
  [SMALL_STATE(749)] = 19921,
  [SMALL_STATE(750)] = 20023,
  [SMALL_STATE(751)] = 20125,
  [SMALL_STATE(752)] = 20227,
  [SMALL_STATE(753)] = 20327,
  [SMALL_STATE(754)] = 20429,
  [SMALL_STATE(755)] = 20531,
  [SMALL_STATE(756)] = 20633,
  [SMALL_STATE(757)] = 20735,
  [SMALL_STATE(758)] = 20837,
  [SMALL_STATE(759)] = 20939,
  [SMALL_STATE(760)] = 21041,
  [SMALL_STATE(761)] = 21143,
  [SMALL_STATE(762)] = 21245,
  [SMALL_STATE(763)] = 21347,
  [SMALL_STATE(764)] = 21449,
  [SMALL_STATE(765)] = 21551,
  [SMALL_STATE(766)] = 21652,
  [SMALL_STATE(767)] = 21753,
  [SMALL_STATE(768)] = 21854,
  [SMALL_STATE(769)] = 21955,
  [SMALL_STATE(770)] = 22026,
  [SMALL_STATE(771)] = 22097,
  [SMALL_STATE(772)] = 22198,
  [SMALL_STATE(773)] = 22269,
  [SMALL_STATE(774)] = 22337,
  [SMALL_STATE(775)] = 22405,
  [SMALL_STATE(776)] = 22468,
  [SMALL_STATE(777)] = 22531,
  [SMALL_STATE(778)] = 22593,
  [SMALL_STATE(779)] = 22655,
  [SMALL_STATE(780)] = 22717,
  [SMALL_STATE(781)] = 22779,
  [SMALL_STATE(782)] = 22841,
  [SMALL_STATE(783)] = 22903,
  [SMALL_STATE(784)] = 22965,
  [SMALL_STATE(785)] = 23027,
  [SMALL_STATE(786)] = 23089,
  [SMALL_STATE(787)] = 23151,
  [SMALL_STATE(788)] = 23210,
  [SMALL_STATE(789)] = 23269,
  [SMALL_STATE(790)] = 23328,
  [SMALL_STATE(791)] = 23387,
  [SMALL_STATE(792)] = 23445,
  [SMALL_STATE(793)] = 23537,
  [SMALL_STATE(794)] = 23629,
  [SMALL_STATE(795)] = 23721,
  [SMALL_STATE(796)] = 23813,
  [SMALL_STATE(797)] = 23905,
  [SMALL_STATE(798)] = 23963,
  [SMALL_STATE(799)] = 24021,
  [SMALL_STATE(800)] = 24113,
  [SMALL_STATE(801)] = 24205,
  [SMALL_STATE(802)] = 24263,
  [SMALL_STATE(803)] = 24321,
  [SMALL_STATE(804)] = 24379,
  [SMALL_STATE(805)] = 24437,
  [SMALL_STATE(806)] = 24529,
  [SMALL_STATE(807)] = 24621,
  [SMALL_STATE(808)] = 24679,
  [SMALL_STATE(809)] = 24737,
  [SMALL_STATE(810)] = 24829,
  [SMALL_STATE(811)] = 24921,
  [SMALL_STATE(812)] = 25013,
  [SMALL_STATE(813)] = 25105,
  [SMALL_STATE(814)] = 25163,
  [SMALL_STATE(815)] = 25221,
  [SMALL_STATE(816)] = 25313,
  [SMALL_STATE(817)] = 25371,
  [SMALL_STATE(818)] = 25463,
  [SMALL_STATE(819)] = 25555,
  [SMALL_STATE(820)] = 25613,
  [SMALL_STATE(821)] = 25671,
  [SMALL_STATE(822)] = 25763,
  [SMALL_STATE(823)] = 25855,
  [SMALL_STATE(824)] = 25947,
  [SMALL_STATE(825)] = 26005,
  [SMALL_STATE(826)] = 26063,
  [SMALL_STATE(827)] = 26155,
  [SMALL_STATE(828)] = 26247,
  [SMALL_STATE(829)] = 26341,
  [SMALL_STATE(830)] = 26406,
  [SMALL_STATE(831)] = 26463,
  [SMALL_STATE(832)] = 26554,
  [SMALL_STATE(833)] = 26621,
  [SMALL_STATE(834)] = 26710,
  [SMALL_STATE(835)] = 26777,
  [SMALL_STATE(836)] = 26834,
  [SMALL_STATE(837)] = 26891,
  [SMALL_STATE(838)] = 26958,
  [SMALL_STATE(839)] = 27023,
  [SMALL_STATE(840)] = 27090,
  [SMALL_STATE(841)] = 27157,
  [SMALL_STATE(842)] = 27214,
  [SMALL_STATE(843)] = 27303,
  [SMALL_STATE(844)] = 27367,
  [SMALL_STATE(845)] = 27429,
  [SMALL_STATE(846)] = 27491,
  [SMALL_STATE(847)] = 27553,
  [SMALL_STATE(848)] = 27616,
  [SMALL_STATE(849)] = 27675,
  [SMALL_STATE(850)] = 27734,
  [SMALL_STATE(851)] = 27793,
  [SMALL_STATE(852)] = 27875,
  [SMALL_STATE(853)] = 27957,
  [SMALL_STATE(854)] = 28039,
  [SMALL_STATE(855)] = 28121,
  [SMALL_STATE(856)] = 28203,
  [SMALL_STATE(857)] = 28285,
  [SMALL_STATE(858)] = 28367,
  [SMALL_STATE(859)] = 28421,
  [SMALL_STATE(860)] = 28475,
  [SMALL_STATE(861)] = 28557,
  [SMALL_STATE(862)] = 28639,
  [SMALL_STATE(863)] = 28721,
  [SMALL_STATE(864)] = 28784,
  [SMALL_STATE(865)] = 28847,
  [SMALL_STATE(866)] = 28910,
  [SMALL_STATE(867)] = 28973,
  [SMALL_STATE(868)] = 29038,
  [SMALL_STATE(869)] = 29101,
  [SMALL_STATE(870)] = 29180,
  [SMALL_STATE(871)] = 29243,
  [SMALL_STATE(872)] = 29306,
  [SMALL_STATE(873)] = 29359,
  [SMALL_STATE(874)] = 29445,
  [SMALL_STATE(875)] = 29509,
  [SMALL_STATE(876)] = 29583,
  [SMALL_STATE(877)] = 29659,
  [SMALL_STATE(878)] = 29741,
  [SMALL_STATE(879)] = 29813,
  [SMALL_STATE(880)] = 29881,
  [SMALL_STATE(881)] = 29941,
  [SMALL_STATE(882)] = 30007,
  [SMALL_STATE(883)] = 30093,
  [SMALL_STATE(884)] = 30179,
  [SMALL_STATE(885)] = 30259,
  [SMALL_STATE(886)] = 30337,
  [SMALL_STATE(887)] = 30416,
  [SMALL_STATE(888)] = 30471,
  [SMALL_STATE(889)] = 30548,
  [SMALL_STATE(890)] = 30629,
  [SMALL_STATE(891)] = 30694,
  [SMALL_STATE(892)] = 30757,
  [SMALL_STATE(893)] = 30808,
  [SMALL_STATE(894)] = 30859,
  [SMALL_STATE(895)] = 30934,
  [SMALL_STATE(896)] = 31019,
  [SMALL_STATE(897)] = 31070,
  [SMALL_STATE(898)] = 31143,
  [SMALL_STATE(899)] = 31214,
  [SMALL_STATE(900)] = 31281,
  [SMALL_STATE(901)] = 31332,
  [SMALL_STATE(902)] = 31417,
  [SMALL_STATE(903)] = 31502,
  [SMALL_STATE(904)] = 31553,
  [SMALL_STATE(905)] = 31637,
  [SMALL_STATE(906)] = 31721,
  [SMALL_STATE(907)] = 31795,
  [SMALL_STATE(908)] = 31867,
  [SMALL_STATE(909)] = 31929,
  [SMALL_STATE(910)] = 31995,
  [SMALL_STATE(911)] = 32079,
  [SMALL_STATE(912)] = 32139,
  [SMALL_STATE(913)] = 32215,
  [SMALL_STATE(914)] = 32295,
  [SMALL_STATE(915)] = 32355,
  [SMALL_STATE(916)] = 32415,
  [SMALL_STATE(917)] = 32493,
  [SMALL_STATE(918)] = 32557,
  [SMALL_STATE(919)] = 32627,
  [SMALL_STATE(920)] = 32687,
  [SMALL_STATE(921)] = 32745,
  [SMALL_STATE(922)] = 32805,
  [SMALL_STATE(923)] = 32859,
  [SMALL_STATE(924)] = 32908,
  [SMALL_STATE(925)] = 32957,
  [SMALL_STATE(926)] = 33006,
  [SMALL_STATE(927)] = 33055,
  [SMALL_STATE(928)] = 33104,
  [SMALL_STATE(929)] = 33153,
  [SMALL_STATE(930)] = 33202,
  [SMALL_STATE(931)] = 33255,
  [SMALL_STATE(932)] = 33304,
  [SMALL_STATE(933)] = 33353,
  [SMALL_STATE(934)] = 33402,
  [SMALL_STATE(935)] = 33451,
  [SMALL_STATE(936)] = 33500,
  [SMALL_STATE(937)] = 33549,
  [SMALL_STATE(938)] = 33598,
  [SMALL_STATE(939)] = 33647,
  [SMALL_STATE(940)] = 33696,
  [SMALL_STATE(941)] = 33745,
  [SMALL_STATE(942)] = 33794,
  [SMALL_STATE(943)] = 33843,
  [SMALL_STATE(944)] = 33892,
  [SMALL_STATE(945)] = 33941,
  [SMALL_STATE(946)] = 33990,
  [SMALL_STATE(947)] = 34039,
  [SMALL_STATE(948)] = 34088,
  [SMALL_STATE(949)] = 34137,
  [SMALL_STATE(950)] = 34186,
  [SMALL_STATE(951)] = 34235,
  [SMALL_STATE(952)] = 34284,
  [SMALL_STATE(953)] = 34333,
  [SMALL_STATE(954)] = 34382,
  [SMALL_STATE(955)] = 34431,
  [SMALL_STATE(956)] = 34480,
  [SMALL_STATE(957)] = 34529,
  [SMALL_STATE(958)] = 34578,
  [SMALL_STATE(959)] = 34627,
  [SMALL_STATE(960)] = 34676,
  [SMALL_STATE(961)] = 34725,
  [SMALL_STATE(962)] = 34774,
  [SMALL_STATE(963)] = 34823,
  [SMALL_STATE(964)] = 34872,
  [SMALL_STATE(965)] = 34921,
  [SMALL_STATE(966)] = 34970,
  [SMALL_STATE(967)] = 35019,
  [SMALL_STATE(968)] = 35068,
  [SMALL_STATE(969)] = 35117,
  [SMALL_STATE(970)] = 35174,
  [SMALL_STATE(971)] = 35257,
  [SMALL_STATE(972)] = 35304,
  [SMALL_STATE(973)] = 35367,
  [SMALL_STATE(974)] = 35426,
  [SMALL_STATE(975)] = 35473,
  [SMALL_STATE(976)] = 35520,
  [SMALL_STATE(977)] = 35573,
  [SMALL_STATE(978)] = 35620,
  [SMALL_STATE(979)] = 35685,
  [SMALL_STATE(980)] = 35732,
  [SMALL_STATE(981)] = 35801,
  [SMALL_STATE(982)] = 35872,
  [SMALL_STATE(983)] = 35945,
  [SMALL_STATE(984)] = 36004,
  [SMALL_STATE(985)] = 36063,
  [SMALL_STATE(986)] = 36118,
  [SMALL_STATE(987)] = 36201,
  [SMALL_STATE(988)] = 36248,
  [SMALL_STATE(989)] = 36295,
  [SMALL_STATE(990)] = 36354,
  [SMALL_STATE(991)] = 36409,
  [SMALL_STATE(992)] = 36456,
  [SMALL_STATE(993)] = 36539,
  [SMALL_STATE(994)] = 36586,
  [SMALL_STATE(995)] = 36633,
  [SMALL_STATE(996)] = 36680,
  [SMALL_STATE(997)] = 36727,
  [SMALL_STATE(998)] = 36774,
  [SMALL_STATE(999)] = 36833,
  [SMALL_STATE(1000)] = 36888,
  [SMALL_STATE(1001)] = 36935,
  [SMALL_STATE(1002)] = 36982,
  [SMALL_STATE(1003)] = 37035,
  [SMALL_STATE(1004)] = 37096,
  [SMALL_STATE(1005)] = 37151,
  [SMALL_STATE(1006)] = 37198,
  [SMALL_STATE(1007)] = 37253,
  [SMALL_STATE(1008)] = 37332,
  [SMALL_STATE(1009)] = 37379,
  [SMALL_STATE(1010)] = 37458,
  [SMALL_STATE(1011)] = 37505,
  [SMALL_STATE(1012)] = 37552,
  [SMALL_STATE(1013)] = 37627,
  [SMALL_STATE(1014)] = 37674,
  [SMALL_STATE(1015)] = 37751,
  [SMALL_STATE(1016)] = 37797,
  [SMALL_STATE(1017)] = 37843,
  [SMALL_STATE(1018)] = 37889,
  [SMALL_STATE(1019)] = 37935,
  [SMALL_STATE(1020)] = 37985,
  [SMALL_STATE(1021)] = 38031,
  [SMALL_STATE(1022)] = 38076,
  [SMALL_STATE(1023)] = 38121,
  [SMALL_STATE(1024)] = 38166,
  [SMALL_STATE(1025)] = 38211,
  [SMALL_STATE(1026)] = 38256,
  [SMALL_STATE(1027)] = 38305,
  [SMALL_STATE(1028)] = 38350,
  [SMALL_STATE(1029)] = 38395,
  [SMALL_STATE(1030)] = 38440,
  [SMALL_STATE(1031)] = 38485,
  [SMALL_STATE(1032)] = 38530,
  [SMALL_STATE(1033)] = 38575,
  [SMALL_STATE(1034)] = 38624,
  [SMALL_STATE(1035)] = 38673,
  [SMALL_STATE(1036)] = 38722,
  [SMALL_STATE(1037)] = 38767,
  [SMALL_STATE(1038)] = 38812,
  [SMALL_STATE(1039)] = 38857,
  [SMALL_STATE(1040)] = 38902,
  [SMALL_STATE(1041)] = 38947,
  [SMALL_STATE(1042)] = 38992,
  [SMALL_STATE(1043)] = 39037,
  [SMALL_STATE(1044)] = 39086,
  [SMALL_STATE(1045)] = 39131,
  [SMALL_STATE(1046)] = 39176,
  [SMALL_STATE(1047)] = 39221,
  [SMALL_STATE(1048)] = 39266,
  [SMALL_STATE(1049)] = 39323,
  [SMALL_STATE(1050)] = 39368,
  [SMALL_STATE(1051)] = 39417,
  [SMALL_STATE(1052)] = 39462,
  [SMALL_STATE(1053)] = 39511,
  [SMALL_STATE(1054)] = 39560,
  [SMALL_STATE(1055)] = 39609,
  [SMALL_STATE(1056)] = 39654,
  [SMALL_STATE(1057)] = 39703,
  [SMALL_STATE(1058)] = 39748,
  [SMALL_STATE(1059)] = 39793,
  [SMALL_STATE(1060)] = 39838,
  [SMALL_STATE(1061)] = 39883,
  [SMALL_STATE(1062)] = 39928,
  [SMALL_STATE(1063)] = 39977,
  [SMALL_STATE(1064)] = 40026,
  [SMALL_STATE(1065)] = 40075,
  [SMALL_STATE(1066)] = 40124,
  [SMALL_STATE(1067)] = 40169,
  [SMALL_STATE(1068)] = 40214,
  [SMALL_STATE(1069)] = 40259,
  [SMALL_STATE(1070)] = 40308,
  [SMALL_STATE(1071)] = 40353,
  [SMALL_STATE(1072)] = 40402,
  [SMALL_STATE(1073)] = 40459,
  [SMALL_STATE(1074)] = 40504,
  [SMALL_STATE(1075)] = 40561,
  [SMALL_STATE(1076)] = 40606,
  [SMALL_STATE(1077)] = 40663,
  [SMALL_STATE(1078)] = 40707,
  [SMALL_STATE(1079)] = 40751,
  [SMALL_STATE(1080)] = 40795,
  [SMALL_STATE(1081)] = 40839,
  [SMALL_STATE(1082)] = 40889,
  [SMALL_STATE(1083)] = 40933,
  [SMALL_STATE(1084)] = 40977,
  [SMALL_STATE(1085)] = 41021,
  [SMALL_STATE(1086)] = 41069,
  [SMALL_STATE(1087)] = 41113,
  [SMALL_STATE(1088)] = 41157,
  [SMALL_STATE(1089)] = 41201,
  [SMALL_STATE(1090)] = 41245,
  [SMALL_STATE(1091)] = 41289,
  [SMALL_STATE(1092)] = 41333,
  [SMALL_STATE(1093)] = 41381,
  [SMALL_STATE(1094)] = 41425,
  [SMALL_STATE(1095)] = 41469,
  [SMALL_STATE(1096)] = 41517,
  [SMALL_STATE(1097)] = 41561,
  [SMALL_STATE(1098)] = 41605,
  [SMALL_STATE(1099)] = 41649,
  [SMALL_STATE(1100)] = 41693,
  [SMALL_STATE(1101)] = 41737,
  [SMALL_STATE(1102)] = 41785,
  [SMALL_STATE(1103)] = 41833,
  [SMALL_STATE(1104)] = 41883,
  [SMALL_STATE(1105)] = 41927,
  [SMALL_STATE(1106)] = 41975,
  [SMALL_STATE(1107)] = 42019,
  [SMALL_STATE(1108)] = 42063,
  [SMALL_STATE(1109)] = 42107,
  [SMALL_STATE(1110)] = 42159,
  [SMALL_STATE(1111)] = 42203,
  [SMALL_STATE(1112)] = 42251,
  [SMALL_STATE(1113)] = 42295,
  [SMALL_STATE(1114)] = 42339,
  [SMALL_STATE(1115)] = 42383,
  [SMALL_STATE(1116)] = 42452,
  [SMALL_STATE(1117)] = 42521,
  [SMALL_STATE(1118)] = 42590,
  [SMALL_STATE(1119)] = 42659,
  [SMALL_STATE(1120)] = 42714,
  [SMALL_STATE(1121)] = 42770,
  [SMALL_STATE(1122)] = 42822,
  [SMALL_STATE(1123)] = 42874,
  [SMALL_STATE(1124)] = 42930,
  [SMALL_STATE(1125)] = 42980,
  [SMALL_STATE(1126)] = 43036,
  [SMALL_STATE(1127)] = 43092,
  [SMALL_STATE(1128)] = 43148,
  [SMALL_STATE(1129)] = 43205,
  [SMALL_STATE(1130)] = 43282,
  [SMALL_STATE(1131)] = 43353,
  [SMALL_STATE(1132)] = 43416,
  [SMALL_STATE(1133)] = 43493,
  [SMALL_STATE(1134)] = 43566,
  [SMALL_STATE(1135)] = 43621,
  [SMALL_STATE(1136)] = 43686,
  [SMALL_STATE(1137)] = 43753,
  [SMALL_STATE(1138)] = 43822,
  [SMALL_STATE(1139)] = 43881,
  [SMALL_STATE(1140)] = 43958,
  [SMALL_STATE(1141)] = 44035,
  [SMALL_STATE(1142)] = 44084,
  [SMALL_STATE(1143)] = 44126,
  [SMALL_STATE(1144)] = 44166,
  [SMALL_STATE(1145)] = 44206,
  [SMALL_STATE(1146)] = 44246,
  [SMALL_STATE(1147)] = 44304,
  [SMALL_STATE(1148)] = 44378,
  [SMALL_STATE(1149)] = 44440,
  [SMALL_STATE(1150)] = 44514,
  [SMALL_STATE(1151)] = 44578,
  [SMALL_STATE(1152)] = 44652,
  [SMALL_STATE(1153)] = 44694,
  [SMALL_STATE(1154)] = 44734,
  [SMALL_STATE(1155)] = 44800,
  [SMALL_STATE(1156)] = 44856,
  [SMALL_STATE(1157)] = 44924,
  [SMALL_STATE(1158)] = 44992,
  [SMALL_STATE(1159)] = 45062,
  [SMALL_STATE(1160)] = 45116,
  [SMALL_STATE(1161)] = 45158,
  [SMALL_STATE(1162)] = 45200,
  [SMALL_STATE(1163)] = 45242,
  [SMALL_STATE(1164)] = 45305,
  [SMALL_STATE(1165)] = 45366,
  [SMALL_STATE(1166)] = 45439,
  [SMALL_STATE(1167)] = 45482,
  [SMALL_STATE(1168)] = 45521,
  [SMALL_STATE(1169)] = 45594,
  [SMALL_STATE(1170)] = 45657,
  [SMALL_STATE(1171)] = 45712,
  [SMALL_STATE(1172)] = 45769,
  [SMALL_STATE(1173)] = 45842,
  [SMALL_STATE(1174)] = 45907,
  [SMALL_STATE(1175)] = 45974,
  [SMALL_STATE(1176)] = 46017,
  [SMALL_STATE(1177)] = 46084,
  [SMALL_STATE(1178)] = 46153,
  [SMALL_STATE(1179)] = 46206,
  [SMALL_STATE(1180)] = 46279,
  [SMALL_STATE(1181)] = 46322,
  [SMALL_STATE(1182)] = 46382,
  [SMALL_STATE(1183)] = 46442,
  [SMALL_STATE(1184)] = 46502,
  [SMALL_STATE(1185)] = 46562,
  [SMALL_STATE(1186)] = 46622,
  [SMALL_STATE(1187)] = 46682,
  [SMALL_STATE(1188)] = 46742,
  [SMALL_STATE(1189)] = 46802,
  [SMALL_STATE(1190)] = 46877,
  [SMALL_STATE(1191)] = 46952,
  [SMALL_STATE(1192)] = 47027,
  [SMALL_STATE(1193)] = 47102,
  [SMALL_STATE(1194)] = 47173,
  [SMALL_STATE(1195)] = 47248,
  [SMALL_STATE(1196)] = 47323,
  [SMALL_STATE(1197)] = 47398,
  [SMALL_STATE(1198)] = 47473,
  [SMALL_STATE(1199)] = 47546,
  [SMALL_STATE(1200)] = 47618,
  [SMALL_STATE(1201)] = 47688,
  [SMALL_STATE(1202)] = 47760,
  [SMALL_STATE(1203)] = 47834,
  [SMALL_STATE(1204)] = 47906,
  [SMALL_STATE(1205)] = 47962,
  [SMALL_STATE(1206)] = 48034,
  [SMALL_STATE(1207)] = 48090,
  [SMALL_STATE(1208)] = 48146,
  [SMALL_STATE(1209)] = 48202,
  [SMALL_STATE(1210)] = 48274,
  [SMALL_STATE(1211)] = 48330,
  [SMALL_STATE(1212)] = 48386,
  [SMALL_STATE(1213)] = 48458,
  [SMALL_STATE(1214)] = 48528,
  [SMALL_STATE(1215)] = 48600,
  [SMALL_STATE(1216)] = 48672,
  [SMALL_STATE(1217)] = 48744,
  [SMALL_STATE(1218)] = 48800,
  [SMALL_STATE(1219)] = 48856,
  [SMALL_STATE(1220)] = 48928,
  [SMALL_STATE(1221)] = 48984,
  [SMALL_STATE(1222)] = 49038,
  [SMALL_STATE(1223)] = 49094,
  [SMALL_STATE(1224)] = 49164,
  [SMALL_STATE(1225)] = 49236,
  [SMALL_STATE(1226)] = 49292,
  [SMALL_STATE(1227)] = 49352,
  [SMALL_STATE(1228)] = 49424,
  [SMALL_STATE(1229)] = 49480,
  [SMALL_STATE(1230)] = 49536,
  [SMALL_STATE(1231)] = 49606,
  [SMALL_STATE(1232)] = 49678,
  [SMALL_STATE(1233)] = 49740,
  [SMALL_STATE(1234)] = 49812,
  [SMALL_STATE(1235)] = 49884,
  [SMALL_STATE(1236)] = 49956,
  [SMALL_STATE(1237)] = 50028,
  [SMALL_STATE(1238)] = 50100,
  [SMALL_STATE(1239)] = 50156,
  [SMALL_STATE(1240)] = 50228,
  [SMALL_STATE(1241)] = 50292,
  [SMALL_STATE(1242)] = 50348,
  [SMALL_STATE(1243)] = 50414,
  [SMALL_STATE(1244)] = 50486,
  [SMALL_STATE(1245)] = 50558,
  [SMALL_STATE(1246)] = 50630,
  [SMALL_STATE(1247)] = 50696,
  [SMALL_STATE(1248)] = 50768,
  [SMALL_STATE(1249)] = 50824,
  [SMALL_STATE(1250)] = 50892,
  [SMALL_STATE(1251)] = 50964,
  [SMALL_STATE(1252)] = 51016,
  [SMALL_STATE(1253)] = 51086,
  [SMALL_STATE(1254)] = 51158,
  [SMALL_STATE(1255)] = 51214,
  [SMALL_STATE(1256)] = 51286,
  [SMALL_STATE(1257)] = 51342,
  [SMALL_STATE(1258)] = 51412,
  [SMALL_STATE(1259)] = 51468,
  [SMALL_STATE(1260)] = 51538,
  [SMALL_STATE(1261)] = 51608,
  [SMALL_STATE(1262)] = 51677,
  [SMALL_STATE(1263)] = 51746,
  [SMALL_STATE(1264)] = 51815,
  [SMALL_STATE(1265)] = 51868,
  [SMALL_STATE(1266)] = 51937,
  [SMALL_STATE(1267)] = 52006,
  [SMALL_STATE(1268)] = 52075,
  [SMALL_STATE(1269)] = 52144,
  [SMALL_STATE(1270)] = 52183,
  [SMALL_STATE(1271)] = 52252,
  [SMALL_STATE(1272)] = 52321,
  [SMALL_STATE(1273)] = 52390,
  [SMALL_STATE(1274)] = 52459,
  [SMALL_STATE(1275)] = 52528,
  [SMALL_STATE(1276)] = 52581,
  [SMALL_STATE(1277)] = 52634,
  [SMALL_STATE(1278)] = 52703,
  [SMALL_STATE(1279)] = 52772,
  [SMALL_STATE(1280)] = 52841,
  [SMALL_STATE(1281)] = 52910,
  [SMALL_STATE(1282)] = 52963,
  [SMALL_STATE(1283)] = 53016,
  [SMALL_STATE(1284)] = 53085,
  [SMALL_STATE(1285)] = 53154,
  [SMALL_STATE(1286)] = 53223,
  [SMALL_STATE(1287)] = 53292,
  [SMALL_STATE(1288)] = 53361,
  [SMALL_STATE(1289)] = 53430,
  [SMALL_STATE(1290)] = 53483,
  [SMALL_STATE(1291)] = 53552,
  [SMALL_STATE(1292)] = 53621,
  [SMALL_STATE(1293)] = 53690,
  [SMALL_STATE(1294)] = 53759,
  [SMALL_STATE(1295)] = 53828,
  [SMALL_STATE(1296)] = 53897,
  [SMALL_STATE(1297)] = 53966,
  [SMALL_STATE(1298)] = 54035,
  [SMALL_STATE(1299)] = 54104,
  [SMALL_STATE(1300)] = 54148,
  [SMALL_STATE(1301)] = 54214,
  [SMALL_STATE(1302)] = 54256,
  [SMALL_STATE(1303)] = 54298,
  [SMALL_STATE(1304)] = 54334,
  [SMALL_STATE(1305)] = 54370,
  [SMALL_STATE(1306)] = 54406,
  [SMALL_STATE(1307)] = 54442,
  [SMALL_STATE(1308)] = 54489,
  [SMALL_STATE(1309)] = 54520,
  [SMALL_STATE(1310)] = 54551,
  [SMALL_STATE(1311)] = 54598,
  [SMALL_STATE(1312)] = 54645,
  [SMALL_STATE(1313)] = 54692,
  [SMALL_STATE(1314)] = 54739,
  [SMALL_STATE(1315)] = 54786,
  [SMALL_STATE(1316)] = 54830,
  [SMALL_STATE(1317)] = 54874,
  [SMALL_STATE(1318)] = 54918,
  [SMALL_STATE(1319)] = 54952,
  [SMALL_STATE(1320)] = 54996,
  [SMALL_STATE(1321)] = 55034,
  [SMALL_STATE(1322)] = 55070,
  [SMALL_STATE(1323)] = 55114,
  [SMALL_STATE(1324)] = 55158,
  [SMALL_STATE(1325)] = 55213,
  [SMALL_STATE(1326)] = 55256,
  [SMALL_STATE(1327)] = 55299,
  [SMALL_STATE(1328)] = 55332,
  [SMALL_STATE(1329)] = 55387,
  [SMALL_STATE(1330)] = 55442,
  [SMALL_STATE(1331)] = 55485,
  [SMALL_STATE(1332)] = 55525,
  [SMALL_STATE(1333)] = 55565,
  [SMALL_STATE(1334)] = 55605,
  [SMALL_STATE(1335)] = 55653,
  [SMALL_STATE(1336)] = 55699,
  [SMALL_STATE(1337)] = 55745,
  [SMALL_STATE(1338)] = 55789,
  [SMALL_STATE(1339)] = 55831,
  [SMALL_STATE(1340)] = 55859,
  [SMALL_STATE(1341)] = 55899,
  [SMALL_STATE(1342)] = 55935,
  [SMALL_STATE(1343)] = 55969,
  [SMALL_STATE(1344)] = 55997,
  [SMALL_STATE(1345)] = 56037,
  [SMALL_STATE(1346)] = 56077,
  [SMALL_STATE(1347)] = 56117,
  [SMALL_STATE(1348)] = 56157,
  [SMALL_STATE(1349)] = 56197,
  [SMALL_STATE(1350)] = 56237,
  [SMALL_STATE(1351)] = 56265,
  [SMALL_STATE(1352)] = 56305,
  [SMALL_STATE(1353)] = 56345,
  [SMALL_STATE(1354)] = 56385,
  [SMALL_STATE(1355)] = 56425,
  [SMALL_STATE(1356)] = 56475,
  [SMALL_STATE(1357)] = 56515,
  [SMALL_STATE(1358)] = 56547,
  [SMALL_STATE(1359)] = 56575,
  [SMALL_STATE(1360)] = 56603,
  [SMALL_STATE(1361)] = 56643,
  [SMALL_STATE(1362)] = 56683,
  [SMALL_STATE(1363)] = 56723,
  [SMALL_STATE(1364)] = 56763,
  [SMALL_STATE(1365)] = 56803,
  [SMALL_STATE(1366)] = 56831,
  [SMALL_STATE(1367)] = 56871,
  [SMALL_STATE(1368)] = 56911,
  [SMALL_STATE(1369)] = 56951,
  [SMALL_STATE(1370)] = 56991,
  [SMALL_STATE(1371)] = 57031,
  [SMALL_STATE(1372)] = 57071,
  [SMALL_STATE(1373)] = 57111,
  [SMALL_STATE(1374)] = 57151,
  [SMALL_STATE(1375)] = 57191,
  [SMALL_STATE(1376)] = 57231,
  [SMALL_STATE(1377)] = 57263,
  [SMALL_STATE(1378)] = 57295,
  [SMALL_STATE(1379)] = 57327,
  [SMALL_STATE(1380)] = 57367,
  [SMALL_STATE(1381)] = 57395,
  [SMALL_STATE(1382)] = 57435,
  [SMALL_STATE(1383)] = 57475,
  [SMALL_STATE(1384)] = 57507,
  [SMALL_STATE(1385)] = 57547,
  [SMALL_STATE(1386)] = 57587,
  [SMALL_STATE(1387)] = 57627,
  [SMALL_STATE(1388)] = 57667,
  [SMALL_STATE(1389)] = 57707,
  [SMALL_STATE(1390)] = 57747,
  [SMALL_STATE(1391)] = 57775,
  [SMALL_STATE(1392)] = 57803,
  [SMALL_STATE(1393)] = 57843,
  [SMALL_STATE(1394)] = 57891,
  [SMALL_STATE(1395)] = 57931,
  [SMALL_STATE(1396)] = 57971,
  [SMALL_STATE(1397)] = 57999,
  [SMALL_STATE(1398)] = 58044,
  [SMALL_STATE(1399)] = 58083,
  [SMALL_STATE(1400)] = 58114,
  [SMALL_STATE(1401)] = 58145,
  [SMALL_STATE(1402)] = 58176,
  [SMALL_STATE(1403)] = 58207,
  [SMALL_STATE(1404)] = 58234,
  [SMALL_STATE(1405)] = 58279,
  [SMALL_STATE(1406)] = 58310,
  [SMALL_STATE(1407)] = 58343,
  [SMALL_STATE(1408)] = 58378,
  [SMALL_STATE(1409)] = 58415,
  [SMALL_STATE(1410)] = 58460,
  [SMALL_STATE(1411)] = 58501,
  [SMALL_STATE(1412)] = 58544,
  [SMALL_STATE(1413)] = 58589,
  [SMALL_STATE(1414)] = 58616,
  [SMALL_STATE(1415)] = 58645,
  [SMALL_STATE(1416)] = 58694,
  [SMALL_STATE(1417)] = 58721,
  [SMALL_STATE(1418)] = 58766,
  [SMALL_STATE(1419)] = 58811,
  [SMALL_STATE(1420)] = 58842,
  [SMALL_STATE(1421)] = 58869,
  [SMALL_STATE(1422)] = 58914,
  [SMALL_STATE(1423)] = 58959,
  [SMALL_STATE(1424)] = 59004,
  [SMALL_STATE(1425)] = 59049,
  [SMALL_STATE(1426)] = 59076,
  [SMALL_STATE(1427)] = 59121,
  [SMALL_STATE(1428)] = 59148,
  [SMALL_STATE(1429)] = 59181,
  [SMALL_STATE(1430)] = 59230,
  [SMALL_STATE(1431)] = 59257,
  [SMALL_STATE(1432)] = 59302,
  [SMALL_STATE(1433)] = 59329,
  [SMALL_STATE(1434)] = 59360,
  [SMALL_STATE(1435)] = 59391,
  [SMALL_STATE(1436)] = 59436,
  [SMALL_STATE(1437)] = 59481,
  [SMALL_STATE(1438)] = 59526,
  [SMALL_STATE(1439)] = 59553,
  [SMALL_STATE(1440)] = 59598,
  [SMALL_STATE(1441)] = 59643,
  [SMALL_STATE(1442)] = 59670,
  [SMALL_STATE(1443)] = 59701,
  [SMALL_STATE(1444)] = 59736,
  [SMALL_STATE(1445)] = 59777,
  [SMALL_STATE(1446)] = 59818,
  [SMALL_STATE(1447)] = 59859,
  [SMALL_STATE(1448)] = 59894,
  [SMALL_STATE(1449)] = 59935,
  [SMALL_STATE(1450)] = 59976,
  [SMALL_STATE(1451)] = 60017,
  [SMALL_STATE(1452)] = 60058,
  [SMALL_STATE(1453)] = 60099,
  [SMALL_STATE(1454)] = 60140,
  [SMALL_STATE(1455)] = 60181,
  [SMALL_STATE(1456)] = 60229,
  [SMALL_STATE(1457)] = 60277,
  [SMALL_STATE(1458)] = 60315,
  [SMALL_STATE(1459)] = 60363,
  [SMALL_STATE(1460)] = 60411,
  [SMALL_STATE(1461)] = 60449,
  [SMALL_STATE(1462)] = 60497,
  [SMALL_STATE(1463)] = 60538,
  [SMALL_STATE(1464)] = 60579,
  [SMALL_STATE(1465)] = 60624,
  [SMALL_STATE(1466)] = 60669,
  [SMALL_STATE(1467)] = 60714,
  [SMALL_STATE(1468)] = 60759,
  [SMALL_STATE(1469)] = 60800,
  [SMALL_STATE(1470)] = 60845,
  [SMALL_STATE(1471)] = 60886,
  [SMALL_STATE(1472)] = 60924,
  [SMALL_STATE(1473)] = 60964,
  [SMALL_STATE(1474)] = 60994,
  [SMALL_STATE(1475)] = 61032,
  [SMALL_STATE(1476)] = 61070,
  [SMALL_STATE(1477)] = 61108,
  [SMALL_STATE(1478)] = 61134,
  [SMALL_STATE(1479)] = 61172,
  [SMALL_STATE(1480)] = 61197,
  [SMALL_STATE(1481)] = 61232,
  [SMALL_STATE(1482)] = 61267,
  [SMALL_STATE(1483)] = 61296,
  [SMALL_STATE(1484)] = 61331,
  [SMALL_STATE(1485)] = 61366,
  [SMALL_STATE(1486)] = 61401,
  [SMALL_STATE(1487)] = 61426,
  [SMALL_STATE(1488)] = 61461,
  [SMALL_STATE(1489)] = 61496,
  [SMALL_STATE(1490)] = 61531,
  [SMALL_STATE(1491)] = 61570,
  [SMALL_STATE(1492)] = 61595,
  [SMALL_STATE(1493)] = 61624,
  [SMALL_STATE(1494)] = 61649,
  [SMALL_STATE(1495)] = 61684,
  [SMALL_STATE(1496)] = 61713,
  [SMALL_STATE(1497)] = 61748,
  [SMALL_STATE(1498)] = 61777,
  [SMALL_STATE(1499)] = 61812,
  [SMALL_STATE(1500)] = 61847,
  [SMALL_STATE(1501)] = 61881,
  [SMALL_STATE(1502)] = 61901,
  [SMALL_STATE(1503)] = 61937,
  [SMALL_STATE(1504)] = 61961,
  [SMALL_STATE(1505)] = 61993,
  [SMALL_STATE(1506)] = 62025,
  [SMALL_STATE(1507)] = 62045,
  [SMALL_STATE(1508)] = 62077,
  [SMALL_STATE(1509)] = 62109,
  [SMALL_STATE(1510)] = 62141,
  [SMALL_STATE(1511)] = 62161,
  [SMALL_STATE(1512)] = 62193,
  [SMALL_STATE(1513)] = 62224,
  [SMALL_STATE(1514)] = 62257,
  [SMALL_STATE(1515)] = 62286,
  [SMALL_STATE(1516)] = 62315,
  [SMALL_STATE(1517)] = 62342,
  [SMALL_STATE(1518)] = 62371,
  [SMALL_STATE(1519)] = 62400,
  [SMALL_STATE(1520)] = 62427,
  [SMALL_STATE(1521)] = 62458,
  [SMALL_STATE(1522)] = 62487,
  [SMALL_STATE(1523)] = 62516,
  [SMALL_STATE(1524)] = 62543,
  [SMALL_STATE(1525)] = 62572,
  [SMALL_STATE(1526)] = 62601,
  [SMALL_STATE(1527)] = 62630,
  [SMALL_STATE(1528)] = 62659,
  [SMALL_STATE(1529)] = 62686,
  [SMALL_STATE(1530)] = 62719,
  [SMALL_STATE(1531)] = 62750,
  [SMALL_STATE(1532)] = 62779,
  [SMALL_STATE(1533)] = 62805,
  [SMALL_STATE(1534)] = 62823,
  [SMALL_STATE(1535)] = 62849,
  [SMALL_STATE(1536)] = 62879,
  [SMALL_STATE(1537)] = 62897,
  [SMALL_STATE(1538)] = 62915,
  [SMALL_STATE(1539)] = 62933,
  [SMALL_STATE(1540)] = 62957,
  [SMALL_STATE(1541)] = 62983,
  [SMALL_STATE(1542)] = 63009,
  [SMALL_STATE(1543)] = 63027,
  [SMALL_STATE(1544)] = 63049,
  [SMALL_STATE(1545)] = 63067,
  [SMALL_STATE(1546)] = 63091,
  [SMALL_STATE(1547)] = 63114,
  [SMALL_STATE(1548)] = 63135,
  [SMALL_STATE(1549)] = 63158,
  [SMALL_STATE(1550)] = 63181,
  [SMALL_STATE(1551)] = 63210,
  [SMALL_STATE(1552)] = 63239,
  [SMALL_STATE(1553)] = 63260,
  [SMALL_STATE(1554)] = 63281,
  [SMALL_STATE(1555)] = 63310,
  [SMALL_STATE(1556)] = 63331,
  [SMALL_STATE(1557)] = 63352,
  [SMALL_STATE(1558)] = 63381,
  [SMALL_STATE(1559)] = 63402,
  [SMALL_STATE(1560)] = 63431,
  [SMALL_STATE(1561)] = 63454,
  [SMALL_STATE(1562)] = 63479,
  [SMALL_STATE(1563)] = 63504,
  [SMALL_STATE(1564)] = 63524,
  [SMALL_STATE(1565)] = 63544,
  [SMALL_STATE(1566)] = 63564,
  [SMALL_STATE(1567)] = 63582,
  [SMALL_STATE(1568)] = 63608,
  [SMALL_STATE(1569)] = 63628,
  [SMALL_STATE(1570)] = 63644,
  [SMALL_STATE(1571)] = 63660,
  [SMALL_STATE(1572)] = 63686,
  [SMALL_STATE(1573)] = 63702,
  [SMALL_STATE(1574)] = 63724,
  [SMALL_STATE(1575)] = 63750,
  [SMALL_STATE(1576)] = 63766,
  [SMALL_STATE(1577)] = 63786,
  [SMALL_STATE(1578)] = 63802,
  [SMALL_STATE(1579)] = 63818,
  [SMALL_STATE(1580)] = 63838,
  [SMALL_STATE(1581)] = 63864,
  [SMALL_STATE(1582)] = 63882,
  [SMALL_STATE(1583)] = 63908,
  [SMALL_STATE(1584)] = 63934,
  [SMALL_STATE(1585)] = 63960,
  [SMALL_STATE(1586)] = 63976,
  [SMALL_STATE(1587)] = 63996,
  [SMALL_STATE(1588)] = 64020,
  [SMALL_STATE(1589)] = 64044,
  [SMALL_STATE(1590)] = 64068,
  [SMALL_STATE(1591)] = 64094,
  [SMALL_STATE(1592)] = 64118,
  [SMALL_STATE(1593)] = 64144,
  [SMALL_STATE(1594)] = 64160,
  [SMALL_STATE(1595)] = 64175,
  [SMALL_STATE(1596)] = 64198,
  [SMALL_STATE(1597)] = 64213,
  [SMALL_STATE(1598)] = 64238,
  [SMALL_STATE(1599)] = 64261,
  [SMALL_STATE(1600)] = 64276,
  [SMALL_STATE(1601)] = 64291,
  [SMALL_STATE(1602)] = 64306,
  [SMALL_STATE(1603)] = 64325,
  [SMALL_STATE(1604)] = 64344,
  [SMALL_STATE(1605)] = 64359,
  [SMALL_STATE(1606)] = 64374,
  [SMALL_STATE(1607)] = 64389,
  [SMALL_STATE(1608)] = 64404,
  [SMALL_STATE(1609)] = 64427,
  [SMALL_STATE(1610)] = 64444,
  [SMALL_STATE(1611)] = 64462,
  [SMALL_STATE(1612)] = 64476,
  [SMALL_STATE(1613)] = 64494,
  [SMALL_STATE(1614)] = 64510,
  [SMALL_STATE(1615)] = 64528,
  [SMALL_STATE(1616)] = 64542,
  [SMALL_STATE(1617)] = 64558,
  [SMALL_STATE(1618)] = 64574,
  [SMALL_STATE(1619)] = 64592,
  [SMALL_STATE(1620)] = 64610,
  [SMALL_STATE(1621)] = 64628,
  [SMALL_STATE(1622)] = 64646,
  [SMALL_STATE(1623)] = 64662,
  [SMALL_STATE(1624)] = 64676,
  [SMALL_STATE(1625)] = 64690,
  [SMALL_STATE(1626)] = 64704,
  [SMALL_STATE(1627)] = 64720,
  [SMALL_STATE(1628)] = 64736,
  [SMALL_STATE(1629)] = 64750,
  [SMALL_STATE(1630)] = 64769,
  [SMALL_STATE(1631)] = 64788,
  [SMALL_STATE(1632)] = 64799,
  [SMALL_STATE(1633)] = 64812,
  [SMALL_STATE(1634)] = 64825,
  [SMALL_STATE(1635)] = 64838,
  [SMALL_STATE(1636)] = 64849,
  [SMALL_STATE(1637)] = 64866,
  [SMALL_STATE(1638)] = 64877,
  [SMALL_STATE(1639)] = 64888,
  [SMALL_STATE(1640)] = 64901,
  [SMALL_STATE(1641)] = 64912,
  [SMALL_STATE(1642)] = 64925,
  [SMALL_STATE(1643)] = 64938,
  [SMALL_STATE(1644)] = 64949,
  [SMALL_STATE(1645)] = 64962,
  [SMALL_STATE(1646)] = 64973,
  [SMALL_STATE(1647)] = 64984,
  [SMALL_STATE(1648)] = 64997,
  [SMALL_STATE(1649)] = 65016,
  [SMALL_STATE(1650)] = 65027,
  [SMALL_STATE(1651)] = 65044,
  [SMALL_STATE(1652)] = 65057,
  [SMALL_STATE(1653)] = 65068,
  [SMALL_STATE(1654)] = 65081,
  [SMALL_STATE(1655)] = 65094,
  [SMALL_STATE(1656)] = 65105,
  [SMALL_STATE(1657)] = 65118,
  [SMALL_STATE(1658)] = 65131,
  [SMALL_STATE(1659)] = 65142,
  [SMALL_STATE(1660)] = 65152,
  [SMALL_STATE(1661)] = 65168,
  [SMALL_STATE(1662)] = 65182,
  [SMALL_STATE(1663)] = 65196,
  [SMALL_STATE(1664)] = 65210,
  [SMALL_STATE(1665)] = 65226,
  [SMALL_STATE(1666)] = 65242,
  [SMALL_STATE(1667)] = 65258,
  [SMALL_STATE(1668)] = 65274,
  [SMALL_STATE(1669)] = 65288,
  [SMALL_STATE(1670)] = 65304,
  [SMALL_STATE(1671)] = 65318,
  [SMALL_STATE(1672)] = 65332,
  [SMALL_STATE(1673)] = 65348,
  [SMALL_STATE(1674)] = 65362,
  [SMALL_STATE(1675)] = 65376,
  [SMALL_STATE(1676)] = 65390,
  [SMALL_STATE(1677)] = 65404,
  [SMALL_STATE(1678)] = 65420,
  [SMALL_STATE(1679)] = 65434,
  [SMALL_STATE(1680)] = 65448,
  [SMALL_STATE(1681)] = 65464,
  [SMALL_STATE(1682)] = 65478,
  [SMALL_STATE(1683)] = 65494,
  [SMALL_STATE(1684)] = 65508,
  [SMALL_STATE(1685)] = 65524,
  [SMALL_STATE(1686)] = 65538,
  [SMALL_STATE(1687)] = 65552,
  [SMALL_STATE(1688)] = 65566,
  [SMALL_STATE(1689)] = 65580,
  [SMALL_STATE(1690)] = 65596,
  [SMALL_STATE(1691)] = 65610,
  [SMALL_STATE(1692)] = 65624,
  [SMALL_STATE(1693)] = 65638,
  [SMALL_STATE(1694)] = 65654,
  [SMALL_STATE(1695)] = 65668,
  [SMALL_STATE(1696)] = 65682,
  [SMALL_STATE(1697)] = 65696,
  [SMALL_STATE(1698)] = 65710,
  [SMALL_STATE(1699)] = 65726,
  [SMALL_STATE(1700)] = 65740,
  [SMALL_STATE(1701)] = 65754,
  [SMALL_STATE(1702)] = 65768,
  [SMALL_STATE(1703)] = 65782,
  [SMALL_STATE(1704)] = 65796,
  [SMALL_STATE(1705)] = 65810,
  [SMALL_STATE(1706)] = 65826,
  [SMALL_STATE(1707)] = 65840,
  [SMALL_STATE(1708)] = 65854,
  [SMALL_STATE(1709)] = 65868,
  [SMALL_STATE(1710)] = 65884,
  [SMALL_STATE(1711)] = 65898,
  [SMALL_STATE(1712)] = 65912,
  [SMALL_STATE(1713)] = 65928,
  [SMALL_STATE(1714)] = 65942,
  [SMALL_STATE(1715)] = 65956,
  [SMALL_STATE(1716)] = 65970,
  [SMALL_STATE(1717)] = 65984,
  [SMALL_STATE(1718)] = 66000,
  [SMALL_STATE(1719)] = 66014,
  [SMALL_STATE(1720)] = 66028,
  [SMALL_STATE(1721)] = 66042,
  [SMALL_STATE(1722)] = 66056,
  [SMALL_STATE(1723)] = 66072,
  [SMALL_STATE(1724)] = 66082,
  [SMALL_STATE(1725)] = 66096,
  [SMALL_STATE(1726)] = 66110,
  [SMALL_STATE(1727)] = 66124,
  [SMALL_STATE(1728)] = 66138,
  [SMALL_STATE(1729)] = 66152,
  [SMALL_STATE(1730)] = 66168,
  [SMALL_STATE(1731)] = 66184,
  [SMALL_STATE(1732)] = 66200,
  [SMALL_STATE(1733)] = 66213,
  [SMALL_STATE(1734)] = 66226,
  [SMALL_STATE(1735)] = 66239,
  [SMALL_STATE(1736)] = 66250,
  [SMALL_STATE(1737)] = 66259,
  [SMALL_STATE(1738)] = 66272,
  [SMALL_STATE(1739)] = 66285,
  [SMALL_STATE(1740)] = 66298,
  [SMALL_STATE(1741)] = 66311,
  [SMALL_STATE(1742)] = 66322,
  [SMALL_STATE(1743)] = 66331,
  [SMALL_STATE(1744)] = 66344,
  [SMALL_STATE(1745)] = 66357,
  [SMALL_STATE(1746)] = 66370,
  [SMALL_STATE(1747)] = 66379,
  [SMALL_STATE(1748)] = 66392,
  [SMALL_STATE(1749)] = 66405,
  [SMALL_STATE(1750)] = 66418,
  [SMALL_STATE(1751)] = 66431,
  [SMALL_STATE(1752)] = 66444,
  [SMALL_STATE(1753)] = 66457,
  [SMALL_STATE(1754)] = 66470,
  [SMALL_STATE(1755)] = 66483,
  [SMALL_STATE(1756)] = 66496,
  [SMALL_STATE(1757)] = 66509,
  [SMALL_STATE(1758)] = 66522,
  [SMALL_STATE(1759)] = 66535,
  [SMALL_STATE(1760)] = 66548,
  [SMALL_STATE(1761)] = 66561,
  [SMALL_STATE(1762)] = 66574,
  [SMALL_STATE(1763)] = 66587,
  [SMALL_STATE(1764)] = 66600,
  [SMALL_STATE(1765)] = 66613,
  [SMALL_STATE(1766)] = 66626,
  [SMALL_STATE(1767)] = 66639,
  [SMALL_STATE(1768)] = 66650,
  [SMALL_STATE(1769)] = 66663,
  [SMALL_STATE(1770)] = 66676,
  [SMALL_STATE(1771)] = 66689,
  [SMALL_STATE(1772)] = 66702,
  [SMALL_STATE(1773)] = 66715,
  [SMALL_STATE(1774)] = 66728,
  [SMALL_STATE(1775)] = 66741,
  [SMALL_STATE(1776)] = 66754,
  [SMALL_STATE(1777)] = 66767,
  [SMALL_STATE(1778)] = 66776,
  [SMALL_STATE(1779)] = 66789,
  [SMALL_STATE(1780)] = 66802,
  [SMALL_STATE(1781)] = 66815,
  [SMALL_STATE(1782)] = 66824,
  [SMALL_STATE(1783)] = 66837,
  [SMALL_STATE(1784)] = 66850,
  [SMALL_STATE(1785)] = 66863,
  [SMALL_STATE(1786)] = 66872,
  [SMALL_STATE(1787)] = 66885,
  [SMALL_STATE(1788)] = 66898,
  [SMALL_STATE(1789)] = 66911,
  [SMALL_STATE(1790)] = 66924,
  [SMALL_STATE(1791)] = 66937,
  [SMALL_STATE(1792)] = 66950,
  [SMALL_STATE(1793)] = 66959,
  [SMALL_STATE(1794)] = 66972,
  [SMALL_STATE(1795)] = 66985,
  [SMALL_STATE(1796)] = 66998,
  [SMALL_STATE(1797)] = 67011,
  [SMALL_STATE(1798)] = 67024,
  [SMALL_STATE(1799)] = 67037,
  [SMALL_STATE(1800)] = 67050,
  [SMALL_STATE(1801)] = 67063,
  [SMALL_STATE(1802)] = 67076,
  [SMALL_STATE(1803)] = 67087,
  [SMALL_STATE(1804)] = 67100,
  [SMALL_STATE(1805)] = 67113,
  [SMALL_STATE(1806)] = 67126,
  [SMALL_STATE(1807)] = 67139,
  [SMALL_STATE(1808)] = 67150,
  [SMALL_STATE(1809)] = 67163,
  [SMALL_STATE(1810)] = 67176,
  [SMALL_STATE(1811)] = 67185,
  [SMALL_STATE(1812)] = 67198,
  [SMALL_STATE(1813)] = 67207,
  [SMALL_STATE(1814)] = 67220,
  [SMALL_STATE(1815)] = 67231,
  [SMALL_STATE(1816)] = 67244,
  [SMALL_STATE(1817)] = 67257,
  [SMALL_STATE(1818)] = 67270,
  [SMALL_STATE(1819)] = 67279,
  [SMALL_STATE(1820)] = 67288,
  [SMALL_STATE(1821)] = 67301,
  [SMALL_STATE(1822)] = 67314,
  [SMALL_STATE(1823)] = 67327,
  [SMALL_STATE(1824)] = 67340,
  [SMALL_STATE(1825)] = 67350,
  [SMALL_STATE(1826)] = 67360,
  [SMALL_STATE(1827)] = 67370,
  [SMALL_STATE(1828)] = 67380,
  [SMALL_STATE(1829)] = 67388,
  [SMALL_STATE(1830)] = 67398,
  [SMALL_STATE(1831)] = 67408,
  [SMALL_STATE(1832)] = 67418,
  [SMALL_STATE(1833)] = 67428,
  [SMALL_STATE(1834)] = 67438,
  [SMALL_STATE(1835)] = 67448,
  [SMALL_STATE(1836)] = 67458,
  [SMALL_STATE(1837)] = 67468,
  [SMALL_STATE(1838)] = 67478,
  [SMALL_STATE(1839)] = 67486,
  [SMALL_STATE(1840)] = 67496,
  [SMALL_STATE(1841)] = 67506,
  [SMALL_STATE(1842)] = 67516,
  [SMALL_STATE(1843)] = 67524,
  [SMALL_STATE(1844)] = 67534,
  [SMALL_STATE(1845)] = 67544,
  [SMALL_STATE(1846)] = 67554,
  [SMALL_STATE(1847)] = 67564,
  [SMALL_STATE(1848)] = 67574,
  [SMALL_STATE(1849)] = 67584,
  [SMALL_STATE(1850)] = 67594,
  [SMALL_STATE(1851)] = 67604,
  [SMALL_STATE(1852)] = 67612,
  [SMALL_STATE(1853)] = 67622,
  [SMALL_STATE(1854)] = 67632,
  [SMALL_STATE(1855)] = 67642,
  [SMALL_STATE(1856)] = 67652,
  [SMALL_STATE(1857)] = 67660,
  [SMALL_STATE(1858)] = 67670,
  [SMALL_STATE(1859)] = 67680,
  [SMALL_STATE(1860)] = 67688,
  [SMALL_STATE(1861)] = 67698,
  [SMALL_STATE(1862)] = 67708,
  [SMALL_STATE(1863)] = 67718,
  [SMALL_STATE(1864)] = 67728,
  [SMALL_STATE(1865)] = 67736,
  [SMALL_STATE(1866)] = 67746,
  [SMALL_STATE(1867)] = 67756,
  [SMALL_STATE(1868)] = 67766,
  [SMALL_STATE(1869)] = 67776,
  [SMALL_STATE(1870)] = 67784,
  [SMALL_STATE(1871)] = 67794,
  [SMALL_STATE(1872)] = 67804,
  [SMALL_STATE(1873)] = 67814,
  [SMALL_STATE(1874)] = 67822,
  [SMALL_STATE(1875)] = 67830,
  [SMALL_STATE(1876)] = 67838,
  [SMALL_STATE(1877)] = 67848,
  [SMALL_STATE(1878)] = 67858,
  [SMALL_STATE(1879)] = 67868,
  [SMALL_STATE(1880)] = 67878,
  [SMALL_STATE(1881)] = 67888,
  [SMALL_STATE(1882)] = 67898,
  [SMALL_STATE(1883)] = 67908,
  [SMALL_STATE(1884)] = 67918,
  [SMALL_STATE(1885)] = 67928,
  [SMALL_STATE(1886)] = 67938,
  [SMALL_STATE(1887)] = 67946,
  [SMALL_STATE(1888)] = 67956,
  [SMALL_STATE(1889)] = 67966,
  [SMALL_STATE(1890)] = 67976,
  [SMALL_STATE(1891)] = 67986,
  [SMALL_STATE(1892)] = 67996,
  [SMALL_STATE(1893)] = 68004,
  [SMALL_STATE(1894)] = 68014,
  [SMALL_STATE(1895)] = 68022,
  [SMALL_STATE(1896)] = 68032,
  [SMALL_STATE(1897)] = 68042,
  [SMALL_STATE(1898)] = 68050,
  [SMALL_STATE(1899)] = 68060,
  [SMALL_STATE(1900)] = 68070,
  [SMALL_STATE(1901)] = 68080,
  [SMALL_STATE(1902)] = 68090,
  [SMALL_STATE(1903)] = 68100,
  [SMALL_STATE(1904)] = 68108,
  [SMALL_STATE(1905)] = 68116,
  [SMALL_STATE(1906)] = 68126,
  [SMALL_STATE(1907)] = 68136,
  [SMALL_STATE(1908)] = 68144,
  [SMALL_STATE(1909)] = 68154,
  [SMALL_STATE(1910)] = 68164,
  [SMALL_STATE(1911)] = 68174,
  [SMALL_STATE(1912)] = 68184,
  [SMALL_STATE(1913)] = 68194,
  [SMALL_STATE(1914)] = 68204,
  [SMALL_STATE(1915)] = 68214,
  [SMALL_STATE(1916)] = 68224,
  [SMALL_STATE(1917)] = 68234,
  [SMALL_STATE(1918)] = 68244,
  [SMALL_STATE(1919)] = 68254,
  [SMALL_STATE(1920)] = 68264,
  [SMALL_STATE(1921)] = 68274,
  [SMALL_STATE(1922)] = 68284,
  [SMALL_STATE(1923)] = 68294,
  [SMALL_STATE(1924)] = 68304,
  [SMALL_STATE(1925)] = 68314,
  [SMALL_STATE(1926)] = 68321,
  [SMALL_STATE(1927)] = 68328,
  [SMALL_STATE(1928)] = 68335,
  [SMALL_STATE(1929)] = 68342,
  [SMALL_STATE(1930)] = 68349,
  [SMALL_STATE(1931)] = 68356,
  [SMALL_STATE(1932)] = 68363,
  [SMALL_STATE(1933)] = 68370,
  [SMALL_STATE(1934)] = 68377,
  [SMALL_STATE(1935)] = 68384,
  [SMALL_STATE(1936)] = 68391,
  [SMALL_STATE(1937)] = 68398,
  [SMALL_STATE(1938)] = 68405,
  [SMALL_STATE(1939)] = 68412,
  [SMALL_STATE(1940)] = 68419,
  [SMALL_STATE(1941)] = 68426,
  [SMALL_STATE(1942)] = 68433,
  [SMALL_STATE(1943)] = 68440,
  [SMALL_STATE(1944)] = 68447,
  [SMALL_STATE(1945)] = 68454,
  [SMALL_STATE(1946)] = 68461,
  [SMALL_STATE(1947)] = 68468,
  [SMALL_STATE(1948)] = 68475,
  [SMALL_STATE(1949)] = 68482,
  [SMALL_STATE(1950)] = 68489,
  [SMALL_STATE(1951)] = 68496,
  [SMALL_STATE(1952)] = 68503,
  [SMALL_STATE(1953)] = 68510,
  [SMALL_STATE(1954)] = 68517,
  [SMALL_STATE(1955)] = 68524,
  [SMALL_STATE(1956)] = 68531,
  [SMALL_STATE(1957)] = 68538,
  [SMALL_STATE(1958)] = 68545,
  [SMALL_STATE(1959)] = 68552,
  [SMALL_STATE(1960)] = 68559,
  [SMALL_STATE(1961)] = 68566,
  [SMALL_STATE(1962)] = 68573,
  [SMALL_STATE(1963)] = 68580,
  [SMALL_STATE(1964)] = 68587,
  [SMALL_STATE(1965)] = 68594,
  [SMALL_STATE(1966)] = 68601,
  [SMALL_STATE(1967)] = 68608,
  [SMALL_STATE(1968)] = 68615,
  [SMALL_STATE(1969)] = 68622,
  [SMALL_STATE(1970)] = 68629,
  [SMALL_STATE(1971)] = 68636,
  [SMALL_STATE(1972)] = 68643,
  [SMALL_STATE(1973)] = 68650,
  [SMALL_STATE(1974)] = 68657,
  [SMALL_STATE(1975)] = 68664,
  [SMALL_STATE(1976)] = 68671,
  [SMALL_STATE(1977)] = 68678,
  [SMALL_STATE(1978)] = 68685,
  [SMALL_STATE(1979)] = 68692,
  [SMALL_STATE(1980)] = 68699,
  [SMALL_STATE(1981)] = 68706,
  [SMALL_STATE(1982)] = 68713,
  [SMALL_STATE(1983)] = 68720,
  [SMALL_STATE(1984)] = 68727,
  [SMALL_STATE(1985)] = 68734,
  [SMALL_STATE(1986)] = 68741,
  [SMALL_STATE(1987)] = 68748,
  [SMALL_STATE(1988)] = 68755,
  [SMALL_STATE(1989)] = 68762,
  [SMALL_STATE(1990)] = 68769,
  [SMALL_STATE(1991)] = 68776,
  [SMALL_STATE(1992)] = 68783,
  [SMALL_STATE(1993)] = 68790,
  [SMALL_STATE(1994)] = 68797,
  [SMALL_STATE(1995)] = 68804,
  [SMALL_STATE(1996)] = 68811,
  [SMALL_STATE(1997)] = 68818,
  [SMALL_STATE(1998)] = 68825,
  [SMALL_STATE(1999)] = 68832,
  [SMALL_STATE(2000)] = 68839,
  [SMALL_STATE(2001)] = 68846,
  [SMALL_STATE(2002)] = 68853,
  [SMALL_STATE(2003)] = 68860,
  [SMALL_STATE(2004)] = 68867,
  [SMALL_STATE(2005)] = 68874,
  [SMALL_STATE(2006)] = 68881,
  [SMALL_STATE(2007)] = 68888,
  [SMALL_STATE(2008)] = 68895,
  [SMALL_STATE(2009)] = 68902,
  [SMALL_STATE(2010)] = 68909,
  [SMALL_STATE(2011)] = 68916,
  [SMALL_STATE(2012)] = 68923,
  [SMALL_STATE(2013)] = 68930,
  [SMALL_STATE(2014)] = 68937,
  [SMALL_STATE(2015)] = 68944,
  [SMALL_STATE(2016)] = 68951,
  [SMALL_STATE(2017)] = 68958,
  [SMALL_STATE(2018)] = 68965,
  [SMALL_STATE(2019)] = 68972,
  [SMALL_STATE(2020)] = 68979,
  [SMALL_STATE(2021)] = 68986,
  [SMALL_STATE(2022)] = 68993,
  [SMALL_STATE(2023)] = 69000,
  [SMALL_STATE(2024)] = 69007,
  [SMALL_STATE(2025)] = 69014,
  [SMALL_STATE(2026)] = 69021,
  [SMALL_STATE(2027)] = 69028,
  [SMALL_STATE(2028)] = 69035,
  [SMALL_STATE(2029)] = 69042,
  [SMALL_STATE(2030)] = 69049,
  [SMALL_STATE(2031)] = 69056,
  [SMALL_STATE(2032)] = 69063,
  [SMALL_STATE(2033)] = 69070,
  [SMALL_STATE(2034)] = 69077,
  [SMALL_STATE(2035)] = 69084,
  [SMALL_STATE(2036)] = 69091,
  [SMALL_STATE(2037)] = 69098,
  [SMALL_STATE(2038)] = 69105,
  [SMALL_STATE(2039)] = 69112,
  [SMALL_STATE(2040)] = 69119,
  [SMALL_STATE(2041)] = 69126,
  [SMALL_STATE(2042)] = 69133,
  [SMALL_STATE(2043)] = 69140,
  [SMALL_STATE(2044)] = 69147,
  [SMALL_STATE(2045)] = 69154,
  [SMALL_STATE(2046)] = 69161,
  [SMALL_STATE(2047)] = 69168,
  [SMALL_STATE(2048)] = 69175,
  [SMALL_STATE(2049)] = 69182,
  [SMALL_STATE(2050)] = 69189,
  [SMALL_STATE(2051)] = 69196,
  [SMALL_STATE(2052)] = 69203,
  [SMALL_STATE(2053)] = 69210,
  [SMALL_STATE(2054)] = 69217,
  [SMALL_STATE(2055)] = 69224,
  [SMALL_STATE(2056)] = 69231,
  [SMALL_STATE(2057)] = 69238,
  [SMALL_STATE(2058)] = 69245,
  [SMALL_STATE(2059)] = 69252,
  [SMALL_STATE(2060)] = 69259,
  [SMALL_STATE(2061)] = 69266,
  [SMALL_STATE(2062)] = 69273,
  [SMALL_STATE(2063)] = 69280,
  [SMALL_STATE(2064)] = 69287,
  [SMALL_STATE(2065)] = 69294,
  [SMALL_STATE(2066)] = 69301,
  [SMALL_STATE(2067)] = 69308,
  [SMALL_STATE(2068)] = 69315,
  [SMALL_STATE(2069)] = 69322,
  [SMALL_STATE(2070)] = 69329,
  [SMALL_STATE(2071)] = 69336,
  [SMALL_STATE(2072)] = 69343,
  [SMALL_STATE(2073)] = 69350,
  [SMALL_STATE(2074)] = 69357,
  [SMALL_STATE(2075)] = 69364,
  [SMALL_STATE(2076)] = 69371,
  [SMALL_STATE(2077)] = 69378,
  [SMALL_STATE(2078)] = 69385,
  [SMALL_STATE(2079)] = 69392,
  [SMALL_STATE(2080)] = 69399,
  [SMALL_STATE(2081)] = 69406,
  [SMALL_STATE(2082)] = 69413,
  [SMALL_STATE(2083)] = 69420,
  [SMALL_STATE(2084)] = 69427,
  [SMALL_STATE(2085)] = 69434,
  [SMALL_STATE(2086)] = 69441,
  [SMALL_STATE(2087)] = 69448,
  [SMALL_STATE(2088)] = 69455,
  [SMALL_STATE(2089)] = 69462,
  [SMALL_STATE(2090)] = 69469,
  [SMALL_STATE(2091)] = 69476,
  [SMALL_STATE(2092)] = 69483,
  [SMALL_STATE(2093)] = 69490,
  [SMALL_STATE(2094)] = 69497,
  [SMALL_STATE(2095)] = 69504,
  [SMALL_STATE(2096)] = 69511,
  [SMALL_STATE(2097)] = 69518,
  [SMALL_STATE(2098)] = 69525,
  [SMALL_STATE(2099)] = 69532,
  [SMALL_STATE(2100)] = 69539,
  [SMALL_STATE(2101)] = 69546,
  [SMALL_STATE(2102)] = 69553,
  [SMALL_STATE(2103)] = 69560,
  [SMALL_STATE(2104)] = 69567,
  [SMALL_STATE(2105)] = 69574,
  [SMALL_STATE(2106)] = 69581,
  [SMALL_STATE(2107)] = 69588,
  [SMALL_STATE(2108)] = 69595,
  [SMALL_STATE(2109)] = 69602,
  [SMALL_STATE(2110)] = 69609,
  [SMALL_STATE(2111)] = 69616,
  [SMALL_STATE(2112)] = 69623,
  [SMALL_STATE(2113)] = 69630,
  [SMALL_STATE(2114)] = 69637,
  [SMALL_STATE(2115)] = 69644,
  [SMALL_STATE(2116)] = 69651,
  [SMALL_STATE(2117)] = 69658,
  [SMALL_STATE(2118)] = 69665,
  [SMALL_STATE(2119)] = 69672,
  [SMALL_STATE(2120)] = 69679,
  [SMALL_STATE(2121)] = 69686,
  [SMALL_STATE(2122)] = 69693,
  [SMALL_STATE(2123)] = 69700,
  [SMALL_STATE(2124)] = 69707,
  [SMALL_STATE(2125)] = 69714,
  [SMALL_STATE(2126)] = 69721,
  [SMALL_STATE(2127)] = 69728,
  [SMALL_STATE(2128)] = 69735,
  [SMALL_STATE(2129)] = 69742,
  [SMALL_STATE(2130)] = 69749,
  [SMALL_STATE(2131)] = 69756,
  [SMALL_STATE(2132)] = 69763,
  [SMALL_STATE(2133)] = 69770,
  [SMALL_STATE(2134)] = 69777,
  [SMALL_STATE(2135)] = 69784,
  [SMALL_STATE(2136)] = 69791,
  [SMALL_STATE(2137)] = 69798,
  [SMALL_STATE(2138)] = 69805,
  [SMALL_STATE(2139)] = 69812,
  [SMALL_STATE(2140)] = 69819,
  [SMALL_STATE(2141)] = 69826,
  [SMALL_STATE(2142)] = 69833,
  [SMALL_STATE(2143)] = 69840,
  [SMALL_STATE(2144)] = 69847,
  [SMALL_STATE(2145)] = 69854,
  [SMALL_STATE(2146)] = 69861,
  [SMALL_STATE(2147)] = 69868,
  [SMALL_STATE(2148)] = 69875,
  [SMALL_STATE(2149)] = 69882,
  [SMALL_STATE(2150)] = 69889,
  [SMALL_STATE(2151)] = 69896,
  [SMALL_STATE(2152)] = 69903,
  [SMALL_STATE(2153)] = 69910,
  [SMALL_STATE(2154)] = 69917,
  [SMALL_STATE(2155)] = 69924,
  [SMALL_STATE(2156)] = 69931,
  [SMALL_STATE(2157)] = 69938,
  [SMALL_STATE(2158)] = 69945,
  [SMALL_STATE(2159)] = 69952,
  [SMALL_STATE(2160)] = 69959,
  [SMALL_STATE(2161)] = 69966,
  [SMALL_STATE(2162)] = 69973,
  [SMALL_STATE(2163)] = 69980,
  [SMALL_STATE(2164)] = 69987,
  [SMALL_STATE(2165)] = 69994,
  [SMALL_STATE(2166)] = 70001,
  [SMALL_STATE(2167)] = 70008,
  [SMALL_STATE(2168)] = 70015,
  [SMALL_STATE(2169)] = 70022,
  [SMALL_STATE(2170)] = 70029,
  [SMALL_STATE(2171)] = 70036,
  [SMALL_STATE(2172)] = 70043,
  [SMALL_STATE(2173)] = 70050,
  [SMALL_STATE(2174)] = 70057,
  [SMALL_STATE(2175)] = 70064,
  [SMALL_STATE(2176)] = 70071,
  [SMALL_STATE(2177)] = 70078,
  [SMALL_STATE(2178)] = 70085,
  [SMALL_STATE(2179)] = 70092,
  [SMALL_STATE(2180)] = 70099,
  [SMALL_STATE(2181)] = 70106,
  [SMALL_STATE(2182)] = 70113,
  [SMALL_STATE(2183)] = 70120,
  [SMALL_STATE(2184)] = 70127,
  [SMALL_STATE(2185)] = 70134,
  [SMALL_STATE(2186)] = 70141,
  [SMALL_STATE(2187)] = 70148,
  [SMALL_STATE(2188)] = 70155,
  [SMALL_STATE(2189)] = 70162,
  [SMALL_STATE(2190)] = 70169,
  [SMALL_STATE(2191)] = 70176,
  [SMALL_STATE(2192)] = 70183,
  [SMALL_STATE(2193)] = 70190,
  [SMALL_STATE(2194)] = 70197,
  [SMALL_STATE(2195)] = 70204,
  [SMALL_STATE(2196)] = 70211,
  [SMALL_STATE(2197)] = 70218,
  [SMALL_STATE(2198)] = 70225,
  [SMALL_STATE(2199)] = 70232,
  [SMALL_STATE(2200)] = 70239,
  [SMALL_STATE(2201)] = 70246,
  [SMALL_STATE(2202)] = 70253,
  [SMALL_STATE(2203)] = 70260,
  [SMALL_STATE(2204)] = 70267,
  [SMALL_STATE(2205)] = 70274,
  [SMALL_STATE(2206)] = 70281,
  [SMALL_STATE(2207)] = 70288,
  [SMALL_STATE(2208)] = 70295,
  [SMALL_STATE(2209)] = 70302,
  [SMALL_STATE(2210)] = 70309,
  [SMALL_STATE(2211)] = 70316,
  [SMALL_STATE(2212)] = 70323,
  [SMALL_STATE(2213)] = 70330,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, .production_id = 17),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, .production_id = 41),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, .production_id = 41),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, .production_id = 17),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(511),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1555),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1999),
  [264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1346),
  [267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2),
  [269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2000),
  [272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1912),
  [275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(484),
  [278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(620),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(620),
  [284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(621),
  [287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(125),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1160),
  [293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1225),
  [296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1053),
  [299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2209),
  [302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1916),
  [305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2207),
  [308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1167),
  [311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(37),
  [314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1109),
  [317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1017),
  [320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(993),
  [323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1085),
  [326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1743),
  [329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1597),
  [332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1648),
  [335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1923),
  [338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1846),
  [341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(642),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2103),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1855),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(433),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2160),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(574),
  [359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2211),
  [362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2208),
  [365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2008),
  [368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1832),
  [371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2187),
  [374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(635),
  [377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(637),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2194),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2193),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2192),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1616),
  [392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(824),
  [395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1767),
  [398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1677),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(824),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(816),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(509),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1552),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2053),
  [416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1349),
  [419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2028),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1833),
  [425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(199),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1162),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1238),
  [434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1050),
  [437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(43),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1848),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1831),
  [446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(671),
  [449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2014),
  [452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1844),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(441),
  [458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2203),
  [461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(583),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2102),
  [467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2101),
  [470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2035),
  [473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1836),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2064),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(512),
  [538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1553),
  [541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2070),
  [544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1369),
  [547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1927),
  [550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1889),
  [553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(332),
  [556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1152),
  [559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1218),
  [562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1071),
  [565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(36),
  [568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1847),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1924),
  [576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(632),
  [579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2052),
  [582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1850),
  [585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(421),
  [588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2081),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(573),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2057),
  [597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2062),
  [600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1931),
  [603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1866),
  [606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2177),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(514),
  [636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1547),
  [639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2071),
  [642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1362),
  [645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2054),
  [648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1888),
  [651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(271),
  [654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1161),
  [657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1248),
  [660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1043),
  [663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(31),
  [666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1826),
  [669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1853),
  [672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(750),
  [675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1959),
  [678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1835),
  [681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(444),
  [684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2206),
  [687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(580),
  [690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2013),
  [693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2012),
  [696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2059),
  [699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1858),
  [702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2005),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2),
  [767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(516),
  [770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1556),
  [773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2169),
  [776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1333),
  [779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2212),
  [782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1920),
  [785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(484),
  [788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(620),
  [791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(620),
  [794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(621),
  [797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1142),
  [800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1204),
  [803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1026),
  [806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2209),
  [809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1916),
  [812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2207),
  [815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1167),
  [818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(28),
  [821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1109),
  [824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1017),
  [827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(993),
  [830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1085),
  [833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1743),
  [836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1597),
  [839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1648),
  [842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1902),
  [845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1891),
  [848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(626),
  [851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2201),
  [854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1884),
  [857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(430),
  [860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2199),
  [863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(569),
  [866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2198),
  [869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2196),
  [872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2195),
  [875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(635),
  [878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(637),
  [881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2194),
  [884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2193),
  [887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2192),
  [890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1616),
  [893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1303),
  [896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1767),
  [899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1677),
  [902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1303),
  [905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(816),
  [908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1),
  [910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(515),
  [913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2),
  [915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(484),
  [918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(620),
  [921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(620),
  [924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(621),
  [927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(125),
  [930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1160),
  [933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1225),
  [936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1017),
  [939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2209),
  [942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1916),
  [945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2207),
  [948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(37),
  [951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1109),
  [954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(993),
  [957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1085),
  [960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1743),
  [963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1597),
  [966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1648),
  [969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1923),
  [972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1846),
  [975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1855),
  [978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(433),
  [981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2160),
  [984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(574),
  [987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2211),
  [990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2208),
  [993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2008),
  [996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1832),
  [999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2187),
  [1002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(635),
  [1005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(637),
  [1008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2194),
  [1011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2193),
  [1014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2192),
  [1017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1616),
  [1020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(824),
  [1023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1767),
  [1026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1677),
  [1029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(824),
  [1032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(816),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [1037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, .production_id = 9),
  [1039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2),
  [1041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, .production_id = 9),
  [1043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [1047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(510),
  [1050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(199),
  [1053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1162),
  [1056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1238),
  [1059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(43),
  [1062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1848),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1831),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1844),
  [1071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(441),
  [1074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2203),
  [1077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(583),
  [1080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2102),
  [1083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2101),
  [1086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2035),
  [1089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1836),
  [1092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2064),
  [1095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [1107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, .production_id = 9),
  [1109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3),
  [1111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2),
  [1113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(506),
  [1116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(331),
  [1119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1142),
  [1122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1204),
  [1125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(28),
  [1128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1902),
  [1131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1891),
  [1134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1884),
  [1137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(430),
  [1140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2199),
  [1143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(569),
  [1146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2198),
  [1149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2196),
  [1152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2195),
  [1155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1908),
  [1158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2078),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, .production_id = 9),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [1165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(513),
  [1168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(332),
  [1171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1152),
  [1174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1218),
  [1177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(36),
  [1180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1847),
  [1183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1924),
  [1186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1850),
  [1189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(421),
  [1192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2081),
  [1195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(573),
  [1198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2057),
  [1201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2062),
  [1204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1931),
  [1207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1866),
  [1210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2177),
  [1213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(508),
  [1216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(271),
  [1219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1161),
  [1222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1248),
  [1225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(31),
  [1228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1826),
  [1231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1853),
  [1234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1835),
  [1237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(444),
  [1240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2206),
  [1243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(580),
  [1246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2013),
  [1249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2012),
  [1252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2059),
  [1255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1858),
  [1258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2005),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [1271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(507),
  [1274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1921),
  [1277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1917),
  [1280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2133),
  [1283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1878),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [1288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [1290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 26),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 26),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, .production_id = 48),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, .production_id = 48),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, .production_id = 83),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, .production_id = 83),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 79),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 79),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, .production_id = 8),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, .production_id = 8),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 48),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 48),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 75),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 75),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 55),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 55),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, .production_id = 8),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, .production_id = 8),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, .production_id = 32),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, .production_id = 32),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .production_id = 30),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .production_id = 30),
  [1354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, .production_id = 28),
  [1356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, .production_id = 28),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 27),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 27),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 27),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 27),
  [1370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2),
  [1372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2),
  [1376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, .production_id = 95),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, .production_id = 95),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, .production_id = 75),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, .production_id = 75),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, .production_id = 40),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, .production_id = 40),
  [1406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [1408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, .production_id = 92),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, .production_id = 92),
  [1412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 1, .production_id = 2),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 1, .production_id = 2),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, .production_id = 4),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, .production_id = 4),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, .production_id = 71),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, .production_id = 71),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, .production_id = 41),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, .production_id = 41),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, .production_id = 70),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, .production_id = 70),
  [1436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, .production_id = 69),
  [1438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, .production_id = 69),
  [1440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 4, .production_id = 66),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 4, .production_id = 66),
  [1444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 65),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 65),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 4, .production_id = 64),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 4, .production_id = 64),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2),
  [1456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 17),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 17),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 42),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 42),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, .production_id = 41),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, .production_id = 41),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 5, .production_id = 90),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 5, .production_id = 90),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, .production_id = 16),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, .production_id = 16),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, .production_id = 17),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, .production_id = 17),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, .production_id = 39),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, .production_id = 39),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, .production_id = 17),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, .production_id = 17),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, .production_id = 18),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, .production_id = 18),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, .production_id = 22),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, .production_id = 22),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 3, .production_id = 37),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 3, .production_id = 37),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 33),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 33),
  [1508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [1512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, .production_id = 57),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, .production_id = 57),
  [1518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [1526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [1528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [1538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [1540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [1542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(871),
  [1545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(484),
  [1548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(620),
  [1551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(620),
  [1554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(621),
  [1557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(199),
  [1560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1922),
  [1563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(43),
  [1566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1848),
  [1569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1831),
  [1572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(671),
  [1575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2014),
  [1578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1844),
  [1581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(441),
  [1584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2203),
  [1587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(583),
  [1590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2102),
  [1593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2101),
  [1596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2035),
  [1599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1836),
  [1602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2064),
  [1605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(635),
  [1608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(637),
  [1611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2194),
  [1614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2193),
  [1617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2192),
  [1620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1616),
  [1623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(824),
  [1626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1767),
  [1629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1677),
  [1632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(824),
  [1635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(816),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [1646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(866),
  [1649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(332),
  [1652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(36),
  [1655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1847),
  [1658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1924),
  [1661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(632),
  [1664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2052),
  [1667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1850),
  [1670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(421),
  [1673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2081),
  [1676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(573),
  [1679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2057),
  [1682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2062),
  [1685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1931),
  [1688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1866),
  [1691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2177),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [1696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(864),
  [1699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(331),
  [1702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(28),
  [1705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1902),
  [1708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1891),
  [1711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(626),
  [1714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2201),
  [1717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1884),
  [1720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(430),
  [1723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2199),
  [1726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(569),
  [1729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2198),
  [1732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2196),
  [1735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2195),
  [1738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1908),
  [1741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2078),
  [1744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(863),
  [1747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(271),
  [1750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(31),
  [1753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1826),
  [1756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1853),
  [1759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(750),
  [1762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1959),
  [1765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1835),
  [1768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(444),
  [1771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2206),
  [1774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(580),
  [1777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2013),
  [1780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2012),
  [1783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2059),
  [1786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1858),
  [1789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2005),
  [1792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(868),
  [1795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(125),
  [1798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(37),
  [1801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1923),
  [1804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1846),
  [1807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(642),
  [1810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2103),
  [1813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1855),
  [1816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(433),
  [1819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2160),
  [1822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(574),
  [1825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2211),
  [1828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2208),
  [1831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2008),
  [1834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1832),
  [1837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2187),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [1850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [1860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [1866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(865),
  [1869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1921),
  [1872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(664),
  [1875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2085),
  [1878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1917),
  [1881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2133),
  [1884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1878),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2),
  [1895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2),
  [1897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 1, .production_id = 2),
  [1899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 1, .production_id = 2),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [1907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3),
  [1909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3),
  [1911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4),
  [1913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [1931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1), REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [1934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [1936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [1938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1),
  [1940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1), REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [1951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1, .production_id = 1),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_not_binary, 1),
  [1955] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1), SHIFT(1207),
  [1959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_not_binary, 1),
  [1961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [1964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1),
  [1966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [1978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [2113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1081),
  [2116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2074),
  [2119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1382),
  [2122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2),
  [2124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1966),
  [2127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1901),
  [2130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(993),
  [2133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1017),
  [2136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2209),
  [2139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1849),
  [2142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2207),
  [2145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1109),
  [2148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1085),
  [2151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1743),
  [2154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1597),
  [2157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1648),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [2162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [2170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, .production_id = 41),
  [2172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, .production_id = 41),
  [2174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [2180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2075),
  [2183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1331),
  [2186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2019),
  [2189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1909),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2076),
  [2221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1344),
  [2224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2045),
  [2227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1915),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .production_id = 82),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [2244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .production_id = 100),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [2254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2027),
  [2257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1366),
  [2260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2105),
  [2263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1890),
  [2266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [2270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .production_id = 41),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [2282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [2288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .production_id = 56),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, .production_id = 56),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [2308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [2378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3),
  [2380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3),
  [2382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [2384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2),
  [2386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [2390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(772),
  [2393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [2395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [2397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1677),
  [2400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3),
  [2402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3),
  [2404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2),
  [2408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, .production_id = 122),
  [2410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, .production_id = 122),
  [2412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, .production_id = 58),
  [2414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, .production_id = 58),
  [2416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 112),
  [2418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 112),
  [2420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 103),
  [2422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 103),
  [2424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 104),
  [2426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 104),
  [2428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 86),
  [2430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 86),
  [2432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 85),
  [2434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 85),
  [2436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 113),
  [2438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 113),
  [2440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 118),
  [2442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 118),
  [2444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 117),
  [2446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 117),
  [2448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [2450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [2452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2),
  [2454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2),
  [2456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8),
  [2458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8),
  [2460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, .production_id = 46),
  [2462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, .production_id = 46),
  [2464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3),
  [2466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3),
  [2468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4),
  [2472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 13),
  [2474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 13),
  [2476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9),
  [2478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9),
  [2480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 12),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 12),
  [2484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, .production_id = 101),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, .production_id = 101),
  [2488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, .production_id = 38),
  [2490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, .production_id = 38),
  [2492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3),
  [2494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3),
  [2496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1),
  [2498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1),
  [2500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, .production_id = 57),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, .production_id = 57),
  [2504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5),
  [2508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [2512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 67),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 67),
  [2516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [2520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 5),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 5),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [2530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [2532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [2534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [2536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, .production_id = 9),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, .production_id = 9),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [2542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 5),
  [2544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 5),
  [2546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [2548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [2550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [2552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [2554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, .production_id = 5),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, .production_id = 5),
  [2558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 29),
  [2564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 29),
  [2566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, .production_id = 46),
  [2568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, .production_id = 46),
  [2570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5),
  [2572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5),
  [2574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1081),
  [2577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(993),
  [2580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1017),
  [2583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(2209),
  [2586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1849),
  [2589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(2207),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2),
  [2594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1109),
  [2597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1085),
  [2600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1743),
  [2603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1597),
  [2606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1648),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [2613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(846),
  [2616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1730),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2),
  [2625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2),
  [2627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(872),
  [2630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2),
  [2632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2),
  [2634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(993),
  [2637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(1017),
  [2640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(2209),
  [2643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(1849),
  [2646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(2207),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1),
  [2653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1),
  [2655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 29),
  [2657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, .production_id = 29),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [2667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [2669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [2671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [2679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, .production_id = 68),
  [2689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, .production_id = 68),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, .production_id = 91),
  [2693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, .production_id = 91),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4),
  [2717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [2725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [2755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 17),
  [2757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 17),
  [2759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 32),
  [2761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 32),
  [2763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 32),
  [2765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 32),
  [2767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .production_id = 41),
  [2769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .production_id = 41),
  [2771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 43),
  [2773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 43),
  [2775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .production_id = 17),
  [2777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .production_id = 17),
  [2779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 42),
  [2781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 42),
  [2783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, .production_id = 92),
  [2785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, .production_id = 92),
  [2787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 70),
  [2789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 70),
  [2791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 41),
  [2793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 41),
  [2795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .production_id = 71),
  [2797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .production_id = 71),
  [2799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 43),
  [2801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 43),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [2829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 3),
  [2831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3),
  [2833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parameter_list, 3), REDUCE(sym__old_style_parameter_list, 3),
  [2836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 3), REDUCE(sym__old_style_parameter_list, 3),
  [2839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3),
  [2841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 53),
  [2843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 53),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [2847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 24),
  [2849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 24),
  [2851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 24),
  [2853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 24),
  [2855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 2),
  [2857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2),
  [2859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parameter_list, 2), REDUCE(sym__old_style_parameter_list, 2),
  [2862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2), REDUCE(sym__old_style_parameter_list, 2),
  [2865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2),
  [2867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, .production_id = 7),
  [2869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, .production_id = 7),
  [2871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4),
  [2873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4),
  [2875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, .production_id = 7),
  [2877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, .production_id = 7),
  [2879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [2881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, .dynamic_precedence = 1),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [2889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1),
  [2891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [2895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 52),
  [2897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 52),
  [2899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 54),
  [2901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 54),
  [2903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, .production_id = 52),
  [2905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, .production_id = 52),
  [2907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, .production_id = 14),
  [2909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, .production_id = 14),
  [2911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, .production_id = 78),
  [2913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, .production_id = 78),
  [2915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, .production_id = 8),
  [2917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, .production_id = 8),
  [2919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, .production_id = 8),
  [2921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, .production_id = 8),
  [2923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 25),
  [2925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 25),
  [2927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 23),
  [2929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 23),
  [2931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 25),
  [2933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 25),
  [2935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 23),
  [2937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 23),
  [2939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [2941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [2943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(1069),
  [2946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 14),
  [2948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 14),
  [2950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, .production_id = 3),
  [2952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, .production_id = 3),
  [2954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 3),
  [2956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 3),
  [2958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 8),
  [2960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 8),
  [2962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2),
  [2964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2),
  [2966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3),
  [2968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3),
  [2970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 8),
  [2972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 8),
  [2974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), SHIFT(1207),
  [2977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 7),
  [2979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 7),
  [2981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 7),
  [2983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 7),
  [2985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 8),
  [2987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 8),
  [2989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [2995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, .production_id = 77),
  [2997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, .production_id = 77),
  [2999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2),
  [3001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2),
  [3003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 5, .production_id = 52),
  [3005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 5, .production_id = 52),
  [3007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 23),
  [3009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 23),
  [3011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, .production_id = 54),
  [3013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, .production_id = 54),
  [3015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, .production_id = 53),
  [3017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, .production_id = 53),
  [3019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 10),
  [3021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 10),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [3025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, .production_id = 52),
  [3027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, .production_id = 52),
  [3029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 6, .production_id = 78),
  [3031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 6, .production_id = 78),
  [3033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .production_id = 14),
  [3035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, .production_id = 14),
  [3037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3),
  [3039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3),
  [3041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 23),
  [3043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 23),
  [3045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 24),
  [3047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 24),
  [3049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 25),
  [3051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 25),
  [3053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 14),
  [3055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 14),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [3059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 15),
  [3061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 15),
  [3063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [3065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2), REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [3068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2), REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [3071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, .production_id = 23),
  [3073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, .production_id = 23),
  [3075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 3),
  [3077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 3),
  [3079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 50),
  [3081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 50),
  [3083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, .production_id = 24),
  [3085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, .production_id = 24),
  [3087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, .production_id = 25),
  [3089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, .production_id = 25),
  [3091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(1102),
  [3094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1),
  [3096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1),
  [3098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [3100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [3102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_type_specifier, 4, .dynamic_precedence = -1, .production_id = 59),
  [3104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_type_specifier, 4, .dynamic_precedence = -1, .production_id = 59),
  [3106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .dynamic_precedence = -1, .production_id = 15),
  [3108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, .dynamic_precedence = -1, .production_id = 15),
  [3110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4),
  [3114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 7),
  [3116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 7),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [3124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [3126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [3128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), SHIFT(1809),
  [3131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), SHIFT(1153),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [3136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 7),
  [3138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 7),
  [3140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 7), SHIFT(2209),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [3147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1),
  [3150] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1), SHIFT(1207),
  [3154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(aux_sym__old_style_parameter_list_repeat1, 2),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [3172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [3178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [3182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [3186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [3194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, .production_id = 76),
  [3196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, .production_id = 76),
  [3198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 50),
  [3200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 50),
  [3202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 50), SHIFT(2209),
  [3205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [3207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_declarator, 2, .production_id = 34),
  [3209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_declarator, 2, .production_id = 34),
  [3211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 4),
  [3213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_parameter_list, 4),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [3219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [3231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [3243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_parameter_list, 3),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [3277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 23),
  [3279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 23),
  [3281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 23), SHIFT(2209),
  [3284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1),
  [3286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1),
  [3288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, .dynamic_precedence = 1),
  [3290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 77),
  [3292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 77),
  [3294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 77), SHIFT(2209),
  [3297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 8),
  [3299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 8),
  [3301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 8), SHIFT(2209),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [3328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [3342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, .production_id = 45),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [3350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [3354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [3360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [3364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [3380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [3384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [3388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [3390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, .production_id = 109),
  [3392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [3400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, .production_id = 61),
  [3402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [3406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [3412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .production_id = 81),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .production_id = 80),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [3424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .production_id = 97),
  [3426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .production_id = 98),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .production_id = 99),
  [3432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 3),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [3436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, .production_id = 108),
  [3438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, .production_id = 107),
  [3440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [3454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(993),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [3489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2),
  [3491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2),
  [3493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(1309),
  [3496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(1308),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [3501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 3),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [3505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1),
  [3507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1),
  [3509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1),
  [3511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1),
  [3513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 14),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, .production_id = 3),
  [3517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 14),
  [3519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1),
  [3525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [3527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [3537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [3543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [3547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [3551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [3557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [3563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [3567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [3579] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [3589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [3593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [3597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [3607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, .production_id = 29),
  [3609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, .production_id = 29),
  [3611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3),
  [3613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [3627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, .production_id = 13),
  [3629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, .production_id = 13),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [3639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [3643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3),
  [3645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3),
  [3647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4),
  [3649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [3661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2),
  [3663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [3685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, .production_id = 14),
  [3687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, .production_id = 14),
  [3689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, .production_id = 3),
  [3691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, .production_id = 3),
  [3693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, .production_id = 3),
  [3695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, .production_id = 3),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [3703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, .production_id = 14),
  [3705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, .production_id = 14),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [3719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, .production_id = 5),
  [3721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, .production_id = 5),
  [3723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2),
  [3725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, .production_id = 43),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [3735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4),
  [3737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [3741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [3743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [3745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [3751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [3753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [3755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [3757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [3761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 3), SHIFT(1069),
  [3764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 14), SHIFT(1433),
  [3767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 15), SHIFT(1434),
  [3770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1), SHIFT(1399),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [3783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 10), SHIFT(1069),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [3796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1, .production_id = 1), SHIFT(1419),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [3803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .production_id = 14), SHIFT(1069),
  [3806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .dynamic_precedence = -1, .production_id = 15), SHIFT(1069),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [3819] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2), REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT(1069),
  [3823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(1401),
  [3826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(1442),
  [3829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(1400),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [3834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 7), SHIFT(2104),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [3841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 1, .production_id = 11),
  [3843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [3865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [3869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, .production_id = 34),
  [3871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, .production_id = 34),
  [3873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2),
  [3875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(1916),
  [3878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2),
  [3880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 3, .production_id = 34),
  [3882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 3, .production_id = 34),
  [3884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, .dynamic_precedence = 1, .production_id = 87),
  [3886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [3888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2), SHIFT_REPEAT(2209),
  [3891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [3893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 4, .production_id = 34),
  [3895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 4, .production_id = 34),
  [3897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, .dynamic_precedence = 1, .production_id = 31),
  [3899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, .dynamic_precedence = 1, .production_id = 60),
  [3901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, .dynamic_precedence = 1, .production_id = 105),
  [3903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_declarator_repeat1, 2, .production_id = 31),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [3907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 1, .production_id = 11),
  [3909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [3913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2),
  [3915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2),
  [3917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4),
  [3919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [3935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, .dynamic_precedence = 1, .production_id = 87),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [3943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, .dynamic_precedence = 1, .production_id = 60),
  [3945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, .production_id = 31),
  [3947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, .dynamic_precedence = 1, .production_id = 31),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [3951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, .dynamic_precedence = 1, .production_id = 105),
  [3953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, .production_id = 41),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [3963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, .dynamic_precedence = 1, .production_id = 105),
  [3965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [3967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, .production_id = 106),
  [3969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, .production_id = 106),
  [3971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, .dynamic_precedence = 1, .production_id = 31),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [3975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, .production_id = 11),
  [3977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, .production_id = 11),
  [3979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, .production_id = 11),
  [3981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1),
  [3983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1),
  [3985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, .dynamic_precedence = -10),
  [3987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, .dynamic_precedence = -10),
  [3989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [3993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, .dynamic_precedence = 1, .production_id = 60),
  [3995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, .dynamic_precedence = 1, .production_id = 87),
  [3997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, .production_id = 11),
  [3999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, .production_id = 11),
  [4001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2),
  [4003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2),
  [4005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, .production_id = 89),
  [4007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, .production_id = 89),
  [4009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [4017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [4043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2),
  [4045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [4049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(1741),
  [4052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(1367),
  [4055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(2039),
  [4058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2),
  [4060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 31),
  [4062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [4064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [4070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, .dynamic_precedence = -10),
  [4072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, .dynamic_precedence = -10),
  [4074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, .production_id = 89),
  [4076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, .production_id = 89),
  [4078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, .production_id = 11),
  [4080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, .production_id = 11),
  [4082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2), SHIFT_REPEAT(1741),
  [4085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2),
  [4087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2),
  [4089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, .production_id = 11),
  [4091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, .production_id = 11),
  [4093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1),
  [4095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1),
  [4097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, .production_id = 51),
  [4099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, .production_id = 51),
  [4101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, .production_id = 6),
  [4103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, .production_id = 6),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [4107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, .production_id = 41),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [4111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, .production_id = 34),
  [4113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, .production_id = 34),
  [4115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2), SHIFT_REPEAT(1581),
  [4118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2),
  [4120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2),
  [4122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, .production_id = 41),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [4128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, .production_id = 72),
  [4130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, .production_id = 41),
  [4132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, .production_id = 106),
  [4134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, .production_id = 106),
  [4136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, .production_id = 11),
  [4138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, .production_id = 11),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [4142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, .dynamic_precedence = -10),
  [4144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, .dynamic_precedence = -10),
  [4146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [4150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, .production_id = 106),
  [4152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, .production_id = 106),
  [4154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, .production_id = 11),
  [4156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, .production_id = 11),
  [4158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, .production_id = 89),
  [4160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, .production_id = 89),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [4166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2), SHIFT_REPEAT(714),
  [4169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2),
  [4171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2), SHIFT_REPEAT(2055),
  [4174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 1),
  [4176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 1),
  [4178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, .production_id = 34),
  [4180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, .production_id = 34),
  [4182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1),
  [4184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1),
  [4186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 21),
  [4188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 21),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [4192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [4196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1),
  [4198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, .production_id = 74),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [4202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, .dynamic_precedence = 1, .production_id = 60),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [4208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 19),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [4214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 44),
  [4216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, .dynamic_precedence = 1, .production_id = 31),
  [4218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 47),
  [4220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2), SHIFT_REPEAT(1625),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [4227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2),
  [4229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2), SHIFT_REPEAT(1723),
  [4232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1),
  [4234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [4236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 11),
  [4238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 17),
  [4240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 17),
  [4242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, .production_id = 17),
  [4244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, .production_id = 17),
  [4246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, .production_id = 71),
  [4248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, .production_id = 71),
  [4250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 93),
  [4252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, .production_id = 6),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [4256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 89),
  [4258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 11),
  [4260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 70),
  [4262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 70),
  [4264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3),
  [4266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 41),
  [4268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 41),
  [4270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, .production_id = 92),
  [4272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, .production_id = 92),
  [4274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1),
  [4276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2),
  [4278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, .production_id = 34),
  [4280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, .production_id = 106),
  [4282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, .production_id = 41),
  [4284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, .production_id = 41),
  [4286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [4288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2),
  [4290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3),
  [4292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 42),
  [4294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 42),
  [4296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, .production_id = 20),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [4300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 73),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [4308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, .production_id = 102),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [4312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, .production_id = 111),
  [4314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 110), SHIFT_REPEAT(1565),
  [4317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 110),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [4323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [4327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [4331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [4333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [4337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [4343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [4345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, .production_id = 84),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [4355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, .production_id = 102),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [4361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, .production_id = 63), SHIFT_REPEAT(1522),
  [4364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, .production_id = 63),
  [4366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 3, .production_id = 96),
  [4368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [4380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [4382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1),
  [4384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2),
  [4386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [4394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 110), SHIFT_REPEAT(1564),
  [4397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 110),
  [4399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, .production_id = 115),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [4403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [4405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 120), SHIFT_REPEAT(1623),
  [4408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 120),
  [4410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, .production_id = 84),
  [4412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [4414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [4416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [4422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 2, .production_id = 36),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [4426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 2, .production_id = 11),
  [4428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 63), SHIFT_REPEAT(1460),
  [4439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 63),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [4451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [4455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [4465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [4471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2),
  [4473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2), SHIFT_REPEAT(1711),
  [4476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2),
  [4478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1712),
  [4481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1712),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [4492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [4494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, .production_id = 36),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [4502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, .production_id = 49),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [4506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [4508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [4536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, .production_id = 121),
  [4538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [4540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 84),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [4554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 3, .production_id = 31),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [4558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2), SHIFT_REPEAT(537),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [4563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [4567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 2, .production_id = 35),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [4571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 2, .production_id = 36),
  [4573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__old_style_parameter_list_repeat1, 2), SHIFT_REPEAT(1809),
  [4576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__old_style_parameter_list_repeat1, 2),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [4602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2), SHIFT_REPEAT(1918),
  [4605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [4609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [4611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [4627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, .production_id = 114),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [4633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 3, .production_id = 62),
  [4635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 84),
  [4637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_declarator_repeat1, 2, .production_id = 63), SHIFT_REPEAT(1508),
  [4640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_declarator_repeat1, 2, .production_id = 63),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [4646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, .production_id = 94),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [4652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(833),
  [4655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [4657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, .production_id = 116),
  [4659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2), SHIFT_REPEAT(1864),
  [4662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [4666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, .production_id = 119),
  [4668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2), SHIFT_REPEAT(1352),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [4675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(558),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [4682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2), SHIFT_REPEAT(1208),
  [4685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [4701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [4705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, .production_id = 114),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [4709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 111),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [4713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [4721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, .production_id = 124),
  [4723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, .production_id = 124),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [4729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 123), SHIFT_REPEAT(2016),
  [4732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 123),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [4738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, .production_id = 6),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [4742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [4744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_declarator_repeat1, 3, .production_id = 88),
  [4746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, .production_id = 49),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [4750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [4756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [4758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4),
  [4760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [4764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [4766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3),
  [4768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [4772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [4780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 116),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [4796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [4800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [4804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [4806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 1),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [4810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1),
  [4812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2),
  [4814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [4818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [4820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2), REDUCE(aux_sym__old_style_parameter_list_repeat1, 2),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [4825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [4833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [4841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [4845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [4849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [4853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [4879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, .production_id = 71),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [4883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, .production_id = 41),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [4889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, .production_id = 70),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [4901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, .production_id = 92),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [4929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, .production_id = 92),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [4937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, .production_id = 70),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [4943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, .production_id = 70),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [4951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, .production_id = 17),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [4955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, .production_id = 70),
  [4957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, .production_id = 42),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [4975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, .production_id = 71),
  [4977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, .production_id = 70),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [4985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, .production_id = 92),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [4991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, .production_id = 92),
  [4993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, .production_id = 92),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [5091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, .production_id = 42),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [5103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [5189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [5223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [5271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [5275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [5287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [5289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [5299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [5303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [5305] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_c(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
